<?php


if ( ! defined( 'ABSPATH' ) ) { exit; }

require RDY_CORE_DIR . '/inc/ext/meta-box-conditional-logic/inc/class-conditional-logic.php';
new MB_Conditional_Logic;

//
// Include metaboxes overrides.
//
require_once( RDY_CORE_DIR . '/admin/metaboxes/custom-meta-boxes/override-fields.php' );

//
// Include Meta-Box framework.
//
require_once( RDY_CORE_DIR . '/inc/ext/meta-box/meta-box.php' );

//
// Include custom metaboxes.
//
require_once( RDY_CORE_DIR . '/admin/metaboxes/custom-meta-boxes/metabox-fields.php' );


global $RDY_META_BOXES;
$RDY_META_BOXES = array();

$font_size = array(
	'h1'		=> _x('h1', 'backend metabox', 'LEVELUP'),
	'h2'		=> _x('h2', 'backend metabox', 'LEVELUP'),
	'h3'		=> _x('h3', 'backend metabox', 'LEVELUP'),
	'h4'		=> _x('h4', 'backend metabox', 'LEVELUP'),
	'h5'		=> _x('h5', 'backend metabox', 'LEVELUP'),
	'h6'		=> _x('h6', 'backend metabox', 'LEVELUP'),
	'small'		=> _x('small', 'backend metabox', 'LEVELUP'),
	'normal'	=> _x('medium', 'backend metabox', 'LEVELUP'),
	'big'		=> _x('large', 'backend metabox', 'LEVELUP')
);

$accent_custom_color = array(
	'accent'	=> _x('Accent', 'backend metabox', 'LEVELUP'),
	'color'		=> _x('Custom color', 'backend metabox', 'LEVELUP')
);

// Image settings
$repeat_options = array(
	'repeat'	=> _x('repeat', 'backend metabox', 'LEVELUP'),
	'repeat-x'	=> _x('repeat-x', 'backend metabox', 'LEVELUP'),
	'repeat-y'	=> _x('repeat-y', 'backend metabox', 'LEVELUP'),
	'no-repeat'	=> _x('no-repeat', 'backend metabox', 'LEVELUP'),
);

$position_x_options = array(
	'center'	=> _x('center', 'backend metabox', 'LEVELUP'),
	'left'		=> _x('left', 'backend metabox', 'LEVELUP'),
	'right'		=> _x('right', 'backend metabox', 'LEVELUP'),
);

$position_y_options = array(
	'center'	=> _x('center', 'backend metabox', 'LEVELUP'),
	'top'		=> _x('top', 'backend metabox', 'LEVELUP'),
	'bottom'	=> _x('bottom', 'backend metabox', 'LEVELUP'),
);


$prefix = '_rdy_page_video_';

$RDY_META_BOXES[] = array(
    'id'       => 'rdy_page_box-post-video',
    'title'    => _x( 'Video Options', 'backend metabox', 'LEVELUP' ),
    'pages'    => array( 'post' ),
    'context'  => 'normal',
    'priority' => 'high',
    'fields'   => array(

        array(
            'name'    => _x( 'Video Post Display Style:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}post_style",
            'type'    => 'select',
            'std'     => '',
            'options' => array(
                ''       => _x( 'Default', 'backend metabox', 'LEVELUP' ),
                'header' => _x( 'Header Video', 'backend metabox', 'LEVELUP' ),
            )
        ),
        array(
            'name' => esc_html__( 'M4V File URL', 'LEVELUP' ),
            'desc' => wp_kses( __( 'Please upload the .m4v video file. <br>You must include both formats.', 'LEVELUP' ), array( 'br' => array() ) ),
            'id'   => "{$prefix}m4v",
            'type' => 'url',
        ),

        array(
            'name' => esc_html__( 'OGV File URL', 'LEVELUP' ),
            'desc' => wp_kses( __( 'Please upload the .ogv video file. <br>You must include both formats.', 'LEVELUP' ), array( 'br' => array() ) ),
            'id'   => "{$prefix}ogv",
            'type' => 'url',
        ),

        array(
            'name' => esc_html__( 'Preview Image', 'LEVELUP' ),
            'desc' => esc_html__( 'Your image should be at least 680px wide. Click the "Upload" button to begin uploading your image, followed by "Select File" once you have made your selection. Only applies to self hosted videos.', 'LEVELUP' ),
            'id'   => "{$prefix}image",
            'type' => 'image_advanced',
        ),

        array(
            'name' => esc_html__( 'Embedded Code', 'LEVELUP' ),
            'desc' => esc_html__( 'If the video is an embed rather than self hosted, enter in a Vimeo or Youtube embed code here. Embeds work worse with the parallax effect, but if you must use this, Vimeo is recommended.', 'LEVELUP' ),
            'id'   => "{$prefix}embed",
            'type' => 'textarea',
        ),

    )
);


$prefix = '_rdy_page_audio_';

$RDY_META_BOXES[] = array(
    'id'		=> 'rdy_page_box-post-audio',
    'title' 	=> _x('Audio Options', 'backend metabox', 'LEVELUP'),
    'pages' 	=> array( 'post' ),
    'context' 	=> 'normal',
    'priority' 	=> 'high',
    'fields' 	=> array(

        array(
            'name' => esc_html__( 'MP3 File URL', 'LEVELUP' ),
            'id'   => "{$prefix}mp3",
            'type' => 'url',
        ),
    )
);


// Get widgetareas
global $wp_registered_sidebars;
$widgetareas_list = wp_list_pluck( $wp_registered_sidebars, 'name', 'id' );

if ( !$widgetareas_list ) {
	$widgetareas_list = array('none' => _x('None', 'backend metabox', 'LEVELUP'));
} else {
	$widgetareas_list = array("" => "Inherit") + $widgetareas_list;
}

$prefix = '_rdy_sidebar_';

$RDY_META_BOXES[] = array(
	'id'		=> 'rdy_page_box-post-sidebar',
	'title' 	=> _x('SideBar Options', 'backend metabox', 'LEVELUP'),
	'pages' 	=> apply_filters( 'levelup_metabox_sidebar', array(
		'page',
	) ),
	'context' 	=> 'side',
	'priority' 	=> 'low',
	'fields' 	=> array(

		array(
			'id'      	=> "{$prefix}position",
			'type'    	=> 'radio',
			'std'		=> '',
			'options'	=> array(
				''	        => array( _x('Inherit', 'backend metabox', 'LEVELUP'), array('/default.png', 120, 112) ),
				'disabled'	=> array( _x('Disabled', 'backend metabox', 'LEVELUP'), array('/hide.png', 120, 112) ),
				'left' 		=> array( _x('Left', 'backend metabox', 'LEVELUP'), array('sidebar/side_bar_left.png', 120, 112) ),
				'right' 	=> array( _x('Right', 'backend metabox', 'LEVELUP'), array('sidebar/side_bar_right.png', 120, 112) ),
			),
			'hide_fields'	=> array(
				'disabled'	=> array("{$prefix}widgetarea_id", "{$prefix}hide_on_mobile", "{$prefix}fullscreen" ),
			)
		),

		array(
			'name'    => _x( 'Make Content Area Full-width?', 'backend metabox', 'LEVELUP' ),
			'id'      => "{$prefix}fullscreen",
			'type'    => 'select',
			'options' => array(
				''         => _x( 'Inherit', 'backend metabox', 'LEVELUP' ),
				'enable'   => _x( 'Yes', 'backend metabox', 'LEVELUP' ),
				'disabled' => _x( 'No', 'backend metabox', 'LEVELUP' ),
			),
			'std'     => 0
		),

		array(
			'name'     		=> _x('SideBar Widget Area', 'backend metabox', 'LEVELUP'),
			'id'       		=> "{$prefix}widgetarea_id",
			'type'     		=> 'select',
			'options'  		=> $widgetareas_list,
			'std'			=> 'sidebar_1',
			'top_divider'	=> true
		),

		array(
			'name'    		=> _x('Disable SideBar on Phone View?', 'backend metabox', 'LEVELUP'),
			'id'      		=> "{$prefix}hide_on_mobile",
			'desc'          => _x( 'Yes', 'backend metabox', 'LEVELUP' ),
			'type'    		=> 'checkbox',
			'top_divider'	=> true,
			'std'			=> 0
		),

	)
);


/***********************************************************/
// Header options
/***********************************************************/

$prefix = '_rdy_header_';

$RDY_META_BOXES['rdy_page_box-header_options'] = array(
	'id'       => 'rdy_page_box-header_options',
	'title'    => _x( 'Page Options', 'backend metabox', 'LEVELUP' ),
	'pages'    => apply_filters( 'levelup_metabox_header_pages', array(
		'page',
		'post',
		'rdy_portfolio',
		'rdy_project',
		'rdy_team'
	) ),
	'context'  => 'normal',
	'priority' => 'high',
	'fields'   => array(

        array(
            'name' => _x( 'Header Area:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}header_status",
            'type' => 'select',
            'desc' => _x( 'Using this setting you can disable the Header Area on the page.', 'backend metabox', 'LEVELUP' ),
            'std'  => '',
            'options' => array(
	            ''      => _x( 'Inherit', 'backend metabox', 'LEVELUP' ),
//	            'enable' => _x( 'Enable', 'backend metabox', 'LEVELUP' ),
//	            'enable_wt' => _x( 'Enable \w TopBar', 'backend metabox', 'LEVELUP' ),
	            'disable' => _x( 'Disable', 'backend metabox', 'LEVELUP' ),
            )
        ),

        array(
            'name' => _x( 'Transparent Header:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}header_transparent",
            'type' => 'checkbox',
            'desc' => _x( 'If checked, Header Area Background will be transperent.', 'backend metabox', 'LEVELUP' ),
            'std'  => 0,
        ),

        array(
            'name'    => _x( 'Transparent Header Skin:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}header_transparent_style",
            'type'    => 'select',
            'std'     => '',
            'desc' => _x( 'Choose light or dark skins for logo, menu items and header elements.', 'backend metabox', 'LEVELUP' ),
            'options' => array(
                ''      => _x( 'Inherit', 'backend metabox', 'LEVELUP' ),
                'light' => _x( 'Light', 'backend metabox', 'LEVELUP' ),
                'dark'  => _x( 'Dark', 'backend metabox', 'LEVELUP' ),
            ),
            'visible' => [$prefix . 'header_transparent', 'in', [1]]
        ),

        array(
            'name' => _x( 'Header Background Appear After (N-px):', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}header_transparent_appear",
            'type' => 'text',
            'desc' => _x( 'Enter a value in pixels, after which the Header Background colour appear when the page is scrolled.', 'backend metabox', 'LEVELUP' ),
            'std'  => '',

        ),

        array(
            'name' => _x( 'Hide Header Bottom Border (Line/Shadow).', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}header_transparent_appear_line_hide",
            'type' => 'checkbox',
            'desc' => _x( 'Use this setting to hide a shadow or a line in the Header Area until the Header Area Background will appear after scrolling the page.', 'backend metabox', 'LEVELUP' ),
            'std'  => 0
        ),

        array(
            'name'        => _x( 'Menu Items and Header Elements Skin in Title Area:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}logo_style",
            'type'        => 'select',
            'top_divider' => true,
            'std'         => '',
            'desc' => _x( 'Use this settings to change a skin for a logo, menu items and header elements, when they are situated in Title Area. After leaving the Title Area, all settings for the menu items, logo and the Header Elements are altered according to the global settings.', 'backend metabox', 'LEVELUP' ),
            'options'     => array(
                ''      => _x( 'Inherit', 'backend metabox', 'LEVELUP' ),
                'light' => _x( 'Light', 'backend metabox', 'LEVELUP' ),
                'dark'  => _x( 'Dark', 'backend metabox', 'LEVELUP' ),
            ),
            'visible' => [$prefix . 'title', 'not in', ['disabled']]
        ),

        // Header options
        array(
            'name'        => _x( 'Title Area:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}title",
            'type'        => 'radio',
            'std'         => 'enabled',
            'top_divider' => true,
            'options'     => array(
                'enabled'   => array(
                    _x( 'Regular Page Title', 'backend metabox', 'LEVELUP' ),
                    array( 'metab_title/regular-title.png', 120, 112 )
                ),
                'fancy'     => array(
                    _x( 'Fancy Title', 'backend metabox', 'LEVELUP' ),
                    array( 'metab_title/fancy-title.png', 120, 112 )
                ),
                'slideshow' => array(
                    _x( 'Slider', 'backend metabox', 'LEVELUP' ),
                    array( 'metab_title/slideshow.png', 120, 112 )
                ),
                'disabled'  => array(
                    _x( 'Hide Title Area', 'backend metabox', 'LEVELUP' ),
                    array( 'metab_title/no-title.png', 120, 112 )
                ),
            ),
            'hide_fields' => array(
                'enabled'   => array( "{$prefix}background_settings" ),
                'disabled'  => array( "{$prefix}background_settings" ),
                'slideshow' => array( "{$prefix}background_settings" ),
            )
        ),

        array(
            'name'        => _x( 'Subtitle:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}regular_subtitle",
            'type'        => 'text',
            'top_divider' => true,
            'desc'        => _x( 'Important! This subtitle is used in Regular Page Title mode.', 'backend metabox', 'LEVELUP' ),
            'std'         => '',
        ),

        array(
            'name' => _x( 'Swap Title and Subtitle:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}swap_titles",
            'desc' => _x( 'If checked, the title and subtitle will be swapped.', 'backend metabox', 'LEVELUP' ),
            'type' => 'checkbox',
            'std'  => 0
        ),

        array(
            'name'    => _x( 'Featured Image in Title Area:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}featured_image_bg",
            'desc' => _x( 'Set the featured image in title area. <br>This setting works only with the Regular Title.', 'backend metabox', 'LEVELUP' ),
            'type'    => 'select',
            'top_divider' => true,
            'std'     => '',
            'options' => array(
                ''       => _x( 'Inherit', 'backend metabox', 'LEVELUP' ),
                'enable' => _x( 'Show', 'backend metabox', 'LEVELUP' ),
                'disable' => _x( 'Hide', 'backend metabox', 'LEVELUP' ),
            )
        ),

	    array(
		    'name'    => _x( 'Breadcrumbs Color:', 'backend metabox', 'LEVELUP' ),
		    'id'      => "{$prefix}breadcrumbs_color",
		    'type'    => 'select',
		    'std'     => 'tb',
		    'options' => array(
			    '' => _x( 'Inherit', 'backend metabox', 'LEVELUP' ),
			    'dark' => _x( 'Dark', 'backend metabox', 'LEVELUP' ),
			    'light' => _x( 'Light', 'backend metabox', 'LEVELUP' ),
		    )
	    ),

        array(
            'name'        => _x( 'Content Area Top Padding. Disable?', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}disable_content_padding",
            'desc'        => _x( 'This setting lets you force disable the global top padding for the content area of the current page.', 'backend metabox', 'LEVELUP' ),
            'type'        => 'checkbox',
            'top_divider' => true,
            'std'         => 0
        ),

        array(
            'name' => _x( 'Content Area Bottom Padding. Disable?', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}disable_footer_margin",
            'desc' => _x( 'This setting lets you force disable the global bottom padding for the content area of the current page.', 'backend metabox', 'LEVELUP' ),
            'type' => 'checkbox',
            'std'  => 0
        ),

        array(
            'id'          => "{$prefix}disable_footer_widget",
            'name'        => esc_html__( 'Bottom Widget', 'LEVELUP' ),
            'type'        => 'radio',
            'std'         => 0,
            'top_divider' => true,
            'options'     => array(
                0 => array(
                    _x( 'Inherit', 'backend metabox', 'LEVELUP' ),
                    array( 'footer/widget_on.png', 120, 112 )
                ),
                1 => array(
                    _x( 'Disable Bottom Widget', 'backend metabox', 'LEVELUP' ),
                    array( 'footer/widget_off.png', 120, 112 )
                ),
            )
        ),

        array(
            'id'      => "{$prefix}disable_footer",
            'name'    => esc_html__( 'Footer Area', 'LEVELUP' ),
            'type'    => 'radio',
            'std'     => 0,
            'options' => array(
                0 => array(
                    _x( 'Inherit', 'backend metabox', 'LEVELUP' ),
                    array( 'footer/footer_on.png', 120, 112 )
                ),
                1 => array(
                    _x( 'Disable Footer Area', 'backend metabox', 'LEVELUP' ),
                    array( 'footer/footer_off.png', 120, 112 )
                ),
            )
        ),

        array(
            'name'        => _x( 'Page Background Color:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}page_bg_color",
            'type'        => 'color',
            'top_divider' => true,
            'std'         => '',
        ),

        array(
            'name'             => _x( 'Page Background image:', 'backend metabox', 'LEVELUP' ),
            'id'               => "{$prefix}page_bg_image",
            'type'             => 'image_advanced',
            'top_divider' => true,
            'max_file_uploads' => 1,
        ),

        array(
            'name'    => _x( 'Repeat Options:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}bg_repeat",
            'type'    => 'select',
            'options' => $repeat_options,
            'std'     => 'no-repeat'
        ),

        array(
            'name'    => _x( 'Position x:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}bg_position_x",
            'type'    => 'select',
            'options' => $position_x_options,
            'std'     => 'center'
        ),

        array(
            'name'    => _x( 'Position y:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}bg_position_y",
            'type'    => 'select',
            'options' => $position_y_options,
            'std'     => 'center'
        ),

        array(
            'name' => _x( 'Fullscreen:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}bg_fullscreen",
            'type' => 'checkbox',
            'std'  => 1,
        ),

        array(
            'name' => _x( 'Fixed Background:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}bg_fixed",
            'type' => 'checkbox',
            'std'  => 0
        ),

    )
);


/***********************************************************/
// Fancy title options
/***********************************************************/

$prefix = '_rdy_fancy_header_';

$RDY_META_BOXES['rdy_page_box-fancy_header_options'] = array(
    'id'       => 'rdy_page_box-fancy_header_options',
    'title'    => _x( 'Fancy Title Options', 'backend metabox', 'LEVELUP' ),
    'pages'    => apply_filters( 'levelup_metabox_fancy_header', array(
	    'page',
	    'post',
	    'rdy_portfolio',
	    'rdy_project',
	    'rdy_team'
    ) ),
    'context'  => 'normal',
    'priority' => 'high',
    'fields'   => array(

        array(
            'name'    => _x( 'Fancy Title Layout:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}title_aligment",
            'type'    => 'radio',
            'std'     => 'center',
            'options' => array(
                'all_left'  => array( _x( 'Left', 'backend metabox', 'LEVELUP' ), array( 'title/l-l.png', 120, 112 ) ),
                'center'    => array(
                    _x( 'Centred', 'backend metabox', 'LEVELUP' ),
                    array( 'title/centre.png', 120, 112 )
                ),
                'all_right' => array( _x( 'Right', 'backend metabox', 'LEVELUP' ), array( 'title/r-r.png', 120, 112 ) ),
            ),
        ),

        array(
            'name'    => _x( 'Title Vertical Alignment:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}big_title_valign",
            'type'    => 'radio',
            'std'     => 'middle',
            'options' => array(
                'middle' => array(
                    _x( 'Middle', 'backend metabox', 'LEVELUP' ),
                    array( 'title/valign_middle.png', 120, 112 )
                ),
                'bottom' => array(
                    _x( 'Bottom', 'backend metabox', 'LEVELUP' ),
                    array( 'title/valign_bottom.png', 120, 112 )
                ),
            ),
        ),

        array(
            'name'    => _x( 'Category Filter Style:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}list_style",
            'type'    => 'select',
            'std'     => '',
            'top_divider' => true,
            'options' => array(
                ''      => _x( 'Inherit', 'backend metabox', 'LEVELUP' ),
                'light' => _x( 'Light', 'backend metabox', 'LEVELUP' ),
                'dark'  => _x( 'Dark', 'backend metabox', 'LEVELUP' ),
            )
        ),

        array(
            'name'        => _x( 'Height (px):', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}height",
            'type'        => 'text',
            'top_divider' => true,
            'desc' => wp_kses( __( 'Enter a height for the header in pixels.<br /> Important! When using the Dynamic Height this setting, it will serve as the minimal height.', 'LEVELUP' ), array( 'br' => array() ) ),
            'std'         => '350'
        ),

        array(
            'name'        => _x( 'Dynamic Height in % (relative to the window height):', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}dynamic_height",
            'type'        => 'text',
            'desc' => _x( 'Enter a height for the header in percent.', 'backend metabox', 'LEVELUP' ),
            'std'         => ''
        ),

        array(
            'name' => _x( 'Fullscreen:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}fullscreen",
            'type' => 'checkbox',
            'std'  => 0,
            'desc' => _x( 'If checked, Fancy Title will be on fullscreen.', 'backend metabox', 'LEVELUP' ),
        ),

        array(
            'name'    => _x( 'Scrolldown Button Style (fullscreen only):', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}down_button",
            'type'    => 'select',
            'std'     => '',
            'options' => array(
                ''      => _x( 'None', 'backend metabox', 'LEVELUP' ),
                'light' => _x( 'Light', 'backend metabox', 'LEVELUP' ),
                'dark'  => _x( 'Dark', 'backend metabox', 'LEVELUP' ),
            )
        ),

        // Title
        array(
            'name'        => _x( 'Title:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}title",
            'type'        => 'text',
            'std'         => '',
            'top_divider' => true,
        ),

        array(
            'name' => _x( 'Title Bottom Margin:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}title_margin_bottom",
            'type' => 'text',
            'std'  => '',
        ),

        array(
            'name' => _x( 'Subtitle:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}subtitle",
            'type' => 'text',
            'std'  => '',
        ),

        array(
            'name' => _x( 'Swap Title and Subtitle:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}swap_titles",
            'desc' => _x( 'If checked, the title and subtitle will be swapped.', 'backend metabox', 'LEVELUP' ),
            'type' => 'checkbox',
            'std'  => 0
        ),

	    array(
		    'name'    => _x( 'Breadcrumbs:', 'backend metabox', 'LEVELUP' ),
		    'id'      => "{$prefix}breadcrumbs",
		    'type'    => 'select',
		    'std'     => 'tb',
		    'options' => array(
			    '' => _x( 'Disable', 'backend metabox', 'LEVELUP' ),
			    '1' => _x( 'Enable', 'backend metabox', 'LEVELUP' ),
		    )
	    ),

        array(
            'before' => '<div class="rwmb-flickering-field ' . "rwmb-input-{$prefix}title_color_settings" . '">',

            'name' => _x( 'Title & Subtitle Color:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}title_color",
            'type' => 'color',
            'std'  => '#000000',

            'after' => '</div>'
        ),

	    array(
		    'name'    => _x( 'Title Shadow:', 'backend metabox', 'LEVELUP' ),
		    'id'      => "{$prefix}title_shadow",
		    'type'    => 'select',
		    'std'     => '',
		    'options' => array(
			    ''       => _x( '', 'backend metabox', 'LEVELUP' ),
			    'shadow1' => _x( 'Shadow 1', 'backend metabox', 'LEVELUP' ),
			    'shadow2' => _x( 'Shadow 2', 'backend metabox', 'LEVELUP' ),
			    'shadow3' => _x( 'Shadow 3', 'backend metabox', 'LEVELUP' ),
			    'shadow4' => _x( 'Shadow 4', 'backend metabox', 'LEVELUP' ),
			    'shadow5' => _x( 'Shadow 5', 'backend metabox', 'LEVELUP' ),
			    'shadow6' => _x( 'Shadow 6', 'backend metabox', 'LEVELUP' ),
			    'shadow7' => _x( 'Shadow 7', 'backend metabox', 'LEVELUP' ),
			    'shadow8' => _x( 'Shadow 8', 'backend metabox', 'LEVELUP' ),
			    'shadow9' => _x( 'Shadow 9', 'backend metabox', 'LEVELUP' ),
			    'shadow10' => _x( 'Shadow 10', 'backend metabox', 'LEVELUP' ),
		    )
	    ),

        array(
            'name' => _x( 'Title & Subtitle Highlight Color:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}highlight",
            'type' => 'color',
            'std'  => '',
        ),

        array(
            'name'    => _x( 'Title Animation:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}big_title_animation",
            'type'    => 'select',
            'std'     => 'disable',
            'options' => array(
                'disable'    => _x( 'Disable', 'backend metabox', 'LEVELUP' ),
                'alpha'      => _x( 'Alpha', 'backend metabox', 'LEVELUP' ),
                'down'       => _x( 'Move Down', 'backend metabox', 'LEVELUP' ),
                'down_alpha' => _x( 'Move Down + Alpha', 'backend metabox', 'LEVELUP' ),
            )
        ),

	    array(
		    'name'        => _x( 'Overlay Effects:', 'backend metabox', 'LEVELUP' ),
		    'id'          => "{$prefix}overlay_fx",
		    'type'        => 'select',
		    'top_divider' => true,
		    'std'         => '',
		    'options'     => array(
			    ''       => _x( 'None', 'backend metabox', 'LEVELUP' ),
			    'glitch'  => _x( 'Glitch', 'backend metabox', 'LEVELUP' ),
		    )
	    ),

        array(
            'name'        => _x( 'Overlay:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}overlay",
            'type'        => 'select',
            'top_divider' => true,
            'std'         => '',
            'options'     => array(
                ''       => _x( 'None', 'backend metabox', 'LEVELUP' ),
                'light'  => _x( 'Light', 'backend metabox', 'LEVELUP' ),
                'dark'   => _x( 'Dark', 'backend metabox', 'LEVELUP' ),
                'custom' => _x( 'Custom', 'backend metabox', 'LEVELUP' ),
            )
        ),

        array(
            'name' => _x( 'Custom Overlay Color - First:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}overlay_color",
            'type' => 'color',
            'std'  => '#000000',
            'desc' => _x( 'If only one color is selected, it would be a solid color.', 'backend metabox', 'LEVELUP' )
        ),

        array(
            'name' => _x( 'Custom Overlay Color - Second:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}overlay_color2",
            'type' => 'color',
            'std'  => '#000000',
            'desc' => _x( 'If both colors are selected, it would be a gradient.', 'backend metabox', 'LEVELUP' )
        ),

        array(
            'name'    => _x( 'Gradient Orientation:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}gradient_direction",
            'type'    => 'select',
            'std'     => 'tb',
            'options' => array(
                'tb' => _x( 'Vertical', 'backend metabox', 'LEVELUP' ),
                'lr' => _x( 'Horizontal', 'backend metabox', 'LEVELUP' ),
                'br' => _x( 'Diagonal (135deg)', 'backend metabox', 'LEVELUP' ),
                'bl' => _x( 'Diagonal (45deg)', 'backend metabox', 'LEVELUP' ),
                'rd' => _x( 'Radial', 'backend metabox', 'LEVELUP' ),
            )
        ),

        array(
            'name'       => _x( 'Overlay Opacity:', 'backend metabox', 'LEVELUP' ),
            'id'         => "{$prefix}overlay_opacity",
            'type'       => 'slider',
            'std'        => 60,
            'js_options' => array(
                'range' => 'max',
                'min'   => 1,
                'max'   => 100
            )
        ),

        array(
            'name'    => _x( 'Overlay effect when scrolling the page:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}overlay_animation",
            'type'    => 'select',
            'std'     => '',
            'options' => array(
                ''      => _x( 'None', 'backend metabox', 'LEVELUP' ),
                'light' => _x( 'Lightening', 'backend metabox', 'LEVELUP' ),
                'dark'  => _x( 'Darkening ', 'backend metabox', 'LEVELUP' ),
            )
        ),

        array(
            'name'        => _x( 'Fancy Background Color:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}bg_color",
            'type'        => 'color',
            'std'         => '#cccccc',
            'top_divider' => true,
        ),

        array(
            'name'             => _x( 'Fancy Background Image:', 'backend metabox', 'LEVELUP' ),
            'id'               => "{$prefix}bg_image",
            'type'             => 'image_advanced',
            'max_file_uploads' => 1,
            'top_divider' => true,
        ),

        array(
            'name'             => _x( 'Fancy Background Image (Mobile):', 'backend metabox', 'LEVELUP' ),
            'desc' => _x( 'Alternative background image for screen width < 992px', 'backend metabox', 'LEVELUP' ),
            'id'               => "{$prefix}bg_image_mobile",
            'type'             => 'image_advanced',
            'max_file_uploads' => 1,
        ),

        array(
            'name'    => _x( 'Repeat Options:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}bg_repeat",
            'type'    => 'select',
            'options' => $repeat_options,
            'std'     => 'no-repeat'
        ),

        array(
            'name'    => _x( 'Position x:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}bg_position_x",
            'type'    => 'select',
            'options' => $position_x_options,
            'std'     => 'center'
        ),

        array(
            'name'    => _x( 'Position y:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}bg_position_y",
            'type'    => 'select',
            'options' => $position_y_options,
            'std'     => 'center'
        ),

        array(
            'name' => _x( 'Fullscreen:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}bg_fullscreen",
            'type' => 'checkbox',
            'std'  => 1,
        ),

        array(
            'name' => _x( 'Fixed Background:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}bg_fixed",
            'type' => 'checkbox',
            'std'  => 0
        ),

        array(
            'name'        => _x( 'Parallax:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}parallax",
            'type'        => 'checkbox',
            'std'         => 0,
            'top_divider' => true,
        ),

        array(
            'name'        => esc_html__( 'Video Background / Self-Hosted - mp4 File URL', 'LEVELUP' ),
            'desc'        => _x( '', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}header_video_mp4",
            'type'        => 'text',
            'top_divider' => true,
            'std'         => '',
        ),

        array(
            'name' => esc_html__( 'Video Background / Self-Hosted - webm File URL', 'LEVELUP' ),
            'desc' => _x( '', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}header_video_webm",
            'type' => 'text',
            'std'  => '',
        ),

        array(
            'name' => esc_html__( 'Video Background / Self-Hosted - ogv File URL', 'LEVELUP' ),
            'desc' => _x( '', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}header_video_ogg",
            'type' => 'text',
            'std'  => '',
        ),
    )
);


/***********************************************************/
// Slideshow Options
/***********************************************************/

$prefix = '_rdy_slideshow_';

$RDY_META_BOXES['rdy_page_box-slideshow_options'] = array(
    'id'       => 'rdy_page_box-slideshow_options',
    'title'    => _x( 'Slider Options', 'backend metabox', 'LEVELUP' ),
    'pages'    => apply_filters( 'levelup_metabox_fancy_header', array(
	    'page',
	    'post',
	    'rdy_portfolio',
	    'rdy_project',
    ) ),
    'context'  => 'normal',
    'priority' => 'high',
    'fields'   => array(

        array(
            'id'          => "{$prefix}header_slider_type",
            'name'        => esc_html__( 'Slider Type', 'LEVELUP' ),
            'type'        => 'radio',
            'std'         => 'revolution',
            'options'     => array(
                'revolution' => array(
                    _x( 'Revolution', 'backend metabox', 'LEVELUP' ),
                    array( 'metab_title/revolution_slider.png', 120, 112 )
                ),
                'royal'      => array(
                    _x( 'Royal', 'backend metabox', 'LEVELUP' ),
                    array( 'metab_title/royal_slider.png', 120, 112 )
                ),
            )
        ),

        array(
            'name' => esc_html__( 'Slider ID', 'LEVELUP' ),
            'desc' => _x( 'Enter the Revolution alias or Royal ID', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}header_slider_id",
            'type' => 'text',
            'std'  => '',
        ),

    )
);


$prefix = '_rdy_project_';

$RDY_META_BOXES[] = array(
    'id'       => 'rdy_page_box-project',
    'title'    => _x( 'SLIDES Options', 'backend metabox', 'LEVELUP' ),
    'pages'    => array( 'rdy_project' ),
    'context'  => 'normal',
    'priority' => 'high',
    'fields'   => array(

	    array(
		    'name'    	=> _x('SLIDES Mode:', 'backend metabox', 'LEVELUP'),
		    'id'      	=> "{$prefix}mode",
		    'type'    	=> 'radio',
		    'std'		=> '',
		    'options'	=> array(
			    '' 		=> array( _x('Image', 'backend metabox', 'LEVELUP'), array('slider/img_bg.png', 120, 112) ),
			    'video' 	=> array( _x('Video', 'backend metabox', 'LEVELUP'), array('slider/video_bg.png', 120, 112) ),
			    'revslider'	=> array( _x('Rev Slider', 'backend metabox', 'LEVELUP'), array('slider/slider_bg.png', 120, 112) ),
		    ),
		    'hide_fields'	=> array(
			    ''	=> array(

			    	"{$prefix}revslider_id",
			    	"{$prefix}slider_nav_position",
				    "{$prefix}video_m4v",
				    "{$prefix}video_webm",
				    "{$prefix}video_ogv",
			    ),
			    'video'	=> array(
			    	"{$prefix}revslider_id",
			    	"{$prefix}slider_nav_position",
			    ),
			    'revslider'	=> array(
			    	"{$prefix}video_m4v",
			    	"{$prefix}video_webm",
			    	"{$prefix}video_ogv",
			    ),
		    )
	    ),

	    array(
		    'name' => esc_html__( 'Rev Slider ID', 'LEVELUP' ),
		    'desc' => _x( 'Enter the Revolution alias.', 'backend metabox', 'LEVELUP' ),
		    'id'   => "{$prefix}revslider_id",
		    'type' => 'text',
		    'std'  => '',
		    'top_divider' => true,
	    ),


	    array(
		    'name'    	=> _x('SLIDES Navigation:', 'backend metabox', 'LEVELUP'),
		    'id'      	=> "{$prefix}slider_nav_position",
		    'desc' => _x( 'This setting turns on/off the additional elements of leafing through slides in Slider Revolution.', 'backend metabox', 'LEVELUP' ),
		    'type'    	=> 'radio',
		    'std'		=> '',
		    'options'	=> array(
			    '' 		=> array( _x('Disabled', 'backend metabox', 'LEVELUP'), array('/hide.png', 120, 112) ),
			    'middle' 	=> array( _x('Middle', 'backend metabox', 'LEVELUP'), array('slider/nav_mid.png', 120, 112) ),
			    'bottom_left' 	=> array( _x('Bottom Left', 'backend metabox', 'LEVELUP'), array('slider/nav_left.png', 120, 112) ),
			    'bottom_center' => array( _x('Bottom Center', 'backend metabox', 'LEVELUP'), array('slider/nav_center.png', 120, 112) ),
			    'bottom_right' 	=> array( _x('Bottom Right', 'backend metabox', 'LEVELUP'), array('slider/nav_right.png', 120, 112) ),
		    ),
	    'top_divider' => true,

	    ),

	    array(
		    'name'    	=> _x('SLIDES Hide Content:', 'backend metabox', 'LEVELUP'),
		    'id'      	=> "{$prefix}hide_content",
		    'type'    	=> 'radio',
		    'top_divider' => true,
		    'desc'    => esc_html__( 'This setting hides the content on the page,  namely heading,  subheading, additional text, button or link.', 'LEVELUP' ),
			    'std'		=> '',
		    'options'	=> array(
			    '' 		=> array( _x('Show', 'backend metabox', 'LEVELUP') ),
			    'enable' 	=> array( _x('Hide', 'backend metabox', 'LEVELUP') ),
		    ),
		    'hide_fields'	=> array(
			    'enable'	=> array(
				    "{$prefix}title_visible",
				    "{$prefix}text_color",
				    "{$prefix}align",
				    "{$prefix}valign",
				    "{$prefix}subtitle",
				    "{$prefix}bgcolor_logo",
				    "{$prefix}bgcolor",
				    "{$prefix}button",
				    "{$prefix}button_color",
				    "{$prefix}link",
				    "{$prefix}link_target_blank",
			    ),
		    )
	    ),

        array(
            'name'    => _x( 'Slide Title', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}title_visible",
            'desc'    => esc_html__( 'Enable/Disable Title in the slide. If you choose "Inherit", it means the option is inherited by the global theme options.', 'LEVELUP' ),
            'type'    => 'radio',
            'std'     => '',
	        'top_divider' => true,
            'options' => array(
                ''        => array( _x( 'Inherit', 'backend metabox', 'LEVELUP' ) ),
                'enable'  => array( _x( 'Enable', 'backend metabox', 'LEVELUP' ) ),
                'disable' => array( _x( 'Disable', 'backend metabox', 'LEVELUP' ) ),
            )
        ),

        array(
            'id'      => "{$prefix}align",
            'name'    => esc_html__( 'Alignment Title', 'LEVELUP' ),
            'type'    => 'radio',
            'std'     => '',
	        'top_divider' => true,
            'options' => array(
                ''       => array(
                    _x( 'Inherit', 'backend metabox', 'LEVELUP' ),
                    array( 'default.png', 120, 112 )
                ),
                'left'   => array( _x( 'Left', 'backend metabox', 'LEVELUP' ), array( 'align/left.png', 120, 112 ) ),
                'center' => array( _x( 'Center', 'backend metabox', 'LEVELUP' ), array( 'align/center.png', 120, 112 ) ),
                'right'  => array( _x( 'Right', 'backend metabox', 'LEVELUP' ), array( 'align/right.png', 120, 112 ) ),
            )
        ),

        array(
            'id'      => "{$prefix}valign",
            'name'    => esc_html__( 'Vertical Alignment Title', 'LEVELUP' ),
            'type'    => 'radio',
            'std'     => '',
		        'top_divider' => true,
            'options' => array(
                ''       => array(
                    _x( 'Inherit', 'backend metabox', 'LEVELUP' ),
                    array( 'default.png', 120, 112 )
                ),
                'middle' => array(
                    _x( 'Middle', 'backend metabox', 'LEVELUP' ),
                    array( 'valign/middle.png', 120, 112 )
                ),
                'bottom' => array(
                    _x( 'Bottom', 'backend metabox', 'LEVELUP' ),
                    array( 'valign/bottom.png', 120, 112 )
                ),
            )
        ),

        array(
            'name'        => _x( 'Subtitle or Additional Text:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}subtitle",
            'type'        => 'textarea',
            'std'         => '',
            'top_divider' => true,
        ),

        array(
            'name'        => esc_html__( 'Content Color', 'LEVELUP' ),
            'id'          => "{$prefix}text_color",
            'desc'        => esc_html__( 'Choose a font color for Title, Subtile, Text.', 'LEVELUP' ),
            'type'        => 'color',
            'top_divider' => true,
            'std'         => '',
        ),

        array(
            'name'        => esc_html__( 'Background Color - First', 'LEVELUP' ),
            'id'          => "{$prefix}color",
            'type'        => 'color',
            'top_divider' => true,
            'desc'        => _x( 'If only one color is selected, it would be a solid color background.', 'backend metabox', 'LEVELUP' ),
            'std'         => '',
        ),

        array(
            'name' => esc_html__( 'Background Color - Second', 'LEVELUP' ),
            'id'   => "{$prefix}color2",
            'type' => 'color',
            'desc' => _x( 'If both colors are selected, it would be a gradient background.', 'backend metabox', 'LEVELUP' ),
            'std'  => '',
        ),

        array(
            'name'    => _x( 'Gradient Orientation:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}gradient_direction",
            'type'    => 'select',
            'std'     => 'tb',
            'options' => array(
                'tb' => _x( 'Vertical', 'backend metabox', 'LEVELUP' ),
                'lr' => _x( 'Horizontal', 'backend metabox', 'LEVELUP' ),
                'br' => _x( 'Diagonal (135deg)', 'backend metabox', 'LEVELUP' ),
                'bl' => _x( 'Diagonal (45deg)', 'backend metabox', 'LEVELUP' ),
                'rd' => _x( 'Radial', 'backend metabox', 'LEVELUP' ),
            )
        ),


        array(
            'name' => esc_html__( 'Alternative Background Image (for Mobile Device)', 'LEVELUP' ),
            'id'   => "{$prefix}image_mobile",
            'type' => 'image_advanced',
            'top_divider' => true,
        ),

        array(
            'name'        => _x( 'Logo (Color Scheme)', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}bgcolor_logo",
            'type'        => 'radio',
            'top_divider' => true,
            'std'         => 'global',
            'options'     => array(
                'global' => array( _x( 'Inherit', 'backend metabox', 'LEVELUP' ) ),
                'dark'   => array( _x( 'Dark', 'backend metabox', 'LEVELUP' ) ),
                'light'  => array( _x( 'Light', 'backend metabox', 'LEVELUP' ) ),
            )
        ),

        array(
            'name'        => _x( 'Header Elements (Color Scheme)', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}bgcolor",
            'type'        => 'radio',
            'top_divider' => true,
            'std'         => 'global',
            'options'     => array(
                'global' => array( _x( 'Inherit', 'backend metabox', 'LEVELUP' ) ),
                'dark'   => array( _x( 'Dark', 'backend metabox', 'LEVELUP' ) ),
                'light'  => array( _x( 'Light', 'backend metabox', 'LEVELUP' ) ),
            )
        ),

        array(
            'name'        => _x( 'Navigation Dots (Color Scheme)', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}pg_color",
            'type'        => 'radio',
            'top_divider' => true,
            'std'         => 'default',
            'options'     => array(
                'default' => array( _x( 'Inherit', 'backend metabox', 'LEVELUP' ) ),
                'dark'    => array( _x( 'Dark', 'backend metabox', 'LEVELUP' ) ),
                'light'   => array( _x( 'Light', 'backend metabox', 'LEVELUP' ) ),
            )
        ),

        array(
            'name'        => _x( 'Choose Button or Link', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}button",
            'type'        => 'radio',
            'top_divider' => true,
            'std'         => '',
            'options'     => array(
                ''        => array( _x( 'Inherit', 'backend metabox', 'LEVELUP' ) ),
                'button'  => array( _x( 'Button', 'backend metabox', 'LEVELUP' ) ),
                'link'    => array( _x( 'Link', 'backend metabox', 'LEVELUP' ) ),
                'disable' => array( _x( 'Disable', 'backend metabox', 'LEVELUP' ) ),
            )
        ),

        array(
            'name'    => _x( 'Button or Link Color Scheme', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}button_color",
            'type'    => 'radio',
            'std'     => 'default',
            'options' => array(
                'default' => array( _x( 'Inherit', 'backend metabox', 'LEVELUP' ) ),
                'dark'    => array( _x( 'Dark', 'backend metabox', 'LEVELUP' ) ),
                'light'   => array( _x( 'Light', 'backend metabox', 'LEVELUP' ) ),
            )
        ),

        array(
            'name'        => esc_html__( 'Video Background, Self-Hosted - mp4 File URL', 'LEVELUP' ),
            'id'          => "{$prefix}video_m4v",
            'type'        => 'url',
            'top_divider' => true,
        ),

        array(
            'name' => esc_html__( 'Video Background, Self-Hosted - Webm File URL', 'LEVELUP' ),
            'id'   => "{$prefix}video_webm",
            'type' => 'url',
        ),

        array(
            'name' => esc_html__( 'Video Background, Self-Hosted - OGV File URL', 'LEVELUP' ),
            'id'   => "{$prefix}video_ogv",
            'type' => 'url',
        ),

        array(
            'name'        => esc_html__( 'Custom Link URL', 'LEVELUP' ),
            'desc'        => esc_html__( 'Please input the URL for your page. I.e. http://www.puzzlerbox.com', 'LEVELUP' ),
            'id'          => "{$prefix}link",
            'top_divider' => true,
            'type'        => 'url',
        ),

        array(
            'name' => _x( 'Custom Link open in a new tab?', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}link_target_blank",
            'type' => 'checkbox',
            'desc' => _x( 'Yes', 'backend metabox', 'LEVELUP' ),
            'std'  => 0,
        ),

    )
);


$prefix = '_rdy_woocommerce_';

$RDY_META_BOXES[] = array(
    'id'       => 'rdy_page_box-woocommerce',
    'title'    => _x( 'Shop Options', 'backend metabox', 'LEVELUP' ),
    'pages'    => array( 'product' ),
    'context'  => 'normal',
    'priority' => 'high',
    'fields'   => array(

        array(
            'name' => _x( 'Description Fullwidth?', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}desc_fullscreen",
            'type' => 'checkbox',
            'desc' => _x( 'If checked, the product description will be the fullwidth.', 'backend metabox', 'LEVELUP' ),
            'std'  => 0,
        ),

    )
);


// include metaboxes
$metaboxes = array(
    'metaboxes-portfolio.php',
    'metaboxes-team.php',
    'metaboxes-testimonials.php',
);

foreach ( $metaboxes as $metabox ) {
    require_once( RDY_CORE_DIR . '/admin/metaboxes/' . $metabox );
}


//
// Register meta boxes
//
function levelup_register_meta_boxes() {
    // Make sure there's no errors when the plugin is deactivated or during upgrade
    if ( !class_exists( 'RW_Meta_Box' ) ) {
        return;
    }

    global $RDY_META_BOXES;
    foreach ( $RDY_META_BOXES as $meta_box ) {
        new RW_Meta_Box( $meta_box );
    }
}
add_action( 'admin_init', 'levelup_register_meta_boxes' );
