<?php


if ( ! defined( 'ABSPATH' ) ) { exit; }


$prefix = '_rdy_portfolio_';

$RDY_META_BOXES[] = array(
    'id'       => 'rdy_page_box-portfolio',
    'title'    => _x( 'Portfolio Item', 'backend metabox', 'LEVELUP' ),
    'pages'    => array( 'rdy_portfolio' ),
    'context'  => 'normal',
    'priority' => 'high',
    'fields'   => array(

        array(
            'name' => _x( 'Subtitle:', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}subtitle",
            'type' => 'text',
            'std'  => '',
        ),

	    array(
		    'name' => esc_html__( 'Media MP4', 'LEVELUP' ),
		    'id'   => "{$prefix}video_mp4",
		    'type' => 'file_advanced',
		    'options' => array(
		    	'mime_type' => 'video/mp4',
			    'multiple' => false
		    )
	    ),
		
        array(
            'name'        => _x( 'Overlay Hover Color:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}hover_color",
            'type'        => 'color',
            'std'         => '',
            'desc' => _x( 'Choose a unique color overlay for the current item.', 'backend metabox', 'LEVELUP' ),
            'top_divider' => true
        ),

		array(
			'name'        => _x( 'Featured Image Background Color:', 'backend metabox', 'LEVELUP' ),
			'id'          => "{$prefix}item_bg_color",
			'type'        => 'color',
			'std'         => '',
			'desc' => _x( 'Choose the background color for the item cell. Usually it is needed in case Gif animation is used, and its size is less than the cell.', 'backend metabox', 'LEVELUP' ),
			),

        array(
            'name'        => esc_html__( 'Custom Link URL:', 'LEVELUP' ),
            'desc'        => esc_html__( 'Please input the URL for your page. I.e. http://www.puzzlerbox.com', 'LEVELUP' ),
            'id'          => "{$prefix}link",
            'type'        => 'url',
            'top_divider' => true
        ),

        array(
            'name' => _x( 'Custom Link open in a new tab?', 'backend metabox', 'LEVELUP' ),
            'id'   => "{$prefix}link_target_blank",
            'desc' => _x( 'Yes, please.', 'backend metabox', 'LEVELUP' ),
            'type' => 'checkbox',
            'std'  => 0,
        ),

    )
);
