<?php

if (!defined('ABSPATH')) {
    exit;
}


$prefix = '_rdy_teams_';

$RDY_META_BOXES[] = array(
    'id'       => 'rdy_page_box-team',
    'title'    => _x( 'Teammate Options', 'backend metabox', 'LEVELUP' ),
    'pages'    => array( 'rdy_team' ),
    'context'  => 'normal',
    'priority' => 'high',
    'fields'   => array(

        array(
            'name'    => _x( 'Link to teammate details page:', 'backend metabox', 'LEVELUP' ),
            'id'      => "{$prefix}go_page",
            'type'    => 'radio',
            'std'     => 0,
            'options' => array(
                0 => _x( 'No', 'backend metabox', 'LEVELUP' ),
                1 => _x( 'Yes', 'backend metabox', 'LEVELUP' ),
            ),
        ),

        array(
            'name'        => _x( 'Name:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}name",
            'type'        => 'text',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Job Position:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}job",
            'type'        => 'text',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Description:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}description",
            'type'        => 'textarea',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Personal blog / Website:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}link",
            'type'        => 'url',
            'std'         => '',
            'desc'        => esc_html__( 'Please input the URL for your page. I.e. http://www.puzzlerbox.com', 'LEVELUP' ),
            'top_divider' => true
        ),

        array(
            'name'        => _x( 'Hover Icon:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}hover_icon",
            'type'        => 'select',
            'options'     => array(
                ''              => esc_html__( 'None', 'LEVELUP' ),
                'email'         => esc_html__( 'Email', 'LEVELUP' ),
                'facebook'      => esc_html__( 'Facebook', 'LEVELUP' ),
                'twitter'       => esc_html__( 'Twitter', 'LEVELUP' ),
                'google'        => esc_html__( 'Google', 'LEVELUP' ),
                'dribbble'      => esc_html__( 'Dribbble', 'LEVELUP' ),
                'youtube'       => esc_html__( 'YouTube', 'LEVELUP' ),
                'delicious'     => esc_html__( 'Delicious', 'LEVELUP' ),
                'flickr'        => esc_html__( 'Flickr', 'LEVELUP' ),
                'lastfm'        => esc_html__( 'Lastfm', 'LEVELUP' ),
                'linkedin'      => esc_html__( 'Linkedin', 'LEVELUP' ),
                'vimeo'         => esc_html__( 'Vimeo', 'LEVELUP' ),
                'tumblr'        => esc_html__( 'Tumblr', 'LEVELUP' ),
                'pinterest'     => esc_html__( 'Pinterest', 'LEVELUP' ),
                'deviantart'    => esc_html__( 'Deviantart', 'LEVELUP' ),
                'github'        => esc_html__( 'Github', 'LEVELUP' ),
                'instagram'     => esc_html__( 'Instagram', 'LEVELUP' ),
                'stumbleupon'   => esc_html__( 'Stumbleupon', 'LEVELUP' ),
                'behance'       => esc_html__( 'Behance', 'LEVELUP' ),
                'px-500'        => esc_html__( '500px', 'LEVELUP' ),
                'forrst'        => esc_html__( 'Forrst', 'LEVELUP' ),
                'tripadvisor'   => esc_html__( 'TripAdvisor', 'LEVELUP' ),
                'vk'            => esc_html__( 'VK', 'LEVELUP' ),
                'foursquare'    => esc_html__( 'Foursquare', 'LEVELUP' ),
                'xing'          => esc_html__( 'XING', 'LEVELUP' ),
                'weibo'         => esc_html__( 'Weibo', 'LEVELUP' ),
                'odnoklassniki' => esc_html__( 'Odnoklassniki', 'LEVELUP' ),
            ),
            'std'         => '',
            'top_divider' => true
        ),

        array(
            'name'        => _x( 'E-mail:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}email",
            'type'        => 'text',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Facebook:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}facebook",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Twitter:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}twitter",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Google+:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}google",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Dribbble:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}dribbble",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'YouTube:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}youtube",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Rss:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}rss",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Delicious:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}delicious",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Flickr:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}flickr",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Forrst:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}forrst",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Lastfm:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}lastfm",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Linkedin:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}linkedin",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),

        array(
            'name'        => _x( 'Vimeo:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}vimeo",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Tumblr:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}tumblr",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Pinterest:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}pinterest",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),

        array(
            'name'        => _x( 'Deviantart:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}deviantart",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Skype:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}skype",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Github:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}github",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Instagram:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}instagram",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),

        array(
            'name'        => _x( 'Stumbleupon:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}stumbleupon",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Behance:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}behance",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( '500px:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}px-500",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'TripAdvisor:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}tripadvisor",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'VK:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}vk",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Foursquare:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}foursquare",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'XING:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}xing",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Weibo:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}weibo",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),
        array(
            'name'        => _x( 'Odnoklassniki:', 'backend metabox', 'LEVELUP' ),
            'id'          => "{$prefix}odnoklassniki",
            'type'        => 'url',
            'std'         => '',
            'top_divider' => true
        ),


    )
);
