<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}


class Levelup_Styles {

	function __construct( $with_actions = true ) {

		require_once get_template_directory() . '/inc/ext/minify/src/SimpleCssMinifier.php';

		if ( $with_actions ) {
			add_action( 'wp_footer', array( &$this, 'dynamic_styles' ), 11 );
		}
	}

	static function shortcode_id() {
		global $rdy_shortcode_order;

		$rdy_shortcode_order ++;

		return $rdy_shortcode_order;
	}

	static function addCSS( $app_styles, $id ) {
		global $app_dynamic_styles;

		$app_dynamic_styles[] = array(
			'id'     => $id,
			'inject' => $app_styles
		);

	}

	function dynamic_styles() {
		global $app_dynamic_styles;

		if ( empty( $styles ) ) {
			$css = '';
			if ( is_array( $app_dynamic_styles ) && ! empty( $app_dynamic_styles ) ) {
				foreach ( $app_dynamic_styles as $style ) {
					$css .= $style['inject'];
				}
			}
			$css = preg_replace( '/\r|\n|\t/', '', $css );
			$css = self::minify_string( $css, "css" );
		}

		if ( ! empty( $css ) ) {
			echo '<style id="dynamic_styles" type="text/css">' . $css . '</style>';
		}

	}

	static function minify_string( $string, $extension ) {
		if ( $extension == "css" ) {
			$minifier         = new BirdySimpleCssMinifier();
			$minified_content = $minifier->minify( $string );
		} else {
			die( "wrong extension for minify_string" );
		}

		return $minified_content;
	}

}

new Levelup_Styles();