<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }


function levelup_new_themeoptions_to_less( $options_inteface = array() ) {

    global $levelup_options;

    $options_inteface[] = array(
        'type' 		=> 'number',
        'wrap'		=> array('', '%'),
        'less_vars' => array( 'plain-hover-opacity' ),
        'php_vars'	=> array(
            'number' => array('image-hover-bg-opacity', '100')
        ),
    );

    $image_defaults = array(
        'background-image'      => '',
        'background-repeat'		=> 'repeat',
        'background-size'		=> 'inherit',
        'background-attachment'	=> 'inherit',
        'background-position'	=> 'center center',
        'background-color'	    => '#fff',
    );

    $font_family_falloff = ', Helvetica, Arial, Verdana, sans-serif';
    $font_family_defaults = array('family' => 'Open Sans');


    /* Header */

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'logo-height' ),
        'php_vars'	=> array( 'number' => array('logo-height', 60) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'use-logo-image' ),
        'php_vars'	=> array( 'number' => array(NULL, ( $levelup_options['use-logo'] == 'image') ? 1 : 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'logo-mobile-height' ),
        'php_vars'	=> array( 'number' => array('logo-mobile-height', 20) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'logo-mobile' ),
        'php_vars'	=> array( 'number' => array(NULL, ( isset($levelup_options['logo-mobile']) ) ? 1 : 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'menu-dropdown-hover' ),
        'php_vars'	=> array( 'number' => array('menu-dropdown-hover', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-menu-dropdown-hover-bgcolor' ),
        'php_vars'	=> array( 'color' => array('header-menu-dropdown-hover-bgcolor', '#000000') )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'use-header-menu-dropdown-hover' ),
        'php_vars'	=> array( 'number' => array(NULL, (!empty($levelup_options['header-menu-drop-hover'])) ? 1 : 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-menu-dropdown-hover-color' ),
        'php_vars'	=> array( 'color' => array('header-menu-drop-hover-color', '#000000') )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-menu-padding-top' ),
        'php_vars'	=> array( 'number' => array('header-menu-padding-top', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-menu-padding-left' ),
        'php_vars'	=> array( 'number' => array('header-menu-padding-left', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-menu-padding-right' ),
        'php_vars'	=> array( 'number' => array('header-menu-padding-right', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-menu-padding' ),
        'php_vars'	=> array( 'number' => array('header-menu-padding', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-menu-icon-padding' ),
        'php_vars'	=> array( 'number' => array('header-menu-icon-padding', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-menu-title-items-margin-bottom' ),
        'php_vars'	=> array( 'number' => array('header-menu-title-items-margin-bottom', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-menu-dropdown-bgcolor' ),
        'php_vars'	=> array( 'color' => array('header-menu-dropdown-bgcolor', '#000000') )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'menu-dropdown-separator' ),
        'php_vars'	=> array( 'number' => array('menu-dropdown-separator', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'menu-dropdown-separator-color' ),
        'php_vars'	=> array( 'color' => array('menu-dropdown-separator-color', '#000') )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-lines-color' ),
        'php_vars'	=> array( 'color' => array('header-lines-color', '#000000') )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-dividers-lines-color' ),
        'php_vars'	=> array( 'color' => array('header-dividers-lines-color', '#000000') )
    );
    $options_inteface[] = array(
        'type'		=> 'rgba_color',
        'less_vars'	=> array( 'header-side_icons-bg_color' ),
        'php_vars'	=> array(
            'color' 	=> array( 'header-side_icons-bg_color', '#ffffff' ),
            'opacity'	=> array( 'header-side_icons-opacity', 100 )
        ),
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-side_icons-rounded' ),
        'php_vars'	=> array( 'number' => array('header-side_icons-rounded', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-social-hover' ),
        'php_vars'	=> array( 'number' => array('header-social-hover', 1) )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-social-color' ),
        'php_vars'	=> array(
            'color' => array('header-social-color', '#ffffff'),
            'isLight' => true,
            'less_var' => 'header-social-color-light'
        )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-social-height' ),
        'php_vars'	=> array( 'number' => array( 'header-social-height', 16) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-social-padding' ),
        'php_vars'	=> array( 'number' => array( 'header-social-padding', 14) )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-topbar-social_padding' ),
        'php_vars'	=> array( 'number' => array( 'header-topbar-social_padding', 4) )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-topbar-social_hover_color' ),
        'php_vars'	=> array( 'color' => array('header-topbar-social_hover_color', '#ffffff') )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-topbar-font_size' ),
        'php_vars'	=> array( 'number' => array( 'header-topbar-font_size', 14) )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-topbar-font_color' ),
        'php_vars'	=> array( 'color' => array('header-topbar-font_color', '#ffffff') )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-topbar-background_color' ),
        'php_vars'	=> array( 'color' => array('header-topbar-background_color', '#000000') )
    );


    /* Page Header */

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'page-title-background-color' ),
        'php_vars'	=> array( 'color' => array('page-title-background-color', 'transparent') )
    );

    $options_inteface[] = array(
        'type' => 'image_bg',
        'less_vars' => array(
            'page-title-background-image',
            'page-title-background-repeat',
            'page-title-background-size',
            'page-title-background-attachment',
            'page-title-background-position',
        ),
        'php_vars' => array( 'image' => array( 'page-title-background-image', $image_defaults ) ),
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'page-title-fancy-separator-margin' ),
        'php_vars'	=> array( 'number' => array('page-title-fancy-separator-margin', 45) )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'page-title-category-description_width' ),
        'php_vars'	=> array( 'number' => array('page-title-category-description_width', 700) )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'page-title-breadcrumbs-fontsize' ),
        'php_vars'	=> array( 'number' => array('page-title-breadcrumbs-fontsize', 13) )
    );


    /* Colors */

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'body-color' ),
        'php_vars'	=> array( 'color' => array('body-color', '#333333') )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'heading-color' ),
        'php_vars'	=> array( 'color' => array('heading-color', '#000000') , )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-background-color' ),
        'php_vars'	=> array( 'color' => array(
            'header-background-color', '#000000'),
            'isLight' => true,
            'less_var' => 'header-background-color-light'
        )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'mobile-header-background-color' ),
        'php_vars'	=> array( 'color' => array(
            'mobile-header-background-color', '#ffffff'),
        )
    );
    $options_inteface[] = array(
        'type'		=> 'rgba_color',
        'less_vars'	=> array( 'mobile-menu-background-color' ),
        'php_vars'	=> array(
			'color' 	=> array( 'mobile-menu-background-color', '#ffffff' ),
			'opacity'	=> array( 'mobile-menu-background-opacity', 100 ),
		),
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'mobile-menu-social-color' ),
        'php_vars'	=> array( 'color' => array(
            'mobile-menu-social-color', '#000000'),
        )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'mobile-header-icons-color' ),
        'php_vars'	=> array( 'color' => array(
            'mobile-header-icons-color', '#000000'),
        )
    );

    if ( $levelup_options['header-layout'] == 'gamburg' || $levelup_options['header-layout']) {
        $var_header_background = 1;
    } else {
        $var_header_background = levelup_get_options('header-background');
    }

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-background' ),
        'php_vars'	=> array( 'number' => array(NULL, $var_header_background) )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'buttons-color' ),
        'php_vars'	=> array(
            'color' => array('buttons-color', '#000000'),
            'isLight' => true,
            'less_var' => 'buttons-color-light'
        )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-menu-color' ),
        'php_vars'	=> array(
            'color' => array('header-menu-color', '#000000') ,
            'isLight' => true,
            'less_var' => 'header-menu-color-light'
        )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-menu-drop-color' ),
        'php_vars'	=> array(
            'color' => array('header-menu-drop-color', '#000000') ,
            'isLight' => true,
            'less_var' => 'header-menu-drop-color-light'
        )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-menu-drop-line-color' ),
        'php_vars'	=> array(
            'color' => array('header-menu-drop-line-color', '#000000') ,
        )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-active-item-enable' ),
        'php_vars'	=> array( 'number' => array('header-active-item-enable', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'menu-hover' ),
        'php_vars'	=> array( 'number' => array(NULL, $levelup_options['menu-hover'] ? 1 : ''))
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'menu-hover-accent' ),
        'php_vars'	=> array( 'number' => array(NULL, $levelup_options['menu-hover'] == 1 ? 1 : 0))
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'menu-hover-custom' ),
        'php_vars'	=> array( 'number' => array(NULL, $levelup_options['menu-hover'] == 2 ? 1 : 0))
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'header-icons-hover' ),
        'php_vars'	=> array( 'number' => array('header-icons-hover', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-menu-hover-color' ),
        'php_vars'	=> array( 'color' => array('header-menu-hover-color', '#333333') , )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'header-widget-color' ),
        'php_vars'	=> array( 'color' => array('header-widget-color', '#000000') , )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'accent-color' ),
        'php_vars'	=> array(
            'color' => array('accent-color', '#ffffff') ,
            'isLight' => true,
            'less_var' => 'accent-color-light'
        )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'accent-color' ),
        'php_vars'	=> array(
            'color' => array('accent-color', '#ffffff') ,
            'isLight' => true,
            'less_var' => 'accent-color-light'
        )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'selection-color' ),
        'php_vars'	=> array(
            'color' => array( 'selection-color', $levelup_options['accent-color'] ? $levelup_options['accent-color'] : '#333333' ),
            'isLight' => true,
            'less_var' => 'selection-color-light'
        ),
    );

    $options_inteface[] = array(
        'type' => 'image_bg',
        'less_vars' => array(
            'layout-background-image',
            'layout-background-repeat',
            'layout-background-size',
            'layout-background-attachment',
            'layout-background-position',
            'layout-background-color',
        ),
        'php_vars' => array( 'image' => array( 'layout-background', $image_defaults ) ),
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'links-color' ),
        'php_vars'	=> array( 'color' => array('links-color', '#000000') )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'links-color-hover' ),
        'php_vars'	=> array( 'color' => array('links-color-hover', '#000000') )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'lines-color' ),
        'php_vars'	=> array( 'color' => array('lines-color', '#cccccc') )
    );


    /* Typography */

    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'body-font-family',
            'body-font-weight',
            'body-font-style',
            'body-font-size',
            '',
            '',
            'body-font-letter-spacing'
        ),
        'php_vars'  => array( 'font' => array( 'body_font', $font_family_defaults ) ),
    );

    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'h1-font-family',
            'h1-font-weight',
            'h1-font-style',
            'h1-font-size',
            'h1-font-transform',
            'h1-font-line-height',
            'h1-font-letter-spacing'
        ),
        'php_vars'  => array( 'font' => array( 'h1_font', $font_family_defaults ) ),
    );

    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'h2-font-family',
            'h2-font-weight',
            'h2-font-style',
            'h2-font-size',
            'h2-font-transform',
            'h2-font-line-height',
            'h2-font-letter-spacing'
        ),
        'php_vars'  => array( 'font' => array( 'h2_font', $font_family_defaults ) ),
    );

    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'h3-font-family',
            'h3-font-weight',
            'h3-font-style',
            'h3-font-size',
            'h3-font-transform',
            'h3-font-line-height',
            'h3-font-letter-spacing'
        ),
        'php_vars'  => array( 'font' => array( 'h3_font', $font_family_defaults ) ),
    );

    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'h4-font-family',
            'h4-font-weight',
            'h4-font-style',
            'h4-font-size',
            'h4-font-transform',
            'h4-font-line-height',
            'h4-font-letter-spacing'
        ),
        'php_vars'  => array( 'font' => array( 'h4_font', $font_family_defaults ) ),
    );

    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'h5-font-family',
            'h5-font-weight',
            'h5-font-style',
            'h5-font-size',
            'h5-font-transform',
            'h5-font-line-height',
            'h5-font-letter-spacing'
        ),
        'php_vars'  => array( 'font' => array( 'h5_font', $font_family_defaults ) ),
    );

    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'h6-font-family',
            'h6-font-weight',
            'h6-font-style',
            'h6-font-size',
            'h6-font-transform',
            'h6-font-line-height',
            'h6-font-letter-spacing'
        ),
        'php_vars'  => array( 'font' => array( 'h6_font', $font_family_defaults ) ),
    );
    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'blockquote-font-family',
            'blockquote-font-weight',
            'blockquote-font-style',
            'blockquote-font-size',
            'blockquote-font-transform',
            'blockquote-font-line-height',
            'blockquote-font-letter-spacing'
        ),
        'php_vars'  => array( 'font' => array( 'blockquote_font', $font_family_defaults ) ),
    );

	$options_inteface[] = array(
		'type'      => 'font',
		'less_vars' => array(
			'mobile_menu-font-family',
			'mobile_menu-font-weight',
			'mobile_menu-font-style',
			'mobile_menu-font-size',
			'mobile_menu-font-transform',
			'',
			'',
			'mobile_menu-font-color'
		),
		'php_vars'  => array( 'font' => array( 'mobile_menu-font', $font_family_defaults ) ),
	);

	$options_inteface[] = array(
		'type'      => 'font',
		'less_vars' => array(
			'mobile_menu-drop-font-family',
			'mobile_menu-drop-font-weight',
			'mobile_menu-drop-font-style',
			'mobile_menu-drop-font-size',
			'mobile_menu-drop-font-transform',
			'',
			'',
			'mobile_menu-drop-font-color'
		),
		'php_vars'  => array( 'font' => array( 'mobile_menu-drop-font', $font_family_defaults ) ),
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'mobile_menu-items-padding' ),
		'php_vars'	=> array( 'number' => array( 'mobile_menu-items-padding', 10) )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'mobile_menu-sub-items-padding' ),
		'php_vars'	=> array( 'number' => array( 'mobile_menu-sub-items-padding', 10) )
	);


    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'blockquote-color' ),
        'php_vars'	=> array( 'color' => array('blockquote-color', ($levelup_options['accent-color'] ? $levelup_options['accent-color'] : '#0000000')) )
    );


    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'h1_font_margin' ),
        'php_vars'	=> array( 'number' => array( 'h1_font_margin', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'h2_font_margin' ),
        'php_vars'	=> array( 'number' => array( 'h2_font_margin', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'h3_font_margin' ),
        'php_vars'	=> array( 'number' => array( 'h3_font_margin', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'h4_font_margin' ),
        'php_vars'	=> array( 'number' => array( 'h4_font_margin', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'h5_font_margin' ),
        'php_vars'	=> array( 'number' => array( 'h5_font_margin', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'h6_font_margin' ),
        'php_vars'	=> array( 'number' => array( 'h6_font_margin', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'project_title_margin_bottom' ),
        'php_vars'	=> array( 'number' => array( 'project_title_font-margin_bottom', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'project_subtitle_margin_bottom' ),
        'php_vars'	=> array( 'number' => array( 'project_subtitle_font-margin_bottom', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'font',
//        'wrap'		=> array( '"', '"' . $font_family_falloff ),
        'less_vars'	=> array(
            'menu_widget_title-family',
            'menu_widget_title-weight',
            'menu_widget_title-style',
            'menu_widget_title-size',
            'menu_widget_title-transform',
            'menu_widget_title-line-height',
            'menu_widget_title-letter-spacing'
        ),
        'php_vars'	=> array( 'font' => array('menu_widget_title_font', $font_family_defaults) ),
    );

    $options_inteface[] = array(
        'type'		=> 'font',
//        'wrap'		=> array( '"', '"' . $font_family_falloff ),
        'less_vars'	=> array(
            'menu_widget_text-family',
            'menu_widget_text-weight',
            'menu_widget_text-style',
            'menu_widget_text-size',
            'menu_widget_text-transform',
            'menu_widget_text-line-height',
            'menu_widget_text-letter-spacing'
        ),
        'php_vars'	=> array( 'font' => array('menu_widget_text_font', $font_family_defaults) ),
    );

    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'menu-font-family',
            'menu-font-weight',
            'menu-font-style',
            'menu-font-size',
            'menu-font-transform',
            'menu-line-height',
            'menu-font-letter-spacing'
        ),
        'php_vars'  => array( 'font' => array( 'menu_font', $font_family_defaults ) ),
    );
    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'menu_drop-font-family',
            'menu_drop-font-weight',
            'menu_drop-font-style',
            'menu_drop-font-size',
            'menu_drop-font-transform',
            'menu_drop-line-height',
            'menu_drop-font-letter-spacing'
        ),
        'php_vars'  => array( 'font' => array( 'menu_font_dropdown', $font_family_defaults ) ),
    );

    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'page_title-font-family',
            'page_title-font-weight',
            'page_title-font-style',
            'page_title-font-size',
            'page_title-font-transform',
            'page_title-line-height',
            'page_title-font-letter-spacing',
            'page_title-font-color'
        ),
        'php_vars'  => array( 'font' => array( 'page_title_font', $font_family_defaults ) ),
    );
    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'page_subtitle-font-family',
            'page_subtitle-font-weight',
            'page_subtitle-font-style',
            'page_subtitle-font-size',
            'page_subtitle-font-transform',
            'page_subtitle-line-height',
            'page_subtitle-font-letter-spacing',
            'page_subtitle-font-color'
        ),
        'php_vars'  => array( 'font' => array( 'page_subtitle_font', $font_family_defaults ) ),
    );

    $options_inteface[] = array(
        'type'      => 'number',
        'less_vars' => array( 'page_title_margin_bottom' ),
        'php_vars'  => array( 'number' => array( 'page_title_margin_bottom', 0 ) )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'page_subtitle_margin_bottom' ),
        'php_vars'	=> array( 'number' => array( 'page_subtitle_margin_bottom', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'page-title-bottom-line-enable' ),
        'php_vars'	=> array( 'number' => array('page-title-bottom-line-enable', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'page-title-bottom-line-height' ),
        'php_vars'	=> array( 'number' => array( 'page-title-bottom-line-height', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'page-title-bottom-line-color' ),
        'php_vars'	=> array( 'color' => array('page-title-bottom-line-color', '#000000') )
    );

    $options_inteface[] = array(
        'type' => 'font',
//        'wrap' => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'accordion-font-family',
            'accordion-font-weight',
            'accordion-font-style',
            'accordion-font-size',
            '',
            '',
            'accordion-font-letter-spacing'
        ),
        'php_vars' => array( 'font' => array( 'accordion_title_font', $font_family_defaults ) ),
    );

    $options_inteface[] = array(
        'type' => 'font',
//        'wrap' => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'tabs-font-family',
            'tabs-font-weight',
            'tabs-font-style',
            'tabs-font-size',
            '',
            '',
            'tabs-font-letter-spacing'
        ),
        'php_vars' => array( 'font' => array( 'tabs_title_font', $font_family_defaults ) ),
    );

    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'logo-title-font-family',
            'logo-title-font-weight',
            'logo-title-font-style',
            'logo-title-font-size',
            'logo-title-font-transform',
            '',
            '',
            'logo-title-font-color'
        ),

        'php_vars' => array( 'font' => array( 'logo-title-font', $font_family_defaults ) ),
    );

    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'dropcaps_font-font-family',
            'dropcaps_font-font-weight',
            'dropcaps_font-font-style',
            'dropcaps_font-font-size',
            'dropcaps_font-font-transform',
            'dropcaps_font-line-height',
            '',
            'dropcaps_font-font-color'
        ),

        'php_vars' => array( 'font' => array( 'dropcaps_font', $font_family_defaults ) ),
    );

    $options_inteface[] = array(
        'type'      => 'font',
//        'wrap'      => array( '"', '"' . $font_family_falloff ),
        'less_vars' => array(
            'dropcaps2_font-font-family',
            'dropcaps2_font-font-weight',
            'dropcaps2_font-font-style',
            'dropcaps2_font-font-size',
            'dropcaps2_font-font-transform',
            'dropcaps2_font-line-height',
            '',
            'dropcaps2_font-font-color'
        ),

        'php_vars' => array( 'font' => array( 'dropcaps2_font', $font_family_defaults ) ),
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'dropcaps2_left' ),
        'php_vars'	=> array( 'number' => array('dropcaps2_left', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'dropcaps2_top' ),
        'php_vars'	=> array( 'number' => array('dropcaps2_top', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'font',
//        'wrap'		=> array( '"', '"' . $font_family_falloff ),
        'less_vars'	=> array(
            'blog_title-font-family',
            'blog_title-font-weight',
            'blog_title-font-style',
            'blog_title-font-size',
            'blog_title-font-transform',
            'blog_title-line-height',
            'blog_title-font-letter-spacing',
            'blog_title-font-color'
        ),
        'php_vars'	=> array( 'font' => array('blog_title_font', $font_family_defaults) ),
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'blog_title_margin_bottom' ),
        'php_vars'	=> array( 'number' => array('blog_title_margin_bottom', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'font',
//        'wrap'		=> array( '"', '"' . $font_family_falloff ),
        'less_vars'	=> array(
            'blog_subtitle-font-family',
            'blog_subtitle-font-weight',
            'blog_subtitle-font-style',
            'blog_subtitle-font-size',
            'blog_subtitle-font-transform',
            'blog_subtitle-line-height',
            'blog_subtitle-font-letter-spacing',
            'blog_subtitle-font-color'
        ),
        'php_vars'	=> array( 'font' => array('blog_subtitle_font', $font_family_defaults) ),
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'blog_subtitle_margin_bottom' ),
        'php_vars'	=> array( 'number' => array('blog_subtitle_margin_bottom', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'font',
        'less_vars'	=> array(
            'gallery_title-font-family',
            'gallery_title-font-weight',
            'gallery_title-font-style',
            'gallery_title-font-size',
            'gallery_title-font-transform',
            'gallery_title-line-height',
            'gallery_title-font-letter-spacing',
            'gallery_title-font-color'
        ),
        'php_vars'	=> array( 'font' => array('gallery_title_font', $font_family_defaults) ),
    );
    $options_inteface[] = array(
        'type'		=> 'font',
//        'wrap'		=> array( '"', '"' . $font_family_falloff ),
        'less_vars'	=> array(
            'portfolio_title-font-family',
            'portfolio_title-font-weight',
            'portfolio_title-font-style',
            'portfolio_title-font-size',
            'portfolio_title-font-transform',
            'portfolio_title-line-height',
            'portfolio_title-font-letter-spacing',
            'portfolio_title-font-color'
        ),
        'php_vars'	=> array( 'font' => array('portfolio_title_font', $font_family_defaults) ),
    );
    $options_inteface[] = array(
        'type'		=> 'font',
//        'wrap'		=> array( '"', '"' . $font_family_falloff ),
        'less_vars'	=> array(
            'portfolio_subtitle-font-family',
            'portfolio_subtitle-font-weight',
            'portfolio_subtitle-font-style',
            'portfolio_subtitle-font-size',
            'portfolio_subtitle-font-transform',
            'portfolio_subtitle-line-height',
            'portfolio_subtitle-font-letter-spacing',
            'portfolio_subtitle-font-color'
        ),
        'php_vars'	=> array( 'font' => array('portfolio_subtitle_font', $font_family_defaults) ),
    );

    $options_inteface[] = array(
        'type'		=> 'font',
//        'wrap'		=> array( '"', '"' . $font_family_falloff ),
        'less_vars'	=> array(
            'project_title-font-family',
            'project_title-font-weight',
            'project_title-font-style',
            'project_title-font-size',
            'project_title-font-transform',
            'project_title-line-height',
            'project_title-font-letter-spacing'
        ),
        'php_vars'	=> array( 'font' => array('project_title_font', $font_family_defaults) ),
    );
    $options_inteface[] = array(
        'type'		=> 'font',
//        'wrap'		=> array( '"', '"' . $font_family_falloff ),
        'less_vars'	=> array(
            'project_subtitle-font-family',
            'project_subtitle-font-weight',
            'project_subtitle-font-style',
            'project_subtitle-font-size',
            'project_subtitle-font-transform',
            'project_subtitle-line-height',
            'project_subtitle-font-letter-spacing'
        ),
        'php_vars'	=> array( 'font' => array('project_subtitle_font', $font_family_defaults) ),
    );

    $options_inteface[] = array(
        'type'		=> 'font',
//        'wrap'		=> array( '"', '"' . $font_family_falloff ),
        'less_vars'	=> array(
            'shop_catalog_pagetitle-font-family',
            'shop_catalog_pagetitle-font-weight',
            'shop_catalog_pagetitle-font-style',
            'shop_catalog_pagetitle-font-size',
            'shop_catalog_pagetitle-font-transform',
            'shop_catalog_pagetitle-line-height',
            'shop_catalog_pagetitle-font-letter-spacing'
        ),
        'php_vars'	=> array( 'font' => array('shop_catalog_pagetitle', $font_family_defaults) ),
    );
    $options_inteface[] = array(
        'type'		=> 'font',
//        'wrap'		=> array( '"', '"' . $font_family_falloff ),
        'less_vars'	=> array(
            'shop_title-font-family',
            'shop_title-font-weight',
            'shop_title-font-style',
            'shop_title-font-size',
            'shop_title-font-transform',
            'shop_title-line-height',
            'shop_title-font-letter-spacing'
        ),
        'php_vars'	=> array( 'font' => array('shop_catalog_title', $font_family_defaults) ),
    );
    $options_inteface[] = array(
        'type'		=> 'font',
//        'wrap'		=> array( '"', '"' . $font_family_falloff ),
        'less_vars'	=> array(
            'shop_category-font-family',
            'shop_category-font-weight',
            'shop_category-font-style',
            'shop_category-font-size',
            'shop_category-font-transform',
            'shop_category-line-height',
            'shop_category-font-letter-spacing'
        ),
        'php_vars'	=> array( 'font' => array('shop_catalog_category', $font_family_defaults) ),
    );

    $options_inteface[] = array(
        'type'		=> 'font',
//        'wrap'		=> array( '"', '"' . $font_family_falloff ),
        'less_vars'	=> array(
            'shop_product_title-font-family',
            'shop_product_title-font-weight',
            'shop_product_title-font-style',
            'shop_product_title-font-size',
            'shop_product_title-font-transform',
            'shop_product_title-line-height',
            'shop_product_title-font-letter-spacing'
        ),
        'php_vars'	=> array( 'font' => array('shop_product_title', $font_family_defaults) ),
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'project-list__text_color' ),
        'php_vars'	=> array( 'color' => array('project-list__text_color', '#000000') )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'project-list__text_hover_color' ),
        'php_vars'	=> array( 'color' => array('project-list__text_hover_color', '#000000') )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'paragraph-line_height' ),
        'php_vars'	=> array( 'number' => array('paragraph-line_height', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'paragraph-margin_bottom' ),
        'php_vars'	=> array( 'number' => array('paragraph-margin_bottom', 0) )
    );


    /* Footer */

    $options_inteface[] = array(
        'type' => 'image_bg',
        'less_vars' => array(
            'footer-area-background-image',
            'footer-area-background-repeat',
            'footer-area-background-size',
            'footer-area-background-attachment',
            'footer-area-background-position',
        ),
        'php_vars' => array( 'image' => array( 'footer-area-background-image', $image_defaults ) ),
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'footer-area-background' ),
        'php_vars'	=> array( 'color' => array('footer-area-background', '#ffffff') )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'footer-area-header-color' ),
        'php_vars'	=> array( 'color' => array('footer-area-header-color', '#000000') )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'footer-area-text-color' ),
        'php_vars'	=> array( 'color' => array('footer-area-text-color', '#ffffff') )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'footer-area-link-color' ),
        'php_vars'	=> array( 'color' => array('footer-area-link-color', '#ffffff') )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'footer-area-separator' ),
        'php_vars'	=> array( 'number' => array('footer-area-separator', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'footer-sub-background' ),
        'php_vars'	=> array( 'color' => array('footer-sub-background', '#ffffff') )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'footer-sub-text-color' ),
        'php_vars'	=> array(
            'color' => array( 'footer-sub-text-color', '#000' ) ,
            'isLight' => true,
            'less_var' => 'footer-sub-text-color-light'
        )
    );
    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'footer-sub-link-style' ),
        'php_vars'	=> array( 'color' => array( 'footer-sub-link-style', '#000000' ) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'footer-sub-link-underline' ),
        'php_vars'	=> array( 'number' => array( 'footer-sub-link-underline', 0 ) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'footer-area-link-underline' ),
        'php_vars'	=> array( 'number' => array( 'footer-area-link-underline', 0 ) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'footer-sub-logo-height' ),
        'php_vars'	=> array( 'number' => array( 'footer-sub-logo-height', 50) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'footer-sub-social-height' ),
        'php_vars'	=> array( 'number' => array( 'footer-sub-social-height', 16) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'footer-sub-social-padding' ),
        'php_vars'	=> array( 'number' => array( 'footer-sub-social-padding', 14) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'footer-sub-text-font_size' ),
        'php_vars'	=> array( 'number' => array( 'footer-sub-text-font_size', 12) )
    );


    /* Row */

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'vc_row__margin-bottom' ),
        'php_vars'	=> array( 'number' => array( 'vc_row__margin-bottom', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'vc_row__padding' ),
        'php_vars'	=> array( 'number' => array( 'vc_row__padding', 0) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'vc_column__spacing_xs' ),
        'php_vars'	=> array( 'number' => array( 'vc_column__spacing_xs', 0) )
    );


    /* Woocommerce */

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'woo-catalog-list-padding' ),
        'php_vars'	=> array( 'number' => array( 'woo-catalog-list-padding', 0) )
    );

    $options_inteface[] = array(
        'type'		=> 'font',
//        'wrap'		=> array( '"', '"' . $font_family_falloff ),
        'less_vars'	=> array(
            'wc-catalog-price_font-family',
            'wc-catalog-price_font-weight',
            'wc-catalog-price_font-style',
            'wc-catalog-price_font-size',
            'wc-catalog-price_font-transform',
            'wc-catalog-price_font-height',
            'wc-catalog-price_font-letter-spacing',
            'wc-catalog-price_font-color'
        ),
        'php_vars'	=> array( 'font' => array('wc-catalog-price_font', $font_family_defaults) ),
    );

    $options_inteface[] = array(
        'type'		=> 'font',
//        'wrap'		=> array( '"', '"' . $font_family_falloff ),
        'less_vars'	=> array(
            'wc-product-price_font-family',
            'wc-product-price_font-weight',
            'wc-product-price_font-style',
            'wc-product-price_font-size',
            'wc-product-price_font-transform',
            'wc-product-price_font-height',
            'wc-product-price_font-letter-spacing',
            'wc-product-price_font-color'
        ),
        'php_vars'	=> array( 'font' => array('wc-product-price_font', $font_family_defaults) ),
    );

	/* Footer */


	$options_inteface[] = array(
		'type'      => 'font',
		'less_vars' => array(
			'footer-area-title-font-family',
			'footer-area-title-font-weight',
			'footer-area-title-font-style',
			'footer-area-title-font-size',
			'footer-area-title-font-transform',
			'footer-area-title-font-line-height',
			'footer-area-title-font-letter-spacing'
		),
		'php_vars'  => array( 'font' => array( 'footer-area-title-font', $font_family_defaults ) ),
	);

	$options_inteface[] = array(
		'type'      => 'font',
		'less_vars' => array(
			'footer-area-text-font-family',
			'footer-area-text-font-weight',
			'footer-area-text-font-style',
			'footer-area-text-font-size',
			'footer-area-text-font-transform',
			'footer-area-text-font-line-height',
			'footer-area-text-font-letter-spacing'
		),
		'php_vars'  => array( 'font' => array( 'footer-area-text-font', $font_family_defaults ) ),
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'footer-area-padding_top' ),
		'php_vars'	=> array( 'number' => array( 'footer-area-padding_top', 60) )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'footer-area-padding_bottom' ),
		'php_vars'	=> array( 'number' => array( 'footer-area-padding_bottom', 60) )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'footer-area-title-padding_bottom' ),
		'php_vars'	=> array( 'number' => array( 'footer-area-title-padding_bottom', 60) )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'footer-sub-social-padding_top' ),
		'php_vars'	=> array( 'number' => array( 'footer-sub-social-padding_top', 60) )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'footer-sub-social-padding_bottom' ),
		'php_vars'	=> array( 'number' => array( 'footer-sub-social-padding_bottom', 45) )
	);

	$options_inteface[] = array(
		'type'		=> 'number_half',
		'less_vars'	=> array( 'footer-sub-blocks-el-padding' ),
		'php_vars'	=> array( 'number' => array( 'footer-sub-blocks-el-padding', 10) )
	);

	$options_inteface[] = array(
		'type'		=> 'number_half',
		'less_vars'	=> array( 'footer-sub-blocks2-el-padding' ),
		'php_vars'	=> array( 'number' => array( 'footer-sub-blocks2-el-padding', 10) )
	);


    /* MC4 */

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'mc4wp-form-button_color' ),
        'php_vars'	=> array( 'color' => array('mc4wp-form-button_color', '#000000') )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'mc4wp-form-button_hover_color' ),
        'php_vars'	=> array( 'color' => array('mc4wp-form-button_hover_color', '#333333') )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'mc4wp-form-text_color' ),
        'php_vars'	=> array( 'color' => array('mc4wp-form-text_color', '#ffffff') )
    );


    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'mc4wp-widget-form-button_color' ),
        'php_vars'	=> array( 'color' => array('mc4wp-widget-form-button_color', '#000000') )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'mc4wp-widget-form-button_hover_color' ),
        'php_vars'	=> array( 'color' => array('mc4wp-widget-form-button_hover_color', '#333333') )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'mc4wp-widget-form-text_color' ),
        'php_vars'	=> array( 'color' => array('mc4wp-widget-form-text_color', '#ffffff') )
    );

    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'mc4wp-widget-size_small' ),
        'php_vars'	=> array( 'number' => array(NULL, ( $levelup_options['mc4wp-widget-size'] == 'small' ? 1 : 0)) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'mc4wp-widget-size_medium' ),
        'php_vars'	=> array( 'number' => array(NULL, ( $levelup_options['mc4wp-widget-size'] == 'medium' ? 1 : 0)) )
    );
    $options_inteface[] = array(
        'type'		=> 'number',
        'less_vars'	=> array( 'mc4wp-widget-size_big' ),
        'php_vars'	=> array( 'number' => array(NULL, ( $levelup_options['mc4wp-widget-size'] == 'large' ? 1 : 0)) )
    );


    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'wpcf7-color-lines' ),
        'php_vars'	=> array( 'color' => array( 'wpcf7-color-lines', "#000000" ) )
    );

    $options_inteface[] = array(
        'type'		=> 'hex_color',
        'less_vars'	=> array( 'wpcf7-form-button_color' ),
        'php_vars'	=> array(
	        'color' => array('wpcf7-form-button_color', '#000000'),
	        'isLight' => true,
	        'less_var' => 'wpcf7-form-button_color-light'
        )
    );

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'wpcf7-color-lines-style-light' ),
		'php_vars'	=> array( 'number' => array(NULL, ( isset($levelup_options['wpcf7-color-lines-style']) && $levelup_options['wpcf7-color-lines-style'] == 'light') ? 1 : 0) )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'wpcf7-submit-border_radius' ),
		'php_vars'	=> array( 'number' => array('wpcf7-submit-border_radius', '') )
	);

	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'wpcf7-form-field-background_color' ),
		'php_vars'	=> array(
			'color' => array('wpcf7-form-field-background_color', '#ffffff'),
		)
	);

	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'wpcf7-form-field-border_color' ),
		'php_vars'	=> array(
			'color' => array('wpcf7-form-field-border_color', '#000000'),
		)
	);

	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'wpcf7-form-field-text_color' ),
		'php_vars'	=> array(
			'color' => array('wpcf7-form-field-text_color', '#000000'),
		)
	);


	/* CTA */

	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'header-cta-1-color' ),
		'php_vars'	=> array( 'color' => array('header-cta-1-color', '#000000') )
	);

	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'header-cta-1-action-color' ),
		'php_vars'	=> array( 'color' => array('header-cta-1-action-color', '#dddddd') )
	);

	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'header-cta-1-text-color' ),
		'php_vars'	=> array( 'color' => array('header-cta-1-text-color', '#ffffff') )
	);

	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'header-cta-1-action-text-color' ),
		'php_vars'	=> array( 'color' => array('header-cta-1-action-text-color', '#ffffff') )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'header-cta-1-border' ),
		'php_vars'	=> array( 'number' => array('header-cta-1-border', 0) )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'header-cta-1-border_radius' ),
		'php_vars'	=> array( 'number' => array('header-cta-1-border_radius', 0) )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'header-cta-1-padding' ),
		'php_vars'	=> array( 'number' => array('header-cta-1-padding', 0) )
	);


	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'header-cta-2-color' ),
		'php_vars'	=> array( 'color' => array('header-cta-2-color', '#000000') )
	);

	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'header-cta-2-action-color' ),
		'php_vars'	=> array( 'color' => array('header-cta-2-action-color', '#dddddd') )
	);

	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'header-cta-2-text-color' ),
		'php_vars'	=> array( 'color' => array('header-cta-2-text-color', '#ffffff') )
	);

	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'header-cta-2-action-text-color' ),
		'php_vars'	=> array( 'color' => array('header-cta-2-action-text-color', '#ffffff') )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'header-cta-2-border' ),
		'php_vars'	=> array( 'number' => array('header-cta-2-border', 0) )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'header-cta-2-border_radius' ),
		'php_vars'	=> array( 'number' => array('header-cta-2-border_radius', 0) )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'header-cta-2-padding' ),
		'php_vars'	=> array( 'number' => array('header-cta-2-padding', 0) )
	);


	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'header-cta-3-color' ),
		'php_vars'	=> array( 'color' => array('header-cta-3-color', '#000000') )
	);

	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'header-cta-3-action-color' ),
		'php_vars'	=> array( 'color' => array('header-cta-3-action-color', '#dddddd') )
	);

	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'header-cta-3-text-color' ),
		'php_vars'	=> array( 'color' => array('header-cta-3-text-color', '#ffffff') )
	);

	$options_inteface[] = array(
		'type'		=> 'hex_color',
		'less_vars'	=> array( 'header-cta-3-action-text-color' ),
		'php_vars'	=> array( 'color' => array('header-cta-3-action-text-color', '#ffffff') )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'header-cta-3-border' ),
		'php_vars'	=> array( 'number' => array('header-cta-3-border', 0) )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'header-cta-3-border_radius' ),
		'php_vars'	=> array( 'number' => array('header-cta-3-border_radius', 0) )
	);

	$options_inteface[] = array(
		'type'		=> 'number',
		'less_vars'	=> array( 'header-cta-3-padding' ),
		'php_vars'	=> array( 'number' => array('header-cta-3-padding', 0) )
	);


    return $options_inteface;
}
add_filter( 'levelup_less_options_interface', 'levelup_new_themeoptions_to_less', 16 );


function levelup_new_compilled_less_special_cases( $options = array() ) {
    global $levelup_options;

    if ( is_array( $levelup_options['menu_font'] ) && array_key_exists( 'font-size', $levelup_options['menu_font'] ) ) {
        $computed_size                   = intval( str_replace( 'px', '', $levelup_options['menu_font']['font-size'] ) );
        $options['menu-font-size_title'] = $computed_size + 1;
    }
    
    if ( is_array( $levelup_options['menu_font'] ) && array_key_exists( 'font-size', $levelup_options['menu_font_dropdown'] ) ) {
        $computed_size                        = intval( str_replace( 'px', '', $levelup_options['menu_font_dropdown']['font-size'] ) );
        $options['menu_drop-font-size_title'] = $computed_size + 1;
    }

    return $options;
}
add_filter( 'levelup_compiled_less_vars', 'levelup_new_compilled_less_special_cases', 16 );