<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( !class_exists( 'Levelup_Inc_Project_Post_Type' ) ){

    class Levelup_Inc_Project_Post_Type {
        public static $post_type = 'rdy_project';
        public static $taxonomy = 'rdy_project_category';
        public static $menu_position = 34;

        public static function register() {

            $labels = array(
                'name'               => esc_html__( 'Slides', 'LEVELUP' ),
                'singular_name'      => esc_html__( 'Slide', 'LEVELUP' ),
                'add_new'            => esc_html__( 'Add New', 'LEVELUP' ),
                'add_new_item'       => esc_html__( 'Add New Item', 'LEVELUP' ),
                'edit_item'          => esc_html__( 'Edit Item', 'LEVELUP' ),
                'new_item'           => esc_html__( 'New Item', 'LEVELUP' ),
                'view_item'          => esc_html__( 'View Item', 'LEVELUP' ),
                'search_items'       => esc_html__( 'Search Items', 'LEVELUP' ),
                'not_found'          => esc_html__( 'No items found', 'LEVELUP' ),
                'not_found_in_trash' => esc_html__( 'No items found in Trash', 'LEVELUP' ),
                'parent_item_colon'  => '',
                'menu_name'          => esc_html__( 'SLIDES', 'LEVELUP' )

            );

            $args = array(
                'labels'                => $labels,
                'public'                => true,
                'publicly_queryable'    => true,
                'show_ui'               => true,
                'show_in_menu'          => true,
                'query_var'             => true,
                'rewrite'               => array( 'slug' => 'slides' ),
                'capability_type'       => 'post',
                'has_archive'           => true,
                'hierarchical'          => false,
                'menu_position'         => self::$menu_position,
                'supports'              => array( 'title', 'editor', 'thumbnail', 'comments', 'excerpt', 'revisions', 'custom-fields' ),
                'menu_icon'             => plugins_url() . '/levelup-core/admin/assets/images/menu/project.png'
            );

            $args = apply_filters( 'levelup_post_type_' . self::$post_type . '_args', $args );

            register_post_type( self::$post_type, $args );

            $labels = array(
                'name'              => _x( 'Slides Categories',        'backend project', 'LEVELUP' ),
                'singular_name'     => _x( 'Slide Category',          'backend project', 'LEVELUP' ),
                'search_items'      => _x( 'Search in Slide Category','backend project', 'LEVELUP' ),
                'all_items'         => _x( 'Slides Categories',        'backend project', 'LEVELUP' ),
                'parent_item'       => _x( 'Parent Slides Category',   'backend project', 'LEVELUP' ),
                'parent_item_colon' => _x( 'Parent Slides Category:',  'backend project', 'LEVELUP' ),
                'edit_item'         => _x( 'Edit Slides Category',     'backend project', 'LEVELUP' ),
                'update_item'       => _x( 'Update Slides Category',   'backend project', 'LEVELUP' ),
                'add_new_item'      => _x( 'Add New Slides Category',  'backend project', 'LEVELUP' ),
                'new_item_name'     => _x( 'New Slides Category Name', 'backend project', 'LEVELUP' ),
                'menu_name'         => _x( 'Slides Categories',        'backend project', 'LEVELUP' )
            );

            $taxonomy_args = array(
                'hierarchical'          => true,
                'public'                => true,
                'labels'                => $labels,
                'show_ui'               => true,
                'rewrite'               => array('slug' => 'slides-category'),
                'show_admin_column'		=> true,
            );

            $taxonomy_args = apply_filters( 'levelup_taxonomy_' . self::$taxonomy . '_args', $taxonomy_args );

            register_taxonomy( self::$taxonomy, array( self::$post_type ), $taxonomy_args );

        }

    }

}


if ( !class_exists( 'Levelup_Inc_Portfolio_Post_Type' ) ){

    class Levelup_Inc_Portfolio_Post_Type {
        public static $post_type = 'rdy_portfolio';
        public static $taxonomy = 'rdy_portfolio_category';
        public static $menu_position = 35;

        public static function register() {

            $labels = array(
                'name'                  => _x('Portfolio',              'backend portfolio', 'LEVELUP'),
                'singular_name'         => _x('Portfolio',              'backend portfolio', 'LEVELUP'),
                'add_new'               => _x('Add New',                'backend portfolio', 'LEVELUP'),
                'add_new_item'          => _x('Add New Item',           'backend portfolio', 'LEVELUP'),
                'edit_item'             => _x('Edit Item',              'backend portfolio', 'LEVELUP'),
                'new_item'              => _x('New Item',               'backend portfolio', 'LEVELUP'),
                'view_item'             => _x('View Item',              'backend portfolio', 'LEVELUP'),
                'search_items'          => _x('Search Items',           'backend portfolio', 'LEVELUP'),
                'not_found'             => _x('No items found',         'backend portfolio', 'LEVELUP'),
                'not_found_in_trash'    => _x('No items found in Trash','backend portfolio', 'LEVELUP'),
                'parent_item_colon'     => '',
                'menu_name'             => _x('Portfolio', 'backend portfolio', 'LEVELUP')
            );

            $args = array(
                'labels'                => $labels,
                'public'                => true,
                'publicly_queryable'    => true,
                'show_ui'               => true,
                'show_in_menu'          => true,
                'query_var'             => true,
                'rewrite'               => array( 'slug' => 'portfolio' ),
                'capability_type'       => 'post',
                'has_archive'           => false,
                'hierarchical'          => false,
                'menu_position'         => self::$menu_position,
                'supports'              => array( 'title', 'editor', 'thumbnail', 'comments', 'excerpt', 'revisions', 'custom-fields' ),
                'menu_icon'             => plugins_url() . '/levelup-core/admin/assets/images/menu/portfolio.png'
            );

            $args = apply_filters( 'levelup_post_type_' . self::$post_type . '_args', $args );

            register_post_type( self::$post_type, $args );

            $labels = array(
                'name'              => _x( 'Portfolio Categories',        'backend portfolio', 'LEVELUP' ),
                'singular_name'     => _x( 'Portfolio Category',          'backend portfolio', 'LEVELUP' ),
                'search_items'      => _x( 'Search in Portfolio Category','backend portfolio', 'LEVELUP' ),
                'all_items'         => _x( 'Portfolio Categories',        'backend portfolio', 'LEVELUP' ),
                'parent_item'       => _x( 'Parent Portfolio Category',   'backend portfolio', 'LEVELUP' ),
                'parent_item_colon' => _x( 'Parent Portfolio Category:',  'backend portfolio', 'LEVELUP' ),
                'edit_item'         => _x( 'Edit Portfolio Category',     'backend portfolio', 'LEVELUP' ),
                'update_item'       => _x( 'Update Portfolio Category',   'backend portfolio', 'LEVELUP' ),
                'add_new_item'      => _x( 'Add New Portfolio Category',  'backend portfolio', 'LEVELUP' ),
                'new_item_name'     => _x( 'New Portfolio Category Name', 'backend portfolio', 'LEVELUP' ),
                'menu_name'         => _x( 'Portfolio Categories',        'backend portfolio', 'LEVELUP' )
            );

            $taxonomy_args = array(
                'hierarchical'          => true,
                'public'                => true,
                'labels'                => $labels,
                'show_ui'               => true,
                'rewrite'               => array('slug' => 'portfolio-category'),
                'show_admin_column'		=> true,
            );

            $taxonomy_args = apply_filters( 'levelup_taxonomy_' . self::$taxonomy . '_args', $taxonomy_args );

            register_taxonomy( self::$taxonomy, array( self::$post_type ), $taxonomy_args );

        }

    }

}


if ( !class_exists( 'Levelup_Inc_Team_Post_Type' ) ){

    class Levelup_Inc_Team_Post_Type {
        public static $post_type = 'rdy_team';
        public static $taxonomy = 'rdy_team_category';
        public static $menu_position = 37;

        public static function register() {

            $labels = array(
                'name'                  => _x('Team',              			'backend team', 'LEVELUP'),
                'singular_name'         => _x('Teammate',              			'backend team', 'LEVELUP'),
                'add_new'               => _x('Add New',                	'backend team', 'LEVELUP'),
                'add_new_item'          => _x('Add New Teammate',           'backend team', 'LEVELUP'),
                'edit_item'             => _x('Edit Teammate',              'backend team', 'LEVELUP'),
                'new_item'              => _x('New Teammate',               'backend team', 'LEVELUP'),
                'view_item'             => _x('View Teammate',              'backend team', 'LEVELUP'),
                'search_items'          => _x('Search Teammates',           'backend team', 'LEVELUP'),
                'not_found'             => _x('No teammates found',         'backend team', 'LEVELUP'),
                'not_found_in_trash'    => _x('No Teammates found in Trash','backend team', 'LEVELUP'),
                'parent_item_colon'     => '',
                'menu_name'             => _x('Team', 'backend team', 'LEVELUP')
            );

            $args = array(
                'labels'                => $labels,
                'public'                => true,
                'publicly_queryable'    => true,
                'show_ui'               => true,
                'show_in_menu'          => true,
                'query_var'             => true,
                'rewrite'               => array( 'slug' => self::$post_type ),
                'capability_type'       => 'post',
                'has_archive'           => false,
                'hierarchical'          => false,
                'menu_position'         => self::$menu_position,
                'supports'              => array( 'title', 'editor', 'comments', 'excerpt', 'thumbnail' ),
                'menu_icon'             => plugins_url() . '/levelup-core/admin/assets/images/menu/team.png'
            );

            $args = apply_filters( 'levelup_post_type_' . self::$post_type . '_args', $args );

            register_post_type( self::$post_type, $args );

            $labels = array(
                'name'              => _x( 'Team Categories',        'backend team', 'LEVELUP' ),
                'singular_name'     => _x( 'Team Category',          'backend team', 'LEVELUP' ),
                'search_items'      => _x( 'Search in Team Category','backend team', 'LEVELUP' ),
                'all_items'         => _x( 'Team Categories',        'backend team', 'LEVELUP' ),
                'parent_item'       => _x( 'Parent Team Category',   'backend team', 'LEVELUP' ),
                'parent_item_colon' => _x( 'Parent Team Category:',  'backend team', 'LEVELUP' ),
                'edit_item'         => _x( 'Edit Team Category',     'backend team', 'LEVELUP' ),
                'update_item'       => _x( 'Update Team Category',   'backend team', 'LEVELUP' ),
                'add_new_item'      => _x( 'Add New Team Category',  'backend team', 'LEVELUP' ),
                'new_item_name'     => _x( 'New Team Category Name', 'backend team', 'LEVELUP' ),
                'menu_name'         => _x( 'Team Categories',        'backend team', 'LEVELUP' )
            );

            $taxonomy_args = array(
                'hierarchical'          => true,
                'public'                => true,
                'labels'                => $labels,
                'show_ui'               => true,
                'rewrite'               => true,
                'show_admin_column'		=> true,
            );

            $taxonomy_args = apply_filters( 'levelup_taxonomy_' . self::$taxonomy . '_args', $taxonomy_args );

            register_taxonomy( self::$taxonomy, array( self::$post_type ), $taxonomy_args );
        }

        public static function render_teammate( $post_id = null ) {
            $post_id = $post_id ? $post_id : get_the_ID();

            if ( !$post_id ) return '';
            $html = '';

            $content = get_the_content( $post_id );
            if ( $content ) $content = '<div class="team-content">' . wpautop( $content ) . '</div>';

            $image = '';
            if ( has_post_thumbnail( $post_id ) ) {

                $thumb_id = get_post_thumbnail_id( $post_id );

                $teammate_thumb_args = array(
                    'img_meta'      => wp_get_attachment_image_src( $thumb_id, 'full' ),
                    'img_id'		=> $thumb_id,
                    'options'       => false,
                    'echo'			=> false,
                    'wrap'			=> '<img %IMG_CLASS% %SRC% %SIZE% %IMG_TITLE% %ALT% />',
                );

                $teammate_thumb_args = apply_filters('teammate_thumbnail_args', $teammate_thumb_args);

                $image = levelup_get_thumb_img( $teammate_thumb_args );

            }

            $links = array();
            if ( function_exists('levelup_get_team_links_array') ) {

                foreach ( levelup_get_team_links_array() as $id=>$data ) {
                    $link = get_post_meta( $post_id, '_rdy_teammate_options_' . $id, true );

                    if ( $link ) {
                        $links[] = levelup_get_social_icon( $id, $link, $data['desc'] );
                    }
                }

            }

            if ( empty($links) ) {
                $links = '';
            } else {
                $links = '<div class="soc-ico">' . implode('', $links) . '</div>';
            }

            $position = get_post_meta( $post_id, '_rdy_teammate_options_position', true );
            if ( $position ) {
                $position = '<p>' . $position . '</p>';
            } else {
                $position = '';
            }

            $title = get_the_title( $post_id );
            if ( $title ) {
                $title = '<div class="team-author-name">' . $title . '</div>';
            } else {
                $title = '';
            }

            $author_block = $title . $position;
            if ( $author_block ) {
                $author_block = '<div class="team-author">' . $author_block . '</div>';
            }

            $html = sprintf(
                '<div class="team-container">' . "\n\t" . '%1$s<div class="team-desc">%2$s</div>' . "\n\t" . '</div>' . "\n",
                $image, $author_block . $content . $links
            );

            return $html;
        }

        public static function get_template_query() {
            $config = Levelup_Config::get_instance();

            $display = $config->get('display');
            $ppp = $config->get('posts_per_page');

            $query_args = array(
                'post_type'	=> self::$post_type,
                'post_status'	=> 'publish' ,
                'paged'		=> levelup_get_paged_var(),
            );

            if ( $ppp ) {
                $query_args['posts_per_page'] = intval( $ppp );
            }

            if ( 'all' != $display['select'] ) {

                $query_args['tax_query'] = array( array(
                    'taxonomy'	=> self::$taxonomy,
                    'field'		=> 'term_id',
                    'terms'		=> array_values( $display['terms_ids'] ),
                ) );

                switch( $display['select'] ) {
                    case 'only':
                        $query_args['tax_query'][0]['operator'] = 'IN';
                        break;

                    case 'except':
                        $query_args['tax_query'][0]['operator'] = 'NOT IN';
                }

            }

            return new WP_Query( $query_args );
        }
    }

}


if ( !class_exists( 'Levelup_Inc_Testimonials_Post_Type' ) ){

    class Levelup_Inc_Testimonials_Post_Type {
        public static $post_type = 'rdy_testimonials';
        public static $taxonomy = 'rdy_testimonials_category';
        public static $menu_position = 36;

        public static function register() {

            $labels = array(
                'name'                  => _x('Testimonials',              'backend testimonials', 'LEVELUP'),
                'singular_name'         => _x('Testimonials',              'backend testimonials', 'LEVELUP'),
                'add_new'               => _x('Add New',                'backend testimonials', 'LEVELUP'),
                'add_new_item'          => _x('Add New Item',           'backend testimonials', 'LEVELUP'),
                'edit_item'             => _x('Edit Item',              'backend testimonials', 'LEVELUP'),
                'new_item'              => _x('New Item',               'backend testimonials', 'LEVELUP'),
                'view_item'             => _x('View Item',              'backend testimonials', 'LEVELUP'),
                'search_items'          => _x('Search Items',           'backend testimonials', 'LEVELUP'),
                'not_found'             => _x('No items found',         'backend testimonials', 'LEVELUP'),
                'not_found_in_trash'    => _x('No items found in Trash','backend testimonials', 'LEVELUP'),
                'parent_item_colon'     => '',
                'menu_name'             => _x('Testimonials', 'backend testimonials', 'LEVELUP')
            );

            $args = array(
                'labels'                => $labels,
                'public'                => true,
                'publicly_queryable'    => true,
                'show_ui'               => true,
                'show_in_menu'          => true,
                'query_var'             => true,
                'rewrite'               => array( 'slug' => self::$post_type ),
                'capability_type'       => 'post',
                'has_archive'           => false,
                'hierarchical'          => false,
                'menu_position'         => self::$menu_position,
                'supports'              => array( 'title', 'editor', 'thumbnail' ),
                'menu_icon'             => plugins_url() . '/levelup-core/admin/assets/images/menu/testimonials.png'
            );

            $args = apply_filters( 'levelup_post_type_' . self::$post_type . '_args', $args );

            register_post_type( self::$post_type, $args );

            $labels = array(
                'name'              => _x( 'Testimonials Categories',        'backend testimonials', 'LEVELUP' ),
                'singular_name'     => _x( 'Testimonials Category',          'backend testimonials', 'LEVELUP' ),
                'search_items'      => _x( 'Search inTestimonials  Category','backend testimonials', 'LEVELUP' ),
                'all_items'         => _x( 'Testimonials Categories',        'backend testimonials', 'LEVELUP' ),
                'parent_item'       => _x( 'Parent Testimonials Category',   'backend testimonials', 'LEVELUP' ),
                'parent_item_colon' => _x( 'Parent Testimonials Category:',  'backend testimonials', 'LEVELUP' ),
                'edit_item'         => _x( 'Edit Testimonials Category',     'backend testimonials', 'LEVELUP' ),
                'update_item'       => _x( 'Update Testimonials Category',   'backend testimonials', 'LEVELUP' ),
                'add_new_item'      => _x( 'Add New Testimonials Category',  'backend testimonials', 'LEVELUP' ),
                'new_item_name'     => _x( 'New Testimonials Category Name', 'backend testimonials', 'LEVELUP' ),
                'menu_name'         => _x( 'Testimonials Categories',        'backend testimonials', 'LEVELUP' )
            );

            $taxonomy_args = array(
                'hierarchical'          => true,
                'public'                => true,
                'labels'                => $labels,
                'show_ui'               => true,
                'rewrite'               => true,
                'show_admin_column'		=> true,
            );

            $taxonomy_args = apply_filters( 'levelup_taxonomy_' . self::$taxonomy . '_args', $taxonomy_args );

            register_taxonomy( self::$taxonomy, array( self::$post_type ), $taxonomy_args );

        }

        public static function render_testimonial( $post_id = null ) {
            global $post;
            $config = Levelup_Config::get_instance();

            if ( null != $post_id ) {
                $post_backup = $post;
                $post = get_post( $post_id );
                setup_postdata( $post );
            } else {
                $post_id = get_the_ID();
            }

            if ( !$post_id ) return '';
            $html = '';

            $name = get_post_meta($post->ID, '_rdy_testimonials_name', true);
            $content = get_post_meta($post->ID, '_rdy_testimonials_description', true);
//            $content = get_the_content();


	        if ( $config->get( 'is_link' ) ) {
		        $link = get_post_permalink( $post->ID );
		        $content = '<a href="' . $link . '">' . $content . '</a>';
	        }

            $secondary_left = false;
            $avatar = '';
	        $img_type_class = '';
            if ($config->get('show_picture')) {
                $avatar = '<span class="set-align-left no-avatar"></span>';
                if ( has_post_thumbnail( $post_id ) ) {

                    $thumb_id = get_post_thumbnail_id( $post_id );
                    $avatar = levelup_get_thumb_img( array(
                        'img_meta'      => wp_get_attachment_image_src( $thumb_id, 'full' ),
                        'img_id'		=> $thumb_id,
                        'options'       => array( 'w' => $config->get('img_size'), 'h' => $config->get('img_size') ),
                        'echo'			=> false,
                        'wrap'			=> '<img %IMG_CLASS% %SRC% %SIZE% %IMG_TITLE% %ALT% />',
                    ) );

                    if ($config->get('img_type') == 'circle') {
                        $img_type_class = ' circle';
                    }
                    if ($thumb_id && $config->get('img_position') == 'img_left') {
                        $secondary_left = true;
                    }

                    $avatar = '<span style="height:'.$config->get('img_size').'px" class="avatar'.$img_type_class.'">' . $avatar . '</span>';
                }
            }

            $link = get_post_meta( $post_id, '_rdy_testimonials_link', true );

            $position = get_post_meta( $post_id, '_levelup_testimonial_options_position', true );
            if ( $position ) {
                $position = '<span class="text-secondary color-secondary">' . $position . '</span>';
            } else {
                $position = '';
            }

            $title = $name ? $name : get_the_title();
            if ( $title ) {

                if ( $link ) {
                    $title = '<p class="text-primary"><a href="' . $link . '" target="_blank">' . $title . '</a></p>';
                } else {
                    $title = '<p class="text-primary">' . $title . '</p>';
                }

                $role = get_post_meta($post->ID, '_rdy_testimonials_role', true);
                if ( $role ) {
                    $title .= '<span class="text-secondary">'.$role.'</span>';
                }

                $title .= '<br />';
            } else {
                $title = '';
            }

            $quote = $vcard_class = '';
            if ($config->get('quote_icon')) {
                $quote = '<p class="gi gi-quotes-testimonials-02 gi-quotes"></p>';
            }

            if ($config->get('img_position') == 'img_left') {
                $vcard_class = 'col-td text-left';
            }

            $html = sprintf(
                '<article>' . "\n\t" . $quote. "\n\t" . '<div class="testimonial-content">%1$s</div>' . "\n\t" . '<div class="testimonial-vcard'.($secondary_left ? ' text-left' : '').'"><div class="meta-inner"><div class="col-table"><div class="author-img %4$s'.($secondary_left ? ' text-left' : '').'">%2$s</div><div class="%4$s'.($secondary_left ? ' text-left' : '').'">%3$s</div></div></div></div>' . "\n" . '</article>' . "\n",
                $content, $avatar, $title . $position, $vcard_class
            );


            if ( !empty($post_backup) ) {
                $post = $post_backup;
                setup_postdata( $post );
            }

            return $html;
        }

        public static function get_template_query() {
            $config = Levelup_Config::get_instance();

            $display = $config->get('display');
            $ppp = $config->get('posts_per_page');

            $query_args = array(
                'post_type'	=> self::$post_type,
                'post_status' => 'publish' ,
                'paged'		=> levelup_get_paged_var(),
            );

            if ( $ppp ) {
                $query_args['posts_per_page'] = intval($ppp);
            }

            if ( 'all' != $display['select'] && is_array( $display['terms_ids'] ) ) {

                $query_args['tax_query'] = array( array(
                    'taxonomy'	=> self::$taxonomy,
                    'field'		=> 'term_id',
                    'terms'		=> array_values($display['terms_ids']),
                ) );

                switch( $display['select'] ) {
                    case 'only':
                        $query_args['tax_query'][0]['operator'] = 'IN';
                        break;

                    case 'except':
                        $query_args['tax_query'][0]['operator'] = 'NOT IN';
                }

            }

            return new WP_Query( $query_args );
        }
    }

}


class Levelup_Post_Type_Rewrite_Rules_Filter {
	private $slug_option_id;

	public function __construct( $slug_option_id ) {
		$this->slug_option_id = $slug_option_id;

		add_action( 'levelup_post_type_rewrite_rules_filter_one_time', array( $this, 'flush_rewrite_rules' ) );
	}

	public function filter_post_type_rewrite( $args ) {
		if ( isset( $args['rewrite']['slug'] ) ) {
			$new_slug = levelup_get_options( $this->slug_option_id );

			if ( $new_slug && is_string( $new_slug ) && !empty( $new_slug) ) {
				$args['rewrite']['slug'] = trim( strtolower( $new_slug ) );
			}
		}
		return $args;
	}

	public function flush_rules_after_slug_change( $options, $new_params ) {
		if ( array_key_exists( $this->slug_option_id, $new_params ) && array_key_exists( $this->slug_option_id, $options )
		     && $options[$this->slug_option_id] !== $new_params[$this->slug_option_id]  ) {

			wp_schedule_single_event( time(), 'levelup_post_type_rewrite_rules_filter_one_time' );

		}
	}

	public function flush_rewrite_rules() {
		flush_rewrite_rules();
	}
}



if ( ! function_exists( 'levelup_filter_levelup_register_post_types' ) ) {

	function levelup_filter_levelup_register_post_types() {

		$rewrite_filter = new Levelup_Post_Type_Rewrite_Rules_Filter( 'general-post_type_portfolio_slug' );
		add_filter( 'levelup_post_type_rdy_portfolio_args', array( $rewrite_filter, 'filter_post_type_rewrite' ) );
//		add_action( 'levelupredux/options/levelup_options/settings/change', array( $rewrite_filter, 'flush_rules_after_slug_change' ), 10, 2 );

		$rewrite_filter = new Levelup_Post_Type_Rewrite_Rules_Filter( 'general-post_type_project_slug' );
		add_filter( 'levelup_post_type_rdy_project_args', array( $rewrite_filter, 'filter_post_type_rewrite' ) );
//		add_action( 'levelupredux/options/levelup_options/settings/change', array( $rewrite_filter, 'flush_rules_after_slug_change' ), 10, 2 );

		$rewrite_filter = new Levelup_Post_Type_Rewrite_Rules_Filter( 'general-post_type_team_slug' );
		add_filter( 'levelup_post_type_rdy_team_args', array( $rewrite_filter, 'filter_post_type_rewrite' ) );
//		add_action( 'levelupredux/options/levelup_options/settings/change', array( $rewrite_filter, 'flush_rules_after_slug_change' ), 10, 2 );

		$rewrite_filter = new Levelup_Post_Type_Rewrite_Rules_Filter( 'general-post_type_testimonials_slug' );
		add_filter( 'levelup_post_type_rdy_testimonials_args', array( $rewrite_filter, 'filter_post_type_rewrite' ) );

		add_action( 'levelupredux/options/levelup_options/settings/change', array( $rewrite_filter, 'flush_rules_after_slug_change' ), 10, 2 );


		Levelup_Inc_Project_Post_Type::register();
		Levelup_Inc_Portfolio_Post_Type::register();
		Levelup_Inc_Team_Post_Type::register();
		Levelup_Inc_Testimonials_Post_Type::register();

	}

}

add_action( 'levelupredux/loaded', 'levelup_filter_levelup_register_post_types' );
