<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Don't duplicate me!
if ( ! class_exists( 'LevelupReduxFramework_extension_rdy_preset' ) ) {

	class LevelupReduxFramework_extension_rdy_preset {

		public static $version = '1.0.4';

		// Protected vars
		protected $parent;
		public $extension_url;
		public $extension_dir;
		public static $theInstance;
		public $field_id = '';
		private $class_css = '';
		public $field_name = 'rdy_preset';

		/**
		 * Class Constructor. Defines the args for the extions class
		 *
		 * @since       1.0.0
		 * @access      public
		 *
		 * @param       array $parent Parent settings.
		 *
		 * @return      void
		 */
		public function __construct( $parent ) {

			$levelupredux_ver = LevelupReduxFramework::$_version;

			// Set parent object
			$this->parent = $parent;

			// Set extension dir
			if ( empty( $this->extension_dir ) ) {
				$this->extension_dir = trailingslashit( str_replace( '\\', '/', dirname( __FILE__ ) ) );
			}

			// Set instance
			self::$theInstance = $this;

			// Adds the local field
			add_filter( 'levelupredux/' . $this->parent->args['opt_name'] . '/field/class/' . $this->field_name, array(
				&$this,
				'overload_field_path'
			) );

			add_action( 'wp_ajax_levelupredux_rdy_preset', array(
				$this,
				'ajax_request'
			) );

		}

		static public function getInstance() {
			return self::$theInstance;
		}

		public function ajax_request() {

			remove_action( 'template_redirect', 'rest_output_link_header', 11, 0 );

			if ( !isset( $_REQUEST['nonce'] ) || ! wp_verify_nonce( $_REQUEST['nonce'], "levelupredux_{$this->parent->args['opt_name']}_rdy_preset" ) ) {
				echo json_encode( array(
					'status' => esc_html__( 'Invalid security credential.  Please reload the page and try again.', 'LEVELUP' ),
					'action' => ''
				) );

				die();
			}
//			if ( !isset( $_REQUEST['nonce'] ) || !wp_verify_nonce( $_REQUEST['nonce'], "levelupredux_{$this->parent->args['opt_name']}_rdy_preset" ) ) {
//				die( 0 );
//			}

			/*if ( isset( $_REQUEST['type'] ) && $_REQUEST['type'] == "remove-demo-media" ) {
				$this->remove_demo_media();
				echo 'remove-demo-media';
				exit();
			} */

			if(isset(LevelupRedux::$fields[$this->parent->args['opt_name']][$_REQUEST['preset']]['options'][$_REQUEST['preset_id']])) {
				$preset = LevelupRedux::$fields[$this->parent->args['opt_name']][$_REQUEST['preset']]['options'][$_REQUEST['preset_id']];

				foreach ( $preset['params'] as $k => $v ) {
					print_r($v);
					LevelupRedux::setOption($this->parent->args['opt_name'], $k, $v);
				}
			}


			#LevelupRedux::setOption($this->parent->args['opt_name'], 'maintenance_mode', 1);
			#LevelupRedux::setOption($this->parent->args['opt_name'], 'back-to-top-main-icon', 'icon3');
			echo 'ok';
//wp_send_json_success( array( 'msg' => __( 'Demo content was imported.', 'LEVELUP' ) ) );
			die();
		}

		// Forces the use of the embeded field path vs what the core typically would use
		public function overload_field_path( $field ) {
			return dirname( __FILE__ ) . '/' . $this->field_name . '/field_' . $this->field_name . '.php';
		}

	} // class
} // if
