
var ModalEffects = (function() {

    function init() {
        jQuery('<div class="md-overlay"></div>').appendTo(document.body);
        var overlay = jQuery('.md-overlay');

        jQuery( '.md-trigger' ).each(function(){
            var $this = jQuery(this);

            var modal = jQuery( '#' + $this.attr( 'data-modal' ) ),
                close = modal.find( '.md-close' );

            function removeModal( hasPerspective ) {
                modal.removeClass( 'md-show' );
                overlay.css({opacity: 1, visibility: 'hidden' });

                if( hasPerspective ) {
                    jQuery(document.documentElement).removeClass( 'md-perspective' );
                }
            }

            function removeModalHandler() {
                removeModal( $this.hasClass( 'md-setperspective' ) );
            }

            jQuery(this).on( 'click', function( ev ) {
                modal.addClass( 'md-show' );

                overlay.css({opacity: 1, visibility: 'visible' });

                overlay.off( 'click', removeModalHandler );
                overlay.on( 'click', removeModalHandler );

                if( $this.hasClass( 'md-setperspective' ) ) {
                    setTimeout( function() {
                        jQuery(document.documentElement).addClass( 'md-perspective' );
                    }, 25 );
                }
            });

            close.on( 'click', function( ev ) {
                ev.preventDefault();
                ev.stopPropagation();
                removeModalHandler();
            });
        });

    }

    init();

})();