<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Don't duplicate me!
if ( ! class_exists( 'LevelupReduxFramework_rdy_preset' ) ) {

	class LevelupReduxFramework_rdy_preset {

		public $parent;
		public $field;
		public $value;
		public $args;
		public $rdy_preset_values = '';
		public $extension_dir   = '';
		public $extension_url   = '';

		public function __construct( $field = array(), $value = '', $parent ) {

			// Set required variables
			$this->parent          = $parent;
			$this->field           = $field;
			$this->value           = $value;
			$this->args            = $parent->args;

			if ( ! isset( $this->field['bind_title'] ) && ! empty( $this->field['fields'] ) ) {
				$this->field['bind_title'] = $this->field['fields'][0]['id'];
			}

			// Set extension dir & url
			if ( empty( $this->extension_dir ) ) {
				$this->extension_dir = trailingslashit( str_replace( '\\', '/', dirname( __FILE__ ) ) );
				$this->extension_url = site_url( str_replace( trailingslashit( str_replace( '\\', '/', ABSPATH ) ), '', $this->extension_dir ) );
			}
		}

		/**
		 * Field Render Function.
		 * Takes the vars and outputs the HTML for the field in the settings
		 *
		 * @since       1.0.0
		 * @access      public
		 * @return      void
		 */
		public function render() {

			$nonce = wp_create_nonce( "levelupredux_{$this->parent->args['opt_name']}_rdy_preset" );

			if ( ! empty( $this->field['options'] ) ) {

				if ( isset( $this->value ) ) {
					$name        = explode( ".", $this->value );
					$name        = str_replace( '.' . end( $name ), '', $this->value );
					$name        = basename( $name );
					//$this->value = trim( $name );
					$filename = trim($name);
				}

				$x = 1;

				?>
				<div class="md-trigger" data-modal="modal-1">Button</div>
				<div class="md-modal md-effect-1" id="modal-1">
					<div class="md-content">
						<h3><?php echo esc_html($this->field['title']); ?></h3>
						<span class="fa fa-close md-close"></span>
							<div>
							<p>This is a modal window. You can do the following things with it:</p>
								<ul>
				<?php

				foreach ( $this->field['options'] as $k => $v ) {

					// No array?  No problem!
					if ( ! is_array( $v ) ) {
						$v = array( 'img' => $v );
					}

					// No title set?  Make it blank.
					if ( ! isset( $v['title'] ) ) {
						$v['title'] = '';
					}

					// No alt?  Set it to title.  We do this so the alt tag shows
					// something.  It also makes HTML/SEO purists happy.
					if ( ! isset( $v['alt'] ) ) {
						$v['alt'] = $v['title'];
					}

					// Set the selected entry
					$selected = selected( $this->value, $v['img'], false );

					// If selected returns something other than a blank space, we
					// found our default/saved name.  Save the array number in a
					// variable to use later on when we want to extract its associted
					// url.
					if ( '' != $selected ) {
						$arrNum = $x;
					}

					// Add the option tag, with values.
					//echo '<option value="' . $v['img'] . '" ' . $selected . '>' . $v['alt'] . '</option>';
					//echo '<a href="#" style="display: block;" data-preset-id="select_preset1" data-preset="preset1" data-nonce="'.$nonce.'">'.$k.'</a>';
					echo '<li><a href="#" style="display: block;" data-preset-id="'.esc_attr($k).'" data-preset="'.esc_attr($this->field['id']).'" data-nonce="'.$nonce.'"><img src="'.esc_url($v['img']).'"></a></li>';
//					echo '<li><a href="#" style="display: block;" data-preset-id="select_preset1" data-preset="preset1" data-nonce="'.$nonce.'">If selected returns something other than a blank space, we If selected returns something other than a blank space, we If selected returns something other than a blank space, we If selected returns something other than a blank space, we If selected returns something other than a blank space, we</a></li>';

					// Add a bean
					$x ++;
				}

			}

						?>
						</ul>

					</div>
				</div>
			</div>
			<?php

			echo '<script>

jQuery(\'.levelupredux-container-rdy_preset a\').click(function(e){
	e.preventDefault();
	
	var ajaxData = {};

    ajaxData.action = "levelupredux_rdy_preset";
    
    ajaxData.preset_id = jQuery(this).attr("data-preset-id");
    ajaxData.preset = jQuery(this).attr("data-preset");
    ajaxData.nonce = jQuery(this).attr("data-nonce");
    
    
    var xhr;
    xhr = jQuery.post(
        ajaxurl,
        ajaxData
    )
        .success( function( response ) {
            location.reload();
            /*if ( typeof(options.onSuccessResponse) == \'function\' ) {
                options.onSuccessResponse(response, parts, currentPartId, media_parts, options);
            }*/
        } )
        .fail( function( response ) {
            /*if ( typeof(options.onFailResponse) == \'function\' ) {
                options.onFailResponse(response, parts, currentPartId, media_parts, options);
            }*/
        } );
        //location.reload();


/*
	var $id = "maintenance_mode";
	jQuery("#levelup_options-" + $id + " #" + $id).val(1);
	jQuery("#levelup_options-" + $id + " .cb-switch").addClass("selected");


	$id = "back-to-top-main-icon";
//	jQuery("#levelup_options-" + $id + " input[name=\'levelup_options[" + $id + "]\']").val("icon2");
//	jQuery("#levelup_options-" + $id + " input[name=\'levelup_options[" + $id + "]\']").attr("checked", "checked");
	var el = jQuery("#levelup_options-" + $id + " input[name=\'levelup_options[" + $id + "]\'][value=\'icon2\']");
	el.attr("checked", "checked");
	el.closest(".levelupredux-field-container").find(".levelupredux-image-select-selected").removeClass("levelupredux-image-select-selected");
	el.parent().addClass("levelupredux-image-select-selected");
*/
});

</script>';

		}

		/**
		 * Enqueue Function.
		 * If this field requires any scripts, or css define this function and register/enqueue the scripts/css
		 *
		 * @since       1.0.0
		 * @access      public
		 * @return      void
		 */
		public function enqueue() {

			$extension = LevelupReduxFramework_extension_rdy_preset::getInstance();


			// Set up min files for dev_mode = false.
			$min = LevelupRedux_Functions::isMin();

			wp_enqueue_script(
				'levelupredux-field-rdy_preset-js',
				apply_filters( "levelupredux/rdy_preset/{$this->parent->args['opt_name']}/enqueue/levelupredux-field-rdy_preset-js", $this->extension_url . 'field_rdy_preset.js' ),
				array( 'jquery', 'jquery-ui-core', 'jquery-ui-accordion', 'jquery-ui-sortable', 'wp-color-picker' ),
				time(),
				true
			);


			wp_enqueue_style(
				'levelupredux-field-rdy_preset-css',
				apply_filters( "levelupredux/rdy_preset/{$this->parent->args['opt_name']}/enqueue/levelupredux-field-rdy_preset-css", $this->extension_url . 'field_rdy_preset.css' ),
				array(),
				time(),
				'all'
			);
		}

		public function output_field( $field, $x ) {

			//we will enqueue all CSS/JS for sub fields if it wasn't enqueued
//			$this->enqueue_dependencies( $field['type'] );

			ob_start();
			$this->parent->_field_input( $field, $value );

			$content = ob_get_contents();
			//
			//if ( ( $field['type'] === "text" ) && ( $field_is_title ) ) {
			//    $content        = str_replace( '>', 'data-title="true" />', $content );
			//    $field_is_title = false;
			//}

			$_field = apply_filters( 'levelupredux-support-rdy_preset', $content, $field, 0 );
			ob_end_clean();
			echo $_field;

		}

		/**
		 * Functions to pass data from the PHP to the JS at render time.
		 *
		 * @return array Params to be saved as a javascript object accessable to the UI.
		 * @since  levelupredux_Framework 3.1.5
		 */
		function localize( $field, $value = "" ) {

			$var = "";

			return $var;
		}

		private function enqueue_dependencies( $field_type ) {
			$field_class = 'LevelupReduxFramework_' . $field_type;

			if ( ! class_exists( $field_class ) ) {
				$class_file = apply_filters( 'levelupredux-typeclass-load', LevelupReduxFramework::$_dir . 'inc/fields/' . $field_type . '/field_' . $field_type . '.php', $field_class );

				if ( file_exists( $class_file) ) {
					/** @noinspection PhpIncludeInspection */
					require_once( $class_file );
				}
			}

			if ( class_exists( $field_class ) && method_exists( $field_class, 'enqueue' ) ) {
				$enqueue = new $field_class( '', '', $this );
				$enqueue->enqueue();
			}
		}
	}
}
