/* global redux_change, wp */

(function($) {
    "use strict";
    $.levelupredux = $.levelupredux || {};
    $(document).ready(function() {
        $.levelupredux.wbc_importer();
    });
    $.levelupredux.wbc_importer = function() {

        var runned = 0;

        $('#levelupredux-demomedia-delete' ).on( 'click', function (e) {
            e.preventDefault();

            var message = 'Delete Demo Media?';
            var r = confirm(message);
            if (r == false) return;

            var ajaxData = {};
            ajaxData.action = "levelupredux_wbc_importer";
            ajaxData.type = 'remove-demo-media';
            ajaxData.nonce = $(this).attr("data-nonce");

            var xhr;
            xhr = $.post(
                ajaxurl,
                ajaxData
            )
            .success( function( response ) {
            } )
            .fail( function( response ) {
            } );

        });


        $( "#dialog-import-single-confirm" ).dialog({
            minWidth: 400,
            autoOpen: false,
            modal: true,
            create: function (e, ui) {
                var pane = $(this).dialog("widget").find(".ui-dialog-content");
                $("<label><input class='options' type='checkbox' checked/>Theme Options</label>").appendTo(pane);
            },
            buttons: {
                "Import": levelup_single_demo_save,
                // "Without Options": levelup_single_demo_save_wo_options,
                Cancel: function() {
                    $( this ).dialog( "close" );
                }
            }
        });

        /*function levelup_single_demo_save_options() {
            // levelup_single_demo_save();

            console.log(  )
            $(this).dialog("close");
        }

        function levelup_single_demo_save_wo_options() {
            // levelup_single_demo_save(true);
            $(this).dialog("close");
        }*/

        function levelup_single_demo_save() {
            $(this).dialog("close");

            var parent = $('.levelup-import-import-form');
            var demo_importer_images_settings = jQuery('.demo_importer_images').val();

            var parts = parent.data('parts').split(',');
            var media_parts;

            if( (parent.data('demo_main') == '1' && demo_importer_images_settings == '') || parent.data('demo_main') != '1') {
                media_parts = parent.data('media_ids').slice();
                if (media_parts.length) all_media_parts = media_parts.slice();
            }

            var data = {};

            data.media_ids = "";
            data.action = "levelupredux_wbc_importer";
            data.demo_import_id = parent.attr("data-demo-id");
            data.demo_page_id = parent.attr("data-page-id");
            data.nonce = parent.attr("data-nonce");
            data.type = 'import-demo-content';
            data.demo_single = true;
            data.wbc_import_images = (demo_importer_images_settings != '') ? demo_importer_images_settings : '';
            if ( $( ".options", "#dialog-import-single-confirm" ).is(':checked') ) data.demo_is_options = true;

            data['post[]'] = jQuery('.levelup-import-import-form select[name="post[]"]').val();
            data['page[]'] = jQuery('.levelup-import-import-form select[name="page[]"]').val();
            data['rdy_portfolio[]'] = jQuery('.levelup-import-import-form select[name="rdy_portfolio[]"]').val();
            data['product[]'] = jQuery('.levelup-import-import-form select[name="product[]"]').val();

            levelup_import_demo_request(data, parts, media_parts);

        }

        $('.levelup-import-import-form .single_import_save .panel-save' ).on( 'click', function (e) {
            e.preventDefault();
            $( "#dialog-import-single-confirm" ).dialog( "open" );

            return false;
        });


        function levelup_import_demo_request(data, parts, media_parts) {

            jQuery("#levelup_importing_overlay").appendTo("body");

            var this_data = data;

            xhr = ajaxImportPart(parts, media_parts,
                {
                    ajaxData: data,
                    onSuccessResponse: function( response, parts, partID, media_parts, options ) {

                        var el_log = jQuery("#levelup_importing_overlay .import_logs .levelup_import_part_" + partID);
                        if(partID == 'data' || (partID == 'media' && (typeof media_parts == 'undefined' || !media_parts))) {
                            el_log.html(el_log.data('text-done'));
                        }

                        if ( response.success ) {
                            xhr = ajaxImportPart(parts, media_parts, options);
                        } else {

                        }

                        if(partID == 'data'){
                            jQuery('#levelup_importing_overlay .import_logs .levelup_import_part_refresh').fadeIn();
                            location.reload();
                        }
                    },
                    onFailResponse: function(response) {
                        jQuery('span', jQuery('.import_error_notices')).html('Error: ' + response.status)
                        jQuery('.import_error_notices').fadeIn();
                    }
                }
            );

        }


        var xhr = false;
        var all_media_parts;

        var ajaxImportPart = function( parts, media_parts, options ) {
            if ( ! parts || parts.length <= 0 ) {
                return false;
            }

            var currentMediaIds;
            var currentPartId = parts[0];
            var media_percent;

            var el_log = jQuery("#levelup_importing_overlay .import_logs .levelup_import_part_" + currentPartId);


            if ( currentPartId == 'media' && typeof media_parts != 'undefined' && media_parts ) {
                if ( ! media_parts || media_parts.length <= 0 ) {
                    return false;
                }
                if (media_parts.length == 1) {
                    parts.shift();
                }

                media_percent = Math.round((all_media_parts.length - media_parts.length + 1) / all_media_parts.length*100);

                currentMediaIds = media_parts.shift();
            } else {
                parts.shift();
            }

            if(el_log.length) {
                el_log.html(el_log.data('text-importing'));
                el_log.fadeIn();
            }

            if(typeof media_parts != 'undefined' && media_parts && el_log.length && currentPartId == 'media') {
                $('span', el_log).text(media_percent + '%');
            }

            var ajaxData = {
                part_type: currentPartId,
                part_last: parts.length == 0 ? 1 : 0,

            }

            if(typeof currentMediaIds != 'undefined' && currentMediaIds.length) {
                ajaxData.media_part_ids= currentMediaIds.join(',')
            }

            if ( typeof( options.ajaxData ) == 'object' ) {
                $.extend( ajaxData, options.ajaxData );
            }

            var xhr;
            xhr = $.post(
                ajaxurl,
                ajaxData
            )
                .success( function( response ) {
                    if ( typeof(options.onSuccessResponse) == 'function' ) {
                        options.onSuccessResponse(response, parts, currentPartId, media_parts, options);
                    }
                } )
                .fail( function( response ) {
                    if ( typeof(options.onFailResponse) == 'function' ) {
                        options.onFailResponse(response, parts, currentPartId, media_parts, options);
                    }
                } );

            return xhr;
        }



        // function levelup_demo_save_options() {console.log('levelup_demo_save_options')
        //     levelup_demo_save(this);
        //     $(this).dialog("close");
        // }
        //
        // function levelup_demo_save_wo_options() {console.log('levelup_demo_save_wo_options')
        //     levelup_demo_save(this, 1);
        //     $(this).dialog("close");
        // }

        $( "#dialog-import-confirm" ).dialog({
            minWidth: 400,
            autoOpen: false,
            modal: true,
            create: function (e, ui) {
                var pane = $(this).dialog("widget").find(".ui-dialog-content");
                $("<label><input class='options' type='checkbox' checked/>Theme Options</label>").appendTo(pane);
            },
            buttons: {
                "Import": levelup_demo_save,
                Cancel: function() {
                    $( this ).dialog( "close" );
                }
            }
        });

        function levelup_demo_save() {
            $(this).dialog("close");

            if ( xhr ) {
                return false;
            }

            media_parts = '';
            all_media_parts = '';

            // var parent = jQuery(this);
            var parent = jQuery(jQuery(this).data("this")).closest('.wrap-importer.theme');
            var demo_importer_images_settings = jQuery('.demo_importer_images').val();

            var parts = parent.data('parts').split(',');
            var media_parts;

            if( (parent.data('demo_main') == '1' && demo_importer_images_settings == '') || parent.data('demo_main') != '1') {
                media_parts = parent.data('media_ids').slice();
                if (media_parts.length) all_media_parts = media_parts.slice();
            }

            var data = {};

            data.media_ids = "";
            data.action = "levelupredux_wbc_importer";
            data.demo_import_id = parent.attr("data-demo-id");
            data.demo_page_id = parent.attr("data-page-id");
            data.nonce = parent.attr("data-nonce");
            data.type = 'import-demo-content';
            data.wbc_import_images = (demo_importer_images_settings != '') ? demo_importer_images_settings : '';
            if ( $( ".options", "#dialog-import-confirm" ).is(':checked') ) data.demo_is_options = true;

            levelup_import_demo_request(data, parts, media_parts);
        }


        $('.wrap-importer.theme.not-imported .theme-screenshot, .wrap-importer.theme.not-imported .importer-button').unbind('click').on('click', function(e) {
            e.preventDefault();

            $( "#dialog-import-confirm" ).data("this", this).dialog( "open" );

            return false;
        });
    };

})(jQuery);

