/*global redux_change, redux*/

(function( $ ) {
    "use strict";

    levelupredux.field_objects = levelupredux.field_objects || {};
    levelupredux.field_objects.select_image = levelupredux.field_objects.select_image || {};

    $( document ).ready(
        function() {
            //redux.field_objects.select_image.init();
        }
    );

    levelupredux.field_objects.select_image.init = function(selector ) {

        if ( !selector ) {
            selector = $( document ).find( ".levelupredux-group-tab:visible" ).find( '.levelupredux-container-select_image:visible' );
        }

        $( selector ).each(
            function() {
                var el = $( this );
                var parent = el;
                if ( !el.hasClass( 'levelupredux-field-container' ) ) {
                    parent = el.parents( '.levelupredux-field-container:first' );
                }
                if ( parent.is( ":hidden" ) ) { // Skip hidden fields
                    return;
                }
                if ( parent.hasClass( 'levelupredux-field-init' ) ) {
                    parent.removeClass( 'levelupredux-field-init' );
                } else {
                    return;
                }
                var default_params = {
                    width: 'resolve',
                    triggerChange: true,
                    allowClear: true
                };

                var select2_handle = el.find( '.levelupredux-container-select_image' ).find( '.select2_params' );

                if ( select2_handle.size() > 0 ) {
                    var select2_params = select2_handle.val();

                    select2_params = JSON.parse( select2_params );
                    default_params = $.extend( {}, default_params, select2_params );
                }

                el.find( 'select.levelupredux-select-images' ).select2( default_params );

                el.find( '.levelupredux-select-images' ).on(
                    'change', function() {
                        var preview = $( this ).parents( '.levelupredux-field:first' ).find( '.levelupredux-preview-image' );

                        if ( $( this ).val() === "" ) {
                            preview.fadeOut(
                                'medium', function() {
                                    preview.attr( 'src', '' );
                                }
                            );
                        } else {
                            preview.attr( 'src', $( this ).val() );
                            preview.fadeIn().css( 'visibility', 'visible' );
                        }
                    }
                );
            }
        );
    };
})( jQuery );