<?php

if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

if ( ! class_exists( 'Rdy_Img_Set_Param' ) ) {

	class Rdy_Img_Set_Param {

		function __construct() {
			if ( function_exists( 'vc_add_shortcode_param' ) ) {
				vc_add_shortcode_param( 'rdy_img_set', array( &$this, 'radio_image_settings_field' ), LEVELUP_THEME_TEMPLATE_URL . '/admin/assets/js/vc_extend/rdy_img_set.js' );
			}
		}

		function radio_image_settings_field( $settings, $value ) {
			$html = '';
			$first = true;

			if ( $settings['image_type'] == 'svg' ) {
				foreach ( $settings['options'] as $group_key => $group ) {

					if ( array_key_exists( 'values', $group ) ) {
						if ( array_key_exists( 'title', $group ) ) {
							$html .= '<li class="title" data-value="' . $key . '"><p>' . esc_html( $group['title'] ) . '</p></li>';
						}

						foreach ( $group['values'] as $key => $item ) {
							$selected = '';
							if ( $key == $value || ( ! $value && $first ) ) {
								$selected = 'selected';
							}
							$first = false;

							$html .= '<li class="' . ( $item['src_hover'] ? ' hovered"' : '' ) . '" data-value="' . $key . '"' . ( $item['src_hover'] ? ' data-hover-src="' . esc_url( $item['src_hover'] ) . '"' : '' ) . '><div class="img ' . $selected . '"><img src="' . esc_url( $item['src'] ) . '"></div></li>';
						}

					}

				}
			} else {
				foreach ( $settings['options'] as $key => $item ) {
					$selected = '';
					if ( $key == $value || (!$value && $first)  ) {
						$selected = 'selected';
					}
					$first = false;

					$html .= '<li class="' . ( $item['src_hover'] ? ' hovered"' : '' ) . '" data-value="' . $key . '"' . ( $item['src_hover'] ? ' data-hover-src="' . esc_url($item['src_hover']) . '"' : '' ) . '><div class="img ' . $selected . '"><img src="' . esc_url( $item['src'] ) . '"></div><p>' . esc_html( $item['title'] ) . '</p></li>';

				}
			}

			return '<div class="rdy_img_set_block' . ( $settings['image_type'] == 'svg' ? ' svg_icons' : '') . '">'
			       . '<ul>'
			       . $html . '</ul>'
			       .'<input name="' . esc_attr( $settings['param_name'] ) . '" class="wpb_vc_param_value wpb-textinput ' .
			       esc_attr( $settings['param_name'] ) . ' ' .
			       esc_attr( $settings['type'] ) . '_field" type="hidden" value="' . esc_attr( $value ) . '" />'
			       .'</div>';

			return $output;
		}
	}
}


if ( class_exists( 'Rdy_Img_Set_Param' ) ) {
	$Rdy_Img_Set_Param = new Rdy_Img_Set_Param();
}
