<?php

if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

if ( ! class_exists( 'Rdy_ParamHeading_Param' ) ) {

	class Rdy_ParamHeading_Param {

		function __construct() {
			if ( function_exists( 'vc_add_shortcode_param' ) ) {
				vc_add_shortcode_param( 'rdy_param_heading', array( &$this, 'rdy_param_heading_callback' ) );
			}
		}

		function rdy_param_heading_callback( $settings, $value ) {
			$param_name = isset($settings['param_name']) ? $settings['param_name'] : '';
			$class = isset($settings['class']) ? $settings['class'] : '';
			$text = isset($settings['text']) ? $settings['text'] : '';
			$output = '<h4 class="wpb_vc_param_value ' . esc_attr( $class ) . '">' . esc_attr( $text ) . '</h4>';
			$output .= '<input type="hidden" name="' . $settings['param_name'] . '" class="wpb_vc_param_value rdy-param-heading ' . esc_attr( $settings['param_name'] ) . ' ' . esc_attr( $settings['type'] ) . '_field" value="' . esc_attr( $value ) . '" />';
			return $output;
		}
	}
}


if ( class_exists( 'Rdy_ParamHeading_Param' ) ) {
	$Rdy_ParamHeading_Param = new Rdy_ParamHeading_Param();
}
