<?php

if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

function levelup_vc_taxonomy_settings_field($settings, $value) {
	$value_arr = $value_inner = $value;
	if ( !is_array($value_arr) ) {
		$value_arr = array_map( 'trim', explode(',', $value_arr) );
	}

	$terms_slugs = array();
	$terms_fields = array();
	if ( !empty($settings['taxonomy']) ) {

		$terms = get_terms( $settings['taxonomy'] );
		if ( $terms && !is_wp_error($terms) ) {

			foreach( $terms as $term ) {
				$terms_slugs[] = $term->slug;

				$terms_fields[] = sprintf(
					'<label><input id="%s" class="%s" type="checkbox" name="%s" value="%s" %s/>%s</label>',
					$settings['param_name'] . '-' . $term->slug,
					$settings['param_name'].' '.$settings['type'],
					$settings['param_name'],
					$term->slug,
					checked( in_array( $term->slug, $value_arr ), true, false ),
					$term->name
				);
			}

		}

		$value_inner = implode( ',', array_intersect( $value_arr, $terms_slugs ) );
	}


	return '<div class="rdy_taxonomy_block">'
	       .'<input type="hidden" name="'.$settings['param_name'].'" class="wpb_vc_param_value wpb-checkboxes '.$settings['param_name'].' '.$settings['type'].'_field" value="'.$value_inner.'" '.$dependency.' />'
	       .'<div class="rdy_taxonomy_terms">'
	       .implode( $terms_fields )
	       .'</div>'
	       .'</div>';
}

function levelup_vc_add_custom_fields() {
	$dir = LEVELUP_THEME_TEMPLATE_URL;
	vc_add_shortcode_param('br_taxonomy', 'levelup_vc_taxonomy_settings_field', $dir . '/admin/assets/js/vc_extend/br_taxonomy.js');
}
add_action( 'admin_init', 'levelup_vc_add_custom_fields', 15 );

