<?php

if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

class WPBakeryShortCode_Rdy_Button extends WPBakeryShortCode {

    protected function content( $atts, $content = null ) {

        $target = $class_icon_align = $icon_color = $width = '';
        $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
        extract( $atts );

        vc_icon_element_fonts_enqueue( $type_font );
        $icon_class = esc_attr( ${"icon_" . $type_font} );

        $margin_top           = absint( $margin_top );
        $margin_bottom        = absint( $margin_bottom );
        $border_size          = absint( $border_size );
        $outline_active_color = esc_attr( $outline_active_color );
        $outline_hover_color  = esc_attr( $outline_hover_color );
        $outline_skin         = esc_attr( $outline_skin );
        $background           = esc_attr( $background );
        $background_hover     = esc_attr( $background_hover );
        $border_radius        = esc_attr( $border_radius );
        $text_color           = esc_attr( $text_color );
        $text_color_hover     = esc_attr( $text_color_hover );
        $outline_skin         = esc_attr( $outline_skin );
        $size                 = esc_attr( $size );
        $font_weight          = esc_attr( $font_weight );
        $icon_color           = esc_attr( $icon_color );
        $icon_align           = esc_attr( $icon_align );
        $text                 = esc_html( $text );
        $align                = esc_html( $align );
        $animation_delay      = esc_html( $animation_delay );
        $css_animation        = esc_html( $css_animation );


        $style_id = Levelup_Styles::shortcode_id();

	    $button_classes = "rdy_button ";
        $stylesheet = '';
        $stylesheet .= '
            .button-' . $style_id . ' {
                margin-bottom: ' . $margin_bottom . 'px;
                margin-top: ' . $margin_top . 'px;
                '. ($width ? ' min-width: ' . esc_attr( $width ) . 'px !important;' : '') .'
            }
        ';

        if ($style == 'outline') {
            if ($outline_skin == 'custom') {

                $stylesheet .= '
                    a.button-' . $style_id . ' {
                        border-color: ' . $outline_active_color . ' !important;
                        color: ' . $outline_active_color . ';
                    }

                    a.button-' . $style_id . ':hover,
                    a.button-' . $style_id . ':hover span {
                        color: ' . $outline_hover_color . ' !important;
                    }';

                if ($animation != 'bg_fill') {
                    $stylesheet .= '
                        a.button-' . $style_id . ':hover {
                            background-color:' . $outline_active_color . ';
                        }';
                }

            } elseif ($outline_skin == 'custom2') {

                $stylesheet .= '
                    a.button-' . $style_id . ',
                    a.button-' . $style_id . ':visited,
                    a.button-' . $style_id . ':active,
                    a.button-' . $style_id . ':focus
                    {
                    border-color: ' . $outline_active_color . ' !important;
                    color: ' . $outline_active_color . ';
                    }

                    a.button-' . $style_id . ':hover {
                    border-color: ' . $outline_hover_color . ' !important;
                    color: ' . $outline_hover_color . ';
                    }';

            } else {
                $outline_skin = !empty($outline_skin) ? ('outline-btn-' . $outline_skin) : 'outline-btn-dark';
            }

            if ($animation == 'bg_fill') {
                $stylesheet .= '
                    a.button-' . $style_id . ':hover {
                        background-color: transparent !important;
                    }';
            }

        } else if ($style == 'flat') {

            $stylesheet .= '
                .rdy_button.button-' . $style_id . ' {
                    background-color:' . $background . ';
                }
            ';


            $text_color_hover = $text_color_hover ? ('color:' . $text_color_hover . ' !important;') : '';

            $stylesheet .= '
                .rdy_button.button-' . $style_id . '.flat-dimension {
                    color:' . $text_color . ';
                }
            ';

            $stylesheet .= '
                .rdy_button.button-' . $style_id . '.flat-dimension:hover {
                    ' . ($animation != 'bg_fill' ? 'background-color:' . $background_hover . ' !important;' : '') . '
                    ' . $text_color_hover . '
                }
            ';

        }


	    if ( !empty( $border_radius ) && $border_radius != "" ) {
		    $stylesheet .= '
                    .rdy_button.button-' . $style_id . '.amination-bgfill .bgfill {
                        border-radius: ' . $border_radius . 'px;
                        -moz-border-radius: ' . $border_radius . 'px;
                        -webkit-border-radius: ' . $border_radius . 'px;
                    }
                ';
	    } else {
		    $button_classes .= ' no-radius';
	    }

        if ($animation == 'bg_fill') {
            if ($style != 'outline' && ($outline_skin == 'dark' || $outline_skin == 'light')) {
	            /*.rdy_button.button-' . $style_id . '.amination-bgfill:before {*/
                $stylesheet .= '
                    .rdy_button.button-' . $style_id . '.amination-bgfill .background-inner {
                        background-color:' . ($style == 'outline' ? $outline_active_color : $background_hover) . ' !important;
                    }
                ';
            }

            if ($style == 'outline') {
                if ($outline_skin == 'dark' || $outline_skin == 'light') {
	                /*.rdy_button.button-' . $style_id . '.amination-bgfill:before {*/
                    $stylesheet .= '
                        .rdy_button.button-' . $style_id . '.amination-bgfill .background-inner {
                            background-color:' . $background_hover . ' !important;
                        }
                        .rdy_button.outline-dimension.outline-btn-light:hover {
                            border-color: ' . $background_hover . ' !important;
                        }
                    ';
                } else if ( $outline_skin == 'custom' ) {
	                /*.rdy_button.button-' . $style_id . '.amination-bgfill:before {*/
                    $stylesheet .= '
                        .rdy_button.button-' . $style_id . '.amination-bgfill .background-inner {
                            background-color:' . $outline_active_color . ' !important;
                        }
                    ';
                }
            }
        }


        if ($target == "") {
            $target = "_self";
        }


        $button_styles = "";
        $add_icon = "";
        $data_attr = "";

        if ($uppercase != "") {
            $button_classes .= " uppercase";
        }

	    if ( $el_class != "" ) {
		    $button_classes .= ' ' . esc_attr( $el_class );
	    }

	    if ( $size != "" ) {
		    $button_classes .= ' ' . esc_attr( $size );
	    }

	    if ( $border_size != "" ) {
		    $button_styles .= 'border-width: ' . esc_attr( $border_size ) . 'px!important; ';
	    }

	    if ( $font_weight != "" ) {
		    $button_styles .= 'font-weight: ' . esc_attr( $font_weight ) . '; ';
	    }

	    if ( $border_radius != "" ) {
		    $button_styles .= 'border-radius: ' . esc_attr( $border_radius ) . 'px;-moz-border-radius: ' . esc_attr( $border_radius ) . 'px;-webkit-border-radius: ' . esc_attr( $border_radius ) . 'px; ';
	    }


	    if ( ! empty( $font_size ) && $font_size != "" ) {
		    $button_styles .= 'font-size: ' . esc_attr( $font_size ) . 'px; ';
	    }

	    if ( ! empty( $padding_lr ) && $padding_lr != "" ) {
//		    $button_styles .= 'padding-left: ' . esc_attr( $padding_lr ) . 'px; padding-right: ' . esc_attr( $padding_lr ) . 'px; ';

		    $stylesheet .= '
	                .rdy_button.button-' . $style_id . ' {
					    padding-left: ' . esc_attr( $padding_lr ) . 'px;
					    padding-right: ' . esc_attr( $padding_lr ) . 'px;
					}
	            ';

		    if ( $animation == 'p_outside' ) {
			    $padding_delta = 8;
			    $padding_lr_h = $padding_lr + 8;

		    } elseif ( $animation == 'p_inside' ) {
			    $padding_delta = 8;

			    if ( $size == 'small' ) {
				    $padding_delta = 6;
			    }

			    $padding_lr_h = $padding_lr - 8;

		    }

		    if ( isset($padding_lr_h) && $padding_lr_h ) {
			    $stylesheet .= '
	                .rdy_button.button-' . $style_id . ':hover {
					    padding-left: ' . esc_attr( $padding_lr_h ) . 'px !important;
					    padding-right: ' . esc_attr( $padding_lr_h ) . 'px !important;
					}
	            ';
		    }
	    }

        if ($icon_align != "disable") {
            $icon_style = "";
            if ($icon_color != "") {
                $icon_style .= 'color: ' . $icon_color . ';';
            }
            $add_icon .= '<i class="rdy-icon ' . $icon_class . '" style="' . $icon_style . '"></i>';
        }

        $text = '<span>'.$text.'</span>';

        if ($icon_align == 'right') {
            $text = $text . $add_icon;
        } else {
            $text = $add_icon . $text;
        }

        if ($icon_align == 'left' || $icon_align == 'right') {
            $class_icon_align = ' icon-align-' . $icon_align;
        }

        if ($animation) {
            if ($animation == 'p_outside') {
                $button_classes .= ' amination-outside';
            } elseif ($animation == 'p_inside') {
                $button_classes .= ' amination-inside';
            } elseif ($animation == 'bg_fill') {
                $button_classes .= ' amination-bgfill';
	            $button_classes .= ' ' . esc_attr( $animation_direction );
            }

        }

        $class_css_animation = $class = "";
        if ($css_animation != "") {
            $class_css_animation = $css_animation;
            $button_classes .= ' animate-element';
            if ($css_animation_repeat) {
	            $button_classes .= ' animate-loop';
            }
        }

	    if ( ! empty( $shadow ) && $shadow != '' ) {
		    if ( $shadow ) {
			    $button_classes .= ' ' . esc_attr( $shadow );
		    }

		    if ( $shadow_on_hover ) {
			    $button_classes .= ' hover-shadow';
		    }

		    if ( ! empty( $move_top ) ) {
			    $button_classes .= ' move-top';
		    }
	    }

        if ($animation_delay != "") {
            $button_styles .= " transition-delay:" . $animation_delay . "ms; -webkit-animation-delay:" . $animation_delay . "ms; animation-delay:" . $animation_delay . "ms;";
        }

	    if ( $animation && $animation == 'bg_fill' ) {
		    $text = '<span class="bgfill"><span class="background-inner"></span></span>' . $text;
	    }

        $link = levelup_vc_build_link( $link );
        $button = '<a href="' . ( $link['url'] ? esc_url( $link['url'] ) : '#' ) . '"' . ( $link['target'] ? ' target="' . esc_attr( $link['target'] ) . '"' : '' ) . ' ' . $data_attr . ' class="' . $button_classes . $class_icon_align . ' ' . $outline_skin . ' ' . $style . '-dimension button-' . $style_id . '" style="' . $button_styles . '"' . ( $class_css_animation ? ' data-animation-class="' . $class_css_animation . '"' : '' ) . '>' . $text . '</a>';

        $html = (!empty($align) ? '<div class="rdy_button_align ' . $align . '" ' . ($align == 'inline' ? 'style="display: inline-block !important;"' : '') . ($class_css_animation ? ' data-animation-class="' . $class_css_animation . '"' : '') . '>' : '') . $button . (!empty($align) ? '</div>' : '');

	    Levelup_Styles::addCSS($stylesheet, $style_id);

        return $html;
    }
}


//***********************************************************************
// Button
//***********************************************************************

vc_map( array(
    "name" => esc_html__( "Button", 'LEVELUP' ),
    "base" => "rdy_button",
    "category" => 'by '.'LEVELUP',
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/button.png",
    "allowed_container_element" => 'vc_row',
    "params" => array(

        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__( "Text on the Button", 'LEVELUP' ),
            "param_name" => "text",
            "value" => esc_html__( "Text on the button", 'LEVELUP' )
        ),

	    array(
		    'type' => 'rdy_param_heading',
		    'param_name' => 'btn-021',
		    'text' => '',
		    'description' => '',
		    'value' => '',
		    'class' => '',
		    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
	    ),

	    array(
		    "type" => "vc_link",
		    "class" => "",
		    "heading" => esc_html__("URL (Link)", 'LEVELUP' ),
		    "param_name" => "link",
		    'description' => esc_html__('Add link to the button.', 'LEVELUP'),
	    ),

	    array(
		    'type' => 'rdy_param_heading',
		    'param_name' => 'btn-022',
		    'text' => '',
		    'description' => '',
		    'value' => '',
		    'class' => '',
		    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
	    ),

	    array(
		    "type" => "dropdown",
		    "class" => "",
		    "heading" => esc_html__("Button Size", 'LEVELUP' ),
		    "param_name" => "size",
		    "value" => array(
			    "Small" => "small",
			    "Medium" => "medium",
			    "Large" => "large",
			    "X-Large" => "x-large",
			    "XX-Large" => "xx-large",
		    ),
		    'description' => esc_html__('Select button display size.', 'LEVELUP'),
		    "std" => "medium",
		    'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

	    array(
		    "type" => "textfield",
		    "class" => "",
		    "heading" => esc_html__("Custom Font Size", 'LEVELUP' ),
		    "param_name" => "font_size",
		    "value" => '',
		    'description' => esc_html__('Enter font size in px. E.g. 20 In case of leaving the field empty, the preset font size will be applied relating to the button size.', 'LEVELUP'),
		    'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Font Weight", 'LEVELUP' ),
            "param_name" => "font_weight",
            "value" => $font_weight_array,
			'description' => esc_html__('Select Font Weight.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            "type" => "checkbox",
            "heading" => esc_html__("Uppercase Text?", 'LEVELUP'),
            "param_name" => "uppercase",
            "value" => array(
                esc_html__( "Yes", 'LEVELUP' ) => "true",
            ),
            'description' => esc_html__('If checked text in the button is all uppercase.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

	    array(
		    "type" => "textfield",
		    "class" => "",
		    "heading" => esc_html__("Custom Padding Left/Right", 'LEVELUP' ),
		    "param_name" => "padding_lr",
		    "value" => '',
		    'description' => esc_html__('Enter padding in px. E.g. 20 Padding will be applied left and right from the text inside the button.', 'LEVELUP'),
		    'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

	    array(
		    'type' => 'rdy_param_heading',
		    'param_name' => 'btn1_023',
		    'text' => '',
		    'description' => '',
		    'value' => '',
		    'class' => '',
		    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
	    ),

	    array(
		    "type" => "dropdown",
		    "class" => "",
		    "heading" => esc_html__("Button Alignment", 'LEVELUP' ),
		    "param_name" => "align",
		    "value" => array(
			    esc_html__("Center", 'LEVELUP' ) => "center",
			    esc_html__("Left", 'LEVELUP' ) => "left",
			    esc_html__("Right", 'LEVELUP' ) => "right",
			    esc_html__("Inline", 'LEVELUP' ) => "inline",
		    ),
		    'description' => esc_html__('Select button alignment.', 'LEVELUP'),
	    ),

	    array(
		    'type' => 'rdy_param_heading',
		    'param_name' => 'btn1_icon_setting',
		    'text' => '',
		    'description' => '',
		    'value' => '',
		    'class' => '',
		    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
	    ),

	    array(
		    "type" => "textfield",
		    "class" => "",
		    "heading" => esc_html__("Top Margin", 'LEVELUP' ),
		    "param_name" => "margin_top",
		    "value" => 0,
		    'description' => esc_html__('Enter top margin in px. E.g. 20', 'LEVELUP'),
		    'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

	    array(
		    "type" => "textfield",
		    "class" => "",
		    "heading" => esc_html__("Bottom Margin", 'LEVELUP' ),
		    "param_name" => "margin_bottom",
		    "value" => 0,
		    'description' => esc_html__('Enter bottom margin in px. E.g. 20.', 'LEVELUP'),
		    'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

        /*
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Custom Button Width", 'LEVELUP' ),
            "param_name" => "width",
            'description' => esc_html__('If you need custom button width, insert width in px. For example: 220', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),
        */

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Button Style", 'LEVELUP'),
            "param_name" => "style",
            'options' => array(
                'flat' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_button/flat.png",
                ),
                'outline' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_button/outline.png",
                ),
            ),
            'group' => esc_html__('Style & Hover', 'LEVELUP'),
            'description' => esc_html__('Select button display style.', 'LEVELUP'),
            "std" => "flat",
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Hover Effect", 'LEVELUP'),
            "param_name" => "animation",
            'options' => array(
                '' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_button/hover_01.gif",
                ),
                'p_outside' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_button/hover_02.gif",
                ),
                'bg_fill' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_button/hover_03.gif",
                ),
                'p_inside' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_button/hover_04.gif",
                ),
            ),
            'group' => esc_html__('Style & Hover', 'LEVELUP'),
            'description' => esc_html__('Select Button Hover effect.', 'LEVELUP'),
            'std' => ''
        ),

	    array(
		    "type" => "dropdown",
		    "class" => "",
		    "heading" => esc_html__("Animation Direction", 'LEVELUP' ),
		    "param_name" => "animation_direction",
		    "value" => array(
			    esc_html__("Top to Bottom", 'LEVELUP') => "top-t-bottom",
			    esc_html__("Bottom to Top", 'LEVELUP') => "bottom-t-top",
			    esc_html__("Left to Right", 'LEVELUP') => "left-t-right",
			    esc_html__("Right to Left", 'LEVELUP') => "right-t-left",

			    esc_html__("Top to Bottom to Top", 'LEVELUP') => "top-t-bottom-back",
			    esc_html__("Bottom to Top to Bottom", 'LEVELUP') => "bottom-t-top-back",
			    esc_html__("Left to Right to Left", 'LEVELUP') => "left-t-right-back",
			    esc_html__("Right to Left to Right", 'LEVELUP') => "right-t-left-back",
		    ),
		    "dependency" => array('element' => "animation", 'value' => array('bg_fill')),
		    'description' => esc_html__('Specify the animation direction of the button background.', 'LEVELUP'),
		    'group' => esc_html__('Style & Hover', 'LEVELUP'),
            "std" => "bottom-t-top-back",
	    ),

	    array(
		    'type' => 'rdy_param_heading',
		    'param_name' => 'btn-001',
		    'text' => '',
		    'description' => '',
		    'value' => '',
		    'class' => '',
		    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
		    'group' => esc_html__('Style & Hover', 'LEVELUP'),
	    ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Background Color", 'LEVELUP' ),
            "param_name" => "background",
            "dependency" => array('element' => "style", 'value' => array('flat')),
            "value" => "#f97352",
			'description' => esc_html__('Select custom background color for your element.', 'LEVELUP'),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
            'group' => esc_html__('Style & Hover', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Hover Background Color", 'LEVELUP' ),
            "param_name" => "background_hover",
            "dependency" => array('element' => "style", 'value' => array('flat')),
            "value" => "#252525",
			'description' => esc_html__('Select hover background color for your element.', 'LEVELUP'),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
            'group' => esc_html__('Style & Hover', 'LEVELUP'),
        ),

		 array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Text Color", 'LEVELUP' ),
            "param_name" => "text_color",
            "value" => '#ffffff',
            "dependency" => array('element' => "style", 'value' => array('flat')),
			'description' => esc_html__('Select text color for your element.', 'LEVELUP'),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
            'group' => esc_html__('Style & Hover', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Hover Text Color", 'LEVELUP' ),
            "param_name" => "text_color_hover",
            "dependency" => array('element' => "style", 'value' => array('flat')),
            "value" => "#ffffff",
			'description' => esc_html__('Select hover text color for your element.', 'LEVELUP'),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
            'group' => esc_html__('Style & Hover', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Button Skin", 'LEVELUP' ),
            "param_name" => "outline_skin",
            "value" => array(
                esc_html__("Dark", 'LEVELUP' ) => "dark",
                esc_html__("Light", 'LEVELUP' ) => "light",
                esc_html__("Custom", 'LEVELUP' ) => "custom",
                esc_html__("Custom (outline color only w/o filling)", 'LEVELUP' ) => "custom2",
            ),
            "dependency" => array('element' => "style", 'value' => array('outline')),
			'description' => esc_html__('Select preset button skin or custom settings.', 'LEVELUP'),
            'group' => esc_html__('Style & Hover', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Button Active Color", 'LEVELUP' ),
            "param_name" => "outline_active_color",
            "description" => esc_html__("The border and text color of button", 'LEVELUP' ),
            "dependency" => array('element' => "outline_skin", 'value' => array('custom', 'custom2')),
            "value" => "#ffffff",
			'edit_field_class' => 'vc_col-sm-6 vc_column',
            'group' => esc_html__('Style & Hover', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Button Hover Text Color", 'LEVELUP' ),
            "param_name" => "outline_hover_color",
            "description" => esc_html__("The text color when hovered on button", 'LEVELUP' ),
            "dependency" => array('element' => "outline_skin", 'value' => array('custom', 'custom2')),
            "value" => "#333333",
			'edit_field_class' => 'vc_col-sm-6 vc_column',
            'group' => esc_html__('Style & Hover', 'LEVELUP'),
        ),

	    array(
		    'type' => 'rdy_param_heading',
		    'param_name' => 'btn-001',
		    'text' => '',
		    'description' => '',
		    'value' => '',
		    'class' => '',
		    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
		    'group' => esc_html__('Style & Hover', 'LEVELUP'),
	    ),

		array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Border Width", 'LEVELUP' ),
            "param_name" => "border_size",
            "value" => array(
	            esc_html__("1px", 'LEVELUP' ) => 1,
	            esc_html__("2px", 'LEVELUP' ) => 2,
	            esc_html__("3px", 'LEVELUP' ) => 3,
	            esc_html__("4px", 'LEVELUP' ) => 4,
	            esc_html__("5px", 'LEVELUP' ) => 5,
	            esc_html__("6px", 'LEVELUP' ) => 6,
	            esc_html__("7px", 'LEVELUP' ) => 7,
	            esc_html__("8px", 'LEVELUP' ) => 8,
	            esc_html__("9px", 'LEVELUP' ) => 9,
	            esc_html__("10px", 'LEVELUP' ) => 10,
            ),
            "std" => 2,
            "dependency" => array('element' => "style", 'value' => array('outline')),
			'description' => esc_html__('Select border width. By default 2.', 'LEVELUP'),
            'group' => esc_html__('Style & Hover', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Border Radius", 'LEVELUP' ),
            "param_name" => "border_radius",
            "value" => array(
	            esc_html__("- Select -", 'LEVELUP' ) => 0,
	            esc_html__("1px", 'LEVELUP' ) => 1,
	            esc_html__("2px", 'LEVELUP' ) => 2,
	            esc_html__("3px", 'LEVELUP' ) => 3,
	            esc_html__("4px", 'LEVELUP' ) => 4,
	            esc_html__("5px", 'LEVELUP' ) => 5,
	            esc_html__("6px", 'LEVELUP' ) => 6,
	            esc_html__("7px", 'LEVELUP' ) => 7,
	            esc_html__("8px", 'LEVELUP' ) => 8,
	            esc_html__("9px", 'LEVELUP' ) => 9,
	            esc_html__("10px", 'LEVELUP' ) => 10,
                esc_html__("15px", 'LEVELUP' ) => 15,
                esc_html__("20px", 'LEVELUP' ) => 20,
                esc_html__("30px", 'LEVELUP' ) => 30,
            ),
            "std" => 0,
            "description" => esc_html__("Select border radius.", 'LEVELUP'),
            'group' => esc_html__('Style & Hover', 'LEVELUP'),
            "dependency" => array('element' => "animation", 'value' => array('', 'p_outside', 'p_inside')),
        ),

	    array(
		    "type" => "dropdown",
		    "class" => "",
		    "heading" => esc_html__("Add Shadow to Button", 'LEVELUP' ),
		    "param_name" => "shadow",
		    "value" => array(
			    esc_html__("- Select -", 'LEVELUP') => "",
			    esc_html__("Shadow 1", 'LEVELUP') => "shadow1",
			    esc_html__("Shadow 2", 'LEVELUP') => "shadow2",
			    esc_html__("Shadow 3", 'LEVELUP') => "shadow3",
			    esc_html__("Shadow 4", 'LEVELUP') => "shadow4",
			    esc_html__("Shadow 5", 'LEVELUP') => "shadow5",
			    esc_html__("Shadow 6", 'LEVELUP') => "shadow6",
		    ),
		    'description' => esc_html__('Select pre-made shadow style for the button.', 'LEVELUP'),
		    'group' => esc_html__('Shadow', 'LEVELUP'),
	    ),

	    array(
		    "type" => "checkbox",
		    "heading" => esc_html__("Shadow Hover?", 'LEVELUP'),
		    "description" => esc_html__("If checked, shadow will be shown on hover.", 'LEVELUP'),
		    "param_name" => "shadow_on_hover",
		    "value" => array(
			    "Yes" => "true",
		    ),
		    "dependency" => array(
			    'element' => "shadow",
			    'not_empty' => true
		    ),
		    'group' => esc_html__('Shadow', 'LEVELUP'),
		    'edit_field_class' => 'vc_column vc_col-sm-6',
	    ),

	    array(
		    'type' => 'checkbox',
		    'heading' => esc_html__( 'Slightly Lifted Up on Hover?', 'LEVELUP' ),
		    'param_name' => 'move_top',
		    'value' => array(
			    esc_html__( 'Yes', 'LEVELUP' ) => 'true',
		    ),
		    'description' => esc_html__('If checked, the button is slightly lifted up simultaneously with shadow displaying on hover.', 'LEVELUP'),

		    "dependency" => array(
			    'element' => "shadow_on_hover",
			    'not_empty' => true
		    ),
		    'group' => esc_html__('Shadow', 'LEVELUP'),
		    'edit_field_class' => 'vc_column vc_col-sm-6',
	    ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Add Icon", 'LEVELUP' ),
            "param_name" => "icon_align",
            "value" => array(
                esc_html__("- Select -", 'LEVELUP' ) => "disable",
                esc_html__("Left", 'LEVELUP' ) => "left",
                esc_html__("Right", 'LEVELUP' ) => "right",
            ),
            "description" => esc_html__("Select icons location near the button text.", 'LEVELUP' ),
            'group' => esc_html__('Add Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Icon library', 'LEVELUP' ),
            'value' => array(
                esc_html__( 'Font Awesome', 'LEVELUP' ) => 'fontawesome',
                esc_html__( 'Open Iconic', 'LEVELUP' ) => 'openiconic',
                esc_html__( 'Typicons', 'LEVELUP' ) => 'typicons',
                esc_html__( 'Entypo', 'LEVELUP' ) => 'entypo',
                esc_html__( 'Linecons', 'LEVELUP' ) => 'linecons',
                esc_html__( 'Etline', 'LEVELUP' ) => 'etline',
            ),
            'admin_label' => true,
            'param_name' => 'type_font',
            'description' => esc_html__( 'Select icon library.', 'LEVELUP' ),
            "dependency" => array('element' => "icon_align", 'value' => array('left', 'right')),
            'group' => esc_html__('Add Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_fontawesome',
            'value' => 'fa fa-adjust', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'fontawesome',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Add Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_openiconic',
            'value' => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'openiconic',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'openiconic',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Add Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_typicons',
            'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'typicons',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'typicons',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Add Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_entypo',
            'value' => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'entypo',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'entypo',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Add Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_linecons',
            'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'linecons',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'linecons',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Add Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_etline',
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'etline',
                'iconsPerPage' => 200, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'etline',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Add Icon', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__( "CSS Animation", 'LEVELUP' ),
            "param_name" => "css_animation",
            "admin_label" => true,
            "value" => levelup_get_vc_animation_options(),
            'description' => esc_html__('Select type of animation for element to be animated when it "enters" the browsers viewport or you can specify delay (Note: works only in modern browsers).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__( "Animation delay", 'LEVELUP' ),
            "param_name" => "animation_delay",
            "admin_label" => true,
            "value" => "",
            'description' => esc_html__('Specify the delay in milliseconds when animation start.', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Restart CSS Animation", 'LEVELUP'),
            'value' => array(esc_html__('Yes.', 'LEVELUP') => 'show_video'),
            "param_name" => "css_animation_repeat",
            'description' => esc_html__('If checked, the animation for the element will be restart whenever when it "enters" the browsers viewport (Note: works only in modern browsers).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

       /*
        array(
            "type" => "rdy_preset",
            "class" => "",
            "heading" => esc_html__( "Presets", 'LEVELUP' ),
            "param_name" => "rdy_button",
//            "value" => esc_html__( "", 'LEVELUP' ),
            'options' => array(
                'Preset 1' => array(
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_button/flat_01.gif",
                ),
                'Preset 2' => array(
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_button/flat_02.gif",
                ),
                'Flat Button 1' => array(
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_button/flat_03.gif",
                ),
                'preset-4' => array(
                    'src' => 'layout-4.png'
                ),
            ),
            'group' => esc_html__('Presets', 'LEVELUP'),
        ), */

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'LEVELUP' )
        ),
    )
) );
