<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

class WPBakeryShortCode_Rdy_Client_List extends WPBakeryShortCode {

    protected function content( $atts, $content = null ) {

        $title = '';

        $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
        extract( $atts );

        $style_id = Levelup_Styles::shortcode_id();

        $autoplay = apply_filters('levelup_sanitize_flag', $autoplay);

        $bg_color       = esc_attr( $bg_color );
        $bg_hover_color = esc_attr( $bg_hover_color );
        $border_color   = esc_attr( $border_color );
        $border_style   = esc_attr( $border_style );
        $margin_bottom  = esc_attr( $margin_bottom );

        $output = '';
        $gutter_space = absint($gutter_space);
        $gutter_space_carousel = absint($gutter_space_carousel);
        $gutter_space = ($border_style == "opened_edges") ? 0 : $gutter_space;

        $defaults = array(
            'numberposts' => -1,
            'offset' => 0,
            'category' => 0,
            'orderby' => 'post__in',
            'order' => 'DESC',
            'include' => $include,
            'exclude' => array(),
            'meta_key' => '',
            'meta_value' => '',
            'post_type' => 'attachment',
            'suppress_filters' => true,
            'public' => true,
            'posts_per_page' => 16,
            'post_status' => 'inherit',
            'ignore_sticky_posts' => true,
            'no_found_rows' => true
        );

        $incposts = wp_parse_id_list( $include );
        $defaults['posts_per_page'] = count( $incposts );
        $defaults['post__in'] = $incposts;

        $settings = $defaults;
        $my_query = new WP_Query(  );
        $post_data = $my_query->query( $settings );

        $bg_color = !empty( $bg_color ) ? ( ' background-color:'.$bg_color.'; ' ) : '';
        $bg_hover_color = !empty( $bg_hover_color ) ? ( ' background-color:'.$bg_hover_color.'; ' ) : '';
        $border_color_item = !empty( $border_color ) ? ( ' border-color:'.$border_color.';border-width: 1px; border-style: solid; ' ) : '';

        if ($style == 'carousel') {

            $directionNav = "false";
            if ( !empty( $title ) ) {
                $directionNav = "true";
            }

            $maxitems = absint($column);
            if (!($maxitems > 0)) {
                $maxitems = 6;
            }

            $output .= '<div id="clients-' . $style_id . '" data-autoplay="' . ($autoplay ? 1 : 0) . '"' . ( $autoplay && isset( $autoplay_timeout ) && $autoplay_timeout ? ' data-autoplay-timeout="' . esc_attr( $autoplay_timeout ) . '"' : '') . ( $autoplay && isset( $animation_speed ) && $animation_speed ? ' data-animation-speed="' . esc_attr( $animation_speed ) . '"' : '') . ' data-pauseOnHover="true" data-controlNav="false" data-directionNav="' . $directionNav . '" data-isCarousel="true" data-itemWidth="180" data-itemMargin="0" data-minItems="1" data-maxItems="' . $maxitems . '" data-move="1" class="rdy-clients-shortcode rdy-script-call rdy-owlslider ' . $el_class . '' . ($hover ? ' is-hover' : '') . '' . (!empty($border_color) ? ' with-border' : '') . '">';

            $output .= '<div class="rdy-owl-slides owl-carousel">';
            foreach ( $post_data as $attachment ) {
                $url = get_post_meta($attachment->ID, '_link', true);
                $image = wp_get_attachment_image_src($attachment->ID, 'full');
                $output .= !empty($url) ? '<a target="' . esc_attr( $target ) . '" href="' . esc_url( $url ) . '">' : '';
                $output .= '<div title="' . esc_attr( $title ) . '" class="client-logo"><img src="' . esc_url( $image[0] ). '" alt=""></div>';
                $output .= !empty($url) ? '</a>' : '';
            }

            $output .= '</div>';
            $output .= '</div>';

        } else {
            switch ( $column ) {
                case 1:
                    $column_css = 'one-column';
                    $per_row = 1;
                    break;
                case 2:
                    $column_css = 'two-column';
                    $per_row = 2;
                    break;
                case 3:
                    $column_css = 'three-column';
                    $per_row = 3;
                    break;
                case 4:
                    $column_css = 'four-column';
                    $per_row = 4;
                    break;
                case 5:
                    $column_css = 'five-column';
                    $per_row = 5;
                    break;
                case 6:
                    $column_css = 'six-column';
                    $per_row = 6;
                    break;
                default :
                    $column_css = 'four-column';
                    $per_row = 4;
            }

            $container_border = (!empty($border_color) && $gutter_space == 0 && $border_style != "opened_edges") ? (' style="border-left:1px solid ' . $border_color . ';border-top:1px solid ' . $border_color . ';" ') : '';
            if ($animation && !$hover) $column_css .= ' with-animation-fadein';
            if ($css_animation_repeat && !$hover) $column_css .= ' animate-loop';

            $output .= '<div id="clients-' . $style_id . '" class="rdy-clients-shortcode column-style ' . $column_css . ' ' . $el_class . ' border-' . $border_style . '' . ($hover ? ' is-hover' : '') . '">';
            if ( !empty( $title ) ) {
                $output .= sprintf(
                    '<%1$s class="rdy-shortcode rdy-fancy-title pattern-style rdy-shortcode-heading"><span>%2$s</span></%1$s>',
                    $title_tag,
                    esc_html( $title )
                );
            }
            $row_counter = 0;
            $item_counter = 0;

            $output .= '<ul' . $container_border . '>' . "\n";
            $loop_items = $my_query->post_count;
            foreach ( $post_data as $attachment ) {
                $url = get_post_meta($attachment->ID, '_link', true);
                $image = wp_get_attachment_image_src( $attachment->ID, 'full' );

                $output .= '<li>' . "\n";
                $output .= !empty($url) ? '<a target="' . esc_attr( $target ) . '" href="' . esc_url( $url ) . '">' : '';
                $output .= '<div title="' . esc_attr( $title ) . '" class="client-logo"><img src="' . esc_url( $image[0] ) . '" alt=""></div>';
                $output .= !empty($url) ? '</a>' : '';
                $output .= '</li>' . "\n";

                $row_counter++;
                $item_counter++;
                if (($row_counter % $per_row) == 0 && $item_counter != $loop_items) {
                    $output .= '</ul><ul' . $container_border . '>' . "\n";
                }

            }

            $output .= '</ul></div>' . "\n";
        }

        if ($style == 'carousel' && $gutter_space_carousel) {
            $gutter_space_val = '0 ' . $gutter_space_carousel . 'px 0 0';
        } else if ($gutter_space) {
            $gutter_space_val = $gutter_space . 'px';
        } else {
            $gutter_space_val = '0 auto';
        }


        $stylesheet = '';
        if ( $margin_bottom ) {
            $stylesheet .= "
            #clients-{$style_id} {
                margin-bottom:{$margin_bottom}px;
            }
         ";
        }
        $stylesheet .= "
            #clients-{$style_id} .client-logo {
                {$bg_color}
                {$border_color_item}
        ";

        if ($gutter_space == 0 && $style == 'column') {
            $stylesheet .= "
            border-top-style: none;
            border-left-style: none;
            ";
        }

        $stylesheet .= "
}

@media (min-width: 768px) {
    #clients-{$style_id} .client-logo {
        margin:{$gutter_space_val};
    }
}
";
        if ($border_style == "opened_edges") {
            $stylesheet .= "
            #clients-{$style_id} li:nth-child({$per_row}) .client-logo {
                border-right-color: transparent;
            }
            ";
        }

        $stylesheet .= "#clients-{$style_id} .client-logo:hover {
                {$bg_hover_color}
            }
        ";

        Levelup_Styles::addCSS($stylesheet, $style_id);

        return $output;

    }
}


//***********************************************************************
// List
//***********************************************************************

vc_map( array(
    "name" => esc_html__( "Client List", 'LEVELUP' ),
    "base" => "rdy_client_list",
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/client-list.png",
    "category" => 'by '.'LEVELUP',
    "allowed_container_element" => 'vc_row',
    "params" => array(
        array(
            'type' => 'attach_images',
            'heading' => esc_html__( 'Images', 'LEVELUP' ),
            'param_name' => 'include',
            'description' => esc_html__( 'Select images from media library.', 'LEVELUP' )
        ),
		
		array(
            "heading" => esc_html__("Display Style", 'LEVELUP'),
            "description" => esc_html__("Select display style for the grid.", 'LEVELUP'),
            "param_name" => "style",
            "value" => array(
                esc_html__("Carousel", 'LEVELUP') => "carousel",
                esc_html__("Column", 'LEVELUP') => "column"
            ),
            "type" => "dropdown"
        ),

        array(
            "type" => "checkbox",
            "heading" => esc_html__("Autoplay?", 'LEVELUP'),
            "description" => esc_html__("If check autoplay start.", 'LEVELUP'),
            "param_name" => "autoplay",
            "value" => array(
                "Yes" => "true",
            ),
            "dependency" => array(
                'element' => "style",
                'value' => array('carousel')
            ),
        ),

	    array(
		    "type" => "textfield",
		    "heading" => esc_html__("Autoplay Timeout", 'LEVELUP'),
		    "param_name" => "autoplay_timeout",
		    "value" => "2500",
		    "description" => esc_html__("Enter a value in milliseconds, this parameter indicates the delay time before the logotypes shift in the slider.", 'LEVELUP'),
		    "dependency" => array(
				'element' => "autoplay",
				'not_empty' => true
			),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

	    array(
		    "type" => "textfield",
		    "heading" => esc_html__("Speed", 'LEVELUP'),
		    "param_name" => "animation_speed",
		    "value" => "1000",
		    "description" => esc_html__("Enter a value in milliseconds, using this setting you set up the sliding speed of logotypes in the slider.", 'LEVELUP'),
		    "dependency" => array(
				'element' => "autoplay",
				'not_empty' => true
			),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'libe_cl_01',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "heading" => esc_html__("Border Style", 'LEVELUP'),
            "description" => esc_html__("Choose border style.", 'LEVELUP'),
            "param_name" => "border_style",
            "value" => array(
                esc_html__("Boxed", 'LEVELUP') => "boxed",
                esc_html__("Opened Edges", 'LEVELUP') => "opened_edges"
            ),
            "type" => "dropdown",
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'column'
                )
            )
        ),
		
        array (
            "type" => "dropdown",
            "heading" => esc_html__("Grid Elements per Row", 'LEVELUP'),
            "param_name" => "column",
            "value" => array(
                "1" => "1",
                "2" => "2",
                "3" => "3",
                "4" => "4",
                "5" => "5",
                "6" => "6",
                "7" => "7",
                "8" => "8",
            ),
            "description" => esc_html__("Select number of single grid elements per row.", 'LEVELUP'),
            'std' => "4",
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Gap", 'LEVELUP'),
            "param_name" => "gutter_space",
            "value" => array(
                esc_html__("0px", 'LEVELUP') => "",
                "5px" => "5",
                "10px" => "10",
                "15px" => "15",
                "20px" => "20",
                "25px" => "25",
                "30px" => "30",
                "35px" => "35",
                "45px" => "45",
                "50px" => "50",
                "55px" => "55",
                "60px" => "60",
                "65px" => "65",
                "70px" => "70",
            ),
            "description" => esc_html__("Select gap between grid elements.", 'LEVELUP'),
            "dependency" => array(
                'element' => "border_style",
                'value' => array(
                    'boxed'
                )
            ),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Gap", 'LEVELUP'),
            "param_name" => "gutter_space_carousel",
            "value" => array(
                esc_html__("0px", 'LEVELUP') => "",
                "5px" => "5",
                "10px" => "10",
                "15px" => "15",
                "20px" => "20",
                "25px" => "25",
                "30px" => "30",
                "35px" => "35",
                "45px" => "45",
                "50px" => "50",
                "55px" => "55",
                "60px" => "60",
                "65px" => "65",
                "70px" => "70",
            ),
            "description" => esc_html__("Select gap between carousel elements.", 'LEVELUP'),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'carousel'
                )
            ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'libe_cl_01',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Background Color", 'LEVELUP'),
            "param_name" => "bg_color",
            "value" => "",
            "description" => esc_html__("Color of the box containing the client's logo", 'LEVELUP'),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),
		
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Hover Background Color", 'LEVELUP'),
            "param_name" => "bg_hover_color",
            "value" => "",
            "description" => esc_html__("Hover background color of the box containing the client's logo", 'LEVELUP'),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),
		
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Border Color", 'LEVELUP'),
            "param_name" => "border_color",
            "value" => "",
            "description" => esc_html__("Border color of the box containing the client's logo", 'LEVELUP'),
        ),

		array(
            "type" => "checkbox",
            "heading" => esc_html__("Fade In Effect on hover?", 'LEVELUP'),
            "param_name" => "hover",
            "value" => array(
                esc_html__("Yes", 'LEVELUP' ) => "true",
            ),
			'description' => esc_html__('Hover logo appears, from opacity: 0.5 to 1. Doesn\'t work in conjunction with animation.', 'LEVELUP'),
            'group' => esc_html__('Effects', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting_008',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            "value" => array(
                esc_html__("Yes", 'LEVELUP' ) => "true",
            ),
            "dependency" => array(
                'element' => "hover",
                'is_empty' => true
            ),
            'group' => esc_html__('Effects', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "heading" => esc_html__("Loading Effects for Grid Items?", 'LEVELUP'),
            "param_name" => "animation",
            "value" => array(
                esc_html__("Yes", 'LEVELUP' ) => "true",
            ),
            "dependency" => array(
                'element' => "hover",
                'is_empty' => true
            ),
			'description' => esc_html__('Sets up the gradual emergence of logos when entering the viewport. It does not work in conjunction with hover.', 'LEVELUP'),
            'group' => esc_html__('Effects', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Restart Loading Effects", 'LEVELUP'),
            'value' => array(esc_html__('Yes.', 'LEVELUP') => 'show_video'),
            "param_name" => "css_animation_repeat",
            "dependency" => array('element' => 'animation', 'not_empty' => true),
            'description' => esc_html__('If checked, the animation for the element will be restart whenever when it "enters" the browsers viewport (Note: works only in modern browsers).', 'LEVELUP'),
            'group' => esc_html__('Effects', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Link Target", 'LEVELUP'),
            "param_name" => "target",
            "width" => 200,
            "value" => $target_arr,
            "description" => esc_html__("Target for the links.", 'LEVELUP')
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Bottom Margin", 'LEVELUP'),
            "param_name" => "margin_bottom",
            "value" => "20",
            "description" => esc_html__("Enter bottom margin in px. E.g. 30. By default 20.", 'LEVELUP')
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name", 'LEVELUP'),
            "param_name" => "el_class",
            "value" => "",
            "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", 'LEVELUP')
        )
    )
) );
