<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

require_once vc_path_dir( 'SHORTCODES_DIR', 'vc-custom-heading.php' );

class WPBakeryShortCode_Rdy_Countdown extends WPBakeryShortCodeWithFont {

    protected function content( $atts, $content = null ) {

        $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
        extract( $atts );

        $google_fonts = $font_container = $el_class = $css = $google_fonts_data = $font_container_data = '';
        extract( $this->getAttributes( $atts ) );
        extract( $this->getStyles( $el_class, $css, $google_fonts_data, $font_container_data, $atts ) );

        $google_font_styles = '';
        $settings = get_option( 'wpb_js_google_fonts_subsets' );
        $subsets  = '';
        if ( is_array( $settings ) && ! empty( $settings ) ) {
            $subsets = '&subset=' . implode( ',', $settings );
        }

        if ( is_array( $google_fonts_data ) && ! empty( $google_fonts_data ) ) {
            wp_enqueue_style( 'vc_google_fonts_' . vc_build_safe_css_class( $google_fonts_data['values']['font_family'] ), '//fonts.googleapis.com/css?family=' . $google_fonts_data['values']['font_family'] . $subsets );

            $google_font_styles = implode( ';', $styles );
        }

        $count_style = esc_attr( $count_style );
        $year   = esc_attr( $year );
        $month  = esc_attr( $month );
        $day    = esc_attr( $day );
        $hour   = esc_attr( $hour );
        $minute = esc_attr( $minute );
        $gap = esc_attr( $gap );
        $align = esc_attr( $align );
        $font_size = esc_attr( $font_size );
        $text_color = esc_attr( $text_color );
        $max = esc_attr( $max );
        $min = esc_attr( $min );


        $style_id = Levelup_Styles::shortcode_id();

        $time_array = array(
            esc_html__('Second',  	'LEVELUP' ) 	=>'1',
            esc_html__('Minute',  	'LEVELUP' ) 	=>'2',
            esc_html__('Hour',  	'LEVELUP' ) 	=>'3',
            esc_html__('Day',  		'LEVELUP' ) 	=>'4',
            esc_html__('Week',  	'LEVELUP' ) 	=>'5',

//            esc_html__('Month',  	'LEVELUP' ) 	=>'6',
//            esc_html__('Year',  	'LEVELUP' ) 	=>'7'

        );

        $full_time_array = array(

            1 => array("interval" => 1000		, 'class'=>'seconds', 	'label' => esc_html__('Second', 'LEVELUP' ),	'label_multi' => esc_html__('Seconds',  'LEVELUP')),
            2 => array("interval" => 60000		, 'class'=>'minutes', 	'label' => esc_html__('Minute', 'LEVELUP' ),	'label_multi' => esc_html__('Minutes',  'LEVELUP')),
            3 => array("interval" => 3600000	, 'class'=>'hours', 	'label' => esc_html__('Hour',  	'LEVELUP'),	'label_multi' => esc_html__('Hours',  	'LEVELUP')),
            4 => array("interval" => 86400000	, 'class'=>'days', 		'label' => esc_html__('Day',  	'LEVELUP' ), 'label_multi' => esc_html__('Days',  	'LEVELUP')),
            5 => array("interval" => 604800000	, 'class'=>'weeks', 	'label' => esc_html__('Week',  	'LEVELUP' ),	'label_multi' => esc_html__('Weeks',  	'LEVELUP')),
            6 => array("interval" => 2678400000	, 'class'=>'months', 	'label' => esc_html__('Month',  'LEVELUP' ),	'label_multi' => esc_html__('Months',  	'LEVELUP')),
            7 => array("interval" => 31536000000, 'class'=>'years', 	'label' => esc_html__('Year',  	'LEVELUP' ),	'label_multi' => esc_html__('Years',  	'LEVELUP'))

        );


        $interval 	= $full_time_array[$min]['interval'];
        $final_time = "";
        $output  	= "";
        $digit_style= "";
        $el = isset($meta['el_class']) ? $meta['el_class'] : "";


        if ( ! empty( $year ) && ! empty( $month ) && ! empty( $day ) ) {

            $final_time .= " data-year='" . $year . "'";
            $final_time .= " data-month='" . ((int)$month - 1) . "'";
            $final_time .= " data-day='" . $day . "'";
            $final_time .= " data-hour='" . $hour . "'";
            $final_time .= " data-minute='" . $minute . "'";

            if ( ! empty( $font_size ) ) {
                $digit_style = "font-size:{$font_size}px; ";
            }
            $tags = !empty($link) ? array( "a href='{$link}' ", "a") : array('span', 'span');


            if ($text_color) {
                $style = 'color: ' . $text_color . ';';
            }

            $output .= '<div class="rdy-countdown-timer rdy-countdown-' . $style_id . ' ' . ($align ? ' align-' . $align : '') . ' ' . $count_style . ' ' . $el . '" ' . $final_time . ' data-interval="' . $interval . '" data-maximum="' . $max . '" style="' . $style . $google_font_styles . '">';
            $output .= "<{$tags[0]} class='rdy-countdown-timer-inner'>";

            foreach (array_reverse($time_array) as $key => $number) {
                if ( $number >= $min && $number <= $max ) {
                    $class   = $full_time_array[$number]['class'];
                    $single  = $full_time_array[$number]['label'];
                    $multi   = $full_time_array[$number]['label_multi'];

                    $output .= "<span class='rdy-countdown-cell rdy-countdown-". $class ."'>";
                    $output .= "<span class='rdy-countdown-cell-inner'>";

                    $output .= "<span class='rdy-countdown-time' data-upate-width='{$class}' style='{$digit_style}'>0</span>";
                    $output .= "<span class='rdy-countdown-time-label' data-label='{$single}' data-label-multi='{$multi}'>" . $multi . "</span>";

                    $output .= "</span>";
                    $output .= "</span>";
                }
            }

            $output .= "</{$tags[1]}>";
            $output .= "</div>";

            $stylesheet = '
            .rdy-countdown-' . $style_id . ' .rdy-countdown-cell {
                margin-right: ' . ($gap ? $gap : 15) . 'px;
            }';

            Levelup_Styles::addCSS($stylesheet, $style_id);

        }


        return $output;
    }
}


//***********************************************************************
// Countdown shortcode
//***********************************************************************

vc_map( array(
    "name" => esc_html__("Countdown", 'LEVELUP' ),
    "base" => "rdy_countdown",
    "category" => 'by '.'LEVELUP',
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/countdown.png",
    "allowed_container_element" => 'vc_row',
    "params" => array(

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Display Style", 'LEVELUP'),
            "param_name" => "count_style",
            'options' => array(
                'style1' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_countdown/type_01.png",
                ),
                'style2' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_countdown/type_02.png",
                ),
            ),
            'description' => esc_html__('Select Countdown display style.', 'LEVELUP'),
            'std' => ''
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Year", 'LEVELUP' ),
            "param_name" => "year",
            "value" => "0",
            'edit_field_class' => 'vc_col-sm-3 vc_column',
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Month", 'LEVELUP' ),
            "param_name" => "month",
            "value" => "0",
            'edit_field_class' => 'vc_col-sm-2 vc_column',
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Day", 'LEVELUP' ),
            "param_name" => "day",
            "value" => "0",
            'edit_field_class' => 'vc_col-sm-2 vc_column',
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Hour", 'LEVELUP' ),
            "param_name" => "hour",
            "value" => "12",
            'edit_field_class' => 'vc_col-sm-3 vc_column',
            'description' => esc_html__('24 hour format.', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Minute", 'LEVELUP' ),
            "param_name" => "minute",
            "value" => "0",
            'edit_field_class' => 'vc_col-sm-2 vc_column',
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Largest time unit", 'LEVELUP' ),
            "param_name" => "max",
            "value" => array(
//                esc_html__( "Years", 'LEVELUP' )		=> "7",
//                esc_html__( "Months", 'LEVELUP' )		=> "6",
                esc_html__( "Weeks", 'LEVELUP' )		=> "5",
                esc_html__( "Days", 'LEVELUP' )		    => "4",
                esc_html__( "Hours", 'LEVELUP' ) 		=> "3",
                esc_html__( "Minutes", 'LEVELUP' )		=> "2",
                esc_html__( "Seconds", 'LEVELUP' ) 		=> "1",
            ),
            'description' => esc_html__('The largest unit that will be displayed', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Smallest time unit", 'LEVELUP' ),
            "param_name" => "min",
            "value" => array(
                esc_html__( "Seconds", 'LEVELUP' ) 		=> "1",
                esc_html__( "Minutes", 'LEVELUP' )		=> "2",
                esc_html__( "Hours", 'LEVELUP' ) 		=> "3",
                esc_html__( "Days", 'LEVELUP' )		    => "4",
                esc_html__( "Weeks", 'LEVELUP' )		=> "5",
//                esc_html__( "Months", 'LEVELUP' )		=> "6",
//                esc_html__( "Years", 'LEVELUP' )		=> "7"
            ),
            'description' => esc_html__('The smallest unit that will be displayed', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Gap", 'LEVELUP' ),
            "param_name" => "gap",
            "value" => "15",
            'description' => esc_html__('Enter the value of the gap between the elements. E.g. 30', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Alignment", 'LEVELUP' ),
            "param_name" => "align",
            "value" => array(
                esc_html__( "Left", 'LEVELUP' )		=> "left",
                esc_html__( "Center", 'LEVELUP' )	=> "center",
                esc_html__( "Right", 'LEVELUP' )	=> "right",
            ),
            'description' => esc_html__('Select the countdown alignment.', 'LEVELUP'),
        ),

        array(
            'type' => 'google_fonts',
            'param_name' => 'google_fonts',
            'value' => '',
            'settings' => array(
                'fields'=>array(
                    'font_family'=>'Open Sans:regular',
                    'font_style'=>'400 regular:400:normal',
                    'font_family_description' => esc_html__('Select font family.','LEVELUP'),
                    'font_style_description' => esc_html__('Select font styling.','LEVELUP')
                )
            ),
            'group' => esc_html__('Typography', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Font size (px)", 'LEVELUP' ),
            "param_name" => "font_size",
            'description' => esc_html__('Enter Font Size in pixels. E.g. 30', 'LEVELUP'),
            'group' => esc_html__('Typography', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Font Color", 'LEVELUP' ),
            "param_name" => "text_color",
            'description' => esc_html__('Select Font Color.', 'LEVELUP'),
            "value" => "#cccccc",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'group' => esc_html__('Typography', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
        ),

    )
) );
