<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

require_once vc_path_dir( 'SHORTCODES_DIR', 'vc-custom-heading.php' );

class WPBakeryShortCode_Rdy_Counter extends WPBakeryShortCodeWithFont {

    protected function content( $atts, $content = null ) {

        $stylesheet = $motion_data = $sym_html = '';
	    $google_fonts = $font_container = $el_class = $css = $google_fonts_data = $font_container_data = '';

        $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
        extract( $atts );

        $style_id = Levelup_Styles::shortcode_id();

        $html                   = "";
        $counter_holder_classes = "";
        $counter_classes        = "";
        $counter_styles         = "";
        $text_styles            = "";
        $google_font_styles     = "";

	    extract( $this->getAttributes( $atts ) );
        extract( $this->getStyles( $el_class, $css, $google_fonts_data, $font_container_data, $atts ) );

        $position           = esc_attr( $position );
        $content_align      = esc_attr( $content_align );
        $type               = esc_attr( $type );
        $text_color         = esc_attr( $text_color );
        $font_color         = esc_attr( $font_color );
        $font_size          = esc_attr( $font_size );
        $text_transform     = esc_attr( $text_transform );
        $box_border_color   = esc_attr( $box_border_color );
        $border_size        = esc_attr( $border_size );
        $background         = esc_attr( $background );
        $circle_size        = esc_attr( $circle_size );
        $box_padding        = esc_attr( $box_padding );
        $c_symbol_font_size = esc_attr( $c_symbol_font_size );
        $c_symbol           = esc_attr( $c_symbol );
        $pos_symbol         = esc_attr( $pos_symbol );
        $speed              = esc_attr( $speed );
        $delay              = esc_attr( $delay );
        $digit              = esc_attr( $digit );
        $separator          = esc_attr( $separator );
        $text               = esc_html( $text );


        $settings = get_option( 'wpb_js_google_fonts_subsets' );
        $subsets  = '';
        if ( is_array( $settings ) && ! empty( $settings ) ) {
            $subsets = '&subset=' . implode( ',', $settings );
        }

        if (is_array($google_fonts_data) && !empty($google_fonts_data)) {
            wp_enqueue_style( 'vc_google_fonts_' . vc_build_safe_css_class( $google_fonts_data['values']['font_family'] ), '//fonts.googleapis.com/css?family=' . $google_fonts_data['values']['font_family'] . $subsets );

            $google_font_styles = implode( ';', $styles );
        }

        if ($position != "" && $position != 'inline') {
            $counter_holder_classes .= " rdy_align_" . $position;
        }

        if ($content_align != "") {
            $counter_holder_classes .= " content_" . $content_align;
        }

        if ($type != 'motion') {
            if ($style == "box") {
                $counter_holder_classes .= " boxed_counter";
            } elseif ($style == "circle") {
                $counter_holder_classes .= " boxed_counter circle_counter";
            }
        }

        if ($type != "") {
            $counter_classes .= " " . $type;
            $counter_holder_classes .= " " . $type;
        }

	    if ( $el_class ) {
	        $counter_holder_classes .= ' ' . $el_class;
        }

        if ($font_color != "") {
            $counter_styles .= "color: " . $font_color . ";";
        }

        if ($font_size != "" && $font_title_responsive) {
            $counter_styles .= "font-size: " . $font_size . "px;";
            $counter_classes .= " " . levelup_calculate_responsive_font_class($font_size);
        } else if ($font_size != "") {
            $counter_styles .= "font-size: " . $font_size . "px;";
        }

        if ($text_size != "") {
            $text_styles .= "font-size: " . $text_size . "px;";
        }

        if ($text_transform != "") {
            $text_styles .= "text-transform: " . $text_transform . ";";
        }

        if ($text_color != "") {
            $text_styles .= "color: " . $text_color . ";";
        }

        $counter_holder_style = "";
        if ($box_border_color) {
            $counter_holder_style .= ' border-color: ' . $box_border_color . ';';
        }

        if ($border_size) {
            $counter_holder_style .= "border-width: " . $border_size . "px;";
        }

        if ($background && $type != 'motion' && ($style == "box" || $style == "circle")) {
            $counter_holder_style .= "background: " . $background . ";";
        }

        if ($style == "circle" && $type != 'motion' && $circle_size) {
            $counter_holder_style .= "width: " . $circle_size . "px; height: " . $circle_size . "px;";
        }

        if ($style == "box" && $type != 'motion' && $box_padding) {
            $counter_holder_style .= "padding: " . $box_padding . " !important;";
        }

        if ($type != "random" && $c_symbol != "") {
            $stylesheet .= '
            .b_counter-' . $style_id . ' .counter_sym,
            .b_counter-' . $style_id . ' .symbol-wrap span
            {
                ' . ($c_symbol_font_size && $c_symbol_valign != 'middle' ? 'font-size:' . $c_symbol_font_size . 'px; line-height:' . $c_symbol_font_size . 'px;' : '') . '
                ' . ($c_symbol_valign == 'top' ? 'vertical-align:top;' : '') . '
            }';

            if ($type != 'motion') $sym_html = '<span class="counter_sym">' . $c_symbol . '</span>';
        }

        if ($type == 'motion') {
            $motion_data = ' data-number-size="' . $font_size . '"';
            if ($c_symbol)
                $motion_data .= ' data-symbol="' . $c_symbol . '" data-symbol-alignment="default" data-symbol-pos="' . $pos_symbol . '" data-symbol-size="' . $c_symbol_font_size . '"';
        }

        $html .= '<div class="b_counter_holder b_counter-' . $style_id . ' ' . $counter_holder_classes . ($position == 'inline' ? ' inline' : '') . '" style="' . $counter_holder_style . '">';
        $html .= '<div class="b_count_align"><div class="b_counter_inner">';


        $html .= '<span class="counter ' . $counter_classes . '" style="' . $counter_styles . $google_font_styles . '"' . $motion_data . '>';

        if ($sym_html && $pos_symbol == 'before') {
            $html .= $sym_html;
        }

        $html .= '<span class="digit"' . ($speed ? ' data-speed="' . $speed . '"' : '') . ($delay ? ' data-delay="' . $delay . '"' : '') . ' data-separator="' . $counter_separator . '" data-animation="' . ($bounce_animation ? '1' : '0') . '" data-repeat="' . ($animation_repeat ? 1 : 0) . '" data-count="' . $digit . '">' . $digit . '</span>';

        if ($sym_html && $pos_symbol == 'after') {
            $html .= $sym_html;
        }

        $html .= '</span>';

        if ($separator && $separator != 'no') {
            $html .= do_shortcode('[vc_separator type="' . $separator . '" line_style="solid" color="' . $font_color . '" thickness="' . $separator_height . '" width="' . $separator_width . '" up="' . ($separator_margin_top ? $separator_margin_top : 20) . '" down="' . ($separator_margin_bottom ? $separator_margin_bottom : 25) . '" width_in_percentages="" align="align_' . ($content_align ? $content_align : 'left') . '"]');
        }

        $html .= wpb_js_remove_wpautop( $content );


        if ($text != "") {
            $html .= '<p class="counter_text" style="' . $text_styles . '">' . $text . '</p>';
        }

        $html .= '</div></div>';
        $html .= '</div>';

        Levelup_Styles::addCSS($stylesheet, $style_id);

        return $html;
    }
}


//***********************************************************************
// Counter shortcode
//***********************************************************************

vc_map( array(
    "name" => esc_html__("Counter", 'LEVELUP' ),
    "base" => "rdy_counter",
    "category" => 'by '.'LEVELUP',
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/counter.png",
    "allowed_container_element" => 'vc_row',
    "params" => array(


        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Counter Type", 'LEVELUP'),
            "param_name" => "type",
            'options' => array(
                'zero' => array(
                    'title' => 'Zero',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_counter/type_01.gif",
                ),
                'motion' => array(
                    'title' => 'Motion',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_counter/type_02.gif",
                ),
                'random' => array(
                    'title' => 'Random',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_counter/type_03.gif",
                ),
            ),
            'description' => esc_html__('Select Counter Type.', 'LEVELUP'),
            "std" => "zero",
        ),


        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Counter Value", 'LEVELUP' ),
            "param_name" => "digit",
            "description" => esc_html__("Enter number for counter without any special character. Example 587", 'LEVELUP' )
        ),
		
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Decimal and Thousands Separators", 'LEVELUP' ),
            "param_name" => "counter_separator",
            "value" => array(
                esc_html__("None", 'LEVELUP' ) => "",
                "gap" => " ",
                ","	=> ",",
                "."	=> "."
            ),
            'description' => esc_html__('Select the character for thousands separator. E.g. will separate 15000 into 15,000', 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('zero'))
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'google_fonts',
            'param_name' => 'google_fonts',
            'value' => '',
            'settings' => array(
                'fields'=>array(
                    'font_family'=>'Open Sans:regular',
                    'font_style'=>'400 regular:400:normal',
                    'font_family_description' => esc_html__('Select font family.','LEVELUP'),
                    'font_style_description' => esc_html__('Select font styling.','LEVELUP')
                )
            ),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Font size (px)", 'LEVELUP' ),
            "param_name" => "font_size",
            'description' => esc_html__('Enter Font Size in pixels. E.g. 30', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Font Color", 'LEVELUP' ),
            "param_name" => "font_color",
            "value" => "#333333",
            "description" => esc_html__( "Select font color.", 'LEVELUP' ),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Responsive Font Size?', 'LEVELUP' ),
            'param_name' => 'font_title_responsive',
            'value' => array(
                esc_html__( 'Yes.', 'LEVELUP' ) => 'true',
            ),
			'description' => esc_html__('If checked, the Font Size will be Responsive.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting_006',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            "dependency" => array('element' => 'type', 'value' => array('zero', 'motion')),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Counter Symbol", 'LEVELUP' ),
            "param_name" => "c_symbol",
            "description" => esc_html__("An optional symbol to place next to the number counted to. e.g. '%' or '+'", 'LEVELUP' ),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
            "dependency" => array('element' => 'type', 'value' => array('zero', 'motion')),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Counter Symbol Position", 'LEVELUP' ),
            "param_name" => "pos_symbol",
            "value" => array(
                esc_html__("After Number", 'LEVELUP' ) => "after",
                esc_html__("Before Number", 'LEVELUP' ) => "before"
            ),
            "description" => esc_html__("Select the position you would like for the symbol.", 'LEVELUP' ),
            "dependency" => array('element' => 'c_symbol', 'not_empty' => true),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Counter Symbol Vertical Alignment", 'LEVELUP' ),
            "param_name" => "c_symbol_valign",
            "value" => array(
                esc_html__("Top", 'LEVELUP' ) => "top",
                esc_html__("Middle", 'LEVELUP' ) => "middle",
                esc_html__("Bottom", 'LEVELUP' ) => "bottom",

            ),
            'std' => 'middle',
            'description' => esc_html__('Select Vertical Alignment for Counter Symbol.', 'LEVELUP'),
            "dependency" => array('element' => 'c_symbol', 'not_empty' => true),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Counter Symbol Font Size (px)", 'LEVELUP' ),
            "param_name" => "c_symbol_font_size",
            "value" => "",
            'description' => esc_html__('Enter Counter Symbol Font Size in pixels. E.g. 15', 'LEVELUP'),
            "dependency" => array('element' => 'c_symbol_valign', 'value' => array('bottom', 'top')),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Counter Position", 'LEVELUP' ),
            "param_name" => "position",
            "value" => array(
                esc_html__( "Left", 'LEVELUP' ) => "left",
                esc_html__( "Center", 'LEVELUP' ) => "center",
                esc_html__( "Right", 'LEVELUP' ) => "right",
                esc_html__( "Inline", 'LEVELUP' ) => "inline"
            ),
            'description' => esc_html__('Select Position for Counter.', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Shape", 'LEVELUP' ),
            "param_name" => "style",
            "value" => array(
                esc_html__("None", 'LEVELUP' ) => "no",
                esc_html__("Box", 'LEVELUP' ) => "box",
                esc_html__("Circle", 'LEVELUP' ) => "circle"
            ),
            'description' => esc_html__('Select background shape.', 'LEVELUP'),
            'group' => esc_html__('Display Style', 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('zero', 'random'))
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Circle Size", 'LEVELUP' ),
            "param_name" => "circle_size",
            'description' => esc_html__('Enter Circle Size in pxels. E.g. 90 ', 'LEVELUP'),
            "dependency" => array('element' => "style", 'value' => array('circle')),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
            'group' => esc_html__('Display Style', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Box padding", 'LEVELUP' ),
            "param_name" => "box_padding",
            'value' => '25px 25px 25px 25px',
            "description" => esc_html__("Enter padding (top right bottom left) Example: 5px 10px 0px 10px", 'LEVELUP' ),
            "dependency" => array('element' => "style", 'value' => array('box')),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
            'group' => esc_html__('Display Style', 'LEVELUP'),
        ),


        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Background", 'LEVELUP' ),
            "param_name" => "background",
            'description' => esc_html__('Select Background color.', 'LEVELUP'),
            "dependency" => array('element' => "style", 'value' => array('box', 'circle')),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
            'group' => esc_html__('Display Style', 'LEVELUP'),
        ),


        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Border Thickness", 'LEVELUP' ),
            "param_name" => "border_size",
            'description' => esc_html__('Enter Border Thickness in pxels. E.g. 5 ', 'LEVELUP'),
            "dependency" => array('element' => "style", 'value' => array('box', 'circle')),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
            'group' => esc_html__('Display Style', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Border Color", 'LEVELUP' ),
            "param_name" => "box_border_color",
            'description' => esc_html__('Select Border color.', 'LEVELUP'),
            "dependency" => array('element' => "style", 'value' => array('box', 'circle')),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
            'group' => esc_html__('Display Style', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Text", 'LEVELUP' ),
            'admin_label' => true,
            "param_name" => "text",
            'description' => esc_html__('Enter the text will be displayed under the counter.', 'LEVELUP'),
            'group' => esc_html__('Text', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Text Color", 'LEVELUP' ),
            "param_name" => "text_color",
            'description' => esc_html__('Select Text Color.', 'LEVELUP'),
            "dependency" => Array('element' => "text", 'not_empty' => true),
            'group' => esc_html__('Text', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Text Font Size (px)", 'LEVELUP' ),
            "param_name" => "text_size",
            "dependency" => Array('element' => "text", 'not_empty' => true),
            'description' => esc_html__('Enter Text Font Size in pixels. E.g. 20', 'LEVELUP'),
            'group' => esc_html__('Text', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Text Align", 'LEVELUP' ),
            "param_name" => "content_align",
            "value" => array(
                esc_html__( "Left", 'LEVELUP' ) => "left",
                esc_html__( "Center", 'LEVELUP' ) => "center",
                esc_html__( "Right", 'LEVELUP' ) => "right"
            ),
            'description' => esc_html__('Select Text Alignment.', 'LEVELUP'),
            "dependency" => Array('element' => "text", 'not_empty' => true),
            'group' => esc_html__('Text', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Text Transform", 'LEVELUP' ),
            "param_name" => "text_transform",
            "value" => array(
                esc_html__( "Default", 'LEVELUP' ) 			=> "",
                esc_html__( "None", 'LEVELUP' )				=> "none",
                esc_html__( "Capitalize", 'LEVELUP' ) 		=> "capitalize",
                esc_html__( "Uppercase", 'LEVELUP' )		=> "uppercase",
                esc_html__( "Lowercase", 'LEVELUP' )		=> "lowercase"
            ),
            'description' => esc_html__('Select Text Transform.', 'LEVELUP'),
            "dependency" => Array('element' => "text", 'not_empty' => true),
            'group' => esc_html__('Text', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Text', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Separator", 'LEVELUP' ),
            "param_name" => "separator",
            "value" => array(
                esc_html__( "No", 'LEVELUP' ) => "no",
                esc_html__( "Line", 'LEVELUP' ) => "normal",
            ),
            'description' => esc_html__('Separator between the counter and the text.', 'LEVELUP'),
            'group' => esc_html__('Text', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Separator Width", 'LEVELUP' ),
            "param_name" => "separator_width",
            'description' => esc_html__('Enter Separator Width in pixels. E.g. 50', 'LEVELUP'),
            "dependency" => array('element' => "separator", 'value' => array('normal',)),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
            'group' => esc_html__('Text', 'LEVELUP'),
        ),
		
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Separator Line Thickness (px)", 'LEVELUP' ),
            "param_name" => "separator_height",
            "dependency" => array('element' => "separator", 'value' => array('normal')),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
			'description' => esc_html__('Enter Separator Thickness in pixels. E.g. 2', 'LEVELUP'),
            'group' => esc_html__('Text', 'LEVELUP'),
        ),
		
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Separator Top Margin", 'LEVELUP' ),
            "param_name" => "separator_margin_top",
            'description' => esc_html__('Enter Top Margin in pixels. E.g. 25', 'LEVELUP'),
            "dependency" => array('element' => "separator", 'value' => array('normal',)),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
            'group' => esc_html__('Text', 'LEVELUP'),
        ),
		
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Separator Bottom Margin", 'LEVELUP' ),
            "param_name" => "separator_margin_bottom",
            'description' => esc_html__('Enter Bottom Margin in pixels. E.g. 25', 'LEVELUP'),
            "dependency" => array('element' => "separator", 'value' => array('normal',)),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
            'group' => esc_html__('Text', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Animation Duration (ms)", 'LEVELUP' ),
            "param_name" => "speed",
            "dependency" => Array('element' => "type", 'value' => array('zero', 'random')),
            'description' => esc_html__('Enter Animation Duration in milliseconds. E.g. 2500', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Animation Delay (ms)", 'LEVELUP' ),
            "param_name" => "delay",
            "dependency" => Array('element' => "type", 'value' => array('zero', 'random')),
            'description' => esc_html__('Enter Animation Delay in milliseconds. E.g. 2500', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Bounce Effect?", 'LEVELUP'),
            "param_name" => "bounce_animation",
            "value" => array(
                "Yes" => "true"
            ),
            'description' => esc_html__('If checked after the count will be a bounce.', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('zero'))
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Restart Animation", 'LEVELUP'),
            'value' => array(esc_html__('Yes.', 'LEVELUP') => 'show_video'),
            "param_name" => "animation_repeat",
            'description' => esc_html__('If checked, the animation for the element will be restart whenever when it "enters" the browsers viewport (Note: works only in modern browsers).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),


        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'LEVELUP' )
        )
    )
) );
