<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

class WPBakeryShortCode_Rdy_Gallery extends WPBakeryShortCode
{

    protected function content($atts, $content = null)
    {
	    $css = '';

        $attributes = vc_map_get_attributes($this->getShortcode(), $atts);
        extract($attributes);

        $style_id = Levelup_Styles::shortcode_id();

        $output = $el_class = '';

        $config = Levelup_Config::get_instance();


        wp_enqueue_script( 'isotope' );

        $config_backup = $config->get();

        $config->set('style_id', $style_id);
        $config->set('layout', $attributes['type']);
        $config->set('type', $attributes['type']);

        $config->set('columns', $attributes['columns']);
        $config->set('columns_fixed', $attributes['columns_fixed']);
        $config->set('no_link', $attributes['no_link']);
        $config->set('use_ext_link', $attributes['use_ext_link']);
        $config->set('use_link_blank', $attributes['use_link_blank']);


        $config->set('hover_type', $attributes['hover_type']);
        $config->set('adv_pattern', $attributes['adv_pattern']);

        $config->set('hover_color', $attributes['hover_color']);
        $config->set('hover_opacity', $attributes['hover_opacity']);
        $config->set('hover_element', $attributes['hover_element']);
        $config->set('hover_element_color', $attributes['hover_element_color']);

        $config->set('square_image', $attributes['square_image']);
        $config->set('items_animation', $attributes['items_animation']);

	    $config->set('use_custom_font', apply_filters('levelup_sanitize_flag', $attributes['use_custom_font']));
	    $config->set('title_fontsize', absint($attributes['title_fontsize']));
	    $config->set('title_font_color', $attributes['title_font_color']);
	    $config->set('caption_align', $attributes['caption_align']);
	    $config->set('show_caption', apply_filters('levelup_sanitize_flag', $attributes['show_caption']));


        $defaults = array(
            'numberposts' => -1,
            'offset' => 0,
            'category' => 0,
            'orderby' => 'post__in',
            'order' => 'DESC',
            'post__in' => explode( ',', $images ),
            'exclude' => array(),
            'meta_key' => '',
            'meta_value' => '',
            'post_type' => 'attachment',
            'suppress_filters' => true,
            'public' => true,
            'posts_per_page' => 500,
            'post_status' => 'inherit',
            'ignore_sticky_posts' => true,
            'no_found_rows' => true
        );

	    if ( $attributes['orderby_random'] ) {
		    $defaults['orderby'] = 'rand';
	    }

        $settings = $defaults;
        $images_query = new WP_Query( $settings );
        $item_count = 0;
        if( $images_query->have_posts() ){
            while( $images_query->have_posts() ) {
                $images_query->the_post();

                ob_start();

                set_query_var('item_count', $item_count);
	            levelup_get_template_part('gallery-loop');

                $output .= ob_get_contents();
                ob_end_clean();
                $item_count++;

                if ($config->get('type') == 'grid_adv') {
                    if ($config->get('adv_pattern') == 1) {
                        if ($item_count >= 10) $item_count = 0;
                    } elseif ($config->get('adv_pattern') == 2) {
                        if ($item_count >= 12) $item_count = 0;
                    } elseif ($config->get('adv_pattern') == 4) {
                        if ($item_count >= 15) $item_count = 0;
                    } elseif ($config->get('adv_pattern') == 5) {
                    } else {
                        if ($item_count >= 10) $item_count = 0;
                    }
                }

            }
            wp_reset_postdata();
        }


        if ($config->get('type') == 'grid_adv') {
            $output .= '<div class="grid-item grid-sizer"></div>';
        } else {
            $output .= '<div class="' . levelup_calc_columns_class($attributes['columns'], ($config->get('columns_fixed') ? true : false)) . ' grid-sizer"></div>';
        }

        $config->reset( $config_backup );

        $masonry_container_classes[] = 'rdy_portfolio-'.$style_id ;
        $masonry_container_classes[] = 'rdy_gallery';
        $masonry_container_classes[] = 'iso-container';
        $masonry_container_classes[] = vc_shortcode_custom_css_class( $css );

        if ( !$attributes['no_link'] ) $masonry_container_classes[] = 'with-link';

	    if ( $attributes['el_class'] ) {
		    $masonry_container_classes[] = esc_attr( $attributes['el_class'] );
	    }

        $masonry_container_classes[] = 'rdy-portfolio-container';

        if (!$attributes['gutter']) {
            $masonry_container_classes[] = 'no-gutter';
        }

        if ($attributes['hover_type']) {
            $masonry_container_classes[] = 'hover-' . esc_attr( $attributes['hover_type'] );
        }

        if ($attributes['hover_element']) {
            $masonry_container_classes[] = 'hover-elem-' .esc_attr( $attributes['hover_element'] );
        }


        if ($attributes['type'] == 'grid_adv') {
            $masonry_container_classes[] = 'rdy-masonry';
            $masonry_container_classes[] = 'rdy-masonry-adv';
        } elseif ($attributes['type'] == 'grid') {
            $masonry_container_classes[] = 'rdy-grid';
        } else {
            $masonry_container_classes[] = 'rdy-masonry';
        }


        if ($attributes['border']) {
            $masonry_container_classes[] = 'active-border';

            if ($attributes['border'] == 'animation') {
                $masonry_container_classes[] = 'active-border-animation';
            }

            if ($attributes['border'] == 'fade') {
                $masonry_container_classes[] = 'active-border-fade';
            }
        }

        $masonry_container_classes = implode(' ', $masonry_container_classes);

        $item_id = (!empty($item_id)) ? $item_id : 1409305847;

        $masonry_container_data_attr = array(
            'data-gutter="' . ($attributes['gutter'] ? esc_attr( $attributes['gutter'] ) : 0) . '"',
            'data-uniqid="' . $item_id . '"',
        );

        if ($attributes['type'] == 'grid_adv' && ($attributes['adv_pattern'] == 3 || $attributes['adv_pattern'] == 4 || $attributes['adv_pattern'] == 5)) {
            $masonry_container_data_attr[] = 'data-col="' . 4 . '"';
        }

        if ($attributes['items_animation']) {
            $masonry_container_data_attr[] = 'data-items-animation="' . esc_attr( $attributes['items_animation'] ) . '"';
        }

        $masonry_container_data_attr = ' ' . implode(' ', $masonry_container_data_attr);

        $output_template = '<div class="%s"%s>%s</div>';

        $output = sprintf( $output_template,
            esc_attr($masonry_container_classes),
            $masonry_container_data_attr,
            $output
        );


        $output = '<div class="container-fluid rdy_portfolio_container"><div class="rdy_portfolio_wrap row">' . $output . '</div></div>';

        $opacity = levelup_convert_opacity($attributes['hover_opacity'], false);

        $stylesheet = '';

        if ($attributes['gutter']) {
            $gutter = esc_attr( $attributes['gutter'] );

            if ($attributes['gutter'] == 1) {
                $stylesheet .= '
                            .rdy_portfolio-' . $style_id . ':not(.rdy-masonry-adv) .grid-item {
                                padding-left: 0;
                                padding-right: 1px;
                                margin-bottom: 1px;
                            }
                            ';
            } else {
                $stylesheet .= '
                            @media (min-width: 992px) {
                                .rdy_portfolio-' . $style_id . ':not(.rdy-masonry-adv) .grid-item {
                                    padding-left: ' . $gutter . 'px;
                                    padding-right: ' . $gutter . 'px;
                                    margin-bottom: ' . ($gutter * 2) . 'px;
                                }
                                .rdy_portfolio-' . $style_id . ':not(.rdy-masonry-adv) {
                                    margin-left: -' . $gutter . 'px;
                                    margin-right: -' . $gutter . 'px;
                                }
                            }
                            @media (max-width: 992px) {
                                .rdy_portfolio-' . $style_id . ':not(.rdy-masonry-adv) .grid-item {
                                    padding-left: 10px;
                                    padding-right: 10px;
                                    margin-bottom: 15px;
                                }
                                .rdy_portfolio-' . $style_id . ':not(.rdy-masonry-adv) {
                                    margin-left: -10px;
                                    margin-right: -10px;
                                }
                            }
                            ';
            }
        }


        if ($opacity >= 0 && $attributes['hover_type']) {
            $stylesheet .= '
                    .rdy_portfolio-' . $style_id . ' .grid-item figure:hover .picture .overlay {
                        opacity: ' . esc_attr( $opacity ) . ' !important
                    }
                    ';
        }

        if ($attributes['border'] && $attributes['border']) {
            if ($attributes['border'] == 'animation') {
                $stylesheet .= '
                        .rdy_portfolio-' . $style_id . '.active-border .grid-item figure .picture:before {
                            border-color: ' . esc_attr( $attributes['border_color'] ) . '
                        }
                        .rdy_portfolio-' . $style_id . '.active-border .grid-item figure:hover .picture:before {
                            border-width: ' . esc_attr( $attributes['border_width'] ) . 'px
                        }
                        ';
            } else {
                $stylesheet .= '
                        .rdy_portfolio-' . $style_id . '.active-border .grid-item figure .picture:before {
                            border-color: ' . esc_attr( $attributes['border_color'] ) . ';
                            border-width: ' . esc_attr( $attributes['border_width'] ) . 'px;
                        }
                        ';
            }
        }


        if (isset($_GET["portfolio_1"])) {
            $stylesheet .= '
                    .rdy-portfolio-container .figcaption h2,
                    .rdy-portfolio-container .figcaption .description,
                    .rdy-portfolio-container.hover-10 figure:hover .figcaption h2,
                    .rdy-portfolio-container.hover-11 figure:hover .figcaption h2,
                    .rdy-portfolio-container.hover-10 figure:hover .figcaption .description,
                    .rdy-portfolio-container.hover-11 figure:hover .figcaption .description {
                        color: #222222;
                    }
                    .rdy-portfolio-container .figcaption h2 {
                        font-size: 35px;
                        font-weight: 600;
                    }
                    ';
        }


        Levelup_Styles::addCSS($stylesheet, $style_id);

        return $output;

    }
}



/*  Gallery
---------------------------------------------------------- */

vc_map( array(
    "name" => esc_html__("Gallery", 'LEVELUP'),
    "base" => "rdy_gallery",
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/gallery.png",
    "category" => 'by '.'LEVELUP',
    "allowed_container_element" => 'vc_row',
    "params" => array(
        array(
            'type' => 'attach_images',
            'heading' => esc_html__( 'Images', 'LEVELUP' ),
            'param_name' => 'images',
            'description' => esc_html__( 'Select images from media library.', 'LEVELUP' )
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Types", 'LEVELUP'),
            "param_name" => "type",
            'options' => array(
                'grid' => array(
                    'title' => 'Grid',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/type_grid.png",
                ),
                'masonry' => array(
                    'title' => 'Masonry',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/type_masonry.png",
                ),
                'grid_adv' => array(
                    'title' => 'Mosaic',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/type_mosaic.png",
                ),
            ),
            'description' => esc_html__('Select display style for the grid.', 'LEVELUP'),
            "std" => "grid",
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Mosaic Layouts", 'LEVELUP'),
            "param_name" => "adv_pattern",
            'options' => array(
                '1' => array(
                    'title' => 'Mosaic One',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/mosaic_layout_01.png",
                ),
                '2' => array(
                    'title' => 'Mosaic Two',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/mosaic_layout_02.png",
                ),
                '3' => array(
                    'title' => 'Mosaic Three',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/mosaic_layout_03.png",
                ),
                '4' => array(
                    'title' => 'Mosaic Four',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/mosaic_layout_04.png",
                ),
                '5' => array(
                    'title' => 'Mosaic Five',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/mosaic_layout_05.png",
                ),
            ),
            "std" => "1",
            'description' => esc_html__('Select Mosaic Layout.', 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('grid_adv',)),
        ),



        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Grid Elements per Row", 'LEVELUP'),
            "param_name" => "columns",
            "value" => array(
                "1" => "1",
                "2" => "2",
                "3" => "3",
                "4" => "4",
                "6" => "6",
            ),
            'description' => esc_html__('Select number of single grid elements per row.', 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('masonry', 'grid')),
            "std" => '3',
        ),

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Gap", 'LEVELUP'),
            "param_name" => "gutter",
            "value" => array(
                esc_html__("0px", 'LEVELUP') => "",
                "1px" => "1",
                "4px" => "2",
                "6px" => "3",
                "10px" => "5",
                "20px" => "10",
                "30px" => "15",
                "40px" => "20",
                "50px" => "25",
                "60px" => "30",
                "90px" => "45",
            ),
            'description' => esc_html__('Select gap between grid elements.', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Square Shape?", 'LEVELUP'),
            "param_name" => "square_image",
            "value" => array(
                "Yes" => "true"
            ),
            "dependency" => Array('element' => "type", 'value' => array('grid',)),
            'description' => esc_html__('If checked, all project images in the listing will be displayed as a square.', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'gallery_separator_01',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),


        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Random Displaying?", 'LEVELUP'),
            "param_name" => "orderby_random",
            "value" => array(
                "Yes" => "true"
            ),
            'description' => esc_html__('This function is building up the sequence of images each time differently when refreshing the gallery.', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'gallery_separator_01_01',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Disable Lightbox?", 'LEVELUP'),
            "param_name" => "no_link",
            "value" => array(
                "Yes" => "true"
            ),
            'description' => esc_html__('If checked, the images will not open in the lightbox.', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("External Link on image click?", 'LEVELUP'),
            "param_name" => "use_ext_link",
            "value" => array(
                "Yes" => "true"
            ),
            "dependency" => Array('element' => "no_link", 'not_empty' => true),
            'description' => esc_html__('If checked, the images are external links will be used.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Open link in a new tab/window?", 'LEVELUP'),
            "param_name" => "use_link_blank",
            "value" => array(
                "Yes" => "true"
            ),
            "dependency" => Array('element' => "use_ext_link", 'not_empty' => true),
            'description' => esc_html__('If checked, the images will open in a new tab/window.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'gallery_separator_02',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            "dependency" => Array( 'element' => "type", 'value' => array( 'grid', 'masonry' ) ),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Lock Grid Elements per Row?", 'LEVELUP'),
            "param_name" => "columns_fixed",
            "value" => array(
                "Yes" => "true"
            ),
            "dependency" => Array( 'element' => "type", 'value' => array( 'grid', 'masonry' ) ),
            'description' => wp_kses( __('This setting securely fixes a selected number of elements in a row, regardless of the screen size <strong>(except mobile devices)</strong>. If this option isn\'t checked, the number of elements in a row can change dynamically when the screen is resized.', 'LEVELUP'), array( 'strong' => array() ) ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Hover Effects', 'LEVELUP'),
            'description' => esc_html__( 'Hover over an element to see an example of animation.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-12',
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => '',
            "param_name" => "hover_type",
            'options' => array(
                '1' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_gallery/hover_01.png",
                    'src_hover' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_gallery/hover_01.gif",
                ),
                '2' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_gallery/hover_01.png",
                    'src_hover' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_gallery/hover_02.gif",
                ),
                '4' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_gallery/hover_04.png",
                    'src_hover' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_gallery/hover_04.gif",
                ),
            ),
            'description' => esc_html__('Select Hover Effect.', 'LEVELUP'),
            'group' => esc_html__('Hover', 'LEVELUP'),
            "std" => '1',
        ),


        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Hover Overlay Color Opacity", 'LEVELUP'),
            "param_name" => "hover_opacity",
            "value" => "40",
            'description' => esc_html__('From 0 to 100 Percent', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array (
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Hover Overlay Color", 'LEVELUP'),
            "param_name" => "hover_color",
            "value" => "",
            'description' => esc_html__('Select Overlay Color on hover.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'gallery_separator_06',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Hover', 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('grid', 'masonry')),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Add Caption?", 'LEVELUP'),
            "param_name" => "show_caption",
            "value" => array(
                "Yes" => "true"
            ),
            "dependency" => Array('element' => "type", 'value' => array('grid', 'masonry')),
            'description' => esc_html__('Using this setting you may add caption below image.', 'LEVELUP'),
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Caption Align", 'LEVELUP'),
            "param_name" => "caption_align",
            "value" => array(
                esc_html__("Left", 'LEVELUP') => "",
                esc_html__("Center", 'LEVELUP') => "center",
                esc_html__("Right", 'LEVELUP') => "right",
            ),
            "dependency" => Array('element' => "show_caption", 'not_empty' => true),
            'description' => esc_html__('Select caption alignment.', 'LEVELUP'),
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'gallery_separator_07',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Hover', 'LEVELUP'),
            "dependency" => Array('element' => "show_caption", 'not_empty' => true),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Use Custom Font Size & Color?", 'LEVELUP'),
            "param_name" => "use_custom_font",
            "value" => array(
                "Yes" => "true"
            ),
            "dependency" => Array('element' => "show_caption", 'not_empty' => true),
            'description' => esc_html__('If checked, you can use a custom font size and color.', 'LEVELUP'),
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Title Font Size", 'LEVELUP'),
            "param_name" => "title_fontsize",
            "value" => "",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            "dependency" => Array('element' => "use_custom_font", 'not_empty' => true),
            'description' => esc_html__('Enter Font Size in pixels. E.g. 30', 'LEVELUP'),
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Title Font Color", 'LEVELUP'),
            "param_name" => "title_font_color",
            "value" => "",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            "dependency" => array("element" => "use_custom_font", 'not_empty' => true),
            'description' => esc_html__('Select font color.', 'LEVELUP'),
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),


        array (
            "type" => "dropdown",
            "heading" => esc_html__("Hover Elements", 'LEVELUP'),
            "param_name" => "hover_element",
            "value" => array(
                esc_html__("- Select -", 'LEVELUP') => "",
                esc_html__("Cross", 'LEVELUP') => "cross",
            ),
            'description' => esc_html__('Select the Hover Element.', 'LEVELUP'),
            'group' => esc_html__('Add Elements', 'LEVELUP'),
            "std" => "",
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Display Style", 'LEVELUP'),
            "param_name" => "hover_element_color",
            'options' => array(
                'light' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_gallery/elements/cross_01.png",
                    'src_hover' => LEVELUP_THEME_TEMPLATE_URL . "//admin/assets/images/vc/presets/rdy_gallery/elements/cross_01.gif",
                ),
                'dark' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_gallery/elements/cross_02.png",
                    'src_hover' => LEVELUP_THEME_TEMPLATE_URL . "//admin/assets/images/vc/presets/rdy_gallery/elements/cross_02.gif",
                ),
            ),
            'group' => esc_html__('Add Elements', 'LEVELUP'),
            "dependency" => Array('element' => "hover_element", 'value' => array('cross')),
            'description' => esc_html__('Select display style of the cross, light or dark.', 'LEVELUP'),
            'std' => 'light'
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Loading Effects for Grid Items", 'LEVELUP'),
            "param_name" => "items_animation",
            'options' => array(
                '' => array(
                    'title' => 'Disable',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/hide.png",
                ),
                'fadeIn' => array(
                    'title' => 'Fade-in',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/grid/fade_in.gif",
                ),
                'slideUpBigIn' => array(
                    'title' => 'Slide Up',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/grid/slide_up.gif",
                ),
                'expandIn' => array(
                    'title' => 'Expand',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/grid/expand.gif",
                ),
            ),
            'group' => esc_html__('Grid', 'LEVELUP'),
            'description' => esc_html__('Select display types for a Loading Effects for Grid Items.', 'LEVELUP'),
            "std" => "",
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Item Border", 'LEVELUP'),
            "param_name" => "border",
            'options' => array(
                '' => array(
                    'title' => 'Disable',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/hide.png",
                ),
                'static' => array(
                    'title' => 'Static',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/boder_static.png",
                ),
                'fade' => array(
                    'title' => 'Fade In/Out',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/border_fade.gif",
                ),
                'animation' => array(
                    'title' => 'Movement Inside',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/boder_movement.gif",
                ),
            ),
            'group' => esc_html__('Border', 'LEVELUP'),
            'description' => esc_html__('Select display types for a border.', 'LEVELUP'),
            'std' => ''
        ),

        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Item Border Width", 'LEVELUP'),
            "param_name" => "border_width",
            "value" => "5",
            'description' => esc_html__('Enter Item Border Width in pixels. Default 5px.', 'LEVELUP'),
            "dependency" => array("element" => "border", 'not_empty' => true),
            'edit_field_class' => 'vc_col-sm-8 vc_column',
            'group' => esc_html__('Border', 'LEVELUP')
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Item Border Color", 'LEVELUP'),
            "param_name" => "border_color",
            "value" => "#000",
            "dependency" => array("element" => "border", 'not_empty' => true),
            'description' => esc_html__('Select border color.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'group' => esc_html__('Border', 'LEVELUP')
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'gallery_separator_03',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'LEVELUP' )
        ),

	    array(
		    'type' => 'css_editor',
		    'heading' => esc_html__( 'CSS box', 'LEVELUP' ),
		    'param_name' => 'css',
		    'group' => esc_html__( 'Design Options', 'LEVELUP' ),
	    ),

    )

) );

