<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

class WPBakeryShortCode_Rdy_Gmaps extends WPBakeryShortCode
{

    protected function content($atts, $content = null)
    {

        $styles = $lat = $lng = $zoom = $height = $image = '';
        $map_icon = '';
        $atts = vc_map_get_attributes($this->getShortcode(), $atts);
        extract($atts);

        wp_enqueue_script('google_maps');

        $uniq_id = esc_js( levelup_get_uniqid() );

	    if(function_exists('json_decode')) {
		    $styles_custom = json_decode(rawurldecode(base64_decode($styles_custom)));
		    $styles_custom = json_encode( $styles_custom );
	    }

        $styles_data = array(
            'ultra-light' => '[{"featureType":"water","elementType":"geometry","stylers":[{"color":"#e9e9e9"},{"lightness":17}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":20}]},{"featureType":"road.highway","elementType":"geometry.fill","stylers":[{"color":"#ffffff"},{"lightness":17}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#ffffff"},{"lightness":29},{"weight":0.2}]},{"featureType":"road.arterial","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":18}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":16}]},{"featureType":"poi","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":21}]},{"featureType":"poi.park","elementType":"geometry","stylers":[{"color":"#dedede"},{"lightness":21}]},{"elementType":"labels.text.stroke","stylers":[{"visibility":"on"},{"color":"#ffffff"},{"lightness":16}]},{"elementType":"labels.text.fill","stylers":[{"saturation":36},{"color":"#333333"},{"lightness":40}]},{"elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"geometry","stylers":[{"color":"#f2f2f2"},{"lightness":19}]},{"featureType":"administrative","elementType":"geometry.fill","stylers":[{"color":"#fefefe"},{"lightness":20}]},{"featureType":"administrative","elementType":"geometry.stroke","stylers":[{"color":"#fefefe"},{"lightness":17},{"weight":1.2}]}]',
            'shades-of-grey' => '[{"featureType":"all","elementType":"labels.text.fill","stylers":[{"saturation":36},{"color":"#000000"},{"lightness":40}]},{"featureType":"all","elementType":"labels.text.stroke","stylers":[{"visibility":"on"},{"color":"#000000"},{"lightness":16}]},{"featureType":"all","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"administrative","elementType":"geometry.fill","stylers":[{"color":"#000000"},{"lightness":20}]},{"featureType":"administrative","elementType":"geometry.stroke","stylers":[{"color":"#000000"},{"lightness":17},{"weight":1.2}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":20}]},{"featureType":"poi","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":21}]},{"featureType":"road.highway","elementType":"geometry.fill","stylers":[{"color":"#000000"},{"lightness":17}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#000000"},{"lightness":29},{"weight":0.2}]},{"featureType":"road.arterial","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":18}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":16}]},{"featureType":"transit","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":19}]},{"featureType":"water","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":17}]}]',
            'blue-water' => '[{"featureType":"administrative","elementType":"labels.text.fill","stylers":[{"color":"#444444"}]},{"featureType":"landscape","elementType":"all","stylers":[{"color":"#f2f2f2"}]},{"featureType":"poi","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"all","stylers":[{"saturation":-100},{"lightness":45}]},{"featureType":"road.highway","elementType":"all","stylers":[{"visibility":"simplified"}]},{"featureType":"road.arterial","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"all","stylers":[{"color":"#46bcec"},{"visibility":"on"}]}]',
            'light-monochrome' => '[{"featureType":"administrative.locality","elementType":"all","stylers":[{"hue":"#2c2e33"},{"saturation":7},{"lightness":19},{"visibility":"on"}]},{"featureType":"landscape","elementType":"all","stylers":[{"hue":"#ffffff"},{"saturation":-100},{"lightness":100},{"visibility":"simplified"}]},{"featureType":"poi","elementType":"all","stylers":[{"hue":"#ffffff"},{"saturation":-100},{"lightness":100},{"visibility":"off"}]},{"featureType":"road","elementType":"geometry","stylers":[{"hue":"#bbc0c4"},{"saturation":-93},{"lightness":31},{"visibility":"simplified"}]},{"featureType":"road","elementType":"labels","stylers":[{"hue":"#bbc0c4"},{"saturation":-93},{"lightness":31},{"visibility":"on"}]},{"featureType":"road.arterial","elementType":"labels","stylers":[{"hue":"#bbc0c4"},{"saturation":-93},{"lightness":-2},{"visibility":"simplified"}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"hue":"#e9ebed"},{"saturation":-90},{"lightness":-8},{"visibility":"simplified"}]},{"featureType":"transit","elementType":"all","stylers":[{"hue":"#e9ebed"},{"saturation":10},{"lightness":69},{"visibility":"on"}]},{"featureType":"water","elementType":"all","stylers":[{"hue":"#e9ebed"},{"saturation":-78},{"lightness":67},{"visibility":"simplified"}]}]',
            'paper' => '[{"featureType":"administrative","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"landscape","elementType":"all","stylers":[{"visibility":"simplified"},{"hue":"#0066ff"},{"saturation":74},{"lightness":100}]},{"featureType":"poi","elementType":"all","stylers":[{"visibility":"simplified"}]},{"featureType":"road","elementType":"all","stylers":[{"visibility":"simplified"}]},{"featureType":"road.highway","elementType":"all","stylers":[{"visibility":"off"},{"weight":0.6},{"saturation":-85},{"lightness":61}]},{"featureType":"road.highway","elementType":"geometry","stylers":[{"visibility":"on"}]},{"featureType":"road.arterial","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"road.local","elementType":"all","stylers":[{"visibility":"on"}]},{"featureType":"transit","elementType":"all","stylers":[{"visibility":"simplified"}]},{"featureType":"water","elementType":"all","stylers":[{"visibility":"simplified"},{"color":"#5f94ff"},{"lightness":26},{"gamma":5.86}]}]',
            'cool-grey' => '[{"featureType":"landscape","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"poi","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"stylers":[{"hue":"#00aaff"},{"saturation":-100},{"gamma":2.15},{"lightness":12}]},{"featureType":"road","elementType":"labels.text.fill","stylers":[{"visibility":"on"},{"lightness":24}]},{"featureType":"road","elementType":"geometry","stylers":[{"lightness":57}]}]',
            'neutral-blue' => '[{"featureType":"water","elementType":"geometry","stylers":[{"color":"#193341"}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#2c5a71"}]},{"featureType":"road","elementType":"geometry","stylers":[{"color":"#29768a"},{"lightness":-37}]},{"featureType":"poi","elementType":"geometry","stylers":[{"color":"#406d80"}]},{"featureType":"transit","elementType":"geometry","stylers":[{"color":"#406d80"}]},{"elementType":"labels.text.stroke","stylers":[{"visibility":"on"},{"color":"#3e606f"},{"weight":2},{"gamma":0.84}]},{"elementType":"labels.text.fill","stylers":[{"color":"#ffffff"}]},{"featureType":"administrative","elementType":"geometry","stylers":[{"weight":0.6},{"color":"#1a3541"}]},{"elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"poi.park","elementType":"geometry","stylers":[{"color":"#2c5a71"}]}]',
            'subtle' => '[{"featureType":"poi","stylers":[{"visibility":"off"}]},{"stylers":[{"saturation":-70},{"lightness":37},{"gamma":1.15}]},{"elementType":"labels","stylers":[{"gamma":0.26},{"visibility":"off"}]},{"featureType":"road","stylers":[{"lightness":0},{"saturation":0},{"hue":"#ffffff"},{"gamma":0}]},{"featureType":"road","elementType":"labels.text.stroke","stylers":[{"visibility":"off"}]},{"featureType":"road.arterial","elementType":"geometry","stylers":[{"lightness":20}]},{"featureType":"road.highway","elementType":"geometry","stylers":[{"lightness":50},{"saturation":0},{"hue":"#ffffff"}]},{"featureType":"administrative.province","stylers":[{"visibility":"on"},{"lightness":-50}]},{"featureType":"administrative.province","elementType":"labels.text.stroke","stylers":[{"visibility":"off"}]},{"featureType":"administrative.province","elementType":"labels.text","stylers":[{"lightness":20}]}]',
            'turquoise-water' => '[{"stylers":[{"hue":"#16a085"},{"saturation":0}]},{"featureType":"road","elementType":"geometry","stylers":[{"lightness":100},{"visibility":"simplified"}]},{"featureType":"road","elementType":"labels","stylers":[{"visibility":"off"}]}]',
            'just-places' => '[{"featureType":"road","elementType":"geometry","stylers":[{"visibility":"off"}]},{"featureType":"poi","elementType":"geometry","stylers":[{"visibility":"off"}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#fffffa"}]},{"featureType":"water","stylers":[{"lightness":50}]},{"featureType":"road","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"transit","stylers":[{"visibility":"off"}]},{"featureType":"administrative","elementType":"geometry","stylers":[{"lightness":40}]}]',
            'light-blue-water' => '[{"featureType":"water","elementType":"all","stylers":[{"hue":"#71d6ff"},{"saturation":100},{"lightness":-5},{"visibility":"on"}]},{"featureType":"poi","elementType":"all","stylers":[{"hue":"#ffffff"},{"saturation":-100},{"lightness":100},{"visibility":"off"}]},{"featureType":"transit","elementType":"all","stylers":[{"hue":"#ffffff"},{"saturation":0},{"lightness":100},{"visibility":"off"}]},{"featureType":"road.highway","elementType":"geometry","stylers":[{"hue":"#deecec"},{"saturation":-73},{"lightness":72},{"visibility":"on"}]},{"featureType":"road.highway","elementType":"labels","stylers":[{"hue":"#bababa"},{"saturation":-100},{"lightness":25},{"visibility":"on"}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"hue":"#e3e3e3"},{"saturation":-100},{"lightness":0},{"visibility":"on"}]},{"featureType":"road","elementType":"geometry","stylers":[{"hue":"#ffffff"},{"saturation":-100},{"lightness":100},{"visibility":"simplified"}]},{"featureType":"administrative","elementType":"labels","stylers":[{"hue":"#59cfff"},{"saturation":100},{"lightness":34},{"visibility":"on"}]}]',
            'green-and-blue' => '[{"featureType":"landscape.man_made","elementType":"geometry.fill","stylers":[{"color":"#e9e5dc"}]},{"featureType":"landscape.natural","elementType":"geometry.fill","stylers":[{"visibility":"on"},{"color":"#b8cb93"}]},{"featureType":"poi","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"poi.business","elementType":"all","stylers":[{"visibility":"simplified"}]},{"featureType":"poi.medical","elementType":"all","stylers":[{"visibility":"on"}]},{"featureType":"poi.park","elementType":"all","stylers":[{"visibility":"on"}]},{"featureType":"poi.park","elementType":"geometry.fill","stylers":[{"color":"#ccdca1"}]},{"featureType":"poi.sports_complex","elementType":"all","stylers":[{"visibility":"on"}]},{"featureType":"road","elementType":"geometry.fill","stylers":[{"hue":"#ff0000"},{"saturation":-100},{"lightness":99}]},{"featureType":"road","elementType":"geometry.stroke","stylers":[{"color":"#808080"},{"lightness":54},{"visibility":"off"}]},{"featureType":"road","elementType":"labels.text.fill","stylers":[{"color":"#767676"}]},{"featureType":"road","elementType":"labels.text.stroke","stylers":[{"color":"#ffffff"}]},{"featureType":"water","elementType":"all","stylers":[{"saturation":43},{"lightness":-11},{"color":"#89cada"}]}]',
        );


        if ($styles != '' && $styles != 'custom') {
            $styles_js = $styles_data[$styles];
        } elseif ($styles == 'custom' && $styles_custom != '') {
            $styles_js = $styles_custom;
        } else {
            $styles_js = '[]';
        }


        $map_coord = esc_js($lat . " , " . $lng);
        $map_zoom = esc_js($zoom);
        $map_height = esc_js($height);
        if ($image !== '') {
            $bg_id = preg_replace('/[^\d]/', '', $image);
            $bg_img = wp_get_attachment_image_src($bg_id, 'full');
            $map_icon = "icon: '" . esc_url( $bg_img[0] ) . "',";
        }

	    if ( preg_match( '/^[-+]?\d+$/', $map_height ) ) {
		    $map_height = $map_height . 'px';
	    }

        $output = <<<EOT
<div id="map_{$uniq_id}" style="height:{$map_height}"></div>
<script type="text/javascript">
jQuery( document ).ready(function( $ ) {
"use strict";

    var latlng = new google.maps.LatLng({$map_coord});

    var options = {
        center: latlng,
        scrollwheel: false,
        mapTypeId: google.maps.MapTypeId.ROADMAP,
        zoomControl: true,
        styles: {$styles_js},

        zoomControlOptions:
        {
            style: google.maps.ZoomControlStyle.SMALL,
            position: google.maps.ControlPosition.TOP_LEFT
        },
        mapTypeControl: true,
        mapTypeControlOptions:
        {
            style: google.maps.MapTypeControlStyle.HORIZONTAL_BAR,
            position: google.maps.ControlPosition.TOP_RIGHT
        },
        scaleControl: true,
        scaleControlOptions:
        {
            position: google.maps.ControlPosition.TOP_LEFT
        },
        streetViewControl: true,
        streetViewControlOptions:
        {
            position: google.maps.ControlPosition.TOP_LEFT
        },
        panControl: false,
        zoom: {$map_zoom}
    };

    var map_div = document.getElementById("map_{$uniq_id}");
    var map = new google.maps.Map(map_div, options);
    if(typeof rdyGlobals != 'undefined' && rdyGlobals.isMobile) map.setOptions({ 'draggable': false });
    var marker = new google.maps.Marker({
        position: latlng,
        {$map_icon}
        map: map
    });

    $('.wpb_tabs_nav li a').on('click', function() {
        setTimeout(function(){
            google.maps.event.trigger(map, 'resize');
            map.setCenter(latlng);
        }, 50);
    });

});
</script>
EOT;

        return $output;

    }
}


//***********************************************************************
// Gmaps
//***********************************************************************

vc_map(array(
    "name" => esc_html__("Google Map", 'LEVELUP'),
    "base" => "rdy_gmaps",
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/map.png",
    "class" => "",
    "category" => 'by ' . 'LEVELUP',
    "params" => array(

        array(
            "type" => "textfield",
            "heading" => esc_html__("Map height", 'LEVELUP'),
            "param_name" => "height",
            "value" => "400",
            "description" => esc_html__("Enter Map height in pixels or vh. E.g. 500 omit \"px\" or 75vh", 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Latitude", 'LEVELUP'),
            "param_name" => "lat",
            "value" => "40.6700",
            'description' => sprintf( wp_kses( __('<a href="%s" target="_blank">Here is</a> a tool where you can find Latitude & Longitude of your location Enter link .', 'LEVELUP'), array( 'a' => array( 'href' => array(), 'target' => array() ) ) ), 'http://www.mapcoordinates.net/en'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Longitude", 'LEVELUP'),
            "param_name" => "lng",
            "value" => "-73.9400",
            'description' => sprintf( wp_kses( __('<a href="%s" target="_blank">Here is</a> a tool where you can find Latitude & Longitude of your location Enter link .', 'LEVELUP'), array( 'a' => array( 'href' => array(), 'target' => array() ) ) ), 'http://www.mapcoordinates.net/en'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Zoom", 'LEVELUP'),
            "param_name" => "zoom",
            "value" => "12",
            "description" => esc_html__("Enter Zoom. E.g. 20 ( for a close view ) , 5 ( for a far view )", 'LEVELUP')
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Color Scheme", 'LEVELUP'),
            "param_name" => "styles",
            "value" => array(
                esc_html__("Default", 'LEVELUP') => "",
                esc_html__("Ultra Light", 'LEVELUP') => "ultra-light",
                esc_html__("Shades of Grey", 'LEVELUP') => "shades-of-grey",
                esc_html__("Blue water", 'LEVELUP') => "blue-water",
                esc_html__("Light Monochrome", 'LEVELUP') => "light-monochrome",
                esc_html__("Paper", 'LEVELUP') => "paper",
                esc_html__("Cool Grey", 'LEVELUP') => "cool-grey",
                esc_html__("Neutral Blue", 'LEVELUP') => "neutral-blue",
                esc_html__("Subtle", 'LEVELUP') => "subtle",
                esc_html__("Turquoise Water", 'LEVELUP') => "turquoise-water",
                esc_html__("Just places", 'LEVELUP') => "just-places",
                esc_html__("Light Blue Water", 'LEVELUP') => "light-blue-water",
                esc_html__("Green and blue", 'LEVELUP') => "green-and-blue",
                esc_html__("Custom", 'LEVELUP') => "custom",
            ),
            "description" => esc_html__("Select pre-made color scheme.", 'LEVELUP'),
        ),

        array(
            "type" => "textarea_raw_html",
            "heading" => esc_html__("Custom Google Styled Map JSON", 'LEVELUP'),
            "param_name" => "styles_custom",
            "value" => "",
            "dependency" => array(
                'element' => "styles",
                'value' => array('custom'),
                'description' => sprintf(esc_html__('<a href="%s" target="_blank">Click here</a>) to get the style JSON code for styling your map.', 'LEVELUP'), 'http://gmaps-samples-v3.googlecode.com/svn/trunk/styledmaps/wizard/index.html')
            )
        ),

        array(
            'type' => 'attach_image',
            'heading' => esc_html__('Image to replace marker', 'LEVELUP'),
            'param_name' => 'image',
            'value' => '',
            'description' => esc_html__('Select the image to replace the original map marker (optional).', 'LEVELUP')
        ),

    )
));