<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

class WPBakeryShortCode_Rdy_Icon_List_item extends WPBakeryShortCode {

    protected function content( $atts, $content = null ) {

	    $el_class = '';
	    $icon_class = '';
	    $icon_size = '';
	    $css = '';

        $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
        extract( $atts );


	    $css_classes = array(
		    'b_icon_list',
		    $el_class,
		    vc_shortcode_custom_css_class( $css )
	    );

	    if ( $type_font != 'pixelicons' ){
		    vc_icon_element_fonts_enqueue( $type_font );
		    $icon_class = esc_attr( ${"icon_" . $type_font} );
	    }

        $aLink = levelup_vc_build_link( $link );

        $html           = '';
        $html_style     = "";
        $title_style    = "";

        $icon_background_color = esc_attr( $icon_background_color );
        $title_color           = esc_attr( $title_color );
        $title_size            = esc_attr( $title_size );
        $title_weight          = esc_attr( $title_weight );


        if ($icon_color != "") {
            $html_style .= "color:" . $icon_color . ";";
        }

        if ($icon_style == 'background_color' && $icon_background_color != "") {
            $html_style .= "background-color: {$icon_background_color};";
        }

        if ( ( $icon_style == 'outlined' ) && $icon_background_color != "" ) {
            $html_style .= "border: 2px solid " . $icon_background_color . ";";
        }

        if ($title_color != "") {
            $title_style .= "color:" . $title_color . ";";
        }

        if ($title_size != "") {
            $title_style .= "font-size: " . $title_size . "px;";
        }
        if ($title_weight != "") {
            $title_style .= "font-weight: " . $title_weight . ";";
        }

	    $image_src = '';
	    if (is_numeric($image)) {
		    $image_src = wp_get_attachment_url($image);
		    $image_meta = wp_get_attachment_metadata($image);
	    }

	    if ( $icon_style == 'background_color' || $icon_style == 'outlined' ) {
		    $css_classes[] = ' with-background';
	    }

	    if ( $icon_style == 'outlined' ) {
		    $css_classes[] = ' with-border';
	    }

	    $css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );
	    $class = ' class="' . esc_attr( trim( $css_class ) ) . '"';

        $html .= '<div' . ( $class ? ' ' . $class : '' ) . '>';
//        $html .= '<div class="b_icon_list' . ( $el_class ? ' ' . esc_attr( $el_class ) : '' ) . '">';


	    if ( $aLink['url'] ) {
		    $html .= '<a href="' . esc_url( $aLink['url'] ) . '"' . ( $aLink['target'] ? ' target="' . esc_attr( $aLink['target'] ) . '"' : '' ) . '>';
	    }


	    if ( $image_src ) {
		    $html .= '<i class="img" ' . ( $icon_size ? ' style="width:' . esc_attr( $icon_size ) . 'px"' : '' ) . '><img src="' . esc_url( $image_src ) . '"></i>';
//		    $title_style .= 'margin-left: '. esc_attr( $icon_size ) .'px;';
	    } else {
		    $html .= '<i class="rdy-icon ' . $icon_class . '" style="' . $html_style . '"></i>';
	    }

        $html .= '<p style="' . $title_style . '">';
        $html .= $title;
	    $html .= '</p>';
        if( $aLink['url'] ) {
            $html .= '</a>';
        }

        $html .= '</div>';

        return $html;
    }
}



//***********************************************************************
// Icon List Item
//***********************************************************************

vc_map( array(
    "name" => esc_html__("Icon List Item", 'LEVELUP'),
    "base" => "rdy_icon_list_item",
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/icon-with-list.png",
    "category" => 'by '.'LEVELUP',
    "params" => array(

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "List Item Text", 'LEVELUP' ),
            "param_name" => "title",
            'description' => esc_html__('Enter list item text here.', 'LEVELUP'),
            'admin_label' => true,
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Text size (px)", 'LEVELUP' ),
            "param_name" => "title_size",
            'description' => esc_html__('Enter Text size in pixels. E.g. 14', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Font-weight", 'LEVELUP' ),
            "param_name" => "title_weight",
            "value" => $font_weight_array,
            'description' => esc_html__('Select font-weight.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-3 vc_column',
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Text Color", 'LEVELUP' ),
            "param_name" => "title_color",
            'description' => esc_html__('Specify color of the text.', 'LEVELUP'),
            "value" => "#cccccc",
            'edit_field_class' => 'vc_col-sm-5 vc_column',
        ),


        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'item_list_003',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "vc_link",
            "class" => "",
            "heading" => esc_html__( "URL (Link)", 'LEVELUP' ),
            "param_name" => "link",
            "description" => esc_html__( "Add link to an item.", 'LEVELUP' ),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Icon library', 'LEVELUP' ),
            'value' => array(
                esc_html__( 'Font Awesome', 'LEVELUP' ) => 'fontawesome',
                esc_html__( 'Open Iconic', 'LEVELUP' ) => 'openiconic',
                esc_html__( 'Typicons', 'LEVELUP' ) => 'typicons',
                esc_html__( 'Entypo', 'LEVELUP' ) => 'entypo',
                esc_html__( 'Linecons', 'LEVELUP' ) => 'linecons',
                esc_html__( 'Etline', 'LEVELUP' ) => 'etline',
                esc_html__( 'Custom Image', 'LEVELUP' ) => 'pixelicons',
            ),
            'admin_label' => true,
            'param_name' => 'type_font',
            'description' => esc_html__( 'Select icon library.', 'LEVELUP' ),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),
		
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_fontawesome',
            'value' => 'fa fa-adjust', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'fontawesome',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),
		
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_openiconic',
            'value' => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'openiconic',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'openiconic',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),
		
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_typicons',
            'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'typicons',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'typicons',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_entypo',
            'value' => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'entypo',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'entypo',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_linecons',
            'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'linecons',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'linecons',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_etline',
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'etline',
                'iconsPerPage' => 200, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'etline',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),

	    array(
		    'type' => 'attach_image',
		    'heading' => esc_html__( 'Image', 'LEVELUP' ),
		    'param_name' => 'image',
		    'value' => '',
		    'description' => esc_html__( 'Select image from media library.', 'LEVELUP' ),
		    'dependency' => array('element' => 'type_font', 'value' => 'pixelicons',),
		    'group' => esc_html__('Icon', 'LEVELUP'),
	    ),

	    array(
		    'type' => 'textfield',
		    'heading' => esc_html__( 'Image size', 'LEVELUP' ),
		    'param_name' => 'icon_size',
		    'value' => 30,
		    'dependency' => array('element' => 'type_font', 'value' => 'pixelicons',),
		    'description' => esc_html__('Enter Icon size in pixels. Default by 30.', 'LEVELUP'),
		    'group' => esc_html__('Icon', 'LEVELUP'),
	    ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Icon Color", 'LEVELUP' ),
            "param_name" => "icon_color",
            'description' => esc_html__('Select icon color.', 'LEVELUP'),
            'group' => esc_html__('Icon', 'LEVELUP'),
            'dependency' => array(
                'element' => 'type_font',
                'value' => array( 'fontawesome', 'openiconic', 'typicons', 'entypo', 'linecons', 'etline',),
            ),
        ),

        /*array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Background Shape", 'LEVELUP' ),
            "param_name" => "icon_type",
            "value" => array(
                esc_html__( "None", 'LEVELUP' ) => "normal",
                esc_html__( "Circle", 'LEVELUP' ) => "circle",
            ),
            'description' => esc_html__('Select background shape for icon.', 'LEVELUP'),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),*/

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'item_list_002',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Icon', 'LEVELUP'),
            'dependency' => array(
                'element' => 'type_font',
                'value' => array( 'fontawesome', 'openiconic', 'typicons', 'entypo', 'linecons', 'etline',),
            ),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Background Shape", 'LEVELUP' ),
            "param_name" => "icon_style",
            "value" => array(
                esc_html__( "None", 'LEVELUP' ) => "",
                esc_html__( "Circle", 'LEVELUP' ) => "background_color",
                esc_html__( "Outline Circle", 'LEVELUP' ) => "outlined"
            ),
            'description' => esc_html__('Select background shape for icon.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
            'group' => esc_html__('Icon', 'LEVELUP'),
            'dependency' => array(
            	'element' => 'type_font',
	            'value' => array( 'fontawesome', 'openiconic', 'typicons', 'entypo', 'linecons', 'etline',),
            ),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Background/Outline Color", 'LEVELUP' ),
            "param_name" => "icon_background_color",
            "description" => esc_html__( "Select Background/Outline Color", 'LEVELUP' ),
            "dependency" => Array('element' => "icon_style", 'not_empty' => true),
            "value" => "#cccccc",
            'group' => esc_html__('Icon', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-5 vc_column',

        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'item_list_001',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'LEVELUP' )
        ),

	    array(
		    'type' => 'css_editor',
		    'heading' => esc_html__('CSS box', 'LEVELUP'),
		    'param_name' => 'css',
		    'group' => esc_html__('Design Options', 'LEVELUP')
	    ),
    )
) );
