<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

class WPBakeryShortCode_Rdy_Icon_Text extends WPBakeryShortCode {

    protected function content( $atts, $content = null ) {

	    $el_class = '';

        $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
        extract( $atts );

        vc_icon_element_fonts_enqueue( $type_font );

        $aLink = levelup_vc_build_link( $link );

        $headings_array = array('h2', 'h3', 'h4', 'h5', 'h6', 'p');

        $link_area = apply_filters('levelup_sanitize_flag', $link_area);

        $title_tag = (in_array($title_tag, $headings_array)) ? $title_tag : 'h2';

        $style = '';
        $icon_stack_classes = '';

        $icon_margin_style       = '';
        $icon_stack_square_style = '';
        $icon_stack_base_style   = '';
        $icon_stack_style        = '';
        $img_styles              = '';
        $icon_text_holder_styles = '';

        $icon_with_text_clasess = '';
        $icon_text_inner_style = '';

	    $box_border_color = $icon_animation = $style_delay = '';


	    $custom_icon_size       = esc_attr( $custom_icon_size );
	    $custom_icon_size_inner = esc_attr( $custom_icon_size_inner );
	    $icon_color             = esc_attr( $icon_color );
	    $icon_background_color  = esc_attr( $icon_background_color );
	    $border_size            = esc_attr( $border_size );
	    $icon_margin_top        = esc_attr( $icon_margin_top );
	    $icon_margin_right      = esc_attr( $icon_margin_right );
	    $icon_margin_bottom     = esc_attr( $icon_margin_bottom );
	    $icon_margin_left       = esc_attr( $icon_margin_left );
	    $title_color            = esc_attr( $title_color );
	    $css_animation          = esc_attr( $css_animation );
	    $transition_delay       = esc_attr( $transition_delay );
	    $box_border_color       = esc_attr( $box_border_color );
	    $align                  = esc_attr( $align );
	    $title_font_size        = esc_attr( $title_font_size );
	    $title                  = esc_html( $title );

        $is_style_circle_square = !empty($icon_style) ? true : false;;

        if ($type == 'icon' && $custom_icon_size_inner != '' && $custom_icon_size != '' && $is_style_circle_square) {
            $custom_icon_size_inner_tmp = $custom_icon_size_inner;
            $custom_icon_size_inner = $custom_icon_size;
            $custom_icon_size = $custom_icon_size_inner_tmp;
        }


        if ($custom_icon_size != "") {
            $custom_icon_size = strstr($custom_icon_size, 'px', true) ? strstr($custom_icon_size, 'px', true) : $custom_icon_size;

            if (!$is_style_circle_square) {
                $icon_stack_style .= 'font-size: ' . $custom_icon_size . 'px;';
            }
            if ($is_style_circle_square) {
                $icon_stack_style .= 'width: ' . $custom_icon_size . 'px;';
            }
            $icon_stack_style .= 'height: ' . $custom_icon_size . 'px;line-height: ' . $custom_icon_size . 'px;';
            $img_styles .= 'max-width: ' . $custom_icon_size . 'px;';
        }

        if ($custom_icon_size_inner != '' && $is_style_circle_square) {
            $style .= 'font-size: ' . $custom_icon_size_inner . 'px;';
        }

        if ($icon_color != "") {
            $style .= 'color: ' . $icon_color . ';';
        }

        if ($icon_background_color != "" && ($icon_style == 'background_color_circle' || $icon_style == 'background_color_square')) {
            $icon_stack_base_style .= 'background-color: ' . $icon_background_color . ';';
            $icon_stack_square_style .= 'background-color: ' . $icon_background_color . ';';
        }

        if ($icon_style == 'outlined_circle' || $icon_style == 'outlined_square') {
            if ($border_size != "") {
                $icon_stack_style .= 'border-width: ' . $border_size . 'px;';
            }

            if ($icon_background_color != "") {
                $icon_stack_style .= 'border-color: ' . $icon_background_color . ';';
            }
        }


        if ($icon_margin_top != "") {
            $icon_margin_style .= "padding-top: " . $icon_margin_top . "px;";
        }
        if ($icon_margin_right != "") {
            $icon_margin_style .= "padding-right: " . $icon_margin_right . "px;";
        }
        if ($icon_margin_bottom != "") {
            $icon_margin_style .= "padding-bottom: " . $icon_margin_bottom . "px;";
        }
        if ($icon_margin_left != "") {
            $icon_margin_style .= "padding-left: " . $icon_margin_left . "px;";
        }


        $box_size = '';

        $box_icon_type = '';
        if ( $icon_style == 'outlined_circle' || $icon_style == 'background_color_circle' ) {
            $box_icon_type = 'circle';
        } else if ( $icon_style == 'outlined_square' || $icon_style == 'background_color_square' ) {
            $box_icon_type = 'square';
        }

        $title_style = "";
        if ($title_color != "") {
            $title_style .= "color: " . $title_color;
        }

        $html = "";
        $html_icon = "";
        $icon_with_text_data = $icon_with_text_style_delay = "";

        $icon_class = 'rdy_icon_element ';
        $icon_class .= esc_attr( ${"icon_" . $type_font} );


        $icon_stack_data = $style_delay = '';
        if ($css_animation != "") {
            $temp_delay = "transition-delay:" . $transition_delay . "ms; -webkit-animation-delay:" . $transition_delay . "ms; animation-delay:" . $transition_delay . "ms;";
            $temp_data = ' data-animation-class="' . $css_animation . '"';

            if ( empty( $css_animation_onicon ) ) {
                $icon_with_text_clasess .= ' animate-element';
                if ($css_animation_repeat) $icon_with_text_clasess .= ' animate-loop';
                $icon_with_text_data = $temp_data;

                if ($transition_delay != "") {
                    $icon_with_text_style_delay = $temp_delay;
                }
            } else {
                $icon_stack_classes .= ' animate-element';
                if ($css_animation_repeat) $icon_stack_classes .= ' animate-loop';
                $icon_stack_data = $temp_data;

                if ($transition_delay != "") {
                    $style_delay = $temp_delay;
                }
            }
        }


        if ('icon' == $type) {

            switch ($box_icon_type) {
                case 'circle':
                    $html_icon .= '<span class="fa-stack ' . $icon_stack_classes . '" style="' . $style_delay . $icon_stack_style . $icon_stack_base_style . '"' . $icon_stack_data . '>';
                    $html_icon .= '<i class="' . $icon_class . ' fa-stack-1x" style="' . $style . '"></i>';
                    $html_icon .= '</span>';
                    break;
                case 'square':
                    $html_icon .= '<span class="fa-stack ' . $icon_stack_classes . '" style="' . $style_delay . $icon_stack_style . $icon_stack_square_style . '"' . $icon_stack_data . '>';
                    $html_icon .= '<i class="' . $icon_class . ' fa-stack-1x" style="' . $style . '"></i>';
                    $html_icon .= '</span>';
                    break;
                default:
                    $html_icon .= '<span class="' . $icon_stack_classes . '" style="' . $style_delay . $icon_stack_style . '"' . $icon_stack_data . '>';
                    $html_icon .= '<i class="' . $icon_class . ' fa-stack-1x" style="' . $style . '"></i>';
                    $html_icon .= '</span>';
                    break;
            }
        } else {
            if (is_numeric($image)) {
                $image_src = wp_get_attachment_url($image);
            } else {
                $image_src = $image;
            }
            $html_icon = '<img style="' . $img_styles . '" src="' . $image_src . '" alt="">';
        }


        $icon_with_text_clasess .= $box_size;

	    if( $box_icon_type ) {
            $icon_with_text_clasess .= ' ' . $box_icon_type;
	    }

	    if ( $el_class ) {
		    $icon_with_text_clasess .= ' ' . esc_attr( $el_class );
	    }

        if($box_border_color != "") {
            $icon_text_inner_style .= 'border-color: '.$box_border_color;
        }

        if ($icon_position == "" || $icon_position == "top") {
            $icon_with_text_clasess .= " top";
            $icon_with_text_clasess .= " align-" . $align;
        }

        $html .= "<div class='b_icon_with_title " . $icon_with_text_clasess . "'" . $icon_with_text_data . "" . ($icon_with_text_style_delay ? ' style="' . $icon_with_text_style_delay . '"' : '') . ">";

        if ($link_area && $aLink['url']) {
            $html .= '<a href="' . esc_url( $aLink['url'] ) . '"' . ( $aLink['target'] ? ' target="' . esc_attr( $aLink['target'] ) . '"' : '' ) . '>';
        }

        if ($icon_position != "left_from_title") {
            $html .= '<div class="icon_holder" style="' . $icon_margin_style . ($icon_position_width ? 'width:' . $icon_position_width . 'px;text-align:center' : '') . '">';
            $html .= $html_icon;
            $html .= '</div>';
        }

        $html .= '<div class="icon_text_holder" style="' . $icon_text_holder_styles . '">';
        $html .= '<div class="icon_text_inner" style="' . $icon_text_inner_style . '">';
        if ($icon_position == "left_from_title") {
            $html .= '<div class="icon_title_holder">';
            $html .= '<div class="icon_holder ' . $icon_animation . '" style="' . $icon_margin_style . '">';
            $html .= $html_icon;
            $html .= '</div>';
        }

        if ($title) {
            if ($title_font_size != '' && $title_tag == 'p') {
                $title_style .= 'font-size: ' . $title_font_size . 'px;';
            }

            $html .= '<' . $title_tag . ' class="icon_title" style="' . $title_style . '">' . $title . '</' . $title_tag . '>';
        }

        if ($icon_position == "left_from_title") {
            $html .= '</div>';
        }

        $html .= '<div class="icon_content_holder">';
        $html .= wpb_js_remove_wpautop( $content );
        $html .= '</div>';

        if ($aLink['url'] && $aLink['title']) {
            $link_html = $link_area ? $aLink['title'] : '<a href="' . esc_url( $aLink['url'] ) . '" target="' . esc_attr( $aLink['target'] ) . '">' . $aLink['title'] . '</a>';
            $html .= '<p class="block-link">' . $link_html . '</p>';
        }

        $html .= '</div>';
        $html .= '</div>';

        if ($link_area && $aLink['url']) {
            $html .= '</a>';
        }

        $html .= '</div>';

        return $html;
    }
}



//***********************************************************************
// Icon With Text
//***********************************************************************

vc_map( array(
    "name" => esc_html__( 'Icon With Text', 'LEVELUP' ),
    "base" => "rdy_icon_text",
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/icon-with-text.png",
    "category" => 'by '.'LEVELUP',
    "allowed_container_element" => 'vc_row',
    "params" => array(

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Type", 'LEVELUP' ),
            "param_name" => "type",
            "value" => array(
                esc_html__( "Font Icon", 'LEVELUP' ) => "icon",
                esc_html__( "Custom Image", 'LEVELUP' ) => "img",
            ),
            'description' => esc_html__('Select Font icon or Custom image.', 'LEVELUP'),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Icon library', 'LEVELUP' ),
            'value' => array(
                esc_html__( 'Font Awesome', 'LEVELUP' ) => 'fontawesome',
                esc_html__( 'Open Iconic', 'LEVELUP' ) => 'openiconic',
                esc_html__( 'Typicons', 'LEVELUP' ) => 'typicons',
                esc_html__( 'Entypo', 'LEVELUP' ) => 'entypo',
                esc_html__( 'Linecons', 'LEVELUP' ) => 'linecons',
                esc_html__( 'Etline', 'LEVELUP' ) => 'etline',
            ),
            'admin_label' => true,
            'param_name' => 'type_font',
            'description' => esc_html__( 'Select icon library.', 'LEVELUP' ),
            "dependency" => array('element' => "type", 'value' => array('icon')),
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_fontawesome',
            'value' => 'fa fa-adjust', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'fontawesome',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_openiconic',
            'value' => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'openiconic',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'openiconic',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_typicons',
            'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'typicons',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'typicons',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_entypo',
            'value' => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'entypo',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'entypo',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_linecons',
            'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'linecons',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'linecons',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_etline',
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'etline',
                'iconsPerPage' => 200, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type_font',
                'value' => 'etline',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            "type" => "attach_image",
            "class" => "",
            "heading" => esc_html__( "Image", 'LEVELUP' ),
            "param_name" => "image",
            "dependency" => array('element' => "type", 'value' => array('img')),
			'description' => esc_html__('Select custom image.', 'LEVELUP'),
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Background Shape", 'LEVELUP' ),
            "param_name" => "icon_style",
            "value" => array(
                esc_html__( "None", 'LEVELUP' ) => "",
                esc_html__( "Circle", 'LEVELUP' ) => "background_color_circle",
                esc_html__( "Square", 'LEVELUP' ) => "background_color_square",
                esc_html__( "Outline Circle", 'LEVELUP' ) => "outlined_circle",
                esc_html__( "Outline Square", 'LEVELUP' ) => "outlined_square",
            ),
            'description' => esc_html__('Select background shape and style for icon.', 'LEVELUP'),
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

		array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Icon/Image Size", 'LEVELUP' ),
            "param_name" => "custom_icon_size",
            "value" => "40",
            "description" => esc_html__("Enter Icon/Image Size just number, omit px. E.g. 35", 'LEVELUP'),
			'edit_field_class' => 'vc_col-sm-7 vc_column',
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Icon Color", 'LEVELUP' ),
            "param_name" => "icon_color",
            'description' => esc_html__('Select icon color.', 'LEVELUP'),
            "dependency" => array('element' => "type", 'value' => array('icon')),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Shape Size", 'LEVELUP' ),
            "param_name" => "custom_icon_size_inner",
            "value" => "100",
            "description" => esc_html__("Enter Background Shape Custom Size, just number, omit px. E.g. 90", 'LEVELUP'),
            "dependency" => array('element' => "icon_style", 'not_empty' => true),
			'edit_field_class' => 'vc_col-sm-7 vc_column',
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Shape Color", 'LEVELUP' ),
            "param_name" => "icon_background_color",
            "description" => esc_html__( "Select Background or Outline Shape Color.", 'LEVELUP' ),
            "dependency" => array('element' => "icon_style", 'not_empty' => true),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Border Thickness", 'LEVELUP' ),
            "param_name" => "border_size",
            "value" => "1",
            'description' => esc_html__('Enter Border Thickness in pixels. E.g. 3', 'LEVELUP'),
            "dependency" => array('element' => "icon_style", 'value' => array('outlined_circle', 'outlined_square')),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Icon/Image Position", 'LEVELUP'),
            "param_name" => "icon_position",
            'options' => array(
                'top' => array(
                    'title' => 'Top',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_icon_with_text/position_01.png",
                ),
                'left' => array(
                    'title' => 'Left',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_icon_with_text/position_02.png",
                ),
                'left_from_title' => array(
                    'title' => 'Left From Title',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_icon_with_text/position_03.png",
                ),
            ),
            'description' => esc_html__('Define position for the Icon.', 'LEVELUP'),
            "std" => "top",
        ),

	    array(
		    "type" => "textfield",
		    "class" => "",
		    "heading" => esc_html__( "Icon/Image Container Width", 'LEVELUP' ),
		    "param_name" => "icon_position_width",
		    "value" => "",
		    "dependency" => array('element' => "icon_position", 'value' => array('left')),
            'description' => esc_html__('Set the width of the container in pixels in which the icon/image is placed on the left from the content.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
		    'group' => esc_html__('Icon/Image', 'LEVELUP'),
	    ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Content Alignment", 'LEVELUP' ),
            "param_name" => "align",
            "value" => array(
                esc_html__( "Left", 'LEVELUP' ) => "left",
                esc_html__( "Center", 'LEVELUP' ) => "center",
                esc_html__( "Right", 'LEVELUP' ) => "right",
            ),
            "dependency" => array('element' => "icon_position", 'value' => array('top')),
            'description' => esc_html__('Select the text alignment.', 'LEVELUP'),
            "std" => "center",
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Custom Setting for Icon/Image Position', 'LEVELUP'),
            'description' => esc_html__( 'Custom settings make it possible to flexibly adjust the position of the icon to suit your requirements. You can set the top, bottom, left and right padding for the icon. Enter a numeric value in pixels (px). E.g. 20', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-12',
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Top Padding", 'LEVELUP' ),
            "param_name" => "icon_margin_top",
            "value" => "",
            'edit_field_class' => 'vc_col-sm-3 vc_column',
			'description' => esc_html__('Enter a value in pixels. E.g. 15', 'LEVELUP'),
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Bottom Padding", 'LEVELUP' ),
            "param_name" => "icon_margin_bottom",
            "value" => "",
            'edit_field_class' => 'vc_col-sm-3 vc_column',
            'description' => esc_html__('Enter a value in pixels. E.g. 15', 'LEVELUP'),
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Left Padding", 'LEVELUP' ),
            "param_name" => "icon_margin_left",
            "value" => "",
            'edit_field_class' => 'vc_col-sm-3 vc_column',
			'description' => esc_html__('Enter a value in pixels. E.g. 15', 'LEVELUP'),
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Right Padding", 'LEVELUP' ),
            "param_name" => "icon_margin_right",
            "value" => "",
            'edit_field_class' => 'vc_col-sm-3 vc_column',
			'description' => esc_html__('Enter a value in pixels. E.g. 15', 'LEVELUP'),
            'group' => esc_html__('Icon/Image', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Title", 'LEVELUP' ),
            "param_name" => "title",
            "value" => "",
            'admin_label' => true,
			'description' => esc_html__('Enter Title here.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Title Color", 'LEVELUP' ),
            "param_name" => "title_color",
            'description' => esc_html__('Select Title Color.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Title Tag", 'LEVELUP' ),
            "param_name" => "title_tag",
            "value" => array(
                ""   => "",
                "h2" => "h2",
                "h3" => "h3",
                "h4" => "h4",
                "h5" => "h5",
                "h6" => "h6",
                "p" => "p",
            ),
            'description' => esc_html__('Use the tag to apply the Title display style.', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Title Custom Font Size", 'LEVELUP' ),
            "param_name" => "title_font_size",
            "value" => "",
            "dependency" => Array('element' => "title_tag", 'value' => array('p')),
			'description' => esc_html__('Enter Title Font Size in pixels. E.g. 16 ', 'LEVELUP'),
        ),

        array(
            "type" => "textarea_html",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__( "Text", 'LEVELUP' ),
            "param_name" => "content",
            "value" => "",
            'description' => '',
        ),

        array(
            "type" => "vc_link",
            "class" => "",
            "heading" => esc_html__( "Custom Link", 'LEVELUP' ),
            "param_name" => "link",
            "description" => esc_html__( "Enter the hyperlink. Enter Anchor in the form that opens, in the Title field.", 'LEVELUP' ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Apply a link to the entire block?", 'LEVELUP'),
            "param_name" => "link_area",
            "value" => array(
                esc_html__( "Yes", 'LEVELUP' ) => "true"
            ),
			'description' => esc_html__('If check, the entire block will be clickable.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("CSS Animation", 'LEVELUP'),
            "param_name" => "css_animation",
            "admin_label" => true,
            "value" => levelup_get_vc_animation_options(),
            'description' => esc_html__('Select type of animation for element to be animated when it "enters" the browsers viewport or you can specify delay (Note: works only in modern browsers).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Animation Delay (ms)", 'LEVELUP'),
            "param_name" => "transition_delay",
            "admin_label" => true,
            "value" => "",
            'description' => esc_html__('Specify the delay in milliseconds when animation start.', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Apply Animation only on the Icon?", 'LEVELUP'),
            "param_name" => "css_animation_onicon",
            "value" => array(
                esc_html__( "Yes", 'LEVELUP' ) => "true"
            ),
            'description' => esc_html__('You can apply the animation effect only on the icon.', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Restart CSS Animation", 'LEVELUP'),
            'value' => array(esc_html__('Yes.', 'LEVELUP') => 'show_video'),
            "param_name" => "css_animation_repeat",
            'description' => esc_html__('If checked, the animation for the element will be restart whenever when it "enters" the browsers viewport (Note: works only in modern browsers).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'LEVELUP' )
        )
    )
) );


