<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

class WPBakeryShortCode_Rdy_Image_Hover extends WPBakeryShortCode {

    protected function content( $atts, $content = null ) {

	    $back_img_hide   = "";

        $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
        extract( $atts );


	    $html            = "";
	    $image_src       = $image;
	    $hover_image_src = $hover_image;


        if (is_numeric($image)) {
            $image_src = wp_get_attachment_url($image);
        }

        if (is_numeric($hover_image)) {
            $hover_image_src = wp_get_attachment_url($hover_image);
        }

        $link = levelup_vc_build_link( $link );

	    $html = '<div class="rdy_image_hover' . ( $back_img_hide ? ' hide_back' : '' ) . '">';
        $html .= '<figure>';
        if($link['url']) $html .= '<a href="' . esc_url( $link['url'] ) . '"' . ( $link['target'] ? ' target="' . esc_attr( $link['target'] ) . '"' : '' ) . '>';
        $html .= '<img class="active_image" src="' . esc_url( $image_src ) . '" alt=""><img class="hover_image" src="' . esc_url( $hover_image_src ) . '" alt="">';
        if($link['url']) $html .= '</a>';
        $html .= '</figure>';
        $html .= '</div>';

        return $html;
    }
}



//***********************************************************************
// Image hover
//***********************************************************************

vc_map( array(
    "name" => esc_html__( "Image Hover", 'LEVELUP' ),
    "base" => "rdy_image_hover",
    "category" => 'by '.'LEVELUP',
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/hover-image.png",
    "allowed_container_element" => 'vc_row',
    "params" => array(

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'description' => esc_html__( 'Image Hover by default is working like Crossfade effect, the important difference is that one image is smoothly covering the other.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
        ),

        array(
            "type" => "attach_image",
            "class" => "",
            "heading" => esc_html__( "First Image", 'LEVELUP' ),
            "param_name" => "image",
			'description' => esc_html__('Select Image.', 'LEVELUP'),
        ),
		
        array(
            "type" => "attach_image",
            "class" => "",
            "heading" => esc_html__( "Second Image", 'LEVELUP' ),
            "param_name" => "hover_image",
			'description' => esc_html__('Select Hover Image.', 'LEVELUP'), 
        ),

	    array(
		    'type' => 'checkbox',
		    'heading' => esc_html__( 'Change Images Mode?', 'LEVELUP' ),
		    'param_name' => 'back_img_hide',
		    'value' => array(
			    esc_html__( 'Yes', 'LEVELUP' ) => 'true',
		    ),
		    'description' => esc_html__('Use this option in order to make smooth change of images smooth, one is disappearing, another appears.', 'LEVELUP'),
	    ),

	    array(
            "type" => "vc_link",
            "class" => "",
            "heading" => esc_html__( "Add URL (Link)", 'LEVELUP' ),
            "param_name" => "link",
            'description' => esc_html__('Add a link to Image.', 'LEVELUP'),
        ),
    )
) );
