<?php
if (!defined('ABSPATH')) {
    die('-1');
}

class WPBakeryShortCode_Rdy_Instagram extends WPBakeryShortCode
{

    protected function content($atts, $content = null) {

        $output = '';
        $atts = vc_map_get_attributes($this->getShortcode(), $atts);
        extract($atts);

        $style_id = Levelup_Styles::shortcode_id();

        $hover_type       = esc_attr( $hover_type );
        $arrows           = esc_attr( $arrows );
        $border_color     = esc_attr( $border_color );
        $border_thickness = esc_attr( $border_thickness );
        $overlay_color    = esc_attr( $overlay_color );
        $gap              = absint( $gap );


        $columns = (int)$columns;
        $images_number = (int)$images_number;
        $images_number = ($images_number > 0) ? $images_number : 8;

        $search_for = array();
        if (isset ($select_type) && $select_type == 'hashtag') {
            $search = 'hashtag';
            $search_for['hashtag'] = $hashtag;
        } else {
            $search = 'user';
            $search_for['username'] = $username;
        }


        $images_data = $this->instagram_data($search_for, 5, $images_number, false);

        if (is_array($images_data) && !empty($images_data)) {

            $images_div = '<div class="rdy_instagram clearfix rdy_instagram_' . $style_id . '' . ( $hover_type ? ' hover-' . $hover_type : '' ) . '' . ( $use_overlay ? ' with-overlay' : '' ) . '' . ( $gap >= 0 ? ' gap-' . $gap : '' ) . '">';

            $responsive_set = array();

            $columns_calc = $columns;
            for ($i = 5; $i >= 1; $i--) {
                $responsive_set[$i] = $columns_calc;
                if ($columns_calc > 1) $columns_calc--;
            }

            if ($template == 'slider') {
                $classes = 'owl-carousel owl-instagram';
            } else {
                $classes = "clearfix small-block-grid-1 medium-block-grid-" . $responsive_set[2] . " large-block-grid-" . $responsive_set[3] . " xlarge-block-grid-" . $responsive_set[4] . " xxlarge-block-grid-" . $responsive_set[5] . "";
            }
            $images_ul = '<ul class="' . $classes . '' . ($arrows && $template == 'slider' ? ' nav-' . $arrows : '') . '">';

            $output = $images_div . $images_ul;

            foreach ($images_data as $image_data) {

                if ($image_size == 'thumbnail') {
//                    $template_args['image'] = $image_data['url_thumbnail'];
                    $template_args['image'] = $image_data['url'];
                } elseif ($image_size == 'medium') {
                    $template_args['image'] = $image_data['url_medium'];
                } elseif ($image_size == 'large') {
                    $template_args['image'] = $image_data['url_original'];
                } else {
                    $template_args['image'] = $image_data['url_original'];
                }

                //url_original
                $template_args['link_to'] = '';
                $template_args['caption'] = $image_data['caption'];
                $template_args['timestamp'] = $image_data['timestamp'];
                $template_args['username'] = $image_data['username'];

                if ($use_link) {
                    $template_args['link_to'] = $image_data['link'];
                }

                $args = $template_args;

                $caption = $args['caption'];
                $time = $args['timestamp'];
                $username = $args['username'];
                $image_url = $args['image'];


                $short_caption = wp_trim_words($caption, 10);
                $short_caption = preg_replace("/[^A-Za-z0-9?! ]/", "", $short_caption);

                $image_src = '<img src="' . esc_url( $image_url ) . '" alt="' . esc_attr( $short_caption ) . '" title="' . esc_attr( $short_caption ) . '" />';
                $image_output = '';
                if ($template_args['link_to']) $image_output .= '<a href="' . esc_url( $template_args['link_to'] ) . '" target="_blank"></a>';
                $image_output .= $image_src;

	            if ( $use_metadata ) {
		            $image_output .= '<div class="meta"><span>' . ( $image_data['likes'] ? '<i class="fa fa-heart"></i> ' . esc_attr( number_format($image_data['likes'], 0, ',', ' ') ) : '' ) . ( $image_data['comments'] ? ' <i class="fa fa-comments"></i> ' . esc_attr( $image_data['comments'] ) : '' ) . '</span></div>';
	            }

                $output .= "<li><div class='image'>";
                $output .= $image_output;
                $output .= "</div></li>";
            }

            $output .= "</ul>\n</div>";

            if ($template == 'slider') {
                $output .= "<script>
                    jQuery(document).ready(function(){
                      jQuery('.rdy_instagram_" . $style_id . " .owl-instagram').owlCarousel({
                        items: " . (($columns) ? $columns : 5) . ",
                        loop: false,
                        margin: " . ( $gap ? $gap : 0 ) . ",
                        nav: true,
                        dots: false,
                        navText: ['',''],
                        slideBy: 'page'
                ";

                if ($responsive) {
                    $output .= ',
                        responsiveClass: true,
                        responsive : {
                            0 : {
                                items: ' . $responsive_set[1] . '
                            },
                            480 : {
                                items: ' . $responsive_set[2] . '
                            },
                            768 : {
                                items: ' . $responsive_set[3] . '
                            },
                            992 : {
                                items: ' . $responsive_set[4] . '
                            },
                            1200 : {
                                items: ' . $responsive_set[5] . '
                            }
                        }
                    ';
                }

                $output .= "
                      });
                    });
                </script>";

            }

        }


        $stylesheet = '';

        if ($hover_type == '1') {
            $stylesheet .= "
                .rdy_instagram_" . $style_id . ".hover-1 li .image:after {
                    border: 0 solid " . $border_color . ";
                }
                .rdy_instagram_" . $style_id . ".hover-1 li:hover .image:after {
                    border: " . $border_thickness . "px solid " . $border_color . " !important;
                }";
        }

	    if ( ! empty( $use_overlay ) ) {
            $stylesheet .= "
                .rdy_instagram_" . $style_id . ".with-overlay li .image:before {
                    background-color: " . $overlay_color . ";
                }";
        }

        Levelup_Styles::addCSS($stylesheet, $style_id);

        return $output;

    }

    private function instagram_get_data($search_string, $media_id){
	    $response = wp_remote_get('http://instagram.com/' . trim($search_string) . '/media/?max_id=' . $media_id, array('sslverify' => false, 'timeout' => 60));

	    if ($response['response']['code'] == 200) {
		    $json = $response['body'];
		    if ( function_exists( 'json_last_error' ) ) {
			    ( $results = json_decode( $json, true ) ) && json_last_error() == JSON_ERROR_NONE;
		    } else {
			    $results = json_decode( $json, true );
		    }
//		    $entry_data = $results['items'];

		    return $results;
	    }

	    return false;
    }

    private function instagram_data($search_for, $cache_hours, $nr_images, $attachment) {

        if (isset($search_for['username']) && !empty($search_for['username'])) {
            $search = 'user';
            $search_string = $search_for['username'];
        } elseif (isset($search_for['hashtag']) && !empty($search_for['hashtag'])) {
            $search = 'hashtag';
            $search_string = $search_for['hashtag'];
        } else {
            return esc_html__('Nothing to search for', 'LEVELUP');
        }

        $opt_name = 'levelup_insta_' . md5($search . '_' . $search_string . '_' . $nr_images);
        $instaData = get_transient($opt_name);
        $user_opt = (array)get_option($opt_name);
//	    $instaData = false;

        if (false === $instaData || $user_opt['search_string'] != $search_string || $user_opt['search'] != $search || $user_opt['cache_hours'] != $cache_hours || $user_opt['nr_images'] != $nr_images || $user_opt['attachment'] != $attachment) {
            $instaData = array();
            $user_opt['search'] = $search;
            $user_opt['search_string'] = $search_string;
            $user_opt['cache_hours'] = $cache_hours;
            $user_opt['nr_images'] = $nr_images;
            $user_opt['attachment'] = $attachment;

            if ('user' == $search) {
                $response = wp_remote_get('http://instagram.com/' . trim($search_string) . '/media/', array('sslverify' => false, 'timeout' => 60));
            } else {
                $response = wp_remote_get('http://instagram.com/explore/tags/' . trim($search_string), array('sslverify' => false, 'timeout' => 60));
            }

            if (is_wp_error($response)) {
                return $response->get_error_message();
            }

            if ($response['response']['code'] == 200) {
	            if ( 'user' == $search ) {

	            	$json = $response['body'];
		            if ( function_exists( 'json_last_error' ) ) {
			            ( $results = json_decode( $json, true ) ) && json_last_error() == JSON_ERROR_NONE;
		            } else {
			            $results = json_decode( $json, true );
		            }

		            $get_posts = true;
		            $more_available = false;
		            $i = 0;
		            $j = 0;
		            $last_id = '';

		            while ($nr_images >= $i && $get_posts && $j < 10) {

			            $j++;
			            if ( empty( $results ) && isset( $more_available ) ) {
				            if ( $more_available && $last_id ) {
					            $results = $this->instagram_get_data( $search_string, $last_id );
				            } else {
					            $get_posts = false;
				            }
			            }

			            if ( empty( $results ) ) {
			            	break;
			            }

			            $entry_data = $results['items'];

			            foreach ( $entry_data as $current => $result ) {
				            if ( $i >= $nr_images ) {
					            unset($results);
					            $get_posts = false;
					            break;
				            }
	//			            if ( $result['type'] != 'image' ) {
	//			            	continue;
	//			            }

				            $image_data['code']         = $result['code'];
				            $image_data['username']     = 'user' == $search ? $search_string : false;
				            $image_data['user_id']      = $result['user']['id'];
				            $image_data['caption']      = isset( $result['caption']['text'] ) ? $this->sanitize( $result['caption']['text'] ) : '';
				            $image_data['id']           = $result['id'];
				            $image_data['link']         = 'https://instagram.com/p/' . $result['code'];
				            $image_data['popularity']   = (int) ( $result['comments']['count'] ) + ( $result['likes']['count'] );
				            $image_data['timestamp']    = (float) $result['created_time'];
				            $image_data['url_original'] = $result['images']['standard_resolution']['url'];
				            $image_data['url']          = $result['images']['standard_resolution']['url'];

				            $image_data['url_medium']    = $result['images']['low_resolution']['url'];
				            $image_data['url_thumbnail'] = $result['images']['thumbnail']['url'];

				            $image_data['likes']        = isset($result['likes']['count']) ? $result['likes']['count'] : '';
				            $image_data['comments']     = isset($result['comments']['count']) ? $result['comments']['count'] : '';

				            $instaData[] = $image_data;

				            $last_id = $result['id'];
				            $more_available = $results['more_available'];

				            $i++;

			            }

			            unset($results);

		            }

	            } else {
		            $json = str_replace( 'window._sharedData = ', '', strstr( $response['body'], 'window._sharedData = ' ) );

		            if ( version_compare( PHP_VERSION, '5.3.0', '>=' ) ) {
			            $json = strstr( $json, '</script>', true );
		            } else {
			            $json = substr( $json, 0, strpos( $json, '</script>' ) );
		            }

		            $json = rtrim( $json, ';' );

		            if ( function_exists( 'json_last_error' ) ) {
			            ( $results = json_decode( $json, true ) ) && json_last_error() == JSON_ERROR_NONE;

		            } else {
			            $results = json_decode( $json, true );
		            }

		            if ( $results && is_array( $results ) ) {
			            if ( 'user' == $search ) {
				            $entry_data = isset( $results['entry_data']['ProfilePage'][0]['user']['media']['nodes'] ) ? $results['entry_data']['ProfilePage'][0]['user']['media']['nodes'] : array();
			            } else {
				            $entry_data = isset( $results['entry_data']['TagPage'][0]['tag']['media']['nodes'] ) ? $results['entry_data']['TagPage'][0]['tag']['media']['nodes'] : array();
			            }


			            if ( empty( $entry_data ) ) {
				            return esc_html__( 'No images found', 'LEVELUP' );
			            }

			            foreach ( $entry_data as $current => $result ) {
				            if ( $result['is_video'] == true ) {
					            $nr_images ++;
					            continue;
				            }

				            if ( $current >= $nr_images ) {
					            break;
				            }

				            $image_data['code']         = $result['code'];
				            $image_data['username']     = 'user' == $search ? $search_string : false;
				            $image_data['user_id']      = $result['owner']['id'];
				            $image_data['caption']      = isset( $result['caption'] ) ? $this->sanitize( $result['caption'] ) : '';
				            $image_data['id']           = $result['id'];
				            $image_data['link']         = 'https://instagram.com/p/' . $result['code'];
				            $image_data['popularity']   = (int) ( $result['comments']['count'] ) + ( $result['likes']['count'] );
				            $image_data['timestamp']    = (float) $result['date'];
				            $image_data['url_original'] = $result['display_src'];
				            $image_data['url']          = $result['thumbnail_src'];

				            if ( isset( $result['images'] ) ) {
					            $image_data['url_medium']    = $result['images']['low_resolution']['url'];
					            $image_data['url_thumbnail'] = $result['images']['thumbnail']['url'];
				            }

				            $image_data['likes']        = isset($result['likes']['count']) ? $result['likes']['count'] : '';
				            $image_data['comments']     = isset($result['comments']['count']) ? $result['comments']['count'] : '';


				            preg_match( '/([^\/]+$)/', $image_data['url'], $matches );
				            if ( false === strpos( $matches[0], '_7.jpg' ) ) {
					            $image_data['url_medium']    = str_replace( $matches[0], 's320x320/' . $matches[0], $image_data['url'] );
					            $image_data['url_thumbnail'] = str_replace( $matches[0], 's150x150/' . $matches[0], $image_data['url'] );
				            } else {
					            $image_data['url_medium']    = str_replace( '_7.jpg', '_6.jpg', $image_data['url'] );
					            $image_data['url_thumbnail'] = str_replace( '_7.jpg', '_5.jpg', $image_data['url'] );
				            }

				            if ( ( $search == 'hashtag' ) || ( $search == 'user' && ! $attachment ) ) {
					            $instaData[] = $image_data;
				            } else {
					            if ( isset( $user_opt['saved_images'][ $image_data['id'] ] ) ) {
						            if ( is_string( get_post_status( $user_opt['saved_images'][ $image_data['id'] ] ) ) ) {
							            $this->update_wp_attachment( $user_opt['saved_images'][ $image_data['id'] ], $image_data );
							            $instaData[ $image_data['id'] ] = $user_opt['saved_images'][ $image_data['id'] ];

						            } else {
							            $user_opt['deleted_images'][ $image_data['id'] ] = $image_data['url_thumbnail'];
						            }

					            } else {
						            $id = $this->save_wp_attachment( $image_data );
						            if ( $id && is_numeric( $id ) ) {
							            $user_opt['saved_images'][ $image_data['id'] ] = $id;
							            $instaData[ $image_data['id'] ]                = $id;
						            } else {
							            return $id;
						            }
					            }
				            }
			            }
		            }
	            }
            } else {
                return $response['response']['message'];
            }

            update_option($opt_name, $user_opt);

            if (is_array($instaData) && !empty($instaData)) {
                set_transient($opt_name, $instaData, $cache_hours * HOUR_IN_SECONDS);
            }

        }

        return $instaData;
    }

    private function sanitize($input) {

        if (!empty($input)) {
            $utf8_2byte = 0xC0 /*1100 0000*/
            ;
            $utf8_2byte_bmask = 0xE0 /*1110 0000*/
            ;
            $utf8_3byte = 0xE0 /*1110 0000*/
            ;
            $utf8_3byte_bmask = 0XF0 /*1111 0000*/
            ;
            $utf8_4byte = 0xF0 /*1111 0000*/
            ;
            $utf8_4byte_bmask = 0xF8 /*1111 1000*/
            ;

            $sanitized = "";
            $len = strlen($input);
            for ($i = 0; $i < $len; ++$i) {

                $mb_char = $input[$i]; // Potentially a multibyte sequence
                $byte = ord($mb_char);

                if (($byte & $utf8_2byte_bmask) == $utf8_2byte) {
                    $mb_char .= $input[++$i];
                } else if (($byte & $utf8_3byte_bmask) == $utf8_3byte) {
                    $mb_char .= $input[++$i];
                    $mb_char .= $input[++$i];
                } else if (($byte & $utf8_4byte_bmask) == $utf8_4byte) {
                    // Replace with ? to avoid MySQL exception
                    $mb_char = '';
                    $i += 3;
                }

                $sanitized .= $mb_char;
            }

            $input = $sanitized;
        }

        return $input;
    }
}


//***********************************************************************
// Instagram
//***********************************************************************

vc_map(array(
    "name" => esc_html__("Instagram", 'LEVELUP'),
    "base" => "rdy_instagram",
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/instagram.png",
    "class" => "",
    "category" => 'by ' . 'LEVELUP',
    "params" => array(

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Type", 'LEVELUP'),
            "param_name" => "select_type",
            "value" => array(
                esc_html__("Username", 'LEVELUP') => "username",
                esc_html__("Hashtag", 'LEVELUP') => "hashtag",
            ),
            'description' => esc_html__('Select principle of output data.', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Username", 'LEVELUP'),
            "param_name" => "username",
            "value" => "",
            "dependency" => array('element' => 'select_type', 'value' => 'username'),
            'description' => esc_html__('Enter Username, just name, omit @', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Hashtag", 'LEVELUP'),
            "param_name" => "hashtag",
            "value" => "",
            "dependency" => array('element' => 'select_type', 'value' => 'hashtag'),
            'description' => esc_html__('Enter Hashtag, just Hashtag, omit #', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Display Style", 'LEVELUP'),
            "param_name" => "template",
            "value" => array(
                esc_html__("Grid", 'LEVELUP') => "grid",
                esc_html__("Slider", 'LEVELUP') => "slider",
            ),
            'description' => esc_html__('Select display style.', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Responsive Slider?", 'LEVELUP'),
            "param_name" => "responsive",
            "value" => array(
                esc_html__("Yes.", 'LEVELUP') => "true"
            ),
            "dependency" => array('element' => 'template', 'value' => 'slider'),
            'description' => esc_html__('If checked slider will be responsive.', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Arrows", 'LEVELUP'),
            "param_name" => "arrows",
            "value" => array(
                esc_html__("None", 'LEVELUP') => "",
                esc_html__("Inside", 'LEVELUP') => "inside",
                esc_html__("Outside", 'LEVELUP') => "outside",
            ),
            "dependency" => Array('element' => "template", 'value' => array('slider')),
            'description' => esc_html__('Select navigation arrow position.', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Image Shape", 'LEVELUP'),
            "param_name" => "image_size",
            "value" => array(
                esc_html__("Square", 'LEVELUP') => "thumbnail",
                esc_html__("Original Proportions (Large Size)", 'LEVELUP') => "large",
            ),
            'description' => esc_html__('Select Image Shape.', 'LEVELUP' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Grid Elements per Row", 'LEVELUP'),
            "param_name" => "columns",
            "value" => array(
                "1" => "1",
                "2" => "2",
                "3" => "3",
                "4" => "4",
                "5" => "5",
                "6" => "6",
                "7" => "7",
                "8" => "8",
                "9" => "9",
                "10" => "10",
            ),
            'std' => '6',
            'description' => esc_html__('Select number of single grid elements per row.', 'LEVELUP'),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Gap', 'LEVELUP' ),
            'param_name' => 'gap',
            'value' => array(
                '0px' => '0',
                '5px' => '5',
                '10px' => '10',
                '15px' => '15',
                '20px' => '20',
                '25px' => '25',
                '30px' => '30',
            ),
            'std' => '0',
            'description' => esc_html__( 'Select gap between elements per row.', 'LEVELUP' ),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Number of Images to Show", 'LEVELUP'),
            "param_name" => "images_number",
            "value" => "8",
            'description' => esc_html__('Enter Number of images to show.', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'insta_h_002',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Add Link?", 'LEVELUP'),
            "param_name" => "use_link",
            "value" => array(
                esc_html__("Yes.", 'LEVELUP') => "true"
            ),
            'description' => 'If checked, an external link to the original will be added.',
        ),


        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Hover Effects", 'LEVELUP'),
            "param_name" => "hover_type",
            'options' => array(
                '' => array(
                    'title' => 'None',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/hide.png",
                ),
                '1' => array(
                    'title' => 'Border',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_instagram/hover_01.gif",
                ),
//                '2' => array(
//                    'title' => 'Overlay',
//                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_instagram/hover_02.gif",
//                ),
                '3' => array(
                    'title' => 'Zoom In',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_instagram/hover_03.gif",
                ),
                '4' => array(
                    'title' => 'Zoom Out',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_instagram/hover_04.gif",
                ),
            ),
            'group' => esc_html__('Hover', 'LEVELUP'),
            "std" => "1",
            'description' => esc_html__('Select hover effect.', 'LEVELUP'),
        ),


        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'insta_h_003',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            "dependency" => array("element" => "hover_type", "value" => array("1")),
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Thickness", 'LEVELUP'),
            "param_name" => "border_thickness",
            "value" => "5",
            "dependency" => array("element" => "hover_type", "value" => array("1")),
            'description' => esc_html__('Enter Border Thickness.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Color", 'LEVELUP'),
            "param_name" => "border_color",
            "value" => "#000000",
            "dependency" => array("element" => "hover_type", "value" => array("1")),
            'description' => esc_html__('Select border Color.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'insta_h_001',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Show Metadata?", 'LEVELUP'),
            "param_name" => "use_metadata",
            "value" => array(
                esc_html__("Yes.", 'LEVELUP') => "true"
            ),
            'description' => 'If checked, icons with the quantity of likes and comments above the image will be displayed.',
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Add Overlay Color?", 'LEVELUP'),
            "param_name" => "use_overlay",
            "value" => array(
                esc_html__("Yes.", 'LEVELUP') => "true"
            ),
            'edit_field_class' => 'vc_col-sm-3 vc_column',
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Overlay Color", 'LEVELUP'),
            "param_name" => "overlay_color",
            "value" => "rgba(0,0,0,.5)",
            "dependency" => array("element" => "use_overlay", "not_empty" => true),
            'description' => esc_html__('Select Overlay Color.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),


    )
));