<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

if ( ! function_exists( 'levelup_latest_post_excerpt_more' ) ) {
	function levelup_latest_post_excerpt_more( $more ) {
		return '';
	}
}

class WPBakeryShortCode_Rdy_Latest_Post extends WPBakeryShortCode {

    protected function content( $atts, $content = null ) {

        $columns_number = $el_class = '';
	    $classes = '';
	    $carousel_dots = '';

        $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
        extract( $atts );

        $style_id = Levelup_Styles::shortcode_id();

        $headings_array = array('h2', 'h3', 'h4', 'h5', 'h6', 'p');

        $title_tag_html = (in_array($title_tag, $headings_array)) ? $title_tag : 'p';
        if ($title_tag == 'gs') {
            $title_tag_html = 'p';
        }

	    $show_readmore = apply_filters( 'levelup_sanitize_flag', $show_readmore );
	    $pagination    = apply_filters( 'levelup_sanitize_flag', $pagination );
	    $post_per_page = absint( $post_per_page );
	    $autoplay = apply_filters('levelup_sanitize_flag', $autoplay);


	    if ( ! ( $post_per_page > 0 && $post_per_page < 100 ) ) {
		    $post_per_page = 10;
	    }

	    $query_opt = array(
		    'orderby' => $order_by,
		    'order' => $order,
		    'posts_per_page' => $number_of_posts,
		    'category_name' => $category
	    );


	    if ( $pagination ) {
		    $query_opt['paged'] = levelup_get_paged_var();
		    $query_opt['no_found_rows'] = 0;
		    $query_opt['posts_per_page'] = $post_per_page;
	    }

        $q = new WP_Query(
            $query_opt
        );

        $number_of_colums = absint( $number_of_colums );
        $title_fontsize   = esc_attr( $title_fontsize );
        $row_spacing      = esc_attr( $row_spacing );
        $padding          = esc_attr( $padding );
        $gap              = esc_attr( $gap );


	    if ( $el_class ) {
		    $classes = esc_attr( $el_class );
	    }

        $html = "";
	    $html .= "<div class='rdy_latest_post rdy_latest_post-$style_id $type $columns_number " . ( $classes ? $classes : '' ) . ( ( $type == 'minimal' && $background ) ? ' background-' . $background : '' ) . "'>";
	    
        $number_of_colums_sm = ($number_of_colums > 1 ? 2 : 1);
        if ($type == "minimal") {
            $ul_class = sprintf('small-block-grid-1 medium-block-grid-%2$s large-block-grid-%1$s xlarge-block-grid-%1$s xxlarge-block-grid-%1$s', $number_of_colums, $number_of_colums_sm);
        } elseif ($type == "boxes") {
            $ul_class = sprintf('small-block-grid-1 medium-block-grid-%2$s large-block-grid-%1$s xlarge-block-grid-%1$s xxlarge-block-grid-%1$s', $number_of_colums, $number_of_colums_sm);
        } else {
            $ul_class = sprintf('small-block-grid-1 medium-block-grid-%2$s large-block-grid-%1$s xlarge-block-grid-%1$s xxlarge-block-grid-%1$s', $number_of_colums, $number_of_colums_sm);
        }

	    if ( $type == "carousel" ) {
			$ul_class .= ' owl-posts-slider owl-carousel';
		}

        $html .= '<ul class="' . $ul_class . '" data-md="2" data-lg="' . ( !empty($number_of_colums) ? esc_attr($number_of_colums) : 4 ) . '"' . ( $carousel_dots ? ' data-dots="1"' : '' ) . '' . ($autoplay ? ' data-autoplay="true" data-loop="true"' : '') . '' . ( $autoplay && isset( $autoplay_timeout ) && $autoplay_timeout ? ' data-timeout="' . esc_attr( $autoplay_timeout ) . '"' : '') . ( $autoplay && isset( $animation_speed ) && $animation_speed ? ' data-navspeed="' . esc_attr( $animation_speed ) . '"' : '') . ' data-hoverpause="true">';

        add_filter( 'excerpt_more', 'levelup_latest_post_excerpt_more' );

        while ($q->have_posts()) : $q->the_post();
            $cat = get_the_category();
	        $post_link = get_permalink();

	        $html .= '<li class="clearfix' . ( $type == "carousel" && !empty($carousel_appear) ? ' t-inside animate_when_almost_visible ' . esc_attr ( $carousel_appear ) : '' ) .'" data-delay="200">';

            if ($type == "boxes" || $type == "carousel") {
                if ($image_square) {
                    $image = get_the_post_thumbnail(get_the_ID(), 'levelup-portfolio-thumb-square');
                } else {
                    $image = get_the_post_thumbnail(get_the_ID(), 'levelup-blog-latest-box');
                }

	            $video_embed = $video_m4v = $video_ogv = $video_poster = '';

	            if(get_post_format() == 'video') {
		            $video_embed = get_post_meta(get_the_ID(), '_rdy_page_video_embed', true);
		            $video_m4v = get_post_meta(get_the_ID(), '_rdy_page_video_m4v', true);
		            $video_ogv = get_post_meta(get_the_ID(), '_rdy_page_video_ogv', true);
		            $video_poster = get_post_meta(get_the_ID(), '_rdy_page_video_image', true);
	            }


                $html .= '<div class="boxes_wrapper clearfix">';
                if ($image || !empty($video_embed) || !empty($video_m4v)) {
                    $html .= '<div class="boxes_image' . ($disable_hover ? '' : ' hover') . '">';

	                if (!empty($video_embed) || !empty($video_m4v)) {

		                if ( ! empty( $video_embed ) ) {

			                $html .= '<div class="video">' . do_shortcode( $video_embed ) . '</div>';

		                } else {
			                if ( ! empty( $video_m4v ) || ! empty( $video_ogv ) ) {

				                $video_output = '[video ';

				                if (!empty($video_m4v)) {
					                $video_output .= 'mp4="' . esc_url( $video_m4v ) . '" ';
				                }
				                if (!empty($video_ogv)) {
					                $video_output .= 'ogv="' . esc_url( $video_ogv ) . '"';
				                }
				                $video_poster_src = wp_get_attachment_image_src( $video_poster, 'full' );
				                $video_output .= ' poster="' . esc_url( $video_poster_src[0] ) . '"]';

				                $html .= '<div class="video">' . do_shortcode($video_output) . '</div>';
			                }
		                }

	                } else {
		                $html .= '<a href="' . $post_link . '">';
		                $html .= $image;
		                $html .= '</a>';
	                }


                    $html .= '</div>';
                }
            }

            $html .= '<div class="latest_post' . ($title_tag == 'gs' ? ' global_font' : '') . '">';


	        if ($type == "image_in_box") {
                $featured_image_array = wp_get_attachment_image_src(get_post_thumbnail_id(), 'levelup-portfolio-thumb-square');

                if ($featured_image_array) {
                    $html .= '<div class="latest_post_image clearfix' . ($disable_hover ? '' : ' hover') . '">';
                    $html .= '<a href="' . esc_url( $post_link ) . '"><img src="' . esc_url( $featured_image_array[0] ) . '" alt="" /></a>';
                    $html .= '</div>';
                }
            }

	        $html .= '<div class="latest_post_text' . ($type != "boxes" ? ' ' : '') . '">';
            $html .= '<div class="latest_post_inner">';
            $html .= '<div class="latest_post_text_inner">';

            $html .= '<' . $title_tag_html . ' class="latest_post_title"' . ($title_fontsize ? ' style="font-size:' . $title_fontsize . 'px;"' : '') . '><a href="' . esc_url( $post_link ) . '">' . get_the_title() . '</a></' . $title_tag_html . '>';

	        if ($display_time == '1' || $display_category == '1' || ($display_comments == "1")) {
                $html .= '<span class="post_infos">';
//		        $html .= '<span><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '">' . esc_html( get_the_author() ) . '</a></span>';
                if ($display_time == '1') {
                    $html .= '<span class="date_hour_holder">';
                    if ($type != 'date_in_box') {
                        $html .= '<span class="date">' . get_the_time('d F, Y') . '</span>';
                    } else {
                        $html .= '<span class="date">' . get_the_time('g:h') . 'h</span>';
                    }

                    $html .= '</span>';

                    $html .= '<span class="divider"></span>';
                }
                if ($display_category == '1') {
                    foreach ($cat as $categ) {
                        $html .=' <a href="' . esc_url( get_category_link($categ->term_id) ) . '">' . $categ->cat_name . ' </a> ';
                    }
                    $html .= '<span class="divider"></span>';
                }

                if ($display_comments == "1") {
                    $comments_count = get_comments_number();

                    switch ($comments_count) {
                        case 0:
                            $comments_count_text = esc_html__('No comment', 'LEVELUP');
                            break;
                        case 1:
                            $comments_count_text = $comments_count . ' ' . esc_html__('Comment', 'LEVELUP');
                            break;
                        default:
                            $comments_count_text = $comments_count . ' ' . esc_html__('Comments', 'LEVELUP');
                            break;
                    }

                    $html .= ' <a class="post_comments" href="' . esc_url( get_comments_link() ) . '">';
                    $html .= $comments_count_text;
                    $html .= '</a>';
                    $html .= '<span class="divider"></span>';
                }

                $html .= '</span>';
            }


            if ($text_length != '0') {

                ob_start();
	            levelup_the_excerpt();
                $excerpt_html = ob_get_contents();
                ob_end_clean();

                if ($text_length > 0) {
                    $excerpt = substr($excerpt_html, 0, (int)$text_length) . ' ...';
                } else {
                    $excerpt = $excerpt_html;
                }

                if ($excerpt) {
                    $html .= '<div class="excerpt">';
                    $html .= $excerpt;
                    $html .= '</div>';
                }
            }


            if ($show_readmore) {
                $html .= '<a href="' . esc_url( $post_link ) . '" class="read-more' . ($readmore_bold ? ' bold' : '') . '">' . esc_html__('Read more', 'LEVELUP') . '</a>';
            }
            if ($type == "boxes") {
                $html .= '</div>';
            }


            $html .= '</div>';
            $html .= '</div>';
            $html .= '</div>';
            $html .= '</div>';

        endwhile;
        wp_reset_query();

        remove_filter( 'excerpt_more', 'levelup_latest_post_excerpt_more' );

        $html .= "</ul>";

	    if ( $pagination ) {
		    $html .= levelup_paginator( $q, array(), true );
	    }

        $html .= "</div>";


        $stylesheet = '';
        if ($padding && $type == 'minimal') {
            $stylesheet .= '
                 .rdy_latest_post-' . $style_id . ' ul li .latest_post {
                    padding: ' . $padding . 'px!important;
                 }';
        }
	    
        if ($gap) {
            $stylesheet .= '
                 .rdy_latest_post-' . $style_id . ' ul li .latest_post {
                    margin-left: ' . $gap . 'px!important;
                    margin-right: ' . $gap . 'px!important;
                 }
                 .rdy_latest_post-' . $style_id . ' {
                    margin: 0 ' . -($gap) . 'px!important;
                 }
                 .rdy_latest_post-' . $style_id . ' .boxes_image {
                    margin-left: ' . $gap . 'px!important;
                    margin-right: ' . $gap . 'px!important;
                 }';
        }

        if ($row_spacing) {
            $stylesheet .= '
                 .rdy_latest_post-' . $style_id . ' ul li {
                    margin-bottom: ' . ($row_spacing) . 'px!important;
                 }';
        }

        Levelup_Styles::addCSS($stylesheet, $style_id);

        return $html;
    }
}


//***********************************************************************
// Latest Posts
//***********************************************************************

vc_map( array(
    "name" => esc_html__( "Latest Posts", 'LEVELUP' ),
    "base" => "rdy_latest_post",
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/latest-post.png",
    "category" => 'by '.'LEVELUP',
    "allowed_container_element" => 'vc_row',
    "params" => array(

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Display Style", 'LEVELUP'),
            "param_name" => "type",
            'options' => array(
                'image_in_box' => array(
                    'title' => 'Image in Left Box',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_latest_post/position_01.png",
                ),
                'minimal' => array(
                    'title' => 'Minimal',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_latest_post/position_02.png",
                ),
                'boxes' => array(
                    'title' => 'Boxes',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_latest_post/position_03.png",
                ),
                'carousel' => array(
                    'title' => 'Carousel',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_latest_post/position_04.png",
                ),
            ),
            "std" => "image_in_box",
            'description' => esc_html__('Select display style.', 'LEVELUP'),
        ),

	    array(
		    "type" => "dropdown",
		    "class" => "",
		    "heading" => esc_html__("Animation Type", 'LEVELUP'),
		    "param_name" => "carousel_appear",
		    "value" => array(
			    esc_html__("- Select -", 'LEVELUP') => "",
                esc_html__("Fade In", 'LEVELUP') => "alpha-anim",
			    esc_html__("Left to Right", 'LEVELUP') => "left-t-right",
			    esc_html__("Right to Left", 'LEVELUP') => "right-t-left",
			    esc_html__("Bottom to Top", 'LEVELUP') => "bottom-t-top",
			    esc_html__("Zoom In", 'LEVELUP') => "zoom-in",
			    esc_html__("Zoom Out", 'LEVELUP') => "zoom-out",
                esc_html__("Top to Bottom", 'LEVELUP') => "top-t-bottom",

		    ),
		    "dependency" => array(
			    'element' => "type",
			    'value' => array('carousel')
		    ),
		    'description' => esc_html__('Choose the animation type when the object enters the visible area.', 'LEVELUP'),
            'group' => __('Animation', 'LEVELUP'),
	    ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'latest_posts_devider_010',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            "dependency" => array(
                'element' => "type",
                'value' => array('carousel')
            ),
        ),

	    array(
		    "type" => "checkbox",
		    "heading" => esc_html__("Show Dots Navigation?", 'LEVELUP'),
		    "param_name" => "carousel_dots",
		    "value" => array(
			    "Yes." => "true",
		    ),
		    "dependency" => array(
			    'element' => "type",
			    'value' => array('carousel')
		    ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

	    array(
		    "type" => "checkbox",
		    "heading" => esc_html__("Autoslide?", 'LEVELUP'),
		    "param_name" => "autoplay",
		    "value" => array(
			    "Yes" => "true",
		    ),
		    "dependency" => array(
			    'element' => "type",
			    'value' => array('carousel')
		    ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

	    array(
		    "type" => "textfield",
		    "heading" => esc_html__("Autoslide Timeout", 'LEVELUP'),
		    "param_name" => "autoplay_timeout",
		    "value" => "2500",
		    "description" => esc_html__("Enter a value in milliseconds, this parameter indicates the delay time before the logotypes shift in the slider.", 'LEVELUP'),
		    "dependency" => array(
			    'element' => "autoplay",
			    'not_empty' => true
		    ),
		    'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

	    array(
		    "type" => "textfield",
		    "heading" => esc_html__("Speed", 'LEVELUP'),
		    "param_name" => "animation_speed",
		    "value" => "1000",
		    "description" => esc_html__("Enter a value in milliseconds, using this setting you set up the sliding speed of logotypes in the slider.", 'LEVELUP'),
		    "dependency" => array(
			    'element' => "autoplay",
			    'not_empty' => true
		    ),
		    'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'latest_posts_devider_01',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Background Color", 'LEVELUP'),
            "param_name" => "background",
            "value" => array(
                esc_html__("None", 'LEVELUP') => "",
                esc_html__("White", 'LEVELUP') => "white",
            ),
            "dependency" => Array('element' => "type", 'value' => array('minimal')),
            'description' => esc_html__('Select background color for grid elements.', 'LEVELUP'),
            'group' => esc_html__('Background', 'LEVELUP'),
        ),

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Padding", 'LEVELUP'),
            "param_name" => "padding",
            "value" => array(
                "0px" => "",
                "10px" => "10",
                "15px" => "15",
                "20px" => "20",
                "25px" => "25",
                "30px" => "30",
            ),
            'description' => esc_html__('Select padding for grid elements.', 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('minimal')),
            'group' => esc_html__('Background', 'LEVELUP'),
            "std" => "30",
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Grid elements per row", 'LEVELUP'),
            "param_name" => "number_of_colums",
            "value" => array(
                esc_html__("1", 'LEVELUP') => "1",
                esc_html__("2", 'LEVELUP') => "2",
                esc_html__("3", 'LEVELUP') => "3",
                esc_html__("4", 'LEVELUP') => "4",
                esc_html__("5", 'LEVELUP') => "5",
                esc_html__("6", 'LEVELUP') => "6",
            ),
            'description' => esc_html__('Select number of single grid elements per row.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            "std" => "4",
        ),

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Gap", 'LEVELUP'),
            "param_name" => "gap",
            "value" => array(
                "0px" => "",
                "20px" => "10",
                "30px" => "15",
                "40px" => "20",
                "50px" => "25",
                "60px" => "30",
            ),
            'description' => esc_html__('Select gap between grid elements.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            "std" => "20",
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Spacing between Rows", 'LEVELUP'),
            "param_name" => "row_spacing",
            'description' => esc_html__('Select a value spacing between Rows.', 'LEVELUP'),
            "value" => array(
                esc_html__("0px", 'LEVELUP') => "0",
                esc_html__("10px", 'LEVELUP') => "10",
                esc_html__("15px", 'LEVELUP') => "15",
                esc_html__("20px", 'LEVELUP') => "20",
                esc_html__("25px", 'LEVELUP') => "25",
                esc_html__("30px", 'LEVELUP') => "30",
                esc_html__("35px", 'LEVELUP') => "35",
                esc_html__("40px", 'LEVELUP') => "40",
                esc_html__("45px", 'LEVELUP') => "45",
                esc_html__("50px", 'LEVELUP') => "50",
                esc_html__("55px", 'LEVELUP') => "55",
                esc_html__("60px", 'LEVELUP') => "60",
            ),
            "std" => "40",
            "dependency" => Array('element' => "type", 'value' => array('image_in_box', 'minimal', 'boxes')),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'latest_posts_devider_02',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Title Tag", 'LEVELUP'),
            "param_name" => "title_tag",
            "value" => array(
                ""   => "",
                "Inherit Blog Settings" => "gs",
                "h2" => "h2",
                "h3" => "h3",
                "h4" => "h4",
                "h5" => "h5",
                "h6" => "h6",
                "p" => "p",
            ),
            'description' => esc_html__('Use the tag to apply for the Title display style.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Text Length", 'LEVELUP'),
            "param_name" => "text_length",
            "description" => esc_html__("Enter number of characters.", 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Title Font size", 'LEVELUP'),
            "param_name" => "title_fontsize",
            'description' => '',
            "dependency" => Array('element' => "title_tag", 'value' => array('p'))
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'latest_posts_devider_02_2',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Show Category?", 'LEVELUP'),
            "param_name" => "display_category",
            "value" => array(
                esc_html__("Yes.", 'LEVELUP') => "1",
            ),
            'description' => esc_html__('If checked, category will be displayed.', 'LEVELUP'),
			'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Show Date?", 'LEVELUP'),
            "param_name" => "display_time",
            "value" => array(
                esc_html__("Yes.", 'LEVELUP') => "1",
            ),
            'description' => esc_html__('If checked, date will be displayed.', 'LEVELUP'),
			'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Show Comments?", 'LEVELUP'),
            "param_name" => "display_comments",
            "value" => array(
                esc_html__("Yes.", 'LEVELUP') => "1",
            ),
            'description' => esc_html__('If checked, the number of comments will be displayed.', 'LEVELUP'),
			'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),


        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Show Read More?", 'LEVELUP'),
            "param_name" => "show_readmore",
            'description' => esc_html__('If checked, Red More (Link) will be displayed.', 'LEVELUP'),
            "value" => array(
                esc_html__("Yes.", 'LEVELUP') => "true",
            ),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Read More (Bold)", 'LEVELUP'),
            "param_name" => "readmore_bold",
            'description' => esc_html__('If checked, Red More (Link) will be bold.', 'LEVELUP'),
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true",
            ),
            "dependency" => Array('element' => "show_readmore", 'value' => 'true'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'latest_posts_devider_03',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Disable Hover Animation?", 'LEVELUP'),
            "param_name" => "disable_hover",
            "value" => array(
                esc_html__("Yes.", 'LEVELUP') => "1",
            ),
            'description' => esc_html__('If checked, Image Hover will be disabled.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Image Square?", 'LEVELUP'),
            "param_name" => "image_square",
            "value" => array(
                esc_html__("Yes.", 'LEVELUP') => "true",
            ),
            "dependency" => Array('element' => "type", 'value' => array('boxes', 'carousel')),
            'description' => esc_html__('If checked, images in the listing will be displayed as a square.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'latest_posts_devider_04',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Number of Posts", 'LEVELUP'),
            "param_name" => "number_of_posts",
            'description' => esc_html__('Enter Number of Posts.', 'LEVELUP'),
//            "dependency" => Array('element' => "type", 'value' => array('image_in_box', 'minimal')),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Pagination?", 'LEVELUP'),
            "param_name" => "pagination",
            'description' => esc_html__('If checked, the posts will be divided into discrete pages.', 'LEVELUP'),
            "value" => array(
                esc_html__("Yes.", 'LEVELUP') => "1",
            ),
            "dependency" => Array( 'element' => 'type', 'value' => array('image_in_box', 'minimal', 'boxes') ),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),

	    array(
		    "type" => "textfield",
		    "class" => "",
		    "heading" => esc_html__("Number of Posts per Page", 'LEVELUP'),
            'description' => esc_html__('Enter Number of Posts per Page.', 'LEVELUP'),
		    "param_name" => "post_per_page",
		    "dependency" => Array( 'element' => 'pagination', 'not_empty' => true ),
            'edit_field_class' => 'vc_col-sm-4 vc_column',

	    ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'latest_posts_devider_05',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Category Slug", 'LEVELUP'),
            "param_name" => "category",
            'description' => esc_html__('Leave empty for all or use comma for list', 'LEVELUP'),
        ),

		array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Order By", 'LEVELUP'),
            "param_name" => "order_by",
            "value" => array(
                esc_html__("Title", 'LEVELUP') => "title",
                esc_html__("Date", 'LEVELUP') => "date"
            ),
            'description' => '',
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Order", 'LEVELUP'),
            "param_name" => "order",
            "value" => array(
                esc_html__("ASC", 'LEVELUP') => "ASC",
                esc_html__("DESC", 'LEVELUP') => "DESC"
            ),
            'description' => '',
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'latest_posts_devider_06',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => __( 'Extra class name', 'js_composer' ),
            'param_name' => 'el_class',
            'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'js_composer' ),
        ),

    )
) );
