<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

class WPBakeryShortCode_Rdy_mc4wp_form extends WPBakeryShortCode {

    protected function content( $atts, $content = null ) {

        $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
        extract( $atts );

        $style_id = Levelup_Styles::shortcode_id();

        $margin_top         = absint( $margin_top );
        $margin_bottom      = absint( $margin_bottom );
        $width              = absint( $width );
        $align              = esc_attr( $align );
        $text_color         = esc_attr( $text_color );
        $button_color       = esc_attr( $button_color );
        $button_color_hover = esc_attr( $button_color_hover );

        $html = '';
        $html .= '<div class="rdy_mc4wp_form rdy_mc4wp_form-' . $style_id . ' align-' . $align . '' . ($form_shadow ? ' shadow' : '') . '"';

        if ($margin_top || $margin_bottom) {
            $html .= 'style="';
            if ($margin_top) {
                $html .= 'margin-top:' . $margin_top . 'px;';
            }
            if ($margin_bottom) {
                $html .= 'margin-bottom:' . $margin_bottom . 'px;';
            }
            $html .= '"';
        }

        $html .= '>';

        $shortcode = '[mc4wp_form]';
        if ( function_exists('mc4wp_get_forms')) {
            $forms = mc4wp_get_forms();
            if (isset($forms[0])) {
                $shortcode = '[mc4wp_form id="' . absint($forms[0]->ID) . '"]';
            }
        }

        $html .= do_shortcode($shortcode);
        $html .= '</div>';

        $stylesheet = '';

        if ($width) {
            $stylesheet .= '
                 .rdy_mc4wp_form-' . $style_id . ' {
                    max-width: ' . ($width) . 'px;
                 }';
        }

        if ($button_color) {
            $stylesheet .= '
                 .rdy_mc4wp_form-' . $style_id . ' .mc4wp-form p:nth-child(2) input {
                    background: ' . $button_color . ';
                 }';
        }

        if ($button_color_hover) {
            $stylesheet .= '
                 .rdy_mc4wp_form-' . $style_id . ' .mc4wp-form p:nth-child(2) input:hover {
                    background: ' . $button_color_hover . ';
                 }';
        }

        if ($text_color) {
            $stylesheet .= '
                 .rdy_mc4wp_form-' . $style_id . ' p:nth-child(2) input {
                    color: ' . $text_color . '!important;
                 }';
        }

        Levelup_Styles::addCSS($stylesheet, $style_id);

        return $html;
    }
}
