<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

$social_brand_colors = array(
    'twitter' => '#00aced',
    'facebook' => '#3b5998',
    'googleplus' => '#dd4b39',
    'pinterest' => '#cb2027',
    'linkedin' => '#007bb6',
    'youtube' => '#bb0000',
    'vimeo' => '#aad450',
    'tumblr' => '#32506d',
    'instagram' => '#517fa4',
    'flickr' => '#ff0084',
    'dribbble' => '#ea4c89',
    'vk' => '#45668e',
    'wordpress' => '#21759b',
    'stumbleupon' => '#EB4823',
    'blogger' => '#fb8f3d',
    'soundcloud' => '#ff3a00',
    'RSS' => '#FF7900',
    'Digg' => '#333333',
    'Last-fm' => '#DF1303',
    'YelpY' => '#c41200',
    'Reddit' => '#CEE3F8',
    'Xing' => '#026466',
    'IMDB' => '#f5de50',
    'Qzone' => '#ffc028',
    'Renren' => '#217dc6',
    'Wechat' => '#7bb32e',
    'Weibo' => '#e6162d',
    'Whatsapp' => '#1d9d10',
    'quora' => '#a82400',
    'foursquare' => '#0072b1',
    'yahoo' => '#7B0099',
    'forrst' => '#5B9A68',
);



class WPBakeryShortCode_Rdy_Social_Networks extends WPBakeryShortCode {

    protected function content( $atts, $content = null ) {
        global $levelup_options;

        $share_class = $stylesheet = $stylesheet_attr = $el_class = '';
        $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
        extract( $atts );

        $style_id = Levelup_Styles::shortcode_id();
        $text_list_style = apply_filters('levelup_sanitize_flag', $text_list_style);

        $icon_color       = esc_attr( $icon_color );
        $align           = esc_attr( $align );
        $margin           = esc_attr( $margin );
        $border_size      = esc_attr( $border_size );
        $border_color     = esc_attr( $border_color );
        $bg_color         = esc_attr( $bg_color );
        $bg_hover_color   = esc_attr( $bg_hover_color );
        $icon_hover_color = esc_attr( $icon_hover_color );
        $padding_lr       = esc_attr( $padding_lr );
        $border_radius    = esc_attr( $border_radius );
        $text_fontsize    = esc_attr( $text_fontsize );
        $font_weight      = esc_attr( $font_weight );
        $css_animation    = esc_attr( $css_animation );
        $animation_delay  = esc_attr( $animation_delay );


        $use_brand = false;
        if ($icon_color_set == 'brand'
            || $icon_hover_color_set == 'brand'
            || $bg_color_set == 'brand'
            || $bg_hover_color_set == 'brand'
        ) {
            $use_brand = true;
        }

        if ($icon_color_set == 'accent') {
            $icon_color = esc_attr( levelup_get_options( 'accent-color' ) );
        }

        if ($icon_hover_color_set == 'accent') {
            $icon_hover_color = esc_attr( levelup_get_options('accent-color') );
        }

        if ($bg_color_set == 'accent') {
            $bg_color = esc_attr( levelup_get_options('accent-color') );
        }

        if ($bg_hover_color_set == 'accent') {
            $bg_hover_color = esc_attr( levelup_get_options('accent-color') );
        }


        $size = absint($size);
        $icon_size = absint($icon_size);
        $padding_lr = absint($padding_lr);

        if ($style == 'simple') {
            $size = $icon_size;
        }

        if ($style == 'text') {
            $share_item_class = 'rdy_share-text ';
            if ( $text_list_style ) {
                $share_item_class .= ' list ';
            }
        } else {
            $share_item_class = 'rdy_share-item ';
        }


        if ($style != 'text') {
            $stylesheet_attr = '
                min-width: ' . $size . 'px;
                height: ' . $size . 'px;
                font-size: ' . $icon_size . 'px;
                line-height: ' . $size . 'px;
                color: ' . $icon_color . ';
            ';

            if ($margin) {
                $stylesheet_attr .= 'margin: 0 ' . $margin . 'px;';
            }

            if ($style != 'simple' && $border_size && $border_color) {
                $stylesheet_attr .= '
                    border-width: ' . $border_size . 'px;
                    border-color: ' . $border_color . ';
                    border-style: solid;
                ';
            }
        }

        if ($bg_color_set != 'brand' && ($style == 'square' || $style == 'rounded' || $style == 'circle')) {
            $stylesheet_attr .= '
                background: ' . $bg_color . ';
            ';
        }

        $stylesheet_hover = '';

        if ($bg_hover_color_set != 'brand' && ($style == 'square' || $style == 'rounded' || $style == 'circle')) {
            $stylesheet_hover = '
                background: ' . $bg_hover_color . ' !important;
            ';
        }


        if (!$use_brand) {
            $stylesheet_hover .= '
                background: ' . $bg_hover_color . '!important;
                border-color: ' . $bg_hover_color . '!important;
            ';
        }

        if ($icon_hover_color_set != 'brand') {
            $stylesheet_hover .= '
                color: ' . $icon_hover_color . '!important;
            ';
        }

        if ($use_brand) {
            $share_class = ' use-brand-color';

            if ($icon_color_set == 'brand') {
                $share_class .= ' brand-icon';
            } elseif ($icon_hover_color_set == 'brand') {
                $share_class .= ' brand-icon-h';
            }

            if ($bg_color_set == 'brand') {
                $share_class .= ' brand-bg';
            } elseif ($bg_hover_color_set == 'brand') {
                $share_class .= ' brand-bg-h';
            }
        }

        if ($style == 'square') {
            $border_radius_val = '0';
            if ($padding_lr) {
                $stylesheet_attr .= 'padding: 0 ' . $padding_lr . 'px;';
            }

        } elseif ($style == 'rounded') {
            $border_radius_val = $border_radius . 'px;';

        } elseif ($style == 'circle') {
            $border_radius_val = '50%';

        } else {
            $border_radius_val = $border_radius . 'px';
        }

        if ($border_radius_val) {
            $stylesheet_attr .= 'border-radius: ' . $border_radius_val . ';';
        }

        $output = '';
	    $social_order = levelup_get_options('social-media-order');

        if ($style == 'text') {
            $stylesheet_text = '';
            $stylesheet_text_list = array();
            $stylesheet_text_list_hover = array();

            if ($text_hover_underline) {
                $share_class .= ' use_ul_hover';

                if ($icon_hover_color_set == 'accent') {
                    $stylesheet_text_list_hover[] = 'border-bottom-color: ' . esc_attr( levelup_get_options('accent-color') ) . ' !important;';
                } elseif ($icon_hover_color_set == 'custom') {
                    $stylesheet_text_list_hover[] = 'border-bottom-color: ' . $icon_hover_color . ' !important;';
                }
            }
            if ($text_fontsize != '') {
                $stylesheet_text_list[] = 'font-size: ' . $text_fontsize . 'px;';
            }
            if ($font_weight != '') {
                $stylesheet_text_list[] = 'font-weight: ' . $font_weight . ';';
            }
            if ($margin != '') {
                if ( $text_list_style ) {
                    $stylesheet_text_list[] = 'margin: ' . $margin . 'px 0;';
                } else {
                    $stylesheet_text_list[] = 'margin: 0 ' . $margin . 'px;';
                }
            }
            if ($icon_color_set != 'brand' && $icon_color) {
                $stylesheet_text_list[] = 'color: ' . $icon_color . ';';
            }
            if ($icon_hover_color_set != 'brand' && $icon_hover_color) {
                $stylesheet_text_list_hover[] = 'color: ' . $icon_hover_color . ';';
            }
            if ($text_list_style) {
                $stylesheet_text_list[] = 'display: list-item;';
                $stylesheet_text_list[] = 'list-style: none;';
            }

            $stylesheet_text .= '
                .rdy_share-' . $style_id . ' .rdy_share-text {
                    ' . join(' ', $stylesheet_text_list) . '
                }
                .rdy_share-' . $style_id . ' .rdy_share-text:hover span {
                    ' . join(' ', $stylesheet_text_list_hover) . '
                }
            ';

	        $social_titles = levelup_get_social_icons_data();

	        if ( ! empty( $use_custom_links ) ) {
		        $values = (array) vc_param_group_parse_atts( $values );

		        foreach ( $values as $data ) {
			        if ( isset( $data['social'] ) && isset( $data['url'] ) ) {

				        if ( ! empty( $data['url'] ) ) {
					        $link = $data['url'];
					        if ( ! preg_match( '/^(https?\:\/\/|\/\/)/', $link ) ) {
						        $link = 'http://' . $link;
					        }
				        }

				        $output .= '<a target="_blank" class="' . $share_item_class . esc_attr( $data['social'] ) . '-hover" href="' . esc_url( $link ) . '"><span>' . esc_html( $social_titles[ $data['social'] ] ) . '</span></a>';
			        }
		        }

	        } else {
		        if ( isset( $social_order ) && is_array( $social_order ) ) {
			        foreach ( $social_order as $key => $value ) {
				        if ( empty( $value ) ) {
					        continue;
				        }

				        if ( isset( $social_titles[ $key ] ) && isset( $levelup_options[ $key . '-url' ] ) && trim( $levelup_options[ $key . '-url' ] ) != "" ) {
					        $output .= '<a target="_blank" class="' . $share_item_class . 'facebook-hover" href="' . esc_url( $levelup_options[ $key . '-url' ] ) . '"><span>' . esc_html($social_titles[$key]) . '</span></a>';
				        }
			        }
		        }
	        }

        } else {

	        if ( ! empty( $use_custom_links ) ) {
		        $values = (array) vc_param_group_parse_atts( $values );

		        foreach ( $values as $data ) {
			        if ( isset( $data['social'] ) && isset( $data['url'] ) ) {

				        if ( ! empty( $data['url'] ) ) {
					        $link = $data['url'];
					        if ( ! preg_match( '/^(https?\:\/\/|\/\/)/', $link ) ) {
						        $link = 'http://' . $link;
					        }
				        }

			            $output .= '<a target="_blank" class="' . $share_item_class . esc_attr( $data['social'] ) . '-hover" href="' . esc_attr( $link ) . '"><i class="fa fa-' . esc_attr( $data['social'] ) . '"></i></a>';
			        }
		        }

	        } else {
		        if ( isset( $social_order ) && is_array( $social_order ) ) {
			        foreach ( $social_order as $key => $value ) {
				        if ( empty( $value ) ) {
					        continue;
				        }

				        if ( ( isset( $levelup_options[ $key . '-url' ] ) ) && ( trim( $levelup_options[ $key . '-url' ] ) != "" ) ) {
					        $output .= '<a target="_blank" class="' . $share_item_class . $key . '-hover" href="' . esc_url( $levelup_options[ $key . '-url' ] ) . '"><i class="fa fa-' . $key . '"></i></a>';
				        }
			        }
		        }
	        }

        }

        $expant_style_css = '';
        $animation_classes = $animation_data = $animation_styles = '';
        if ($css_animation) {
            $animation_classes = ' ' . ($css_animation ? ' animate-element' : '');
            $animation_data = ' data-animation-class="' . $css_animation . '"';
        }

        if ($animation_delay != "") {
            $animation_styles = " transition-delay:" . $animation_delay . "ms; -webkit-animation-delay:" . $animation_delay . "ms; animation-delay:" . $animation_delay . "ms;";
        }

	    if ( $el_class ) {
		    $share_class .= ' ' . esc_attr( $el_class );
	    }

        $html = '<div class="rdy_share rdy_share-' . $style_id . ' rdy_share-' . $style . ' social-align-' . $align . $share_class . $animation_classes . '"' . $animation_data . ' ' . ($animation_styles ? ' style="' . $animation_styles . '"' : '') . '>
                    ' . $output . '
                </div>';

        if ($style != 'text') {
            $stylesheet .= '
                .rdy_share-' . $style_id . ' .rdy_share-item {
                    ' . $stylesheet_attr . '
                }

                .rdy_share-' . $style_id . ' .rdy_share-item:hover {
                    ' . $stylesheet_hover . '
                }

                ' . $expant_style_css;
        } else {
            $stylesheet = $stylesheet_text;
        }

        Levelup_Styles::addCSS($stylesheet, $style_id);
        
        return $html;
    }
}


//***********************************************************************
// Social Networks
//***********************************************************************

vc_map(array(
    "name" => esc_html__("Social Networks", 'LEVELUP'),
    "base" => "rdy_social_networks",
    'icon' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/social-network.png",
    'description' => esc_html__( 'Adds social network icons.', 'LEVELUP' ),
    "category" => 'by '.'LEVELUP',
    "params" => array(

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Display Style", 'LEVELUP'),
            "param_name" => "style",
            'options' => array(
                'simple' => array(
                    'title' => 'Icons Only',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_social_networks/type_01.png",
                ),
                'square' => array(
                    'title' => 'Square',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_social_networks/type_02.png",
                ),
                'rounded' => array(
                    'title' => 'Rounded',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_social_networks/type_03.png",
                ),
                'circle' => array(
                    'title' => 'Circle',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_social_networks/type_04.png",
                ),
                'text' => array(
                    'title' => 'Text',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_social_networks/type_05.png",
                ),
            ),
            'description' => esc_html__('Select Social Networks display style.', 'LEVELUP'),
            'admin_label' => true,
            'std' => 'simple'
        ),


        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__( "List Type?", 'LEVELUP' ),
            "value" => array(
                "Yes." => "true"
            ),
            'description' => esc_html__('If checked, Social Networks will be displayed as a List.', 'LEVELUP'),
            "param_name" => "text_list_style",
            'dependency' => array( 'element' => 'style', 'value' => array( 'text' ) )
        ),



        array(
            "type" => "textfield",
            "heading" => esc_html__("Icon Size", 'LEVELUP'),
            "param_name" => "icon_size",
            "value" => "20",
            "description" => esc_html__( "Enter Icon Size in pixels. Eg. 30 Default 20.", 'LEVELUP' ),
            'dependency' => array( 'element' => 'style', 'value' => array('simple', 'square', 'rounded', 'circle' ) )
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Outline Size", 'LEVELUP'),
            "param_name" => "size",
            "value" => "40",
            'dependency' => array( 'element' => 'style', 'value' => array( 'square', 'rounded', 'circle' ) ),
            "description" => esc_html__( "Enter Outline Size in pixels. Eg. 60", 'LEVELUP' ),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Border Thickness", 'LEVELUP'),
            "param_name" => "border_size",
            "description" => esc_html__( "Enter Border Thickness in pixels. Eg. 2", 'LEVELUP' ),
            "value" => "1",
            'dependency' => array( 'element' => 'style', 'value' => array( 'square', 'rounded', 'circle' ) ),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
        ),

        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Border Color", 'LEVELUP'),
            "param_name" => "border_color",
            "value" => "#ccc",
            "description" => esc_html__("(default: #ccc)", 'LEVELUP'),
            'dependency' => array( 'element' => 'style', 'value' => array( 'square', 'rounded', 'circle' ) ),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Padding (Left-Right)", 'LEVELUP'),
            "param_name" => "padding_lr",
            "value" => "",
            "description" => esc_html__( "Enter padding value inside the block in pixels. Eg. 30.", 'LEVELUP' ),
            'dependency' => array( 'element' => 'style', 'value' => array( 'square' ) )
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Gap", 'LEVELUP'),
            "param_name" => "margin",
            "value" => "5",
            "description" => esc_html__("The distance between icons. This gap will be applied to all directions. Enter a value in px. Eg. 30.", 'LEVELUP'),
            'dependency' => array( 'element' => 'style', 'value' => array( 'simple', 'square', 'rounded', 'circle', 'text' ) )
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Border Radius", 'LEVELUP'),
            "param_name" => "border_radius",
            "description" => esc_html__( "Enter Border Radius in pixels. Eg. 6", 'LEVELUP' ),
            "value" => "10",
            'dependency' => array( 'element' => 'style', 'value' => array('rounded'))
        ),


        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Color Settings', 'LEVELUP'),
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-12',
            'group' => esc_html__('Color Settings', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Icons/Text Color", 'LEVELUP'),
            "param_name" => "icon_color_set",
            "value" => array(
                esc_html__( "Custom", 'LEVELUP' ) => "custom",
                esc_html__( "Accent", 'LEVELUP' ) => "accent",
                esc_html__( "Brand", 'LEVELUP' ) => "brand",
            ),
            'dependency' => array( 'element' => 'style', 'value' => array( 'simple', 'square', 'rounded', 'circle', 'text', ) ),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
            'group' => esc_html__('Color Settings', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Icons/Text Color", 'LEVELUP'),
            "param_name" => "icon_color",
            "value" => "#ccc",
            "description" => esc_html__("(default: #ccc)", 'LEVELUP'),
            'dependency' => array( 'element' => 'icon_color_set', 'value' => array( 'custom', ) ),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
            'group' => esc_html__('Color Settings', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Icons/Text Hover Color", 'LEVELUP'),
            "param_name" => "icon_hover_color_set",
            "value" => array(
                esc_html__( "Custom", 'LEVELUP' ) => "custom",
                esc_html__( "Accent", 'LEVELUP' ) => "accent",
                esc_html__( "Brand", 'LEVELUP' ) => "brand",
            ),
            'dependency' => array( 'element' => 'style', 'value' => array( 'simple', 'square', 'rounded', 'circle', 'text', ) ),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
            'group' => esc_html__('Color Settings', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Icons/Text Hover Color", 'LEVELUP'),
            "param_name" => "icon_hover_color",
            "value" => "#333",
            "description" => esc_html__("(default: #333)", 'LEVELUP'),
            'dependency' => array( 'element' => 'icon_hover_color_set', 'value' => array( 'custom', ) ),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
            'group' => esc_html__('Color Settings', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Background Color", 'LEVELUP'),
            "param_name" => "bg_color_set",
            "value" => array(
                esc_html__( "Custom", 'LEVELUP' ) => "custom",
                esc_html__( "Accent", 'LEVELUP' ) => "accent",
                esc_html__( "Brand", 'LEVELUP' ) => "brand",
            ),
            'dependency' => array( 'element' => 'style', 'value' => array( 'square', 'rounded', 'circle', ) ),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
            'group' => esc_html__('Color Settings', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Custom Color", 'LEVELUP'),
            "param_name" => "bg_color",
            "value" => "",
            "description" => esc_html__("(default: transparent)", 'LEVELUP'),
            'dependency' => array( 'element' => 'bg_color_set', 'value' => array( 'custom', ) ),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
            'group' => esc_html__('Color Settings', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Background Hover Color", 'LEVELUP'),
            "param_name" => "bg_hover_color_set",
            "value" => array(
                esc_html__( "Custom", 'LEVELUP' ) => "custom",
                esc_html__( "Accent", 'LEVELUP' ) => "accent",
                esc_html__( "Brand", 'LEVELUP' ) => "brand",
            ),
            'dependency' => array( 'element' => 'style', 'value' => array( 'square', 'rounded', 'circle', ) ),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
            'group' => esc_html__('Color Settings', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Background Hover Color", 'LEVELUP'),
            "param_name" => "bg_hover_color",
            "value" => "",
            "description" => esc_html__("(default: #232323)", 'LEVELUP'),
            'dependency' => array( 'element' => 'bg_hover_color_set', 'value' => array( 'custom', )),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
            'group' => esc_html__('Color Settings', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting_007',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'dependency' => array( 'element' => 'style', 'value' => array( 'text' ) ),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Font Size", 'LEVELUP'),
            "param_name" => "text_fontsize",
            "value" => "14",
            "description" => esc_html__("Enter the font size for the titles of social networks. Eg. 18. Default 14.", 'LEVELUP'),
            'dependency' => array( 'element' => 'style', 'value' => array( 'text' ) ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Font weight", 'LEVELUP' ),
            "param_name" => "font_weight",
            "value" => $font_weight_array,
            "description" => "",
            'dependency' => array( 'element' => 'style', 'value' => array( 'text' ) ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Underline on Hover?", 'LEVELUP'),
            "value" => array(
                "Yes." => "true"
            ),
            "param_name" => "text_hover_underline",
            "description" => esc_html__("If checked, social network names will be underlined when hovering.", 'LEVELUP'),
            'dependency' => array( 'element' => 'style', 'value' => array( 'text' ) ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Alignment", 'LEVELUP'),
            "param_name" => "align",
            "width" => 150,
            "value" => array(
                esc_html__('Left', 'LEVELUP') => "left",
                esc_html__('Center', 'LEVELUP') => "center",
                esc_html__('Right', 'LEVELUP') => "right",
            ),
            "description" => esc_html__("Select Alignment.", 'LEVELUP'),
            'dependency' => array( 'element' => 'style', 'value' => array('simple', 'square', 'rounded', 'circle', 'text' ) )
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__( "CSS Animation", 'LEVELUP' ),
            "param_name" => "css_animation",
            "admin_label" => true,
            "value" => levelup_get_vc_animation_options(),
            'description' => esc_html__('Select type of animation for element to be animated when it "enters" the browsers viewport or you can specify delay (Note: works only in modern browsers).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__( "Animation delay", 'LEVELUP' ),
            "param_name" => "animation_delay",
            "admin_label" => true,
            "value" => "",
            'description' => esc_html__('Specify the delay in milliseconds when animation start.', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

	    array(
		    "type" => "checkbox",
		    "class" => "",
		    "heading" => esc_html__( "Custom Social Icons?", 'LEVELUP' ),
		    "value" => array(
			    "Yes." => "true"
		    ),
		    'description' => esc_html__('Using this setting you may choose custom social networks for displaying on the page. Social networks global settings from the theme settings are applied by default.', 'LEVELUP'),
		    "param_name" => "use_custom_links",
            'group' => esc_html__('Custom Social Icons', 'LEVELUP'),
	    ),

	    array(
		    'type' => 'param_group',
		    'heading' => __( 'Custom Social Icons', 'LEVELUP' ),
		    'param_name' => 'values',
		    'description' => __( 'In the given form you may choose the necessary social network, having indicated custom URL for it, as well as to set up consistency if you have several social networks chosen.', 'LEVELUP' ),
		    'dependency' => array( 'element' => 'use_custom_links', 'not_empty' => true ),
            'group' => esc_html__('Custom Social Icons', 'LEVELUP'),
		    'value' => urlencode( json_encode( array(
			    array(
				    'social' => 'facebook',
			    ),
		    ) ) ),
		    'params' => array(
                array(
                    'type' => 'dropdown',
                    'heading' => __( 'Social Network', 'LEVELUP' ),
                    'param_name' => 'social',
                    'value' => array_flip(levelup_get_social_icons_data()),
                    'description' => __( 'Select a social network.', 'LEVELUP' ),
                    'admin_label' => true,
                    'param_holder_class' => 'vc_colored-dropdown',
                ),
			    array(
				    'type' => 'textfield',
				    'heading' => __( 'Url', 'LEVELUP' ),
				    'param_name' => 'url',
				    'description' => __( 'Specify URL.', 'LEVELUP' ),
				    'admin_label' => true,
			    ),

		    ),
	    ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

	    array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name", 'LEVELUP'),
            "param_name" => "el_class",
            "value" => "",
            "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", 'LEVELUP')
        )
    )
));

