<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

class WPBakeryShortCode_Rdy_Social_Share extends WPBakeryShortCode {

    protected function content( $atts, $content = null ) {
        $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
        extract( $atts );

        $align = esc_attr( $align );

        $html = levelup_display_share_buttons('post', array('echo' => false, 'class' => 'rdy_social_share align-' . $align . ($vertical ? ' vertical' : '') . ($use_brand_color ? ' use-brand-color' : '')));

        return $html;
    }
}


//***********************************************************************
// Social Share
//***********************************************************************

vc_map(array(
    "name" => esc_html__("Social Share", 'LEVELUP'),
    "base" => "rdy_social_share",
    'icon' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/share.png",
    'description' => esc_html__( 'Adds social share icons.', 'LEVELUP' ),
    "category" => 'by '.'LEVELUP',
    "params" => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Alignment", 'LEVELUP'),
            "param_name" => "align",
            "value" => array(
                esc_html__("Left", 'LEVELUP') => "left",
                esc_html__("Center", 'LEVELUP') => "center",
                esc_html__("Right", 'LEVELUP') => "right",
            ),
            "description" => esc_html__("Select Alignment.", 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Use Brand Color for Bottom Layer?", 'LEVELUP'),
            "value" => array(
                "Yes." => "true"
            ),
            "param_name" => "use_brand_color",
            "description" => esc_html__("If checked, the bottom layer under the Social Icon will be Brand Color.", 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Vertical Orientation?", 'LEVELUP'),
            "value" => array(
                "Yes." => "true"
            ),
            "param_name" => "vertical",
            "description" => esc_html__("If checked, the social icon will be vertical.", 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        )
    )
));
