<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

class WPBakeryShortCode_Rdy_Video_Lightbox extends WPBakeryShortCode
{

    protected function content($atts, $content = null)
    {
        wp_enqueue_script('magnific_popup');
        wp_enqueue_style( 'magnific_popup');

	    $layout = $shadow = $animation1 = $animation2 = $shadow_on_hover = $animation3_icon = $video_url = $title = $subtitle =  '';
	    $title_fontsize = $subtitle_fontsize = $title_fontweight = $subtitle_fontweight = $button_size = $button_play_size = $align = $text_color_style = $color_style = $button_color = '';
	    $responsive_align = '';

        $atts = vc_map_get_attributes($this->getShortcode(), $atts);
        extract($atts);

	    $buttom_classes = array();
        $align       = esc_attr( $align );
        $color_style = esc_attr( $color_style );

	    $style_id = Levelup_Styles::shortcode_id();


	    if ( $el_class != "" ) {
		    $buttom_classes[] .= esc_attr( $el_class );
	    }

	    $buttom_classes[] = ( $layout ? $layout : ' layout0' );
	    $buttom_classes[] = ( $button_size ? 'size-' . $button_size : '' );
	    $buttom_classes[] = ( $button_play_size ? 'size-play-' . $button_play_size : '' );
	    $buttom_classes[] = ( $color_style && $color_style != 'custom' ? 'color-' . $color_style : '' );
	    $buttom_classes[] = ( $text_color_style ? 'text-color-' . $text_color_style : '' );
	    $buttom_classes[] = ( $shadow_on_hover ? 'hover-shadow' : '' );
	    $buttom_classes[] = ( $shadow ? $shadow : '' );
//	    $buttom_classes[] = ( $layout == 'layout1' ? $animation1 ? $animation1 : 'animation1' : '' );
//	    $buttom_classes[] = ( $layout == 'layout2' ? $animation2 ? $animation2 : 'animation1' : '' );
	    $buttom_classes[] = ( ( $layout == 'layout3' || $layout == '' ) && $animation3_icon ? 'animate-icon' : '' );
	    $buttom_classes[] = ( $responsive_align ? ' r-align-' . $responsive_align : '' );


	    $buttom_classes = implode( ' ', $buttom_classes );

	    $output = '<div class="rdy-video-lightbox-container' . ( $align ? ' align-' . esc_attr( $align ) : '' ) . '"><a href="' . esc_url( $video_url ) . '" class="play_button play-button-' . $style_id . ' rdy-video-lightbox ' . esc_attr( $buttom_classes ) . '"><span class="play">';

	    if($layout == 'layout2' || $layout == 'layout2a'){
		    $output .= '<svg version="1.1" id="Layer_1" class="play_icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				 width="80.09px" height="80.089px" viewBox="0 0 80.09 80.089" enable-background="new 0 0 80.09 80.089" xml:space="preserve">
			<path class="play_icon" fill="#010101" d="M34.833,51.753c-0.357,0-0.715-0.091-1.037-0.274c-0.659-0.374-1.066-1.073-1.066-1.831V28.192
				c0-0.758,0.407-1.458,1.066-1.832c0.659-0.373,1.469-0.362,2.119,0.027l17.883,10.729c0.633,0.379,1.021,1.064,1.021,1.803
				s-0.389,1.423-1.021,1.803L35.915,51.451C35.582,51.653,35.207,51.753,34.833,51.753z"/>
			</svg>';

	    } elseif($layout == 'layout3') {
		    $output .= '<svg version="1.1" id="Layer_1" class="play_icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				 width="80.09px" height="80.089px" viewBox="0 0 80.09 80.089" enable-background="new 0 0 80.09 80.089" xml:space="preserve">
			<path class="play_icon" fill="#FFFFFF" d="M34.833,51.753c-0.357,0-0.715-0.091-1.037-0.274c-0.659-0.374-1.066-1.073-1.066-1.831V28.192
				c0-0.758,0.407-1.458,1.066-1.832c0.659-0.373,1.469-0.362,2.119,0.027l17.883,10.729c0.633,0.379,1.021,1.064,1.021,1.803
				s-0.389,1.423-1.021,1.803L35.915,51.451C35.582,51.653,35.207,51.753,34.833,51.753z"/>
			</svg>';

	    } elseif($layout == 'layout1' || $layout == 'layout1a') {
		    $output .= '<svg version="1.1" id="Layer_1" class="play_icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				 width="80.09px" height="80.089px" viewBox="0 0 80 80" enable-background="new 0 0 80 80" xml:space="preserve">
			<path fill="#010101" d="M34.833,51.753c-0.357,0-0.715-0.091-1.037-0.274c-0.659-0.374-1.066-1.073-1.066-1.831V28.192
				c0-0.758,0.407-1.458,1.066-1.832c0.659-0.373,1.469-0.362,2.119,0.027l17.883,10.729c0.633,0.379,1.021,1.064,1.021,1.803
				s-0.389,1.423-1.021,1.803L35.915,51.451C35.582,51.653,35.207,51.753,34.833,51.753z M36.937,31.907v14.027l11.69-7.014
				L36.937,31.907z"/>
			</svg>
			<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				 width="80.09px" height="80.089px" viewBox="0 0 80 80" enable-background="new 0 0 80 80" xml:space="preserve">
				<circle class="circle1" cx="40" cy="40" r="38"></circle>
				<circle class="circle1 circle2" cx="40" cy="40" r="38"></circle>
			</svg>';

	    } else {
		    $output .= '<svg version="1.1" id="Layer_1" class="play_icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="40px" y="40px"
				 width="80.09px" height="80.089px" viewBox="0 0 80.09 80.089" enable-background="new 0 0 80.09 80.089" xml:space="preserve">
			<path class="play_icon" fill="#010101" d="M34.833,51.753c-0.357,0-0.715-0.091-1.037-0.274c-0.659-0.374-1.066-1.073-1.066-1.831V28.192
				c0-0.758,0.407-1.458,1.066-1.832c0.659-0.373,1.469-0.362,2.119,0.027l17.883,10.729c0.633,0.379,1.021,1.064,1.021,1.803
				s-0.389,1.423-1.021,1.803L35.915,51.451C35.582,51.653,35.207,51.753,34.833,51.753z"/>
			</svg>';
	    }

	    $output .= '</span>';

	    if ( ! empty( $title_fontsize ) || ! empty( $subtitle_fontsize ) ) {
		    $output .= '<span class="text">';

		    $title_style = array();
		    $subtitle_style = array();

		    if ( ! empty( $title ) ) {

			    if ( ! empty( $title_fontsize ) ) {
				    $title_style[] = 'font-size: ' . esc_attr( $title_fontsize ) . 'px';
			    }
			    if ( ! empty( $title_fontweight ) ) {
				    $title_style[] = 'font-weight: ' . esc_attr( $title_fontweight );
			    }
			    if ( ! empty( $title ) && ! empty( $subtitle ) && ! empty( $title_spacing ) ) {
				    $title_style[] = 'margin-bottom: ' . esc_attr( $title_spacing ) . 'px';
			    }

			    $output .= '<p' . ( $title_style ? ' style="' . implode(';', $title_style) . '"' : '' ) . '>' . $title . '</p>';
		    }

		    if ( ! empty( $subtitle ) ) {

			    if ( ! empty( $subtitle_fontsize ) ) {
				    $subtitle_style[] = 'font-size: ' . esc_attr( $subtitle_fontsize ) . 'px';
			    }
			    if ( ! empty( $subtitle_fontweight ) ) {
				    $subtitle_style[] = 'font-weight: ' . esc_attr( $subtitle_fontweight );
			    }

			    $output .= '<p' . ( $title_style ? ' style="' . implode(';', $subtitle_style) . '"' : '' ) . '>' . $subtitle . '</p>';
		    }

		    $output .= '</span>';
	    }

	    $output .= '</a></div>';


	    $stylesheet = '';

	    if ( $color_style == 'custom' && $button_color ) {
		    if ( $layout == '' || $layout == 'layout2' || $layout == 'layout1' || $layout == 'layout2a' || $layout == 'layout1a' ) {
			    $stylesheet .= '
		            .play-button-' . $style_id . ' .play:before,
		            .play-button-' . $style_id . ' .play:after {
		               border-color: ' . esc_attr( $button_color ) . ' !important;
		            }
		            .play-button-' . $style_id . ' .play svg path {
		               fill: ' . esc_attr( $button_color ) . ' !important;
		            }
		            .play-button-' . $style_id . ' .play .circle1 {
		               stroke: ' . esc_attr( $button_color ) . ';
		            }
		        ';

			    if ( $layout == 'layout1a' ) {
				    $stylesheet .= '
			            .play-button-' . $style_id . ' .play:after {
			               background: ' . esc_attr( $button_color ) . ' !important;
			            }
			        ';
			    }

		    } elseif ( $layout == 'layout3' ) {
			    $stylesheet .= '
		            .play-button-' . $style_id . ' .play:before {
		               background: ' . esc_attr( $button_color ) . ' !important;
		            }
		        ';
		    }
	    }

	    if ( $stylesheet ) {
		    Levelup_Styles::addCSS( $stylesheet, $style_id );
	    }

        return $output;

    }
}


//***********************************************************************
// Gmaps
//***********************************************************************

vc_map(array(
    "name" => esc_html__("Video Lightbox Button", 'LEVELUP'),
    "base" => "rdy_video_lightbox",
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/video-button.png",
    "class" => "",
    "category" => 'by ' . 'LEVELUP',
    "params" => array(

	    array (
		    "type" => "rdy_img_set",
		    "class" => "",
		    "heading" => esc_html__("Button Type", 'LEVELUP'),
		    "param_name" => "layout",
		    'options' => array(
			    '' => array(
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_video/vbutton_00.png",
			    ),
			    'layout1' => array(
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_video/vbutton_01.png",
			    ),
			    'layout1a' => array(
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_video/vbutton_01a.png",
			    ),
			    'layout2' => array(
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_video/vbutton_02.png",
			    ),
			    'layout2a' => array(
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_video/vbutton_02a.png",
			    ),
			    'layout3' => array(
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_video/vbutton_03.png",
			    ),
		    ),
		    "std" => "",
		    'description' => esc_html__('Select display style.', 'LEVELUP'),
	    ),

	    array(
		    'type' => 'rdy_param_heading',
		    'param_name' => 'btn-lbutton-01',
		    'text' => '',
		    'description' => '',
		    'value' => '',
		    'class' => '',
		    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
	    ),

	    array(
		    'type' => 'dropdown',
		    'heading' => esc_html__( 'Button Size', 'LEVELUP' ),
		    'param_name' => 'button_size',
		    'value' => array(
				    esc_html__( 'Small', 'LEVELUP' ) => 'small',
				    esc_html__( 'Middle', 'LEVELUP' ) => 'middle',
				    esc_html__( 'Large', 'LEVELUP' ) => 'large',
		    ),
		    'std' => 'middle',
		    'description' => esc_html__( 'Select button size.', 'LEVELUP' ),
		    'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-6',
	    ),

	    array(
		    'type' => 'dropdown',
		    'heading' => esc_html__( 'Button Position', 'LEVELUP' ),
		    'param_name' => 'align',
		    'value' => array(
				    esc_html__( 'Center', 'LEVELUP' ) => 'center',
				    esc_html__( 'Left', 'LEVELUP' ) => 'left',
				    esc_html__( 'Right', 'LEVELUP' ) => 'right',
		    ),
		    'description' => esc_html__( 'Select the button position on column.', 'LEVELUP' ),
		    'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-6',
	    ),

	    array(
			    'type' => 'dropdown',
			    'heading' => esc_html__( 'Icon "Play" Size', 'LEVELUP' ),
			    'param_name' => 'button_play_size',
			    'value' => array(
					    esc_html__( '40%', 'LEVELUP' ) => '40',
					    esc_html__( '50%', 'LEVELUP' ) => '50',
					    esc_html__( '60%', 'LEVELUP' ) => '60',
					    esc_html__( '70%', 'LEVELUP' ) => '70',
					    esc_html__( '80%', 'LEVELUP' ) => '80',
					    esc_html__( '90%', 'LEVELUP' ) => '90',
					    esc_html__( '100%', 'LEVELUP' ) => '100',
			    ),
			    'std' => '100',
			    'description' => esc_html__( 'Select the icon "Play" size.', 'LEVELUP' ),
			    'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-6',
	    ),

	    array(
		    'type' => 'checkbox',
		    'heading' => esc_html__( 'Icon "Play" Scalable?', 'LEVELUP' ),
		    'param_name' => 'animation3_icon',
		    'value' => array(
			    esc_html__( 'Yes', 'LEVELUP' ) => 'true',
		    ),
		    'description' => esc_html__( 'Use this setting in order to make the icon "Play" scalable on hover.', 'LEVELUP' ),
		    'dependency' => array( 'element' => 'layout', 'value' => array('', 'layout3') ),
		    'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-6',
	    ),

	    array(
		    'type' => 'rdy_param_heading',
		    'param_name' => 'btn-lbutton-01',
		    'text' => '',
		    'description' => '',
		    'value' => '',
		    'class' => '',
		    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
	    ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Video URL", 'LEVELUP'),
            "param_name" => "video_url",
            "value" => "",
            "description" => esc_html__("Enter link to video. YouTube Video, Vimeo Video, Self-Hosted Video.", 'LEVELUP'),
        ),

	    array(
		    'type' => 'rdy_param_heading',
		    'param_name' => 'btn-lbutton-01',
		    'text' => '',
		    'description' => '',
		    'value' => '',
		    'class' => '',
		    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
	    ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Text: First Line", 'LEVELUP'),
            "param_name" => "title",
            "value" => "",
            "description" => esc_html__("Enter your content.", 'LEVELUP'),
	        'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-6',
        ),

	    array(
		    "type" => "dropdown",
		    "heading" => esc_html__("Font Size", 'LEVELUP'),
		    "param_name" => "title_fontsize",
		    "value" => array(
			    esc_html__( '- Select -', 'LEVELUP' ) => '',
			    esc_html__( '6px', 'LEVELUP' ) => '6',
			    esc_html__( '7px', 'LEVELUP' ) => '7',
			    esc_html__( '8px', 'LEVELUP' ) => '8',
			    esc_html__( '9px', 'LEVELUP' ) => '9',
			    esc_html__( '10px', 'LEVELUP' ) => '10',
			    esc_html__( '11px', 'LEVELUP' ) => '11',
			    esc_html__( '12px', 'LEVELUP' ) => '12',
			    esc_html__( '13px', 'LEVELUP' ) => '13',
			    esc_html__( '14px', 'LEVELUP' ) => '14',
			    esc_html__( '15px', 'LEVELUP' ) => '15',
			    esc_html__( '16px', 'LEVELUP' ) => '16',
			    esc_html__( '17px', 'LEVELUP' ) => '17',
			    esc_html__( '18px', 'LEVELUP' ) => '18',
			    esc_html__( '19px', 'LEVELUP' ) => '19',
			    esc_html__( '20px', 'LEVELUP' ) => '20',
			    esc_html__( '21px', 'LEVELUP' ) => '21',
			    esc_html__( '22px', 'LEVELUP' ) => '22',
			    esc_html__( '23px', 'LEVELUP' ) => '23',
			    esc_html__( '24px', 'LEVELUP' ) => '24',
			    esc_html__( '25px', 'LEVELUP' ) => '25',
			    esc_html__( '26px', 'LEVELUP' ) => '25',
			    esc_html__( '27px', 'LEVELUP' ) => '27',
			    esc_html__( '28px', 'LEVELUP' ) => '28',
			    esc_html__( '29px', 'LEVELUP' ) => '29',
			    esc_html__( '30px', 'LEVELUP' ) => '30',
		    ),
		    "description" => esc_html__("Select font size.", 'LEVELUP'),
		    'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-3',
		    'std' => '14',
	    ),

	    array(
		    "type" => "dropdown",
		    "class" => "",
		    "heading" => esc_html__( "Font Weight", 'LEVELUP' ),
		    "param_name" => "title_fontweight",
		    "value" => $font_weight_array,
		    'description' => esc_html__('Select Font weight.', 'LEVELUP'),
		    'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-3',
		    'std' => '700',
	    ),

	    array(
		    "type" => "dropdown",
		    "heading" => esc_html__("First Line Bottom Margin", 'LEVELUP'),
		    "param_name" => "title_spacing",
		    "value" => array(
				    esc_html__( '- Select -', 'LEVELUP' ) => '',
				    esc_html__( '1px', 'LEVELUP' ) => '1',
				    esc_html__( '2px', 'LEVELUP' ) => '2',
				    esc_html__( '3px', 'LEVELUP' ) => '3',
				    esc_html__( '4px', 'LEVELUP' ) => '4',
				    esc_html__( '5px', 'LEVELUP' ) => '5',
				    esc_html__( '6px', 'LEVELUP' ) => '6',
				    esc_html__( '7px', 'LEVELUP' ) => '7',
				    esc_html__( '8px', 'LEVELUP' ) => '8',
				    esc_html__( '9px', 'LEVELUP' ) => '9',
				    esc_html__( '10px', 'LEVELUP' ) => '10',
				    esc_html__( '11px', 'LEVELUP' ) => '11',
				    esc_html__( '12px', 'LEVELUP' ) => '12',
				    esc_html__( '13px', 'LEVELUP' ) => '13',
				    esc_html__( '14px', 'LEVELUP' ) => '14',
				    esc_html__( '15px', 'LEVELUP' ) => '15',
		    ),
		    "description" => esc_html__("Use this setting to set the bottom margin of the title. Specify a fixed bottom margin in px.", 'LEVELUP'),
	    ),

	    array(
		    'type' => 'rdy_param_heading',
		    'param_name' => 'btn-lbutton-01',
		    'text' => '',
		    'description' => '',
		    'value' => '',
		    'class' => '',
		    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
	    ),

	    array(
            "type" => "textfield",
            "heading" => esc_html__("Text: Second Line", 'LEVELUP'),
            "param_name" => "subtitle",
            "value" => "",
            "description" => esc_html__("Enter your content.", 'LEVELUP'),
		    'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-6',
        ),

	    array(
		    "type" => "dropdown",
		    "heading" => esc_html__("Font Size", 'LEVELUP'),
		    "param_name" => "subtitle_fontsize",
		    "value" => array(
			    esc_html__( '- Select -', 'LEVELUP' ) => '',
			    esc_html__( '6px', 'LEVELUP' ) => '6',
			    esc_html__( '7px', 'LEVELUP' ) => '7',
			    esc_html__( '8px', 'LEVELUP' ) => '8',
			    esc_html__( '9px', 'LEVELUP' ) => '9',
			    esc_html__( '10px', 'LEVELUP' ) => '10',
			    esc_html__( '11px', 'LEVELUP' ) => '11',
			    esc_html__( '12px', 'LEVELUP' ) => '12',
			    esc_html__( '13px', 'LEVELUP' ) => '13',
			    esc_html__( '14px', 'LEVELUP' ) => '14',
			    esc_html__( '15px', 'LEVELUP' ) => '15',
			    esc_html__( '16px', 'LEVELUP' ) => '16',
			    esc_html__( '17px', 'LEVELUP' ) => '17',
			    esc_html__( '18px', 'LEVELUP' ) => '18',
			    esc_html__( '19px', 'LEVELUP' ) => '19',
			    esc_html__( '20px', 'LEVELUP' ) => '20',
			    esc_html__( '21px', 'LEVELUP' ) => '21',
			    esc_html__( '22px', 'LEVELUP' ) => '22',
			    esc_html__( '23px', 'LEVELUP' ) => '23',
			    esc_html__( '24px', 'LEVELUP' ) => '24',
			    esc_html__( '25px', 'LEVELUP' ) => '25',
			    esc_html__( '26px', 'LEVELUP' ) => '25',
			    esc_html__( '27px', 'LEVELUP' ) => '27',
			    esc_html__( '28px', 'LEVELUP' ) => '28',
			    esc_html__( '29px', 'LEVELUP' ) => '29',
			    esc_html__( '30px', 'LEVELUP' ) => '30',
		    ),
		    "description" => esc_html__("Enter font size in pixels.", 'LEVELUP'),
		    'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-3',
		    'std' => '12',
	    ),

	    array(
		    "type" => "dropdown",
		    "class" => "",
		    "heading" => esc_html__( "Font Weight", 'LEVELUP' ),
		    "param_name" => "subtitle_fontweight",
		    "value" => $font_weight_array,
		    'description' => esc_html__('Select Font weight.', 'LEVELUP'),
		    'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-3',
	    ),

	    array(
		    'type' => 'rdy_param_heading',
		    'param_name' => 'btn-lbutton-01',
		    'text' => '',
		    'description' => '',
		    'value' => '',
		    'class' => '',
		    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
	    ),

	    array(
		    'type' => 'dropdown',
		    'heading' => esc_html__( 'Button Color Scheme', 'LEVELUP' ),
		    'param_name' => 'color_style',
		    'value' => array(
				    esc_html__( 'Dark', 'LEVELUP' ) => 'dark',
				    esc_html__( 'Light', 'LEVELUP' ) => 'light',
				    esc_html__( 'Custom', 'LEVELUP' ) => 'custom',
		    ),
		    'description' => esc_html__( 'Select a color scheme for the button.', 'LEVELUP' ),
		    'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-6',
	    ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Text Color Scheme', 'LEVELUP' ),
            'param_name' => 'text_color_style',
            'value' => array(
                esc_html__( 'Dark', 'LEVELUP' ) => 'dark',
                esc_html__( 'Light', 'LEVELUP' ) => 'light',
            ),
            'description' => esc_html__( 'Select a color scheme for the text.', 'LEVELUP' ),
	        'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-6',
        ),

	    array(
			    "type" => "colorpicker",
			    "class" => "",
			    "heading" => esc_html__("Button Color", 'LEVELUP'),
			    "param_name" => "button_color",
			    "value" => "Select Text color in the Column.",
			    "description" => esc_html__( "Select button color.", 'LEVELUP' ),
			    'dependency' => array( 'element' => 'color_style', 'value' => 'custom' ),
			    'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-6',
	    ),

	    array(
		    'type' => 'dropdown',
		    'heading' => esc_html__( 'Shadow', 'LEVELUP' ),
		    'param_name' => 'shadow',
		    'value' => array(
				    esc_html__( 'Disable', 'LEVELUP' ) => '',
				    esc_html__( 'Shadow1', 'LEVELUP' ) => 'shadow1',
				    esc_html__( 'Shadow2', 'LEVELUP' ) => 'shadow2',
				    esc_html__( 'Shadow3', 'LEVELUP' ) => 'shadow3',
				    esc_html__( 'Shadow4', 'LEVELUP' ) => 'shadow4',
				    esc_html__( 'Shadow5', 'LEVELUP' ) => 'shadow5',
		    ),
		    'description' => esc_html__( 'Select pre-made shadow style for button.', 'LEVELUP' ),
		    'dependency' => array( 'element' => 'layout', 'value' => 'layout3' ),
		    'group' => __('Shadow', 'LEVELUP'),
	    ),

	    array(
		    'type' => 'checkbox',
		    'heading' => esc_html__( 'Shadow on Hover?', 'LEVELUP' ),
		    'param_name' => 'shadow_on_hover',
		    'value' => array(
				    esc_html__( 'Yes', 'LEVELUP' ) => 'true',
		    ),
		    'description' => esc_html__( 'If checked, shadow will be shown on hover.', 'LEVELUP' ),
		    'dependency' => array( 'element' => 'shadow', 'not_empty' => true ),
		    'group' => __('Shadow', 'LEVELUP'),
	    ),

	    array(
		    'type' => 'dropdown',
		    'heading' => esc_html__( 'First & Second Text Line Alignment on Phone View', 'LEVELUP' ),
		    'param_name' => 'responsive_align',
		    'value' => array(
			    esc_html__( '- Select -', 'LEVELUP' ) => '',
			    esc_html__( 'Left', 'LEVELUP' ) => 'left',
			    esc_html__( 'Center', 'LEVELUP' ) => 'center',
			    esc_html__( 'Right', 'LEVELUP' ) => 'right',
		    ),
		    'description' => esc_html__( 'Use this setting if you want to change the alignment of text when displayed on a phone screen.', 'LEVELUP' ),
		    'group' => __('Responsive', 'LEVELUP'),
	    ),

	    array(
		    'type' => 'rdy_param_heading',
		    'param_name' => 'btn1_icon_setting',
		    'text' => '',
		    'description' => '',
		    'value' => '',
		    'class' => '',
		    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
	    ),

	    array(
		    'type' => 'textfield',
		    'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
		    'param_name' => 'el_class',
		    'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'LEVELUP' )
	    ),
    )
));