<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}


class Levelup_Shortcodes_Animation {
    static $animation_options = array(
        'none' => '',
        'fadeInUpShort' => 'fadeInUp2',
        'fadeInLeftShort' => 'fadeInLeft2',
        'fadeInRightShort' => 'fadeInRight2',

        'bounce' => 'bounce',
        'flash' => 'flash',
        'pulse' => 'pulse',
        'rubberBand' => 'rubberBand',
        'shake' => 'shake',
        'swing' => 'swing',
        'tada' => 'tada',
        'wobble' => 'wobble',
        'bounceIn' => 'bounceIn',
        'bounceInDown' => 'bounceInDown',
        'bounceInLeft' => 'bounceInLeft',
        'bounceInRight' => 'bounceInRight',
        'bounceInUp' => 'bounceInUp',
        'fadeIn' => 'fadeIn',
        'fadeInDown' => 'fadeInDown',
        'fadeInDownBig' => 'fadeInDownBig',
        'fadeInLeft' => 'fadeInLeft',
        'fadeInLeftBig' => 'fadeInLeftBig',
        'fadeInRight' => 'fadeInRight',
        'fadeInRightBig' => 'fadeInRightBig',
        'fadeInUp' => 'fadeInUp',
        'fadeInUpBig' => 'fadeInUpBig',
        'flipInX' => 'flipInX',
        'flipInY' => 'flipInY',
        'lightspeedIn' => 'lightspeedIn',
        'rotateIn' => 'rotateIn',
        'rotateInDownLeft' => 'rotateInDownLeft',
        'rotateInDownRight' => 'rotateInDownRight',
        'rotateInUpLeft' => 'rotateInUpLeft',
        'rotateInUpRight' => 'rotateInUpRight',
        'rollIn' => 'rollIn',
        'zoomIn' => 'zoomIn',
        'zoomInDown' => 'zoomInDown',
        'zoomInLeft' => 'zoomInLeft',
        'zoomInRight' => 'zoomInRight',
        'zoomInUp' => 'zoomInUp',
    );
/*
    static $vanimation_options = array (
        'callout.bounce',
        'callout.shake',
        'callout.flash',
        'callout.pulse',
        'callout.swing',
        'callout.tada',
        'transition.fadeIn',
        'transition.fadeOut',
        'transition.flipXIn',
        'transition.flipXOut',
        'transition.flipYIn',
        'transition.flipYOut',
        'transition.flipBounceXIn',
        'transition.flipBounceXOut',
        'transition.flipBounceYIn',
        'transition.flipBounceYOut',
        'transition.swoopIn',
        'transition.swoopOut',
        'transition.whirlIn',
        'transition.whirlOut',
        'transition.shrinkIn',
        'transition.shrinkOut',
        'transition.expandIn',
        'transition.expandOut',
        'transition.bounceIn',
        'transition.bounceOut',
        'transition.bounceUpIn',
        'transition.bounceUpOut',
        'transition.bounceDownIn',
        'transition.bounceDownOut',
        'transition.bounceLeftIn',
        'transition.bounceLeftOut',
        'transition.bounceRightIn',
        'transition.bounceRightOut',
        'transition.slideUpIn',
        'transition.slideUpOut',
        'transition.slideDownIn',
        'transition.slideDownOut',
        'transition.slideLeftIn',
        'transition.slideLeftOut',
        'transition.slideRightIn',
        'transition.slideRightOut',
        'transition.slideUpBigIn',
        'transition.slideUpBigOut',
        'transition.slideDownBigIn',
        'transition.slideDownBigOut',
        'transition.slideLeftBigIn',
        'transition.slideLeftBigOut',
        'transition.slideRightBigIn',
        'transition.slideRightBigOut',
        'transition.perspectiveUpIn',
        'transition.perspectiveUpOut',
        'transition.perspectiveDownIn',
        'transition.perspectiveDownOut',
        'transition.perspectiveLeftIn',
        'transition.perspectiveLeftOut',
        'transition.perspectiveRightIn',
        'transition.perspectiveRightOut'
    );
*/
    static public function get_animation_options() {
        return apply_filters( 'levelup_shortcodes_animation', self::$animation_options );
    }

    static public function is_animation_on( $animation ) {
        return ! in_array( $animation, array( '', 'none' ) );
    }

    static public function get_html_class( $animation ) {
        $class = '';

        if ( array_key_exists( $animation, self::$animation_options ) ) {
            $class = self::$animation_options[ $animation ] . ' animate-element';
        }

        $compat_class = self::get_compat_html_class( $animation );
        if ( $compat_class ) {
            $class = $compat_class;
        }

        return $class;
    }

    static public function get_compat_html_class( $animation ) {
        $class = '';
        switch ( $animation ) {
            case 'scale':
                $class = 'scale-up';
                break;
            case 'fade':
                $class = 'fade-in';
                break;
            case 'left':
                $class = 'right-to-left';
                break;
            case 'right':
                $class = 'left-to-right';
                break;
            case 'bottom':
                $class = 'top-to-bottom';
                break;
            case 'top':
                $class = 'bottom-to-top';
                break;
        }
        return $class;
    }

}



if (!function_exists( 'levelup_get_vc_animation_options' )) {

    function levelup_get_vc_animation_options() {
        return Levelup_Shortcodes_Animation::get_animation_options();
    }

}

if (!function_exists('levelup_get_shortcode_animation_html_class')) {

    function levelup_get_shortcode_animation_html_class($animation) {
        return Levelup_Shortcodes_Animation::get_html_class($animation);
    }

}

if (!function_exists('levelup_shortcode_animation_on')) {

    function levelup_shortcode_animation_on($animation) {
        return Levelup_Shortcodes_Animation::is_animation_on($animation);
    }

}
