<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $width
 * @var $css
 * @var $offset
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Column
 */
$el_class = $width = $css = $offset = $vertical_spacing = $css_zindex = '';
$output = $style_content = '';
$css_margin = $css_padding = $css_offset = '';
$height_xs = $text_align = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$width = wpb_translateColumnWidthToSpan( $width );
$width = vc_column_offset_class_merge( $offset, $width );

$style_id = levelup_get_uniqid();

$hover_color            = esc_attr( $hover_color );
$css_animation          = esc_attr( $css_animation );
$text_color             = esc_attr( $text_color );
$text_hover_color       = esc_attr( $text_hover_color );
$shadow                 = esc_attr( $shadow );
$transition_delay       = esc_attr( $transition_delay );
$vertical_align         = esc_attr( $vertical_align );
$scroll_animation_range = esc_attr( $scroll_animation_range );
$scroll_animation_speed = esc_attr( $scroll_animation_speed );
$text_align             = esc_attr( $text_align );
$css_zindex             = absint( $css_zindex );

$css_classes = array(
    $this->getExtraClass( $el_class ),
    'wpb_column',
    'vc_column_container',
    $width,
);

if (vc_shortcode_custom_css_has_property( $css, array('border', 'background') )) {
    $css_classes[] = 'vc_col-has-fill';
}

$css_classes[] = 'vc_column_container_' . $style_id;

/*if ($resoinsive_indent_md) {
    $css_classes[] = 'vc_column_indent_md';
}
if ($resoinsive_indent_sm) {
    $css_classes[] = 'vc_column_indent_sm';
}
if ($resoinsive_indent_xs) {
    $css_classes[] = 'vc_column_indent_xs';
}*/

if ($hover_color) {
    $style_content .= '
    .wpb_column.vc_column_container_' . $style_id . ':hover > .vc_column-inner {
      background-color: ' . $hover_color . ' !important
    }
    ';
}

if ( ! empty( $vertical_spacing ) ) {
    $css_classes[] = 'vc_column_gutter vc_column_gutter_' . absint( $vertical_spacing );
}

if ($clean_margin || $clean_padding) {
    if ($clean_margin == 'xs' || $clean_padding == 'xs') {
        $style_content .= '
        @media (max-width: 767px) {
          .wpb_column.vc_column_container_' . $style_id . ' > .vc_column-inner {';

        if ($clean_margin == 'xs') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0 !important;
             margin-bottom: 0 !important;
        ';
        }
        if ($clean_padding == 'xs') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }
        ';
    }

    if ($clean_margin == 'sm' || $clean_padding == 'sm') {
        $style_content .= '
        @media (max-width: 991px) {
          .wpb_column.vc_column_container_' . $style_id . ' > .vc_column-inner {';

        if ($clean_margin == 'sm') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0 !important;
             margin-bottom: 0 !important;
        ';
        }
        if ($clean_padding == 'sm') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }
        @media (max-width: 767px) {
            .wpb_column.vc_column_container_' . $style_id . ' > .vc_column-inner {
                padding-left: 0 !important;
                padding-right: 0 !important;
            }
        }
        ';
    }

    if ($clean_margin == 'md' || $clean_padding == 'md') {
        $style_content .= '
        @media (max-width: 1199px) {
          .wpb_column.vc_column_container_' . $style_id . ' > .vc_column-inner {';

        if ($clean_margin == 'md') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0 !important;
             margin-bottom: 0 !important;
        ';
        }
        if ($clean_padding == 'md') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }

        @media (max-width: 767px) {
            .wpb_column.vc_column_container_' . $style_id . ' > .vc_column-inner {
                padding-left: 0 !important;
                padding-right: 0 !important;
            }
        }
        ';
    }
}


$class_css_animation = '';
if ($css_animation != '') {
    $class_css_animation = $css_animation;
    if ($css_animation_repeat) $css_classes[] = 'animate-loop';
}

if ($text_color || $text_hover_color) {
    $style_content .= '
      .wpb_column.vc_column_container_' . $style_id . ' .wpb_text_column *,
      .wpb_column.vc_column_container_' . $style_id . ' .vc_custom_heading *,
      .wpb_column.vc_column_container_' . $style_id . ' .b_icon_with_title *,
      .wpb_column.vc_column_container_' . $style_id . ' .b_list *
      {
        -webkit-transition: color 0.3s;
        -moz-transition: color 0.3s;
        -o-transition: color 0.3s;
        -ms-transition: color 0.3s;
        transition: color 0.3s;
        color: ' . ($text_color ? $text_color : levelup_get_options('body-color', '#333333')) . ';
      }
    ';
}

if ($text_hover_color) {
    $style_content .= '
      .wpb_column.vc_column_container_' . $style_id . ':hover .wpb_text_column *,
      .wpb_column.vc_column_container_' . $style_id . ':hover .vc_custom_heading *,
      .wpb_column.vc_column_container_' . $style_id . ':hover .b_icon_with_title *,
      .wpb_column.vc_column_container_' . $style_id . ':hover .b_list *
      {
        color: ' . $text_hover_color . ' !important;
      }
    ';
}

if ($bg_hidden == 'xs') {
    $style_content .= '
        @media (max-width: 767px) {
          .vc_column_container_' . $style_id . ' > .vc_column-inner {
            background-image: none !important;
          }
        }
    ';
} elseif ($bg_hidden == 'sm') {
    $style_content .= '
        @media (max-width: 991px) {
          .vc_column_container_' . $style_id . ' > .vc_column-inner {
            background-image: none !important;
          }
        }
    ';
}

if ( ! empty( $shadow ) && $shadow != '' ) {
	if ( $shadow ) {
		$css_classes[] = $shadow;
	}

	if ( $shadow_on_hover ) {
		$css_classes[] = 'hover-shadow';
	}

	if ( ! empty( $move_top ) ) {
		$css_classes[] = 'move-top';
	}
}

$column_style = "";
if ($transition_delay != "") {
	$column_style .= "transition-delay:" . $transition_delay . "ms; -webkit-animation-delay:" . $transition_delay . "ms; animation-delay:" . $transition_delay . "ms;";
}

if ( $text_align ) {
	$column_style .= "text-align:" . $text_align . ";";
}

$wrapper_attributes = array();
$css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );
$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . ( $class_css_animation ? ' animate-element' : '' ) . ( $vertical_align ? ' column_vertical_align_' . $vertical_align : '' ) . '"';

if ( $csd_animation ) {
    $wrapper_attributes[] = 'data-csd-animation="' . esc_attr( $csd_animation ) . '"';

    if ( $csd_animation_delay ) {
        $wrapper_attributes[] = 'data-csd-animation-delay="' . esc_attr( $csd_animation_delay ) . '"';
    }

    if ( $csd_animation_duration ) {
        $wrapper_attributes[] = 'data-csd-animation-duration="' . esc_attr( $csd_animation_duration ) . '"';
    }
}

if ( ! empty( $mobile_hide_border ) ) {
	$wrapper_attributes[] = 'data-mobile-hide-border="' . esc_attr( $mobile_hide_border ) . '"';
}


$scroll_animation_data = '';

if ( $scroll_animation && empty( $css_animation ) ) {

    if ( $scroll_animation == 'up' ) {
        $scroll_animation_data = ' data-parallax=\'{"y": -' . $scroll_animation_range . ', "smoothness": ' . $scroll_animation_speed . '}\'';
    } elseif ( $scroll_animation == 'down' ) {
        $scroll_animation_data = ' data-parallax=\'{"y": ' . $scroll_animation_range . ', "smoothness": ' . $scroll_animation_speed . '}\'';
    } elseif ( $scroll_animation == 'left' ) {
        $scroll_animation_data = ' data-parallax=\'{"x": -' . $scroll_animation_range . ', "smoothness": ' . $scroll_animation_speed . '}\'';
    } elseif ( $scroll_animation == 'right' ) {
        $scroll_animation_data = ' data-parallax=\'{"x": ' . $scroll_animation_range . ', "smoothness": ' . $scroll_animation_speed . '}\'';
    }

}


if ( isset($height_xs) && $height_xs ) {
	$style_content .= '
        @media (max-width: 767px) {
          .vc_column_container_' . $style_id . ' > .vc_column-inner {
            min-height: ' . ( $height_xs ? esc_attr( $height_xs ) : '' ) . 'px;
          }
        }
    ';
}


if ( $css_zindex != "" ) {
	$column_style .= 'z-index:' . $css_zindex;
}

$output .= '<div ' . implode( ' ', $wrapper_attributes ) . '' . ( $class_css_animation ? ' data-animation-class="' . $class_css_animation . '"' : '' ) . '' . ( $column_style ? ' style="' . $column_style . '"' : '' ) . '' . $scroll_animation_data . '>';
$output .= '<div class="vc_column-inner ' . esc_attr( trim( vc_shortcode_custom_css_class( $css ) ) ) . '">';
$output .= '<div class="wpb_wrapper">';
$output .= wpb_js_remove_wpautop( $content );
$output .= '</div>';
$output .= '</div>';

if ($is_link) {
    $target = '';
    $vc_link = levelup_vc_build_link($link);
    $link = 'href="' . esc_url( $vc_link['url'] ) . '"';
    if ( $vc_link['target'] ) {
        $target = ' target="' . esc_attr( $vc_link['target'] ) . '"';
    }

    $output .= '<a ' . $link . $target . ' class="vc_column_link"></a>';
}

$output .= '</div>';



Levelup_Styles::addCSS($style_content, $style_id);

$css_r_el = '.wpb_column.vc_column_container_' . $style_id .'  > .vc_column-inner';
LevelupCSSResponsive( $css_margin, $style_id, $css_r_el, 'margin' );
LevelupCSSResponsive( $css_padding, $style_id, $css_r_el, 'padding' );
LevelupCSSResponsive( $css_offset, $style_id, $css_r_el, 'offset' );

echo $output;