<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $css_animation
 * @var $css
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Column_text
 */
$output = $style = '';
$style_content = $max_width = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$el_class = $this->getExtraClass( $el_class );

$style_id = Levelup_Styles::shortcode_id();


$css_animation    = esc_attr( $css_animation );
$transition_delay = esc_attr( $transition_delay );


$class_css_animation = "";
if ($css_animation != "") {
    $class_css_animation = " " . $css_animation;
}

if ($transition_delay != "") {
	$style .= "transition-delay:" . $transition_delay . "ms; -webkit-animation-delay:" . $transition_delay . "ms; animation-delay:" . $transition_delay . "ms;";
}

if ($dropcap_letter_hidden_xs) {
    $el_class .= ' dropcap_hidden_xs';
}

if ($clean_margin || $clean_padding) {
    if ($clean_margin == 'xs' || $clean_padding == 'xs') {
        $style_content .= '
        @media (max-width: 767px) {
          .wpb_text_column_' . $style_id . ' {';

        if ($clean_margin == 'xs') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0 !important;
             margin-bottom: 0 !important;
        ';
        }
        if ($clean_padding == 'xs') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }
        ';
    }

    if ($clean_margin == 'sm' || $clean_padding == 'sm') {
        $style_content .= '
        @media (max-width: 991px) {
          .wpb_text_column_' . $style_id . ' {';

        if ($clean_margin == 'sm') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0 !important;
             margin-bottom: 0 !important;
        ';
        }
        if ($clean_padding == 'sm') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }
        @media (max-width: 767px) {
            .wpb_text_column_' . $style_id . ' {
                padding-left: 15px !important;
                padding-right: 15px !important;
            }
        }
        ';
    }

    if ($clean_margin == 'md' || $clean_padding == 'md') {
        $style_content .= '
        @media (max-width: 1199px) {
          .wpb_text_column_' . $style_id . ' {';

        if ($clean_margin == 'md') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0px !important;
             margin-bottom: 0px !important;
        ';
        }
        if ($clean_padding == 'md') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }

        @media (max-width: 767px) {
            .wpb_text_column_' . $style_id . ' {
                padding-left: 0 !important;
                padding-right: 0 !important;
            }
        }
        ';
    }
}

if ( $max_width ) {
	if ( preg_match( '/^\d+$/', $max_width, $matches, PREG_OFFSET_CAPTURE ) ) {
		$max_width .= 'px';
	}
	$style .= 'max-width: ' . esc_attr( $max_width ) . ';display: inline-block;';
}

Levelup_Styles::addCSS($style_content, $style_id);

$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'wpb_text_column wpb_content_element ' . $el_class . vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );
$css_class .= $this->getCSSAnimation( $css_animation );
$output .= "\n\t" . '<div class="' . 'wpb_text_column_' . $style_id . ' ' . esc_attr($css_class) . ($class_css_animation ? ' animate-element' : '') . '"' . ($class_css_animation ? ' data-animation-class="' . $class_css_animation . '"' : '') . ($style ? ' style="' . $style . '"' : '') . '>';
$output .= "\n\t\t" . '<div class="wpb_wrapper" ' . ($dropcap_letter ? 'data-first_letter="' . esc_attr( $dropcap_letter ) . '"' : '') . '>';
$output .= "\n\t\t\t" . wpb_js_remove_wpautop( $content, true );
$output .= "\n\t\t" . '</div> ';
$output .= "\n\t" . '</div> ';

echo $output;