<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

$max_width = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$output = $text = $google_fonts = $font_container = $el_class = $css = $google_fonts_data = $font_container_data = $data_animate = '';
$classes = $style_content = $style = $title_style_hilight = '';
extract( $this->getAttributes( $atts ) );
extract( $this->getStyles( $el_class, $css, $google_fonts_data, $font_container_data, $atts ) );

$style_id = levelup_get_uniqid();


$spacing                = absint( $spacing );
$line_height_responsive = absint( $line_height_responsive );
$transform              = esc_attr( $transform );
$r_width                = esc_attr( $r_width );
$css_animation          = esc_attr( $css_animation );
$transition_delay       = esc_attr( $transition_delay );
$highlight_color        = esc_attr( $highlight_color );
$text                   = wp_kses( $text, array('br' => array()) );


if ($font_title_responsive) {
    $font_size = '';
    if (!$line_height_responsive)
        $line_height_responsive = 120;
    $replace_lh = false;

    foreach ($styles as $key => $value) {
        if (strpos($value, 'line-height') !== false && !$replace_lh) {
            $styles[$key] = 'line-height: ' . $line_height_responsive . '% !important';
            $replace_lh = true;
        }
        if (strpos($value, 'font-size') !== false) {
            preg_match_all('!\d+!', $value, $font_size);
            if ($font_size)
                $font_size = (int)$font_size[0][0];
        }
    }
    if (!$replace_lh) {
        $styles[] = 'line-height: ' . $line_height_responsive . '% !important';
    }

    if ($font_size) {
        $classes .= levelup_calculate_responsive_font_class($font_size);
    }
}


$settings = get_option( 'wpb_js_google_fonts_subsets' );
$subsets  = '';
if (is_array($settings) && !empty($settings)) {
    $subsets = '&subset=' . implode(',', $settings);
}

if ( isset( $google_fonts_data['values']['font_family'] ) ) {
    wp_enqueue_style( 'vc_google_fonts_' . vc_build_safe_css_class( $google_fonts_data['values']['font_family'] ), '//fonts.googleapis.com/css?family=' . $google_fonts_data['values']['font_family'] . $subsets );
}

if ( 'post_title' === $source ) {
    $text = get_the_title( get_the_ID() );
}


$spacing = absint($spacing);

if ($spacing) {
    $styles[] = 'letter-spacing:' . $spacing . 'px';
}

$transform = in_array($transform, array('uppercase', 'lowercase', 'capitalize')) ? $transform : '';

if ($transform) {
    $styles[] = 'text-transform:' . $transform;
}

if ($rotate) {
    if ($rotate == '90')
        $classes .= ' do_rotate rotate_90';
    elseif ($rotate == 'm90')
        $classes .= ' do_rotate rotate_m90';
}

if ($r_width) {
    $styles[] = 'width:' . $r_width . 'px';
}

$class_css_animation = '';
if ($css_animation != "") {
    $class_css_animation = " " . $css_animation;
    if ($css_animation_repeat) $css_class .= ' animate-loop';
}

if ($highlight) {
    $classes .= ' highlight';
    $shadow_size = 15;

    $title_style_hilight = sprintf(' style="box-shadow: %1$s %2$spx 0 0 0,%1$s -%2$spx 0 0 0; -webkit-box-shadow: %1$s %2$spx 0 0 0, %1$s -%2$spx 0 0 0; background:%1$s;"', $highlight_color, $shadow_size);
}


if ($rotate && $reset_rotate) {
    if ($reset_rotate == 'xs') {
        $style_content .= '
        @media (max-width: 767px) {
          .vc_custom_heading_' . $style_id . ' .do_rotate {
            transform: none !important;
            height: auto;
            width: auto !important;
          }
        }
        ';
    }

    if ($reset_rotate == 'sm') {
        $style_content .= '
        @media (max-width: 991px) {
          .vc_custom_heading_' . $style_id . ' .do_rotate {
            transform: none !important;
            height: auto;
            width: auto !important;
          }
        }
        ';
    }

    if ($reset_rotate == 'md') {
        $style_content .= '
        @media (max-width: 1199px) {
          .vc_custom_heading_' . $style_id . ' .do_rotate {
            transform: none !important;
            height: auto;
            width: auto !important;
          }
        }
        ';
    }
}

if ($clean_margin || $clean_padding) {
    if ($clean_margin == 'xs' || $clean_padding == 'xs') {
        $style_content .= '
        @media (max-width: 767px) {
          .vc_custom_heading_' . $style_id . ' {';

        if ($clean_margin == 'xs') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0 !important;
             margin-bottom: 0 !important;
        ';
        }
        if ($clean_padding == 'xs') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }
        ';
    }

    if ($clean_margin == 'sm' || $clean_padding == 'sm') {
        $style_content .= '
        @media (max-width: 991px) {
          .vc_custom_heading_' . $style_id . ' {';

        if ($clean_margin == 'sm') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0 !important;
             margin-bottom: 0 !important;
        ';
        }
        if ($clean_padding == 'sm') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }
        ';
    }

    if ($clean_margin == 'md' || $clean_padding == 'md') {
        $style_content .= '
        @media (max-width: 1199px) {
          .vc_custom_heading_' . $style_id . ' {';

        if ($clean_margin == 'md') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0 !important;
             margin-bottom: 0 !important;
        ';
        }
        if ($clean_padding == 'md') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }
        ';
    }
}

if ( $inline ) {
    $css_class .= ' inline';
}
if ( $mobile_align ) {
    $css_class .= ' mobile_align_' . $mobile_align;
}

if ($transition_delay != "") {
    $style = "transition-delay:" . $transition_delay . "ms; -webkit-animation-delay:" . $transition_delay . "ms; animation-delay:" . $transition_delay . "ms;";
}


if ( $text_animation == 'char' ) {
    $data_animate = ' data-text-animate="char"';

} elseif ( $text_animation == 'word' ) {
    $data_animate = ' data-text-animate="word"';

}

if ( ! empty($text_animation) && $data_animate ) {
    $data_animate .= ' data-text-animate-speed="' . esc_attr( $text_animation_speed ) . '"';
    $data_animate .= ' data-text-animate-type="' . esc_attr( $text_animation_type ) . '"';
    if ( $text_animation_delay ) {
        $data_animate .= ' data-text-animate-delay="' . absint( $text_animation_delay ) . '"';
    }
}


if ( ! empty( $link ) ) {
    $link = levelup_vc_build_link( $link );
    $text = '<a href="' . esc_url( $link['url'] ) . '"'
            . ( $link['target'] ? ' target="' . esc_attr( $link['target'] ) . '"' : '' )
            . ( $link['title'] ? ' title="' . esc_attr( $link['title'] ) . '"' : '' )
            . '>' . $text . '</a>';
}

/*$is_gradient = false;
$radient_align = 'center';
if ( $use_title_gradient && $gradient_color1 && ( $gradient_color2 || $gradient_color3 ) ) {
	$is_gradient = true;

	foreach ($styles as $key => $value) {
		if (strpos($value, 'text-align: center') !== false ) {
			$gradient_align = 'center';
		}
		if (strpos($value, 'text-align: left') !== false ) {
			$gradient_align = 'left';
		}
		if (strpos($value, 'text-align: right') !== false ) {
			$gradient_align = 'right';
		}
	}
}*/

if ( $max_width ) {
	if ( preg_match( '/^\d+$/', $max_width, $matches, PREG_OFFSET_CAPTURE ) ) {
		$max_width .= 'px';
	}
	$style .= 'max-width: ' . esc_attr( $max_width ) . ';display: inline-block;';
}


$css_class .= ' vc_custom_heading_' . $style_id;

$output .= '<div class="' . $css_class . ($class_css_animation ? ' animate-element' : '') . '" ' . ( $style ? ' style="' . $style . '"' : '' ) . '' . ($class_css_animation ? ' data-animation-class="' . $class_css_animation . '"' : '') . ( $data_animate ? $data_animate : '') . '>';
$output .= '<' . $font_container_data['values']['tag'] . ' style="' . implode(';', $styles) . '"' . ($classes ? ' class="' . $classes . '"' : '') . '>';


$output .= '<span class="hilight' . ( ! empty( $text_shadow ) ? ' ' . esc_attr( $text_shadow ) : '' ) . '" ' . $title_style_hilight . ' >';
$output .= $text;
$output .= '</span>';
/*if ( $is_gradient ) {
	$text_gradient = levelup_get_css_text_gradient($gradient_color1, $gradient_color2, $gradient_color3);
	$output .= '<span class="alt ' . ($gradient_align ? $gradient_align : '') . '"><span class="text" style="background: ' . esc_attr( $text_gradient ) . '">' . $text . '</span></span>';
}*/

if ($inline_space) $output .= '&nbsp;';
$output .= '</' . $font_container_data['values']['tag'] . '>';
$output .= '</div>';


Levelup_Styles::addCSS($style_content, $style_id);

echo $output;