<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

$type = $icon_fontawesome = $icon_openiconic = $icon_typicons =
$icon_entypo = $icon_linecons = $color = $custom_color =
$background_style = $background_color = $custom_background_color =
$size = $align = $el_class = $link = $css_animation = $css = '';
$style_id = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );


$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );// . $this->getCSSAnimation( $css_animation );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$custom_background_color = esc_attr( $custom_background_color );
$css_animation           = esc_attr( $css_animation );
$transition_delay        = esc_attr( $transition_delay );
$dir_animation           = esc_attr( $dir_animation );
$svg_animation           = apply_filters('levelup_sanitize_flag', $svg_animation );
$svg_animation_speed     = absint($svg_animation_speed );


// Enqueue needed icon font.
vc_icon_element_fonts_enqueue( $type );

$url = levelup_vc_build_link( $link );
$has_style = false;
if ( strlen( $background_style ) > 0 ) {
    $has_style = true;
    if ( strpos( $background_style, 'outline' ) !== false ) {
        $background_style .= ' vc_icon_element-outline'; // if we use outline style it is border in css
    } else {
        $background_style .= ' vc_icon_element-background';
    }
}

$iconClass = isset( ${"icon_" . $type} ) ? esc_attr( ${"icon_" . $type} ) : 'fa fa-adjust';

$style = '';
if ( 'custom' === $background_color ) {
    if ( false !== strpos( $background_style, 'outline' ) ) {
        $style = 'border-color:' . $custom_background_color.';';
    } else {
        $style = 'background-color:' . $custom_background_color.';';
    }
}

if ($transition_delay != "") {
    $style .= "transition-delay:" . $transition_delay . "ms; -webkit-animation-delay:" . $transition_delay . "ms; animation-delay:" . $transition_delay . "ms;";
}

$dir_animation_class = '';
if ($dir_animation) {
    $dir_animation_class = ' anm-arrow-' . $dir_animation . '-' . ($dir_animation_loop ? 'inf' : 'hv');

    if ( $dir_animation_hover && empty( $dir_animation_loop ) ) {
        $dir_animation_class .= ' anm-arrow-mout';
    }
}

$class_css_animation = '';
if ($css_animation != "") {
    $class_css_animation = " " . $css_animation;
    if ($css_animation_repeat) $class_css_animation .= ' animate-loop';
}

$style = $style ? ' style="' . esc_attr( $style ) . '"' : '';


$svg_animation_data = '';
if( $type == 'svg' && $svg_animation ) {
    $svg_animation_data = array();
    $svg_animation_data[] = 'data-svg-animation="true"';

    if ( $svg_animation_type ) {
        $svg_animation_data[] = 'data-svg-animation-type="' . esc_attr( $svg_animation_type ) . '"';
    }

    if ( $svg_animation_speed ) {
        $svg_animation_data[] = 'data-svg-animation-speed="' . $svg_animation_speed . '"';
    }

//    if ( $svg_animation_delay ) {
//        $svg_animation_data[] = 'data-svg-animation-delay="' . $svg_animation_delay . '"';
//    }

    if ( $svg_animation_timing ) {
        $svg_animation_data[] = 'data-svg-animation-timing="' . $svg_animation_timing . '"';
    }

    $svg_animation_data = implode( ' ', $svg_animation_data );
}

$style_id = Levelup_Styles::shortcode_id();
if( $type == 'svg' && $color === 'custom') {
    $style_content = '
    .vc_icon_element_' . $style_id . ' svg path {
        stroke: ' . esc_attr( $custom_color ) . ' !important
    }';

    Levelup_Styles::addCSS($style_content, $style_id);
}



?>
<div
    class="vc_icon_element vc_icon_element-outer<?php if( $type == 'svg' && $svg_animation ) echo ' svg-animation vc_icon_element_' . $style_id; if($dir_animation_class) echo $dir_animation_class; echo strlen( $css_class ) > 0 ? ' ' . trim( esc_attr( $css_class ) ) : ''; ?> vc_icon_element-align-<?php echo esc_attr( $align ); ?><?php if ( $has_style ): echo ' vc_icon_element-have-style'; endif; ?>"<?php if ( $svg_animation_data ) { echo ' ' . $svg_animation_data;} ?>>
    <div
        class="vc_icon_element-inner vc_icon_element-color-<?php echo esc_attr( $color ); ?><?php if ( $has_style ): echo ' vc_icon_element-have-style-inner'; endif;  if($class_css_animation) echo ' animate-element'; ?> vc_icon_element-size-<?php echo esc_attr( $size ); ?> vc_icon_element-style-<?php echo esc_attr( $background_style ); ?> vc_icon_element-background-color-<?php echo esc_attr( $background_color ); ?>"<?php echo $style ?><?php if($css_animation) echo ' data-animation-class="' . $css_animation . '"';?>><span
            class="vc_icon_element-icon <?php echo esc_attr( $iconClass ); ?>" <?php echo( $color === 'custom' ? 'style="color:' . esc_attr( $custom_color ) . ' !important"' : '' ); ?><?php if ( $type == 'svg' ) { echo ' data-svg="' . LEVELUP_THEME_TEMPLATE_URL . '/assets/images/icons/svg/' . $iconClass . '"';}?>></span><?php
        if ( strlen( $link ) > 0 && strlen( $url['url'] ) > 0 ) {
            echo '<a class="vc_icon_element-link" href="' . esc_url( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '"></a>';
        }
        ?></div>
</div>