<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

//use Mexitek\PHPColors\Rdy_Color;

/**
 * Shortcode attributes
 * @var $atts
 * @var $title
 * @var $values
 * @var $units
 * @var $bgcolor
 * @var $custombgcolor
 * @var $customtxtcolor
 * @var $options
 * @var $el_class
 * @var $css
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Progress_Bar
 */
$output = $tips_font_color = $unit_tip = $text_position_class = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
$atts = $this->convertAttributesToNewProgressBar( $atts );

extract( $atts );
wp_enqueue_script( 'waypoints' );

$el_class = $this->getExtraClass( $el_class );

global $levelup_options;
$style_id = Levelup_Styles::shortcode_id();

$font_weight     = esc_attr( $font_weight );
$border_radius   = esc_attr( $border_radius );
$birdy_font_size = esc_attr( $birdy_font_size );
$animation_speed = esc_attr( $animation_speed );
$tips_color = esc_attr( $tips_color );


$bar_options = array();
$options = explode( ',', $options );
if ( in_array( 'animated', $options ) ) {
    $bar_options[] = 'animated';
}
if ( in_array( 'striped', $options ) ) {
    $bar_options[] = 'striped';
}

$border_radius = absint($border_radius);

$tips = apply_filters('levelup_sanitize_flag', $tips);


if ( $bgcolor == "custom" && $custombgcolor != '' ) {
    $custombgcolor_hex = $custombgcolor;
    $custombgcolor = ' style="' . vc_get_css_color( 'background-color', $custombgcolor ) . '"';
    if ( '' !== $customtxtcolor ) {
        $customtxtcolor = ' style="' . vc_get_css_color( 'color', $customtxtcolor ) . '"';
    }
    $bgcolor = "";
} else {
    $custombgcolor_hex = $levelup_options['accent-color'];
    $custombgcolor = ' style="' . vc_get_css_color( 'background-color', $levelup_options['accent-color'] ) . '"';
    $customtxtcolor = '';
    $bgcolor = "";
}


if ($text_position == 'top') $text_position_class = ' rdy_text_top';
elseif ($text_position == 'bottom') $text_position_class = ' rdy_text_bottom';

$class_to_filter = 'vc_progress_bar wpb_content_element vc_progress-' . $style_id;
$class_to_filter .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$output = '<div class="' . $css_class . $text_position_class . '">';
$output .= wpb_widget_title( array( 'title' => $title, 'extraclass' => 'wpb_progress_bar_heading' ) );

$values = (array) vc_param_group_parse_atts( $values );
$max_value = 0.0;
$graph_lines_data = array();
foreach ( $values as $data ) {
    $new_line = $data;
    $new_line['value'] = isset( $data['value'] ) ? $data['value'] : 0;
    $new_line['label'] = isset( $data['label'] ) ? $data['label'] : '';
    $new_line['text_color'] = '';

    $custombgcolor_hex_check = $custombgcolor_hex;
    $new_line['bgcolor'] = isset( $data['color'] ) && 'custom' !== $data['color'] ? '' : $custombgcolor;
    if ( isset( $data['customcolor'] ) && ( isset($data['color']) && 'custom' === $data['color'] ) ) {
        $new_line['bgcolor'] = ' style="background-color: ' . esc_attr( $data['customcolor'] ) . ';"';
        $custombgcolor_hex_check = isset( $data['customcolor'] ) && 'custom' == $data['color'] ? esc_attr( $data['customcolor'] ) : $custombgcolor_hex;

    }

    if ($text_position == 'inside' && (!isset($data['color']) || 'custom' === $data['color']) && levelup_check_valid_colorhex($custombgcolor_hex_check)) {
        $myColor = new Rdy_Color($custombgcolor_hex_check);
        $isBgLight = $myColor->isLight();

        $new_line['text_color'] = '#404040';
        if (!$isBgLight) {
            $new_line['text_color'] = '#fff';
        }
    }

    if ($text_position == 'inside') {
        $new_line['txtcolor'] = (isset($data['color']) && 'custom' !== $data['color']) ? '' : $customtxtcolor;
        if (isset($data['customtxtcolor']) && (!isset($data['color']) || 'custom' === $data['color'])) {
            $new_line['txtcolor'] = ' style="color: ' . esc_attr($data['customtxtcolor']) . ';"';
        }
    } else {
        $new_line['txtcolor'] = $customtxtcolor;
    }

    if ( $max_value < (float) $new_line['value'] ) {
        $max_value = $new_line['value'];
    }
    $graph_lines_data[] = $new_line;
}

foreach ( $graph_lines_data as $line ) {
    $unit = ( '' !== $units ) ? ' <span class="vc_label_units">' . $line['value'] . $units . '</span>' : '';
    if ($tips && $unit){
        $unit_tip = '<span class="vc_tip">' . $unit . '</span>';
        $text = $line['label'];
    } else {
        $text = $line['label'] . $unit;
    }

    $output .= '<div class="vc_single_bar_wrap">';

    if (!$line['txtcolor']) {
        $style_text_color = ($line['text_color'] ? ' style="color:' . $line['text_color'] . '"' : '');
    } else {
        $style_text_color = ($line['txtcolor'] ? $line['txtcolor'] : '');
    }

    if ($text_position == 'top') {
        $output .= '<p class="vc_label_text"><small' . $style_text_color . '>' . $text . '</small></p>';
    }

    $output .= '<div class="vc_general vc_single_bar' . ( ( isset( $line['color'] ) && 'custom' !== $line['color'] ) ?
            ' vc_progress-bar-color-' . $line['color'] : '' )
        . '" style="' . ($bar_height ? 'height:' . $bar_height . 'px;' : '') . '">';

    if ($text_position == 'inside') {
        $output .= '<small class="vc_label"' . $style_text_color . '>';
        $output .= $text;
        $output .= '</small>';
    }

    if ( $max_value > 100.00 ) {
        $percentage_value = (float) $line['value'] > 0 && $max_value > 100.00 ? round( (float) $line['value'] / $max_value * 100, 4 ) : 0;
    } else {
        $percentage_value = $line['value'];
    }

    $output .= '<span class="vc_bar ' . esc_attr(implode(' ', $bar_options)) . '" data-percentage-value="' . esc_attr($percentage_value) . '" data-value="' . esc_attr($line['value']) . '"' . $line['bgcolor'] . '>' . $unit_tip . '</span>';
    $output .= '</div>';

    if ($text_position == 'bottom') {
        $output .= '<p class="vc_label_text"><small'.$style_text_color.'>'.$text.'</small></p>';
    }

    $output .= '</div>';
}

$output .= '</div>';


$stylesheet = '';

if ($font_weight) {
    $stylesheet .= '
        .vc_progress-' . $style_id . ' .vc_label,
        .vc_progress-' . $style_id . ' .vc_label_text {
            font-weight: ' . $font_weight . ';
        }
    ';
}

if ($border_radius > 0 || $border_radius == 0) {
    $stylesheet .= '
        .vc_progress-' . $style_id . ' .vc_bar,
        .vc_progress-' . $style_id . ' .vc_single_bar {
            border-radius: ' . $border_radius . 'px !important;
        }
    ';
}

if ($birdy_font_size) {
    $stylesheet .= '
        .vc_progress-' . $style_id . ' .vc_label,
        .vc_progress-' . $style_id . ' .vc_label_text {
            font-size: ' . $birdy_font_size . 'px;
        }
    ';
}

if ($animation_speed) {
    $stylesheet .= '
        .vc_progress-' . $style_id . ' .vc_bar {
            -webkit-transition-duration: ' . $animation_speed . 'ms !important;
            -o-transition-duration: ' . $animation_speed . 'ms !important;
            -moz-transition-duration: ' . $animation_speed . 'ms !important;
            transition-duration: ' . $animation_speed . 'ms !important;
        }
    ';
}

if ($tips_color) {
    $myColor = new Rdy_Color($tips_color);

    if ($myColor->isLight()) {
        $tips_font_color = 'color: #000 !important;';
    }

    $stylesheet .= '
        .vc_progress-' . $style_id . ' .vc_tip {
            background-color: ' . $tips_color . ' !important;
            ' . $tips_font_color . '
        }
        .vc_progress-' . $style_id . ' .vc_tip:after {
            border-color: ' . $tips_color . ' transparent !important;
        }
    ';
}

Levelup_Styles::addCSS($stylesheet, $style_id);

echo $output;