<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

$el_class = $full_height = $full_width = $equal_height = $flex_row = $columns_placement = $content_placement = $parallax = $parallax_image = $css = $el_id = $video_bg = $video_bg_url = $video_bg_parallax = $css_zindex = '';
$live_background_opacity = $live_background_shapes_preset = $live_background_shapes_size = $live_background_shapes_speed = $live_background_hide = $live_image = $live_background_auto = $video_bg_ratio = '';
$section_class = '';
$output = $after_output = '';
$style_content = $anchor_id = '';
$css_margin = $css_padding = $css_offset = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

wp_enqueue_script( 'wpb_composer_front_js' );

$el_class = $this->getExtraClass($el_class);

$css_classes = array(
    'vc_row',
    'wpb_row', //deprecated
    'vc_row-fluid',
    $el_class,
    vc_shortcode_custom_css_class( $css )
);

$css_animation                 = esc_attr( $css_animation );
$logo_color_type               = esc_attr( $logo_color_type );
$row_dynamic_height            = esc_attr( $row_dynamic_height );
$row_min_height                = esc_attr( $row_min_height );
$row_overlay_color             = esc_attr( $row_overlay_color );
$text_align                    = esc_attr( $text_align );
$transition_delay              = esc_attr( $transition_delay );
$live_background               = esc_attr( $live_background );
$live_background_color         = esc_attr( $live_background_color );
$live_background_fog_color     = esc_attr( $live_background_fog_color );
$live_background_motion_preset = esc_attr( $live_background_motion_preset );
$custom_padding = apply_filters('levelup_sanitize_flag', $custom_padding);
$css_zindex = absint($css_zindex);


if (vc_shortcode_custom_css_has_property( $css, array('border', 'background') ) || $video_bg || $parallax) {
    $css_classes[]='vc_row-has-fill';
}

if ( ! empty( $atts['gap'] ) ) {
    $css_classes[] = 'vc_column-gap-' . esc_attr( $atts['gap'] );
}

$wrapper_attributes = array();
if ( ! empty( $el_id ) ) {
    $wrapper_attributes[] = 'id="' . esc_attr( $el_id ) . '"';
}

if ( ! empty( $full_height ) ) {
    $css_classes[] = ' rdy_vc_row-o-full-height';
    if ( ! empty( $columns_placement ) ) {
        $flex_row = true;
        $css_classes[] = ' rdy_vc_row-o-columns-' . esc_attr( $columns_placement );
    }
}

if ( ( ! empty( $row_dynamic_height ) || ! empty( $row_min_height ) ) && empty( $full_height ) ) {
    $css_classes[] = ' rdy_vc_row-o-dyn-height';
    if ( ! empty( $row_dynamic_height ) || ! empty( $row_min_height ) ) {
        $flex_row      = true;
        $css_classes[] = ' rdy_vc_row-o-columns-' . esc_attr( $columns_placement_dyn );
    }
}

if ( ! empty( $equal_height ) ) {
    $flex_row = true;
    $css_classes[] = ' rdy_vc_row-o-equal-height';
}

if ( ! empty( $flex_row ) ) {
    $css_classes[] = ' rdy_vc_row-flex';
}

if(!empty($shadow) && $shadow != ''){
    if($shadow){
        $css_classes[] = esc_attr( $shadow );
    }
}


$has_video_bg = ( ! empty( $video_bg ) && ! empty( $video_bg_url )  );//&& vc_extract_youtube_id( $video_bg_url )

if ( $has_video_bg ) {
    $parallax = $video_bg_parallax;
    $parallax_image = $video_bg_url;
    $css_classes[] = ' vc_video-bg-container';
    wp_enqueue_script( 'vc_youtube_iframe_api_js' );
}

if ( ! empty( $parallax ) ) {
    wp_enqueue_script( 'vc_jquery_skrollr_js' );
    $wrapper_attributes[] = 'data-vc-parallax="1.5"'; // parallax speed
    $css_classes[] = 'vc_general vc_parallax vc_parallax-' . $parallax;
    if ( strpos( $parallax, 'fade' ) !== false ) {
        $css_classes[] = 'js-vc_parallax-o-fade';
        $wrapper_attributes[] = 'data-vc-parallax-o-fade="on"';
    } elseif ( strpos( $parallax, 'fixed' ) !== false ) {
        $css_classes[] = 'js-vc_parallax-o-fixed';
    }
}

if ( ! empty ( $parallax_image ) ) {
    if ( $has_video_bg ) {
        $parallax_image_src = $parallax_image;
    } else {
        $parallax_image_id = preg_replace( '/[^\d]/', '', $parallax_image );
        $parallax_image_src = wp_get_attachment_image_src( $parallax_image_id, 'full' );
        if ( ! empty( $parallax_image_src[0] ) ) {
            $parallax_image_src = $parallax_image_src[0];
        }
    }
    $wrapper_attributes[] = 'data-vc-parallax-image="' . esc_attr( $parallax_image_src ) . '"';
}
if ( ! $parallax && $has_video_bg ) {
    $wrapper_attributes[] = 'data-vc-video-bg="' . esc_attr( $video_bg_url ) . '"';
}



// ------------------------------------------------

$style_id = levelup_get_uniqid();

$logo_color_type = in_array($logo_color_type, array('', 'light', 'dark',) ) ? $logo_color_type : '';
//$large_padding = apply_filters('levelup_sanitize_flag', $large_padding);

$css_classes[] = 'vc_row-' . $style_id;

$container_class = 'container-fluid';
if ($full_width == "stretch_row" || $full_width == "stretch_row_content" || $full_width == "stretch_row_content_no_spaces") {
    $section_class = 'container-fluid row_section';

    if ($full_width == "stretch_row") $container_class = 'container';
//    if ($full_width == "stretch_row_content" && !($this->settings('base') === 'vc_row_inner') && $large_padding) $container_class .= ' container-main';
    $css_classes[] = ($full_width == "stretch_row_content_no_spaces" ? 'no-spaces' : '');
} else {
    $section_class = 'container row_section';
}


if ( $row_hide_lg || $row_hide_sm || $row_hide_xs || $row_hide_md ) {

    if ( !$row_hide_xs ) {
        $section_class .= ' visible-xs-block';
    }

    if ( !$row_hide_sm ) {
        $section_class .= ' visible-sm-block';
    }

    if ( !$row_hide_md ) {
        $section_class .= ' visible-md-block';
    }

    if ( !$row_hide_lg ) {
        $section_class .= ' visible-lg-block';
    }

    if ( $row_hide_xs && $row_hide_sm && $row_hide_md && $row_hide_lg ) {
        $section_class .= ' hidden-lg hidden-md hidden-sm hidden-xs';
    }

}


$css_class_video = "";
if ( ! empty( $video_bg ) && ! empty( $video_mp4 ) && ! $has_video_bg ) {
    $css_classes[] = 'video_section';
}

if (!$row_overlay && ($row_overlay_image || $row_overlay_color)) {
    $css_classes[] = 'rdy_row_overlay';
}

$class_css_animation =  "";
if ($css_animation != "") {
    $class_css_animation = " " . $css_animation;
    $css_classes[] = 'animate-element';
    if ($css_animation_repeat) $css_classes[] = 'animate-loop';
}

if ($live_background) {
    if ($live_background == 'motion') {
        if ($live_background_image) $css_classes[] = 'rdy-canvas-effect';
    } else {
        $css_classes[] = 'rdy-canvas-effect';
    }
}


if ( $custom_padding ) {
    if ( $custom_padding_lr != "" && $custom_padding_lr >= 0 ) {
        $section_class .= ' vc_row_cp_lr_' . absint( $custom_padding_lr );
    }
    if ( $custom_padding_t != "" && $custom_padding_t >= 0 ) {
        $section_class .= ' vc_row_cp_t_' . absint( $custom_padding_t );
    }
    if ( $custom_padding_b != "" && $custom_padding_b >= 0 ) {
        $section_class .= ' vc_row_cp_b_' . absint( $custom_padding_b );
    }

} else if ( levelup_get_options('vc_row__padding') ) {
    $section_class .= ' vc_row_p_' . absint( levelup_get_options('vc_row__padding') );
}

$wrapper_attributes[] = ($logo_color_type ? 'data-midnight="' . $logo_color_type . '"' : '');

$css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );
$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';


if ($bg_hidden == 'xs') {
    $style_content .= '
        @media (max-width: 767px) {
          .vc_row-' . $style_id . ' {
            background-image: none !important;
          }
        }
    ';
} elseif ($bg_hidden == 'sm') {
    $style_content .= '
        @media (max-width: 991px) {
          .vc_row-' . $style_id . ' {
            background-image: none !important;
          }
        }
    ';
}

if ( $csd_animation ) {
    $wrapper_attributes[] = 'data-csd-animation="' . esc_attr( $csd_animation ) . '"';

    if ( $csd_animation_delay ) {
        $wrapper_attributes[] = 'data-csd-animation-delay="' . esc_attr( $csd_animation_delay ) . '"';
    }

    if ( $csd_animation_duration ) {
        $wrapper_attributes[] = 'data-csd-animation-duration="' . esc_attr( $csd_animation_duration ) . '"';
    }
}


if ($clean_margin || $clean_padding) {
    if ($clean_margin == 'xs' || $clean_padding == 'xs') {
        $style_content .= '
        @media (max-width: 767px) {
          .wpb_row.vc_row-' . $style_id . ' {';

        if ($clean_margin == 'xs') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0 !important;
             margin-bottom: 0 !important;
        ';
        }
        if ($clean_padding == 'xs') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }
        ';
    }

    if ($clean_margin == 'sm' || $clean_padding == 'sm') {
        $style_content .= '
        @media (max-width: 991px) {
          .wpb_row.vc_row-' . $style_id . ' {';

        if ($clean_margin == 'sm') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0 !important;
             margin-bottom: 0 !important;
        ';
        }
        if ($clean_padding == 'sm') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }
        ';
    }

    if ($clean_margin == 'md' || $clean_padding == 'md') {
        $style_content .= '
        @media (max-width: 1199px) {
          .wpb_row.vc_row-' . $style_id . ' {';

        if ($clean_margin == 'md') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0px !important;
             margin-bottom: 0px !important;
        ';
        }
        if ($clean_padding == 'md') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '

          }
        }
        ';
    }
}


if ( ! empty( $row_dynamic_height ) && empty( $full_height ) ) {
    $wrapper_attributes[] = 'data-row-height="' . esc_attr( $row_dynamic_height ) . '"';

    if ( ! empty( $row_min_height ) && empty( $full_height ) ) {
        $wrapper_attributes[] = 'data-row-min_height="' . esc_attr( $row_min_height ) . '"';
    }
}

if ( ! empty( $video_bg ) && ! empty( $video_mp4 ) && ! $has_video_bg && ! empty( $video_bg_ratio ) ) {
    $wrapper_attributes[] = 'data-video-ratio="' . esc_attr( $video_bg_ratio ) . '"';
}


$output .= '<div class="' . $section_class . '">';

$output .= '<div ' . implode(' ', $wrapper_attributes) . ' ' . $anchor_id . ' ';
$output .= " style='";


if ( ( ! empty( $row_dynamic_height ) || ! empty( $row_min_height ) ) && empty( $full_height ) ) {
//        $output .= ' height:' . $row_dynamic_height . 'vh;';

        /*$style_content .= '
        @media (min-width: 767px) {
          .wpb_row.vc_row-' . $style_id . ' {
             min-height:' . $row_dynamic_height . 'vh;height: 1px;
          }
        }
        @media (max-width: 767px) {
          .wpb_row.vc_row-' . $style_id . ' {
             min-height:' . $row_dynamic_height . 'vh;
          }
        }
        ';*/

        if ( $row_dynamic_height ) {
            $height = $row_dynamic_height . 'vh';
            $min_height = $row_min_height;
        } else if ( $row_min_height ) {
            $height = $row_min_height . 'px';
        }

        $style_content .= '
          .wpb_row.vc_row-' . $style_id . ' {
             width: 100%;
             height:' . $height . ';
          }
        ';

    if ( ! empty( $row_min_height ) && empty( $full_height ) ) {
        $output .= ' min-height:' . $row_min_height . 'px;';
    }
}/* else if ( ! empty( $row_min_height ) && empty( $full_height ) ) {
    $output .= ' min-height:' . $row_min_height . 'px;';
}*/


if ( $text_align != "" ) {
    $output .= ' text-align:' . $text_align . ';';
}

if ( $css_zindex != "" ) {
    $output .= ' z-index:' . $css_zindex . ';';
}

if ($transition_delay != "") {
    $output .= "transition-delay:" . $transition_delay . "ms; -webkit-animation-delay:" . $transition_delay . "ms; animation-delay:" . $transition_delay . "ms;";
}
$output .= "'";


if ( $live_background ) {
    if ( $live_background == 'motion' ) {
        $output .= ' data-fx-preset="' . $live_background_motion_preset . '"';
    }

    if ( $live_background_auto ) {
        $output .= ' data-fx-auto="1"';
    }

    if ( $live_background_hide ) {
        $output .= ' data-fx-hide="' . esc_attr( $live_background_hide ) . '"';
    }

    $output .= ' data-type="' . $live_background . '"';

    if (strpos($live_background_color, 'rgba') !== false) $live_background_color = levelup_rgba2hex($live_background_color);
    if (strpos($live_background_fog_color, 'rgba') !== false) $live_background_fog_color = levelup_rgba2hex($live_background_fog_color);
    if (strpos($live_background_sine_color1, 'rgba') !== false) $live_background_sine_color1 = levelup_rgba2hex($live_background_sine_color1);
    if (strpos($live_background_sine_color2, 'rgba') !== false) $live_background_sine_color2 = levelup_rgba2hex($live_background_sine_color2);
    if (strpos($live_background_sine_color3, 'rgba') !== false) $live_background_sine_color3 = levelup_rgba2hex($live_background_sine_color3);

    if ($live_background_color) $output .= ' data-fx-color="' . $live_background_color . '"';


    if ($live_background_fog_color) $output .= ' data-fx-fog-color="' . $live_background_fog_color . '"';
    if ($live_background_mousemove_disable) $output .= ' data-fx-mm-disable="1"';

    if ( $live_background == 'sine_waves' ) {

        if ( $live_background_sine_color1 ) {
            $output .= ' data-fx-color1="' . esc_attr( $live_background_sine_color1 ) . '"';
        }
        if ( $live_background_sine_color2 ) {
            $output .= ' data-fx-color2="' . esc_attr( $live_background_sine_color2 ) . '"';
        }
        if ( $live_background_sine_color3 ) {
            $output .= ' data-fx-color3="' . esc_attr( $live_background_sine_color3 ) . '"';
        }

        if ( $live_background_sine_preset ) {
            $output .= ' data-fx-preset="' . $live_background_sine_preset . '"';
        }
    } else if ( $live_background == 'shapes' ) {
        if ( $live_background_opacity ) {
            $live_background_opacity_val = levelup_convert_opacity( $live_background_opacity, false );
            $output .= ' data-lb-opacity="' . esc_attr( $live_background_opacity_val ) . '"';
        }

        if ( $live_background_shapes_preset ) {
            $output .= ' data-fx-preset="' . esc_attr( $live_background_shapes_preset ) . '"';
        }

        if ( $live_background_shapes_size ) {
            $output .= ' data-fx-shape-size="' . esc_attr( $live_background_shapes_size ) . '"';
        }
        if ( $live_background_shapes_speed ) {
            $output .= ' data-fx-shape-speed="' . esc_attr( $live_background_shapes_speed ) . '"';
        }
        if ( $live_background_shapes_type ) {
            $output .= ' data-fx-shape-type="' . esc_attr( $live_background_shapes_type ) . '"';
        }
    }

    if ( $live_background_image ) {
        $live_image = wp_get_attachment_url( $live_background_image );
        $output .= ' data-fx-image="' . esc_url( $live_image ) . '"';
    }

}

if ($css_animation != "") $output .= ' data-animation-class="' . $css_animation . '"';
$output .= ">";


if ( $live_background == 'motion' && $live_image ) {
    $output .= '<div class="fx-motion"><img src="' . esc_url( $live_image ) . '" alt=""></div>';
}

if ( ! empty( $video_bg ) && ! empty( $video_mp4 ) && ! $has_video_bg ) {
    $v_image = wp_get_attachment_url($video_image);

    if ($v_image) {
        $output .= '<div class="mobile-video-image" style="background-image: url(' . esc_url( $v_image ) . ')"></div>';
    }

    $output .= '<video ' . ($v_image ? ' poster="' . esc_url( $v_image ) . '"' : '') . ' preload="auto" loop autoplay muted>';
    if (!empty($video_webm)) {
        $output .= '<source type="video/webm" src="' . esc_url( $video_webm ) . '">';
    }
    if (!empty($video_mp4)) {
        $output .= '<source type="video/mp4" src="' . esc_url( $video_mp4 ) . '">';
    }
    if (!empty($video_ogv)) {
        $output .= '<source type="video/ogg" src="' . esc_url( $video_ogv ) . '">';
    }
    $output .= '</video>';

}


if ( $row_overlay || $row_overlay_grain ) {
    if ( $row_overlay_image || $row_overlay_color || ! empty( $row_overlay_grain ) ) {
        $overlay_image = "";
        if ($row_overlay == 'image' && $row_overlay_image != '' && $row_overlay_image != ' ') {
            $overlay_image = wp_get_attachment_image_src($row_overlay_image, 'full');
        }

        $output .= '<div class="row-overlay';
        $output .= ' active';
        if ( ! empty( $row_overlay_grain ) ) {
            $output .= ' filmgrain';
        }
        $output .= '" style="';
        $output .= ($overlay_image !== '' && $overlay_image !== ' ') ? "background-image:url(" . esc_url( $overlay_image[0] ) . ");" : '';

        if ($row_overlay == 'gradient' && $row_overlay_color && $row_overlay_color2) {
            $output .= levelup_gradient_style($row_overlay_color, $row_overlay_color2, $row_overlay_gradient_direction);
        } elseif ($row_overlay == 'color' && $row_overlay_color) {
            $output .= 'background: ' . $row_overlay_color . ' ;';
        }


        if ( ! empty( $row_overlay_grain ) && empty( $row_overlay ) ) {
            if ( $row_overlay_grain_opacity == '' ) {
                $row_overlay_opacity = 60;
            } else {
                $row_overlay_opacity = $row_overlay_grain_opacity;
            }
        }

        $output .= (!(empty($row_overlay_opacity) && $row_overlay_opacity != 0)) ? "opacity:" . levelup_convert_opacity($row_overlay_opacity, false) . ";" : '';
        $output .= '"></div>';
    }
}


$output .= '<div class="row-container ' . $container_class . '">';
$output .= '<div class="row-inner">';

$output .= wpb_js_remove_wpautop($content);

$output .= '</div>'; // inner
$output .= '</div>'; // inner
$output .= '</div>'; // end row

$output .= '</div>';

$css_r_el = '.wpb_row.vc_row-' . $style_id;
LevelupCSSResponsive( $css_margin, $style_id, $css_r_el, 'margin' );
LevelupCSSResponsive( $css_padding, $style_id, $css_r_el, 'padding' );
LevelupCSSResponsive( $css_offset, $style_id, $css_r_el, 'offset' );

Levelup_Styles::addCSS($style_content, $style_id);

echo $output;

?>
