<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

$output = $separator_data = $transparency = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = 'rdy_separator';
$class_to_filter .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$style_id = levelup_get_uniqid();

$is_vertical = (in_array($type, array('normal', )) && $direction == 'v') ? true : false;


$separator_classes = array();
$separator_styles  = "";
$style_content = '';

$align            = esc_attr( $align );
$color            = esc_attr( $color );
$transparency     = esc_attr( $transparency );
$thickness        = esc_attr( $thickness );
$line_style       = esc_attr( $line_style );
$wave_color       = esc_attr( $wave_color );
$width            = esc_attr( $width );
$animation        = esc_attr( $animation );
$animation_delay  = esc_attr( $animation_delay );
$responsive_width = esc_attr( $responsive_width );


$separator_classes[] = 'rdy_separator_' . $style_id;
$separator_classes[] = $css_class;
$separator_classes[] = $type;
$separator_classes[] = ($align != '') ? ' vc_sep_pos_' . $align : '';

if (in_array($type, array('normal',))) {
    if ($color != '') {
        $separator_styles .= 'border-color: ' . $color . ';';
    }

    if ($transparency !== '') {
        $separator_styles .= 'opacity: ' . $transparency . ';';
    }

    if ($thickness != '') {
        if ($is_vertical) {
            $separator_styles .= 'border-left-width: ' . $thickness . 'px;';
        } else {
            $separator_styles .= 'border-top-width: ' . $thickness . 'px;';
        }

    }

    if ($line_style != '') {
        $separator_styles .= 'border-style: ' . $line_style . ';';
    }
} else if (in_array($type, array('wave1', 'wave2', 'zigzag1', 'zigzag2', 'cross')) && !$is_vertical) {
    if ($wave_color != '') {
        $separator_classes[] = "color-" . $wave_color . " ";
    }
}

if ($width != '') {
    $width_unit = ($width_in_percentages == 'yes') ? '%' : 'px';
    $width_data = $width . $width_unit;


    if ($is_vertical) {
        $separator_styles .= 'max-width: ' . $thickness . 'px;';
        if ($animation) {
            $style_content .= '
            @media screen and (max-width: 992px) {
                .rdy_separator_' . $style_id . ' {
                height: ' . $width_data . ' !important;
                }
            }
            ';
        } else
            $separator_styles .= 'height: ' . $width_data . ';';

    } else {
        if ($animation && $type == 'normal') {
            $style_content .= '
            @media screen and (min-width: 992px) {
                .rdy_separator_' . $style_id . ' {
                width: 0;
                }
            }
            @media screen and (max-width: 992px) {
                .rdy_separator_' . $style_id . ' {
                max-width: ' . $width_data . ' !important;
                width: 100%;
                }
            }
            ';
        } else {
            if ($align != 'inline')
                $separator_styles .= 'max-width: ' . $width_data . ';';
            else
                $separator_styles .= 'width: ' . $width_data . ';';
        }
    }

}

if ($is_vertical) {
    $separator_classes[] = "rdy_sep_vertical";
}


if ($animation && $type == 'normal') {
    if ($is_vertical) {
        $style_content .= '
        @media screen and (min-width: 992px) {
            .rdy_separator_' . $style_id . '.start-animation {
                height: ' . $width_data . ' !important;
            }
        }
        ';
    } else {
        if ($align == 'inline' && $responsive_width) {
            $style_content .= '@media handheld, only screen and (min-width: ' . ($responsive_width == 'sm' ? '960' : '767') . 'px) {';
        } else {
            $style_content .= '@media screen and (min-width: 992px) {';
        }

        $style_content .= '
            .rdy_separator_' . $style_id . '.start-animation {
                width: ' . $width_data . ' !important;
            }
        ';

        if ($align == 'inline' && $responsive_width) {
            $style_content .= '}';
        } else {
            $style_content .= '}';
        }
    }
    if ($animation_delay) {
        $separator_data = ' data-animation-delay="' . $animation_delay . '"';
    }

    $separator_classes[] = 'animate ' . $animation;
    if ($css_animation_repeat) $separator_classes[] = 'animate-loop';
}

if ($align == 'inline' && $responsive_width) {
    $separator_classes[] = 'responsive_width_' . $responsive_width;
}

if ($clean_margin) {
    if ($clean_margin == 'xs') {
        $style_content .= '
        @media (max-width: 767px) {
          .rdy_separator_' . $style_id . ' {';

        if ($clean_margin == 'xs') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0 !important;
             margin-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }
        ';
    }

    if ($clean_margin == 'sm') {
        $style_content .= '
        @media (max-width: 991px) {
          .rdy_separator_' . $style_id . ' {';

        if ($clean_margin == 'sm') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0 !important;
             margin-bottom: 0 !important;
        ';
        }
        $style_content .= '
          }
        }
        ';
    }

    if ($clean_margin == 'md') {
        $style_content .= '
        @media (max-width: 1199px) {
          .rdy_separator_' . $style_id . ' {';

        if ($clean_margin == 'md') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0px !important;
             margin-bottom: 0px !important;
        ';
        }

        $style_content .= '
          }
        }
        ';
    }
}


Levelup_Styles::addCSS($style_content, $style_id);

$output .= '<div class="' . join(' ', $separator_classes) . '" style="' . $separator_styles . '"' . $separator_data . '>';
$output .= '</div>' . "\n";

echo $output;