<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

$output = $el_class = $image = $img_size = $img_link = $img_link_target = $img_link_large = $title = $alignment = $css_animation = $external_img_size = $css = '';
$description_html = $add_caption = $image_src = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$style_id = Levelup_Styles::shortcode_id();

$dir_animation = esc_attr( $dir_animation );
$transition_delay = esc_attr( $transition_delay );


$default_src = vc_asset_url( 'vc/no_image.png' );

// backward compatibility. since 4.6
if ( empty( $onclick ) && isset( $img_link_large ) && 'yes' === $img_link_large ) {
    $onclick = 'img_link_large';
} else if ( empty( $atts['onclick'] ) && ( ! isset( $atts['img_link_large'] ) || 'yes' !== $atts['img_link_large'] ) ) {
    $onclick = 'custom_link';
}

$style = ( $style != '' ) ? $style : '';
$border_color = ( $border_color != '' ) ? ' vc_box_border_' . $border_color : '';

$img = false;


$fullwidth = false;
if ($img_size == 'fullwidth' || $img_size == 'stretch') {
    $fullwidth = true;
    $img_size = 'full';
}


switch ( $source ) {
    case 'media_library':
    case 'featured_image':

        if ( 'featured_image' === $source ) {
            $post_id = get_the_ID();
            if ( $post_id && has_post_thumbnail( $post_id ) ) {
                $img_id = get_post_thumbnail_id( $post_id );
            } else {
                $img_id = 0;
            }
        } else {
            $img_id = preg_replace( '/[^\d]/', '', $image );
        }

        // set rectangular
        if ( preg_match( '/_circle_2$/', $style ) ) {
            $style = preg_replace( '/_circle_2$/', '_circle', $style );
            $img_size = $this->getImageSquareSize( $img_id, $img_size );
        }

        if ( ! $img_size ) {
            $img_size = 'medium';
        }

        $img = wpb_getImageBySize( array(
            'attach_id' => $img_id,
            'thumb_size' => $img_size,
            'class' => 'vc_single_image-img'
        ) );

        // don't show placeholder in public version if post doesn't have featured image
        if ( 'featured_image' === $source ) {
            if ( ! $img && 'page' === vc_manager()->mode() ) {
                return;
            }
        }

        break;

    case 'external_link':
        $dimensions = vcExtractDimensions( $external_img_size );
        $hwstring = $dimensions ? image_hwstring( $dimensions[0], $dimensions[1] ) : '';

        $custom_src = $custom_src ? esc_attr( $custom_src ) : $default_src;

        $img = array(
            'thumbnail' => '<img class="vc_single_image-img" ' . $hwstring . ' src="' . $custom_src . '" />'
        );
        break;

    default:
        $img = false;
}

if ( ! $img ) {
    $img['thumbnail'] = '<img class="vc_img-placeholder vc_single_image-img" src="' . $default_src . '" />';
}

if ( $img ) {
	if ( 'external_link' === $source ) {
		$image_src = $custom_src;
	} else {
		$image_src = wp_get_attachment_image_src( $img_id, 'large' );
		$image_src = $image_src[0];
	}
}

$el_class = $this->getExtraClass( $el_class );

// backward compatibility
if ( vc_has_class( 'prettyphoto', $el_class ) ) {
    $onclick = 'link_image';
}

// backward compatibility. will be removed in 4.7+
if ( ! empty( $atts['img_link'] ) ) {
    $link = $atts['img_link'];
    if ( ! preg_match( '/^(https?\:\/\/|\/\/)/', $link ) ) {
        $link = 'http://' . $link;
    }
}

// backward compatibility
if ( in_array( $link, array( 'none', 'link_no' ) ) ) {
    $link = '';
}


$a_attrs = array();

switch ( $onclick ) {
    case 'img_link_large':

        if ( 'external_link' === $source ) {
            $link = $custom_src;
        } else {
            $link = wp_get_attachment_image_src( $img_id, 'large' );
            $link = $link[0];
        }

        break;

    case 'link_image':
        wp_enqueue_script( 'prettyphoto' );
        wp_enqueue_style( 'prettyphoto' );

        $a_attrs['class'] = 'prettyphoto';
        $a_attrs['rel'] = 'prettyPhoto[rel-' . get_the_ID() . '-' . rand() . ']';

        // backward compatibility
        if ( vc_has_class( 'prettyphoto', $el_class ) ) {
            // $link is already defined
        } else if ( 'external_link' === $source ) {
            $link = $custom_src;
        } else {
            $link = wp_get_attachment_image_src( $img_id, 'large' );
            $link = $link[0];
        }

        break;

    case 'custom_link':
        // $link is already defined
        break;

    case 'zoom':
        wp_enqueue_script( 'vc_image_zoom' );

        if ( 'external_link' === $source ) {
            $large_img_src = $custom_src;
        } else {
            $large_img_src = wp_get_attachment_image_src( $img_id, 'large' );
            if ( $large_img_src ) {
                $large_img_src = $large_img_src[0];
            }
        }

        $img['thumbnail'] = str_replace( '<img ', '<img data-vc-zoom="' . $large_img_src . '" ', $img['thumbnail'] );

        break;
}

// backward compatibility
if ( vc_has_class( 'prettyphoto', $el_class ) ) {
    $el_class = vc_remove_class( 'prettyphoto', $el_class );
}


if ($description_text) {
    $description_style = '';
    if ($bottom_border) {
        $description_style .= 'border-bottom:1px solid ' . ($bottom_border_color ? $bottom_border_color : '#000') . ';';
    }
    $description_style .= ($description_fontsize ? 'font-size:' . esc_attr( $description_fontsize ) . 'px;' : '');
    $description_style .= ($description_align ? 'text-align:' . esc_attr( $description_align ) . ';' : '');

    $description_html = "\n\t\t\t" . '<p style="' . $description_style . '">' . esc_html( $description_text ) . '</p>';
}

$dir_animation_class = '';
if ($dir_animation) {
    $dir_animation_class = ' anm-arrow-' . $dir_animation . '-' . ($dir_animation_loop ? 'inf' : 'hv');

    if ( $dir_animation_hover && empty( $dir_animation_loop ) ) {
        $dir_animation_class .= ' anm-arrow-mout';
    }
}


$overlay_grain_opacity_html = '';
if ( $overlay_grain == 'noise' ){
	$overlay_html = '<div class="img-overlay filmgrain" style="' . ( (!(empty($overlay_grain_opacity) && $overlay_grain_opacity != 0)) ? "opacity:" . levelup_convert_opacity($overlay_grain_opacity, false) . ";" : '' ) . '"></div>';
}

if ( $overlay_grain == 'glitch' && $image_src ){
	$overlay_html = '<div class="img-overlay glitch" data-img-src="' . esc_attr( $image_src ) . '" style="' . ( ( ! ( empty( $overlay_grain_opacity ) && $overlay_grain_opacity != 0 ) ) ? "opacity:" . levelup_convert_opacity( $overlay_grain_opacity, false ) . ";" : '' ) . '"></div>';
}

$html = ( 'vc_box_shadow_3d' === $style ) ? '<span class="vc_box_shadow_3d_wrap">' . $img['thumbnail'] . '</span>' : $img['thumbnail'];
$html = '<div class="vc_single_image-wrapper ' . $style . ' ' . $border_color . '' . ($dir_animation_class ? $dir_animation_class : '') . '">' . ( isset( $overlay_html ) ? $overlay_html : '' ) . $html . '</div>';

if ( $link ) {
    $a_attrs['href'] = $link;
    $a_attrs['target'] = $img_link_target;
    $html = '<a ' . vc_stringify_attributes( $a_attrs ) . '>' . $html . '</a>';
}

$html .= $description_html;


$class_to_filter = 'wpb_single_image wpb_single_image_' . $style_id . ' wpb_content_element ' . ($alignment && $alignment != 'inline' ? 'vc_align_' . $alignment : '') . '' . ($alignment == 'inline' ? ' inline' : '');// . ' ' . $this->getCSSAnimation($css_animation);

$class_css_animation =  "";
if ($css_animation != "") {
    $class_css_animation = $css_animation;
    if ($css_animation_repeat) $class_to_filter .= ' animate-loop';
}

$class_to_filter .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

if ( in_array( $source, array( 'media_library', 'featured_image' ) ) && 'yes' === $add_caption ) {
    $post = get_post( $img_id );
    $caption = $post->post_excerpt;
} else if ( 'external_link' === $source ) {
    $add_caption = 'yes';
}

$style_css = "";
if ($transition_delay != "") {
    $style_css = " style='transition-delay:" . $transition_delay . "ms; -webkit-animation-delay:" . $transition_delay . "ms; -moz-animation-delay:" . $transition_delay . "ms; animation-delay:" . $transition_delay . "ms;'";
}

$style_content = '';
if ($clean_margin || $clean_padding) {
    if ($clean_margin == 'xs' || $clean_padding == 'xs') {
        $style_content .= '
        @media (max-width: 767px) {
          .wpb_single_image_' . $style_id . ' {';

        if ($clean_margin == 'xs') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0 !important;
             margin-bottom: 0 !important;
        ';
        }
        if ($clean_padding == 'xs') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }';
    }

    if ($clean_margin == 'sm' || $clean_padding == 'sm') {
        $style_content .= '
        @media (max-width: 991px) {
          .wpb_single_image_' . $style_id . ' {';

        if ($clean_margin == 'sm') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0 !important;
             margin-bottom: 0 !important;
        ';
        }
        if ($clean_padding == 'sm') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }';
    }

    if ($clean_margin == 'md' || $clean_padding == 'md') {
        $style_content .= '
        @media (max-width: 1199px) {
          .wpb_single_image_' . $style_id . ' {';

        if ($clean_margin == 'md') {
            $style_content .= '
             margin-left: 0 !important;
             margin-right: 0 !important;
             margin-top: 0px !important;
             margin-bottom: 0px !important;
        ';
        }
        if ($clean_padding == 'md') {
            $style_content .= '
             padding-left: 0 !important;
             padding-right: 0 !important;
             padding-top: 0 !important;
             padding-bottom: 0 !important;
        ';
        }

        $style_content .= '
          }
        }';
    }
}


$output = '
	<div class="' . esc_attr(trim($css_class)) . ($fullwidth ? ' fullwidth_image' : '') . ($class_css_animation ? ' animate-element' : '') . '"' . $style_css . '' . ($class_css_animation ? ' data-animation-class="' . $class_css_animation . '"' : '') . '>
		<div class="wpb_wrapper">
			' . wpb_widget_title(array('title' => $title, 'extraclass' => 'wpb_singleimage_heading')) . '
			' . $html . '
		</div>
	</div>
';


Levelup_Styles::addCSS($style_content, $style_id);

echo $output;