<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

$output = $title = $interval = $el_class = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$style_id = Levelup_Styles::shortcode_id();

$item_color        = esc_attr( $item_color );
$active_item_color = esc_attr( $active_item_color );
$separator_color   = esc_attr( $separator_color );
$align             = esc_attr( $align );


wp_enqueue_script( 'jquery-ui-tabs' );

$el_class = $this->getExtraClass( $el_class );

$element = 'wpb_tabs';
if ( 'vc_tour' == $this->shortcode ) $element = 'wpb_tour';


preg_match_all( '/vc_tab([^\]]+)/i', $content, $matches, PREG_OFFSET_CAPTURE );
$tab_titles = array();

if ( isset( $matches[1] ) ) {
    $tab_titles = $matches[1];
}
$tabs_nav = '';
$tabs_nav .= '<ul class="wpb_tabs_nav ui-tabs-nav vc_clearfix">';
foreach ( $tab_titles as $tab ) {
    $tab_atts = shortcode_parse_atts($tab[0]);
    if(isset($tab_atts['title'])) {
        $tabs_nav .= '<li><a href="#tab-' . ( isset( $tab_atts['tab_id'] ) ? $tab_atts['tab_id'] : sanitize_title( $tab_atts['title'] ) ) . '">' . $tab_atts['title'] . '</a></li>';
    }
}
$tabs_nav .= '</ul>' . "\n";

$class_to_filter = '';
$class_to_filter .= $element . ' wpb_content_element ' . vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$css_class .= ' ' . $align;
$css_class .= ' wpb_tabs-' . $style_id;

if ($hide_lines) $css_class .= ' hide-lines';


$style_content = '';
if ($separator_color) {
    $style_content .= '.wpb_tabs-' . $style_id . ' .wpb_tabs_nav:after {
        background: ' . $separator_color . ' !important;
    }';
}

if ($item_color) {
    $style_content .= '
    #wpb_tabs-' . $style_id . ' .wpb_tabs_nav li a,
    #wpb_tabs-' . $style_id . ' .wpb_tabs_nav li a {
        color: ' . $item_color . ';
    }

    #wpb_tabs-' . $style_id . ' .wpb_tabs_nav li a:hover,
    #wpb_tabs-' . $style_id . ' .wpb_tabs_nav li a:hover {
        color: ' . $active_item_color . ' !important;
    }
    ';
}

if ($active_item_color) {
    $style_content .= '
    #wpb_tabs-' . $style_id . ' .wpb_tabs_nav li.ui-tabs-active a,
    #wpb_tabs-' . $style_id . ' .wpb_tabs_nav li.ui-tabs-active a {
        color: ' . $active_item_color . ' !important;
        border-bottom-color: ' . $active_item_color . ' !important;
    }';
}


Levelup_Styles::addCSS($style_content, $style_id);

$output .= "\n\t" . '<div class="' . $css_class . '" id="wpb_tabs-' . $style_id . '" data-interval="' . $interval . '">';
$output .= "\n\t\t" . '<div class="wpb_wrapper wpb_tour_tabs_wrapper ui-tabs vc_clearfix">';
$output .= wpb_widget_title( array( 'title' => $title, 'extraclass' => $element . '_heading' ) );
$output .= "\n\t\t\t" . $tabs_nav;
$output .= "\n\t\t\t" . wpb_js_remove_wpautop( $content );
if ( 'vc_tour' == $this->shortcode ) {
    $output .= "\n\t\t\t" . '<div class="wpb_tour_next_prev_nav vc_clearfix"> <span class="wpb_prev_slide"><a href="#prev" title="' . esc_html__( 'Previous tab', 'LEVELUP' ) . '">' . esc_html__( 'Previous tab', 'LEVELUP' ) . '</a></span> <span class="wpb_next_slide"><a href="#next" title="' . esc_html__( 'Next tab', 'LEVELUP' ) . '">' . esc_html__( 'Next tab', 'LEVELUP' ) . '</a></span></div>';
}
$output .= "\n\t\t" . '</div> ';
$output .= "\n\t" . '</div> ';

echo $output;