<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}
/**
 * Shortcode attributes
 * @var $atts
 * @var $title_align
 * @var $el_width
 * @var $style
 * @var $title
 * @var $align
 * @var $color
 * @var $accent_color
 * @var $el_class
 * @var $layout
 * @var $css
 * @var $border_width
 * Shortcode class
 * @var $this WPBakeryShortcode_Vc_Text_Separator
 */

$title_align = $el_width = $style = $title = $align =
$color = $accent_color = $el_class = $layout = $css =
$border_width = $add_icon = $i_type = $i_icon_fontawesome =
$i_icon_openiconic = $i_icon_typicons = $i_icon_entypo =
$i_icon_linecons = $i_color = $i_custom_color =
$i_background_style = $i_background_color =
$i_custom_background_color = $i_size = $i_css_animation = '';

$position = $up = $down = $container_styles = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class = "vc_separator rdy_separator wpb_content_element";

$class .= ( '' !== $title_align ) ? ' vc_' . $title_align : '';
$class .= ( '' !== $icon_align ) ? ' vc_' . $icon_align : '';
$class .= ( '' !== $el_width ) ? ' vc_sep_width_' . $el_width : ' vc_sep_width_100';
$class .= ( '' !== $style ) ? ' vc_sep_' . $style : '';
$class .= ( '' !== $border_width ) ? ' vc_sep_border_width_' . $border_width : '';
$class .= ( '' !== $align ) ? ' vc_sep_pos_' . $align : '';

$class .= ( 'separator_no_text' === $layout ) ? ' vc_separator_no_text' : '';
//if ( '' !== $color && 'custom' !== $color ) {
//    $class .= ' vc_sep_color_' . $color;
//}

$inline_css = ( 'custom' === $color && '' !== $accent_color ) ? ' style="' . vc_get_css_color( 'border-color', $accent_color ) . '"' : '';

$inline_css_icon = '';
$inline_css_icon .= ( $icon_color!='' ) ? vc_get_css_color('color', $icon_color).';' : '';
$inline_css_icon .= ( $icon_size!='' ) ? 'font-size:'.$icon_size.'px;' : '';
$inline_image_size = ( $icon_size!='' ) ? 'max-width:'.$icon_size.'px;' : '';


$class_to_filter = $class;
$class_to_filter .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );
$css_class = esc_attr( trim( $css_class ) );


$separator_classes = "";
$separator_styles  = "";

$separator_classes .= "rdy_separator ";
$separator_classes .= esc_attr( $type ) . " ";
$separator_classes .= esc_attr( $position ) . " ";


if ($up != '') {
    $container_styles .= 'margin-top: ' . esc_attr( $up ) . 'px;';
}

if ($down != '') {
    $container_styles .= 'margin-bottom: ' . esc_attr( $down ) . 'px;';
}


if (in_array($type, array('normal',))) {
    if ($color != '') {
        $separator_styles .= 'border-color: ' . esc_attr( $color ) . ';';
    }

    if ($thickness != '') {
        $separator_styles .= 'border-top-width: ' . esc_attr( $thickness ) . 'px;';
    }

    if ($line_style != '') {
        $separator_styles .= 'border-style: ' . $line_style . ';';
    }

} else if (in_array($type, array('wave1', 'wave2', 'zigzag1', 'zigzag2', 'cross'))) {
    if ($wave_color != '') {
        $separator_classes .= "color-" . esc_attr( $wave_color ) . " ";
    }
}


if ($text_type == 'icon') {
    $gap_style = 'margin: 0 ' . ($gap ? $gap : 20) . 'px;';
} else {
    if ( $title_align == 'separator_align_center' ) {
        $gap_style = 'padding: 0 ' . ($gap ? $gap : 20) . 'px;';
    } else if ( $title_align == 'separator_align_right' ) {
        $gap_style = 'padding-left: ' . ($gap ? $gap : 20) . 'px;';
    } else if ( $title_align == 'separator_align_left' ) {
        $gap_style = 'padding-right: ' . ($gap ? $gap : 20) . 'px;';
    }
}


if ($width != '') {
    $width_unit = ($width_in_percentages == 'yes') ? '%' : 'px';
    $container_styles .= 'max-width: ' . $width . $width_unit . ';';
}

//$separator_classes .= $this->getExtraClass($el_class);

if ($text_type != 'icon' && $title != '' && $google_fonts) {
    $text_html = do_shortcode('[vc_custom_heading text="' . $title . '" google_fonts="' . $google_fonts . '" font_container="' . $font_container . '" font_title_responsive="' . $font_title_responsive . '" ]');
} elseif ($text_type != 'icon' && $title != '' && !$google_fonts) {
    $text_html = $title;
}

$icon_class = '';
if ($text_type == 'icon' && $font_title_responsive && $icon_size) {
    $icon_class = levelup_calculate_responsive_font_class($icon_size);
}

if ($text_type == 'icon' && $icon_type) {
    vc_icon_element_fonts_enqueue($icon_type);
}

$image_src = '';
if (is_numeric($image)) {
    $image_src = wp_get_attachment_url($image);
    $image_meta = wp_get_attachment_metadata($image);
}

?>
<div class="vc_separator_wrapper">
<div class="<?php echo esc_attr(trim($css_class)); ?>" style="<?php echo esc_attr( $container_styles );?>">
    <span class="vc_sep_holder vc_sep_holder_l <?php echo esc_attr( $separator_classes );?>"><span style="<?php echo esc_attr( $separator_styles );?>"<?php echo esc_attr( $inline_css ); ?> class="vc_sep_line"></span></span>
    <?php if($text_type != 'icon' && $title!=''): ?><span style="<?php echo esc_attr( $gap_style );?>"><?php echo $text_html; ?></span><?php endif; ?>
    <?php if($text_type == 'icon' && !$image): ?><i class="rdy_icon_element-icon <?php echo esc_attr( ${"icon_" . $icon_type} );?> <?php echo esc_attr( $icon_class );?>" style="<?php echo esc_attr( $gap_style ) . esc_attr( $inline_css_icon );?>"></i><?php endif; ?>
    <?php if($text_type == 'icon' && $image_src): ?><span style="display: inline-block;"><img style="<?php echo esc_attr( $gap_style ) . esc_attr( $inline_image_size );?>" src="<?php echo esc_url( $image_src );?>"><?php endif; ?></span>
    <span class="vc_sep_holder vc_sep_holder_r <?php echo esc_attr( $separator_classes );?>"><span style="<?php echo esc_attr( $separator_styles );?>"<?php echo esc_attr( $inline_css ); ?> class="vc_sep_line"></span></span>
</div>
</div>