<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }


function levelup_add_thumbnails_column_in_admin( $defaults ){
    $head = array_slice( $defaults, 0, 1 );
    $tail = array_slice( $defaults, 1 );

    $head['birdy-thumbs'] = _x( 'Thumbnail', 'backend', 'LEVELUP' );

    $defaults = array_merge( $head, $tail );

    return $defaults;
}

add_filter('manage_edit-portfolio_columns', 'levelup_add_thumbnails_column_in_admin');


function levelup_get_admin_thumbnail ( $post_id, $max_w = 100, $max_h = 100, $noimage = '' ) {
    $thumb = array();

    if ( has_post_thumbnail( $post_id ) ) {
        $thumb = wp_get_attachment_image_src( get_post_thumbnail_id( $post_id ), 'thumbnail' );
    }

    if ( empty( $thumb ) ) {

        if ( ! $noimage ) {
            return false;
        }

        $thumb = $noimage;
        $w = $max_w;
        $h = $max_h;
    } else {

        $sizes = wp_constrain_dimensions( $thumb[1], $thumb[2], $max_w, $max_h );
        $w = $sizes[0];
        $h = $sizes[1];
        $thumb = $thumb[0];
    }

    return array( esc_url( $thumb ), $w, $h );
}

function levelup_admin_thumbnail ( $post_id ) {
    $default_image = LEVELUP_TEMPLATE_URL . '/images/noimage-thumbnail.jpg';
    $thumbnail = levelup_get_admin_thumbnail( $post_id, 100, 100, $default_image );

    if ( $thumbnail ) {
        echo '<a style="width: 100%; text-align: center; display: block;" href="post.php?post=' . absint($post_id) . '&action=edit" title="">
            <img src="' . esc_url($thumbnail[0]) . '" width="' . esc_attr($thumbnail[1]) . '" height="' . esc_attr($thumbnail[2]) . '" alt="" />
        </a>';
    }
}


function levelup_display_thumbnails_in_admin( $column_name, $id ){
    switch ( $column_name ) {
        case 'birdy-thumbs': levelup_admin_thumbnail( $id ); break;

    }
}

add_action( 'manage_posts_custom_column', 'levelup_display_thumbnails_in_admin', 10, 2 );
add_action( 'manage_pages_custom_column', 'levelup_display_thumbnails_in_admin', 10, 2 );