<?php

//levelup_config_base_init();

get_header();

global $levelup_options;

$levelup_projects_list = '';

$levelup_classes   = array( 'columns-project' );
$levelup_classes[] = 'project-list__style';

if ( $levelup_options['project-list__style'] ) {
    $levelup_classes[] = 'project-fullwidth';
}

?>

<div <?php post_class( levelup_sanitize_classes( $levelup_classes ) ); ?>>

    <?php if ( have_posts() ) : ?>
        <div class="column">
            <div class="lines">
                <?php $levelup_pos = 0; $levelup_posts_count = levelup_get_posts_count(); ?>
                <?php while ( have_posts() ) : the_post(); $levelup_pos++;?>
                    <?php

                    $levelup_projects_list .= '<a href="#" class="project">';
                    if ( $levelup_options['project-list__pagination'] == 'title' || $levelup_options['project-list__pagination'] == 'dash_title' ) {
                        $levelup_projects_list .= '<span>';
                        if ( $levelup_options['project-list__pagination'] == 'dash_title' && $levelup_options['project-list__dots_align'] != 'right' ) {
                            $levelup_projects_list .= ' &#8212; ';
                        }
                        $levelup_projects_list .= the_title( '', '', false );
                        if ( $levelup_options['project-list__pagination'] == 'dash_title' && $levelup_options['project-list__dots_align'] == 'right' ) {
                            $levelup_projects_list .= ' &#8212; ';
                        }
                        $levelup_projects_list .= '</span>';
                    }
                    $levelup_projects_list .= '</a>';

                    set_query_var( 'pos', $levelup_pos );
                    set_query_var( 'posts_count', $levelup_posts_count );
                    get_template_part( 'templates/slides-loop', get_post_format() );

                    ?>
            <?php endwhile; ?>
            </div>

            <div class="illustrations-container hidden<?php if ( isset($levelup_options['project-list__show_hover']) && $levelup_options['project-list__show_hover'] ):?> hovered<?php endif;?>">
                <div class="illustrations animated">
                <?php while ( have_posts() ) : the_post(); ?>
                    <?php

                    get_template_part( 'templates/slides-loop-img', get_post_format() );

                    ?>
                <?php endwhile; ?>
                </div>
            </div>

        </div>
    <?php else : ?>
        <?php get_template_part( 'content', 'none' ); ?>
    <?php endif; ?>

    <div class="projects-list<?php if ( isset($levelup_options['project-list__dots_style']) && $levelup_options['project-list__dots_style'] ){ echo ' ' . esc_attr( $levelup_options['project-list__dots_style'] ); } else { echo ' style1'; }  if ( isset($levelup_options['project-list__dots_align']) && $levelup_options['project-list__dots_align'] == 'right' ){ echo ' cnt-right'; } if ( isset($levelup_options['project-list__dots_valign']) && $levelup_options['project-list__dots_valign'] == 'middle' ){ echo ' cnt-middle'; }?><?php if ( empty($levelup_options['project-list__pagination']) ) echo ' display_none"';?>"<?php if ( $levelup_options['project-list__pagination'] == 'title' || $levelup_options['project-list__pagination'] == 'dash_title' ) echo ' data-title="1"';?>>
        <?php echo $levelup_projects_list; ?>
    </div>

</div>

<?php get_footer(); ?>
