<?php

if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) : ?>

		<h5 class="comments-title">
			<?php
				printf( _nx( '1 Comment', '%1$s Comments', get_comments_number(), 'comments title', 'LEVELUP' ),
					number_format_i18n( get_comments_number() ) );
			?>
		</h5>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-above" class="comment-navigation" role="navigation">
			<h1 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'LEVELUP' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'LEVELUP' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'LEVELUP' ) ); ?></div>
		</nav><!-- #comment-nav-above -->
		<?php endif; // check for comment navigation ?>
        

		<ol class="comment-list">
			<?php
				wp_list_comments( array(
					'style'      => 'ol',
					'short_ping' => true,
                    'callback' => 'levelup_comments_callback',
                    'avatar_size' => 80
				) );
			?>
		</ol><!-- .comment-list -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-below" class="comment-navigation" role="navigation">
			<h1 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'LEVELUP' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link(  esc_html__( '&larr; Older Comments', 'LEVELUP' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'LEVELUP' ) ); ?></div>
		</nav><!-- #comment-nav-below -->
		<?php endif; // check for comment navigation ?>

	<?php endif; // have_comments() ?>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'LEVELUP' ); ?></p>
	<?php endif; ?>
    <?php
    $commenter = wp_get_current_commenter();
    $req = get_option( 'require_name_email' );
    $aria_req = ( $req ? " aria-required='true'" : '' );
    $required_text = sprintf( ' ' . esc_html__('Required fields are marked %s', 'LEVELUP'), '<span class="required">*</span>' );

    $comment_form_args = array(
        'fields'	=> apply_filters( 'comment_form_default_fields', array(
                'author' => '<div class="form-fields"><div class="row"><div class="col-md-4"><label>' . esc_html__( 'Name&#42;', 'LEVELUP' ) . '</label><span class="comment-form-author"><input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></span></div>',
                'email' => '<div class="col-md-4"><label>' . esc_html__( 'Email&#42;', 'LEVELUP' ) . '</label><span class="comment-form-email"><input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></span></div>',
                'url' => '<div class="col-md-4"><label>' . esc_html__( 'Website', 'LEVELUP' ) . '</label><span class="comment-form-url"><input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></span></div></div></div>'
            )
        ),

        'title_reply' =>  esc_html__( 'Leave a Comment', 'LEVELUP' ),
        'comment_field'	=> '<p class="comment-form-comment"><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
        'comment_notes_after' => '',

        'must_log_in' => '<p class="must-log-in text-small">' .  sprintf( wp_kses( __( 'You must be <a href="%s">logged in</a> to post a comment.', 'LEVELUP' ), array( 'a' => array( 'href' => array() ) ) ), wp_login_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>',
        'logged_in_as' => '<p class="logged-in-as text-small">' . sprintf( wp_kses( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', 'LEVELUP' ) , array( 'a' => array( 'href' => array() ) ) ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>',
        'comment_notes_before' => '<p class="comment-notes">' . esc_html__( 'Your email address will not be published.', 'LEVELUP' ) . ( $req ? $required_text : '' ) . '</p>',
        'class_submit' => 'submit rdy_button',
    );
    ?>
	<?php comment_form($comment_form_args); ?>

</div><!-- #comments -->
