<?php

global $levelup_options;

$levelup_post_format      = get_post_format();
$levelup_post_class       = array();
$levelup_video_post_style = get_post_meta($post->ID, '_rdy_page_video_post_style', true);

switch ( $levelup_post_format ) {
    case "video":
        array_push( $levelup_post_class, "video" );
        $levelup_featured_image_show = false;
        break;
    case "audio":
        array_push( $levelup_post_class, "audio" );
        $levelup_featured_image_show = false;
        break;
    case "quote":
        array_push( $levelup_post_class, "quote" );
        $levelup_featured_image_show = false;
        break;
    default:

}

?>


<article id="post-<?php the_ID(); ?>" <?php post_class( levelup_sanitize_classes( $levelup_post_class ) ); ?>>
    <div class="single-post">

	<div class="entry-content row">

        <?php
        switch ($levelup_post_format) {
            case "video":
                ?>

                <?php
                if ( ! $levelup_video_post_style ) {
                    $levelup_video_embed  = get_post_meta( $post->ID, '_rdy_page_video_embed', true );
                    $levelup_video_m4v    = get_post_meta( $post->ID, '_rdy_page_video_m4v', true );
                    $levelup_video_ogv    = get_post_meta( $post->ID, '_rdy_page_video_ogv', true );
                    $levelup_video_poster = get_post_meta( $post->ID, '_rdy_page_video_image', true );

                    $video_container_class = 'container video-wrap';

                    if ( ! empty( $levelup_video_embed ) || ! empty( $levelup_video_m4v ) ) {

                        if ( ! empty( $levelup_video_embed ) ) {

                            echo '<div class="' . esc_attr( $video_container_class ) . '">' . do_shortcode( $levelup_video_embed ) . '</div>';

                        } else {
                            if ( ! empty( $levelup_video_m4v ) || ! empty( $levelup_video_ogv ) ) {

                                $levelup_video_output = '[video ';

                                if ( ! empty( $levelup_video_m4v ) ) {
                                    $levelup_video_output .= 'mp4="' . esc_url( $levelup_video_m4v ) . '" ';
                                }
                                if ( ! empty( $levelup_video_ogv ) ) {
                                    $levelup_video_output .= 'ogv="' . esc_url( $levelup_video_ogv ) . '"';
                                }
                                $levelup_video_poster_src = wp_get_attachment_image_src( $levelup_video_poster, 'full' );
                                $levelup_video_output .= ' poster="' . esc_url( $levelup_video_poster_src[0] ) . '"]';

                                echo '<div class="' . esc_attr( $video_container_class ) . '">' . do_shortcode( $levelup_video_output ) . '</div>';
                            }
                        }

                    }
                }
                ?>

                <?php
                break;
            case "audio":
                ?>

                <div class="container inner">
                <div class="audio-wrap">
                    <?php

                    $levelup_audio_mp3 = get_post_meta($post->ID, '_rdy_page_audio_mp3', true);
                    $levelup_audio_ogg = get_post_meta($post->ID, '_rdy_page_audio_ogg', true);

                    if ( ! empty( $levelup_audio_ogg ) || ! empty( $levelup_audio_mp3 ) ) {

                        $levelup_audio_output = '[audio ';

                        if ( ! empty( $levelup_audio_mp3 ) ) {
                            $levelup_audio_output .= 'mp3="' . esc_url( $levelup_audio_mp3 ) . '" ';
                        }
                        if ( ! empty( $levelup_audio_ogg ) ) {
                            $levelup_audio_output .= 'ogg="' . esc_url( $levelup_audio_ogg ) . '"';
                        }

                        $levelup_audio_output .= ']';

                        echo do_shortcode($levelup_audio_output);
                    }

                    ?>
                </div><!--/audio-wrap-->
                </div>

                <?php
                break;

            default:

        }
        ?>

        <?php

        $has_row = false;

        $the_content = get_the_content();

        if ( has_shortcode( $the_content, 'vc_row' ) ) $has_row = true;

        if ( ! $has_row) {
            $the_content = apply_filters('the_content', $the_content);
            $the_content = levelup_get_row_block( do_shortcode( $the_content ) );
            echo $the_content;
        } else {
            the_content();
        }
        ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'LEVELUP' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->


        <div class="row blog-single blog-single-footer">

            <div class="wrapper__lines">

                <?php if( is_singular( 'post' ) ): ?>
                <div class="container inner">
                    <div class="row tags_wrapper">
                        <div class="col-md-12">
                            <div class="tags_line clearfix">
                                <div class="row">

                                <div class="col-sm-6 col-xs-12 blog-holder-tags">
                                    <div class="tags_holder"><?php the_tags( '<b>Tags:</b> ', ',' ); ?></div>
                                </div>

                                <?php
                                if ( $levelup_options['blog_social'] ) {
                                    levelup_display_share_buttons( 'post', array( 'echo'  => true,
                                                                                  'class' => 'col-sm-6 col-xs-12'
                                    ) );
                                }
                                ?>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php endif; ?>


            </div>

            <?php if ( is_singular( 'post' ) ): ?>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-xs-12 col-md-8 col-md-offset-2">
                        <?php
                        if ( !empty($levelup_options['author_bio']) && $levelup_options['author_bio'] == 1 ) {
                            levelup_display_post_author();
                        }
                        ?>
                    </div>
                </div>
            </div>
            <?php endif; ?>


        </div>

    </div>
</article><!-- #post-## -->
