<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }


if ( ! function_exists( 'levelup_get_social_icons_data' ) ) {

    function levelup_get_social_icons_data() {
        return array(
            'facebook'		=> esc_html__('Facebook', 'LEVELUP'),
            'twitter'		=> esc_html__('Twitter', 'LEVELUP'),
            'google'		=> esc_html__('Google+', 'LEVELUP'),
            'google-plus'	=> esc_html__('Google+', 'LEVELUP'),
            'dribbble'		=> esc_html__('Dribbble', 'LEVELUP'),
            'youtube'		=> esc_html__('YouTube', 'LEVELUP'),
            'rss'			=> esc_html__('Rss', 'LEVELUP'),
            'delicious'		=> esc_html__('Delicious', 'LEVELUP'),
            'flickr'		=> esc_html__('Flickr', 'LEVELUP'),
            'forrst'		=> esc_html__('Forrst', 'LEVELUP'),
            'lastfm'		=> esc_html__('Lastfm', 'LEVELUP'),
            'linkedin'		=> esc_html__('Linkedin', 'LEVELUP'),
            'vimeo'			=> esc_html__('Vimeo', 'LEVELUP'),
            'tumblr'		=> esc_html__('Tumblr', 'LEVELUP'),
            'pinterest'		=> esc_html__('Pinterest', 'LEVELUP'),
            'devian'		=> esc_html__('Deviantart', 'LEVELUP'),
            'skype'			=> esc_html__('Skype', 'LEVELUP'),
            'github'		=> esc_html__('Github', 'LEVELUP'),
            'instagram'		=> esc_html__('Instagram', 'LEVELUP'),
            'stumbleupon'	=> esc_html__('Stumbleupon', 'LEVELUP'),
            'behance'		=> esc_html__('Behance', 'LEVELUP'),
            'mail'			=> esc_html__('Mail', 'LEVELUP'),
            'website'		=> esc_html__('Website', 'LEVELUP'),
            'px-500'		=> esc_html__('500px', 'LEVELUP'),
            'tripadvisor'	=> esc_html__('TripAdvisor', 'LEVELUP'),
            'vk'			=> esc_html__('VK', 'LEVELUP'),
            'foursquare'	=> esc_html__('Foursquare', 'LEVELUP'),
            'xing'			=> esc_html__('XING', 'LEVELUP'),
            'weibo'			=> esc_html__('Weibo', 'LEVELUP'),
            'wechat'		=> esc_html__('WeChat', 'LEVELUP'),
            'snapchat'		=> esc_html__('Snapchat', 'LEVELUP'),
            'flickr'		=> esc_html__('Flickr', 'LEVELUP'),
            'soundcloud'	=> esc_html__('SoundCloud ', 'LEVELUP'),
            'odnoklassniki'	=> esc_html__('Odnoklassniki', 'LEVELUP'),
        );
    }

}


if ( ! function_exists( 'levelup_get_team_links_array' ) ) {

    function levelup_get_team_links_array() {
        $team_links =  array(
            'website'		=> array( 'desc' => _x( 'Personal blog / website', 'team link', 'LEVELUP' ) ),
            'mail'			=> array( 'desc' => _x( 'E-mail', 'team link', 'LEVELUP' ) ),
        );

        $common_links = levelup_get_social_icons_data();
        if ($common_links) {

            foreach ($common_links as $key => $value) {

                if (isset($team_links[$key])) {
                    continue;
                }

                $team_links[$key] = array('desc' => $value);
            }
        }

        return $team_links;
    }

}


if ( ! function_exists( 'levelup_populate_team_config' ) ) {

    function levelup_populate_team_config( $target_post_id = 0 ) {

        global $post;

        if ($target_post_id) {
            $post_id = $target_post_id;
        } elseif ($post && !empty($post->ID)) {
            $post_id = $post->ID;
        } else {
            return false;
        }

        $config = Levelup_Config::get_instance();
        $prefix = '_rdy_teams_';

        $open_as = get_post_meta( $post_id, "{$prefix}go_page", true );
        $config->set( 'post.open_as', ( $open_as ? 'post' : 'none' ) );

        $config->set( 'post.member.job', get_post_meta( $post_id, "{$prefix}job", true ), '' );
        $config->set( 'post.member.name', get_post_meta( $post_id, "{$prefix}name", true ), '' );
        $config->set( 'post.member.description', get_post_meta( $post_id, "{$prefix}description", true ), '' );
        $config->set( 'post.member.website', get_post_meta( $post_id, "{$prefix}link", true ), '' );
        $config->set( 'post.member.email', get_post_meta( $post_id, "{$prefix}email", true ), '' );
        $config->set( 'post.member.facebook', get_post_meta( $post_id, "{$prefix}facebook", true ), '' );
        $config->set( 'post.member.hover_icon', get_post_meta( $post_id, "{$prefix}hover_icon", true ), '' );


        $teammate_links = levelup_get_team_links_array();

        $links = array();
        foreach ( $teammate_links as $id=>$data ) {
	        if ( $id == 'mail' && $config->get( 'post.member.email' ) ) {
		        $links[ $id ] = $config->get( 'post.member.email' );
        		continue;
	        } else if ( $id == 'website' && $config->get( 'post.member.website' ) ) {
		        $links[ $id ] = $config->get( 'post.member.website' );
        		continue;
	        }

            $link = get_post_meta( $post_id, "{$prefix}{$id}", true );
            if ( $link ) {
                $links[ $id ] = $link;
            }
        }
        $config->set( 'post.preview.links', $links, array() );

        return true;
    }

}


if ( ! function_exists( 'levelup_get_team_custom_icon' ) ) {

    function levelup_get_team_custom_icon( $target_post_id = 0 ) {

        global $post;

        if ($target_post_id) {
            $post_id = $target_post_id;
        } elseif ($post && !empty($post->ID)) {
            $post_id = $post->ID;
        } else {
            return false;
        }

        $prefix = '_rdy_teams_';
        $hover_icon = get_post_meta( $post_id, "{$prefix}hover_icon", true );

        $id = $hover_icon;
        $link = get_post_meta( $post_id, "{$prefix}{$id}", true );
        if ($id == 'email') {
            $link = "mailto:" . esc_url( $link );
        }

        return $link;
    }

}


function levelup_get_the_post_id() {
    if (in_the_loop()) {
        $post_id = get_the_ID();
    } else {
        global $wp_query;
        $post_id = $wp_query->get_queried_object_id();
    }
    return $post_id;
}


if ( ! function_exists( 'levelup_config_base_init' ) ) {

    function levelup_config_base_init( $new_post_id = null ) {
        global $levelup_options;

        $config = Levelup_Config::get_instance();

	    levelup_config_populate_archive_vars();

        $post_id = $config->get('post_id');

        if ( null == $post_id ) {
            global $post;

            if (is_home()) {
                $post_id = ('page' == get_option('show_on_front') ? get_option('page_for_posts') : 0);

            } else if (is_author() || is_category() || is_tag() || is_search() || ('rdy_project' == get_post_type() && !is_single())) {
                $post_id = null;
            } else if ($new_post_id) {
                $post_id = $new_post_id;
            } else if (!empty($post)) {
                $post_id = $post->ID;
            }

            $config->set( 'post_id', $post_id );
        }

        if ( empty( $post_id ) ) {
            return;
        }


        levelup_config_populate_header_options();
	    levelup_config_sidebar_options();

        $cur_post_type = get_post_type( $post_id );
        switch ( $cur_post_type ) {
            case 'page':
                break;
            case 'post':
                break;
        }

//        do_action( 'levelup_config_base_init' );
    }

    add_action('levelup_config_base_init', 'levelup_config_base_init');

}


if ( ! function_exists( 'levelup_config_populate_archive_vars' ) ) {

    function levelup_config_populate_archive_vars() {
        global $levelup_options;

        $config = levelup_config();

        $config->set( 'siteheader.layout', levelup_get_options('header-layout'), false );
        $config->set( 'siteheader.mobile.stiky', levelup_get_options('header-mobile-sticky'), false );

        if ( $levelup_options['header-layout'] == 'gamburg' || $levelup_options['header-layout'] == 'gamburg_full') {
            $config->set('siteheader.layout.gamburg', true);
        }

        $config->set( 'page_title.align', levelup_get_options( 'page-title-layout' ) );
        $config->set( 'page_title.height', levelup_get_options( 'page-title-height', 350 ) );

        if ($levelup_options['header-background-appear-enable']) {
            $config->set('siteheader.background_appear', levelup_get_options('header-background-appear', 200), false);
        }

        if (function_exists( 'levelup_woocommerce_get_header_category' )) $config->set( 'wc.header.category.disable', levelup_woocommerce_get_header_category(), false );
        if (function_exists( 'levelup_woocommerce_get_header_image_url' )) $config->set( 'wc.header.image.src', levelup_woocommerce_get_header_image_url(), false );
        if (function_exists( 'levelup_woocommerce_get_header_textcolor' )) $config->set( 'wc.header.text.color', levelup_woocommerce_get_header_textcolor(), '' );
        if (function_exists( 'levelup_woocommerce_get_header_color' )) $config->set( 'wc.header.bgcolor', levelup_woocommerce_get_header_color(), '' );
        if (function_exists( 'levelup_woocommerce_get_header_padding_top' )) $config->set( 'wc.header.padding.top', levelup_woocommerce_get_header_padding_top(), 20 );
        if (function_exists( 'levelup_woocommerce_get_header_padding_bottom' )) $config->set( 'wc.header.padding.bottom', levelup_woocommerce_get_header_padding_bottom(), 20 );


        $post_sidebar = $levelup_options['blog-post__sidebar'];

        if (isset($_GET["post_sidebar"])){
            $post_sidebar = 'right';
        }
        $config->set( 'post.sidebar', $post_sidebar, false );
    }

}


if ( ! function_exists( 'levelup_config_populate_header_options' ) ) {

    function levelup_config_populate_header_options() {
        global $levelup_options;

        $config = Levelup_Config::get_instance();
        $post_id = $config->get( 'post_id' );


        $prefix = '_rdy_header_';

        $header_title = get_post_meta( $post_id, "{$prefix}title", true );
        if (is_404()) {
            $config->set('header_title', 'disabled');
        } else {
            $config->set('header_title', ($header_title ? $header_title : null), 'enabled');
        }

        $config->set( 'page.bg.color', get_post_meta( $post_id, "{$prefix}page_bg_color", true ), '' );
        $config->set( 'page.bg.image', get_post_meta( $post_id, "{$prefix}page_bg_image", true ) );
        $config->set( 'page.bg.repeat', get_post_meta( $post_id, "{$prefix}bg_repeat", true ) );
        $config->set( 'page.bg.position.x', get_post_meta( $post_id, "{$prefix}bg_position_x", true ) );
        $config->set( 'page.bg.position.y', get_post_meta( $post_id, "{$prefix}bg_position_y", true ) );
        $config->set( 'page.bg.fullscreen', get_post_meta( $post_id, "{$prefix}bg_fullscreen", true ) );
        $config->set( 'page.bg.fixed', get_post_meta( $post_id, "{$prefix}bg_fixed", true ) );


        $config->set( 'header.subtitle', get_post_meta( $post_id, "{$prefix}regular_subtitle", true ), false );
        $config->set( 'header.featured_image_bg', get_post_meta( $post_id, "{$prefix}featured_image_bg", true ), false );
        $config->set( 'header.swap_titles', get_post_meta( $post_id, "{$prefix}swap_titles", true ), '' );
        $config->set( 'header.status', get_post_meta( $post_id, "{$prefix}header_status", true ), false );
        $config->set( 'header.transparent', get_post_meta( $post_id, "{$prefix}header_transparent", true ), false );
        $config->set( 'header.transparent.style', get_post_meta( $post_id, "{$prefix}header_transparent_style", true ), false );
        $config->set( 'header.transparent.appear', get_post_meta( $post_id, "{$prefix}header_transparent_appear", true ), false );
        $config->set( 'header.transparent.appear_line_hide', get_post_meta( $post_id, "{$prefix}header_transparent_appear_line_hide", true ), false );
        if ($config->get('header.transparent.appear')) {
            $config->set('siteheader.background_appear', $config->get('header.transparent.appear'), false);
        }

        $config->set( 'header.logo_style', get_post_meta( $post_id, "{$prefix}logo_style", true ), '' );
        $config->set( 'disable_footer', get_post_meta( $post_id, "{$prefix}disable_footer", true ), false );
        $config->set( 'disable_footer_margin', get_post_meta( $post_id, "{$prefix}disable_footer_margin", true ), false );
        $config->set( 'disable_footer_widget', get_post_meta( $post_id, "{$prefix}disable_footer_widget", true ), false );
        $config->set( 'disable_content_padding', get_post_meta( $post_id, "{$prefix}disable_content_padding", true ), false );
        $config->set( 'header.breadcrumbs.color', get_post_meta( $post_id, "{$prefix}breadcrumbs_color", true ), false );
	    if ( ! $config->get( 'header.breadcrumbs.color' ) ) {
		    $config->set( 'header.breadcrumbs.color', levelup_get_options( 'page-title-breadcrumbs-color-style' ), false );
	    }


        switch ( $header_title ) {
            case 'fancy':
            case 'slideshow':
                $config->set( 'header_background', get_post_meta( $post_id, "{$prefix}background", true ), 'normal' );
                $config->set( 'header.transparent.background.opacity', get_post_meta( $post_id, "{$prefix}transparent_bg_opacity", true ), 50 );
                $config->set( 'header.transparent.background.color', get_post_meta( $post_id, "{$prefix}transparent_bg_color", true ), '#000000' );
                $config->set( 'header.transparent.background.style', get_post_meta( $post_id, "{$prefix}transparent_bg_style", true ), 'solid_background' );

                $config->set( 'header.transparent.menu_text.color.mode', get_post_meta( $post_id, "{$prefix}transparent_menu_text_color_mode", true ), 'light' );
                $config->set( 'header.transparent.menu_decoration.color.mode', get_post_meta( $post_id, "{$prefix}transparent_menu_hover_color_mode", true ), 'light' );
                $config->set( 'header.transparent.top_bar.color.mode', get_post_meta( $post_id, "{$prefix}transparent_menu_top_bar_color_mode", true ), 'light' );
                break;

            case 'disabled':
                break;
            case 'enabled':
            default:
                break;
        }

        $prefix = '_rdy_slideshow_';

        $config->set( 'header.slider.type', get_post_meta( $post_id, "{$prefix}header_slider_type", true ), '' );
        $config->set( 'header.slider.id', get_post_meta( $post_id, "{$prefix}header_slider_id", true ), '' );


        $prefix = '_rdy_fancy_header_';

        // title
        $config->set( 'fancy_header.title', get_post_meta( $post_id, "{$prefix}title", true ), '' );
        $config->set( 'fancy_header.title.aligment', get_post_meta( $post_id, "{$prefix}title_aligment", true ), 'center' );
        $config->set( 'fancy_header.title.font.size', ( isset($levelup_options['page_title_font']) && array_key_exists('font-size', $levelup_options['page_title_font']) ? absint( $levelup_options['page_title_font']['font-size']) : false), '30' );
        $config->set( 'fancy_header.title.color', get_post_meta( $post_id, "{$prefix}title_color", true ), '#ffffff' );
        $config->set( 'fancy_header.title.shadow', get_post_meta( $post_id, "{$prefix}title_shadow", true ), '' );
        $config->set( 'fancy_header.title.gradient.color1', get_post_meta( $post_id, "{$prefix}title_gradient_color1", true ), '' );
        $config->set( 'fancy_header.title.gradient.color2', get_post_meta( $post_id, "{$prefix}title_gradient_color2", true ), '' );
        $config->set( 'fancy_header.title.gradient.color3', get_post_meta( $post_id, "{$prefix}title_gradient_color3", true ), '' );

        $config->set( 'fancy_header.title.animation', get_post_meta( $post_id, "{$prefix}big_title_animation", true ), 'disable' );
        $config->set( 'fancy_header.title.valign', get_post_meta( $post_id, "{$prefix}big_title_valign", true ), 'middle' );
        $config->set( 'fancy_header.title.margin_bottom', intval(get_post_meta( $post_id, "{$prefix}title_margin_bottom", true ) ) );

        $config->set( 'fancy_header.header_fullscreen', get_post_meta( $post_id, "{$prefix}fullscreen", true ) );
        $config->set( 'fancy_header.down_button', get_post_meta( $post_id, "{$prefix}down_button", true ) );
        $config->set( 'fancy_header.margin_top', intval(get_post_meta( $post_id, "{$prefix}margin_top", true ) ) );
        $config->set( 'fancy_header.margin_bottom', intval(get_post_meta( $post_id, "{$prefix}margin_bottom", true ) ) );
        $config->set( 'fancy_header.highlight', get_post_meta( $post_id, "{$prefix}highlight", true ), '' );
        $config->set( 'fancy_header.overlay', get_post_meta( $post_id, "{$prefix}overlay", true ), '' );
        $config->set( 'fancy_header.overlay_fx', get_post_meta( $post_id, "{$prefix}overlay_fx", true ), '' );
        $config->set( 'fancy_header.overlay_color', get_post_meta( $post_id, "{$prefix}overlay_color", true ), '' );
        $config->set( 'fancy_header.overlay_color2', get_post_meta( $post_id, "{$prefix}overlay_color2", true ), '' );
        $config->set( 'fancy_header.overlay_gradient_direction', get_post_meta( $post_id, "{$prefix}gradient_direction", true ), '' );
        $config->set( 'fancy_header.overlay_opacity', get_post_meta( $post_id, "{$prefix}overlay_opacity", true ), '' );
        $config->set( 'fancy_header.overlay_animation', get_post_meta( $post_id, "{$prefix}overlay_animation", true ), '' );

        // subtitle
        $config->set( 'fancy_header.subtitle', get_post_meta( $post_id, "{$prefix}subtitle", true ), '' );

        $config->set( 'fancy_header.swap_titles', get_post_meta( $post_id, "{$prefix}swap_titles", true ), '' );

        // background
        $config->set( 'fancy_header.bg.color', get_post_meta( $post_id, "{$prefix}bg_color", true ), '' );
        $config->set( 'fancy_header.bg.image', get_post_meta( $post_id, "{$prefix}bg_image", true ) );
        $config->set( 'fancy_header.bg.image_mobile', get_post_meta( $post_id, "{$prefix}bg_image_mobile", true ) );
        $config->set( 'fancy_header.bg.repeat', get_post_meta( $post_id, "{$prefix}bg_repeat", true ) );
        $config->set( 'fancy_header.bg.position.x', get_post_meta( $post_id, "{$prefix}bg_position_x", true ) );
        $config->set( 'fancy_header.bg.position.y', get_post_meta( $post_id, "{$prefix}bg_position_y", true ) );
        $config->set( 'fancy_header.bg.fullscreen', get_post_meta( $post_id, "{$prefix}bg_fullscreen", true ) );

        $config->set( 'fancy_header.bg.fixed', get_post_meta( $post_id, "{$prefix}bg_fixed", true ) );
        $config->set( 'fancy_header.parallax', get_post_meta( $post_id, "{$prefix}parallax", true ) );

        // height
        $config->set( 'fancy_header.height', absint( get_post_meta( $post_id, "{$prefix}height", true ) ), 350 );
        $config->set( 'fancy_header.dynamic_height', absint( get_post_meta( $post_id, "{$prefix}dynamic_height", true ) ), 60 );

        // breadcrumbs
        $config->set( 'fancy_header.breadcrumbs', get_post_meta( $post_id, "{$prefix}breadcrumbs", true ), 'enabled' );
        $config->set( 'fancy_header.breadcrumbs.text_color', get_post_meta( $post_id, "{$prefix}breadcrumbs_text_color", true ) );
        $config->set( 'fancy_header.breadcrumbs.bg_color', get_post_meta( $post_id, "{$prefix}breadcrumbs_bg_color", true ) );


        if ($header_title == 'fancy') {
            $config->set('fancy_header.list.style', get_post_meta($post_id, "{$prefix}list_style", true));
        }
        if (!$config->get('fancy_header.list.style') || $config->get('fancy_header.list.style') == '') {
            $config->set('fancy_header.list.style', $levelup_options['page-title-list-style-color']);
        }

        $config->set( 'fancy_header.video.mp4', get_post_meta( $post_id, "{$prefix}header_video_mp4", true ), '' );
        $config->set( 'fancy_header.video.webm', get_post_meta( $post_id, "{$prefix}header_video_webm", true ), '' );
        $config->set( 'fancy_header.video.ogg', get_post_meta( $post_id, "{$prefix}header_video_ogg", true ), '' );

        $config->set( 'fancy_header.breadcrumbs', get_post_meta( $post_id, "{$prefix}breadcrumbs", true ), '' );

    }

}


if ( ! function_exists( 'levelup_config_filter_values' ) ) {

    function levelup_config_filter_values() {
        $config = levelup_config();
    }

    add_action( 'levelup_config_base_init', 'levelup_config_filter_values' );

}


if ( ! function_exists( 'levelup_config_sidebar_options' ) ) {

	function levelup_config_sidebar_options() {

		$config = levelup_config();

		$post_id = $config->get( 'post_id' );

		$prefix = '_rdy_sidebar_';

		$config->set( 'page.fullscreen', get_post_meta( $post_id, "{$prefix}fullscreen", true ), '' );
		$config->set( 'sidebar_position', get_post_meta( $post_id, "{$prefix}position", true ), '' );
		$config->set( 'sidebar_hide_on_mobile', get_post_meta( $post_id, "{$prefix}hide_on_mobile", true ), false );
		$config->set( 'sidebar_widgetarea_id', get_post_meta( $post_id, "{$prefix}widgetarea_id", true ) );

	}

}