<?php

//levelup_config_base_init();

get_header();

global $levelup_options;

$levelup_blog_type = levelup_get_options('blog_type');

?>

	<div id="primary" class="content-area">

        <div class="<?php if ( levelup_get_options( 'blog_fullwidth' ) ):?>container-fluid container-main<?php else:?>container<?php endif;?>">
            <main id="main" class="site-main">
            <div class="row">
            <?php if ( ! is_home() ) { ?><?php }?>

            <?php

            if ( $levelup_blog_type == null ) $levelup_blog_type = 'std-blog-sidebar';

            $levelup_masonry_class         = null;
            $levelup_item_class            = null;
            $levelup_infinite_scroll_class = null;

            if ( $levelup_blog_type == 'masonry-blog' ) {
                $levelup_item_class = 'iso-container rdy-masonry masonry-blog';
            } elseif ( $levelup_blog_type == 'grid-blog' ) {
                $levelup_item_class = 'iso-container rdy-masonry grid-blog';
            } else {
                $levelup_item_class = 'iso-container rdy-masonry masonry-blog';
            }

            $post_size_class = '';
            if ( ! levelup_get_options( 'blog_sidebar' ) && $levelup_blog_type != 'std-blog' ) {
                $post_size_class .= ' col-xs-12';
            } elseif ( levelup_get_options( 'blog_sidebar' ) ) {
                $post_size_class .= ' col-md-9';
            } else {
                $post_size_class .= ' col-xs-12';
            }

            if ( levelup_get_options( 'blog_sidebar' ) == 'left' ) {
                $post_size_class .= ' pull-right';
            }

            echo '<div id="post-area" class="blog-list ' . esc_attr( $post_size_class ) . esc_attr( $levelup_infinite_scroll_class ) . '' . ( $levelup_options['blog-masonry_gap'] ? ' masonry-gap-' . esc_attr( $levelup_options['blog-masonry_gap'] ) : '' ) . '' . ( $levelup_options['blog-list-separator_disable'] ? ' blog-separator-disable' : '' ) . '"' . ( $levelup_options['blog-masonry_gap'] ? ' data-masonry-gap="' . esc_attr( $levelup_options['blog-masonry_gap'] ) . '"' : '' ) . '>';

            ?>

                <?php if ( have_posts() ) : ?>

                    <div class="row <?php echo esc_attr( $levelup_item_class );?>">
                    <?php while ( have_posts() ) : the_post(); ?>
                        <?php

                        get_template_part( 'templates/entry-loop-masonry', get_post_format() );

                        ?>

                    <?php endwhile; ?>
                        <div class="grid-sizer <?php echo esc_attr( levelup_calc_columns_class( levelup_get_options('blog_columns') ) );?>"></div>
                    </div>
                <?php else : ?>
                    <?php get_template_part( 'content', 'none' ); ?>
                <?php endif; ?>

                <?php
                if ( $levelup_masonry_class ) {
                    echo '</div></div>';
                }
                ?>


                    <div class="row">
                    <div class="col-xs-12">
                        <?php

                        echo levelup_paginator($wp_query);

                        ?>
                    </div>
                    </div>


                </div> <!-- /#post-area -->


                <?php if ( levelup_get_options( 'blog_sidebar' ) == 'right' || levelup_get_options( 'blog_sidebar' ) == 'left' ):
                    if ( levelup_get_options( 'blog_sidebar' ) == 'left' ) {
                        $levelup_sidebar_class = ' pull-left';
                    } else {
                        $levelup_sidebar_class = ' pull-right';
                    }
                    ?>
                    <div id="sidebar" class="blog__sidebar col  col-xs-12 col-sm-12 col-md-3 col_last<?php echo esc_attr( $levelup_sidebar_class );?>">
                        <?php get_sidebar(); ?>
                    </div>
                <?php endif; ?>


            </div><!-- .row -->
            </main><!-- #main -->
        </div><!-- .container -->
	</div><!-- #primary -->


<?php get_footer(); ?>
