<?php

global $levelup_options;

get_header();

$levelup_config = Levelup_Config::get_instance();

$levelup_class          = '';
$sidebar_class          = '';
$page_fullscreen        = true;
$levelup_sidebar_enable = false;
$sidebar_position       = false;

//if ( levelup_is_realy_woocommerce_page() && is_woocommerce() ) {
$sidebar_position = ( levelup_get_options( 'page_sidebar' ) && ! $levelup_config->get( 'sidebar_position' ) ) ? levelup_get_options( 'page_sidebar' ) : $levelup_config->get( 'sidebar_position' );
//}


if ( $sidebar_position && $sidebar_position != 'disabled' ) {
	$page_fullscreen = ( levelup_get_options( 'page-fullscreen' ) && ! $levelup_config->get( 'page.fullscreen' ) ) ? levelup_get_options( 'page-fullscreen' ) : $levelup_config->get( 'page.fullscreen' );

	$levelup_class          = 'col-md-9 col-xs-12';
	$levelup_sidebar_enable = true;

	if ( $sidebar_position == 'left' ) {
		$sidebar_class = ' pull-left';
		$levelup_class .= ' pull-right';
	} elseif ( $sidebar_position == 'right' ) {
		$sidebar_class = ' pull-right';
		$levelup_class .= ' pull-left';
	} else {
		$levelup_class = 'col-md-12';
	}

	if ( $levelup_config->get( 'sidebar_hide_on_mobile' ) ) {
		$sidebar_class .= ' hidden-xs';
	}

}

?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<?php if ( levelup_is_realy_woocommerce_page() || ! levelup_is_vc_plugin() || ( $levelup_sidebar_enable && ( !$page_fullscreen || $page_fullscreen == 'disabled' ) ) ): ?>
                <div class="container container-main">
            <?php else:?>
                <div class="container-fluid container-main">
            <?php endif;?>

            <div class="row">

            <div class="<?php echo esc_attr( $levelup_class );?> page-content">
			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part( 'content', 'page' ); ?>

                <?php if( $levelup_options['comments-page-enable'] ):
					if ( comments_open() || '0' != get_comments_number() ) :
						?>
                    <div class="comments-wrapper container">
	                    <div class="row">
		                    <div class="col-xs-12 col-md-10 col-md-offset-1">
		                    <?php
		                        // If comments are open or we have at least one comment, load up the comment template
	                            comments_template();
		                    ?>

		                    </div>
		                </div>
                    </div>
                <?php endif; endif; ?>

			<?php endwhile; // end of the loop. ?>
            </div>

            <?php if ( $levelup_sidebar_enable ): ?>
                <div id="sidebar" class="blog-single__sidebar col-md-3 col-xs-12 <?php echo esc_attr( $sidebar_class );?>">
	                <?php

	                if ( $levelup_config->get( 'sidebar_widgetarea_id' ) ) {
		                $sidebar_id = $levelup_config->get( 'sidebar_widgetarea_id' );
	                } else {
		                $sidebar_id = levelup_get_options( 'page_sidebar-area' );
	                }

	                dynamic_sidebar( $sidebar_id );

	                ?>

                </div>
            <?php endif;?>

            </div>

            </div>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>
