<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

global $levelup_options;

$levelup_config = levelup_config();

$levelup_show_footer     = apply_filters( 'levelup_show_footer_area', $levelup_options['use-footer-area'] );
$levelup_show_footer_bar = $levelup_options['use-footer-sub'];

$levelup_footer_align = $levelup_footer_area_background_style = '';
$levelup_project_page = false;

if ( 'rdy_project' == get_post_type() && ! is_single() ) {
    $levelup_project_page = true;
}

if ( ! empty( $levelup_options['footer-area-background-image'] ) && array_key_exists('url', $levelup_options['footer-area-background-image']) && $levelup_options['footer-area-background-image']['url'] ) {
    $levelup_footer_area_background_style = "background: url(" . esc_url( $levelup_options['footer-area-background-image']['url'] ) . ") center no-repeat;";
}

if ( ( $levelup_show_footer || $levelup_show_footer_bar) && !$levelup_config->get('disable_footer') && !$levelup_project_page ) : ?>

    <footer id="colophon" class="site-footer"<?php if ( !empty( $levelup_options['footer-area-responsive-pad'] ) ) { echo ' data-pad-columns="' . esc_attr( $levelup_options['footer-area-responsive-pad'] ) . '"'; } ?><?php if ( !empty( $levelup_options['footer-area-responsive-phone'] ) ) { echo ' data-phone-columns="' . esc_attr( $levelup_options['footer-area-responsive-phone'] ) . '"'; } ?>>

        <?php
        if ( levelup_get_options( 'footer-pre-widget-area' ) ) {
            get_sidebar( 'pre-footer' );
        }

        if ( $levelup_show_footer ) {
            if ( $levelup_options['footer-area-align'] == 'center' ) {
                $levelup_footer_align = ' ft-center';
            } elseif ( $levelup_options['footer-area-align'] == 'right' ) {
                $levelup_footer_align = ' ft-right';
            }

	        if ( class_exists( 'Rdy_Color' ) ) {
		        $rdyColor = new Rdy_Color( levelup_get_options('footer-area-background') );

		        if ( ! $rdyColor->isLight() ) {
			        $list_divider_color = ' list-divider-light';
		        }
	        }
        ?>

        <?php if ( ! empty( $levelup_options['footer-area-separator'] ) ):?>
        <div class="container-line container<?php if ( ! empty( $levelup_options['footer-area-separator'] ) && $levelup_options['footer-area-separator'] == 'fullwidth' ):?>-fluid<?php endif;?>">
            <div class="row0 footer-area-line top-line"></div>
        </div>
        <?php endif;?>

        <div class="footer-wrapper <?php if ( $levelup_footer_align ) { echo esc_attr( $levelup_footer_align ); }?><?php if ( ! empty( $levelup_options['footer-area-columns-equal_height'] ) ) { echo ' equal-height'; }  if ( ! empty( $levelup_options['footer-area-columns-divider'] ) ) { echo ' columns-divider'; } if ( ! empty( $levelup_options['footer-area-list-divider'] ) ) { echo ' list-divider'; echo isset($list_divider_color) ? $list_divider_color : ''; }?>" style="<?php echo esc_attr( $levelup_footer_area_background_style ); ?>">

        <div class="site-footer-area <?php if ( levelup_get_options('footer-area-grid') ):?>container-fluid<?php else:?>container<?php endif;?>">
            <div class="row f-row">
            <?php
            $levelup_class = '';
            $levelup_footer_column = isset($levelup_options['footer-layout']) ? $levelup_options['footer-layout'] : '';

            if ( isset( $levelup_options['footer-area-responsive-pad'] ) && $levelup_options['footer-area-responsive-pad'] ) {
                switch (  $levelup_options['footer-area-responsive-pad'] ):
                    case 1:
                        $levelup_class .= ' col-sm-12';
                        break;
                    case 3:
                        $levelup_class .= ' col-sm-4';
                        break;
                    case 4:
                        $levelup_class .= ' col-sm-3';
                        break;
                    default:
                        $levelup_class .= ' col-sm-6';
                        break;

                endswitch;
            }

            if ( isset( $levelup_options['footer-area-responsive-phone'] ) && $levelup_options['footer-area-responsive-phone'] ) {
                switch ( $levelup_options['footer-area-responsive-phone'] ):
                    case 2:
                        $levelup_class .= ' col-xs-6';
                        break;
                     default:
                        $levelup_class .= ' col-xs-12';
                        break;

                endswitch;
            }

            if ( is_numeric( $levelup_footer_column ) ):
                switch ( $levelup_footer_column ):
                    case 1:
                        $levelup_class .= ' col-md-12';
                        break;
                    case 2:
                        $levelup_class .= ' col-md-6';
                        break;
                    case 3:
                        $levelup_class .= ' col-md-4';
                        break;
                    case 4:
                        $levelup_class .= ' col-md-3';
                        break;
                    case 5:
                        $levelup_class .= ' col-md-15';
                        break;
                    case 6:
                        $levelup_class .= ' col-md-2';
                        break;
                endswitch;

                for( $i=1; $i <= $levelup_footer_column; $i++ ):
                    ?>
                    <div class="f-column col auto-clear <?php echo esc_attr( $levelup_class ); ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                <?php endfor;

            else :

                switch ( $levelup_footer_column ):
                    case 'third_sub_third':
                        ?>
                        <div class="col auto-clear col-md-4 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-41 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-41 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-41 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <?php
                        break;
                    case 'sub_third_third':
                        ?>
                        <div class="col auto-clear col-md-41 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-41 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-41 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-4 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <?php
                        break;
                    case 'third_sub_fourth':
                        ?>
                        <div class="col auto-clear col-md-4 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-2 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-2 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-2 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-2 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <?php
                        break;
                    case 'sub_fourth_third':
                        ?>
                        <div class="col auto-clear col-md-2 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-2 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-2 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-2 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-4 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <?php
                        break;
                    case 'half_sub_half':
                        ?>
                        <div class="col auto-clear col-md-6 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-3 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-3 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <?php
                        break;
                    case 'half_sub_third':
                        ?>
                        <div class="col auto-clear col-md-6 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-2 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-2 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-2 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <?php
                        break;
                    case 'sub_half_half':
                        ?>
                        <div class="col auto-clear col-md-3 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-3 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-6 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <?php
                        break;
                    case 'sub_third_half':
                        ?>
                        <div class="col auto-clear col-md-2 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-2 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-2 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <div class="col auto-clear col-md-6 f-column <?php echo $levelup_class; ?>"><?php levelup_sidebar_generator( 'get_footer_sidebar' ); ?></div>
                        <?php
                        break;
                endswitch;
            endif;?>
            </div>
        </div>

        </div>
    <?php
    }

    if ( $levelup_show_footer_bar ) {
        ?>
        <div id="bottom-bar"<?php if ( isset( $levelup_options['footer-sub-mobile-align'] ) && $levelup_options['footer-sub-mobile-align'] ) { echo ' data-mobile-align="' . esc_attr( $levelup_options['footer-sub-mobile-align'] ) . '"'; } ?><?php if ( !empty( $levelup_options['footer-sub-mobile'] ) ) { echo ' data-mobile="' . esc_attr( $levelup_options['footer-sub-mobile'] ) . '"'; } ?>>
            <?php if ( ! empty( $levelup_options['footer-sub-separator'] ) ):?>
                <div class="container-line container<?php if ( ! empty( $levelup_options['footer-sub-separator'] ) && $levelup_options['footer-sub-separator'] == 'fullwidth' ):?>-fluid<?php endif;?>">
                    <div class="row0 footer-sub-line"></div>
                </div>
            <?php endif;?>

            <div
                class="site-footer-bar-area<?php if ( $levelup_options['footer-sub-grid'] ): ?> container-fluid<?php else: ?> container<?php endif;?>">
                <div class="row">
                    <div class="bottom-bar-wrapper<?php if ( !empty($levelup_options['footer-sub-social']) && !empty($levelup_options['footer-sub-social-inline']) ): ?> social-inline<?php endif; ?><?php if ( empty($levelup_options['footer-sub-grid']) ): ?> col-xs-12<?php endif; ?>">
                        <?php if ( $levelup_options['footer-sub-social'] ): ?>
                            <div class="bottom-bar-social-top"><?php levelup_footer_socials(); ?></div>
                        <?php endif; ?>


                        <div class="col-table copyright<?php if ( levelup_get_options( 'footer-sub-layout' ) == 3 ) { echo ' three-columns'; } ?>"<?php if ( $levelup_options['footer-sub-height'] ): ?> style="height:<?php echo esc_attr( $levelup_options['footer-sub-height'] ); ?>px"<?php endif; ?>>

                            <?php

                            if ( isset( $levelup_options['footer-sub-blocks'] ) ):

                                $footerbar_c1_html = levelup_get_footerbar_block( 'Column 1' );
                                $footerbar_c2_html = levelup_get_footerbar_block( 'Column 2' );
                                $footerbar_c3_html = levelup_get_footerbar_block( 'Column 3' );
                                ?>

                                <?php if ( $footerbar_c1_html ) { ?>
                                    <div class="col-td col1 left <?php if ( levelup_get_options( 'footer-sub-layout' ) == 1 && $levelup_options['footer-sub-align'] ) { echo esc_attr($levelup_options['footer-sub-align']); } ?>">
                                        <?php echo $footerbar_c1_html; ?>
                                    </div>
                                <?php } ?>

                                <?php if ( $footerbar_c2_html && ( levelup_get_options( 'footer-sub-layout' ) == 2 || levelup_get_options( 'footer-sub-layout' ) == 3 ) ) { ?>
                                    <div class="col-td col2<?php if ( levelup_get_options( 'footer-sub-layout' ) == 3 ) { echo ' center'; } else { echo ' right'; } ?>">
                                        <?php echo $footerbar_c2_html; ?>
                                    </div>
                                <?php } ?>

                                <?php if ( $footerbar_c3_html && levelup_get_options( 'footer-sub-layout' ) == 3 ) { ?>
                                    <div class="col-td col3 right">
                                        <?php echo $footerbar_c3_html; ?>
                                    </div>
                                <?php } ?>

                            <?php
                            else:
                            ?>

                                <div class="col-td col-td-copyright">
                                    <?php
                                    if ( ! isset( $levelup_options['footer-sub-blocks'] ) ) {
                                        if ( $levelup_options['footer-sub-logo'] && array_key_exists('url', $levelup_options['footer-sub-logo']) && $levelup_options['footer-sub-logo']['url'] ) {
                                            echo '<a class="footer-logo-a" href="' . esc_url( home_url( '/' ) ) . '"><img class="footer-logo" src="' . esc_url( $levelup_options['footer-sub-logo']['url'] ) . '"></a>';
                                        }

                                        echo '<p>' . wp_kses( $levelup_options['footer-sub-column1-text'], array( 'a' => array( 'href' => array(), 'title' => array()),) ) . '</p>';
                                    }
                                    ?>
                                </div>


                                <?php
                                if ( !empty($levelup_options['footer-sub-social']) && !empty($levelup_options['footer-sub-social-inline']) ):
                                    if ( ! isset( $levelup_options['footer-sub-blocks'] ) ):
                                        ?>
                                        <div class="col-td col-td-social">
                                            <?php levelup_footer_socials(); ?>
                                        </div>
                                        <?php
                                    endif;
                                endif;
                                ?>

                            <?php
                            endif;
                            ?>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <?php
    }
    ?>

    </footer>

<?php endif;?>