<?php

//levelup_config_base_init();

get_header();

global $levelup_options;

$levelup_config = Levelup_Config::get_instance();

$levelup_class          = '';
$levelup_sidebar_enable = false;

if ( 'post' == get_post_type() && ( $levelup_config->get( 'post.sidebar' ) == 'left' || $levelup_config->get( 'post.sidebar' ) == 'right' ) ) {
    $levelup_class          = 'col-md-9 col-xs-12';
    $levelup_sidebar_enable = true;

    if ( $levelup_config->get( 'post.sidebar' ) == 'left' ) {
        $sidebar_class = ' pull-left';
        $levelup_class .= ' pull-right';
    } elseif ( $levelup_config->get( 'post.sidebar' ) == 'right' ) {
        $sidebar_class = ' pull-right';
        $levelup_class .= ' pull-left';
    } else {
        $levelup_class = 'col-md-12';
    }

}

?>

	<div id="primary" class="content-area">

        <?php do_action('levelup_blog_singlepost_before');?>

		<main id="main" class="site-main">

                <div class="container-main <?php if ( is_singular( 'post' ) && !levelup_get_options( 'blog-post__layout' ) ): ?>container<?php else: ?>container-fluid<?php endif; ?>">
                    <div class="row">
                    <div class="<?php echo esc_attr( $levelup_class );?> page-content">

                        <?php while ( have_posts() ) : the_post(); ?>

                            <?php
                            get_template_part( 'content-single', get_post_type() );
                            ?>

                        <?php endwhile; // end of the loop. ?>


                        <?php if( ( is_singular( 'post' ) && $levelup_options['comments-blog-enable']) || ( !is_singular( 'post' ) && $levelup_options['comments-page-enable']) ): ?>
                            <div class="comments-wrapper<?php if ( !$levelup_sidebar_enable ) { echo ' container'; } ?>">
                                <div class="row">
                                    <div class="col-xs-12<?php if( 'post' == get_post_type() && !$levelup_config->get( 'post.sidebar' ) ): ?> col-md-10 col-md-offset-1<?php endif; ?>">
                                    <?php
                                    // If comments are open or we have at least one comment, load up the comment template
                                    if ( comments_open() || '0' != get_comments_number() ) :
                                        comments_template();
                                    endif;
                                    ?>
                                    </div>
                                </div>
                            </div>
                        <?php endif; ?>

                    </div>

                    <?php if ( $levelup_sidebar_enable ): ?>
                        <div id="sidebar" class="blog-single__sidebar col-md-3 col-xs-12 <?php echo esc_attr( $sidebar_class );?>"><?php get_sidebar(); ?></div>
                    <?php endif;?>
                    </div>
                </div>

                <?php do_action('levelup_single_footer_spacing'); ?>

                <div class="container-fluid" id="navigation-bar-side">
                    <div class="row">

                        <?php while ( have_posts() ) : the_post(); ?>

                            <?php if(
                                ( ( !empty($levelup_options['display-post_nav']) || $levelup_options['display-post_nav'] != 0) && get_post_type() == 'post') ||
                                ( ( !empty($levelup_options['portfolio-post_nav-enable']) || $levelup_options['portfolio-post_nav-enable'] != 0) && get_post_type() == 'rdy_portfolio') ||
                                (get_post_type() != 'post' && get_post_type() != 'rdy_portfolio' && get_post_type() != 'rdy_team')
                            ):
                                ?>
                                <div class="rdy-post-nav with-image<?php if( ! levelup_has_tags() ): ?> has-no-tags<?php endif;?>">
                                    <div class="container">
                                        <div class="row">
                                            <?php levelup_post_navigation();?>
                                        </div>
                                    </div>
                                </div>
                            <?php endif;?>

                        <?php endwhile; // end of the loop. ?>

                    </div>
                </div>

		</main><!-- #main -->

        <?php do_action('levelup_blog_singlepost_after');?>

	</div><!-- #primary -->

<?php get_footer(); ?>