<?php

global $levelup_options;

$blog_type = levelup_get_options('blog_type');

$_post_format = get_post_format();

$use_excerpt = ( !empty($levelup_options['blog_auto_excerpt']) && $levelup_options['blog_auto_excerpt'] == '1') ? 'true' : 'false';

$post_class = array();

$post_class[] = levelup_calc_columns_class(levelup_get_options('blog_columns'));
$post_class[] = 'grid-item';
$post_class[] = 'isotope-item';

if ( !post_password_required() && has_post_thumbnail() ) {
    $thumb_id = get_post_thumbnail_id();

    if ( levelup_get_options( 'blog_type' ) == 'grid-blog' ) {
        if ( levelup_get_options( 'blog_columns' ) == 2 ) {
            $thumb = 'levelup-portfolio-big-thumb';
        } else {
            $thumb = 'levelup-portfolio-thumb';
        }
    } else {
        if ( levelup_get_options( 'blog_columns' ) == 2 ) {
            $thumb = 'levelup-portfolio-big-thumb-orig';
        } else {
            $thumb = 'levelup-portfolio-thumb-orig';
        }
    }

    $thumb_meta = wp_get_attachment_image_src($thumb_id, $thumb);

    $thumb_options = array();

    $thumb_args = array(
        'img_meta' => $thumb_meta,
        'img_id' => $thumb_id,
        'class' => ' rollover img',
        'href' => get_permalink(),
        'options' => $thumb_options,
        'echo' => false,
        'wrap' => '<img %IMG_CLASS% %SRC% %ALT% %IMG_TITLE% %SIZE% />',
    );

    $thumb_args = apply_filters('rdy_post_thumbnail_args', $thumb_args);
    $media = levelup_get_thumb_img($thumb_args);
}


$featured_image_show = true;

switch ($_post_format) {
    case "video":
        array_push($post_class, "video");
        $featured_image_show = false;
        break;
    case "audio":
        array_push($post_class, "audio");
        $featured_image_show = false;
        break;
    default:
}

?>

    <article id="post-<?php the_ID(); ?>" <?php post_class( levelup_sanitize_classes( $post_class ) ); ?>>
    <div class="post-wrapper">

    <div class="image-wrap">
    <?php
    switch ($_post_format) {
        case "video":
            ?>

            <?php
            $video_embed = get_post_meta($post->ID, '_rdy_page_video_embed', true);
            $video_m4v = get_post_meta($post->ID, '_rdy_page_video_m4v', true);
            $video_ogv = get_post_meta($post->ID, '_rdy_page_video_ogv', true);
            $video_poster = get_post_meta($post->ID, '_rdy_page_video_image', true);

            if (!empty($video_embed) || !empty($video_m4v)) {

                $wp_version = floatval(get_bloginfo('version'));

                if ( ! empty( $video_embed ) ) {

                    echo '<div class="video">' . do_shortcode( $video_embed ) . '</div>';

                } else {
                    if ( ! empty( $video_m4v ) || ! empty( $video_ogv ) ) {

                        $video_output = '[video ';

                        if (!empty($video_m4v)) {
                            $video_output .= 'mp4="' . esc_url( $video_m4v ) . '" ';
                        }
                        if (!empty($video_ogv)) {
                            $video_output .= 'ogv="' . esc_url( $video_ogv ) . '"';
                        }
                        $video_poster_src = wp_get_attachment_image_src( $video_poster, 'full' );
                        $video_output .= ' poster="' . esc_url( $video_poster_src[0] ) . '"]';

                        echo '<div class="video">' . do_shortcode($video_output) . '</div>';
                    }
                }

            }

            ?>

            <?php
            break;
        case "audio":
            ?>

            <div class="audio-wrap">
                <?php

                $audio_mp3 = get_post_meta($post->ID, '_rdy_page_audio_mp3', true);
                $audio_ogg = get_post_meta($post->ID, '_rdy_page_audio_ogg', true);

                if ( ! empty( $audio_ogg ) || ! empty( $audio_mp3 ) ) {

                    $audio_output = '[audio ';

                    if ( ! empty( $audio_mp3 ) ) {
                        $audio_output .= 'mp3="' . esc_url( $audio_mp3 ) . '" ';
                    }
                    if ( ! empty( $audio_ogg ) ) {
                        $audio_output .= 'ogg="' . esc_url( $audio_ogg ) . '"';
                    }

                    $audio_output .= ']';

                    echo do_shortcode( $audio_output );
                }

                ?>
            </div><!--/audio-wrap-->

            <?php
            break;

        default:
            ?>

            <?php if ( has_post_thumbnail() && $featured_image_show ) {

                if( !is_single() ) {
                    echo'<a href="' . esc_url( get_permalink() ) . '"><span class="post-featured-img">'. $media .'</span></a>';
                }

            } ?>

            <?php
    }
    ?>

        <?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
    </div>

    <div class="post-content-wrapper"><div class="clear"></div>

        <?php if ( ! empty( $levelup_options['blog-list-meta-info'] ) ) : ?>
        <header class="entry-header">
            <?php if ( 'post' == get_post_type() ) : ?>
                <div class="entry-meta clearfix">
                    <?php levelup_posted_on(); ?>
                </div><!-- .entry-meta -->
            <?php endif; ?>
        </header><!-- .entry-header -->
        <?php endif; ?>


    <div class="entry-content">

        <?php
        global $post;
        if (empty($post->post_excerpt) && $use_excerpt != 'true') {
            if($post->post_content != "")
                the_content( wp_kses( __( '<span class="meta-nav">Read More</span>', 'LEVELUP' ), array( 'span' => array() ) ) );

        } else {
            echo '<div class="excerpt">';
            levelup_the_excerpt();
            echo '</div>';

        }
        ?>

        <?php
        wp_link_pages( array(
            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'LEVELUP' ),
            'after'  => '</div>',
        ) );
        ?>

    </div><!-- .entry-content -->

    <?php echo '<a class="more-link" href="' . esc_url( get_permalink() ) . '"><span class="continue-reading">'. esc_html__("Read More", 'LEVELUP') .'</span></a>'; ?>

    </div>
    </div>
    </article><!-- #post-## -->
