<?php

global $levelup_options;
$config = Levelup_Config::get_instance();

$header_socials_html = '';

$levelup_header_classes             = apply_filters( 'levelup_header_classes', '' );
$levelup_header_menu_classes        = apply_filters( 'levelup_header_menu_classes', '' );
$levelup_header_data_html           = apply_filters( 'levelup_header_data', '' );
$levelup_header_menu_mobile_classes = apply_filters( 'levelup_header_menu_mobile_classes', '' );
$levelup_header_search_classes      = apply_filters( 'levelup_header_search_classes', '' );

$levelup_topbar_enable = $config->get( 'header.status' ) == 'disable' ? false : $config->get( 'header.status' ) == 'enable_wt' ? true : $levelup_options['header-topbar-enable'];
$levelup_header_disable = levelup_is_header_enable();
?>

<?php if ( is_object( $post ) && 'rdy_project' == get_post_type( $wp_query->post->ID ) && ! is_single() ): ?><div class="body-background"></div><?php endif;?>

<?php if ( ( $config->get( 'siteheader.layout.gamburg' ) && $levelup_options['header-style-menu-overlay'] )
           || ($levelup_options['header-style-search-overlay']) ): ?><div class="body-overlay"<?php if ( $levelup_options['header-style-menu-overlay'] && $config->get( 'siteheader.layout' ) == 'gamburg' ) echo ' data-menu="1"'; ?><?php if ( $levelup_options['header-style-search-overlay'] ) echo ' data-search="1"'; ?>></div><?php endif;?>

<?php levelup_post_navigation_bar(); ?>

<?php if ( $levelup_topbar_enable && ( $config->get( 'siteheader.layout' ) == 'static' || $config->get( 'siteheader.layout' ) == 'fixed' ) ):
	$topbar_left_html = levelup_get_topbar_block( 'Left' );
	$topbar_center_html = levelup_get_topbar_block( 'Center' );
	$topbar_right_html = levelup_get_topbar_block( 'Right' );

	?>

	<div id="top-bar" class="top-bar<?php if(levelup_get_options('header-topbar-show_mobile')) {?> show_mobile<?php } ?>">
		<div class="<?php if ( $levelup_options['header-topbar-enable'] == 'boxed' ): ?>container<?php else:?>container-fluid<?php endif;?>">
			<div class="col-table">
				<?php if ( $topbar_left_html ) { ?>
					<div class="col-td left">
						<?php echo $topbar_left_html; ?>
					</div>
				<?php } ?>

				<?php if ( $topbar_center_html ) { ?>
					<div class="col-td center">
						<?php echo $topbar_center_html; ?>
					</div>
				<?php } ?>

				<?php if ( $topbar_right_html ) { ?>
					<div class="col-td right">
						<?php echo $topbar_right_html; ?>
					</div>
				<?php } ?>
			</div>
		</div>
	</div>
<?php endif; ?>

<?php if ( ! $levelup_header_disable ): //  && ! $config->get( 'header.disable' )?>
	<header id="header" class="<?php echo esc_attr( $levelup_header_classes ); ?>" <?php echo $levelup_header_data_html; ?>>
		<?php if(!$levelup_options['header-fullwidth']):?><div class="container"><?php endif;?>
			<?php levelup_get_logo(); ?>

			<div class="menu-right-side animate">
				<div id="hamburger-icon" class="hamburger-icon side-icon<?php if ( $levelup_options['header-hamburger-text-enable'] ) echo ' with-text'; ?>">
					<div class="side-icon-holder">
						<div id="menu-toggle">
							<?php if ( $levelup_options['header-hamburger-text-enable'] ): ?>
								<div class="icon">
									<svg version="1.1" id="svg_menu" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
									     width="36.031px" height="9px" viewBox="-0.633 -0.158 36.031 9" enable-background="new -0.633 -0.158 36.031 9"
									     xml:space="preserve">
<g>
	<path d="M3.126,8.72L0.988,1.755H0.934C1.01,3.172,1.049,4.117,1.049,4.591V8.72h-1.682v-8.878h2.563l2.102,6.789h0.036
        l2.229-6.789H8.86V8.72H7.104V4.518c0-0.199,0.003-0.427,0.009-0.687c0.006-0.259,0.033-0.947,0.082-2.064H7.14L4.851,8.72H3.126z"
	/>
	<path d="M16.207,8.72h-5.114v-8.878h5.114v1.542h-3.23v1.95h3.005v1.542h-3.005v2.29h3.23V8.72z"/>
	<path d="M25.936,8.72h-2.393l-3.862-6.716h-0.055c0.077,1.186,0.115,2.032,0.115,2.538V8.72h-1.683v-8.878h2.375l3.856,6.649h0.042
        c-0.062-1.153-0.091-1.969-0.091-2.447v-4.203h1.694V8.72z"/>
	<path d="M35.398-0.158v5.745c0,0.655-0.147,1.23-0.44,1.725c-0.294,0.493-0.718,0.872-1.273,1.136
        c-0.555,0.263-1.211,0.395-1.967,0.395c-1.143,0-2.028-0.293-2.66-0.878c-0.63-0.586-0.948-1.385-0.948-2.401v-5.721h1.878v5.436
        c0,0.683,0.138,1.186,0.412,1.505s0.73,0.48,1.367,0.48c0.615,0,1.062-0.161,1.339-0.483s0.416-0.827,0.416-1.516v-5.422H35.398z"
	/>
</g>
</svg>
								</div>
							<?php endif;?>
							<ul>
								<li></li>
								<li></li>
								<li></li>
							</ul>
						</div>
					</div>
				</div>
				<?php if ( $levelup_options['header-search-enable'] ): ?>
					<div id="search-icon" class="search-icon side-icon">
						<div class="side-icon-holder search-main-icon">
							<div class="icon">
								<svg version="1.1" id="svg_search" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
								     width="20px" height="20px" viewBox="3.441 3.416 20 19.851" enable-background="new 3.441 3.416 20 19.851"
								     xml:space="preserve">
<g id="XMLID_13_">
	<g>
		<g id="XMLID_10_">
			<g>
				<path d="M20.816,23.166l-4.697-4.699c-1.286,0.845-2.825,1.336-4.486,1.336c-4.53,0-8.191-3.67-8.191-8.197
                    c0-4.52,3.661-8.189,8.19-8.189c4.521,0,8.188,3.67,8.188,8.189c0,1.581-0.445,3.053-1.215,4.302l4.729,4.728
                    c0.253,0.244,0.043,0.854-0.46,1.354l-0.703,0.706C21.667,23.198,21.06,23.409,20.816,23.166z M17.098,11.606
                    c0-3.022-2.446-5.468-5.468-5.468c-3.023,0-5.476,2.446-5.476,5.468c0,3.022,2.454,5.477,5.476,5.477
                    C14.652,17.083,17.098,14.628,17.098,11.606z"/>
			</g>
		</g>
	</g>
</g>
</svg>

							</div>
						</div>

					</div>
				<?php endif;?>
				<?php if ( $levelup_options['header-cart-enable'] ): ?>
					<?php if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ):
						?>

						<div class="mobile-cart-icon side-icon">
							<a href="<?php echo wc_get_cart_url(); ?>">
							<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
								     width="16.629px" height="22px" viewBox="289.325 335.833 16.629 22" enable-background="new 289.325 335.833 16.629 22"
								     xml:space="preserve">
							<path d="M305.274,341.749h-2.863v-1.09c0-2.672-2.153-4.825-4.771-4.825s-4.771,2.153-4.771,4.825v1.09h-2.862
								c-0.382,0-0.682,0.3-0.682,0.682v13.63c0,0.981,0.791,1.772,1.772,1.772h13.085c0.982,0,1.772-0.791,1.772-1.772v-13.63
								C305.955,342.048,305.655,341.749,305.274,341.749z M294.232,340.631c0-1.909,1.527-3.462,3.408-3.462s3.407,1.554,3.407,3.462v1.09
								h-6.815V340.631z M303.676,344.027v11.117c0,0.218-0.191,0.409-0.409,0.409h-11.253c-0.218,0-0.409-0.191-0.409-0.409v-11.117"/>
							</svg>
							</a>
						</div>

						<div id="cart-icon" class="cart-icon side-icon<?php if ( $levelup_options['header-cart-dropdown-enable'] ) echo ' with-dropdown';?>" data-cart-url="<?php echo wc_get_cart_url(); ?>">
							<div class="side-icon-holder"><div class="mini_cart_button cart-count"><span class="header_cart_span"><?php echo WC()->cart->cart_contents_count; ?></span></div>
								<div class="icon">
									<svg version="1.1" id="svg_cart" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
									     width="20px" height="20px" viewBox="0 0 20 20" enable-background="new 0 0 20 20" xml:space="preserve">
									<g>
										<circle cx="8.504" cy="16.499" r="1.999"/>
										<circle cx="15.008" cy="16.499" r="1.999"/>
										<path d="M18.354,6.745h-0.501c-0.774,0-0.985,0.264-0.985,1.002v0.75l-0.379,2.002H6.6L5.865,6h5.216
									        c-0.005-0.005-0.006-0.011-0.01-0.016h0.606c0.739,0,1.002-0.246,1.002-0.999V4.484c0-0.774-0.264-0.985-1.002-0.985H10.98v0H5.614
									        l-0.4-2.5C5.159,0.27,4.789,0,4.004,0H1.002C0.262,0,0,0.246,0,0.999V1.5c0,0.774,0.263,1,1.002,1h1.86l1.641,9.498
									        c0.174,0.52,0.655,0.973,1.499,1h11.003c0.878,0,1.286-0.181,1.501-1l0.847-4.249V7.747C19.353,7.008,19.106,6.745,18.354,6.745z"
										/>
									</g>
									</svg>
								</div>
							</div>

							<?php if ( $levelup_options['header-cart-dropdown-enable'] ): ?>
								<?php echo levelup_header_cart_fragment(); ?>
							<?php endif; ?>
						</div>
					<?php endif;?>
				<?php endif;?>
				<?php
				/*
				if ( levelup_get_options('header-social-position') == 'right' && ( levelup_get_options('header-align') == 'left' || levelup_get_options('header-align') == 'center' ) ) {
					echo '<div class="side-icon social-icons">' . apply_filters('levelup_header_socials', true) . '</div>';
				}*/
				?>
			</div>
			<?php if( empty( $levelup_options['header-fullwidth'] ) ):?></div><?php endif;?>
	</header>

	<header id="header-search"<?php echo ( $levelup_header_search_classes ? ' class="' . $levelup_header_search_classes . '"' : '' ); ?>>
		<?php
		if ( class_exists( 'WooCommerce' ) && $levelup_options['header-search-button-by'] == 'woocommerce' ) {
			the_widget( 'WC_Widget_Product_Search', 'title=' );
		} else {
			the_widget( 'WP_Widget_Search', 'title=' );
		}
		?>
		<div class="close_btn">
			<div class="side-icon-holder search-close-icon">
				<ul>
					<li></li>
					<li></li>
					<li></li>
				</ul>
			</div>
		</div>
	</header>

	<header id="header-menu" class="<?php echo esc_attr( $levelup_header_menu_classes ); ?>"<?php if ( $config->get( 'siteheader.layout' ) == 'fixed' ): ?> data-fixed-menu="1"<?php endif;?><?php if ( apply_filters('levelup_header_is_appear', '') ): ?> style="background:transparent"<?php endif; ?><?php if ( is_404() ) { echo ' data-color="dark"'; } ?>>
		<div id="header-bg">
			<?php if( !$levelup_options['header-fullwidth'] && $config->get( 'siteheader.layout' ) != 'gamburg_full' ):?><div class="container"><?php endif;?>
				<div id="main-menu">

					<?php
					if ( $config->get( 'siteheader.layout' ) == 'gamburg' || $config->get( 'siteheader.layout' ) == 'fixed' || $config->get( 'siteheader.layout' ) == 'static' ) {
						?>

						<div class="main-menu-container <?php if ( $levelup_options['header-style-menu-widget'] ) { if ( $config->get('siteheader.layout.gamburger') ) echo 'col-md-9'; else echo 'col-md-8'; } else { echo 'col-md-12'; } ?> col-td">
							<div class="col-table">

								<?php levelup_get_logo(true); ?>

								<?php
								if(
									$levelup_options['header-style-menu-columns'] && ( $config->get('siteheader.layout') == 'static' || $config->get('siteheader.layout') == 'gamburg')
								):

									if ( has_nav_menu( 'menu1' ) ) { ?>
										<div class="menu-columns">
											<?php
											wp_nav_menu( array(
												'theme_location' => 'menu1',
												'container' => false,
												'menu_class' => 'sf-menu col-td',
												'walker' => new levelup_main_walker_nav_menu()
											));
											?>
										</div>
									<?php }
									if ( has_nav_menu( 'menu2' ) ) { ?>
										<div class="menu-columns">
											<?php
											wp_nav_menu( array(
												'theme_location' => 'menu2',
												'container' => false,
												'menu_class' => 'sf-menu col-td',
												'walker' => new levelup_main_walker_nav_menu()
											));
											?>
										</div>
									<?php }
									if ( has_nav_menu( 'menu3' ) ) { ?>
										<div class="menu-columns">
											<?php
											wp_nav_menu( array(
												'theme_location' => 'menu3',
												'container' => false,
												'menu_class' => 'sf-menu col-td',
												'walker' => new levelup_main_walker_nav_menu()
											));
											?>
										</div>
									<?php }
									if ( has_nav_menu( 'menu4' ) ) { ?>
										<div class="menu-columns">
											<?php
											wp_nav_menu( array(
												'theme_location' => 'menu4',
												'container' => false,
												'menu_class' => 'sf-menu col-td',
												'walker' => new levelup_main_walker_nav_menu()
											));
											?>
										</div>
									<?php } ?>

								<?php else: ?>

									<?php
									$out_div_rightside = '';
									if ( levelup_get_options( 'header-social-position' ) == 'inline' ) {
										$out_div_rightside .= '<li class="menu-social-inline">' . apply_filters('levelup_header_socials', true) . '</li>';
									}
									if ( levelup_get_options( 'header-cta-position' ) == 'menu_right' ) {
										$out_div_rightside .= '<li class="menu-cta-button">'. levelup_get_header_cta() .'</li>';
									}

									wp_nav_menu( array(
										'theme_location' => 'menu1',
										'container' => false,
										'menu_class' => 'sf-menu rdy-menu col-td',
										'walker' => new levelup_main_walker_nav_menu(),
										'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s' . $out_div_rightside . '</ul>',
									));
									?>

								<?php endif; ?>
								<?php
								if ( levelup_get_options( 'header-cta-position' ) == 'right' ) {
									echo '<div class="side-cta-button" style="display: table-cell;vertical-align: middle;">' . levelup_get_header_cta() . '</div>';
//									echo '<div class="side-cta-button" style="display: table-cell;vertical-align: middle;"><a' . ( levelup_get_options( 'header-cta-appear' ) ? ' data-cta-appear="' . levelup_get_options( 'header-cta-appear' ) . '"' : '' ) . ' href="' . esc_url( levelup_get_options( 'header-cta-url' ) ) . '" class="cta-button' . ( levelup_get_options( 'header-cta-type' ) == 'flat' ? ' flat' : ' outline' ) . '' . ( levelup_get_options( 'header-cta-size' ) ? ' ' . esc_attr( levelup_get_options( 'header-cta-size' ) ) : ' medium' ) . '">' . esc_html( levelup_get_options( 'header-cta-text' ) ) . '</a></div>';
								}

								if ( levelup_get_options('header-social-position') == 'right' && ( levelup_get_options('header-align') == 'left' || levelup_get_options('header-align') == 'center' ) ) {
									echo '<div class="side-icon social-icons">' . apply_filters('levelup_header_socials', true) . '</div>';
								}
								?>

							</div>
						</div>

						<?php if($levelup_options['header-style-menu-widget']):?>
							<?php if ( $levelup_options['header-social-position'] == 'widget' ) $header_socials_html = apply_filters('levelup_header_socials', true);?>
							<div class="<?php if($config->get('siteheader.layout.gamburger')) echo 'col-md-3'; else echo 'col-md-4'; ?> col-td widget-area<?php if ( $header_socials_html ) echo ' with-socials'; ?>">
								<div class="widget-area-wrapper">
									<?php
									if ( $levelup_options['header-style-menu-widget'] && is_active_sidebar( 'menu-1' ) ) {
										dynamic_sidebar( 'menu-1' );
									}

									echo $header_socials_html;
									?>
								</div>
							</div>
						<?php endif; ?>

						<?php
					} else if( !$levelup_options['header-style-menu-columns'] && ( $config->get('siteheader.layout') == 'gamburg' || $config->get('siteheader.layout') == 'fixed' || $config->get('siteheader.layout') == 'static')) {
						?>

						<div class="col-table">
							<?php
							if ( has_nav_menu( 'menu1' ) ) {
								wp_nav_menu( array(
									'theme_location' => 'menu1',
									'container' => false,
									'menu_class' => 'sf-menu rdy-menu col-td',
									'walker' => new levelup_main_walker_nav_menu()
								));
							}
							?>
						</div>

						<?php
					}
					?>


					<?php
					if ($config->get('siteheader.layout') == 'gamburg_full'):

						$widget_position_right = ( ! $levelup_options['menu-widget-position'] || $levelup_options['menu-widget-position'] == 'right' ) ? true : false;
						$widget_position_bottom = ( $levelup_options['menu-widget-position'] && $levelup_options['menu-widget-position'] == 'bottom' ) ? true : false;
						?>

						<div class="main-area <?php if ( $levelup_options['header-style-menu-widget'] && $widget_position_right ): ?>col-xs-6<?php else:?>col-lg-12<?php endif;?> col-td">
							<?php
							if ( has_nav_menu( 'menu1' ) ) {
								wp_nav_menu( array(
									'theme_location' => 'menu1',
									'container' => false,
									'menu_class' => 'sf-menu rdy-menu',
									'walker' => new levelup_main_walker_nav_menu()
								));
							}
							?>
						</div>

						<?php if ( $levelup_options['header-style-menu-widget'] ): ?>
						<div class="widget-area<?php if ( $widget_position_right ): ?> col-xs-6 col-td<?php endif;?><?php if ( $widget_position_bottom ): ?> align-bottom<?php endif;?>">
							<div class="widget-area-wrapper">
								<?php
								if ( $levelup_options['header-style-menu-widget'] ) {
									if ( $widget_position_bottom ) {
										echo apply_filters('levelup_header_socials', false);
									}

									if ( is_active_sidebar( 'menu-1' ) ) {
										dynamic_sidebar( 'menu-1' );
									}

									if ( $widget_position_right ) {
										echo apply_filters('levelup_header_socials', false);
									}
								} else {
									if ( $levelup_options['header-social-position'] == 'widget' ) {
										echo apply_filters( 'levelup_header_socials', false );
									}
								}
								?>
							</div>
						</div>
					<?php endif;?>

						<?php
					endif;
					?>

				</div>
				<?php if( empty( $levelup_options['header-fullwidth'] ) && $config->get( 'siteheader.layout' ) != 'gamburg_full' ):?></div><?php endif;?>
		</div>
	</header>

	<div id="mobile-menu"<?php if($levelup_header_menu_mobile_classes) echo ' class="' . esc_attr( $levelup_header_menu_mobile_classes ) . '"'; ?><?php if ( isset( $levelup_options['header-mobile_menu-animation'] ) && $levelup_options['header-mobile_menu-animation'] ) echo ' data-menu-animation="' . esc_attr( $levelup_options['header-mobile_menu-animation'] ) . '"'; if ( isset( $levelup_options['header-mobile_menu-items-animation'] ) && $levelup_options['header-mobile_menu-items-animation'] ) echo ' data-menu-items-animation="' . esc_attr( $levelup_options['header-mobile_menu-items-animation'] ) . '"'; if ( isset( $levelup_options['header-mobile_menu-items-cascade_animation'] ) && $levelup_options['header-mobile_menu-items-cascade_animation'] ) echo ' data-menu-items-cascade="1"'; ?>>
		<?php if ( isset( $levelup_options['header-mobile_menu-animation'] ) && ($levelup_options['header-mobile_menu-animation'] == 'slideleft' || $levelup_options['header-mobile_menu-animation'] == 'slideright') ) : ?><div class="close_arrow">
			<svg version="1.1"
			     x="0px" y="0px" width="309.543px"
			     height="226.207px" viewBox="142.868 233.432 309.543 226.207" enable-background="new 142.868 233.432 309.543 226.207"
			     xml:space="preserve">
<g transform="translate(0,-952.36218)">
	<path d="M452.412,1298.897c0-2.755-1.666-6.413-3.355-8.188l-95.244-101.199c-4.447-4.597-11.65-5.13-16.836-0.464
		c-4.635,4.171-4.75,12.306-0.463,16.835l76.455,81.108H154.774c-6.576,0-11.906,5.33-11.906,11.906s5.33,11.906,11.906,11.906
		h258.194l-76.455,81.108c-4.285,4.529-3.982,12.465,0.465,16.836c4.693,4.614,12.455,4.203,16.834-0.465l95.244-101.199
		C451.853,1304.336,452.365,1301.693,452.412,1298.897L452.412,1298.897z"/>
</g>
</svg>
			</div><?php endif;?>
		<div class="container">
			<div class="row">
				<div class="col-sm-12">
					<div class="wrapper">

					<?php
					if ( levelup_get_options( 'header-cta-position' ) && levelup_get_options( 'header-cta-mobile-position' ) == 'top' ) {
						echo levelup_get_header_mobile_cta();
					}
					?>

					<?php
					if ( $levelup_options['header-style-menu-columns'] && ( $config->get( 'siteheader.layout' ) == 'gamburg' || $config->get( 'siteheader.layout' ) == 'static' ) ) {
						if ( has_nav_menu( 'menu1' ) ) {
							wp_nav_menu( array(
								'theme_location' => 'menu1',
								'container'      => 'ul',
								'menu_class'     => 'menu-mobile',
								'menu_id'        => 'menu-mobile1',
								'walker'         => new levelup_mobile_walker_nav_menu()
							) );
						}
						if ( has_nav_menu( 'menu2' ) ) {
							wp_nav_menu( array(
								'theme_location' => 'menu2',
								'container'      => 'ul',
								'menu_class'     => 'menu-mobile',
								'menu_id'        => 'menu-mobile2',
								'walker'         => new levelup_mobile_walker_nav_menu()
							) );
						}
						if ( has_nav_menu( 'menu3' ) ) {
							wp_nav_menu( array(
								'theme_location' => 'menu3',
								'container'      => 'ul',
								'menu_class'     => 'menu-mobile',
								'menu_id'        => 'menu-mobile3',
								'walker'         => new levelup_mobile_walker_nav_menu()
							) );
						}

					} else {
						wp_nav_menu( array(
							'theme_location' => 'menu1',
							'container' => false,
							'menu_class' => 'menu-mobile',
							'menu_id' => 'menu-mobile',
							'walker' => new levelup_mobile_walker_nav_menu()
						));
					}
					?>

					<?php
					if ( levelup_get_options( 'header-cta-position' ) && levelup_get_options( 'header-cta-mobile-position' ) == 'bottom' ) {
						echo levelup_get_header_mobile_cta();
					}
					?>

					<div class="mobile_menu_side">
					<?php
					levelup_header_mobile_socials();
					?>
					<?php if($levelup_options['header-search-mobile-enable']):?>
						<div id="mobile-search">
							<form action="<?php echo esc_url( home_url( '/' ) ); ?>" method="GET">
								<?php
								if ( class_exists( 'WooCommerce' ) && $levelup_options['header-search-button-by'] == 'woocommerce' ) {
									?>
									<input type="search" class="search-field" placeholder="<?php echo esc_attr_x( 'Search Products&hellip;', 'placeholder', 'LEVELUP' ); ?>" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'LEVELUP' ); ?>" />
									<input type="hidden" name="post_type" value="product" />
									<?php
								} else {
									?>
									<input type="text" name="s" value="" placeholder="<?php esc_attr_e('Search&hellip;', 'LEVELUP');?>">
								<?php
								}
								?>

							</form>
						</div>
					<?php endif;?>
					</div>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php endif; ?>
