<?php

global $levelup_options;

$vido_data_html = $gradint_style = $bgcolor2 = '';
$thumb_meta = null;

$prefix             = '_rdy_project_';
$mode               = get_post_meta( get_the_ID(), "{$prefix}mode", true );
$video_m4v          = get_post_meta( get_the_ID(), "{$prefix}video_m4v", true );
$video_webm         = get_post_meta( get_the_ID(), "{$prefix}video_webm", true );
$video_ogv          = get_post_meta( get_the_ID(), "{$prefix}video_ogv", true );
$bgcolor            = get_post_meta( get_the_ID(), "{$prefix}color", true );
$gradient_direction = get_post_meta( get_the_ID(), "{$prefix}gradient_direction", true );
$thumb_mobile_id    = get_post_meta( get_the_ID(), "{$prefix}image_mobile", true );
$revslider_id       = get_post_meta( get_the_ID(), "{$prefix}revslider_id", true );
$hide_content       = get_post_meta( get_the_ID(), "{$prefix}hide_content", true );

$page_slug = get_post_field( 'post_name', get_the_ID() );

if ( !post_password_required() && has_post_thumbnail() ) {
    $thumb_id = get_post_thumbnail_id();
    $thumb_meta = wp_get_attachment_image_src($thumb_id, 'full');

}

$thumb_mobile_meta = '';
if ( $thumb_mobile_id ) {
    $thumb_mobile_meta = wp_get_attachment_image_src( $thumb_mobile_id, 'full' );
}


if ( $levelup_options['project-list__style'] == 'full' ) {
    $bgcolor2 = get_post_meta( get_the_ID(), "{$prefix}color2", true );
}

if ( $mode == 'video' && ( $video_m4v || $video_webm || $video_ogv ) ) {
    $vido_data_html = 'data-video="1"';
    $vido_data_html .= $video_m4v ? ' data-video-mp4="' . esc_url( $video_m4v ) . '"' : '';
    $vido_data_html .= $video_webm ? ' data-video-webm="' . esc_url( $video_webm ) . '"' : '';
    $vido_data_html .= $video_ogv ? ' data-video-ogv="' . esc_url( $video_ogv ) . '"' : '';
}

if ( $bgcolor && $bgcolor2 ) {
    $gradint_style = levelup_gradient_style( $bgcolor, $bgcolor2, $gradient_direction );
}

?>

<div class="illustration">
    <div class="illustration-inner<?php if ( ( empty($mode) && $mode == '' ) || $mode == 'video' ) echo ' to-load'; if ( $mode == 'video' && $vido_data_html ) echo ' illustration-video'; ?>" data-image-url="<?php if ( $mode != 'revslider' && $thumb_meta ) echo esc_url( $thumb_meta[0] );?>" data-image-mobile-url="<?php if ( $thumb_mobile_meta ) echo esc_url( $thumb_mobile_meta[0] );?>" <?php if ( $vido_data_html ): echo $vido_data_html; endif;?><?php if ( $gradint_style ) echo ' style="' . esc_attr( $gradint_style ) . '"';?><?php if( $hide_content == 'enable' ) echo ' data-caption-hide="1"'; ?>>
	    <?php if ( $mode == 'revslider' && ! empty( $revslider_id ) ) {
		    echo do_shortcode( '[rev_slider alias="' . $revslider_id . '"]' );
	    } ?>
    </div>
</div>


