<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

$levelup_config = Levelup_Config::get_instance();

$job = $levelup_config->get( 'post.member.job' );
if ( $job ) {
    $job = '<p' . ($levelup_config->get('subtitle_fontsize') ? ' style="font-size:' . esc_attr( $levelup_config->get('subtitle_fontsize') ) . 'px;"' : '') . '>' . esc_html( $job ) . '</p>';
} else {
    $job = '';
}


$title_text = get_the_title();

if ( $title_text ) {
    if ( 'post' == $levelup_config->get( 'post.open_as' ) ) {

	    if ( $levelup_config->get( 'hover' ) != 'style1' ) {
		    $title = '<a href="' . esc_url( get_permalink() ) . '">';
	    }

	    $title .= $title_text;

        if ( $levelup_config->get( 'team.link_icon' ) ) {
            $title .= ' <span class="fa fa-external-link"></span>';
        }
	    if ( $levelup_config->get( 'hover' ) != 'style1' ) {
            $title .= '</a>';
	    }

    }

    $title = '<div class="team-author-name"' . ($levelup_config->get('title_fontsize') ? ' style="font-size:' . esc_attr( $levelup_config->get('title_fontsize') ) . 'px;"' : '') . '>' . ( $title ? $title : $title_text ) . '</div>';
} else {
    $title = '';
}


if( $levelup_config->get( 'hover' ) != 'style2' ){
    $separator = do_shortcode('[vc_separator type="normal" width="' . esc_attr( $levelup_config->get('separator_width') ) . '" align="align_' . esc_attr( $levelup_config->get('align') ) . '" thickness="' . esc_attr( $levelup_config->get('separator_thickness') ) . '"' . ($levelup_config->get('separator_color') ? ' color="' . esc_attr( $levelup_config->get('separator_color') ) . '"' : '') . ']');

    if ( $levelup_config->get( 'separator' ) == 'title'){
        $title .= $separator;
    }else if ( $levelup_config->get( 'separator' ) == 'job'){
        $job .= $separator;
    }
}


if (  'post' == $levelup_config->get( 'post.open_as' ) && $levelup_config->get( 'hover' ) == 'style1' ) {
	echo '<a href="' . esc_url( get_permalink() ) . '">';
}

echo '<div class="team-content-wrapper' . ( $levelup_config->get( 'content_valign' ) ? ' valign-' . esc_attr( $levelup_config->get( 'content_valign' ) ) : '' ) . '">';

$author_block = $title . $job;
if ( $author_block ) {
    echo '<div class="team-author">' . $author_block . '</div>';
}

if ( $levelup_config->get( 'show_excerpts' ) && $levelup_config->get( 'hover' ) != 'style2' ) {
    $content = $levelup_config->get( 'post.member.description' );
    if ( $content ) {
        echo '<div class="team-content' . ( $job ? ' with-job' : '' ) . '">' . apply_filters('the_excerpt', $content) . '</div>';
    }
}


if ( $levelup_config->get( 'item_socials' ) && $levelup_config->get( 'hover' ) != 'style2' ) {
    $clear_links = array();
    $links = $levelup_config->get( 'post.preview.links' );

    if ( function_exists( 'levelup_get_team_links_array' ) ) {
        foreach ( levelup_get_team_links_array() as $id=>$data ) {
            if ( array_key_exists( $id , $links ) ) {
                $clear_links[] = levelup_get_social_icon( $id, $links[ $id ], $data['desc'], array(), '_blank' );
            }
        }
    }

    if ( !empty( $clear_links ) ) {
        echo '<div class="soc-ico">' . implode( '', $clear_links ) . '</div>';
    }
}

echo '</div>';

if (  'post' == $levelup_config->get( 'post.open_as' ) && $levelup_config->get( 'hover' ) == 'style1' ) {
	echo '</a>';
}