<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }


if ( has_post_thumbnail() ) {

    $thumb_id = get_post_thumbnail_id();
    $config = Levelup_Config::get_instance();

    if ( ( $config->get( 'image_layout' ) == 'round' && $config->get( 'hover' ) == '' ) || $config->get( 'image_layout' ) == 'square' ) {
        $thumb = 'levelup-portfolio-thumb-square';
    } else {
        $thumb = 'full';
    }

    $teammate_thumb_args = array(
        'img_meta'		=> wp_get_attachment_image_src( $thumb_id, $thumb ),
        'img_id'		=> $thumb_id,
        'echo'			=> true,
        'wrap'			=> '<div class="img"><img %IMG_CLASS% %SRC% %SIZE% %IMG_TITLE% %ALT% /></div>',
    );

    $class = "";
    if ( $config->get( 'image_layout' ) == 'round' && $config->get( 'hover' ) == '' ) {
        $class .= " circle";
    }

    echo '<div class="team-media team-item effect19' . esc_attr( $class ) . '">';

    if ( 'post' == $config->get( 'post.open_as' ) && !($config->get( 'animation_icon' ) && $config->get( 'hover' ) == '') ) {
        echo '<a href="' . esc_url( get_permalink() ). '">';
    }

    levelup_get_thumb_img( $teammate_thumb_args );

    if ( 'post' == $config->get( 'post.open_as' ) && !($config->get( 'animation_icon' ) && $config->get( 'hover' ) == '') ) {
        echo '</a>';
    }


    if ( $config->get( 'animation_icon' ) && $config->get( 'hover' ) == '' ) {
        $link = '';
        if ( $config->get( 'animation_icon' ) == 'email' && $config->get( 'post.member.email' ) ) {
            $link = 'mailto:' . sanitize_email( $config->get( 'post.member.email' ) );
            $icon = 'fa fa-at';
        } else if ( $config->get( 'animation_icon' ) == 'facebook' && $config->get( 'post.member.facebook' ) ) {
            $link = $config->get( 'post.member.facebook' );
            $icon = 'gi gi-facebook';
        } else if ( $config->get( 'animation_icon' ) == 'custom' && $config->get( 'post.member.hover_icon' ) ) {
            $link = levelup_get_team_custom_icon();
            $icon = 'gi gi-' . esc_attr( $config->get( 'post.member.hover_icon' ) );
        }

        if ( $link ) {
            echo '<a href="' . esc_url( $link ) . '" class="info ' . esc_attr( $icon ) . '"></a>';
        }

    }

    echo '</div>';

}
