<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

$levelup_config = Levelup_Config::get_instance();

$levelup_classes = 'team-container';

if ( $levelup_config->get('hover') == 'style1' ) {
    $levelup_classes .= ' hover1';
} elseif ( $levelup_config->get('hover') == 'style2' ) {
    $levelup_classes .= ' hover2';
} else {
    $levelup_classes .= ' hover0';
}


$levelup_class_align = '';
if ( $levelup_config->get( 'align' ) == 'center' ) {
    $levelup_class_align = ' align-center';
} elseif ( $levelup_config->get( 'align' ) == 'right' ) {
    $levelup_class_align = ' align-right';
} elseif ( $levelup_config->get( 'align' ) == 'justify' ) {
    $levelup_class_align = ' align-justify';
}

if ( ! $levelup_config->get( 'separator' ) ) {
    $levelup_class_align .= ' no-separator';
}


if ( $levelup_config->get( 'team.type' ) == "carousel" && $levelup_config->get( 'team.carousel_appear' ) ) {
    $levelup_classes .= ' t-inside animate_when_almost_visible ' . esc_attr ( $levelup_config->get( 'team.carousel_appear' ) );
}



?>

    <li <?php post_class( esc_attr( $levelup_classes ) ); ?> data-delay="200" style="padding: <?php echo esc_attr( $levelup_config->get( "item_padding" ) );?>px">
        <div class="team-wrapper">
            <?php levelup_get_template_part( 'team/team-post-media' ); ?>

            <div class="team-desc<?php echo esc_attr( $levelup_class_align );?>">
                <?php levelup_get_template_part( 'team/team-post-content' ); ?>
            </div>
        </div>
    </li>