<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
    $woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) )
    $woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );

// Ensure visibility
if ( ! $product || ! $product->is_visible() )
    return;

// Increase loop count
$woocommerce_loop['loop']++;

$classes = array();
$classes[] = 'shop-item isotope-item';

if(in_array(substr($woocommerce_loop['rdy_loop'], -1), array(3,4,5,6))){
    $classes[] = 'featured col-lg-6 col-md-6 col-sm-6 col-xs-12';
}else{
    $classes[] = 'medium col-lg-3 col-md-6 col-sm-6 col-xs-12';
}


if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] )
    $classes[] = 'first';
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] )
    $classes[] = 'last';


remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 11 );


?>
<li <?php post_class( levelup_sanitize_classes( $classes ) ); ?>>

    <?php do_action( 'woocommerce_before_shop_loop_item' ); ?>
    <?php
    $attachment_ids = $product->get_gallery_image_ids();
    if ( $attachment_ids ) {
        $loop = 0;
        foreach ( $attachment_ids as $attachment_id ) {
            $image_link = wp_get_attachment_url( $attachment_id );
            if (!$image_link) continue;
            $loop++;
            $product_thumbnail_second = wp_get_attachment_image_src($attachment_id, 'levelup-shop_special');
            if ($loop == 1) break;
        }
    }

    $image = wp_get_attachment_image_src( get_post_thumbnail_id(), apply_filters( 'single_product_small_thumbnail_size', 'levelup-shop_special' ) );

    ?>
        <a href="<?php the_permalink(); ?>" class="product-link" title=""></a>

        <?php if ( $price_html = $product->get_price_html() ) : ?>
            <div class="product-info">
                <div class="price"><?php echo $price_html; ?></div>
            </div>
        <?php endif; ?>


        <?php if($image[0]):?><img src="<?php echo esc_url( $image[0] );?>" alt=""><?php endif;?>
        <a href="<?php the_permalink(); ?>" class="button btn alt"><span>View details</span><i class="icon-next"></i></a>

    <?php do_action( 'woocommerce_after_shop_loop_item' ); ?>

</li>
