<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $levelup_options;

if( $levelup_options["woo-enable-product-description"] == 0 && $levelup_options["woo-enable-product-review"] == 0){
    remove_action("woocommerce_after_single_product_summary", "levelup_woocommerce_output_product_data_tabs", 10);
}
?>

<?php

if ( post_password_required() ) {
    echo get_the_password_form();
    return;
}
?>


<div class="row">
<div class="container">
    <?php
    /**
     * woocommerce_before_single_product hook.
     *
     * @hooked wc_print_notices - 10
     */
    do_action( 'woocommerce_before_single_product' );

	 if ( post_password_required() ) {
	 	echo get_the_password_form();
	 	return;
	 }
    ?>
<div class="row wc_single_product_navigation hidden-xs">
    <div class="woo-bread-nav col-xs-12<?php echo ($levelup_options['wc-bread-separator_disable'] ? ' wc-separator-disable' : '');?>">
        <div class="line clearfix">
            <div class="float-left"><?php do_action( 'woocommerce_before_main_content_breadcrumb' ); ?></div>
            <div class="float-right nav-lr">
                <?php previous_post_link( '%link', '&#8592; ' . __('Previous', 'LEVELUP'), true, '', 'product_cat' ); ?><?php next_post_link( '%link', __('Next', 'LEVELUP') . ' &#8594;', true, '', 'product_cat' ); ?>
            </div>
        </div>
    </div>
</div>
</div>
</div>

<div id="product-<?php the_ID(); ?>" <?php post_class(); ?>>

<div class="row">
<div class="product-summary container">
<div class="row">

<?php
/**
 * woocommerce_before_single_product_summary hook.
 *
 * @hooked woocommerce_show_product_sale_flash - 10
 * @hooked woocommerce_show_product_images - 20
 */
do_action( 'woocommerce_before_single_product_summary' );

?>
    <div class="summary entry-summary col-lg-6 col-md-6 col-sm-6 col-xs-12<?php if($levelup_options['woo-product-content-align-center']) echo ' align-center';?>">
        <div class="product-summary-info clearfix">
            <?php
            /**
             * woocommerce_single_product_summary hook.
             *
             * @hooked woocommerce_template_single_title - 5
             * @hooked woocommerce_template_single_rating - 10
             * @hooked woocommerce_template_single_price - 10
             * @hooked woocommerce_template_single_excerpt - 20
             * @hooked woocommerce_template_single_add_to_cart - 30
             * @hooked woocommerce_template_single_meta - 40
             * @hooked woocommerce_template_single_sharing - 50
	     * @hooked WC_Structured_Data::generate_product_data() - 60
             */
            do_action( 'woocommerce_single_product_summary' );
            ?>

        </div><!-- .summary -->

    </div><!-- #product-<?php the_ID(); ?> -->
</div>
</div>
</div>

    <div class="without-sidebar clear">

        <?php
        /**
         * woocommerce_after_single_product_summary hook.
         *
         * @hooked woocommerce_output_product_data_tabs - 10
         * @hooked woocommerce_upsell_display - 15
         * @hooked woocommerce_output_related_products - 20
         */
        do_action( 'woocommerce_after_single_product_summary' );
        ?>

</div><!-- #product-<?php the_ID(); ?> -->

<?php do_action( 'woocommerce_after_single_product' ); ?>