<?php
/**
 * Content wrappers
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/global/wrapper-start.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $levelup_options;

if ( levelup_get_options('woo_catalog_type') != 2 && levelup_get_options("woo-enable-catalog-sidebar") != "0" && ( is_product_category() || is_shop() || is_cart())):
    $classes = "with-sidebar col-lg-9 col-md-9 col-sm-9 col-xs-12";
else:
    $classes = "without-sidebar col-lg-12 col-md-12 col-sm-12 col-xs-12";
endif;

if( levelup_get_options('woo_catalog_fullwidth') || (is_product())):
    if(is_product()){
        $container = 'container-fluid';
    }else{
        $container = 'container-fluid container-main';
    }
else:
    $container = 'container';
endif;

?>


<div class="<?php echo esc_attr( $container );?>">
    <?php if(is_shop() || is_product_category() || is_product_tag()): ?>
    <div class="row">
        <div class="top-bar-shop col-xs-12">
            <div class="row">
                <div class="hidden-xs col-sm-9 col-md-6 col-lg-8">
                    <?php if ( $levelup_options['woo-enable-breadchamps'] ) {
                        do_action( 'woocommerce_before_main_content_breadcrumb' );
                    } ?>
                </div>
                <div class="col-xs-12 col-sm-3 col-md-6 col-lg-4">
                    <div class="catalog-ordering">
                        <?php if ( have_posts() ) : ?>
                            <?php do_action( 'woocommerce_before_shop_loop_catalog_ordering' ); ?>
                            <?php do_action( 'woocommerce_before_shop_loop_result_count' ); ?>
                        <?php endif; ?>
                    </div> <!--catalog-ordering-->
                </div>
            </div>
        </div><!-- .top_bar_shop-->
    </div>
    <?php endif; ?>
    <div class="row">
        <div class="<?php if ( levelup_get_options('woo_catalog_type') != 2 && levelup_get_options("woo-enable-catalog-sidebar") == "1"):?>pull-right<?php endif;?> <?php echo esc_attr( $classes );?>">
            <div class="wc-product-row">
