<?php
/**
 * Login Form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-login.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version 2.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<?php wc_print_notices(); ?>

<?php do_action( 'woocommerce_before_customer_login_form' ); ?>

<div class="customer_login">
    <a href="javascript:void(0)" class="c_login active"><h2 class="h_login">Login</h2></a>
    <?php if ( get_option( 'woocommerce_enable_myaccount_registration' ) === 'yes' ) : ?><a href="javascript:void(0)" class="c_register"><h2 class="h_register">Register</h2></a><?php endif;?>
</div>
<script>
    $('.customer_login a').click(function(){
        if($(this).hasClass('c_login') && !$(this).hasClass('active')){
            $('.c_login').addClass('active');
            $('.c_register').removeClass('active');

            $('#customer_login .col-2').fadeOut('fast', function() {
                $('#customer_login .col-1').fadeIn('fast')
            })
        }

        if($(this).hasClass('c_register') && !$(this).hasClass('active')){
            $('.c_login').removeClass('active');
            $('.c_register').addClass('active');


            $('#customer_login .col-1').fadeOut('fast', function() {
                $('#customer_login .col-2').fadeIn('fast')
            })
        }
    })
</script>


<div class="customer_login">
<?php if ( get_option( 'woocommerce_enable_myaccount_registration' ) === 'yes' ) : ?>

<div class="col2-set row" id="customer_login">

    <div class="col-1 col-xs-12">

        <?php endif; ?>

        <?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>

            <h1 class="page-title page-cart-title"><?php esc_html_e( 'Login', 'LEVELUP' ); ?></h1>

        <?php endif; ?>

        <form method="post" class="login">

            <?php do_action( 'woocommerce_login_form_start' ); ?>

            <p class="form-row form-row-wide">
                <input type="text" class="input-text" name="username" id="username" placeholder="<?php esc_html_e( 'Username or email address', 'LEVELUP' ); ?>" value="<?php if ( ! empty( $_POST['username'] ) ) echo esc_attr( $_POST['username'] ); ?>" />
            </p>
            <p class="form-row form-row-wide">
                <input class="input-text" type="password" name="password" id="password" placeholder="<?php esc_html_e( 'Password', 'LEVELUP' ); ?>" />

			<p class="lost_password">
				<a href="<?php echo esc_url( wp_lostpassword_url() ); ?>"><?php esc_html_e( 'Lost your password?', 'LEVELUP' ); ?></a>
			</p>
            </p>

            <?php do_action( 'woocommerce_login_form' ); ?>

            <p class="form-row">
                <?php wp_nonce_field( 'woocommerce-login' ); ?>
                <input type="submit" class="button alt" name="login" value="<?php esc_attr_e( 'Login', 'LEVELUP' ); ?>" />
                <label for="rememberme" class="rememberme inline">
                    <input name="rememberme" type="checkbox" id="rememberme" value="forever" /> <?php esc_html_e( 'Remember me', 'LEVELUP' ); ?>
                </label>
            </p>


            <?php do_action( 'woocommerce_login_form_end' ); ?>

        </form>

        <?php if ( get_option( 'woocommerce_enable_myaccount_registration' ) === 'yes' ) : ?>

    </div>

    <div class="col-2 col-xs-12" style="display: none;">

        <form method="post" class="register">

            <?php do_action( 'woocommerce_register_form_start' ); ?>

            <?php if ( 'no' === get_option( 'woocommerce_registration_generate_username' ) ) : ?>

                <p class="form-row form-row-wide">
                    <input type="text" class="input-text" name="username" id="reg_username" placeholder="<?php esc_html_e( 'Username', 'LEVELUP' ); ?>" value="<?php if ( ! empty( $_POST['username'] ) ) echo esc_attr( $_POST['username'] ); ?>" />
                </p>

            <?php endif; ?>

            <p class="form-row form-row-wide">
                <input type="email" class="input-text" name="email" id="reg_email" placeholder="<?php esc_html_e( 'Email address', 'LEVELUP' ); ?>" value="<?php if ( ! empty( $_POST['email'] ) ) echo esc_attr( $_POST['email'] ); ?>" />
            </p>

            <?php if ( 'no' === get_option( 'woocommerce_registration_generate_password' ) ) : ?>

                <p class="form-row form-row-wide div_password">
                    <input type="password" class="input-text" name="password" id="reg_password" placeholder="<?php esc_html_e( 'Password', 'LEVELUP' ); ?>" />
                </p>

            <?php endif; ?>

            <!-- Spam Trap -->
            <div style="<?php echo ( ( is_rtl() ) ? 'right' : 'left' ); ?>: -999em; position: absolute;"><label for="trap"><?php esc_html_e( 'Anti-spam', 'LEVELUP' ); ?></label><input type="text" name="email_2" id="trap" tabindex="-1" /></div>

            <?php do_action( 'woocommerce_register_form' ); ?>
            <?php do_action( 'register_form' ); ?>

            <p class="form-row">
                <?php wp_nonce_field( 'woocommerce-register' ); ?>
                <input type="submit" class="button alt" name="register" value="<?php esc_attr_e( 'Register', 'LEVELUP' ); ?>" />
            </p>

            <?php do_action( 'woocommerce_register_form_end' ); ?>

        </form>

    </div>

</div>
<?php endif; ?>

</div>


<?php do_action( 'woocommerce_after_customer_login_form' ); ?>
