<?php
/**
 * Single Product tabs
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/tabs/tabs.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $levelup_options, $product;

wp_enqueue_script( 'jquery-ui-tabs' );
wp_enqueue_script( 'jquery_ui_tabs_rotate' );
wp_enqueue_script( 'wpb_composer_front_js' );

$info_fullscreen = get_post_meta(get_the_ID(), '_rdy_woocommerce_desc_fullscreen', true);

/**
 * Filter tabs and allow third parties to add their own.
 *
 * Each tab is an array containing title, callback and priority.
 * @see woocommerce_default_product_tabs()
 */
$tabs = apply_filters( 'woocommerce_product_tabs', array() );

if ( ! empty( $tabs ) ) : ?>

<div class="row">
<div class="<?php if(!$info_fullscreen):?>description-container container<?php endif;?>">


<div class="wpb_tabs wpb_content_element" data-interval="0">
    <div id="reviews"></div>
    <div class="wpb_wrapper wpb_tour_tabs_wrapper ui-tabs vc_clearfix rdy_tabs0 tabs-style-underline0 woocommerce-accordion0">

        <div class="container">
        <ul class="wpb_tabs_nav_product wpb_tabs_nav ui-tabs-nav vc_clearfix col-xs-12<?php if($levelup_options['woo-enable-product-tabs-center']) echo ' align-center';?>">
        <?php foreach ( $tabs as $key => $tab ) :?>
            <?php if( $levelup_options["woo-enable-product-description"] == 0 && ( $key == 'description' || $key == 'additional_information')) continue; ?>
            <?php if( $levelup_options["woo-enable-product-review"] == 0 && $key == 'reviews') continue; ?>

            <?php
            $tab_title = $tab['title'];
            ?>
            <li<?php if ($tab === reset($tabs)){?> class="tab-current"<?php }?>><a href="#tab-<?php echo esc_attr( $key ) ?>_tab"><?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', $tab_title, $key ) ?></a></li>

        <?php endforeach; ?>
        </ul>
        </div>

        <?php foreach ( $tabs as $key => $tab ) : ?>
            <?php if( $levelup_options["woo-enable-product-description"] == 0 && ( $key == 'description' || $key == 'additional_information')) continue; ?>
            <?php if( $levelup_options["woo-enable-product-review"] == 0 && $key == 'reviews') continue; ?>

            <div id="tab-<?php echo esc_attr( $key ) ?>_tab"<?php if ($tab === reset($tabs)){?> class="wpb_tab <?php if($info_fullscreen):?>full-width<?php endif;?> ui-tabs-panel wpb_ui-tabs-hide vc_clearfix"<?php }?>>
                <?php if($key == 'additional_information' || $key == 'reviews'):?><div class="container"><div class="row"><div class="col-xs-12"><?php endif;?>

                <?php call_user_func( $tab['callback'], $key, $tab ); ?>

                <?php if($key == 'additional_information' || $key == 'reviews'):?></div></div></div><?php endif;?>
            </div>

        <?php endforeach; ?>

    </div>
</div>


</div>
</div>
<?php endif; ?>