<?php
/**
 * Single Product title
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/title.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}


global $levelup_options;

$responsive_class = '';
if(array_key_exists('font-size', $levelup_options['shop_product_title'])){
    $wc_title_fontsize = (int)$levelup_options['shop_product_title']['font-size'];
    $responsive_class = levelup_calculate_responsive_font_class($wc_title_fontsize);
}

?>
<h1 itemprop="name" class="product_title entry-title<?php if($responsive_class) echo ' ' . esc_attr( $responsive_class ); ?>"><?php the_title(); ?></h1>
