<?php

// ! File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

$vc_is_wp_version_3_6_more = version_compare(preg_replace('/^([\d\.]+)(\-.*$)/', '$1', get_bloginfo('version')), '3.6') >= 0;


vc_remove_element("vc_wp_search");
vc_remove_element("vc_wp_meta");

vc_remove_element("vc_wp_recentcomments");
vc_remove_element("vc_wp_calendar");
vc_remove_element("vc_wp_pages");
vc_remove_element("vc_wp_tagcloud");
vc_remove_element("vc_wp_custommenu");
vc_remove_element("vc_wp_text");
vc_remove_element("vc_wp_posts");
vc_remove_element("vc_wp_categories");
vc_remove_element("vc_wp_archives");
vc_remove_element("vc_wp_rss");
vc_remove_element("vc_tta_tabs");
vc_remove_element("vc_tta_accordion");
vc_remove_element("product_page");
vc_remove_element("vc_gallery");
vc_remove_element("vc_button");
vc_remove_element("vc_button2");
vc_remove_element("vc_cta_button");
vc_remove_element("vc_cta_button2");
vc_remove_element("vc_tta_tour");
vc_remove_element("vc_tta_pageable");
vc_remove_element("vc_tour");
vc_remove_element("vc_pie");
vc_remove_element("vc_posts_slider");
vc_remove_element("vc_images_carousel");
vc_remove_element("rev_slider_vc");
vc_remove_element("add_to_cart_url");
vc_remove_element("product");


vc_map_update( 'vc_btn', array( 'name' => esc_html__( 'Simple Button', 'LEVELUP' ) ) );
vc_map_update( 'vc_gmaps', array( 'name' => esc_html__( 'Simple Google Maps', 'LEVELUP' ) ) );
vc_map_update( 'vc_round_chart', array( 'name' => esc_html__( 'Pie Chart', 'LEVELUP' ) ) );

vc_remove_param('vc_separator', 'el_id');
vc_remove_param('vc_separator', 'style');
vc_remove_param('vc_separator', 'color');
vc_remove_param('vc_separator', 'accent_color');
vc_remove_param('vc_separator', 'el_width');
vc_remove_param('vc_separator', 'align');
vc_remove_param('vc_separator', 'border_width');
vc_remove_param('vc_separator', 'css_animation');
vc_remove_param('vc_separator', 'el_class');
vc_remove_param('vc_separator', 'css');


$extra_colors = array(
    esc_html__( "Accent", 'LEVELUP' ) => "accent",
    esc_html__( "Custom Color", 'LEVELUP' ) => "custom",
);


$font_weight_array = array(
    "Default" => "",
    "Thin 100" => "100",
    "Extra-Light 200" => "200",
    "Light 300" => "300",
    "Regular 400" => "400",
    "Medium 500" => "500",
    "Semi-Bold 600" => "600",
    "Bold 700" => "700",
    "Extra-Bold 800" => "800",
    "Ultra-Bold 900" => "900"
);


$social_icons_array = array(
    "" => "",
    "ADN" => "fa-adn",
    "Android" => "fa-android",
    "Apple" => "fa-apple",
    "Bitbucket" => "fa-bitbucket",
    "Bitbucket-Sign" => "fa-bitbucket-sign",
    "Bitcoin" => "fa-bitcoin",
    "BTC" => "fa-btc",
    "CSS3" => "fa-css3",
    "Dribbble" => "fa-dribbble",
    "Dropbox" => "fa-dropbox",
    "E-mail" => "fa-envelope",
    "Facebook" => "fa-facebook",
    "Facebook-Sign" => "fa-facebook-sign",
    "Flickr" => "fa-flickr",
    "Foursquare" => "fa-foursquare",
    "GitHub" => "fa-github",
    "GitHub-Alt" => "fa-github-alt",
    "GitHub-Sign" => "fa-github-sign",
    "Gittip" => "fa-gittip",
    "Google Plus" => "fa-google-plus",
    "Google Plus-Sign" => "fa-google-plus-sign",
    "HTML5" => "fa-html5",
    "Instagram" => "fa-instagram",
    "LinkedIn" => "fa-linkedin",
    "LinkedIn-Sign" => "fa-linkedin-sign",
    "Linux" => "fa-linux",
    "MaxCDN" => "fa-maxcdn",
    "Pinterest" => "fa-pinterest",
    "Pinterest-Sign" => "fa-pinterest-sign",
    "Renren" => "fa-renren",
    "Skype" => "fa-skype",
    "StackExchange" => "fa-stackexchange",
    "Trello" => "fa-trello",
    "Tumblr" => "fa-tumblr",
    "Tumblr-Sign" => "fa-tumblr-sign",
    "Twitter" => "fa-twitter",
    "Twitter-Sign" => "fa-twitter-sign",
    "Vimeo-Square" => "fa-vimeo-square",
    "VK" => "fa-vk",
    "Weibo" => "fa-weibo",
    "Windows" => "fa-windows",
    "Xing" => "fa-xing",
    "Xing-Sign" => "fa-xing-sign",
    "YouTube" => "fa-youtube",
    "YouTube Play" => "fa-youtube-play",
    "YouTube-Sign" => "fa-youtube-sign"
);


$target_arr = array(
    esc_html__( 'Same window', 'LEVELUP' ) => '_self',
    esc_html__( 'New window', 'LEVELUP' ) => "_blank"
);


function vc_map_add_reset_margin( $label = true, $group = '' ) {
    $data = array (
        "type" => "dropdown",
        "class" => "",
        "heading" => esc_html__( "Margin Breakpoint", 'LEVELUP' ),
        "param_name" => "clean_margin",
        "value" => array(
            esc_html__( "Select", 'LEVELUP' ) => "",
            esc_html__( "Pad (Landscape) | 992px - 1200px", 'LEVELUP' ) => "md",
            esc_html__( "Pad | 768px - 992px", 'LEVELUP' ) => "sm",
            esc_html__( "Phone | 0px - 768px", 'LEVELUP' ) => "xs",
        ),
        'edit_field_class' => 'vc_col-sm-6 vc_column',
        "description" => esc_html__( "Choose when to reset the margin settings in responsive layouts.", 'LEVELUP' )
    );

    if ( $group ) {
        $data['group'] = $group;
    }

    return apply_filters( 'vc_map_add_reset_margin', $data, $label );
}


function vc_map_add_reset_paddingn( $label = true, $group = '' ) {
    $data = array (
        "type" => "dropdown",
        "class" => "",
        "heading" => esc_html__( "Padding Breakpoint", 'LEVELUP' ),
        "param_name" => "clean_padding",
        "value" => array(
            esc_html__( "Select", 'LEVELUP' ) => "",
            esc_html__( "Pad (Landscape) | 992px - 1200px", 'LEVELUP' ) => "md",
            esc_html__( "Pad | 768px - 992px", 'LEVELUP' ) => "sm",
            esc_html__( "Phone | 0px - 768px", 'LEVELUP' ) => "xs",
        ),
        'edit_field_class' => 'vc_col-sm-6 vc_column',
        "description" => esc_html__( "Choose when to reset the padding settings in responsive layouts.", 'LEVELUP' )
    );

    if ( $group ) {
        $data['group'] = $group;
    }

    return apply_filters( 'vc_map_add_reset_paddingn', $data, $label );
}



require_once vc_path_dir( 'AUTOLOAD_DIR', 'class-vc-settings-presets.php' );



// Built-in
// =============================================================================


vc_map_update('vc_video', array(
    'name' => esc_html__( 'Video Player', 'LEVELUP' ),
    'icon' => 'icon-wpb-film-youtube',
    'category' => esc_html__( 'Content', 'LEVELUP' ),
    'description' => esc_html__( 'Embed YouTube/Vimeo player', 'LEVELUP' ),
    'params' => array(
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Widget title', 'LEVELUP' ),
            'param_name' => 'title',
            'description' => esc_html__( 'Enter text used as widget title (Note: located above content element).', 'LEVELUP' ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Video link', 'LEVELUP' ),
            'param_name' => 'link',
            'value' => '',
            'admin_label' => true,
            'description' => sprintf( esc_html__( 'Enter link to video (Note: read more about available formats at WordPress %s.', 'LEVELUP' ), '<a href="http://codex.wordpress.org/Embeds#Okay.2C_So_What_Sites_Can_I_Embed_From.3F" target="_blank">codex page</a>' ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'LEVELUP' ),
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__( 'CSS box', 'LEVELUP' ),
            'param_name' => 'css',
            'group' => esc_html__( 'Design Options', 'LEVELUP' ),
        ),
    ),
));


/*  Tabs
---------------------------------------------------------- */
$tab_id_1 = ''; // time() . '-1-' . rand( 0, 100 );
$tab_id_2 = ''; // time() . '-2-' . rand( 0, 100 );

vc_map( array(
    "name" => esc_html__( 'Tabs', 'LEVELUP' ),
    'base' => 'vc_tabs',
    'show_settings_on_create' => false,
    'is_container' => true,
    'icon' => 'icon-wpb-ui-tab-content',
    'category' => esc_html__( 'Content', 'LEVELUP' ),
//    'deprecated' => '4.6',
    'description' => esc_html__( 'Tabbed content', 'LEVELUP' ),
    'params' => array(
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( 'Tabs position', 'LEVELUP' ),
            "param_name" => "align",
            "value" => array(
                esc_html__( "Left", 'LEVELUP' ) => "left",
                esc_html__( "Center", 'LEVELUP' ) => "center",
                esc_html__( "Right", 'LEVELUP' ) => "right",
            ),
            "description" => esc_html__( "Select tabs position.", 'LEVELUP' )
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Item Color", 'LEVELUP' ),
            "param_name" => "item_color",
            "value" => "#333333",
            "description" => esc_html__( "Select Item color.", 'LEVELUP' ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Active Item Color", 'LEVELUP' ),
            "param_name" => "active_item_color",
            "value" => "#333333",
            "description" => esc_html__( "Select Active Item color.", 'LEVELUP' ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Separator Line Color", 'LEVELUP' ),
            "param_name" => "separator_color",
            "value" => "#cccccc",
            "description" => esc_html__( "Select separator line color.", 'LEVELUP' ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__( "Hide Separator line?", 'LEVELUP' ),
            "value" => array( esc_html__( "Yes", 'LEVELUP' ) => "yes" ),
            "param_name" => "hide_lines",
            "description" => esc_html__( "If checked, separator line will be hidden.", 'LEVELUP' ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'LEVELUP' )
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__( 'CSS box', 'LEVELUP' ),
            'param_name' => 'css',
            'group' => esc_html__( 'Design Options', 'LEVELUP' )
        ),
    ),
    'custom_markup' => '
<div class="wpb_tabs_holder wpb_holder vc_container_for_children">
<ul class="tabs_controls">
</ul>
%content%
</div>'
,
    'default_content' => '
[vc_tab title="' . esc_html__( 'Tab 1', 'LEVELUP' ) . '" tab_id="' . $tab_id_1 . '"][/vc_tab]
[vc_tab title="' . esc_html__( 'Tab 2', 'LEVELUP' ) . '" tab_id="' . $tab_id_2 . '"][/vc_tab]
',
    'js_view' => $vc_is_wp_version_3_6_more ? 'VcTabsView' : 'VcTabsView35'
) );


/* Tour section
---------------------------------------------------------- */
vc_map( array(
    'name' => esc_html__( 'Tour', 'LEVELUP' ),
    'base' => 'vc_tour',
    'show_settings_on_create' => false,
    'is_container' => true,
    'container_not_allowed' => true,
//    'deprecated' => '4.6',
    'icon' => 'icon-wpb-ui-tab-content-vertical',
    'category' => esc_html__( 'Content', 'LEVELUP' ),
    'wrapper_class' => 'vc_clearfix',
    'description' => esc_html__( 'Vertical tabbed content', 'LEVELUP' ),
    'params' => array(
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Widget title', 'LEVELUP' ),
            'param_name' => 'title',
            'description' => esc_html__( 'Enter text used as widget title (Note: located above content element).', 'LEVELUP' )
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Auto rotate slides', 'LEVELUP' ),
            'param_name' => 'interval',
            'value' => array( esc_html__( 'Disable', 'LEVELUP' ) => 0, 3, 5, 10, 15 ),
            'std' => 0,
            'description' => esc_html__( 'Auto rotate slides each X seconds.', 'LEVELUP' )
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'LEVELUP' )
        )
    ),
    'custom_markup' => '
<div class="wpb_tabs_holder wpb_holder vc_clearfix vc_container_for_children">
<ul class="tabs_controls">
</ul>
%content%
</div>'
,
    'default_content' => '
[vc_tab title="' . esc_html__( 'Tab 1', 'LEVELUP' ) . '" tab_id="' . $tab_id_1 . '"][/vc_tab]
[vc_tab title="' . esc_html__( 'Tab 2', 'LEVELUP' ) . '" tab_id="' . $tab_id_2 . '"][/vc_tab]
',
    'js_view' => $vc_is_wp_version_3_6_more ? 'VcTabsView' : 'VcTabsView35'
) );

vc_map( array(
    'name' => esc_html__( 'Tab', 'LEVELUP' ),
    'base' => 'vc_tab',
    'allowed_container_element' => 'vc_row',
    'is_container' => true,
    'content_element' => false,
//    'deprecated' => '4.6',
    'params' => array(
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Title', 'LEVELUP' ),
            'param_name' => 'title',
            'description' => esc_html__( 'Enter title of tab.', 'LEVELUP' )
        ),
        array(
            'type' => 'tab_id',
            'heading' => esc_html__( 'Tab ID', 'LEVELUP' ),
            'param_name' => "tab_id"
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Tab Background Color", 'LEVELUP'),
            "param_name" => "tab_bg_color",
            "value" => "",
            "description" => "",
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Tab Text Color", 'LEVELUP'),
            "param_name" => "color",
            "value" => "",
            "description" => "",
        )
    ),
    'js_view' => $vc_is_wp_version_3_6_more ? 'VcTabView' : 'VcTabView35'
) );


/* Accordion block
---------------------------------------------------------- */
vc_map( array(
    'name' => esc_html__( 'Accordion', 'LEVELUP' ),
    'base' => 'vc_accordion',
    'show_settings_on_create' => false,
    'is_container' => true,
    'icon' => 'icon-wpb-ui-accordion',
//    'deprecated' => '4.6',
    'category' => esc_html__( 'Content', 'LEVELUP' ),
    'description' => esc_html__( 'Collapsible content panels', 'LEVELUP' ),
    'params' => array(
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Active section', 'LEVELUP' ),
            'param_name' => 'active_tab',
            'value' => 1,
            'description' => esc_html__( 'Enter section number to be active on load or enter "false" to collapse all sections.', 'LEVELUP' )
        ),
	    array(
		    'type' => 'checkbox',
		    'heading' => esc_html__( 'Allow collapse all sections?', 'LEVELUP' ),
		    'param_name' => 'collapsible',
		    'description' => esc_html__( 'If checked, it is allowed to collapse all sections.', 'LEVELUP' ),
		    'value' => array( esc_html__( 'Yes', 'LEVELUP' ) => 'yes' )
	    ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Disable keyboard interactions?', 'LEVELUP' ),
            'param_name' => 'disable_keyboard',
            'description' => esc_html__( 'If checked, disables keyboard arrow interactions (Keys: Left, Up, Right, Down, Space).', 'LEVELUP' ),
            'value' => array( esc_html__( 'Yes', 'LEVELUP' ) => 'yes' )
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'LEVELUP' )
        )
    ),
    'custom_markup' => '
<div class="wpb_accordion_holder wpb_holder clearfix vc_container_for_children">
%content%
</div>
<div class="tab_controls">
    <a class="add_tab" title="' . esc_html__( 'Add section', 'LEVELUP' ) . '"><span class="vc_icon"></span> <span class="tab-label">' . esc_html__( 'Add section', 'LEVELUP' ) . '</span></a>
</div>
',
    'default_content' => '
    [vc_accordion_tab title="' . esc_html__( 'Section 1', 'LEVELUP' ) . '"][/vc_accordion_tab]
    [vc_accordion_tab title="' . esc_html__( 'Section 2', 'LEVELUP' ) . '"][/vc_accordion_tab]
',
    'js_view' => 'VcAccordionView'
) );


vc_map( array(
    'name' => esc_html__( 'Section', 'LEVELUP' ),
    'base' => 'vc_accordion_tab',
    'allowed_container_element' => 'vc_row',
    'is_container' => true,
//    'deprecated' => '4.6',
    'content_element' => false,
    'params' => array(
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Title', 'LEVELUP' ),
            'param_name' => 'title',
            'value' => esc_html__( 'Section', 'LEVELUP' ),
            'description' => esc_html__( 'Enter accordion section title.', 'LEVELUP' )
        ),
        array(
            'type' => 'el_id',
            'heading' => esc_html__( 'Section ID', 'LEVELUP' ),
            'param_name' => 'el_id',
            'description' => sprintf( esc_html__( 'Enter optional row ID. Make sure it is unique, and it is valid as w3c specification: %s (Must not have spaces)', 'LEVELUP' ), '<a target="_blank" href="http://www.w3schools.com/tags/att_global_id.asp">' . esc_html__( 'link', 'LEVELUP' ) . '</a>' ),
        ),
    ),
    'js_view' => 'VcAccordionTabView'
) );


// ! Adding our classes to paint standard VC shortcodes
function custom_css_accordion($class_string, $tag) {
    if ( in_array( $tag, array('vc_accordion', 'vc_toggle', 'vc_progress_bar', 'vc_posts_slider') ) ) {
        $class_string .= ' rdy-style';
    }

    return $class_string;
}
add_filter('vc_shortcodes_css_class', 'custom_css_accordion', 10, 2);


vc_add_param("vc_accordion", array(
    'type' => 'css_editor',
    'heading' => esc_html__( 'CSS box', 'LEVELUP' ),
    'param_name' => 'css',
    'group' => esc_html__( 'Design Options', 'LEVELUP' )
));


/*  Single image
---------------------------------------------------------- */

vc_map( array(
    'name' => esc_html__( 'Single Image', 'LEVELUP' ),
    'base' => 'vc_single_image',
    'icon' => 'icon-wpb-single-image',
    'category' => esc_html__( 'Content', 'LEVELUP' ),
    'description' => esc_html__( 'Simple image with CSS animation', 'LEVELUP' ),
    'params' => array(

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Image source', 'LEVELUP' ),
            'param_name' => 'source',
            'value' => array(
                esc_html__( 'Media library', 'LEVELUP' ) => 'media_library',
                esc_html__( 'External link', 'LEVELUP' ) => 'external_link',
                esc_html__( 'Featured Image', 'LEVELUP' ) => 'featured_image'
            ),
            'std' => 'media_library',
            'description' => esc_html__( 'Select image source.', 'LEVELUP' )
        ),
        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Image', 'LEVELUP' ),
            'param_name' => 'image',
            'value' => '',
            'description' => esc_html__( 'Select image from media library.', 'LEVELUP' ),
            'dependency' => array(
                'element' => 'source',
                'value' => 'media_library'
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'External link', 'LEVELUP' ),
            'param_name' => 'custom_src',
            'description' => esc_html__( 'Select external link.', 'LEVELUP' ),
            'dependency' => array(
                'element' => 'source',
                'value' => 'external_link'
            ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Image alignment', 'LEVELUP' ),
            'param_name' => 'alignment',
            'value' => array(
                esc_html__( 'Left', 'LEVELUP' ) => 'left',
                esc_html__( 'Right', 'LEVELUP' ) => 'right',
                esc_html__( 'Center', 'LEVELUP' ) => 'center',
                esc_html__( 'Inline', 'LEVELUP' ) => 'inline'
            ),
            'description' => esc_html__( 'Select image alignment.', 'LEVELUP' )
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Image size', 'LEVELUP' ),
            'param_name' => 'img_size',
            'description' => esc_html__( 'Enter image size. Example: "thumbnail", "medium", "large", "full", "stretch" or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'LEVELUP' ),
            'std' => 'full'
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Image style', 'LEVELUP' ),
            'param_name' => 'style',
            'value' => getVcShared( 'single image styles' ),
            'description' => esc_html__( 'Select image display style.', 'LEVELUP' ),
            'dependency' => array(
                'element' => 'source',
                'value' => array( 'media_library', 'featured_image' )
            ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Image style', 'LEVELUP' ),
            'param_name' => 'external_style',
            'value' => getVcShared( 'single image external styles' ),
            'description' => esc_html__( 'Select image display style.', 'LEVELUP' ),
            'dependency' => array(
                'element' => 'source',
                'value' => 'external_link'
            ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Border color', 'LEVELUP' ),
            'param_name' => 'border_color',
            'value' => getVcShared( 'colors' ),
            'std' => 'grey',
            'dependency' => array(
                'element' => 'style',
                'value' => array( 'vc_box_border', 'vc_box_border_circle', 'vc_box_outline', 'vc_box_outline_circle' )
            ),
            'description' => esc_html__( 'Border color.', 'LEVELUP' ),
            'param_holder_class' => 'vc_colored-dropdown'
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'On click action', 'LEVELUP' ),
            'param_name' => 'onclick',
            'value' => array(
                esc_html__( 'None', 'LEVELUP' ) => '',
                esc_html__( 'Link to large image', 'LEVELUP' ) => 'img_link_large',
                esc_html__( 'Open prettyPhoto', 'LEVELUP' ) => 'link_image',
                esc_html__( 'Open custom link', 'LEVELUP' ) => 'custom_link',
                esc_html__( 'Zoom', 'LEVELUP' ) => 'zoom',
            ),
            'description' => esc_html__( 'Select action for click action.', 'LEVELUP' ),
            'std' => ''
        ),
        array(
            'type' => 'href',
            'heading' => esc_html__( 'Image link', 'LEVELUP' ),
            'param_name' => 'link',
            'description' => esc_html__( 'Enter URL if you want this image to have a link (Note: parameters like "mailto:" are also accepted).', 'LEVELUP' ),
            'dependency' => array(
                'element' => 'onclick',
                'value' => 'custom_link',
            )
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Link Target', 'LEVELUP' ),
            'param_name' => 'img_link_target',
            'value' => $target_arr,
            'dependency' => array(
                'element' => 'onclick',
                'value' => array( 'custom_link', 'img_link_large' ),
            ),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Add caption", 'LEVELUP'),
            "param_name" => "description_text",
            "value" => "",
            'description' => esc_html__('Enter a caption here.', 'LEVELUP'),
            'group' => esc_html__('Caption', 'LEVELUP'),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Caption Font Size", 'LEVELUP'),
            "param_name" => "description_fontsize",
            "value" => "12",
            'description' => esc_html__('Enter Caption Font Size in pixels.', 'LEVELUP'),
            "dependency" => Array('element' => "description_text", 'not_empty' => true),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'group' => esc_html__('Caption', 'LEVELUP'),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Caption Alignment", 'LEVELUP'),
            "param_name" => "description_align",
            "value" => array(
                esc_html__("Left", 'LEVELUP') => "left",
                esc_html__("Center", 'LEVELUP') => "center",
                esc_html__("Right", 'LEVELUP') => "right"
            ),
            "dependency" => Array('element' => "description_text", 'not_empty' => true),
			'description' => esc_html__('Choose a caption alignment.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'group' => esc_html__('Caption', 'LEVELUP'),
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Add Bottom Border?", 'LEVELUP'),
            "param_name" => "bottom_border",
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true",
            ),
            "description" => "",
            "dependency" => Array('element' => "description_text", 'not_empty' => true),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'group' => esc_html__('Caption', 'LEVELUP'),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Bottom Border Color", 'LEVELUP'),
            "param_name" => "bottom_border_color",
            "value" => "",
            'description' => esc_html__('Select Bottom Border color.', 'LEVELUP'),
            "dependency" => Array('element' => "bottom_border", 'not_empty' => true),
            'group' => esc_html__('Caption', 'LEVELUP'),
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Film Grain Overlay", 'LEVELUP'),
            "param_name" => "overlay_grain",
            'options' => array(
                '' => array(
                    'title' => 'None',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/hide.png",
                ),
                'noise' => array(
                    'title' => 'Granularity',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/overlay/noise.gif",
                ),
                'glitch' => array(
                    'title' => 'Glitch',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/overlay/noise.gif",
                ),
            ),
            'group' => esc_html__('Overlay', 'LEVELUP'),
            'dependency' => Array(
	            'element' => 'onclick',
	            'value'  => array( '', 'img_link_large', 'link_image', 'custom_link' )
            ),
            'std' => ''
        ),

        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Film Grain Overlay Opacity", 'LEVELUP'),
            "param_name" => "overlay_grain_opacity",
            "value" => "60",
            'description' => esc_html__('Enter the value of film grain overlay opacity (%). From 0 to 100 percent. Eg. 75', 'LEVELUP'),
            "dependency" => Array('element' => "overlay_grain", 'not_empty' => true),
            'group' => esc_html__('Overlay', 'LEVELUP'),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Animation-direction (on hover)', 'LEVELUP' ),
            'param_name' => 'dir_animation',
            'value' => array(
                esc_html__( 'None', 'LEVELUP' ) => '',
                esc_html__( 'Up', 'LEVELUP' ) => 'up',
                esc_html__( 'Down', 'LEVELUP' ) => 'down',
                esc_html__( 'Left', 'LEVELUP' ) => 'left',
                esc_html__( 'Right', 'LEVELUP' ) => 'right',
            ),
            "description" => esc_html__( "Property animation-direction defines the direction of the animation on hover.", 'LEVELUP' ),
            'std' => '',
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Looping Animation?", 'LEVELUP'),
            "param_name" => "dir_animation_loop",
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true",
            ),
            "description" => esc_html__( "If checked, the animation will be looping.", 'LEVELUP' ),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Two-stage Animation?", 'LEVELUP'),
            "param_name" => "dir_animation_hover",
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true",
            ),
            "description" => esc_html__("This setting defines whether an animation should play in reverse direction when the mouse pointer leaves the selected element.", 'LEVELUP'),
            "dependency" => Array('element' => "dir_animation_loop", 'is_empty' => true),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("CSS Animation", 'LEVELUP'),
            "param_name" => "css_animation",
            "admin_label" => true,
            "value" => levelup_get_vc_animation_options(),
            'description' => esc_html__('Select type of animation for element to be animated when it "enters" the browsers viewport or you can specify delay (Note: works only in modern browsers).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),
		array(
            "type" => "textfield",
            "heading" => esc_html__("Animation Delay (ms)", 'LEVELUP'),
            "param_name" => "transition_delay",
            "admin_label" => true,
            "value" => "",
            'description' => esc_html__('Specify the delay in milliseconds when animation start.', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Restart CSS Animation", 'LEVELUP'),
            'value' => array(esc_html__('Yes', 'LEVELUP') => 'show_video'),
            "param_name" => "css_animation_repeat",
            'group' => esc_html__('Animation', 'LEVELUP'),
            'description' => esc_html__('If checked, the animation for the element will be restart whenever when it "enters" the browsers viewport (Note: works only in modern browsers).', 'LEVELUP'),
        ),

        array(
            'type' => 'css_editor',
            'heading' => esc_html__( 'CSS box', 'LEVELUP' ),
            'param_name' => 'css',
            'group' => esc_html__( 'Design Options', 'LEVELUP' )
        ),
        vc_map_add_reset_margin(true, esc_html__('Design Options', 'LEVELUP') ),
        vc_map_add_reset_paddingn(true, esc_html__('Design Options', 'LEVELUP') ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'LEVELUP' )
        ),

        // backward compatibility. since 4.6
        array(
            'type' => 'hidden',
            'param_name' => 'img_link_large'
        )
    )
) );


/*  Row
---------------------------------------------------------- */

vc_map( array(
    'name' => esc_html__( 'Row', 'LEVELUP' ),
    'base' => 'vc_row',
    'is_container' => true,
    'icon' => 'icon-wpb-row',
    'show_settings_on_create' => false,
    'category' => esc_html__( 'Content', 'LEVELUP' ),
    'description' => esc_html__( 'Place content elements inside the row', 'LEVELUP' ),
    'params' => array(

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Row stretch', 'LEVELUP' ),
            'param_name' => 'full_width',
            'value' => array(
                esc_html__( 'Default', 'LEVELUP' ) => '',
                esc_html__( 'Stretch Row', 'LEVELUP' ) => 'stretch_row',
                esc_html__( 'Stretch Row and Content', 'LEVELUP' ) => 'stretch_row_content',
                esc_html__( 'Stretch Row and Content (no paddings)', 'LEVELUP' ) => 'stretch_row_content_no_spaces',
            ),
            'description' => esc_html__( 'Select stretching options for row and content.', 'LEVELUP' ),
            'edit_field_class' => 'vc_col-sm-12 vc_column',
        ),

		array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Custom Padding?", 'LEVELUP'),
            "param_name" => "custom_padding",
            'description' => esc_html__( 'Using this setting you may change Row Padding (Global) individually.', 'LEVELUP' ),
            "value" => array(
                esc_html__( 'Yes', 'LEVELUP' ) => "true",
            ),
            'dependency' => array(
                'element' => 'full_width',
                'value' => array('', 'stretch_row', 'stretch_row_content'),
            ),
        ),

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Custom Left/Right Padding", 'LEVELUP'),
            "param_name" => "custom_padding_lr",
            "description" => esc_html__( 'Choose the size of the left and right padding.', 'LEVELUP' ),
            "value" => array(
                esc_html__( "Inherit", 'LEVELUP' ) => "",
                esc_html__( "0px", 'LEVELUP' )       => 0,
                esc_html__( "15px", 'LEVELUP' )      => 15,
                esc_html__( "30px", 'LEVELUP' )      => 30,
                esc_html__( "45px", 'LEVELUP' )      => 45,
                esc_html__( "60px", 'LEVELUP' )      => 60,
                esc_html__( "80px", 'LEVELUP' )      => 80,
                esc_html__( "100px", 'LEVELUP' )      => 100
            ),
            'dependency' => array(
                'element' => 'custom_padding',
                'not_empty' => true,
            ),
            "std" => ''
        ),

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Custom Top Padding", 'LEVELUP'),
            "param_name" => "custom_padding_t",
            "description" => esc_html__( 'Choose the size of the top padding.', 'LEVELUP' ),
            "value" => array(
                esc_html__( "Inherit", 'LEVELUP' ) => "",
                esc_html__( "0px", 'LEVELUP' )       => 0,
                esc_html__( "15px", 'LEVELUP' )      => 15,
                esc_html__( "30px", 'LEVELUP' )      => 30,
                esc_html__( "45px", 'LEVELUP' )      => 45,
                esc_html__( "60px", 'LEVELUP' )      => 60,
                esc_html__( "80px", 'LEVELUP' )      => 80,
                esc_html__( "100px", 'LEVELUP' )      => 100
            ),
            'dependency' => array(
                'element' => 'custom_padding',
                'not_empty' => true,
            ),
            "std" => ''
        ),

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Custom Bottom Padding", 'LEVELUP'),
            "description" => esc_html__( 'Choose the size of the bottom padding.', 'LEVELUP' ),
            "param_name" => "custom_padding_b",
            "value" => array(
                esc_html__( "Inherit", 'LEVELUP' ) => "",
                esc_html__( "0px", 'LEVELUP' )       => 0,
                esc_html__( "15px", 'LEVELUP' )      => 15,
                esc_html__( "30px", 'LEVELUP' )      => 30,
                esc_html__( "45px", 'LEVELUP' )      => 45,
                esc_html__( "60px", 'LEVELUP' )      => 60,
                esc_html__( "80px", 'LEVELUP' )      => 80,
                esc_html__( "100px", 'LEVELUP' )      => 100
            ),
            'dependency' => array(
                'element' => 'custom_padding',
                'not_empty' => true,
            ),
            "std" => ''
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Full Height Row?', 'LEVELUP' ),
            'param_name' => 'full_height',
            'description' => esc_html__( 'If checked, row will be set to full height.', 'LEVELUP' ),
            'value' => array( esc_html__( 'Yes', 'LEVELUP' ) => 'yes' )
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Columns position', 'LEVELUP' ),
            'param_name' => 'columns_placement',
            'value' => array(
                esc_html__( 'Middle', 'LEVELUP' ) => 'middle',
                esc_html__( 'Top', 'LEVELUP' ) => 'top',
                esc_html__( 'Bottom', 'LEVELUP' ) => 'bottom',
                esc_html__( 'Stretch', 'LEVELUP' ) => 'stretch',
            ),
            'description' => esc_html__( 'Select columns position within row.', 'LEVELUP' ),
            'dependency' => array(
                'element' => 'full_height',
                'not_empty' => true,
            ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn2_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'Row_dynamic_fixed',
            'text' => esc_html__('Dynamic and Fixed Row Height', 'LEVELUP'),
            'description' => esc_html__( 'You may specify dynamic Row height in percent, as well as fixed height in pixels. In order to specify dynamic height, use the setting Row Dynamic Height (%), together with this setting you may set the minimal Row height in the field Row Min Height(px) or Fixed Height(px), below which it can’t be. In case you want to set the fixed Row height, use the setting Row Min Height(px) or Fixed Height(px), specify the value only in this field.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-12',
            'dependency' => array(
                'element' => 'full_height',
                'is_empty' => true,
            ),
        ),

        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Row Dynamic Height (%)", 'LEVELUP'),
            "param_name" => "row_dynamic_height",
            "value" => "",
            'dependency' => array(
                'element' => 'full_height',
                'is_empty' => true,
            ),
            'description' => esc_html__('Define the height of the row in percent (%). E.g. 65', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Row Min Height or Fixed Height", 'LEVELUP'),
            "param_name" => "row_min_height",
            "value" => "",
            'dependency' => array(
	            'element' => 'full_height',
	            'is_empty' => true,
            ),
            'description' => esc_html__('Enter a minimum height or fixed height for the row in pixels. E.g. 250', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Columns position', 'LEVELUP' ),
            'param_name' => 'columns_placement_dyn',
            'value' => array(
                esc_html__( 'Middle', 'LEVELUP' ) => 'middle',
                esc_html__( 'Top', 'LEVELUP' ) => 'top',
                esc_html__( 'Bottom', 'LEVELUP' ) => 'bottom',
                esc_html__( 'Stretch', 'LEVELUP' ) => 'stretch',
            ),
            'description' => esc_html__( 'Specify columns position within row.', 'LEVELUP' ),
            'dependency' => array(
	            'element' => 'full_height',
	            'is_empty' => true,
            ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn3_icon_setting_002',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'dependency' => array(
                'element' => 'full_height',
                'is_empty' => true,
            ),
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Equal Height', 'LEVELUP' ),
            'param_name' => 'equal_height',
            'description' => esc_html__( 'If checked, columns will be set to equal height.', 'LEVELUP' ),
            'value' => array( esc_html__( 'Yes', 'LEVELUP' ) => 'yes' ),
            'group' => esc_html__('Columns', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn4_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Columns', 'LEVELUP'),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Columns Gap', 'LEVELUP' ),
            'param_name' => 'gap',
            'value' => array(
                '0px' => '0',
                '1px' => '1',
                '2px' => '2',
                '3px' => '3',
                '4px' => '4',
                '5px' => '5',
                '10px' => '10',
                '15px' => '15',
                '20px' => '20',
                '25px' => '25',
                '30px' => '30',
                '35px' => '35',
                '40px' => '40',
                '45px' => '45',
                '50px' => '50',
                '55px' => '55',
                '60px' => '60',
            ),
            'std' => '30',
            'description' => esc_html__( 'Select gap between columns in row.', 'LEVELUP' ),
            'group' => esc_html__('Columns', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn5_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Columns', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Text and Inline Elements Alignment", 'LEVELUP'),
            "param_name" => "text_align",
            "value" => array(
                esc_html__("Left", 'LEVELUP') => "left",
                esc_html__("Center", 'LEVELUP') => "center",
                esc_html__("Right", 'LEVELUP') => "right"
            ),
            'description' => esc_html__('Specify the alignment the text, inline elements in column(s) within Row.', 'LEVELUP'),
            'group' => esc_html__('Columns', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn6_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Columns', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn7_icon_setting',
            'text' => esc_html__('Sequential Animation Cascade for Inner Columns', 'LEVELUP'),
            'description' => esc_html__( 'Use this settings to create an natural-looking, cascading animation of columns appearing quickly one after another, animate several objects with the same entrance effect and adjust their entry time and animation speed.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-12',
            'group' => esc_html__('Columns', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Animation", 'LEVELUP'),
            "value" => array(
                esc_html__('- Select -', 'LEVELUP') => "",
                esc_html__('Fade In', 'LEVELUP') => "transition.fadeIn",
                esc_html__('Slide Up', 'LEVELUP') => "levelup.slideUpIn",
                esc_html__('Slide Down', 'LEVELUP') => "transition.slideDownIn",
                esc_html__('Slide Left', 'LEVELUP') => "transition.slideLeftIn",
                esc_html__('Shrink', 'LEVELUP') => "transition.shrinkIn",
                esc_html__('Expand', 'LEVELUP') => "transition.expandIn",
                esc_html__('Flip X', 'LEVELUP') => "transition.flipXIn",
                esc_html__('Flip Y', 'LEVELUP') => "transition.flipYIn",
                esc_html__('Flip Bounce Y', 'LEVELUP') => "transition.flipBounceYIn",
                esc_html__('Bounce', 'LEVELUP') => "transition.bounceIn",
                esc_html__('Pulse', 'LEVELUP') => "callout.pulse"
            ),
            "param_name" => "csd_animation",
            'group' => esc_html__('Columns', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Animation Speed", 'LEVELUP'),
            "value" => array(
                esc_html__('- Select -', 'LEVELUP') => "0",
                esc_html__('100ms - fast', 'LEVELUP') => "100",
                esc_html__('200ms', 'LEVELUP') => "200",
                esc_html__('300ms', 'LEVELUP') => "300",
                esc_html__('400ms', 'LEVELUP') => "400",
                esc_html__('500ms', 'LEVELUP') => "500",
                esc_html__('600ms', 'LEVELUP') => "600",
                esc_html__('700ms - default', 'LEVELUP') => "700",
                esc_html__('800ms', 'LEVELUP') => "800",
                esc_html__('900ms', 'LEVELUP') => "900",
                esc_html__('1000ms - slow', 'LEVELUP') => "1000"
            ),
            "param_name" => "csd_animation_duration",
            'group' => esc_html__('Columns', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            "std" => "700",
        ),


        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Animation Delay", 'LEVELUP'),
            "value" => array(
                esc_html__('- Select -', 'LEVELUP') => "0",
                esc_html__('100ms - fast', 'LEVELUP') => "100",
                esc_html__('200ms', 'LEVELUP') => "200",
                esc_html__('300ms - default', 'LEVELUP') => "300",
                esc_html__('400ms', 'LEVELUP') => "400",
                esc_html__('500ms', 'LEVELUP') => "500",
                esc_html__('600ms', 'LEVELUP') => "600",
                esc_html__('700ms', 'LEVELUP') => "700",
                esc_html__('800ms', 'LEVELUP') => "800",
                esc_html__('900ms', 'LEVELUP') => "900",
                esc_html__('1000ms', 'LEVELUP') => "1000",
                esc_html__('1100ms', 'LEVELUP') => "1100",
                esc_html__('1200ms', 'LEVELUP') => "1200",
                esc_html__('1300ms', 'LEVELUP') => "1300",
                esc_html__('1400ms', 'LEVELUP') => "1400",
                esc_html__('1500ms - slow', 'LEVELUP') => "1500",
            ),
            "param_name" => "csd_animation_delay",
            'group' => esc_html__('Columns', 'LEVELUP'),
            "std" => "300",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Overlay", 'LEVELUP'),
            "param_name" => "row_overlay",
            'options' => array(
                '' => array(
                    'title' => 'None',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/hide.png",
                ),
                'image' => array(
                    'title' => 'Image Overlay',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/overlay/pattern.png",
                ),
                'color' => array(
                    'title' => 'Solid Color Overlay',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/overlay/color.png",
                ),
                'gradient' => array(
                    'title' => 'Gradient Overlay',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/overlay/gradient.png",
                ),
            ),
            'description' => esc_html__('Select the overlay type that will be displayed only on this row.', 'LEVELUP'),
            'group' => esc_html__('Overlay', 'LEVELUP'),
            'std' => ''
        ),


        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Overlay Opacity", 'LEVELUP'),
            "param_name" => "row_overlay_opacity",
            "value" => "50",
            'description' => esc_html__('Enter the value of color overlay opacity (%). From 0 to 100 percent. Eg. 75', 'LEVELUP'),
            "dependency" => Array('element' => "row_overlay", 'not_empty' => true),
            'group' => esc_html__('Overlay', 'LEVELUP'),
        ),

        array(
            "type" => "attach_image",
            "class" => "",
            "heading" => esc_html__("Image Pattern Overlay", 'LEVELUP'),
            "param_name" => "row_overlay_image",
            "value" => "",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'description' => '',
            'group' => esc_html__('Overlay', 'LEVELUP'),
            "dependency" => Array('element' => "row_overlay", 'value' => array('image'))
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Overlay Color - First", 'LEVELUP'),
            "param_name" => "row_overlay_color",
            "value" => "",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'description' => esc_html__('If only one color is selected, it would be a solid color background.', 'LEVELUP'),
            'group' => esc_html__('Overlay', 'LEVELUP'),
            "dependency" => Array('element' => "row_overlay", 'value' => array('color', 'gradient'))
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Overlay Color - Second", 'LEVELUP'),
            "param_name" => "row_overlay_color2",
            "value" => "",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'description' => esc_html__('If both colors are selected (First & Second), it would be a gradient background.', 'LEVELUP'),
            'group' => esc_html__('Overlay', 'LEVELUP'),
            "dependency" => Array('element' => "row_overlay", 'value' => array('gradient'))
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Overlay Gradient Direction", 'LEVELUP'),
            "param_name" => "row_overlay_gradient_direction",
            'options' => array(
                'tb' => array(
                    'title' => 'Vertical',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/overlay/dir_01.png",
                ),
                'lr' => array(
                    'title' => 'Horizontal',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/overlay/dir_02.png",
                ),
                'br' => array(
                    'title' => 'Diagonal (135deg)',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/overlay/dir_03.png",
                ),
                'bl' => array(
                    'title' => 'Diagonal (45deg)',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/overlay/dir_04.png",
                ),
                'rd' => array(
                    'title' => 'Radial',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/overlay/dir_05.png",
                ),
            ),
            'group' => esc_html__('Overlay', 'LEVELUP'),
            "std" => "tb",
            'description' => '',
            'dependency' => array(
                'element' => 'row_overlay_color2',
                'not_empty' => true,
            ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Overlay', 'LEVELUP'),
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Film Grain Overlay", 'LEVELUP'),
            "param_name" => "row_overlay_grain",
            'options' => array(
                '' => array(
                    'title' => 'None',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/hide.png",
                ),
                'noise' => array(
                    'title' => 'Granularity',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/overlay/noise.gif",
                ),
            ),
            'group' => esc_html__('Overlay', 'LEVELUP'),
            'std' => ''
        ),

        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Film Grain Overlay Opacity", 'LEVELUP'),
            "param_name" => "row_overlay_grain_opacity",
            "value" => "60",
            'description' => esc_html__('Enter the value of film grain overlay opacity (%). From 0 to 100 percent. Eg. 75', 'LEVELUP'),
            "dependency" => Array('element' => "row_overlay", 'is_empty' => true),
            'group' => esc_html__('Overlay', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Live Background", 'LEVELUP'),
            "param_name" => "live_background",
            'description' => esc_html__('Choose the Live Background that will be displayed only on this row.', 'LEVELUP'),
            "value" => array(
                esc_html__("- Select -", 'LEVELUP') => "",
                esc_html__("Waves", 'LEVELUP') => "waves",
                esc_html__("Spiderweb", 'LEVELUP') => "spiderweb",
                esc_html__("Particles", 'LEVELUP') => "particles",
                esc_html__("Out of Sync", 'LEVELUP') => "motion",
                esc_html__("Zero Gravity", 'LEVELUP') => "shapes",
                esc_html__("Sine Waves", 'LEVELUP') => "sine_waves",
            ),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

	    array(
		    "type" => "dropdown",
		    "heading" => esc_html__("Line Thickness", 'LEVELUP'),
		    "param_name" => "live_background_sine_preset",
		    "value" => array(
			    esc_html__("Thin Lines", 'LEVELUP') => "preset1",
			    esc_html__("Random Thickness", 'LEVELUP') => "preset2",
			    esc_html__("Single Line", 'LEVELUP') => "preset3",
		    ),
		    'dependency' => array(
			    'element' => 'live_background',
			    'value' => 'sine_waves'
		    ),
		    'group' => esc_html__('Backgrounds+', 'LEVELUP'),
	    ),

	    array(
		    "type" => "colorpicker",
		    "class" => "",
		    "heading" => esc_html__("Color One", 'LEVELUP'),
		    "param_name" => "live_background_sine_color1",
		    "value" => "",
		    "dependency" => Array('element' => "live_background", 'value' => array('sine_waves')),
		    'edit_field_class' => 'vc_col-sm-4 vc_column',
		    'group' => esc_html__('Backgrounds+', 'LEVELUP'),
	    ),

	    array(
		    "type" => "colorpicker",
		    "class" => "",
		    "heading" => esc_html__("Color Two", 'LEVELUP'),
		    "param_name" => "live_background_sine_color2",
		    "value" => "",
		    "dependency" => Array('element' => "live_background", 'value' => array('sine_waves')),
		    'edit_field_class' => 'vc_col-sm-4 vc_column',
		    'group' => esc_html__('Backgrounds+', 'LEVELUP'),
	    ),

	    array(
		    "type" => "colorpicker",
		    "class" => "",
		    "heading" => esc_html__("Color Three", 'LEVELUP'),
		    "param_name" => "live_background_sine_color3",
		    "value" => "",
		    "dependency" => Array('element' => "live_background", 'value' => array('sine_waves')),
		    'edit_field_class' => 'vc_col-sm-4 vc_column',
		    'group' => esc_html__('Backgrounds+', 'LEVELUP'),
	    ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting_sinewave',
            'text' => '',
            'description' => esc_html__( 'In case you choose Color One, lines will be of solid color. If you indicate two colors, Color One and Color Two or Color Three there will be two-colored gradient. If you specify colors for all three values Color One, Color Two, Color Three so gradient will be three-colored.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            "dependency" => Array('element' => "live_background", 'value' => array('sine_waves')),
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-12',
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Zero Gravity Type", 'LEVELUP'),
            "param_name" => "live_background_shapes_type",
            "value" => array(
                esc_html__("Bottom to Top", 'LEVELUP') => "type1",
                esc_html__("Rotation Around the Orbit", 'LEVELUP') => "type2",
            ),
            'dependency' => array(
                'element' => 'live_background',
                'value' => 'shapes'
            ),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
            'description' => esc_html__('Choose the Zero Gravity type.', 'LEVELUP'),
        ),

        array(
		    "type" => "dropdown",
		    "heading" => esc_html__("Shape Libraries", 'LEVELUP'),
		    "param_name" => "live_background_shapes_preset",
		    "value" => array(
			    esc_html__("Agency", 'LEVELUP') => "preset1",
			    esc_html__("Kids", 'LEVELUP') => "preset2",
			    esc_html__("Fun", 'LEVELUP') => "preset3",
		    ),
		    'dependency' => array(
			    'element' => 'live_background',
			    'value' => 'shapes'
		    ),
            'description' => esc_html__('Select shape library.', 'LEVELUP'),
		    'group' => esc_html__('Backgrounds+', 'LEVELUP'),
	    ),

	    array(
		    "type" => "dropdown",
		    "heading" => esc_html__("Size", 'LEVELUP'),
		    "param_name" => "live_background_shapes_size",
		    "value" => array(
			    esc_html__("Small", 'LEVELUP') => "small",
			    esc_html__("Large", 'LEVELUP') => "large",
		    ),
		    'dependency' => array(
			    'element' => 'live_background',
			    'value' => 'shapes'
		    ),
		    'group' => esc_html__('Backgrounds+', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'description' => esc_html__('Select shape size.', 'LEVELUP'),
	    ),

	    array(
		    "type" => "dropdown",
		    "heading" => esc_html__("Speed", 'LEVELUP'),
		    "param_name" => "live_background_shapes_speed",
		    "value" => array(
			    esc_html__("Slow", 'LEVELUP') => "slow",
			    esc_html__("Fast", 'LEVELUP') => "fast",
		    ),
		    'dependency' => array(
			    'element' => 'live_background',
			    'value' => 'shapes'
		    ),
		    'group' => esc_html__('Backgrounds+', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'description' => esc_html__('Select shape speed.', 'LEVELUP'),
	    ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Color", 'LEVELUP'),
            "param_name" => "live_background_color",
            "value" => "#0099e5",
            'description' => esc_html__('Select color.', 'LEVELUP'),
            "dependency" => Array('element' => "live_background", 'value' => array('waves', 'spiderweb', 'particles', 'shapes')),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

	    array (
		    "type" => "textfield",
		    "class" => "",
		    "heading" => esc_html__("Opacity", 'LEVELUP'),
		    "param_name" => "live_background_opacity",
		    "value" => "60",
		    'description' => esc_html__('Enter the value opacity (%) of the live background. From 0 to 100 percent. Eg. 75', 'LEVELUP'),
		    "dependency" => Array('element' => "live_background", 'value' => array('shapes')),
		    'group' => esc_html__('Backgrounds+', 'LEVELUP'),
		    'edit_field_class' => 'vc_col-sm-4 vc_column',
	    ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Live Background Fog Color", 'LEVELUP'),
            "param_name" => "live_background_fog_color",
            "value" => "",
            "dependency" => Array('element' => "live_background", 'value' => array('particles')),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'description' => esc_html__('Select color for Fog Particles.', 'LEVELUP'),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Disable Mouse Interaction", 'LEVELUP'),
            "param_name" => "live_background_mousemove_disable",
            "value" => array(
                esc_html__( 'Yes', 'LEVELUP' ) => "true",
            ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'description' => esc_html__('If checked, the interaction of the mouse and the Live Background is not active.', 'LEVELUP'),
            'dependency' => array(
                'element' => 'live_background',
                'value' => array('waves', 'spiderweb',)
            ),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "heading" => esc_html__("Floating Particles?", 'LEVELUP'),
            "param_name" => "live_background_auto",
            "value" => array( esc_html__( 'Yes', 'LEVELUP' ) => 'yes' ),
            "dependency" => Array('element' => "live_background", 'value' => array('particles')),
            'description' => esc_html__('Using this setting you can enable/disable floating particles at rest, when the mouse does not move.', 'LEVELUP'),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Color Tinting (Presets)", 'LEVELUP'),
            "param_name" => "live_background_motion_preset",
            "value" => array(
                esc_html__("Original", 'LEVELUP') => "original",
                esc_html__("Purple", 'LEVELUP') => "purple",
                esc_html__("Grayscale", 'LEVELUP') => "grayscale",
                esc_html__("Cooling 80", 'LEVELUP') => "cooling_80",
                esc_html__("Orange", 'LEVELUP') => "orange",
                esc_html__("Green", 'LEVELUP') => "green",
                esc_html__("Red", 'LEVELUP') => "red",
                esc_html__("Deep Blue", 'LEVELUP') => "deep_blue",
                esc_html__("Underwatter", 'LEVELUP') => "underwatter",
            ),
            'dependency' => array(
                'element' => 'live_background',
                'value' => 'motion'
            ),
            'description' => esc_html__('Choose the Live Background preset color tinting.', 'LEVELUP'),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Live Background Image', 'LEVELUP' ),
            'param_name' => 'live_background_image',
            'value' => '',
            'description' => esc_html__( 'The current image in different Live Backgrounds is used in different ways, in "Out of Sync" as the main image, in "Particles" it is the background on the condition that WebGL is not supported by the browser.', 'LEVELUP' ),
            'dependency' => array(
                'element' => 'live_background',
                'value' => array('motion', 'particles')
            ),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),


        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Disable Live Background?", 'LEVELUP'),
            "admin_label" => true,
            "param_name" => "live_background_hide",
            "value" => array(
                esc_html__(" - Select -", 'LEVELUP') => "",
                esc_html__("Pad + Phone", 'LEVELUP') => "md",
                esc_html__("Phone", 'LEVELUP') => "xs",
            ),
            "dependency" => Array('element' => "live_background", 'not_empty' => true),
            'description' => esc_html__('Using this setting you can enable/disable Live Background on Mobile Devices.', 'LEVELUP'),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Parallax', 'LEVELUP'),
            'param_name' => 'parallax',
            'value' => array(
                esc_html__('- Select -', 'LEVELUP') => '',
                esc_html__('Simple', 'LEVELUP') => 'content-moving',
                esc_html__('With fade', 'LEVELUP') => 'content-moving-fade',
            ),
            'description' => esc_html__('Add parallax type background for row (Note: If no image is specified, parallax will use background image from Design Options).', 'LEVELUP'),
            'dependency' => array(
                'element' => 'video_bg',
                'is_empty' => true,
            ),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            'type' => 'attach_image',
            'heading' => esc_html__('Image', 'LEVELUP'),
            'param_name' => 'parallax_image',
            'value' => '',
            'description' => esc_html__('Select image from media library.', 'LEVELUP'),
            'dependency' => array(
                'element' => 'parallax',
                'not_empty' => true,
            ),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting_001',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'dependency' => array('element' => 'video_bg', 'is_empty' => true,),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Video Background?', 'LEVELUP' ),
            'param_name' => 'video_bg',
            'description' => esc_html__( 'If checked, YouTube, Vimeo or Self-Hosted video will be used as row background.', 'LEVELUP' ),
            'value' => array( esc_html__( 'Yes', 'LEVELUP' ) => 'yes' ),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__('YouTube or Vimeo Link', 'LEVELUP'),
            'param_name' => 'video_bg_url',
            'value' => '', // default video url
            'description' => esc_html__('Add YouTube or Vimeo link.', 'LEVELUP'),
            'dependency' => array(
                'element' => 'video_bg',
                'not_empty' => true,
            ),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Self-Hosted Video Background (Mp4 file URL)", 'LEVELUP'),
            "value" => "",
            "param_name" => "video_mp4",
            'description' => esc_html__('Enter the URL for mp4 video file.', 'LEVELUP'),
            'dependency' => array(
                'element' => 'video_bg_url',
                'value' => array(''),
            ),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("WebM file URL (Optional)", 'LEVELUP'),
            "value" => "",
            "param_name" => "video_webm",
            'description' => esc_html__('Enter the URL for webm video file.', 'LEVELUP'),
//            "dependency" => Array('element' => "video", 'value' => array('show_video'))
            'dependency' => array(
                'element' => 'video_mp4',
                'not_empty' => true,
            ),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("OVG file URL (Optional)", 'LEVELUP'),
            "value" => "",
            "param_name" => "video_ogv",
            'description' => esc_html__('Enter the URL for ogv video file.', 'LEVELUP'),
//            "dependency" => Array('element' => "video", 'value' => array('show_video'))
            'dependency' => array(
                'element' => 'video_mp4',
                'not_empty' => true,
            ),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            "type" => "attach_image",
            "class" => "",
            "heading" => esc_html__("Video preview image", 'LEVELUP'),
            "value" => "",
            "param_name" => "video_image",
            'description' => '',
//            "dependency" => Array('element' => "video", 'value' => array('show_video'))
            'dependency' => array(
                'element' => 'video_mp4',
                'not_empty' => true,
            ),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Parallax', 'LEVELUP'),
            'param_name' => 'video_bg_parallax',
            'value' => array(
                esc_html__('None', 'LEVELUP') => '',
                esc_html__('Simple', 'LEVELUP') => 'content-moving',
                esc_html__('With fade', 'LEVELUP') => 'content-moving-fade',
            ),
            'description' => esc_html__('Add parallax type background for row.', 'LEVELUP'),
            'dependency' => array(
                'element' => 'video_bg_url',
                'not_empty' => true,
            ),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__('Custom Aspect Ratio', 'LEVELUP'),
            'param_name' => 'video_bg_ratio',
            'value' => '',
            'description' => esc_html__('Add custom aspect ratio (Default: 1.7). Aspect ratio formula (Pixels width / Pixels height =  Aspect Ratio)', 'LEVELUP'),
            'dependency' => array(
                'element' => 'video_mp4',
                'not_empty' => true,
            ),
            'group' => esc_html__('Backgrounds+', 'LEVELUP'),
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Shadow for Row", 'LEVELUP'),
            "param_name" => "shadow",
            'options' => array(
                '' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_00.png",
                ),
                'shadow1' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_01.png",
                ),
                'shadow2' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_02.png",
                ),
                'shadow3' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_03.png",
                ),
                'shadow4' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_04.png",
                ),
                'shadow5' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_05.png",
                ),
                'shadow6' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_06.png",
                ),
                'shadow7' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_07.png",
                ),
                'shadow8' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_08.png",
                ),
                'shadow9' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_09.png",
                ),
                'shadow10' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_10.png",
                ),
            ),

            'group' => esc_html__('Shadow', 'LEVELUP'),
            'description' => esc_html__( 'Select pre-made Shadow Style for Row.', 'LEVELUP' ),
            "std" => "",
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Switch Logo & Header Elements Color", 'LEVELUP'),
            "value" => array(
                esc_html__('Inherit', 'LEVELUP') => "",
                esc_html__('Light', 'LEVELUP') => "light",
                esc_html__('Dark', 'LEVELUP') => "dark",
            ),
            "param_name" => "logo_color_type",
            'description' => esc_html__('Choose the style of the logo that will be displayed only when the logo on this row.', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("CSS Animation", 'LEVELUP'),
            "param_name" => "css_animation",
            "admin_label" => true,
            "value" => levelup_get_vc_animation_options(),
            'description' => esc_html__('Select type of animation for the element to be animated when it "enters" the browsers viewport or you can specify the delay (Note: works only in modern browsers).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("CSS Animation Delay (ms)", 'LEVELUP'),
            "param_name" => "transition_delay",
            "admin_label" => true,
            "value" => "",
            'description' => esc_html__('Specify the delay of animation start (in milliseconds).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Restart CSS Animation", 'LEVELUP'),
            'value' => array(esc_html__('Yes', 'LEVELUP') => 'show_video'),
            "param_name" => "css_animation_repeat",
            'group' => esc_html__('Animation', 'LEVELUP'),
            'description' => esc_html__('If checked, the animation for the element will be restart whenever when it "enters" the browsers viewport (Note: works only in modern browsers).', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Hide Row', 'LEVELUP'),
            'description' => esc_html__( 'Select checkboxes on which devices will not display the current row.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'checkbox',
            'param_name' => 'row_hide_lg',
            'value' => array( esc_html__( 'Desktop', 'LEVELUP' ) => 'yes' ),
            'edit_field_class' => 'vc_col-sm-3 vc_column',
        ),

        array(
            'type' => 'checkbox',
            'param_name' => 'row_hide_md',
            'value' => array( esc_html__( 'Tablet (Horizontal)', 'LEVELUP' ) => 'yes' ),
            'edit_field_class' => 'vc_col-sm-3 vc_column',
        ),

        array(
            'type' => 'checkbox',
            'param_name' => 'row_hide_sm',
            'value' => array( esc_html__( 'Tablet', 'LEVELUP' ) => 'yes' ),
            'edit_field_class' => 'vc_col-sm-3 vc_column',
        ),

        array(
            'type' => 'checkbox',
            'param_name' => 'row_hide_xs',
            'value' => array( esc_html__( 'Phone', 'LEVELUP' ) => 'yes' ),
            'edit_field_class' => 'vc_col-sm-3 vc_column',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'el_id',
            'heading' => esc_html__('Row ID', 'LEVELUP'),
            'param_name' => 'el_id',
            'description' => sprintf(esc_html__('Enter row ID (Note: make sure it is unique and valid according to %s).', 'LEVELUP'), '<a href="http://www.w3schools.com/tags/att_global_id.asp" target="_blank">w3c specification</a>'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__('Extra class name', 'LEVELUP'),
            'param_name' => 'el_class',
            'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'LEVELUP'),
        ),

        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'LEVELUP'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'LEVELUP')
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        // ---

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Customizable at Every Screen Size', 'LEVELUP'),
            'description' => esc_html__( 'Using the settings below, you may set exact values margins and padding and also set offset for different screen sizes.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-8',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        array(
            'type' => 'levelup_css_tabs',
//		    'heading' => __( '', 'LEVELUP' ),
            'param_name' => 'css_tabs',
            'group' => __( 'Design Options', 'LEVELUP' ),
            'std' => '',
        ),
        array(
            'type' => 'levelup_css_margin',
//            'heading' => __( 'Responsiveness Margin', 'LEVELUP' ),
            'param_name' => 'css_margin',
            'group' => __( 'Design Options', 'LEVELUP' ),
            'std' => '',
            'description' => __( 'Adjust the margins manually for different screen sizes. Function “Zero value” is necessary only for automatic filling in the fields for the exact device (exclusively for facilitating the using).', 'LEVELUP' ),
        ),
        array(
            'type' => 'levelup_css_margin',
//            'heading' => __( 'Responsiveness Padding', 'LEVELUP' ),
            'param_name' => 'css_padding',
            'group' => __( 'Design Options', 'LEVELUP' ),
            'std' => '',
            'description' => __( 'Adjust the paddings manually for different screen sizes. Function “Zero value” is necessary only for automatic filling in the fields for the exact device (exclusively for facilitating the using).', 'LEVELUP' ),
        ),
        array(
            'type' => 'levelup_css_margin',
//            'heading' => __( 'Responsiveness Offset', 'LEVELUP' ),
            'param_name' => 'css_offset',
            'group' => __( 'Design Options', 'LEVELUP' ),
            'std' => '',
            'description' => __( 'Adjust the offsets manually for different screen sizes. Function “Zero value” is necessary only for automatic filling in the fields for the exact device (exclusively for facilitating the using).', 'LEVELUP' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Hide Background Image?', 'LEVELUP'),
            'param_name' => 'bg_hidden',
            'value' => array(
                esc_html__('- Select -', 'LEVELUP') => '',
                esc_html__('Tablet (768 - 992px)', 'LEVELUP') => 'sm',
                esc_html__('Phone (0 - 768px)', 'LEVELUP') => 'xs',
            ),
            'group' => esc_html__('Design Options', 'LEVELUP'),
            "description" => esc_html__( "Use this setting to choose when to hide the background image on mobile devices.", 'LEVELUP' )
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("CSS z-index", 'LEVELUP'),
            "param_name" => "css_zindex",
            "value" => "",
            'group' => esc_html__('Design Options', 'LEVELUP'),
            "description" => esc_html__( "Set a custom z-index. The z-index property specifies the stack order of an element.", 'LEVELUP' )
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Attention!', 'LEVELUP'),
            'description' => esc_html__( 'Settings Margin Breakpoint and Padding Breakpoint will be disabled and deleted, please set up Breakpoint value in the table above.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-8',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),


        vc_map_add_reset_margin(true, esc_html__('Design Options', 'LEVELUP') ),
        vc_map_add_reset_paddingn(true, esc_html__('Design Options', 'LEVELUP') ),


    ),

    'js_view' => 'VcRowView'
) );


vc_map( array(
    'name' => esc_html__( 'Inner Row', 'LEVELUP' ),
    'base' => 'vc_row_inner',
    //Inner Row
    'content_element' => false,
    'is_container' => true,
    'icon' => 'icon-wpb-row',
    'weight' => 1000,
    'show_settings_on_create' => false,
    'description' => esc_html__( 'Place content elements inside the inner row.', 'LEVELUP' ),
    'params' => array(

        /*array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Columns position', 'LEVELUP' ),
            'param_name' => 'content_placement',
            'value' => array(
                esc_html__( 'Default', 'LEVELUP' ) => '',
                esc_html__( 'Top', 'LEVELUP' ) => 'top',
                esc_html__( 'Middle', 'LEVELUP' ) => 'middle',
                esc_html__( 'Bottom', 'LEVELUP' ) => 'bottom',
            ),
            'description' => esc_html__( 'Select columns position within row.', 'LEVELUP' ),
        ),*/

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Equal Height', 'LEVELUP' ),
            'param_name' => 'equal_height',
            'description' => esc_html__( 'If checked, columns will be set to equal height.', 'LEVELUP' ),
            'value' => array( esc_html__( 'Yes', 'LEVELUP' ) => 'yes' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Columns Gap', 'LEVELUP' ),
            'param_name' => 'gap',
            'value' => array(
                '0px' => '0',
                '1px' => '1',
                '2px' => '2',
                '3px' => '3',
                '4px' => '4',
                '5px' => '5',
                '10px' => '10',
                '15px' => '15',
                '20px' => '20',
                '25px' => '25',
                '30px' => '30',
                '35px' => '35',
                '40px' => '40',
                '45px' => '45',
                '50px' => '50',
                '55px' => '55',
                '60px' => '60',
            ),
            'std' => '30',
            'description' => esc_html__( 'Select gap between columns in row.', 'LEVELUP' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Text and Inline Elements Alignment", 'LEVELUP'),
            "param_name" => "text_align",
            "value" => array(
                esc_html__("- Select -", 'LEVELUP') => "",
                esc_html__("Left", 'LEVELUP') => "left",
                esc_html__("Center", 'LEVELUP') => "center",
                esc_html__("Right", 'LEVELUP') => "right"
            ),
            'description' => esc_html__('Specify the alignment the text, inline elements in column(s) within Inner Row.', 'LEVELUP'),
        ),


        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'el_id',
            'heading' => esc_html__( 'Row ID', 'LEVELUP' ),
            'param_name' => 'el_id',
            'description' => sprintf( esc_html__( 'Enter optional row ID. Make sure it is unique, and it is valid as w3c specification: %s (Must not have spaces)', 'LEVELUP' ), '<a target="_blank" href="http://www.w3schools.com/tags/att_global_id.asp">' . esc_html__( 'link', 'LEVELUP' ) . '</a>' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Hide Inner Row', 'LEVELUP'),
            'description' => esc_html__( 'Select checkboxes on which devices will not display the current row.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'checkbox',
            'param_name' => 'row_hide_lg',
            'value' => array( esc_html__( 'Desktop', 'LEVELUP' ) => 'yes' ),
            'edit_field_class' => 'vc_col-sm-3 vc_column',
        ),

        array(
            'type' => 'checkbox',
            'param_name' => 'row_hide_md',
            'value' => array( esc_html__( 'Tablet (Horizontal)', 'LEVELUP' ) => 'yes' ),
            'edit_field_class' => 'vc_col-sm-3 vc_column',
        ),

        array(
            'type' => 'checkbox',
            'param_name' => 'row_hide_sm',
            'value' => array( esc_html__( 'Tablet', 'LEVELUP' ) => 'yes' ),
            'edit_field_class' => 'vc_col-sm-3 vc_column',
        ),

        array(
            'type' => 'checkbox',
            'param_name' => 'row_hide_xs',
            'value' => array( esc_html__( 'Phone', 'LEVELUP' ) => 'yes' ),
            'edit_field_class' => 'vc_col-sm-3 vc_column',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'LEVELUP' ),
        ),


	    array (
		    "type" => "rdy_img_set",
		    "class" => "",
		    "heading" => esc_html__("Shadow for Row", 'LEVELUP'),
		    "param_name" => "shadow",
		    'options' => array(
			    '' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_00.png",
			    ),
			    'shadow1' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_01.png",
			    ),
			    'shadow2' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_02.png",
			    ),
			    'shadow3' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_03.png",
			    ),
			    'shadow4' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_04.png",
			    ),
			    'shadow5' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_05.png",
			    ),
			    'shadow6' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_06.png",
			    ),
			    'shadow7' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_07.png",
			    ),
			    'shadow8' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_08.png",
			    ),
			    'shadow9' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_09.png",
			    ),
			    'shadow10' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_10.png",
			    ),
		    ),

		    'group' => esc_html__('Shadow', 'LEVELUP'),
		    'description' => esc_html__( 'Select pre-made Shadow Style for Row.', 'LEVELUP' ),
		    "std" => "",
	    ),

	    array(
            'type' => 'css_editor',
            'heading' => esc_html__( 'CSS box', 'LEVELUP' ),
            'param_name' => 'css',
            'group' => esc_html__( 'Design Options', 'LEVELUP' ),
        ),
// ---

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Customizable at Every Screen Size', 'LEVELUP'),
            'description' => esc_html__( 'Using the settings below, you may set exact values margins and padding and also set offset for different screen sizes.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-8',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        array(
            'type' => 'levelup_css_tabs',
            'param_name' => 'css_tabs',
            'group' => __( 'Design Options', 'LEVELUP' ),
            'std' => '',
        ),
        array(
            'type' => 'levelup_css_margin',
            'param_name' => 'css_margin',
            'group' => __( 'Design Options', 'LEVELUP' ),
            'std' => '',
            'description' => __( 'Adjust the margins manually for different screen sizes. Function “Zero value” is necessary only for automatic filling in the fields for the exact device (exclusively for facilitating the using).', 'LEVELUP' ),
        ),

        array(
            'type' => 'levelup_css_margin',
            'param_name' => 'css_padding',
            'group' => __( 'Design Options', 'LEVELUP' ),
            'std' => '',
            'description' => __( 'Adjust the paddings manually for different screen sizes. Function “Zero value” is necessary only for automatic filling in the fields for the exact device (exclusively for facilitating the using).', 'LEVELUP' ),
        ),

        array(
            'type' => 'levelup_css_margin',
            'param_name' => 'css_offset',
            'group' => __( 'Design Options', 'LEVELUP' ),
            'std' => '',
            'description' => __( 'Adjust the offsets manually for different screen sizes. Function “Zero value” is necessary only for automatic filling in the fields for the exact device (exclusively for facilitating the using).', 'LEVELUP' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("CSS z-index", 'LEVELUP'),
            "param_name" => "css_zindex",
            "value" => "",
            'group' => esc_html__('Design Options', 'LEVELUP'),
            "description" => esc_html__( "Set a custom z-index. The z-index property specifies the stack order of an element.", 'LEVELUP' )
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Attention!', 'LEVELUP'),
            'description' => esc_html__( 'Settings Margin Breakpoint and Padding Breakpoint will be disabled and deleted, please set up Breakpoint value in the table above.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-8',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

	    vc_map_add_reset_margin(true, esc_html__('Design Options', 'LEVELUP') ),
        vc_map_add_reset_paddingn(true, esc_html__('Design Options', 'LEVELUP') ),
    ),
    'js_view' => 'VcRowView',
));


/*  Column
---------------------------------------------------------- */

vc_map( array(
    'name' => esc_html__( 'Column', 'LEVELUP' ),
    'base' => 'vc_column',
    'icon' => 'icon-wpb-row',
    'is_container' => true,
    'content_element' => false,
    'description' => esc_html__( 'Place content elements inside the column', 'LEVELUP' ),
    'params' => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Vertical Position", 'LEVELUP'),
            "param_name" => "vertical_align",
            "value" => array(
                esc_html__("Top", 'LEVELUP') => "",
                esc_html__("Middle", 'LEVELUP') => "center",
                esc_html__("Bottom", 'LEVELUP') => "bottom",
            ),
            'description' => esc_html__('Select the vertical position of the content within column.', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

	    array(
		    "type" => "dropdown",
		    "class" => "",
		    "heading" => esc_html__("Text and Inline Elements Alignment", 'LEVELUP'),
		    "param_name" => "text_align",
		    "value" => array(
			    esc_html__("- Select -", 'LEVELUP') => "",
			    esc_html__("Left", 'LEVELUP') => "left",
			    esc_html__("Center", 'LEVELUP') => "center",
			    esc_html__("Right", 'LEVELUP') => "right"
		    ),
		    'description' => esc_html__('Specify the alignment inside the within column.', 'LEVELUP'),
	    ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Text Color", 'LEVELUP' ),
            "param_name" => "text_color",
            "value" => "",
            'description' => esc_html__('Select Text color in the Column.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Text Hover Color", 'LEVELUP' ),
            "param_name" => "text_hover_color",
            "value" => "",
            'description' => esc_html__('Select Text color in the Column on hover.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Background Hover Color", 'LEVELUP'),
            "param_name" => "hover_color",
            "value" => "",
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'description' => esc_html__('Select Background Hover color.', 'LEVELUP'),
        ),

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Elements Bottom Margin", 'LEVELUP'),
            "param_name" => "vertical_spacing",
            "value" => array(
                esc_html__( "0px", 'LEVELUP' )       => "",
                esc_html__( "15px", 'LEVELUP' )      => 15,
                esc_html__( "30px", 'LEVELUP' )      => 30,
                esc_html__( "45px", 'LEVELUP' )      => 45,
                esc_html__( "60px", 'LEVELUP' )      => 60,
            ),
            'description' => esc_html__('Select the vertical spacing between content elements within column.', 'LEVELUP'),
            'group' => esc_html__('Inner Elements', 'LEVELUP'),
            "std" => ''
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Inner Elements', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Sequential animation cascade for Inner Elements', 'LEVELUP'),
            'description' => esc_html__( 'Use this settings to create an natural-looking, cascading animation of elements appearing quickly one after another, animate several objects with the same entrance effect and adjust their entry time and animation speed.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-12',
            'group' => esc_html__('Inner Elements', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Animation", 'LEVELUP'),
            "value" => array(
                esc_html__('- Select -', 'LEVELUP') => "",
                esc_html__('Fade In', 'LEVELUP') => "transition.fadeIn",
                esc_html__('Slide Up', 'LEVELUP') => "levelup.slideUpIn",
                esc_html__('Slide Down', 'LEVELUP') => "transition.slideDownIn",
                esc_html__('Slide Left', 'LEVELUP') => "transition.slideLeftIn",
                esc_html__('Shrink', 'LEVELUP') => "transition.shrinkIn",
                esc_html__('Expand', 'LEVELUP') => "transition.expandIn",
                esc_html__('Flip X', 'LEVELUP') => "transition.flipXIn",
                esc_html__('Flip Y', 'LEVELUP') => "transition.flipYIn",
                esc_html__('Flip Bounce Y', 'LEVELUP') => "transition.flipBounceYIn",
                esc_html__('Bounce', 'LEVELUP') => "transition.bounceIn",
                esc_html__('Pulse', 'LEVELUP') => "callout.pulse"
            ),
            "param_name" => "csd_animation",
            'description' => esc_html__('Select the type of animation inner elements.', 'LEVELUP'),
            'group' => esc_html__('Inner Elements', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Animation Speed", 'LEVELUP'),
            "value" => array(
                esc_html__('- Select -', 'LEVELUP') => "0",
                esc_html__('100ms - fast', 'LEVELUP') => "100",
                esc_html__('200ms', 'LEVELUP') => "200",
                esc_html__('300ms', 'LEVELUP') => "300",
                esc_html__('400ms', 'LEVELUP') => "400",
                esc_html__('500ms', 'LEVELUP') => "500",
                esc_html__('600ms', 'LEVELUP') => "600",
                esc_html__('700ms - default', 'LEVELUP') => "700",
                esc_html__('800ms', 'LEVELUP') => "800",
                esc_html__('900ms', 'LEVELUP') => "900",
                esc_html__('1000ms - slow', 'LEVELUP') => "1000"
            ),
            "param_name" => "csd_animation_duration",
            'group' => esc_html__('Inner Elements', 'LEVELUP'),
            "std" => "700",
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Animation Delay", 'LEVELUP'),
            "value" => array(
                esc_html__('- Select -', 'LEVELUP') => "0",
                esc_html__('100ms - fast', 'LEVELUP') => "100",
                esc_html__('200ms', 'LEVELUP') => "200",
                esc_html__('300ms  - default', 'LEVELUP') => "300",
                esc_html__('400ms', 'LEVELUP') => "400",
                esc_html__('500ms', 'LEVELUP') => "500",
                esc_html__('600ms', 'LEVELUP') => "600",
                esc_html__('700ms', 'LEVELUP') => "700",
                esc_html__('800ms', 'LEVELUP') => "800",
                esc_html__('900ms', 'LEVELUP') => "900",
                esc_html__('1000ms', 'LEVELUP') => "1000",
                esc_html__('1100ms', 'LEVELUP') => "1100",
                esc_html__('1200ms', 'LEVELUP') => "1200",
                esc_html__('1300ms', 'LEVELUP') => "1300",
                esc_html__('1400ms', 'LEVELUP') => "1400",
                esc_html__('1500ms - slow', 'LEVELUP') => "1500",
            ),
            "param_name" => "csd_animation_delay",
            'group' => esc_html__('Inner Elements', 'LEVELUP'),
            "std" => "300",
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Floating Column (do not work simultaneously with the CSS Animation)", 'LEVELUP'),
            "param_name" => "scroll_animation",
            "value" => array(
                esc_html__("- Select -", 'LEVELUP') => "",
                esc_html__("Up", 'LEVELUP') => "up",
                esc_html__("Down", 'LEVELUP') => "down",
                esc_html__("To Left", 'LEVELUP') => "left",
                esc_html__("To Right", 'LEVELUP') => "right",
            ),
            'group' => esc_html__('Floating', 'LEVELUP'),
            'description' => esc_html__('Choose a direction of column movement when scrolling of the page.', 'LEVELUP'),
            "dependency" => array("element" => "css_animation", 'value' => array('')),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Range of motion", 'LEVELUP'),
            "param_name" => "scroll_animation_range",
            "value" => array(
                esc_html__("- Select -", 'LEVELUP') => "",
                esc_html__("30px", 'LEVELUP') => 30,
                esc_html__("50px", 'LEVELUP') => 50,
                esc_html__("70px", 'LEVELUP') => 70,
                esc_html__("100px", 'LEVELUP') => 100,
                esc_html__("150px", 'LEVELUP') => 150,
                esc_html__("200px", 'LEVELUP') => 200,
            ),
            "dependency" => array("element" => "scroll_animation", 'not_empty' => true),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'description' => esc_html__('Specify a range at which the column will \'float\'.', 'LEVELUP'),
            'group' => esc_html__('Floating', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Speed", 'LEVELUP'),
            "param_name" => "scroll_animation_speed",
            "value" => array(
                esc_html__("30 - smooth", 'LEVELUP') => 30,
                esc_html__("20", 'LEVELUP') => 20,
                esc_html__("10", 'LEVELUP') => 10,
                esc_html__("5 - hard", 'LEVELUP') => 5,
            ),
            "dependency" => array("element" => "scroll_animation", 'not_empty' => true),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'description' => esc_html__('Specify a speed of column movement.', 'LEVELUP'),
            'group' => esc_html__('Floating', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Apply a URL (Link) to the entire column?', 'LEVELUP' ),
            'param_name' => 'is_link',
            'value' => array(
                esc_html__( 'Yes', 'LEVELUP' ) => 'true',
            ),
            'description' => esc_html__('If checked, you can add a URL (link) to column.', 'LEVELUP'),
        ),

        array(
            'type' => 'vc_link',
            'heading' => esc_html__( 'URL (Link)', 'LEVELUP' ),
            'param_name' => 'link',
            'dependency' => array(
                'element' => 'is_link',
                'not_empty' => true,
            ),
            'description' => esc_html__('Add link for the column.', 'LEVELUP'),
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Shadow on Hover?', 'LEVELUP' ),
            'param_name' => 'shadow_on_hover',
            'value' => array(
                esc_html__( 'Yes', 'LEVELUP' ) => 'true',
            ),
            'description' => esc_html__('If checked, shadow will be shown on hover.', 'LEVELUP'),
            'group' => esc_html__('Shadow', 'LEVELUP'),
            'edit_field_class' => 'vc_column vc_col-sm-6',
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Slightly Lifted Up on Hover?', 'LEVELUP' ),
            'param_name' => 'move_top',
            'value' => array(
                esc_html__( 'Yes', 'LEVELUP' ) => 'true',
            ),
            'description' => esc_html__('If checked, the column and its content is slightly lifted up simultaneously with shadow displaying on hover.', 'LEVELUP'),
            'dependency' => array('element' => "shadow_on_hover", 'not_empty' => true),
            'group' => esc_html__('Shadow', 'LEVELUP'),
            'edit_field_class' => 'vc_column no_padding vc_col-sm-6',
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Shadow for Column", 'LEVELUP'),
            "param_name" => "shadow",
            'options' => array(
                '' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_00.png",
                ),
                'shadow1' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_01.png",
                ),
                'shadow2' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_02.png",
                ),
                'shadow3' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_03.png",
                ),
                'shadow4' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_04.png",
                ),
                'shadow5' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_05.png",
                ),
                'shadow6' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_06.png",
                ),
                'shadow7' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_07.png",
                ),
                'shadow8' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_08.png",
                ),
                'shadow9' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_09.png",
                ),
                'shadow10' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_10.png",
                ),
            ),

            'group' => esc_html__('Shadow', 'LEVELUP'),
            'description' => esc_html__( 'Select pre-made Shadow Style for Column.', 'LEVELUP' ),
            "std" => "",
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("CSS Animation", 'LEVELUP'),
            "admin_label" => true,
            "param_name" => "css_animation",
            "value" => levelup_get_vc_animation_options(),
            'description' => esc_html__('Select type of animation for the element to be animated when it "enters" the browsers viewport or you can specify the delay (Note: works only in modern browsers).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("CSS Animation Delay (ms)", 'LEVELUP'),
            "param_name" => "transition_delay",
            "admin_label" => true,
            "value" => "",
            'description' => esc_html__('Specify the delay in milliseconds when animation start.', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Restart CSS Animation", 'LEVELUP'),
            'value' => array(esc_html__('Yes', 'LEVELUP') => 'show_video'),
            "param_name" => "css_animation_repeat",
            'description' => esc_html__('If checked, the animation for the element will be restart whenever when it "enters" the browsers viewport (Note: works only in modern browsers).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            'type' => 'css_editor',
            'heading' => esc_html__( 'CSS box', 'LEVELUP' ),
            'param_name' => 'css',
            'group' => esc_html__( 'Design Options', 'LEVELUP' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Disable Left and Right Border?', 'LEVELUP' ),
            'param_name' => 'mobile_hide_border',
            'value' => array(
                esc_html__('- Select -', 'LEVELUP') => '',
                esc_html__('Tablet (768px - 992px)', 'LEVELUP') => 'sm',
                esc_html__('Phone (0px - 768px)', 'LEVELUP') => 'xs',
            ),
            'group' => esc_html__( 'Design Options', 'LEVELUP' ),
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-6',
            'description' => esc_html__('Use this setting you may disable the left and the right borders on mobile devices.', 'LEVELUP'),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Hide Background Image?', 'LEVELUP'),
            'param_name' => 'bg_hidden',
            'value' => array(
                esc_html__('- Select -', 'LEVELUP') => '',
                esc_html__('Tablet (768px - 992px)', 'LEVELUP') => 'sm',
                esc_html__('Phone (0px - 768px)', 'LEVELUP') => 'xs',
            ),
            'description' => esc_html__('Use this setting to choose when to hide the background image on mobile devices.', 'LEVELUP'),
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-6',
            'group' => esc_html__( 'Design Options', 'LEVELUP' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        // ---

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Customizable at Every Screen Size', 'LEVELUP'),
            'description' => esc_html__( 'Using the settings below, you may set exact values margins and padding and also set offset for different screen sizes.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-8',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        array(
            'type' => 'levelup_css_tabs',
            'param_name' => 'css_tabs',
            'group' => __( 'Design Options', 'LEVELUP' ),
            'std' => '',
        ),
        array(
            'type' => 'levelup_css_margin',
            'param_name' => 'css_margin',
            'group' => __( 'Design Options', 'LEVELUP' ),
            'std' => '',
            'description' => __( 'Adjust the margins manually for different screen sizes. Function “Zero value” is necessary only for automatic filling in the fields for the exact device (exclusively for facilitating the using).', 'LEVELUP' ),
        ),
        array(
            'type' => 'levelup_css_margin',
            'param_name' => 'css_padding',
            'group' => __( 'Design Options', 'LEVELUP' ),
            'std' => '',
            'description' => __( 'Adjust the paddings manually for different screen sizes. Function “Zero value” is necessary only for automatic filling in the fields for the exact device (exclusively for facilitating the using).', 'LEVELUP' ),
        ),
        array(
            'type' => 'levelup_css_margin',
            'param_name' => 'css_offset',
            'group' => __( 'Design Options', 'LEVELUP' ),
            'std' => '',
            'description' => __( 'Adjust the offsets manually for different screen sizes. Function “Zero value” is necessary only for automatic filling in the fields for the exact device (exclusively for facilitating the using).', 'LEVELUP' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("CSS z-index", 'LEVELUP'),
            "param_name" => "css_zindex",
            "value" => "",
            'group' => esc_html__('Design Options', 'LEVELUP'),
            "description" => esc_html__( "Set a custom z-index. The z-index property specifies the stack order of an element.", 'LEVELUP' )
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Attention!', 'LEVELUP'),
            'description' => esc_html__( 'Settings Margin Breakpoint and Padding Breakpoint will be disabled and deleted, please set up Breakpoint value in the table above.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-8',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        vc_map_add_reset_margin(true, esc_html__('Design Options', 'LEVELUP') ),
        vc_map_add_reset_paddingn(true, esc_html__('Design Options', 'LEVELUP') ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Width', 'LEVELUP' ),
            'param_name' => 'width',
            'value' => array(
                esc_html__( '1 column - 1/12', 'LEVELUP' ) => '1/12',
                esc_html__( '2 columns - 1/6', 'LEVELUP' ) => '1/6',
                esc_html__( '3 columns - 1/4', 'LEVELUP' ) => '1/4',
                esc_html__( '4 columns - 1/3', 'LEVELUP' ) => '1/3',
                esc_html__( '5 columns - 5/12', 'LEVELUP' ) => '5/12',
                esc_html__( '6 columns - 1/2', 'LEVELUP' ) => '1/2',
                esc_html__( '7 columns - 7/12', 'LEVELUP' ) => '7/12',
                esc_html__( '8 columns - 2/3', 'LEVELUP' ) => '2/3',
                esc_html__( '9 columns - 3/4', 'LEVELUP' ) => '3/4',
                esc_html__( '10 columns - 5/6', 'LEVELUP' ) => '5/6',
                esc_html__( '11 columns - 11/12', 'LEVELUP' ) => '11/12',
                esc_html__( '12 columns - 1/1', 'LEVELUP' ) => '1/1',
            ),
            'group' => esc_html__( 'Responsive', 'LEVELUP' ),
            'description' => esc_html__( 'Select column width.', 'LEVELUP' ),
            'std' => '1/1',
        ),

        array(
            'type' => 'column_offset',
            'heading' => esc_html__( 'Responsiveness', 'LEVELUP' ),
            'param_name' => 'offset',
            'group' => esc_html__( 'Responsive', 'LEVELUP' ),
            'description' => esc_html__( 'Adjust column for different screen sizes. Control width, offset and visibility settings.', 'LEVELUP' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Responsive', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Column Height on Phone View", 'LEVELUP'),
            "param_name" => "height_xs",
            "value" => "",
            'group' => esc_html__( 'Responsive', 'LEVELUP' ),
            "description" => esc_html__( "Using this setting you may set up the necessary min height of the column in pixels on Phone View.", 'LEVELUP' )
        ),

        /*array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Indentation below the Column (for mobile devices).', 'LEVELUP'),
            'description' => esc_html__( 'This setting adds a 30-pixel indentation below this column so that the contents of the columns don\'t stick together when displayed on mobile devices. Select a condition for activating this setting: Pad (Landscape), Pad, Phone', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-12',
            'group' => esc_html__('Responsive', 'LEVELUP'),
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Pad (Landscape)', 'LEVELUP' ),
            'param_name' => 'resoinsive_indent_md',
            'value' => array(
                esc_html__( 'Yes', 'LEVELUP' ) => 'true',
            ),
            'edit_field_class' => 'vc_col-sm-3 vc_column',
            'group' => esc_html__( 'Responsive', 'LEVELUP' ),
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Pad', 'LEVELUP' ),
            'param_name' => 'resoinsive_indent_sm',
            'value' => array(
                esc_html__( 'Yes', 'LEVELUP' ) => 'true',
            ),
            'edit_field_class' => 'vc_col-sm-3 vc_column',
            'group' => esc_html__( 'Responsive', 'LEVELUP' ),
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Phone', 'LEVELUP' ),
            'param_name' => 'resoinsive_indent_xs',
            'value' => array(
                esc_html__( 'Yes', 'LEVELUP' ) => 'true',
            ),
            'edit_field_class' => 'vc_col-sm-3 vc_column',
            'group' => esc_html__( 'Responsive', 'LEVELUP' ),
        ),*/

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'LEVELUP' ),
        ),

    ),
    'js_view' => 'VcColumnView',
));


vc_map( array(
    'name' => esc_html__( 'Inner Column', 'LEVELUP' ),
    'base' => 'vc_column_inner',
    'icon' => 'icon-wpb-row',
    'class' => '',
    'wrapper_class' => '',
    'controls' => 'full',
    'allowed_container_element' => false,
    'content_element' => false,
    'is_container' => true,
    'description' => esc_html__( 'Place content elements inside the inner column', 'LEVELUP' ),
    'params' => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Vertical Position", 'LEVELUP'),
            "param_name" => "vertical_align",
            "value" => array(
                esc_html__("Top", 'LEVELUP') => "",
                esc_html__("Middle", 'LEVELUP') => "center",
                esc_html__("Bottom", 'LEVELUP') => "bottom",
            ),
            'description' => esc_html__('Select the vertical position of the content within column.', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

	    array(
		    "type" => "dropdown",
		    "class" => "",
		    "heading" => esc_html__("Text and Inline Elements Alignment", 'LEVELUP'),
		    "param_name" => "text_align",
		    "value" => array(
			    esc_html__("- Select -", 'LEVELUP') => "",
			    esc_html__("Left", 'LEVELUP') => "left",
			    esc_html__("Center", 'LEVELUP') => "center",
			    esc_html__("Right", 'LEVELUP') => "right"
		    ),
		    'description' => esc_html__('Specify the alignment inside the within inner column.', 'LEVELUP'),
	    ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Text color", 'LEVELUP'),
            "param_name" => "text_color",
            "value" => "",
            "description" => esc_html__( "Select Text color in the Column.", 'LEVELUP' ),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Text Hover color", 'LEVELUP'),
            "param_name" => "text_hover_color",
            "value" => "",
            "description" => esc_html__("Select Text color in the Column on hover.", 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-8 vc_column',
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Background Hover Color", 'LEVELUP'),
            "param_name" => "hover_color",
            "value" => "",
            "description" => esc_html__("Select Background Hover color.", 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'value' => '',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'LEVELUP' ),
        ),


	    array(
		    'type' => 'checkbox',
		    'heading' => esc_html__( 'Shadow on Hover?', 'LEVELUP' ),
		    'param_name' => 'shadow_on_hover',
		    'value' => array(
			    esc_html__( 'Yes', 'LEVELUP' ) => 'true',
		    ),
		    'description' => esc_html__('If checked, shadow will be shown on hover.', 'LEVELUP'),
		    'group' => esc_html__('Shadow', 'LEVELUP'),
	    ),

	    array (
		    "type" => "rdy_img_set",
		    "class" => "",
		    "heading" => esc_html__("Shadow for Column", 'LEVELUP'),
		    "param_name" => "shadow",
		    'options' => array(
			    '' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_00.png",
			    ),
			    'shadow1' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_01.png",
			    ),
			    'shadow2' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_02.png",
			    ),
			    'shadow3' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_03.png",
			    ),
			    'shadow4' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_04.png",
			    ),
			    'shadow5' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_05.png",
			    ),
			    'shadow6' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_06.png",
			    ),
			    'shadow7' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_07.png",
			    ),
			    'shadow8' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_08.png",
			    ),
			    'shadow9' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_09.png",
			    ),
			    'shadow10' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_row_column/shadow/shadow_10.png",
			    ),
		    ),

		    'group' => esc_html__('Shadow', 'LEVELUP'),
		    'description' => esc_html__( 'Select pre-made Shadow Style for Column.', 'LEVELUP' ),
		    "std" => "",
	    ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Floating Column (do not work simultaneously with the CSS Animation)", 'LEVELUP'),
            "param_name" => "scroll_animation",
            "value" => array(
                esc_html__("- Select -", 'LEVELUP') => "",
                esc_html__("Up", 'LEVELUP') => "up",
                esc_html__("Down", 'LEVELUP') => "down",
                esc_html__("To Left", 'LEVELUP') => "left",
                esc_html__("To Right", 'LEVELUP') => "right",
            ),
            'group' => esc_html__('Floating', 'LEVELUP'),
            'description' => esc_html__('Choose a direction of column movement when scrolling of the page.', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Range of motion", 'LEVELUP'),
            "param_name" => "scroll_animation_range",
            "value" => array(
                esc_html__("- Select -", 'LEVELUP') => "",
                esc_html__("30px", 'LEVELUP') => 30,
                esc_html__("50px", 'LEVELUP') => 50,
                esc_html__("70px", 'LEVELUP') => 70,
                esc_html__("100px", 'LEVELUP') => 100,
                esc_html__("150px", 'LEVELUP') => 150,
                esc_html__("200px", 'LEVELUP') => 200,
            ),
            "dependency" => array("element" => "scroll_animation", 'not_empty' => true),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'description' => esc_html__('Specify a range at which the column will \'float\'.', 'LEVELUP'),
            'group' => esc_html__('Floating', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Speed", 'LEVELUP'),
            "param_name" => "scroll_animation_speed",
            "value" => array(
                esc_html__("30 - smooth", 'LEVELUP') => 30,
                esc_html__("20", 'LEVELUP') => 20,
                esc_html__("10", 'LEVELUP') => 10,
                esc_html__("5 - hard", 'LEVELUP') => 5,
            ),
            "dependency" => array("element" => "scroll_animation", 'not_empty' => true),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'description' => esc_html__('Specify a speed of column movement.', 'LEVELUP'),
            'group' => esc_html__('Floating', 'LEVELUP'),
        ),


        array(
            'type' => 'css_editor',
            'heading' => esc_html__( 'CSS box', 'LEVELUP' ),
            'param_name' => 'css',
            'group' => esc_html__( 'Design Options', 'LEVELUP' ),
        ),

        // ---

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Customizable at Every Screen Size', 'LEVELUP'),
            'description' => esc_html__( 'Using the settings below, you may set exact values margins and padding and also set offset for different screen sizes.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-8',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

	    array(
		    'type' => 'levelup_css_tabs',
		    'param_name' => 'css_tabs',
		    'group' => __( 'Design Options', 'LEVELUP' ),
		    'std' => '',
	    ),
	    array(
		    'type' => 'levelup_css_margin',
		    'param_name' => 'css_margin',
		    'group' => __( 'Design Options', 'LEVELUP' ),
		    'std' => '',
		    'description' => __( 'Adjust the margins manually for different screen sizes. Function “Zero value” is necessary only for automatic filling in the fields for the exact device (exclusively for facilitating the using).', 'LEVELUP' ),
	    ),
	    array(
		    'type' => 'levelup_css_margin',
		    'param_name' => 'css_padding',
		    'group' => __( 'Design Options', 'LEVELUP' ),
		    'std' => '',
		    'description' => __( 'Adjust the paddings manually for different screen sizes. Function “Zero value” is necessary only for automatic filling in the fields for the exact device (exclusively for facilitating the using).', 'LEVELUP' ),
	    ),
	    array(
		    'type' => 'levelup_css_margin',
		    'param_name' => 'css_offset',
		    'group' => __( 'Design Options', 'LEVELUP' ),
		    'std' => '',
		    'description' => __( 'Adjust the offsets manually for different screen sizes. Function “Zero value” is necessary only for automatic filling in the fields for the exact device (exclusively for facilitating the using).', 'LEVELUP' ),
	    ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

	    array(
		    "type" => "textfield",
		    "heading" => esc_html__("CSS z-index", 'LEVELUP'),
		    "param_name" => "css_zindex",
		    "value" => "",
		    'group' => esc_html__('Design Options', 'LEVELUP'),
		    "description" => esc_html__( "Set a custom z-index. The z-index property specifies the stack order of an element.", 'LEVELUP' )
	    ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => esc_html__('Attention!', 'LEVELUP'),
            'description' => esc_html__( 'Settings Margin Breakpoint and Padding Breakpoint will be disabled and deleted, please set up Breakpoint value in the table above.', 'LEVELUP' ),
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-8',
            'group' => esc_html__('Design Options', 'LEVELUP'),
        ),

        vc_map_add_reset_margin(true, esc_html__('Design Options', 'LEVELUP') ),
        vc_map_add_reset_paddingn(true, esc_html__('Design Options', 'LEVELUP') ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Width', 'LEVELUP' ),
            'param_name' => 'width',
            'value' => array(
                esc_html__( '1 column - 1/12', 'LEVELUP' ) => '1/12',
                esc_html__( '2 columns - 1/6', 'LEVELUP' ) => '1/6',
                esc_html__( '3 columns - 1/4', 'LEVELUP' ) => '1/4',
                esc_html__( '4 columns - 1/3', 'LEVELUP' ) => '1/3',
                esc_html__( '5 columns - 5/12', 'LEVELUP' ) => '5/12',
                esc_html__( '6 columns - 1/2', 'LEVELUP' ) => '1/2',
                esc_html__( '7 columns - 7/12', 'LEVELUP' ) => '7/12',
                esc_html__( '8 columns - 2/3', 'LEVELUP' ) => '2/3',
                esc_html__( '9 columns - 3/4', 'LEVELUP' ) => '3/4',
                esc_html__( '10 columns - 5/6', 'LEVELUP' ) => '5/6',
                esc_html__( '11 columns - 11/12', 'LEVELUP' ) => '11/12',
                esc_html__( '12 columns - 1/1', 'LEVELUP' ) => '1/1',
            ),
            'group' => esc_html__( 'Responsive', 'LEVELUP' ),
            'description' => esc_html__( 'Select column width.', 'LEVELUP' ),
            'std' => '1/1',
        ),

        array(
            'type' => 'column_offset',
            'heading' => esc_html__( 'Responsiveness', 'LEVELUP' ),
            'param_name' => 'offset',
            'group' => esc_html__( 'Responsive', 'LEVELUP' ),
            'description' => esc_html__( 'Adjust column for different screen sizes. Control width, offset and visibility settings.', 'LEVELUP' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Responsive', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Column Height on Phone View", 'LEVELUP'),
            "param_name" => "height_xs",
            "value" => "",
            'group' => esc_html__( 'Responsive', 'LEVELUP' ),
            "description" => esc_html__( "Using this setting you may set up the necessary min height of the column in pixels on Phone View.", 'LEVELUP' )
        ),
	    /*
				array(
					'type' => 'rdy_param_heading',
					'param_name' => 'btn1_icon_setting',
					'text' => esc_html__('Indentation below the Column (for mobile devices).', 'LEVELUP'),
					'description' => esc_html__( 'This setting adds a 30-pixel indentation below this column so that the contents of the columns don\'t stick together when displayed on mobile devices. Select a condition for activating this setting: Pad (Landscape), Pad, Phone', 'LEVELUP' ),
					'value' => '',
					'class' => '',
					'edit_field_class' => 'rdy-param-heading-wrapper vc_column vc_col-sm-12',
					'group' => esc_html__('Responsive', 'LEVELUP'),
				),

				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Pad (Landscape)', 'LEVELUP' ),
					'param_name' => 'resoinsive_indent_md',
					'value' => array(
						'' => 'true',
					),
					'edit_field_class' => 'vc_col-sm-3 vc_column',
					'group' => esc_html__( 'Responsive', 'LEVELUP' ),
				),

				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Pad', 'LEVELUP' ),
					'param_name' => 'resoinsive_indent_sm',
					'value' => array(
						esc_html__( 'Yes', 'LEVELUP' ) => 'true',
					),
					'edit_field_class' => 'vc_col-sm-3 vc_column',
					'group' => esc_html__( 'Responsive', 'LEVELUP' ),
				),

				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Phone', 'LEVELUP' ),
					'param_name' => 'resoinsive_indent_xs',
					'value' => array(
						esc_html__( 'Yes', 'LEVELUP' ) => 'true',
					),
					'edit_field_class' => 'vc_col-sm-3 vc_column',
					'group' => esc_html__( 'Responsive', 'LEVELUP' ),
				),*/
    ),
    'js_view' => 'VcColumnView',
));



/*  Custom Headling
---------------------------------------------------------- */

vc_map( array(
    'name' => esc_html__( 'Custom Heading', 'LEVELUP' ),
    'base' => 'vc_custom_heading',
    'icon' => 'icon-wpb-ui-custom_heading',
    'show_settings_on_create' => true,
    'category' => esc_html__( 'Content', 'LEVELUP' ),
    'description' => esc_html__( 'Add custom heading text with google fonts', 'LEVELUP' ),
    'params' => array(

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Text source', 'LEVELUP' ),
            'param_name' => 'source',
            'value' => array(
                esc_html__( 'Custom text', 'LEVELUP' ) => '',
                esc_html__( 'Post or Page Title', 'LEVELUP' ) => 'post_title',
            ),
            'std' => '',
            'description' => esc_html__( 'Select text source.', 'LEVELUP' ),
        ),
        array(
            'type' => 'textarea',
            'heading' => esc_html__( 'Text', 'LEVELUP' ),
            'param_name' => 'text',
            'admin_label' => true,
            'value'=> esc_html__( 'This is custom heading element with Google Fonts', 'LEVELUP' ),
            'description' => esc_html__( 'Enter your content. If you are using non-latin characters be sure to activate them under Settings/Visual Composer/General Settings.', 'LEVELUP' ),
            'dependency' => array(
                'element' => 'source',
                'is_empty' => true,
            ),
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Max-width', 'LEVELUP' ),
            'param_name' => 'max_width',
            'description' => esc_html__( 'The max-width property is used to set the maximum width of an element.', 'LEVELUP' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Use theme default font family?', 'LEVELUP' ),
            'param_name' => 'use_theme_fonts',
            'value' => array( esc_html__( 'Yes', 'LEVELUP' ) => 'yes' ),
            'description' => esc_html__( 'Use font family from the theme.', 'LEVELUP' ),
        ),

		array(
            'type' => 'google_fonts',
            'param_name' => 'google_fonts',
            'value' => '',// Not recommended, this will override 'settings'. 'font_family:'.rawurlencode('Exo:100,100italic,200,200italic,300,300italic,regular,italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic').'|font_style:'.rawurlencode('900 bold italic:900:italic'),
            'settings' => array(
                //'no_font_style' // Method 1: To disable font style
                //'no_font_style'=>true // Method 2: To disable font style
                'fields'=>array(
                    'font_family'=>'Abril Fatface:regular', //'Exo:100,100italic,200,200italic,300,300italic,regular,italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic',// Default font family and all available styles to fetch
                    'font_style'=>'400 regular:400:normal', // Default font style. Name:weight:style, example: "800 bold regular:800:normal"
                    'font_family_description' => esc_html__('Select font family.','LEVELUP'),
                    'font_style_description' => esc_html__('Select font styling.','LEVELUP')
                )
            ),
            'dependency' => array(
                'element' => 'use_theme_fonts',
                'value_not_equal_to' => 'yes',
            ),
        ),

	    /*array(
		    'type' => 'checkbox',
		    'heading' => esc_html__( 'Use gradients as color fills?', 'LEVELUP' ),
		    'param_name' => 'use_title_gradient',
		    'value' => array( esc_html__( 'Yes', 'LEVELUP' ) => 'yes' ),
	    ),

	    array(
		    "type" => "colorpicker",
		    "class" => "",
		    "heading" => esc_html__("Gradient Color 1", 'LEVELUP'),
		    "param_name" => "gradient_color1",
		    "value" => "",
		    'edit_field_class' => 'vc_col-sm-4 vc_column',
		    'dependency' => array(
			    'element' => 'use_title_gradient',
			    'value' => 'yes',
		    ),
	    ),
	    array(
		    "type" => "colorpicker",
		    "class" => "",
		    "heading" => esc_html__("Gradient Color 2", 'LEVELUP'),
		    "param_name" => "gradient_color2",
		    "value" => "",
		    'edit_field_class' => 'vc_col-sm-4 vc_column',
		    'dependency' => array(
			    'element' => 'use_title_gradient',
			    'value' => 'yes',
		    ),
	    ),
	    array(
		    "type" => "colorpicker",
		    "class" => "",
		    "heading" => esc_html__("Gradient Color 3", 'LEVELUP'),
		    "param_name" => "gradient_color3",
		    "value" => "",
		    'edit_field_class' => 'vc_col-sm-4 vc_column',
		    'dependency' => array(
			    'element' => 'use_title_gradient',
			    'value' => 'yes',
		    ),
	    ),*/

        array(
            'type' => 'font_container',
            'param_name' => 'font_container',
            'value'=>'',
            'settings'=>array(
                'fields'=>array(
				    'font_size',
					'line_height',
					'color',
                    'tag'=>'h2', // default value h2
                    'text_align',

                    'tag_description' => esc_html__('Select element tag.','LEVELUP'),
                    'text_align_description' => esc_html__('Select text alignment.','LEVELUP'),
                    'font_size_description' => esc_html__('Enter font size in pixels. Eg. 35','LEVELUP'),
                    'line_height_description' => wp_kses( __('Enter line height. <stong>Important! This option does not work when using Responsive font size.</stong>','LEVELUP'), array( 'stong' => array() ) ),
                    'color_description' => esc_html__('Select text color.','LEVELUP'),
                ),
            ),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Letter Spacing", 'LEVELUP' ),
            "param_name" => "spacing",
            "value" => "0",
            "description" => esc_html__( "Enter Letter Spacing.", 'LEVELUP' ),
        ),

		array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Text Transform", 'LEVELUP' ),
            "param_name" => "transform",
            "value" => array(
                esc_html__( "None", 'LEVELUP' ) => "none",
                esc_html__( "Uppercase", 'LEVELUP' ) => "uppercase",
                esc_html__( "Lowercase", 'LEVELUP' ) => "lowercase",
                esc_html__( "Capitalize", 'LEVELUP' ) => "capitalize",
            ),
			'admin_label' => true,
            "description" => esc_html__( "The text-transform property controls the capitalization of text.", 'LEVELUP' )
        ),


		array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Responsive Font Size?', 'LEVELUP' ),
            'param_name' => 'font_title_responsive',
            'value' => array(
                esc_html__( 'Yes', 'LEVELUP' ) => 'true',
            ),
            "description" => esc_html__( "If checked, the Font Size will be Responsive.", 'LEVELUP' ),
            'group' => esc_html__('Responsive', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Line Height (in %)", 'LEVELUP' ),
            "param_name" => "line_height_responsive",
            "value" => "100",
            "description" => esc_html__( "Enter line height size in percent just number, omit %. E.g 110", 'LEVELUP' ),
            "dependency" => Array('element' => "font_title_responsive", 'not_empty' => true),
            'group' => esc_html__('Responsive', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Responsive', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Text Alignment on Phone View", 'LEVELUP' ),
            "param_name" => "mobile_align",
            "value" => array(
                esc_html__( "Inherit", 'LEVELUP' ) => "",
                esc_html__( "Left", 'LEVELUP' ) => "left",
                esc_html__( "Center", 'LEVELUP' ) => "center",
                esc_html__( "Right", 'LEVELUP' ) => "right",
            ),
            'group' => esc_html__('Responsive', 'LEVELUP'),
            "description" => esc_html__( "Use this setting if you want to change the alignment of text when displayed on a phone screen.", 'LEVELUP' ),
            'std' => ''
        ),

	    array (
		    "type" => "rdy_img_set",
		    "class" => "",
		    "heading" => esc_html__("Title Shadow", 'LEVELUP'),
		    "param_name" => "text_shadow",
		    'options' => array(
			    '' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_custom_heading/shadow/shch_00.png",
			    ),
			    'shadow1' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_custom_heading/shadow/shch_01.png",
			    ),
			    'shadow2' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_custom_heading/shadow/shch_02.png",
			    ),
			    'shadow3' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_custom_heading/shadow/shch_03.png",
			    ),
			    'shadow4' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_custom_heading/shadow/shch_04.png",
			    ),
			    'shadow5' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_custom_heading/shadow/shch_05.png",
			    ),
			    'shadow6' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_custom_heading/shadow/shch_06.png",
			    ),
			    'shadow7' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_custom_heading/shadow/shch_07.png",
			    ),
			    'shadow8' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_custom_heading/shadow/shch_08.png",
			    ),
			    'shadow9' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_custom_heading/shadow/shch_09.png",
			    ),
			    'shadow10' => array(
				    'title' => '',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_custom_heading/shadow/shch_10.png",
			    ),
		    ),
		    'description' => esc_html__('Select pre-made Shadow Style for the Title.', 'LEVELUP'),
		    "std" => "",
		    'group' => esc_html__('Shadow', 'LEVELUP'),
	    ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'vc_link',
            'heading' => esc_html__( 'URL (Link)', 'LEVELUP' ),
            'param_name' => 'link',
            'description' => esc_html__( 'Add link to custom heading.', 'LEVELUP' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),


        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'inline?', 'LEVELUP' ),
            'param_name' => 'inline',
            'value' => array(
                esc_html__( 'Yes', 'LEVELUP' ) => 'true',
            ),
            "description" => esc_html__( "inline means that the element is displayed inline, inside the current block on the same line.", 'LEVELUP' ),
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Add Gap?', 'LEVELUP' ),
            'param_name' => 'inline_space',
            'value' => array(
                esc_html__( 'Yes', 'LEVELUP' ) => 'true',
            ),
            "dependency" => Array('element' => "inline", 'not_empty' => true),
            "description" => esc_html__( "If checked, the gap will be added to the end of the text.", 'LEVELUP' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Highlighting Text?', 'LEVELUP' ),
            'param_name' => 'highlight',
            'value' => array(
                esc_html__( 'Yes', 'LEVELUP' ) => 'true',
            ),
            "description" => esc_html__( "If checked, this text is highlighted in color.", 'LEVELUP' ),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__( "Highlight Color", 'LEVELUP'),
            "param_name" => "highlight_color",
            "value" => "",
            "description" => esc_html__("Select highlight color.", 'LEVELUP'),
            "dependency" => Array('element' => "highlight", 'not_empty' => true),
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Text Rotate", 'LEVELUP'),
            "param_name" => "rotate",
            'options' => array(
                '' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/hide.png",
                ),
                'm90' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_custom_heading/ch_left.png",
                ),
                '90' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/vc_custom_heading/ch_right.png",
                ),
            ),
            'group' => esc_html__('Rotate', 'LEVELUP'),
            'description' => esc_html__('You can rotate the text vertically. Rotate 90&deg; Clockwise, Rotate 90&deg; Counter Clockwise.', 'LEVELUP'),
            'std' => ''
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Text Container Width', 'LEVELUP' ),
            'param_name' => 'r_width',
            "dependency" => Array('element' => "rotate", 'not_empty' => true),
            'description' => esc_html__('It is necessary to specify a width of text container (the area occupied by the text on the page), in which the text is put. If container width is smaller than actual text length, the text will be transferred to a new line. If you do not know text width, you should simply try different values and look at the result. Specify text width in pixels.', 'LEVELUP'),
            'group' => esc_html__('Rotate', 'LEVELUP'),
        ),

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Reset Rotate", 'LEVELUP' ),
            "param_name" => "reset_rotate",
            "value" => array(
                esc_html__( "None", 'LEVELUP' ) => "",
                esc_html__( "Pad (Landscape)", 'LEVELUP' ) => "md",
                esc_html__( "Pad", 'LEVELUP' ) => "sm",
                esc_html__( "Phone", 'LEVELUP' ) => "xs",
            ),
            "description" => esc_html__( "Choose when to reset the rotate settings in responsive layouts.", 'LEVELUP' ),
            "dependency" => Array('element' => "rotate", 'not_empty' => true),
            'group' => esc_html__('Rotate', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Make Animated Text?", 'LEVELUP' ),
            "param_name" => "text_animation",
            "value" => array(
                esc_html__( "None", 'LEVELUP' ) => "",
                esc_html__( "Letter", 'LEVELUP' ) => "char",
                esc_html__( "Word", 'LEVELUP' ) => "word",
            ),
            'group' => esc_html__('Animation', 'LEVELUP'),
            "description" => esc_html__( "Use this option if you want to animate text by letter or word.", 'LEVELUP' ),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Effect Type", 'LEVELUP' ),
            "param_name" => "text_animation_type",
            "value" => array(
                esc_html__( "FadeIn", 'LEVELUP' ) => "fadeIn",
                esc_html__( "FadeInUp", 'LEVELUP' ) => "slideUpIn",
            ),
            'group' => esc_html__('Animation', 'LEVELUP'),
            "dependency" => Array('element' => "text_animation", 'not_empty' => true),
            "description" => esc_html__( "Select type of animation.", 'LEVELUP' ),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Animation Speed", 'LEVELUP' ),
            "param_name" => "text_animation_speed",
            "value" => array(
                esc_html__( "Slow", 'LEVELUP' ) => "low",
                esc_html__( "Middle", 'LEVELUP' ) => "middle",
                esc_html__( "Fast", 'LEVELUP' ) => "fast",
            ),
            'group' => esc_html__('Animation', 'LEVELUP'),
            "dependency" => Array('element' => "text_animation", 'not_empty' => true),
            "description" => esc_html__( "Use this option to specify the animation speed.", 'LEVELUP' ),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Animation Delay (ms)", 'LEVELUP'),
            "param_name" => "text_animation_delay",
            "value" => "",
            'description' => esc_html__('Specify the delay of text animation start (in milliseconds).', 'LEVELUP'),
            "dependency" => Array('element' => "text_animation", 'not_empty' => true),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("CSS Animation", 'LEVELUP'),
            "param_name" => "css_animation",
            "admin_label" => true,
            "value" => levelup_get_vc_animation_options(),
            'description' => esc_html__('Select type of animation for the element to be animated when it "enters" the browsers viewport or you can specify the delay (Note: works only in modern browsers).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("CSS Animation Delay (ms)", 'LEVELUP'),
            "param_name" => "transition_delay",
            "admin_label" => true,
            "value" => "",
            'description' => esc_html__('Specify the delay of animation start (in milliseconds).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Restart CSS Animation", 'LEVELUP'),
            'value' => array(esc_html__('Yes', 'LEVELUP') => 'show_video'),
            "param_name" => "css_animation_repeat",
            'group' => esc_html__('Animation', 'LEVELUP'),
            'description' => esc_html__('If checked, the animation for the element will be restart whenever when it "enters" the browsers viewport (Note: works only in modern browsers).', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'LEVELUP' ),
        ),

        array(
            'type' => 'css_editor',
            'heading' => esc_html__( 'Css', 'LEVELUP' ),
            'param_name' => 'css',
            'group' => esc_html__( 'Design Options', 'LEVELUP' )
        ),

        vc_map_add_reset_margin(true, esc_html__('Design Options', 'LEVELUP') ),
        vc_map_add_reset_paddingn(true, esc_html__('Design Options', 'LEVELUP') ),
    ),

) );


/*  Text Block
---------------------------------------------------------- */

vc_map( array(
    'name' => esc_html__( 'Text Block', 'LEVELUP' ),
    'base' => 'vc_column_text',
    'icon' => 'icon-wpb-layer-shape-text',
    'wrapper_class' => 'clearfix',
    'category' => esc_html__( 'Content', 'LEVELUP' ),
    'description' => esc_html__( 'A block of text with WYSIWYG editor', 'LEVELUP' ),
    'params' => array(
        array(
            'type' => 'textarea_html',
            'holder' => 'div',
            'heading' => esc_html__( 'Text', 'LEVELUP' ),
            'param_name' => 'content',
            'value' => wp_kses( __( '<p>I am text block. Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>', 'LEVELUP' ), array( 'p' => array() ) ),
            'description' => esc_html__( 'Drop Cap can be added by wrapping the first letter of the first word in a paragraph in a span tag like this. &#60;span class="dropcap"&#62;A&#60;/span&#62;.', 'LEVELUP' )
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Max-width', 'LEVELUP' ),
            'param_name' => 'max_width',
            'description' => esc_html__( 'The max-width property is used to set the maximum width of an element.', 'LEVELUP' ),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Drop Cap Letter "Shadow"', 'LEVELUP' ),
            'param_name' => 'dropcap_letter',
			'description' => esc_html__( 'Enter Drop Cap Letter. "Shadow" is a pseudo shadow effect for a more attractive display. Displays only once on this shortcode, in the first Drop Cap.', 'LEVELUP' ),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Disable the \"Shadow\" Effect for Pad and Phone?", 'LEVELUP'),
            "param_name" => "dropcap_letter_hidden_xs",
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true",
            ),
            "description" => esc_html__("If checked, the Drop Cap Letter Shadow pseudo effect won't be displayed on Pad and Phone View.", 'LEVELUP'),
            "dependency" => Array('element' => "dropcap_letter", 'not_empty' => true),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__( "CSS Animation", 'LEVELUP' ),
            "param_name" => "css_animation",
            "admin_label" => true,
            "value" => levelup_get_vc_animation_options(),
            "description" => esc_html__("Select type of animation for the element to be animated when it \"enters\" the browsers viewport or you can specify the delay (Note: works only in modern browsers).", 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Animation Delay (ms)", 'LEVELUP'),
            "param_name" => "transition_delay",
            "admin_label" => true,
            "value" => "",
            'description' => esc_html__('Specify the delay in milliseconds when animation start.', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'LEVELUP' )
        ),

        array(
            'type' => 'css_editor',
            'heading' => esc_html__( 'CSS box', 'LEVELUP' ),
            'param_name' => 'css',
            'group' => esc_html__( 'Design Options', 'LEVELUP' )
        ),

	    vc_map_add_reset_margin(true, esc_html__('Design Options', 'LEVELUP') ),
        vc_map_add_reset_paddingn(true, esc_html__('Design Options', 'LEVELUP') ),

    )
) );


/*  Separator
---------------------------------------------------------- */

$separator_setting = array (
    'show_settings_on_create' => true,
    "controls"	=> '',
);
vc_map_update('vc_separator', $separator_setting);

vc_add_param("vc_separator", array(
    "type" => "dropdown",
    "class" => "",
    "heading" => esc_html__("Type", 'LEVELUP'),
    "param_name" => "type",
    "value" => array(
        esc_html__("Line", 'LEVELUP')		    =>	"normal",
        esc_html__("Wave Light", 'LEVELUP')	    =>	"wave1",
        esc_html__("Wave Bold", 'LEVELUP')		=>	"wave2",
        esc_html__("ZigZag Light", 'LEVELUP')	=>	"zigzag1",
        esc_html__("ZigZag Bold", 'LEVELUP')	=>	"zigzag2",
        esc_html__("Cross", 'LEVELUP')			=>	"cross",
    ),
    "description" => esc_html__("Select Separator type.", 'LEVELUP'),
    'admin_label' => true,
));

vc_add_param("vc_separator", array(
    "type" => "dropdown",
    "class" => "",
    "heading" => esc_html__("Separator Orientation", 'LEVELUP'),
    "param_name" => "direction",
    "value" => array(
        esc_html__("Horizontal", 'LEVELUP')	    =>	"h",
        esc_html__("Vertical", 'LEVELUP')       =>	"v",
    ),
    'admin_label' => true,
    "description" => esc_html__("Select Separator Orientation.", 'LEVELUP'),
    "dependency" => array("element" => "type", "value" => array("normal")),
));

vc_add_param("vc_separator", array(
    "type" => "dropdown",
    "class" => "",
    "heading" => esc_html__("Line Style", 'LEVELUP'),
    "param_name" => "line_style",
    "value" => array(
        esc_html__("solid", 'LEVELUP') => "solid",
        esc_html__("dotted", 'LEVELUP') => "dotted",
        esc_html__("dashed", 'LEVELUP') => "dashed",
        esc_html__("double", 'LEVELUP') => "double",
    ),
    "dependency" => array("element" => "type", "value" => array("normal")),
    "description" => esc_html__("Select Line Style.", 'LEVELUP')
));

vc_add_param("vc_separator", array(
    "type" => "dropdown",
    "class" => "",
    "heading" => esc_html__("Separator Color", 'LEVELUP'),
    "param_name" => "wave_color",
    "value" => array(
        esc_html__("Black", 'LEVELUP') => "black",
        esc_html__("Grey", 'LEVELUP') => "grey",
        esc_html__("White", 'LEVELUP') => "white"
    ),
    "dependency" => array("element" => "type", "value" => array("wave1", "wave2", "zigzag1", "zigzag2", "cross")),
    "description" => esc_html__("Select a preset color for the advanced separator.", 'LEVELUP')
));

vc_add_param("vc_separator", array(
    "type" => "colorpicker",
    "class" => "",
    "heading" => esc_html__("Color", 'LEVELUP'),
    "param_name" => "color",
    "value" => "#000000",
    "dependency" => array("element" => "type", "value" => array("normal","small")),
    "description" => esc_html__("Select separator color.", 'LEVELUP')
));

vc_add_param("vc_separator", array(
    "type" => "textfield",
    "class" => "",
    "heading" => esc_html__("Thickness", 'LEVELUP'),
    "param_name" => "thickness",
    "value" => "1",
    "dependency" => array("element" => "type", "value" => array("normal","small")),
    "description" => esc_html__("Select separator thickness.", 'LEVELUP'),
    'admin_label' => true,
));

vc_add_param("vc_separator", array(
    "type" => "textfield",
    "class" => "",
    "heading" => esc_html__("Width", 'LEVELUP'),
    "param_name" => "width",
    "value" => "100",
    "description" => esc_html__("Separator width.", 'LEVELUP'),
    'admin_label' => true,
    'edit_field_class' => 'vc_col-sm-6 vc_column',
));

vc_add_param("vc_separator", array(
    "type" => "checkbox",
    "class" => "",
    "heading" => esc_html__("Width In Percentages?", 'LEVELUP'),
    "value" => array("Yes" => "yes"),
    "param_name" => "width_in_percentages",
    "description" => esc_html__("If checked, separator width will be in percentages.", 'LEVELUP'),
    "dependency" => array('element' => 'width', 'not_empty' => true),
    'edit_field_class' => 'vc_col-sm-6 vc_column',
));

vc_add_param("vc_separator", array(
    'type' => 'dropdown',
    'heading' => esc_html__( 'Separator alignment', 'LEVELUP' ),
    'param_name' => 'align',
    'value' => array(
        esc_html__( 'Center', 'LEVELUP' ) => 'align_center',
        esc_html__( 'Left', 'LEVELUP' ) => 'align_left',
        esc_html__( 'Right', 'LEVELUP' ) => "align_right",
        esc_html__( 'inline', 'LEVELUP' ) => "inline",
    ),
    'description' => esc_html__( 'Select separator alignment.', 'LEVELUP' ),
    'admin_label' => true,
));

vc_add_param("vc_separator", array (
    "type" => "dropdown",
    "class" => "",
    "heading" => esc_html__( "Responsive Width", 'LEVELUP' ),
    "param_name" => "responsive_width",
    "value" => array(
        esc_html__( "None", 'LEVELUP' ) => "",
        esc_html__( "Pad", 'LEVELUP' ) => "sm",
        esc_html__( "Phone", 'LEVELUP' ) => "xs",
    ),
    "dependency" => array('element' => 'align', 'value' => array('inline'))
));


vc_add_param("vc_separator", array(
    'type' => 'dropdown',
    'heading' => esc_html__( 'Animate Separator Line', 'LEVELUP' ),
    'param_name' => 'animation',
    'value' => array(
        esc_html__( 'None', 'LEVELUP' ) => '',
        esc_html__( 'Expand', 'LEVELUP' ) => 'animate1',
    ),
    "dependency" => array('element' => 'type', 'value' => 'normal'),
    'group' => esc_html__('Animation', 'LEVELUP'),
    'description' => esc_html__( 'Select animation for the separator. If the vertical orientation of the separator, the animation will be top-down.', 'LEVELUP' )
));

vc_add_param("vc_separator", array(
    "type" => "textfield",
    "class" => "",
    "heading" => esc_html__("Animation Delay", 'LEVELUP'),
    "param_name" => "animation_delay",
    "value" => "",
    "dependency" => array("element" => "animation", "not_empty" => true),
    'group' => esc_html__('Animation', 'LEVELUP'),
    'description' => esc_html__( 'If you wish to delay the separator animation, enter the value in milliseconds.', 'LEVELUP' )
));

vc_add_param("vc_separator", array(
    "type" => "checkbox",
    "class" => "",
    "heading" => esc_html__("Restart Animation", 'LEVELUP'),
    'value' => array(esc_html__('Yes', 'LEVELUP') => 'show_video'),
    "param_name" => "css_animation_repeat",
    "dependency" => array('element' => 'animation', 'not_empty' => true),
    'group' => esc_html__('Animation', 'LEVELUP'),
    'description' => esc_html__('If checked, the animation for the element will be restart whenever when it "enters" the browsers viewport (Note: works only in modern browsers).', 'LEVELUP'),
));


vc_add_param("vc_separator", array(
    'type' => 'rdy_param_heading',
    'param_name' => 'btn1_icon_setting',
    'text' => '',
    'description' => '',
    'value' => '',
    'class' => '',
    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
));


vc_add_param("vc_separator", array(
    'type' => 'textfield',
    'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
    'param_name' => 'el_class',
    'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'LEVELUP' )
));

vc_add_param("vc_separator", array(
    'type' => 'css_editor',
    'heading' => esc_html__( 'CSS box', 'LEVELUP' ),
    'param_name' => 'css',
    'group' => esc_html__( 'Design Options', 'LEVELUP' )
));

vc_add_param("vc_separator", vc_map_add_reset_margin (true, esc_html__('Design Options', 'LEVELUP') ));


/*  Separator With Text or Icon
---------------------------------------------------------- */

vc_map( array(
    'name' => esc_html__( 'Separator with Text or Icon', 'LEVELUP' ),
    'base' => 'vc_text_separator',
    'icon' => 'icon-wpb-ui-separator-label',
    'category' => esc_html__( 'Content', 'LEVELUP' ),
    'description' => esc_html__( 'Horizontal separator line with heading', 'LEVELUP' ),
    'params' => array(

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Separator with', 'LEVELUP' ),
            'param_name' => 'text_type',
            'value' => array(
                esc_html__( 'Text', 'LEVELUP' ) => 'text',
                esc_html__( 'Font Icon / Image', 'LEVELUP' ) => 'icon',
            ),
            'description' => esc_html__( 'Select Separator type.', 'LEVELUP' ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Icon library', 'LEVELUP' ),
            'value' => array(
                esc_html__( 'Font Awesome', 'LEVELUP' ) => 'fontawesome',
                esc_html__( 'Open Iconic', 'LEVELUP' ) => 'openiconic',
                esc_html__( 'Typicons', 'LEVELUP' ) => 'typicons',
                esc_html__( 'Entypo', 'LEVELUP' ) => 'entypo',
                esc_html__( 'Linecons', 'LEVELUP' ) => 'linecons',
                esc_html__( 'Etline', 'LEVELUP' ) => 'etline',
                esc_html__( 'Custom Image', 'LEVELUP' ) => 'pixelicons',
            ),
            'param_name' => 'icon_type',
            'description' => esc_html__( 'Select icon library.', 'LEVELUP' ),
            'dependency' => array('element' => 'text_type', 'value' => 'icon',),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_fontawesome',
            'value' => 'fa fa-info-circle',
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'iconsPerPage' => 200, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'fontawesome',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_openiconic',
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'openiconic',
                'iconsPerPage' => 200, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'openiconic',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_typicons',
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'typicons',
                'iconsPerPage' => 200, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'typicons',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_entypo',
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'entypo',
                'iconsPerPage' => 300, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'entypo',
            ),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_linecons',
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'linecons',
                'iconsPerPage' => 200, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'linecons',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_etline',
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'etline',
                'iconsPerPage' => 200, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'etline',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Image', 'LEVELUP' ),
            'param_name' => 'image',
            'value' => '',
            'description' => esc_html__( 'Select image from media library.', 'LEVELUP' ),
            'dependency' => array('element' => 'icon_type', 'value' => 'pixelicons',),
            'group' => esc_html__('Icon', 'LEVELUP'),
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Icon / Image size', 'LEVELUP' ),
            'param_name' => 'icon_size',
            'value' => 30,
            'dependency' => array('element' => 'text_type', 'value' => 'icon',),
            'description' => esc_html__('Enter Icon size in pixels. Default by 30.', 'LEVELUP'),
            'group' => esc_html__('Icon', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
        ),

        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Icon Color', 'LEVELUP' ),
            'param_name' => 'icon_color',
            "dependency" => Array( 'element' => "icon_type", 'value' => array( 'fontawesome', 'openiconic', 'typicons', 'entypo', 'linecons',  'etline' ) ),
            'description' => esc_html__('Select icon color.', 'LEVELUP'),
            'group' => esc_html__('Icon', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-5 vc_column',

        ),

        array(
            'type' => 'google_fonts',
            'param_name' => 'google_fonts',
            'value' => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal', // default
            'settings' => array(
                'fields' => array(
                    'font_family_description' => esc_html__( 'Select font family.', 'LEVELUP' ),
                    'font_style_description' => esc_html__( 'Select font styling.', 'LEVELUP' )
                ),
            ),
            'dependency' => array(
                'element' => 'text_type',
                'value' => 'text',
            ),
            'group' => esc_html__('Typography', 'LEVELUP'),
        ),

        array(
            'type' => 'font_container',
            'param_name' => 'font_container',
            'value' => '',
            'settings' => array(
                'fields' => array(
                    'font_size',
                    'color',

                    'tag_description' => esc_html__( 'Select element tag.', 'LEVELUP' ),
                    'text_align_description' => esc_html__( 'Select text alignment.', 'LEVELUP' ),
                    'font_size_description' => esc_html__( 'Enter font size. Eg. 25', 'LEVELUP' ),
                    'line_height_description' => esc_html__( 'Enter line height.', 'LEVELUP' ),
                    'color_description' => esc_html__( 'Select text color.', 'LEVELUP' ),
                ),
            ),
            'dependency' => array(
                'element' => 'text_type',
                'value' => 'text',
            ),
            'group' => esc_html__('Typography', 'LEVELUP'),
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Text in Separator', 'LEVELUP' ),
            'param_name' => 'title',
            'value' => esc_html__( 'I am Text in Separator', 'LEVELUP' ),
            'dependency' => array(
                'element' => 'text_type',
                'value' => 'text',
            ),
            'admin_label' => true,
            'description' => esc_html__( 'Enter the text that will be shown in the separator.', 'LEVELUP' ),
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Responsive Font/Icon Size?', 'LEVELUP' ),
            'param_name' => 'font_title_responsive',
            'value' => array(
                esc_html__( 'Yes', 'LEVELUP' ) => 'true',
            ),
            'description' => esc_html__('If checked, the Font/Icon Size will be Responsive.', 'LEVELUP'),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Text Position', 'LEVELUP' ),
            'param_name' => 'title_align',
            'value' => array(
                esc_html__( 'Center', 'LEVELUP' ) => 'separator_align_center',
                esc_html__( 'Left', 'LEVELUP' ) => 'separator_align_left',
                esc_html__( 'Right', 'LEVELUP' ) => "separator_align_right"
            ),
            'dependency' => array(
                'element' => 'text_type',
                'value' => 'text',
            ),
            'description' => esc_html__( 'Select the location of the text in the separator.', 'LEVELUP' )
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Icon Position', 'LEVELUP' ),
            'param_name' => 'icon_align',
            'value' => array(
                esc_html__( 'Center', 'LEVELUP' ) => 'icon_align_center',
                esc_html__( 'Left', 'LEVELUP' ) => 'icon_align_left',
                esc_html__( 'Right', 'LEVELUP' ) => "icon_align_right"
            ),
            'dependency' => array(
                'element' => 'text_type',
                'value' => 'icon',
            ),
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Gap', 'LEVELUP' ),
            'param_name' => 'gap',
            'value' => 20,
            'description' => esc_html__('Select gap between elements.', 'LEVELUP'),
        ),

    ),
    'js_view' => 'VcTextSeparatorView'
) );

vc_add_param("vc_text_separator", array(
    'type' => 'rdy_param_heading',
    'param_name' => 'btn1_icon_setting_w1',
    'text' => '',
    'description' => '',
    'value' => '',
    'class' => '',
    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
));

vc_add_param("vc_text_separator", array(
    "type" => "dropdown",
    "class" => "",
    "heading" => esc_html__( "Separator Type", 'LEVELUP' ),
    "param_name" => "type",
    "value" => array(
        esc_html__( "Line", 'LEVELUP' )         => "normal",
        esc_html__( "Wave Light", 'LEVELUP' )   => "wave1",
        esc_html__( "Wave Bold", 'LEVELUP' )    => "wave2",
        esc_html__( "ZigZag Light", 'LEVELUP' ) => "zigzag1",
        esc_html__( "ZigZag Bold", 'LEVELUP' )  => "zigzag2",
        esc_html__( "Cross", 'LEVELUP' )        => "cross",
    ),
    "description" => esc_html__( "Select Separator Type.", 'LEVELUP' )
));

vc_add_param("vc_text_separator", array(
    "type" => "dropdown",
    "class" => "",
    "heading" =>  esc_html__( "Line Style", 'LEVELUP' ),
    "param_name" => "line_style",
    "value" => array(
        esc_html__( "solid", 'LEVELUP' ) => "solid",
        esc_html__( "dotted", 'LEVELUP' ) => "dotted",
        esc_html__( "dashed", 'LEVELUP' ) => "dashed",
        esc_html__( "double", 'LEVELUP' ) => "double",
    ),
    'admin_label' => true,
    "dependency" => array("element" => "type", "value" => array("normal")),
    'description' => esc_html__('Select Line Style.', 'LEVELUP'),
));

vc_add_param("vc_text_separator", array(
    "type" => "dropdown",
    "holder" => "div",
    "class" => "",
    "heading" => esc_html__( "Advanced Separator Color", 'LEVELUP' ),
    "param_name" => "wave_color",
    "value" => array(
        esc_html__( "Black", 'LEVELUP' ) => "black",
        esc_html__( "Grey", 'LEVELUP' ) => "grey",
        esc_html__( "White", 'LEVELUP' ) => "white"
    ),
    "dependency" => array("element" => "type", "value" => array("wave1", "wave2", "zigzag1", "zigzag2", "cross")),
));

vc_add_param("vc_text_separator", array(
    "type" => "textfield",
    "class" => "",
    "heading" => esc_html__( "Thickness", 'LEVELUP' ),
    "param_name" => "thickness",
    "value" => "1",
    "dependency" => array("element" => "type", "value" => array("normal")),
    'description' => esc_html__('Enter separator thickness in pixels. Eg. 2', 'LEVELUP'),
));

vc_add_param("vc_text_separator", array(
    "type" => "colorpicker",
    "class" => "",
    "heading" => esc_html__( "Separator Color", 'LEVELUP' ),
    "param_name" => "color",
    "value" => "#cccccc",
    "dependency" => array("element" => "type", "value" => array("normal")),
    'description' => esc_html__('Select separator color.', 'LEVELUP'),
));

vc_add_param("vc_text_separator", array(
    'type' => 'rdy_param_heading',
    'param_name' => 'btn1_icon_setting',
    'text' => '',
    'description' => '',
    'value' => '',
    'class' => '',
    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
));

vc_add_param("vc_text_separator", array(
    'type' => 'dropdown',
    'heading' => esc_html__( 'Container Alignment', 'LEVELUP' ),
    'param_name' => 'align',
    'value' => array(
        esc_html__( 'Center', 'LEVELUP' ) => 'align_center',
        esc_html__( 'Left', 'LEVELUP' ) => 'align_left',
        esc_html__( 'Right', 'LEVELUP' ) => "align_right"
    ),
    'admin_label' => true,
    'description' => esc_html__( 'Select container alignment.', 'LEVELUP' )
));

vc_add_param("vc_text_separator", array(
    "type" => "textfield",
    "class" => "",
    "heading" => esc_html__( "Container Width", 'LEVELUP' ),
    "param_name" => "width",
    "value" => "450",
    'description' => esc_html__('Enter container width in pixels. Eg. 600', 'LEVELUP'),
    'edit_field_class' => 'vc_col-sm-7 vc_column',
));

vc_add_param("vc_text_separator", array(
    "type" => "checkbox",
    "class" => "",
    "heading" => esc_html__( "Width In Percentages?", 'LEVELUP' ),
    "value" => array(esc_html__( "Yes", 'LEVELUP' ) => "yes"),
    "param_name" => "width_in_percentages",
    "dependency" => array('element' => 'width', 'not_empty' => true),
    'description' => esc_html__('If checked, container width will be in percentages.', 'LEVELUP'),
    'edit_field_class' => 'vc_col-sm-5 vc_column',
));

vc_add_param("vc_text_separator", array(
    'type' => 'rdy_param_heading',
    'param_name' => 'btn1_icon_setting_w2',
    'text' => '',
    'description' => '',
    'value' => '',
    'class' => '',
    'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
));

vc_add_param("vc_text_separator", array(
    'type' => 'textfield',
    'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
    'param_name' => 'el_class',
    'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'LEVELUP' )
));

vc_add_param("vc_text_separator", array(
    'type' => 'css_editor',
    'heading' => esc_html__( 'CSS box', 'LEVELUP' ),
    'param_name' => 'css',
    'group' => esc_html__( 'Design Options', 'LEVELUP' )
));



/* WooCommerce */

$attributes = array(
    "type" => "dropdown",
    'heading' => esc_html__( 'Columns', 'LEVELUP' ),
    "value" => array(
        esc_html__( "2", 'LEVELUP' ) => 2,
        esc_html__( "3", 'LEVELUP' ) => 3,
        esc_html__( "4", 'LEVELUP' ) => 4,
        esc_html__( "6", 'LEVELUP' ) => 6,
    ),
    'std' => 4,
    'save_always' => true,
    'param_name' => 'columns',
    'description' => esc_html__( 'How much columns grid', 'LEVELUP' ),
);
vc_remove_param( 'top_rated_products', 'columns' );
vc_add_param( 'top_rated_products', $attributes );

vc_remove_param( 'recent_products', 'columns' );
vc_add_param( 'recent_products', $attributes );

vc_remove_param( 'featured_products', 'columns' );
vc_add_param( 'featured_products', $attributes );

vc_remove_param( 'products', 'columns' );
vc_add_param( 'products', $attributes );

//vc_remove_param( 'product_page', 'columns' );
//vc_add_param( 'product_page', $attributes );

vc_remove_param( 'product_category', 'columns' );
vc_add_param( 'product_category', $attributes );

vc_remove_param( 'product_categories', 'columns' );
vc_add_param( 'product_categories', $attributes );

vc_remove_param( 'sale_products', 'columns' );
vc_add_param( 'sale_products', $attributes );

vc_remove_param( 'best_selling_products', 'columns' );
vc_add_param( 'best_selling_products', $attributes );

vc_remove_param( 'top_rated_products', 'columns' );
vc_add_param( 'top_rated_products', $attributes );

vc_remove_param( 'product_attribute', 'columns' );
vc_add_param( 'product_attribute', $attributes );

vc_remove_param( 'related_products', 'columns' );
vc_add_param( 'related_products', $attributes );


/*  Icon
---------------------------------------------------------- */

vc_map( array(
    'name' => esc_html__( 'Icon', 'LEVELUP' ),
    'base' => 'vc_icon',
    'icon' => 'icon-wpb-vc_icon',
    'category' => esc_html__( 'Content', 'LEVELUP' ),
    'description' => esc_html__( 'Eye catching icons from libraries', 'LEVELUP' ),
    'params' => array(
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Icon library', 'LEVELUP' ),
            'value' => array(
                esc_html__( 'Font Awesome', 'LEVELUP' ) => 'fontawesome',
                esc_html__( 'Open Iconic', 'LEVELUP' ) => 'openiconic',
                esc_html__( 'Typicons', 'LEVELUP' ) => 'typicons',
                esc_html__( 'Entypo', 'LEVELUP' ) => 'entypo',
                esc_html__( 'Linecons', 'LEVELUP' ) => 'linecons',
                esc_html__( 'Etline', 'LEVELUP' ) => 'etline',
                esc_html__( 'SVG', 'LEVELUP' ) => 'svg',
            ),
            'admin_label' => true,
            'param_name' => 'type',
            'description' => esc_html__( 'Select icon library.', 'LEVELUP' ),
        ),
	    array (
		    "type" => "rdy_img_set",
		    "image_type" => "svg",
		    "heading" => esc_html__("SVG Icons", 'LEVELUP'),
		    'options' => array(

			    array(
					'title' => 'Basic',
				    'values' => array(

					    'alarm-clock.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/alarm-clock.svg",
					    ),
					    'ambulance.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/ambulance.svg",
					    ),
					    'arrow-left.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/arrow-left.svg",
					    ),
					    'arrow-right.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/arrow-right.svg",
					    ),
					    'arrow-top.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/arrow-top.svg",
					    ),
					    'backpack.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/backpack.svg",
					    ),
					    'badge.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/badge.svg",
					    ),
					    'bag.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/bag.svg",
					    ),
					    'barcode.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/barcode.svg",
					    ),
					    'betacam.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/betacam.svg",
					    ),
					    'bills.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/bills.svg",
					    ),
					    'binary-code.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/binary-code.svg",
					    ),
					    'blank-page.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/blank-page.svg",
					    ),
					    'bomb-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/bomb-2.svg",
					    ),
					    'bomb.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/bomb.svg",
					    ),
					    'book.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/book.svg",
					    ),
					    'bottle-beer.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/bottle-beer.svg",
					    ),
					    'bottle-wine.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/bottle-wine.svg",
					    ),
					    'box.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/box.svg",
					    ),
					    'briefcase.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/briefcase.svg",
					    ),
					    'bubble-chat.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/bubble-chat.svg",
					    ),
					    'bubble-heart.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/bubble-heart.svg",
					    ),
					    'bug.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/bug.svg",
					    ),
					    'bulb.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/bulb.svg",
					    ),
					    'calenadr-clock.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/calenadr-clock.svg",
					    ),
					    'calendar-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/calendar-2.svg",
					    ),
					    'calendar.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/calendar.svg",
					    ),
					    'camera-photo.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/camera-photo.svg",
					    ),
					    'camera-polaroid.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/camera-polaroid.svg",
					    ),
					    'camera-video.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/camera-video.svg",
					    ),
					    'cart-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/cart-2.svg",
					    ),
					    'cart.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/cart.svg",
					    ),
					    'cassette-player.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/cassette-player.svg",
					    ),
					    'charlie-chaplin.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/charlie-chaplin.svg",
					    ),
					    'chart.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/chart.svg",
					    ),
					    'check.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/check.svg",
					    ),
					    'chef-hat.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/chef-hat.svg",
					    ),
					    'circle.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/circle.svg",
					    ),
					    'clock-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/clock-2.svg",
					    ),
					    'clock.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/clock.svg",
					    ),
					    'cloud.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/cloud.svg",
					    ),
					    'cloudy.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/cloudy.svg",
					    ),
					    'code.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/code.svg",
					    ),
					    'coffee-machine.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/coffee-machine.svg",
					    ),
					    'cog.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/cog.svg",
					    ),
					    'cogwheel-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/cogwheel-2.svg",
					    ),
					    'cogwheel.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/cogwheel.svg",
					    ),
					    'compass-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/compass-2.svg",
					    ),
					    'compass-3.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/compass-3.svg",
					    ),
					    'compass.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/compass.svg",
					    ),
					    'computer-imac.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/computer-imac.svg",
					    ),
					    'computer-network.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/computer-network.svg",
					    ),
					    'computer-pc.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/computer-pc.svg",
					    ),
					    'computer-screen-1.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/computer-screen-1.svg",
					    ),
					    'computer-screen-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/computer-screen-2.svg",
					    ),
					    'computer.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/computer.svg",
					    ),
					    'console.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/console.svg",
					    ),
					    'contact-book.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/contact-book.svg",
					    ),
					    'contacts.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/contacts.svg",
					    ),
					    'content-download.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/content-download.svg",
					    ),
					    'conversation.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/conversation.svg",
					    ),
					    'cooking-pot.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/cooking-pot.svg",
					    ),
					    'creditcard.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/creditcard.svg",
					    ),
					    'crop.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/crop.svg",
					    ),
					    'cross.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/cross.svg",
					    ),
					    'crown.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/crown.svg",
					    ),
					    'delivery.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/delivery.svg",
					    ),
					    'designer-cup.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/designer-cup.svg",
					    ),
					    'desktop-pad-phone.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/desktop-pad-phone.svg",
					    ),
					    'desktop.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/desktop.svg",
					    ),
					    'diagram-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/diagram-2.svg",
					    ),
					    'diagram.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/diagram.svg",
					    ),
					    'diving-gear.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/diving-gear.svg",
					    ),
					    'doc.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/doc.svg",
					    ),
					    'dollar.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/dollar.svg",
					    ),
					    'drink-cocktail.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/drink-cocktail.svg",
					    ),
					    'drink-coffee.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/drink-coffee.svg",
					    ),
					    'drop.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/drop.svg",
					    ),
					    'e-mail.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/e-mail.svg",
					    ),
					    'earth.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/earth.svg",
					    ),
					    'embed-code.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/embed-code.svg",
					    ),
					    'ene.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/ene.svg",
					    ),
					    'envelope-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/envelope-2.svg",
					    ),
					    'envelope-3.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/envelope-3.svg",
					    ),
					    'envelope-open.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/envelope-open.svg",
					    ),
					    'envelope.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/envelope.svg",
					    ),
					    'error.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/error.svg",
					    ),
					    'euro.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/euro.svg",
					    ),
					    'eyedropper.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/eyedropper.svg",
					    ),
					    'flag.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/flag.svg",
					    ),
					    'flapper.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/flapper.svg",
					    ),
					    'flash.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/flash.svg",
					    ),
					    'folder-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/folder-2.svg",
					    ),
					    'folder.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/folder.svg",
					    ),
					    'fork-knife.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/fork-knife.svg",
					    ),
					    'forklift.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/forklift.svg",
					    ),
					    'fountain-pen-head-1.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/fountain-pen-head-1.svg",
					    ),
					    'fountain-pen-head-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/fountain-pen-head-2.svg",
					    ),
					    'gauge.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gauge.svg",
					    ),
					    'gift.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gift.svg",
					    ),
					    'glasses.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/glasses.svg",
					    ),
					    'globe-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/globe-2.svg",
					    ),
					    'globe.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/globe.svg",
					    ),
					    'graph.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/graph.svg",
					    ),
					    'grid.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/grid.svg",
					    ),
					    'griller.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/griller.svg",
					    ),
					    'handbag.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/handbag.svg",
					    ),
					    'handset-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/handset-2.svg",
					    ),
					    'handset.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/handset.svg",
					    ),
					    'hdd.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/hdd.svg",
					    ),
					    'headphone.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/headphone.svg",
					    ),
					    'headphones.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/headphones.svg",
					    ),
					    'headset.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/headset.svg",
					    ),
					    'heart-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/heart-2.svg",
					    ),
					    'heart.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/heart.svg",
					    ),
					    'home-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/home-2.svg",
					    ),
					    'home.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/home.svg",
					    ),
					    'hotdog.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/hotdog.svg",
					    ),
					    'house-3.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/house-3.svg",
					    ),
					    'icecream.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/icecream.svg",
					    ),
					    'image-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/image-2.svg",
					    ),
					    'image.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/image.svg",
					    ),
					    'indices.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/indices.svg",
					    ),
					    'iphone.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/iphone.svg",
					    ),
					    'ipod.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/ipod.svg",
					    ),
					    'joystick.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/joystick.svg",
					    ),
					    'keyboard.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/keyboard.svg",
					    ),
					    'laptop.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/laptop.svg",
					    ),
					    'layers-image.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/layers-image.svg",
					    ),
					    'layers.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/layers.svg",
					    ),
					    'layout.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/layout.svg",
					    ),
					    'line.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/line.svg",
					    ),
					    'link-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/link-2.svg",
					    ),
					    'link.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/link.svg",
					    ),
					    'list.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/list.svg",
					    ),
					    'location-pin.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/location-pin.svg",
					    ),
					    'location-user.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/location-user.svg",
					    ),
					    'lock-locked.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/lock-locked.svg",
					    ),
					    'lock-unlocked.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/lock-unlocked.svg",
					    ),
					    'magic-wand.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/magic-wand.svg",
					    ),
					    'magnet-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/magnet-2.svg",
					    ),
					    'magnet.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/magnet.svg",
					    ),
					    'magnifier.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/magnifier.svg",
					    ),
					    'map-pointer.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/map-pointer.svg",
					    ),
					    'map.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/map.svg",
					    ),
					    'medicine-chest.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/medicine-chest.svg",
					    ),
					    'message-none.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/message-none.svg",
					    ),
					    'message.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/message.svg",
					    ),
					    'microphone-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/microphone-2.svg",
					    ),
					    'microphone.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/microphone.svg",
					    ),
					    'mixer.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/mixer.svg",
					    ),
					    'money-box.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/money-box.svg",
					    ),
					    'monocle.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/monocle.svg",
					    ),
					    'mouse.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/mouse.svg",
					    ),
					    'mouthpiece.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/mouthpiece.svg",
					    ),
					    'mp3-player-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/mp3-player-2.svg",
					    ),
					    'mp3-player.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/mp3-player.svg",
					    ),
					    'music-note.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/music-note.svg",
					    ),
					    'nightstand.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/nightstand.svg",
					    ),
					    'note.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/note.svg",
					    ),
					    'notebook-1.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/notebook-1.svg",
					    ),
					    'notebook-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/notebook-2.svg",
					    ),
					    'pad-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pad-2.svg",
					    ),
					    'pad-phone.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pad-phone.svg",
					    ),
					    'pad.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pad.svg",
					    ),
					    'page_pencil.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/page_pencil.svg",
					    ),
					    'paint-brush.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/paint-brush.svg",
					    ),
					    'paint-bucket.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/paint-bucket.svg",
					    ),
					    'paint-palette.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/paint-palette.svg",
					    ),
					    'paint-roller.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/paint-roller.svg",
					    ),
					    'paper.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/paper.svg",
					    ),
					    'papers.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/papers.svg",
					    ),
					    'patch.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/patch.svg",
					    ),
					    'pause.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pause.svg",
					    ),
					    'pen-fountain.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pen-fountain.svg",
					    ),
					    'pen-point-tip.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pen-point-tip.svg",
					    ),
					    'pen.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pen.svg",
					    ),
					    'pencil-ruler.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pencil-ruler.svg",
					    ),
					    'phone-3.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/phone-3.svg",
					    ),
					    'phone.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/phone.svg",
					    ),
					    'photocamera.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/photocamera.svg",
					    ),
					    'picture-frame.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/picture-frame.svg",
					    ),
					    'pie-chart-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pie-chart-2.svg",
					    ),
					    'pie-chart.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pie-chart.svg",
					    ),
					    'pill.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pill.svg",
					    ),
					    'play-button.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/play-button.svg",
					    ),
					    'point.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/point.svg",
					    ),
					    'pointer-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pointer-2.svg",
					    ),
					    'pointer.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pointer.svg",
					    ),
					    'portfolio.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/portfolio.svg",
					    ),
					    'pound.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pound.svg",
					    ),
					    'printer.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/printer.svg",
					    ),
					    'pulse.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/pulse.svg",
					    ),
					    'quill-ink.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/quill-ink.svg",
					    ),
					    'rain.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/rain.svg",
					    ),
					    'receiver.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/receiver.svg",
					    ),
					    'refresh.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/refresh.svg",
					    ),
					    'remote-control-hand.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/remote-control-hand.svg",
					    ),
					    'remote-control-screen.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/remote-control-screen.svg",
					    ),
					    'repeat.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/repeat.svg",
					    ),
					    'rewind.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/rewind.svg",
					    ),
					    'roller.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/roller.svg",
					    ),
					    'rounded-square.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/rounded-square.svg",
					    ),
					    'scraper.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/scraper.svg",
					    ),
					    'script.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/script.svg",
					    ),
					    'server.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/server.svg",
					    ),
					    'settings.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/settings.svg",
					    ),
					    'share.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/share.svg",
					    ),
					    'shield-cross.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/shield-cross.svg",
					    ),
					    'shield.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/shield.svg",
					    ),
					    'shopping-cart-add.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/shopping-cart-add.svg",
					    ),
					    'shopping-cart-remove.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/shopping-cart-remove.svg",
					    ),
					    'skull.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/skull.svg",
					    ),
					    'slide.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/slide.svg",
					    ),
					    'smart-device.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/smart-device.svg",
					    ),
					    'smiley.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/smiley.svg",
					    ),
					    'sneakers.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/sneakers.svg",
					    ),
					    'snow.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/snow.svg",
					    ),
					    'sofa.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/sofa.svg",
					    ),
					    'speaker.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/speaker.svg",
					    ),
					    'stamp-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/stamp-2.svg",
					    ),
					    'stamp.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/stamp.svg",
					    ),
					    'star.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/star.svg",
					    ),
					    'sub-woofer.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/sub-woofer.svg",
					    ),
					    'sun.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/sun.svg",
					    ),
					    'syringe-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/syringe-2.svg",
					    ),
					    'syringe.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/syringe.svg",
					    ),
					    'table_lamp.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/table_lamp.svg",
					    ),
					    'tag.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/tag.svg",
					    ),
					    'target.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/target.svg",
					    ),
					    'team.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/team.svg",
					    ),
					    'teapot.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/teapot.svg",
					    ),
					    'testimonials.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/testimonials.svg",
					    ),
					    'tick.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/tick.svg",
					    ),
					    'trash-can.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/trash-can.svg",
					    ),
					    'trash.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/trash.svg",
					    ),
					    'trashcan.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/trashcan.svg",
					    ),
					    'tri-fold.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/tri-fold.svg",
					    ),
					    'tv.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/tv.svg",
					    ),
					    'two-gears.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/two-gears.svg",
					    ),
					    'umbrella.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/umbrella.svg",
					    ),
					    'user-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/user-2.svg",
					    ),
					    'user-chat.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/user-chat.svg",
					    ),
					    'user.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/user.svg",
					    ),
					    'vector.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/vector.svg",
					    ),
					    'videocamera.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/videocamera.svg",
					    ),
					    'wallet.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/wallet.svg",
					    ),
					    'web-camera.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/web-camera.svg",
					    ),
					    'wi-fi.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/wi-fi.svg",
					    ),
					    'windows.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/windows.svg",
					    ),
					    'world time.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/world time.svg",
					    ),
					    'wrenches.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/wrenches.svg",
					    ),
					    'write-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/write-2.svg",
					    ),
					    'write.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/write.svg",
					    ),

				    )
			    ),
			    array(
					'title' => 'Weather',
				    'values' => array(
					    'weather-1.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-1.svg",
					    ),
					    'weather-10.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-10.svg",
					    ),
					    'weather-100.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-100.svg",
					    ),
					    'weather-101.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-101.svg",
					    ),
					    'weather-102.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-102.svg",
					    ),
					    'weather-103.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-103.svg",
					    ),
					    'weather-104.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-104.svg",
					    ),
					    'weather-105.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-105.svg",
					    ),
					    'weather-106.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-106.svg",
					    ),
					    'weather-107.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-107.svg",
					    ),
					    'weather-108.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-108.svg",
					    ),
					    'weather-11.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-11.svg",
					    ),
					    'weather-12.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-12.svg",
					    ),
					    'weather-13.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-13.svg",
					    ),
					    'weather-14.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-14.svg",
					    ),
					    'weather-15.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-15.svg",
					    ),
					    'weather-16.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-16.svg",
					    ),
					    'weather-17.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-17.svg",
					    ),
					    'weather-18.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-18.svg",
					    ),
					    'weather-19.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-19.svg",
					    ),
					    'weather-2.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-2.svg",
					    ),
					    'weather-20.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-20.svg",
					    ),
					    'weather-21.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-21.svg",
					    ),
					    'weather-22.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-22.svg",
					    ),
					    'weather-23.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-23.svg",
					    ),
					    'weather-24.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-24.svg",
					    ),
					    'weather-25.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-25.svg",
					    ),
					    'weather-26.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-26.svg",
					    ),
					    'weather-27.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-27.svg",
					    ),
					    'weather-28.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-28.svg",
					    ),
					    'weather-29.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-29.svg",
					    ),
					    'weather-3.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-3.svg",
					    ),
					    'weather-30.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-30.svg",
					    ),
					    'weather-31.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-31.svg",
					    ),
					    'weather-32.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-32.svg",
					    ),
					    'weather-33.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-33.svg",
					    ),
					    'weather-34.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-34.svg",
					    ),
					    'weather-35.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-35.svg",
					    ),
					    'weather-36.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-36.svg",
					    ),
					    'weather-37.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-37.svg",
					    ),
					    'weather-38.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-38.svg",
					    ),
					    'weather-39.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-39.svg",
					    ),
					    'weather-4.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-4.svg",
					    ),
					    'weather-40.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-40.svg",
					    ),
					    'weather-41.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-41.svg",
					    ),
					    'weather-42.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-42.svg",
					    ),
					    'weather-43.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-43.svg",
					    ),
					    'weather-44.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-44.svg",
					    ),
					    'weather-45.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-45.svg",
					    ),
					    'weather-46.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-46.svg",
					    ),
					    'weather-47.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-47.svg",
					    ),
					    'weather-48.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-48.svg",
					    ),
					    'weather-49.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-49.svg",
					    ),
					    'weather-5.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-5.svg",
					    ),
					    'weather-50.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-50.svg",
					    ),
					    'weather-51.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-51.svg",
					    ),
					    'weather-52.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-52.svg",
					    ),
					    'weather-53.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-53.svg",
					    ),
					    'weather-54.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-54.svg",
					    ),
					    'weather-55.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-55.svg",
					    ),
					    'weather-56.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-56.svg",
					    ),
					    'weather-57.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-57.svg",
					    ),
					    'weather-58.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-58.svg",
					    ),
					    'weather-59.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-59.svg",
					    ),
					    'weather-6.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-6.svg",
					    ),
					    'weather-60.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-60.svg",
					    ),
					    'weather-61.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-61.svg",
					    ),
					    'weather-62.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-62.svg",
					    ),
					    'weather-63.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-63.svg",
					    ),
					    'weather-64.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-64.svg",
					    ),
					    'weather-65.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-65.svg",
					    ),
					    'weather-66.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-66.svg",
					    ),
					    'weather-67.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-67.svg",
					    ),
					    'weather-68.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-68.svg",
					    ),
					    'weather-69.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-69.svg",
					    ),
					    'weather-7.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-7.svg",
					    ),
					    'weather-70.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-70.svg",
					    ),
					    'weather-71.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-71.svg",
					    ),
					    'weather-72.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-72.svg",
					    ),
					    'weather-73.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-73.svg",
					    ),
					    'weather-74.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-74.svg",
					    ),
					    'weather-75.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-75.svg",
					    ),
					    'weather-76.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-76.svg",
					    ),
					    'weather-77.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-77.svg",
					    ),
					    'weather-78.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-78.svg",
					    ),
					    'weather-79.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-79.svg",
					    ),
					    'weather-8.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-8.svg",
					    ),
					    'weather-80.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-80.svg",
					    ),
					    'weather-81.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-81.svg",
					    ),
					    'weather-82.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-82.svg",
					    ),
					    'weather-83.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-83.svg",
					    ),
					    'weather-84.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-84.svg",
					    ),
					    'weather-85.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-85.svg",
					    ),
					    'weather-86.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-86.svg",
					    ),
					    'weather-87.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-87.svg",
					    ),
					    'weather-88.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-88.svg",
					    ),
					    'weather-89.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-89.svg",
					    ),
					    'weather-9.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-9.svg",
					    ),
					    'weather-90.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-90.svg",
					    ),
					    'weather-91.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-91.svg",
					    ),
					    'weather-92.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-92.svg",
					    ),
					    'weather-93.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-93.svg",
					    ),
					    'weather-94.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-94.svg",
					    ),
					    'weather-95.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-95.svg",
					    ),
					    'weather-96.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-96.svg",
					    ),
					    'weather-97.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-97.svg",
					    ),
					    'weather-98.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-98.svg",
					    ),
					    'weather-99.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/weather-99.svg",
					    ),
				    )
			    ),
			    array(
					'title' => 'Hand Gesture',
				    'values' => array(
					    'gesture_1f-swipe-down.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_1f-swipe-down.svg",
					    ),
					    'gesture_1f-swipe-left.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_1f-swipe-left.svg",
					    ),
					    'gesture_1f-swipe-right.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_1f-swipe-right.svg",
					    ),
					    'gesture_1f-swipe-up.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_1f-swipe-up.svg",
					    ),
					    'gesture_1f-tap-down.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_1f-tap-down.svg",
					    ),
					    'gesture_1f-tap-drag.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_1f-tap-drag.svg",
					    ),
					    'gesture_1f-tap-hold.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_1f-tap-hold.svg",
					    ),
					    'gesture_1f-tap-up.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_1f-tap-up.svg",
					    ),
					    'gesture_2f-double-tap.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-double-tap.svg",
					    ),
					    'gesture_2f-drag-left-right-38.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-drag-left-right-38.svg",
					    ),
					    'gesture_2f-drag-left-right-54.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-drag-left-right-54.svg",
					    ),
					    'gesture_2f-drag-twoside.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-drag-twoside.svg",
					    ),
					    'gesture_2f-drag-up-down-37.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-drag-up-down-37.svg",
					    ),
					    'gesture_2f-drag-up-down-52.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-drag-up-down-52.svg",
					    ),
					    'gesture_2f-drag-up-down-53.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-drag-up-down-53.svg",
					    ),
					    'gesture_2f-drag.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-drag.svg",
					    ),
					    'gesture_2f-horizotal-drag.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-horizotal-drag.svg",
					    ),
					    'gesture_2f-press.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-press.svg",
					    ),
					    'gesture_2f-swipe-down-35.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-swipe-down-35.svg",
					    ),
					    'gesture_2f-swipe-down-51.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-swipe-down-51.svg",
					    ),
					    'gesture_2f-swipe-left-33.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-swipe-left-33.svg",
					    ),
					    'gesture_2f-swipe-left-47.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-swipe-left-47.svg",
					    ),
					    'gesture_2f-swipe-right-34.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-swipe-right-34.svg",
					    ),
					    'gesture_2f-swipe-right-48.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-swipe-right-48.svg",
					    ),
					    'gesture_2f-swipe-up.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-swipe-up.svg",
					    ),
					    'gesture_2f-tap-22.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-tap-22.svg",
					    ),
					    'gesture_2f-tap-25.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-tap-25.svg",
					    ),
					    'gesture_2f-tap-down-30.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-tap-down-30.svg",
					    ),
					    'gesture_2f-tap-down-39.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-tap-down-39.svg",
					    ),
					    'gesture_2f-tap-down-55.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-tap-down-55.svg",
					    ),
					    'gesture_2f-tap-hold.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-tap-hold.svg",
					    ),
					    'gesture_2f-tap-up.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2f-tap-up.svg",
					    ),
					    'gesture_2fingers.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_2fingers.svg",
					    ),
					    'gesture_3f-double-tap-44.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_3f-double-tap-44.svg",
					    ),
					    'gesture_3f-double-tap-59.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_3f-double-tap-59.svg",
					    ),
					    'gesture_3f-drag.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_3f-drag.svg",
					    ),
					    'gesture_3f-horizotal-dragin.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_3f-horizotal-dragin.svg",
					    ),
					    'gesture_3f-horizotal-dragout.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_3f-horizotal-dragout.svg",
					    ),
					    'gesture_3f-press-42.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_3f-press-42.svg",
					    ),
					    'gesture_3f-press-57.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_3f-press-57.svg",
					    ),
					    'gesture_3f-press-hold-43.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_3f-press-hold-43.svg",
					    ),
					    'gesture_3f-press-hold-58.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_3f-press-hold-58.svg",
					    ),
					    'gesture_3f-tap-down.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_3f-tap-down.svg",
					    ),
					    'gesture_3f-tap-up.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_3f-tap-up.svg",
					    ),
					    'gesture_3fingers-41.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_3fingers-41.svg",
					    ),
					    'gesture_3fingers-56.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_3fingers-56.svg",
					    ),
					    'gesture_4f-drag-left-right.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_4f-drag-left-right.svg",
					    ),
					    'gesture_4f-drag-up-down.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_4f-drag-up-down.svg",
					    ),
					    'gesture_4f-horizotal-dragin.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_4f-horizotal-dragin.svg",
					    ),
					    'gesture_4f-horizotal-dragout.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_4f-horizotal-dragout.svg",
					    ),
					    'gesture_4f-swipe-down.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_4f-swipe-down.svg",
					    ),
					    'gesture_4f-swipe-left.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_4f-swipe-left.svg",
					    ),
					    'gesture_4f-swipe-right.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_4f-swipe-right.svg",
					    ),
					    'gesture_4f-swipe-up.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_4f-swipe-up.svg",
					    ),
					    'gesture_4f-tap-down.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_4f-tap-down.svg",
					    ),
					    'gesture_4f-tap-up.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_4f-tap-up.svg",
					    ),
					    'gesture_5f-double-tap.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-double-tap.svg",
					    ),
					    'gesture_5f-drag-left-right.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-drag-left-right.svg",
					    ),
					    'gesture_5f-drag-up-down.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-drag-up-down.svg",
					    ),
					    'gesture_5f-drag.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-drag.svg",
					    ),
					    'gesture_5f-long-tap.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-long-tap.svg",
					    ),
					    'gesture_5f-pinch.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-pinch.svg",
					    ),
					    'gesture_5f-pinchin.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-pinchin.svg",
					    ),
					    'gesture_5f-pinchout.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-pinchout.svg",
					    ),
					    'gesture_5f-press-hold.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-press-hold.svg",
					    ),
					    'gesture_5f-press.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-press.svg",
					    ),
					    'gesture_5f-stretch.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-stretch.svg",
					    ),
					    'gesture_5f-swipe-down.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-swipe-down.svg",
					    ),
					    'gesture_5f-swipe-left.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-swipe-left.svg",
					    ),
					    'gesture_5f-swipe-right.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-swipe-right.svg",
					    ),
					    'gesture_5f-swipe-up.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-swipe-up.svg",
					    ),
					    'gesture_5f-tap-down.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-tap-down.svg",
					    ),
					    'gesture_5f-tap-hold.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-tap-hold.svg",
					    ),
					    'gesture_5f-tap-up.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-tap-up.svg",
					    ),
					    'gesture_5f-tap.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5f-tap.svg",
					    ),
					    'gesture_5fingers.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_5fingers.svg",
					    ),
					    'gesture_canceled.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_canceled.svg",
					    ),
					    'gesture_double tap.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_double tap.svg",
					    ),
					    'gesture_drag down.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_drag down.svg",
					    ),
					    'gesture_drag left-right.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_drag left-right.svg",
					    ),
					    'gesture_drag top.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_drag top.svg",
					    ),
					    'gesture_drag-up-down.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_drag-up-down.svg",
					    ),
					    'gesture_finding identity.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_finding identity.svg",
					    ),
					    'gesture_finger-add.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_finger-add.svg",
					    ),
					    'gesture_finger-minus.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_finger-minus.svg",
					    ),
					    'gesture_finger-press.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_finger-press.svg",
					    ),
					    'gesture_finger-security-open.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_finger-security-open.svg",
					    ),
					    'gesture_finger-security.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_finger-security.svg",
					    ),
					    'gesture_horizotal-drag.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_horizotal-drag.svg",
					    ),
					    'gesture_pinch.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_pinch.svg",
					    ),
					    'gesture_press-hold.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_press-hold.svg",
					    ),
					    'gesture_press.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_press.svg",
					    ),
					    'gesture_scaning identity.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_scaning identity.svg",
					    ),
					    'gesture_searching.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_searching.svg",
					    ),
					    'gesture_show.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_show.svg",
					    ),
					    'gesture_stretch.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_stretch.svg",
					    ),
					    'gesture_success.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_success.svg",
					    ),
					    'gesture_swipe-left-h.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_swipe-left-h.svg",
					    ),
					    'gesture_swipe-right-h.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_swipe-right-h.svg",
					    ),
					    'gesture_tap.svg' => array(
						    'src' => LEVELUP_THEME_TEMPLATE_URL . "/assets/images/icons/svg/gesture_tap.svg",
					    ),
				    )
			    )
		    ),
		    'param_name' => 'icon_svg',
		    'dependency' => array(
			    'element' => 'type',
			    'value' => 'svg',
		    ),
		    'std' => 'alarm-clock.svg',
            'group' => __('SVG Icons', 'LEVELUP')
	    ),

	    array(
		    "type" => "checkbox",
		    "class" => "",
		    "heading" => esc_html__("SVG Draw Path?", 'LEVELUP'),
            'description' => esc_html__( 'If checked, making drawing animation in SVG', 'LEVELUP' ),
		    "param_name" => "svg_animation",
		    "value" => array(
			    esc_html__("Yes", 'LEVELUP') => "true",
		    ),
		    'dependency' => array(
			    'element' => 'type',
			    'value' => 'svg',
		    ),
		    'std' => 'true'
	    ),

	    array(
		    'type' => 'dropdown',
		    'heading' => esc_html__( 'SVG Animation Speed', 'LEVELUP' ),
            'description' => esc_html__( 'Specify the animation speed.', 'LEVELUP' ),
		    'param_name' => 'svg_animation_speed',
            'admin_label' => true,
		    'value' => array(
			    esc_html__( '100 - fast', 'LEVELUP' ) => '100',
                esc_html__( '200', 'LEVELUP' ) => '200',
			    esc_html__( '300', 'LEVELUP' ) => '300',
                esc_html__( '400', 'LEVELUP' ) => '400',
			    esc_html__( '500', 'LEVELUP' ) => '500',
                esc_html__( '600', 'LEVELUP' ) => '600',
			    esc_html__( '700', 'LEVELUP' ) => '700',
                esc_html__( '800', 'LEVELUP' ) => '800',
                esc_html__( '900', 'LEVELUP' ) => '900',
			    esc_html__( '1000 - slow', 'LEVELUP' ) => '1000',
		    ),
		    'dependency' => array(
			    'element' => 'svg_animation',
			    'not_empty' => true,
		    ),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
	    ),

	    array(
		    'type' => 'dropdown',
		    'heading' => esc_html__( 'SVG Animation Type', 'LEVELUP' ),
            'description' => esc_html__( 'Specify what kind of animation will be used.', 'LEVELUP' ),
		    'param_name' => 'svg_animation_type',
		    'value' => array(
			    esc_html__( 'delayed', 'LEVELUP' ) => 'delayed',
			    esc_html__( 'async', 'LEVELUP' ) => 'async',
			    esc_html__( 'oneByOne', 'LEVELUP' ) => 'oneByOne',
		    ),
		    'dependency' => array(
			    'element' => 'svg_animation',
			    'not_empty' => true,
		    ),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
	    ),

	    array(
		    'type' => 'dropdown',
		    'heading' => esc_html__( 'SVG Animation Timing', 'LEVELUP' ),
            'description' => esc_html__( 'Specify timing function.', 'LEVELUP' ),
		    'param_name' => 'svg_animation_timing',
		    'value' => array(
			    esc_html__( 'LINEAR', 'LEVELUP' ) => 'LINEAR',
			    esc_html__( 'EASE', 'LEVELUP' ) => 'EASE',
			    esc_html__( 'EASE_OUT', 'LEVELUP' ) => 'EASE_OUT',
			    esc_html__( 'EASE_IN', 'LEVELUP' ) => 'EASE_IN',
			    esc_html__( 'EASE_OUT_BOUNCE', 'LEVELUP' ) => 'EASE_OUT_BOUNCE',
		    ),
		    'dependency' => array(
			    'element' => 'svg_animation',
			    'not_empty' => true,
		    ),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
	    ),

	    /*array(
		    'type' => 'dropdown',
		    'heading' => esc_html__( 'SVG Animation Delay', 'LEVELUP' ),
            'description' => esc_html__( 'Specify the delay of animation.', 'LEVELUP' ),
		    'param_name' => 'svg_animation_delay',
            'admin_label' => true,
		    'value' => array(
			    esc_html__( 'None', 'LEVELUP' ) => '',
			    esc_html__( '100', 'LEVELUP' ) => '100',
			    esc_html__( '200', 'LEVELUP' ) => '200',
			    esc_html__( '300', 'LEVELUP' ) => '300',
			    esc_html__( '400', 'LEVELUP' ) => '400',
			    esc_html__( '500', 'LEVELUP' ) => '500',
			    esc_html__( '600', 'LEVELUP' ) => '600',
			    esc_html__( '700', 'LEVELUP' ) => '700',
			    esc_html__( '800', 'LEVELUP' ) => '800',
			    esc_html__( '900', 'LEVELUP' ) => '900',
			    esc_html__( '1000', 'LEVELUP' ) => '1000',
                esc_html__( '1100', 'LEVELUP' ) => '1100',
                esc_html__( '1200', 'LEVELUP' ) => '1200',
                esc_html__( '1300', 'LEVELUP' ) => '1300',
                esc_html__( '1400', 'LEVELUP' ) => '1400',
                esc_html__( '1500', 'LEVELUP' ) => '1500',
                esc_html__( '1600', 'LEVELUP' ) => '1600',
                esc_html__( '1700', 'LEVELUP' ) => '1700',
                esc_html__( '1800', 'LEVELUP' ) => '1800',
                esc_html__( '1900', 'LEVELUP' ) => '1900',
                esc_html__( '2000', 'LEVELUP' ) => '2000',
		    ),
		    'dependency' => array(
			    'element' => 'svg_animation',
			    'not_empty' => true,
		    ),
	    ),*/

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'svg_separator',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'dependency' => array(
                'element' => 'svg_animation',
                'not_empty' => true,
            ),
        ),

        /*array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'SVG', 'LEVELUP' ),
            'value' => array(
                esc_html__( 'basic_book_pen.svg', 'LEVELUP' ) => 'basic_book_pen.svg',
                esc_html__( 'basic_world.svg', 'LEVELUP' ) => 'basic_world.svg',
                esc_html__( 'music_recordplayer.svg', 'LEVELUP' ) => 'music_recordplayer.svg',
                esc_html__( 'weather_newmoon.svg', 'LEVELUP' ) => 'weather_newmoon.svg',
            ),
            'param_name' => 'icon_svg',
            'dependency' => array(
	            'element' => 'type',
	            'value' => 'svg',
            ),
        ),*/
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_fontawesome',
            'value' => 'fa fa-adjust', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'fontawesome',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_openiconic',
            'value' => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'openiconic',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'openiconic',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_typicons',
            'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'typicons',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'typicons',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_entypo',
            'value' => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'entypo',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'entypo',
            ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_linecons',
            'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'linecons',
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'linecons',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'LEVELUP' ),
            'param_name' => 'icon_etline',
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => 'etline',
                'iconsPerPage' => 200, // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'etline',
            ),
            'description' => esc_html__( 'Select icon from library.', 'LEVELUP' ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Icon color', 'LEVELUP' ),
            'param_name' => 'color',
            'value' => array_merge( getVcShared( 'colors' ), array( esc_html__( 'Custom color', 'LEVELUP' ) => 'custom' ) ),
            'description' => esc_html__( 'Select icon color.', 'LEVELUP' ),
            'param_holder_class' => 'vc_colored-dropdown',
        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Custom color', 'LEVELUP' ),
            'param_name' => 'custom_color',
            'description' => esc_html__( 'Select custom icon color.', 'LEVELUP' ),
            'dependency' => array(
                'element' => 'color',
                'value' => 'custom',
            ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Background shape', 'LEVELUP' ),
            'param_name' => 'background_style',
            'value' => array(
                esc_html__( 'None', 'LEVELUP' ) => '',
                esc_html__( 'Circle', 'LEVELUP' ) => 'rounded',
                esc_html__( 'Square', 'LEVELUP' ) => 'boxed',
                esc_html__( 'Rounded', 'LEVELUP' ) => 'rounded-less',
                esc_html__( 'Outline Circle', 'LEVELUP' ) => 'rounded-outline',
                esc_html__( 'Outline Square', 'LEVELUP' ) => 'boxed-outline',
                esc_html__( 'Outline Rounded', 'LEVELUP' ) => 'rounded-less-outline',
            ),
            'description' => esc_html__( 'Select background shape and style for icon.', 'LEVELUP' ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Background color', 'LEVELUP' ),
            'param_name' => 'background_color',
            'value' => array_merge( getVcShared( 'colors' ), array( esc_html__( 'Custom color', 'LEVELUP' ) => 'custom' ) ),
            'std' => 'grey',
            'description' => esc_html__( 'Select background color for icon.', 'LEVELUP' ),
            'param_holder_class' => 'vc_colored-dropdown',
            'dependency' => array(
                'element' => 'background_style',
                'not_empty' => true,
            ),
        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Custom background color', 'LEVELUP' ),
            'param_name' => 'custom_background_color',
            'description' => esc_html__( 'Select custom icon background color.', 'LEVELUP' ),
            'dependency' => array(
                'element' => 'background_color',
                'value' => 'custom',
            ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Size', 'LEVELUP' ),
            'param_name' => 'size',
            'value' => array_merge( getVcShared( 'sizes' ), array( 'Extra Large' => 'xl' ) ),
            'std' => 'md',
            'description' => esc_html__( 'Icon size.', 'LEVELUP' ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Icon alignment', 'LEVELUP' ),
            'param_name' => 'align',
            'value' => array(
                esc_html__( 'Left', 'LEVELUP' ) => 'left',
                esc_html__( 'Right', 'LEVELUP' ) => 'right',
                esc_html__( 'Center', 'LEVELUP' ) => 'center',
                esc_html__( 'Inline', 'LEVELUP' ) => 'inline',
            ),
            'description' => esc_html__( 'Select icon alignment.', 'LEVELUP' ),
        ),
        array(
            'type' => 'vc_link',
            'heading' => esc_html__( 'URL (Link)', 'LEVELUP' ),
            'param_name' => 'link',
            'description' => esc_html__( 'Add link to icon.', 'LEVELUP' ),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Animation-direction (on hover)', 'LEVELUP' ),
            'param_name' => 'dir_animation',
            'value' => array(
                esc_html__( 'None', 'LEVELUP' ) => '',
                esc_html__( 'Up', 'LEVELUP' ) => 'up',
                esc_html__( 'Down', 'LEVELUP' ) => 'down',
                esc_html__( 'Left', 'LEVELUP' ) => 'left',
                esc_html__( 'Right', 'LEVELUP' ) => 'right',
            ),
            "description" => esc_html__( "Property animation-direction defines the direction of the animation on hover.", 'LEVELUP' ),
            'std' => '',
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Looping Animation?", 'LEVELUP'),
            "param_name" => "dir_animation_loop",
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true",
            ),
            "description" => esc_html__( "If checked, the animation will be looping.", 'LEVELUP' ),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Two-stage Animation?", 'LEVELUP'),
            "param_name" => "dir_animation_hover",
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true",
            ),
            "description" => esc_html__("This setting defines whether an animation should play in reverse direction when the mouse pointer leaves the selected element.", 'LEVELUP'),
            "dependency" => Array('element' => "dir_animation_loop", 'is_empty' => true),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("CSS Animation", 'LEVELUP'),
            "param_name" => "css_animation",
            "admin_label" => true,
            "value" => levelup_get_vc_animation_options(),
            'description' => esc_html__('Select type of animation for element to be animated when it "enters" the browsers viewport or you can specify delay (Note: works only in modern browsers).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__("Animation Delay (ms)", 'LEVELUP'),
            "param_name" => "transition_delay",
            "admin_label" => true,
            "value" => "",
            'description' => esc_html__('Specify the delay in milliseconds when animation start.', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Restart CSS Animation", 'LEVELUP'),
            'value' => array(esc_html__('Yes', 'LEVELUP') => 'show_video'),
            "param_name" => "css_animation_repeat",
            'description' => esc_html__('If checked, the animation for the element will be restart whenever when it "enters" the browsers viewport (Note: works only in modern browsers).', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'LEVELUP' ),
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__( 'CSS box', 'LEVELUP' ),
            'param_name' => 'css',
            'group' => esc_html__( 'Design Options', 'LEVELUP' ),
        ),
    ),
    'js_view' => 'VcIconElementView_Backend',
) );


/*  Progress Bar
---------------------------------------------------------- */

vc_map( array(
    'name' => esc_html__( 'Progress Bar', 'LEVELUP' ),
    'base' => 'vc_progress_bar',
    'icon' => 'icon-wpb-graph',
    'category' => esc_html__( 'Content', 'LEVELUP' ),
    'description' => esc_html__( 'Animated progress bar', 'LEVELUP' ),
    'params' => array(
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Widget title', 'LEVELUP' ),
            'param_name' => 'title',
            'description' => esc_html__( 'Enter the text that will be used as widget title (Note: located above content element).', 'LEVELUP' )
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__( 'Values', 'LEVELUP' ),
            'param_name' => 'values',
            'description' => esc_html__( 'Enter the values for graph - the value, the title, and color.', 'LEVELUP' ),
            'value' => urlencode( json_encode( array(
                array(
                    'label' => esc_html__( 'Development', 'LEVELUP' ),
                    'value' => '90',
                ),
                array(
                    'label' => esc_html__( 'Design', 'LEVELUP' ),
                    'value' => '80',
                ),
                array(
                    'label' => esc_html__( 'Marketing', 'LEVELUP' ),
                    'value' => '70',
                ),
            ) ) ),
            'params' => array(
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Label', 'LEVELUP' ),
                    'param_name' => 'label',
                    'description' => esc_html__( 'Enter text used as title of bar.', 'LEVELUP' ),
                    'admin_label' => true,
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Value', 'LEVELUP' ),
                    'param_name' => 'value',
                    'description' => esc_html__( 'Enter a value of bar.', 'LEVELUP' ),
                    'admin_label' => true,
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Color', 'LEVELUP' ),
                    'param_name' => 'color',
                    'value' => array(
                            esc_html__( 'Default', 'LEVELUP' ) => ''
                        ) + array(
                            esc_html__( 'Classic Grey', 'LEVELUP' ) => 'bar_grey',
                            esc_html__( 'Classic Blue', 'LEVELUP' ) => 'bar_blue',
                            esc_html__( 'Classic Turquoise', 'LEVELUP' ) => 'bar_turquoise',
                            esc_html__( 'Classic Green', 'LEVELUP' ) => 'bar_green',
                            esc_html__( 'Classic Orange', 'LEVELUP' ) => 'bar_orange',
                            esc_html__( 'Classic Red', 'LEVELUP' ) => 'bar_red',
                            esc_html__( 'Classic Black', 'LEVELUP' ) => 'bar_black',
                        ) + getVcShared( 'colors-dashed' ) + array(
                            esc_html__( 'Custom Color', 'LEVELUP' ) => 'custom'
                        ),
                    'description' => esc_html__( 'Select single bar background color.', 'LEVELUP' ),
                    'admin_label' => true,
                    'param_holder_class' => 'vc_colored-dropdown'
                ),
                array(
                    'type' => 'colorpicker',
                    'heading' => esc_html__( 'Custom color', 'LEVELUP' ),
                    'param_name' => 'customcolor',
                    'description' => esc_html__( 'Select custom single bar background color.', 'LEVELUP' ),
                    'dependency' => array(
                        'element' => 'color',
                        'value' => array( 'custom' )
                    ),
                ),
                array(
                    'type' => 'colorpicker',
                    'heading' => esc_html__( 'Custom text color', 'LEVELUP' ),
                    'param_name' => 'customtxtcolor',
                    'description' => esc_html__( 'Select custom single bar text color.', 'LEVELUP' ),
                    'dependency' => array(
                        'element' => 'color',
                        'value' => array( 'custom' )
                    ),
                ),
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Units', 'LEVELUP' ),
            'param_name' => 'units',
            'description' => esc_html__( 'Enter measurement units (Example: %, px, points, etc. Note: graph value and units will be appended to graph title).', 'LEVELUP' )
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Bar color', 'LEVELUP' ),
            'param_name' => 'bgcolor',
            'value' => array(
                esc_html__( 'Accent', 'LEVELUP' ) => 'accent',
                esc_html__( 'Custom Color', 'LEVELUP' ) => 'custom'
            ),
            'description' => esc_html__( 'Select bar background color.', 'LEVELUP' ),
            'admin_label' => true
        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Bar custom background color', 'LEVELUP' ),
            'param_name' => 'custombgcolor',
            'description' => esc_html__( 'Select custom background color for bars.', 'LEVELUP' ),
            'dependency' => array( 'element' => 'bgcolor', 'value' => array( 'custom' ) ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Value custom color', 'LEVELUP' ),
            'param_name' => 'customtxtcolor',
            'description' => esc_html__( 'Select custom color for value.', 'LEVELUP' ),
            'dependency' => array(
                'element' => 'bgcolor',
                'value' => array( 'custom' )
            ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Animation Speed', 'LEVELUP' ),
            'param_name' => 'animation_speed',
            'description' => esc_html__( 'Enter in milliseconds (e.g. 3 second = 3000 milliseconds).', 'LEVELUP' ),
        ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Options', 'LEVELUP' ),
            'param_name' => 'options',
            'value' => array(
                esc_html__( 'Add stripes', 'LEVELUP' ) => 'striped',
                esc_html__( 'Add animation (Note: visible only with striped bar).', 'LEVELUP' ) => 'animated'
            )
        ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Enable Tips?', 'LEVELUP' ),
            'param_name' => 'tips',
            'value' => array(
                esc_html__( 'Yes', 'LEVELUP' ) => 'true',
            ),
            'dependency' => array( 'element' => 'units', 'not_empty' => true ),
            'description' => esc_html__( 'If checked, tips will be shown.', 'LEVELUP' ),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Tips Background color', 'LEVELUP' ),
            'param_name' => 'tips_color',
            'dependency' => array( 'element' => 'tips', 'value' => array( 'true' ) ),
            'edit_field_class' => 'vc_col-sm-8 vc_column',
            'description' => esc_html__( 'Select Tips Background color.', 'LEVELUP' ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Bar Height', 'LEVELUP' ),
            'param_name' => 'bar_height',
            'description' => esc_html__('Enter bar height in px. E.g. 15', 'LEVELUP'),
        ),

	    array (
		    "type" => "dropdown",
		    "class" => "",
		    "heading" => esc_html__("Border Radius", 'LEVELUP'),
		    "param_name" => "border_radius",
		    "value" => array(
			    "0px" => "",
			    "2px" => "2",
			    "3px" => "3",
			    "4px" => "4",
			    "5px" => "5",
			    "6px" => "6",
			    "7px" => "7",
			    "8px" => "8",
			    "9px" => "9",
			    "10px" => "10",
		    ),
		    'description' => esc_html__( 'Enter border-radius in px. E.g. 6', 'LEVELUP' ),
	    ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Values Position', 'LEVELUP' ),
            'param_name' => 'text_position',
            'value' => array(
                esc_html__( 'Inside Bar', 'LEVELUP' ) => 'inside',
                esc_html__( 'Above Bar', 'LEVELUP' ) => 'top',
                esc_html__( 'Under Bar', 'LEVELUP' ) => 'bottom'
            ),
            'admin_label' => true,
            'description' => esc_html__('Select text position.', 'LEVELUP'),
        ),
        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__( "Font Size", 'LEVELUP' ),
            "param_name" => "birdy_font_size",
            'dependency' => array( 'element' => 'text_position', 'value' => array( 'top', 'bottom' ) )
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__( "Font weight", 'LEVELUP' ),
            "param_name" => "font_weight",
            "value" => $font_weight_array,
            'description' => esc_html__('Select Font weight.', 'LEVELUP'),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'LEVELUP' )
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__( 'CSS box', 'LEVELUP' ),
            'param_name' => 'css',
            'group' => esc_html__( 'Design Options', 'LEVELUP' )
        ),
    )
) );


// Levelup
// =============================================================================

vc_map( array(
    "name" => esc_html__("Anchor", 'LEVELUP'),
    "base" => "menu_anchor",
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/menu-anchor.png",
    "category" => 'by '.'LEVELUP',
    "is_container" => true,
    "params" => array(
        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Anchor Name", 'LEVELUP'),
            "param_name" => "name",
            'description' => esc_html__('Enter the Anchor Name. (Note: make sure it is unique and valid according to w3c specification).', 'LEVELUP'),
        ),
        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Change Point Position", 'LEVELUP'),
            "param_name" => "margin_bottom",
            "std" => "",
            'description' => esc_html__('Insert value in pixels, if you want to change the point position of the anchor. (Moving up)', 'LEVELUP'),
        ),
    )
) );


include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if ( is_plugin_active( 'mailchimp-for-wp/mailchimp-for-wp.php' ) ) {
    require_once dirname(__FILE__) .'/shortcodes/rdy-mc4wp-form.php';
    vc_map(array(
        "name" => esc_html__("MailChimp Form", 'LEVELUP'),
        "base" => "rdy_mc4wp_form",
        "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/subscribe.png",
        "category" => 'by ' . 'LEVELUP',
        "is_container" => false,
        "params" => array(

            array(
                "type" => "textfield",
                "class" => "",
                "heading" => esc_html__("Form Field Width", 'LEVELUP'),
                "param_name" => "width",
                'description' => esc_html__('Specify the width of the form field in pixels. E.g. 300', 'LEVELUP'),
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html__( 'Position', 'LEVELUP' ),
                'param_name' => 'align',
                'value' => array(
                    esc_html__( 'Left', 'LEVELUP' ) => 'left',
                    esc_html__( 'Center', 'LEVELUP' ) => 'center',
                    esc_html__( 'Right', 'LEVELUP' ) => 'right'
                ),
                'description' => esc_html__('Select the position for the form field.', 'LEVELUP'),
            ),

            array(
                "type" => "checkbox",
                "class" => "",
                "heading" => esc_html__("Add Shadow?", 'LEVELUP'),
                "param_name" => "form_shadow",
                "value" => array(
                    "Yes" => "true"
                ),
                'description' => esc_html__('If checked, the shadow will be shown in the form field.', 'LEVELUP'),
            ),

            array(
                'type' => 'rdy_param_heading',
                'param_name' => 'btn1_icon_setting',
                'text' => '',
                'description' => '',
                'value' => '',
                'class' => '',
                'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html__( 'Button Color', 'LEVELUP' ),
                'param_name' => 'button_color',
                'description' => esc_html__('Select button color.', 'LEVELUP'),
                'edit_field_class' => 'vc_col-sm-6 vc_column',
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html__( 'Background Button Color on Hover', 'LEVELUP' ),
                'param_name' => 'button_color_hover',
                'description' => esc_html__('Select hover background color for button.', 'LEVELUP'),
                'edit_field_class' => 'vc_col-sm-6 vc_column',
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html__( 'Button Text Color', 'LEVELUP' ),
                'param_name' => 'text_color',
                'description' => esc_html__('Select button text color.', 'LEVELUP'),
                'edit_field_class' => 'vc_col-sm-6 vc_column',
            ),

            array(
                'type' => 'rdy_param_heading',
                'param_name' => 'btn1_icon_setting',
                'text' => '',
                'description' => '',
                'value' => '',
                'class' => '',
                'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            ),

            array(
                "type" => "textfield",
                "class" => "",
                "heading" => esc_html__("Top Margin", 'LEVELUP'),
                "param_name" => "margin_top",
                'edit_field_class' => 'vc_col-sm-6 vc_column',
                'description' => esc_html__('Enter top margin in pixels. E.g. 60', 'LEVELUP'),
            ),

            array(
                "type" => "textfield",
                "class" => "",
                "heading" => esc_html__("Bottom Margin", 'LEVELUP'),
                "param_name" => "margin_bottom",
                'edit_field_class' => 'vc_col-sm-6 vc_column',
                'description' => esc_html__('Select hover background color for your element.', 'LEVELUP'),
                'description' => esc_html__('Enter bottom margin in pixels. E.g. 60', 'LEVELUP'),
            ),
        )
    ));
}


/**
 * Visual Composer extensions.
 *
 */

/*  Portfolio
---------------------------------------------------------- */

vc_map( array(
    "name" => esc_html__("Portfolio", 'LEVELUP'),
    "base" => "rdy_portfolio",
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/portfolio.png",
    "category" => 'by '.'LEVELUP',
    "allowed_container_element" => 'vc_row',
    "params" => array(
        array(
            "type" => "br_taxonomy",
            "class" => "",
            "heading" => esc_html__("Category", 'LEVELUP'),
            "param_name" => "category",
            "admin_label" => true,
            "taxonomy" => "rdy_portfolio_category",
			'description' => esc_html__('Note: By default, all your projects will be displayed.<br /> If you want to narrow output, select category(s) above. Only selected categories will be displayed.', 'LEVELUP'),
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Types", 'LEVELUP'),
            "param_name" => "type",
            'options' => array(
                'grid' => array(
                    'title' => 'Grid',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/type_grid.png",
                ),
                'masonry' => array(
                    'title' => 'Masonry',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/type_masonry.png",
                ),
                'grid_adv' => array(
                    'title' => 'Mosaic',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/type_mosaic.png",
                ),
                'height' => array(
                    'title' => 'Single-column',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/type_single.png",
                ),
                'animation1' => array(
                    'title' => 'Floating items',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/type_floating.gif",
                )
            ),
            'description' => esc_html__('Select display style for the grid.', 'LEVELUP'),
            "std" => "grid",
        ),

        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Portfolio Item Height (or min height)", 'LEVELUP'),
            "param_name" => "item_height",
            "value" => "",
            "dependency" => Array('element' => "type", 'value' => array('height')),
            'description' => wp_kses( __('Enter a height for the Single-column Portfolio Item in pixels. E.g. 300 <strong>Important!</strong> When using the Dynamic Height this setting will serve as the minimal height.', 'LEVELUP'), array( 'strong' => array() ) ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Portfolio Item Dynamic Height (Optional)", 'LEVELUP'),
            "param_name" => "item_dynamic_height",
            "value" => "",
            "dependency" => Array('element' => "type", 'value' => array('height')),
            'description' => esc_html__('Enter a height for the Single-column Portfolio Item in percent.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Mosaic Layouts", 'LEVELUP'),
            "param_name" => "adv_pattern",
            'options' => array(
                '1' => array(
                    'title' => 'Mosaic One',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/mosaic_layout_01.png",
                ),
                '2' => array(
                    'title' => 'Mosaic Two',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/mosaic_layout_02.png",
                ),
                '3' => array(
                    'title' => 'Mosaic Three',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/mosaic_layout_03.png",
                ),
                '4' => array(
                    'title' => 'Mosaic Four',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/mosaic_layout_04.png",
                ),
                '5' => array(
                    'title' => 'Mosaic Five',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/mosaic_layout_05.png",
                ),
            ),
            "std" => "1",
            'description' => esc_html__('Select Mosaic Layout.', 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('grid_adv',)),
        ),
        /*array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Mosaic Style Layouts", 'LEVELUP'),
            "param_name" => "adv_pattern",
            "value" => array(
                "Mosaic Layout One" => "1",
                "Mosaic Layout Two" => "2",
                "Mosaic Layout Three" => "3",
                "Mosaic Layout Four" => "4",
                "Mosaic Layout Five" => "5",
            ),
            'description' => sprintf( esc_html__('Select Mosaic Style Layouts. <a href="%s" target="_blank">Details in the online documentation.</a>', 'LEVELUP'), 'http://www.puzzlerbox.com' ),
            "dependency" => Array('element' => "type", 'value' => array('grid_adv',)),
        ),*/

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Grid elements per row", 'LEVELUP'),
            "param_name" => "columns",
            "value" => array(
                "2" => "2",
                "3" => "3",
                "4" => "4",
                "6" => "6",
            ),
            'description' => esc_html__('Select number of single grid elements per row.', 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('masonry', 'grid'))
        ),

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Gap", 'LEVELUP'),
            "param_name" => "gutter",
            "value" => array(
                "0px" => "",
                "1px" => "1",
                "4px" => "2",
                "6px" => "3",
                "10px" => "5",
                "20px" => "10",
                "30px" => "15",
                "40px" => "20",
                "50px" => "25",
                "60px" => "30",
                "90px" => "45",
            ),
            'description' => esc_html__('Select gap between grid elements.', 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('masonry', 'grid', 'grid_adv', 'height'))
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Square Shape?", 'LEVELUP'),
            "param_name" => "square_image",
            "value" => array(
                "Yes" => "true"
            ),
            "dependency" => Array('element' => "type", 'value' => array('grid',)),
			'description' => esc_html__('If checked, all project images in the listing will be displayed as a square.', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Gallery Mode?", 'LEVELUP'),
            "param_name" => "gallery",
            "value" => array(
                "Yes" => "true"
            ),
            'description' => esc_html__('If checked, your portfolio will be opened as a gallery.', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("High-resolution Image?", 'LEVELUP'),
            "param_name" => "large_image",
            'description' => esc_html__('If checked, all project images in the listing will be use high-resolution image (original image).', 'LEVELUP'),
            "value" => array(
                "Yes" => "true"
            ),
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Hover Effects", 'LEVELUP'),
            "param_name" => "hover_type",
            'options' => array(
                '1' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/hover_01.gif",
                ),
                '2' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/hover_02.gif",
                ),
                '3' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/hover_03.gif",
                ),
                '4' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/hover_04.gif",
                ),
                '5' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/hover_05.gif",
                ),
                '6' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/hover_06.gif",
                ),
                '10' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/hover_10.gif",
                ),
                '11' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/hover_11.gif",
                ),
            ),
            'group' => esc_html__('Hover', 'LEVELUP'),
            "std" => "1",
            'description' => wp_kses( __('Select Hover Effect. <br /><strong>Important!</strong> Hover Seven, Eight + Visible Title, the titles in the Mosaic Style not displayed.', 'LEVELUP'), array( 'strong' => array(), 'br' => array() ) ),
            "dependency" => Array('element' => "type", 'value' => array('masonry', 'grid', 'grid_adv', 'animation1'))
        ),

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Show filter", 'LEVELUP'),
            "param_name" => "filter",
            "value" => array(
                esc_html__("No", 'LEVELUP') => "",
                esc_html__("Dark", 'LEVELUP') => "dark",
                esc_html__("Light", 'LEVELUP') => "light",
            ),
            'description' => esc_html__('Append filter to grid.', 'LEVELUP'),
            'group' => esc_html__('Filter', 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('masonry', 'grid',))
        ),
        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Filter Alignment", 'LEVELUP'),
            "param_name" => "filter_align",
            "value" => array(
                esc_html__("Left", 'LEVELUP') => "left",
                esc_html__("Center", 'LEVELUP') => "center",
                esc_html__("Right", 'LEVELUP') => "right",
            ),
            'description' => esc_html__('Select Portfolio Filter Alignment.', 'LEVELUP'),
            "dependency" => Array('element' => "filter", 'value' => array('dark', 'light')),
            'group' => esc_html__('Filter', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),

        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Filter Margin Top", 'LEVELUP'),
            "param_name" => "filter_margin_top",
            "value" => "25",
            "dependency" => Array('element' => "filter", 'value' => array('dark', 'light')),
            'description' => esc_html__('Enter Margin Top in pixels. Eg. 25', 'LEVELUP'),
            'group' => esc_html__('Filter', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),
        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Filter Bottom Margin", 'LEVELUP'),
            "param_name" => "filter_margin_bottom",
            "value" => "25",
            "dependency" => Array('element' => "filter", 'value' => array('dark', 'light')),
            'description' => esc_html__('Enter bottom margin in pixels. Eg. 25', 'LEVELUP'),
            'group' => esc_html__('Filter', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),


        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Hover", 'LEVELUP'),
            "param_name" => "filter_animation",
            'options' => array(
                '' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/filter_01.gif",
                ),
                'anim-1' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/filter_02.gif",
                ),
                'anim-2' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/filter_03.gif",
                ),
            ),
            'description' => sprintf( esc_html__('Select the style of the animation when you hover on the Category Filter.', 'LEVELUP'), 'http://www.puzzlerbox.com' ),
            "dependency" => Array('element' => "filter", 'value' => array('dark', 'light')),
            'group' => esc_html__('Filter', 'LEVELUP'),
            'std' => ''
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Loading Effects for Grid Items", 'LEVELUP'),
            "param_name" => "items_animation",
            'options' => array(
                '' => array(
                    'title' => 'Disable',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/hide.png",
                ),
                'fadeIn' => array(
                    'title' => 'Fade-in',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/grid/fade_in.gif",
                ),
                'slideUpBigIn' => array(
                    'title' => 'Slide Up',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/grid/slide_up.gif",
                ),
                'expandIn' => array(
                    'title' => 'Expand',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/grid/expand.gif",
                ),
            ),
            'group' => esc_html__('Grid', 'LEVELUP'),
            'description' => esc_html__('Select display types for a Loading Effects for Grid Items.', 'LEVELUP'),
            'std' => ''
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Displaying Items Sequentially?", 'LEVELUP'),
            "param_name" => "items_animation_queue",
            'description' => '',
            "value" => array(
                "Yes" => "true"
            ),
            "dependency" => Array('element' => "items_animation", 'not_empty' => true),
            'group' => esc_html__('Grid', 'LEVELUP'),
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Type", 'LEVELUP'),
            "param_name" => "height_hover_type",
            'options' => array(
                '' => array(
                    'title' => 'None',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/single_hover_00.gif",
                ),
                'zoom_in' => array(
                    'title' => 'Zoom In',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/single_hover_01.gif",
                ),
                'zoom_out' => array(
                    'title' => 'Zoom Out',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/single_hover_02.gif",
                ),
                'zoom_in_title' => array(
                    'title' => 'Zoom In + Title',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/single_hover_03.gif",
                ),
                'zoom_out_title' => array(
                    'title' => 'Zoom Out + Title',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/single_hover_04.gif",
                ),
                'fade_in' => array(
                    'title' => 'Title Fade In',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/single_hover_05.gif",
                ),
                'fade_out' => array(
                    'title' => 'Title Fade Out',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/single_hover_06.gif",
                ),
            ),
            'group' => esc_html__('Hover', 'LEVELUP'),
            'description' => esc_html__('Select Hover Effect for Single-column Portfolio Items.', 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('height')),
            'std' => ''
        ),
        /*array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Hover Effects", 'LEVELUP'),
            "param_name" => "height_hover_type",
            "value" => array(
                esc_html__("None", 'LEVELUP') => "",
                esc_html__("Zoom In", 'LEVELUP') => "zoom_in",
                esc_html__("Zoom Out", 'LEVELUP') => "zoom_out",
                esc_html__("Zoom In + Title", 'LEVELUP') => "zoom_in_title",
                esc_html__("Zoom Out + Title", 'LEVELUP') => "zoom_out_title",
                esc_html__("Title Fade In", 'LEVELUP') => "fade_in",
                esc_html__("Title Fade Out", 'LEVELUP') => "fade_out",
            ),
            'group' => esc_html__('Hover Effects', 'LEVELUP'),
            'description' => esc_html__('Select Hover Effect for Single-column Portfolio Items.', 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('height'))
        ),*/
        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Hover Speed", 'LEVELUP'),
            "param_name" => "height_hover_speed",
            "value" => array(
                esc_html__("Fast", 'LEVELUP') => "fast",
                esc_html__("Slow", 'LEVELUP') => "slow",
            ),
            'group' => esc_html__('Hover', 'LEVELUP'),
            'description' => '',
            "dependency" => Array('element' => "height_hover_type", 'value' => array('zoom_in', 'zoom_in_title'))
        ),
        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Item Content Vertical Alignment", 'LEVELUP'),
            "param_name" => "caption_valign",
            "value" => array(
                esc_html__("Top", 'LEVELUP') => "",
                esc_html__("Middle", 'LEVELUP') => "middle",
                esc_html__("Bottom", 'LEVELUP') => "bottom",
            ),
            'group' => esc_html__('Hover', 'LEVELUP'),
            'description' => esc_html__('Select the vertical alignment of the content.', 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('height')),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),
        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Item Content Horizontal Alignment", 'LEVELUP'),
            "param_name" => "height_content_align",
            "value" => array(
                esc_html__("Left", 'LEVELUP') => "left",
                esc_html__("Center", 'LEVELUP') => "center",
                esc_html__("Right", 'LEVELUP') => "right",
            ),
            "description" => esc_html__("Select the horizontal alignment of the content.", 'LEVELUP'),
            "dependency" => Array('element' => "type", 'value' => array('height',)),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),
        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Content Alignment", 'LEVELUP'),
            "param_name" => "content_align",
            "value" => array(
                esc_html__("Left", 'LEVELUP') => "left",
                esc_html__("Center", 'LEVELUP') => "center",
                esc_html__("Right", 'LEVELUP') => "right",
            ),
            'group' => esc_html__('Hover', 'LEVELUP'),
            "description" => esc_html__("Select alignment of the content.", 'LEVELUP'),
            "dependency" => Array('element' => "hover_type", 'value' => array('10','11',)),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Hover Color", 'LEVELUP'),
            "param_name" => "hover_color",
            "value" => "",
            'group' => esc_html__('Hover', 'LEVELUP'),
            'description' => esc_html__('Select Overlay Color on hover.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),
		array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Hover Opacity - Start", 'LEVELUP'),
            "param_name" => "hover_opacity_from",
            "value" => "0",
            'group' => esc_html__('Hover', 'LEVELUP'),
            'description' => esc_html__('Enter the value of color overlay opacity (%). From 0 to 100 percent. Eg. 75. Important! It does not work in the sixth hover effect.', 'LEVELUP'),
			'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),
        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Hover Opacity - End", 'LEVELUP'),
            "param_name" => "hover_opacity",
            "value" => "100",
            'group' => esc_html__('Hover', 'LEVELUP'),
            'description' => esc_html__('Enter the value of color overlay opacity (%). From 0 to 100 percent. Eg. 75. Important! It does not work in the sixth hover effect.', 'LEVELUP'),
			'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),


        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Item Border", 'LEVELUP'),
            "param_name" => "active_border",
            'options' => array(
                '' => array(
                    'title' => 'Disable',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/hide.png",
                ),
                'static' => array(
                    'title' => 'Static',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/boder_static.png",
                ),
                'fade' => array(
                    'title' => 'Fade In/Out',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/border_fade.gif",
                ),
                'animation' => array(
                    'title' => 'Movement Inside',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio/boder_movement.gif",
                ),
            ),
            'group' => esc_html__('Border', 'LEVELUP'),
            'description' => esc_html__('Select display types for a border.', 'LEVELUP'),
            'std' => ''
        ),

        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Item Border Width", 'LEVELUP'),
            "param_name" => "active_border_width",
            "value" => "5",
            'description' => esc_html__('Enter Item Border Width in pixels. Default 5px.', 'LEVELUP'),
            "dependency" => array("element" => "active_border", 'not_empty' => true),
            'edit_field_class' => 'vc_col-sm-8 vc_column',
            'group' => esc_html__('Border', 'LEVELUP')
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Item Border Color", 'LEVELUP'),
            "param_name" => "active_border_color",
            "value" => "#000",
            "dependency" => array("element" => "active_border", 'not_empty' => true),
            'description' => esc_html__('Select border color.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'group' => esc_html__('Border', 'LEVELUP')
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Hide Title?", 'LEVELUP'),
            "param_name" => "hide_title",
            "value" => array(
                "Yes" => "true"
            ),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'group' => esc_html__('Hover', 'LEVELUP'),
            'description' => esc_html__('If checked, the titles will be hidden.', 'LEVELUP'),
            "dependency" => Array('element' => "hover_type", 'value' => array('1','2','3','4','5',)),
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Hide Subtitle?", 'LEVELUP'),
            "param_name" => "hide_subtitle",
            "value" => array(
                "Yes" => "true"
            ),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'group' => esc_html__('Hover', 'LEVELUP'),
            'description' => esc_html__('If checked, the subtitles will be hidden.', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Use Custom Font Size & Color?", 'LEVELUP'),
            "param_name" => "use_custom_font",
            "value" => array(
                "Yes" => "true"
            ),
            'group' => esc_html__('Hover', 'LEVELUP'),
            'description' => esc_html__('If checked, you can use a custom font size and color.', 'LEVELUP'),
        ),

        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Title Font Size", 'LEVELUP'),
            "param_name" => "title_fontsize",
            "value" => "",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'group' => esc_html__('Hover', 'LEVELUP'),
            "dependency" => Array('element' => "use_custom_font", 'not_empty' => true),
            'description' => esc_html__('Enter Font Size in pixels. E.g. 30', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Title Font Color", 'LEVELUP'),
            "param_name" => "title_font_color",
            "value" => "",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            "dependency" => array("element" => "use_custom_font", 'not_empty' => true),
            'description' => esc_html__('Select font color.', 'LEVELUP'),
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array (
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Subtitle Font Size", 'LEVELUP'),
            "param_name" => "subtitle_fontsize",
            "value" => "",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'group' => esc_html__('Hover', 'LEVELUP'),
            "dependency" => Array('element' => "use_custom_font", 'not_empty' => true),
            'description' => esc_html__('Enter Font Size in pixels. E.g. 12', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Subtitle Font Color", 'LEVELUP'),
            "param_name" => "subtitle_font_color",
            "value" => "",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            "dependency" => array("element" => "use_custom_font", 'not_empty' => true),
            'description' => esc_html__('Select font color.', 'LEVELUP'),
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Title Shadow", 'LEVELUP'),
            "param_name" => "text_shadow",
            "value" => array(
                esc_html__("None", 'LEVELUP') => "",
                esc_html__("Shadow One", 'LEVELUP') => "shadow1",
                esc_html__("Shadow Two", 'LEVELUP') => "shadow2",
                esc_html__("Shadow Three", 'LEVELUP') => "shadow3",
            ),
            "dependency" => Array('element' => "type", 'value' => array('height')),
            'description' => esc_html__('Select pre-made Shadow Style for the Title.', 'LEVELUP'),
            'group' => esc_html__('Hover', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Selected / Exclude Items", 'LEVELUP'),
            "param_name" => "select_items",
            "value" => array(
                esc_html__("None", 'LEVELUP') => "",
                esc_html__("Selected Items", 'LEVELUP') => "select",
                esc_html__("Exclude Items", 'LEVELUP') => "exclude",
            ),
            'description' => esc_html__('If you want to narrow the output, select the method.', 'LEVELUP'),
        ),

        array (
            "type" => "rdy_postlist",
            "class" => "",
            "heading" => esc_html__("Items", 'LEVELUP'),
            "param_name" => "ids",
            "value" => "",
            "dependency" => Array('element' => "select_items", 'not_empty' => true),
            'description' => esc_html__('Select the items from a list. Only selected items will be displayed or not.', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Items Per Page", 'LEVELUP'),
            "param_name" => "number",
            "std" => "10",
            'description' => esc_html__('Set a limit for the number of items per page. Default 10.', 'LEVELUP'),
        ),
		array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Pagination?", 'LEVELUP'),
            "param_name" => "pagination",
            "value" => array(
                esc_html__("No", 'LEVELUP') => "no",
                esc_html__("Classic", 'LEVELUP') => "yes",
//                esc_html__("Load more button", 'LEVELUP') => "more",
//                esc_html__("Infinite", 'LEVELUP') => "infinite",
            ),
            'description' => esc_html__('Enable pagination for this portfolio.', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Pagination Button Color", 'LEVELUP'),
            "param_name" => "pagination_button_color",
            "value" => "#919191",
            "dependency" => array("element" => "pagination", 'value' => array('more')),
            'description' => esc_html__('Select button color.', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'LEVELUP' )
        ),

    )

) );


/*  Portfolio List
---------------------------------------------------------- */

vc_map( array(
    "name" => esc_html__("Portfolio List", 'LEVELUP'),
    "base" => "rdy_portfolio_list",
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/portfolio_list.png",
    "category" => 'by '.'LEVELUP',
    "allowed_container_element" => 'vc_row',
    "params" => array(
        array(
            "type" => "br_taxonomy",
            "class" => "",
            "heading" => esc_html__("Category", 'LEVELUP'),
            "param_name" => "category",
            "admin_label" => true,
            "taxonomy" => "rdy_portfolio_category",
			'description' => esc_html__('Note: By default, all your projects will be displayed.<br /> If you want to narrow output, select category(s) above. Only selected categories will be displayed.', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Hover Color", 'LEVELUP'),
            "param_name" => "list_hover_color",
            "value" => "",
            'description' => esc_html__('Set the hover color.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-5 vc_column',
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Background Hover Color", 'LEVELUP'),
            "param_name" => "list_hover_bgcolor",
            "value" => "",
            'description' => esc_html__('Set the background color on hover.', 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-7 vc_column',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Alignment", 'LEVELUP'),
            "param_name" => "align",
            "value" => array(
                esc_html__("Left", 'LEVELUP') => "",
                esc_html__("Center", 'LEVELUP') => "center",
                esc_html__("Right", 'LEVELUP') => "right",
            ),
            'description' => esc_html__('Select items alignment.', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("List Item Left Padding", 'LEVELUP'),
            "param_name" => "list_padding_left",
            "std" => "",
            'description' => esc_html__('You can use left padding to push the list items to the right. Enter a value in pixels. E.g. 10', 'LEVELUP'),
            "dependency" => array("element" => "align", 'value' => array('')),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Top/Bottom Padding", 'LEVELUP'),
            "param_name" => "list_padding",
            "std" => "",
            'description' => esc_html__('You can add padding to the top and bottom of the list item. Enter a value in pixels. E.g. 10', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Add Dividers?", 'LEVELUP'),
            "param_name" => "divider",
            'description' => esc_html__('If checked, the dividers between items will be added.', 'LEVELUP'),
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true",
            ),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Dividers Thickness", 'LEVELUP'),
            "param_name" => "list_divider_size",
            "std" => "1",
            'description' => esc_html__('Set the divider thickness in pixels. E.g. 2', 'LEVELUP'),
            "dependency" => array("element" => "divider", 'not_empty' => true),
            'edit_field_class' => 'vc_col-sm-7 vc_column'
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Dividers Color", 'LEVELUP'),
            "param_name" => "list_divider_color",
            "value" => "#000",
            'description' => esc_html__('Set the dividers color.', 'LEVELUP'),
            "dependency" => array("element" => "divider", 'not_empty' => true),
            'edit_field_class' => 'vc_col-sm-5 vc_column'
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

	    array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Selected / Exclude Items", 'LEVELUP'),
            "param_name" => "select_items",
            "value" => array(
                esc_html__("None", 'LEVELUP') => "",
                esc_html__("Selected Items", 'LEVELUP') => "select",
                esc_html__("Exclude Items", 'LEVELUP') => "exclude",
            ),
            'description' => esc_html__('If you want to narrow the output, select the method.', 'LEVELUP'),
        ),

        array (
            "type" => "rdy_postlist",
            "class" => "",
            "heading" => esc_html__("Items", 'LEVELUP'),
            "param_name" => "ids",
            "value" => "",
            "dependency" => Array('element' => "select_items", 'not_empty' => true),
            'description' => esc_html__('Select the items from a list. Only selected items will be displayed or not.', 'LEVELUP'),
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Loading Effects for Items", 'LEVELUP'),
            "param_name" => "items_animation",
            'options' => array(
                '' => array(
                    'title' => 'Disable',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/hide.png",
                ),
                'slideLeftIn' => array(
                    'title' => 'Left to Right',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio_list/plist_01.gif",
                ),
                'slideUpIn' => array(
                    'title' => 'Slide Up',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio_list/plist_02.gif",
                ),
                'fadeIn' => array(
                    'title' => 'Fade-in',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_portfolio_list/plist_03.gif",
                ),
            ),
            'description' => esc_html__('Select display types for a Loading Effects for Items.', 'LEVELUP'),
            'group' => esc_html__('Loading Effects', 'LEVELUP'),
            "std" => "",
        ),


        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'LEVELUP' )
        ),

    )

) );


/*  Team
---------------------------------------------------------- */

vc_map( array(
    "name" => esc_html__("Team", 'LEVELUP'),
    "base" => 'rdy_team',
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/team.png",
    "class" => "vc_sc_team",
    "category" => 'by '.'LEVELUP',
    "params" => array(
        array(
            "type" => "br_taxonomy",
            "taxonomy" => "rdy_team_category",
            "class" => "",
            "heading" => esc_html__("Categories", 'LEVELUP'),
            "param_name" => "category",
            "admin_label" => true,
			'description' => esc_html__('Note: By default, all your team will be displayed. If you want to narrow output, select category(s) above. Only selected categories will be displayed.', 'LEVELUP'),
        ),

	    array (
		    "type" => "rdy_img_set",
		    "class" => "",
		    "heading" => esc_html__("Display Style", 'LEVELUP'),
		    "param_name" => "type",
		    'options' => array(
			    '' => array(
				    'title' => 'Boxes',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_latest_post/position_03.png",
			    ),
			    'carousel' => array(
				    'title' => 'Carousel',
				    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_latest_post/position_04.png",
			    ),
		    ),
		    "std" => "",
		    'description' => esc_html__('Select display style.', 'LEVELUP'),
	    ),


	    array(
		    "type" => "dropdown",
		    "class" => "",
		    "heading" => esc_html__("Animation Type", 'LEVELUP'),
		    "param_name" => "carousel_appear",
		    "value" => array(
			    esc_html__("- Select -", 'LEVELUP') => "",
                esc_html__("Fade In", 'LEVELUP') => "alpha-anim",
			    esc_html__("Left to Right", 'LEVELUP') => "left-t-right",
			    esc_html__("Right to Left", 'LEVELUP') => "right-t-left",
			    esc_html__("Bottom to Top", 'LEVELUP') => "bottom-t-top",
			    esc_html__("Zoom In", 'LEVELUP') => "zoom-in",
			    esc_html__("Zoom Out", 'LEVELUP') => "zoom-out",
                esc_html__("Top to Bottom", 'LEVELUP') => "top-t-bottom",

		    ),
		    "dependency" => array(
			    'element' => "type",
			    'value' => array('carousel')
		    ),
		    'description' => esc_html__('Choose the animation type when the object enters the visible area.', 'LEVELUP'),
            'group' => esc_html__('Animation', 'LEVELUP'),
	    ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'team_001',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            "dependency" => array(
                'element' => "type",
                'value' => array('carousel')
            ),
        ),

	    array(
		    "type" => "checkbox",
		    "heading" => esc_html__("Show Dots Navigation?", 'LEVELUP'),
		    "param_name" => "carousel_dots",
		    "value" => array(
			    "Yes" => "true",
		    ),
		    "dependency" => array(
			    'element' => "type",
			    'value' => array('carousel')
		    ),
		    'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

	    array(
		    "type" => "checkbox",
		    "heading" => esc_html__("Autoslide?", 'LEVELUP'),
		    "param_name" => "autoplay",
		    "value" => array(
			    "Yes" => "true",
		    ),
		    "dependency" => array(
			    'element' => "type",
			    'value' => array('carousel')
		    ),
		    'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

	    array(
		    "type" => "textfield",
		    "heading" => esc_html__("Autoslide Timeout", 'LEVELUP'),
		    "param_name" => "autoplay_timeout",
		    "value" => "2500",
		    "description" => esc_html__("Enter a value in milliseconds, this parameter indicates the delay time before the logotypes shift in the slider.", 'LEVELUP'),
		    "dependency" => array(
			    'element' => "autoplay",
			    'not_empty' => true
		    ),
		    'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

	    array(
		    "type" => "textfield",
		    "heading" => esc_html__("Speed", 'LEVELUP'),
		    "param_name" => "animation_speed",
		    "value" => "1000",
		    "description" => esc_html__("Enter a value in milliseconds, using this setting you set up the sliding speed of logotypes in the slider.", 'LEVELUP'),
		    "dependency" => array(
			    'element' => "autoplay",
			    'not_empty' => true
		    ),
		    'edit_field_class' => 'vc_col-sm-6 vc_column',
	    ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'team_001',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            "dependency" => array(
                'element' => "type",
                'value' => array('carousel')
            ),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Grid elements per row", 'LEVELUP'),
            "param_name" => "columns",
            "value" => array(
                "6" => "6",
                "5" => "5",
                "4" => "4",
                "3" => "3",
                "2" => "2",
                "1" => "1"
            ),
            "std" => "4",
            'description' => esc_html__('Select number of single grid elements per row.', 'LEVELUP'),
        ),

        array (
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Gap", 'LEVELUP'),
            "param_name" => "padding",
            "value" => array(
                "0px" => "",
                "1px" => "1",
                "4px" => "2",
                "6px" => "3",
                "10px" => "5",
                "20px" => "10",
                "30px" => "15",
                "40px" => "20",
                "50px" => "25",
            ),
            'description' => esc_html__('Select gap between grid elements.', 'LEVELUP'),
        ),

        array (
            "type" => "rdy_img_set",
            "class" => "",
            "heading" => esc_html__("Team Member Style", 'LEVELUP'),
            "param_name" => "hover",
            'options' => array(
                '' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_team/style_01.png",
                ),
                'style1' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_team/style_02.gif",
                ),
                'style2' => array(
                    'title' => '',
                    'src' => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/presets/rdy_team/style_03.gif",
                ),
            ),
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
            'description' => esc_html__('Select the style for your team members.', 'LEVELUP'),
            "std" => "",
        ),

	    array(
		    "type" => "colorpicker",
		    "class" => "",
		    "heading" => esc_html__("Overlay Color - First", 'LEVELUP'),
		    "param_name" => "overlay_color",
		    "value" => "",
		    'edit_field_class' => 'vc_col-sm-6 vc_column',
		    'description' => esc_html__('If only one color is selected, it would be a solid color background.', 'LEVELUP'),
		    'group' => esc_html__('Overlay', 'LEVELUP'),
		    "dependency" => Array('element' => "hover", 'value' => array('color', 'style1')),
		    'group' => esc_html__('Team Member Style', 'LEVELUP'),
	    ),

	    array(
		    "type" => "colorpicker",
		    "class" => "",
		    "heading" => esc_html__("Overlay Color - Second", 'LEVELUP'),
		    "param_name" => "overlay_color2",
		    "value" => "",
		    'edit_field_class' => 'vc_col-sm-6 vc_column',
		    'description' => esc_html__('If both colors are selected (First & Second), it would be a gradient background.', 'LEVELUP'),
		    'group' => esc_html__('Overlay', 'LEVELUP'),
		    "dependency" => Array('element' => "hover", 'value' => array('style1')),
		    'group' => esc_html__('Team Member Style', 'LEVELUP'),
	    ),

	    array (
		    "type" => "textfield",
		    "class" => "",
		    "heading" => esc_html__("Overlay Opacity", 'LEVELUP'),
		    "param_name" => "overlay_opacity",
		    "value" => "50",
		    'description' => esc_html__('Enter a value of color overlay opacity (%). From 0 to 100 percent. Eg. 75', 'LEVELUP'),
		    "dependency" => Array('element' => "hover", 'value' => array('style1')),
		    'group' => esc_html__('Team Member Style', 'LEVELUP'),
	    ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting_101',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'dependency' => Array('element' => 'hover', 'value' => array('style1')),
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Text Color Scheme', 'LEVELUP' ),
            'param_name' => 'text_color',
            'description' => esc_html__('Select a color scheme for text.', 'LEVELUP'),
            "value" => array(
                esc_html__("Default", 'LEVELUP') => "",
                esc_html__("Dark", 'LEVELUP') => "dark",
                esc_html__("Light", 'LEVELUP') => "light"
            ),
            'dependency' => array(
                'element' => 'hover',
                'value' => array( '', 'style1' )
            ),
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting_102',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
            "dependency" => Array('element' => "hover", 'value' => array('', 'style1')),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Display Style", 'LEVELUP'),
            "param_name" => "images_sizing",
            "value" => array(
                "Original Proportions" => "original",
                "Square" => "square",
                "Circle" => "round"
            ),
            "dependency" => Array('element' => "hover", 'value' => array('')),
            'description' => esc_html__('Select display image style for your team members.', 'LEVELUP'),
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting_103',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
            "dependency" => Array('element' => "hover", 'value' => array('')),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Font Size - Name", 'LEVELUP'),
            "param_name" => "title_fontsize",
            "value" => "20",
			'description' => esc_html__('Enter a value for Name Font Size in pixels. By default 20.', 'LEVELUP'),
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Font Size - Job Position", 'LEVELUP'),
            "param_name" => "subtitle_fontsize",
            "value" => "12",
			'description' => esc_html__('Enter a value for Job Position Font Size in pixels. Default 12.', 'LEVELUP'),
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Separator", 'LEVELUP'),
            "param_name" => "separator",
            "value" => array(
                esc_html__("Disable", 'LEVELUP') => "",
                esc_html__("After Name", 'LEVELUP') => "title",
                esc_html__("After Job Position", 'LEVELUP') => "job"
            ),
            "dependency" => Array('element' => "hover", 'value' => array('', 'style1')),
            'description' => esc_html__('Select the position of the separator.', 'LEVELUP'),
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

		array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Separator thickness", 'LEVELUP'),
            "param_name" => "separator_thickness",
            "value" => "1",
            "dependency" => Array('element' => "separator", 'value' => array('title', 'job')),
			'description' => esc_html__('Enter Separator thickness in pixels. E.g. 3. By default 1.', 'LEVELUP'),
            'group' => esc_html__('Team Member Style', 'LEVELUP'),

        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Separator width", 'LEVELUP'),
            "param_name" => "separator_width",
            "value" => "50",
            "dependency" => Array('element' => "separator", 'value' => array('title', 'job')),
			'description' => esc_html__('Enter Separator width in pixels. E.g. 60. By default 50.', 'LEVELUP'),
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting_005',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            "dependency" => Array('element' => "hover", 'value' => array('', 'style1')),
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("On hover", 'LEVELUP'),
            "param_name" => "animation_icon",
            "value" => array(
                esc_html__("None", 'LEVELUP') => "",
                esc_html__("Email", 'LEVELUP') => "email",
                esc_html__("Facebook", 'LEVELUP') => "facebook",
                esc_html__("Custom", 'LEVELUP') => "custom",
            ),
            "dependency" => Array('element' => "animation_border", 'value' => array('')),
            'description' => esc_html__('When on hover the selected item is animated (zoom in).', 'LEVELUP'),
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting_004',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            "dependency" => Array('element' => "animation_border", 'value' => array('')),
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Horizontal Content Alignment ", 'LEVELUP'),
            "param_name" => "align",
            "value" => array(
                esc_html__("Left", 'LEVELUP') => "",
                esc_html__("Center", 'LEVELUP') => "center",
                esc_html__("Right", 'LEVELUP') => "right",
                esc_html__("Justify", 'LEVELUP') => "justify",
            ),
            'description' => esc_html__('Select content alignment horizontally.', 'LEVELUP'),
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
            'std' => "center",
        ),

		array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Vertical Content Alignment", 'LEVELUP'),
            "param_name" => "content_valign",
            "value" => array(
                esc_html__("Top", 'LEVELUP') => "top",
                esc_html__("Middle", 'LEVELUP') => "middle",
                esc_html__("Bottom", 'LEVELUP') => "bottom"
            ),
            "dependency" => Array('element' => "hover", 'value' => array('style1')),
			'description' => esc_html__('Select content alignment vertically.', 'LEVELUP'),
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
            'std' => "middle",
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Show Link Icon?", 'LEVELUP'),
            "param_name" => "link_icon",
            'description' => esc_html__('If check the Icon Link will be displayed if there is a page of detail information.', 'LEVELUP'),
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true",
            ),
			'edit_field_class' => 'vc_col-sm-4 vc_column',
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Show Description?", 'LEVELUP'),
            "param_name" => "show_excerpts",
            'description' => esc_html__('If checked, Description will be displayed.', 'LEVELUP'),
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true",
            ),
            "dependency" => Array('element' => "hover", 'value' => array('', 'style1')),
			'edit_field_class' => 'vc_col-sm-4 vc_column',
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Show Socials Icons?", 'LEVELUP'),
            "param_name" => "socials",
            'description' => esc_html__('If checked, Social Icons will be displayed.', 'LEVELUP'),
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true",
            ),
            "dependency" => Array('element' => "hover", 'value' => array('', 'style1')),
			'edit_field_class' => 'vc_col-sm-4 vc_column',
            'group' => esc_html__('Team Member Style', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Border", 'LEVELUP'),
            "param_name" => "animation_border",
            "value" => array(
                esc_html__("None", 'LEVELUP') => "",
                esc_html__("3px", 'LEVELUP') => "3",
                esc_html__("5px", 'LEVELUP') => "5",
                esc_html__("10px", 'LEVELUP') => "10",
                esc_html__("15px", 'LEVELUP') => "15",
                esc_html__("20px", 'LEVELUP') => "20",
            ),
            "dependency" => Array('element' => "hover", 'value' => array('')),
            'description' => esc_html__('Select border width.', 'LEVELUP'),
            'group' => esc_html__('Border', 'LEVELUP'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Border Color", 'LEVELUP'),
            "param_name" => "border_color",
            "value" => array(
                esc_html__("Accent", 'LEVELUP') => "accent",
                esc_html__("Custom", 'LEVELUP') => "custom",
            ),
            "dependency" => Array('element' => "animation_border", 'not_empty' => true),
            'description' => esc_html__('Select border color.', 'LEVELUP'),
            'group' => esc_html__('Border', 'LEVELUP'),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Custom Border Color", 'LEVELUP'),
            "param_name" => "custom_border_color",
            "value" => "#000000",
            'description' => esc_html__('Select Border color.', 'LEVELUP'),
            'group' => esc_html__('Border', 'LEVELUP'),
            "dependency" => Array('element' => "border_color", 'value' => array('custom'))
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Number of Team Members to show per page", 'LEVELUP'),
            "param_name" => "number",
            "value" => "12",
            "description" => esc_html__("Enter Integer.", 'LEVELUP')
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Order by", 'LEVELUP'),
            "param_name" => "orderby",
            "value" => array(
                esc_html__("Date", 'LEVELUP') => "date",
                esc_html__("Author", 'LEVELUP') => "author",
                esc_html__("Title", 'LEVELUP') => "title",
                esc_html__("Slug", 'LEVELUP') => "name",
                esc_html__("Date modified", 'LEVELUP') => "modified",
                esc_html__("ID", 'LEVELUP') => "id",
                esc_html__("Random", 'LEVELUP') => "rand"
            ),
            "description" => esc_html__("Select how to sort retrieved posts.", 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Order way", 'LEVELUP'),
            "param_name" => "order",
            "value" => array(
                esc_html__("Descending", 'LEVELUP') => "desc",
                esc_html__("Ascending", 'LEVELUP') => "asc"
            ),
            "description" => esc_html__("Designates the ascending or descending order.", 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'LEVELUP' )
        )
    )
) );


/*  Testimonials
---------------------------------------------------------- */

vc_map( array(
    "name" => esc_html__("Testimonials", 'LEVELUP'),
    "base" => 'rdy_testimonials',
    "icon" => LEVELUP_THEME_TEMPLATE_URL . "/admin/assets/images/vc/testimonials.png",
    "class" => "vc_sc_testimonials",
    "category" => 'by '.'LEVELUP',
    "params" => array(
        array(
            "type" => "br_taxonomy",
            "taxonomy" => "rdy_testimonials_category",
            "class" => "",
            "heading" => esc_html__("Categories", 'LEVELUP'),
            "param_name" => "category",
            "admin_label" => true,
            "description" => esc_html__("Note: By default, all your testimonials will be displayed. If you want to narrow output, select category(s) above. Only selected categories will be displayed.", 'LEVELUP')
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Type of Carousel", 'LEVELUP'),
            "admin_label" => true,
            "param_name" => "animation",
            "value" => array(
                esc_html__("Horizontal Slide", 'LEVELUP') => "",
                esc_html__("Down Flip Slide", 'LEVELUP') => "downflip",
                esc_html__("Fade", 'LEVELUP') => "fadein"
            ),
            'description' => esc_html__('Select the type of carousel.', 'LEVELUP'),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Color Scheme", 'LEVELUP'),
            "admin_label" => true,
            "param_name" => "color",
            "value" => array(
                esc_html__("Default", 'LEVELUP') => "",
                esc_html__("Dark", 'LEVELUP') => "dark",
                esc_html__("Light", 'LEVELUP') => "light"
            ),
            'description' => esc_html__('Select Color Scheme.', 'LEVELUP'),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Alignment", 'LEVELUP'),
            "param_name" => "align",
            "value" => array(
                esc_html__("Left", 'LEVELUP') => "left",
                esc_html__("Center", 'LEVELUP') => "center",
                esc_html__("Right", 'LEVELUP') => "right"
            ),
            "description" => esc_html__("Select Testimonials Alignment.", 'LEVELUP')
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Show Picture?", 'LEVELUP'),
            "param_name" => "show_picture",
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true"
            ),
            "description" => esc_html__("If checked, you can use custom settings for a photo.", 'LEVELUP')
        ),
		array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Image Position", 'LEVELUP'),
            "admin_label" => true,
            "param_name" => "img_position",
            "value" => array(
                esc_html__("Top", 'LEVELUP') => "img_top",
                esc_html__("Left", 'LEVELUP') => "img_left"
            ),
            "dependency" => array('element' => 'show_picture', 'not_empty' => true),
			'edit_field_class' => 'vc_col-sm-4 vc_column',
			'description' => esc_html__('Select Image position.', 'LEVELUP'),
        ),
		array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Image Size", 'LEVELUP'),
            "param_name" => "img_size",
            "value" => "100",
            "dependency" => array('element' => 'show_picture', 'not_empty' => true),
            "description" => esc_html__("Enter image Size in px. E.g.75", 'LEVELUP'),
			'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Image Type", 'LEVELUP'),
            "admin_label" => true,
            "param_name" => "img_type",
            "value" => array(
                esc_html__("Square", 'LEVELUP') => "square",
                esc_html__("Circle", 'LEVELUP') => "circle"
            ),
            "dependency" => array('element' => 'show_picture', 'not_empty' => true),
            'description' => esc_html__('Select Image Type.', 'LEVELUP'),
			'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Show Quote Icon?", 'LEVELUP'),
            "param_name" => "quote_icon",
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true"
            ),
			'edit_field_class' => 'vc_col-sm-4 vc_column',
            "description" => esc_html__("If checked, Quote Icon will be displayed.", 'LEVELUP'),
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Show Navigation Arrows?", 'LEVELUP'),
            "param_name" => "show_nav_arrows",
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true"
            ),
			'edit_field_class' => 'vc_col-sm-4 vc_column',
            "description" => esc_html__("If checked, Navigation Arrows will be displayed.", 'LEVELUP'),
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Show Navigation Dots?", 'LEVELUP'),
            "param_name" => "show_nav_dots",
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true"
            ),
			'edit_field_class' => 'vc_col-sm-4 vc_column',
            "description" => esc_html__("If checked, Navigation Dots will be displayed.", 'LEVELUP'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Clickable testimonials?", 'LEVELUP'),
            "param_name" => "is_link",
            "value" => array(
                esc_html__("Yes", 'LEVELUP') => "true"
            ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            "description" => esc_html__("If checked, testimonials will be сlickable. Clicking on the text testimonials you may go to the individual page of testimonials.", 'LEVELUP'),
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Number of testimonials to show", 'LEVELUP'),
            "param_name" => "number",
            "value" => "10",
            'description' => esc_html__('Enter Number of testimonials to show. By default 10.', 'LEVELUP'),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Autoslide", 'LEVELUP'),
            "param_name" => "autoslide",
            "value" => "",
            "description" => esc_html__('Autoslide from Right to Left. Input in milliseconds (e.g. 3 second = 3000 miliseconds). Leave this field empty to disable autoslide.', 'LEVELUP'),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Order by", 'LEVELUP'),
            "param_name" => "orderby",
            "value" => array(
                esc_html__("Date", 'LEVELUP') => "date",
                esc_html__("Author", 'LEVELUP') => "author",
                esc_html__("Title", 'LEVELUP') => "title",
                esc_html__("Slug", 'LEVELUP') => "name",
                esc_html__("Date modified", 'LEVELUP') => "modified",
                esc_html__("ID", 'LEVELUP') => "id",
                esc_html__("Random", 'LEVELUP') => "rand"
            ),
            "description" => esc_html__("Select how to sort retrieved posts.", 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => esc_html__("Order way", 'LEVELUP'),
            "param_name" => "order",
            "value" => array(
                esc_html__("Descending", 'LEVELUP') => "desc",
                esc_html__("Ascending", 'LEVELUP') => "asc"
            ),
            "description" => esc_html__("Designates the ascending or descending order.", 'LEVELUP'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
        ),

        array(
            'type' => 'rdy_param_heading',
            'param_name' => 'btn1_icon_setting',
            'text' => '',
            'description' => '',
            'value' => '',
            'class' => '',
            'edit_field_class' => 'rdy-param-heading-wrapper rdy_space_border vc_column vc_col-sm-12',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'LEVELUP' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'LEVELUP' )
        )
    )
) );


add_filter( 'wpb_widget_title', 'override_widget_title', 10, 2 );
function override_widget_title( $output = '', $params = array( '' ) ) {
    $extraclass = ( isset( $params['extraclass'] ) ) ? ' ' . $params['extraclass'] : '';

    return '<h3 class="entry-title' . $extraclass . '">' . $params['title'] . '</h3>';
}




class WPBakeryShortCodeWithFont extends WPBakeryShortCode {

	protected $fields = array(
		'google_fonts' => 'google_fonts',
		'font_container' => 'font_container',
//        'el_class' => 'el_class',
//        'css' => 'css',
		'text' => 'text',
	);

	protected function getField( $key ) {
		return isset( $this->fields[ $key ] ) ? $this->fields[ $key ] : false;
	}

	protected function getParamData( $key ) {
		return WPBMap::getParam( $this->shortcode, $this->getField( $key ) );
	}

	public function getAttributes( $atts ) {
		$font_container = $el_class = '';
		$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
		extract( $atts );

		$google_fonts_field = $this->getParamData( 'google_fonts' );
		$font_container_field = $this->getParamData( 'font_container' );

		$el_class = $this->getExtraClass( $el_class );
		$font_container_obj = new Vc_Font_Container();
		$google_fonts_obj = new Vc_Google_Fonts();
		$font_container_field_settings = isset( $font_container_field['settings'], $font_container_field['settings']['fields'] ) ? $font_container_field['settings']['fields'] : array();
		$google_fonts_field_settings = isset( $google_fonts_field['settings'], $google_fonts_field['settings']['fields'] ) ? $google_fonts_field['settings']['fields'] : array();
		$font_container_data = $font_container_obj->_vc_font_container_parse_attributes( $font_container_field_settings, $font_container );
		$google_fonts_data = strlen( $google_fonts ) > 0 ? $google_fonts_obj->_vc_google_fonts_parse_attributes( $google_fonts_field_settings, $google_fonts ) : '';

		return array(
//            'text' => isset( $text ) ? $text : '',
			'google_fonts' => $google_fonts,
			'font_container' => $font_container,
//            'el_class' => $el_class,
//            'css' => $css,
//            'link' => ( 0 === strpos( $link, '|' ) ) ? false : $link,
			'font_container_data' => $font_container_data,
			'google_fonts_data' => $google_fonts_data,
		);
	}

	public function getStyles( $el_class, $css, $google_fonts_data, $font_container_data, $atts ) {
		$styles = array();
		if ( ! empty( $font_container_data ) && isset( $font_container_data['values'] ) ) {
			foreach ( $font_container_data['values'] as $key => $value ) {
				if ( 'tag' !== $key && strlen( $value ) ) {
					if ( preg_match( '/description/', $key ) ) {
						continue;
					}
					if ( 'font_size' === $key || 'line_height' === $key ) {
						$value = preg_replace( '/\s+/', '', $value );
					}
					if ( 'font_size' === $key ) {
						$pattern = '/^(\d*(?:\.\d+)?)\s*(px|\%|in|cm|mm|em|rem|ex|pt|pc|vw|vh|vmin|vmax)?$/';
						// allowed metrics: http://www.w3schools.com/cssref/css_units.asp
						$regexr = preg_match( $pattern, $value, $matches );
						$value = isset( $matches[1] ) ? (float) $matches[1] : (float) $value;
						$unit = isset( $matches[2] ) ? $matches[2] : 'px';
						$value = $value . $unit;
					}
					if ( strlen( $value ) > 0 ) {
						$styles[] = str_replace( '_', '-', $key ) . ': ' . $value;
					}
				}
			}
		}
		if ( ( ! isset( $atts['use_theme_fonts'] ) || 'yes' !== $atts['use_theme_fonts'] ) && ! empty( $google_fonts_data ) && isset( $google_fonts_data['values'], $google_fonts_data['values']['font_family'], $google_fonts_data['values']['font_style'] ) ) {
			$google_fonts_family = explode( ':', $google_fonts_data['values']['font_family'] );
			$styles[] = 'font-family:' . $google_fonts_family[0];
			$google_fonts_styles = explode( ':', $google_fonts_data['values']['font_style'] );
			$styles[] = 'font-weight:' . $google_fonts_styles[1];
			$styles[] = 'font-style:' . $google_fonts_styles[2];
		}

//        $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'vc_custom_heading ' . $el_class . vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );

		return array(
//            'css_class' => trim( preg_replace( '/\s+/', ' ', $css_class ) ),
			'styles' => $styles,
		);
	}
}


require_once dirname( __FILE__ ) . '/shortcodes/rdy-button.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-client-list.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-counter.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-countdown.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-icon-list-item.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-icon-text.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-image-hover.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-instagram.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-gallery.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-gmaps.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-latest-post.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-list.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-message.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-pie-chart.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-social-networks.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-social-share.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-royal-slider-vc.php';
require_once dirname( __FILE__ ) . '/shortcodes/rdy-video-lightbox.php';

include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); // Require plugin.php to use is_plugin_active() below
if ( is_plugin_active( 'woocommerce/woocommerce.php' ) || class_exists( 'WooCommerce' ) ) {
    require_once dirname( __FILE__ ) . '/shortcodes/rdy-products.php';
}

//vc_remove_element("contact-form-7");
//remove_action( 'plugins_loaded', 'vc_init_vendor_cf7' );
//add_action( 'plugins_loaded', 'levelup_vc_init_vendor_cf7' );
//function levelup_vc_init_vendor_cf7() {
include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); // Require plugin.php to use is_plugin_active() below
if ( is_plugin_active( 'contact-form-7/wp-contact-form-7.php' ) || defined( 'WPCF7_PLUGIN' ) ) {
	require_once dirname( __FILE__ ) . '/shortcodes/class-vc-vendor-contact-form7.php';
	$vendor = new RdyVc_Vendor_ContactForm7();
	add_action( 'vc_after_set_mode', array(
		$vendor,
		'load',
	) );
} // if contact form7 plugin active
//}



if ( ! class_exists( 'LevelupCSSResponsive' ) ) {

	function LevelupCSSResponsive( $data, $style_id, $el, $type ) {
		$output = '';
		$prefix = '';

		if ( $type == 'margin' ) {
			$prefix = 'margin-';
		} elseif ( $type == 'padding' ) {
			$prefix = 'padding-';
		}

		if(!$data){
			return;
		}

		$aData = @explode( ':', $data );

		foreach ($aData as $k => $v){
			if ( preg_match( '/^[-+]?\d+$/', $v ) ) {
				$aData[$k] = $v . 'px';
			}
		}

		if ( ! empty( $aData[0] ) || ! empty( $aData[1] ) || ! empty( $aData[2] ) || ! empty( $aData[3] ) ) {
			$output .= '
			@media (min-width: 1200px) {
			  ' . $el . ' {
			    ' . ( ! empty( $aData[0] ) ? $prefix . 'top:' . $aData[0] . '!important;' : '' ) . '
			    ' . ( ! empty( $aData[1] ) ? $prefix . 'right:' . $aData[1] . '!important;' : '' ) . '
			    ' . ( ! empty( $aData[2] ) ? $prefix . 'bottom:' . $aData[2] . '!important;' : '' ) . '
			    ' . ( ! empty( $aData[3] ) ? $prefix . 'left:' . $aData[3] . '!important;' : '' ) . '
			  }
			}
			';
		}

		if ( ! empty( $aData[4] ) || ! empty( $aData[5] ) || ! empty( $aData[6] ) || ! empty( $aData[7] ) ) {
			$output .= '
			@media (min-width: 992px) and (max-width: 1199px) {
			  ' . $el . ' {
			    ' . ( ! empty( $aData[4] ) ? $prefix . 'top:' . $aData[4] . '!important;' : '' ) . '
			    ' . ( ! empty( $aData[5] ) ? $prefix . 'right:' . $aData[5] . '!important;' : '' ) . '
			    ' . ( ! empty( $aData[6] ) ? $prefix . 'bottom:' . $aData[6] . '!important;' : '' ) . '
			    ' . ( ! empty( $aData[7] ) ? $prefix . 'left:' . $aData[7] . '!important;' : '' ) . '
			  }
			}
			';
		}

		if ( ! empty( $aData[8] ) || ! empty( $aData[9] ) || ! empty( $aData[10] ) || ! empty( $aData[11] ) ) {
			$output .= '
			@media (min-width: 768px) and (max-width: 991px) {
			  ' . $el . ' {
			    ' . ( ! empty( $aData[8] ) ? $prefix . 'top:' . $aData[8] . '!important;' : '' ) . '
			    ' . ( ! empty( $aData[9] ) ? $prefix . 'right:' . $aData[9] . '!important;' : '' ) . '
			    ' . ( ! empty( $aData[10] ) ? $prefix . 'bottom:' . $aData[10] . '!important;' : '' ) . '
			    ' . ( ! empty( $aData[11] ) ? $prefix . 'left:' . $aData[11] . '!important;' : '' ) . '
			  }
			}
			';
		}

		if ( ! empty( $aData[12] ) || ! empty( $aData[13] ) || ! empty( $aData[14] ) || ! empty( $aData[15] ) ) {
			$output .= '
			@media (max-width: 767px) {
			  ' . $el . ' {
			    ' . ( ! empty( $aData[12] ) ? $prefix . 'top:' . $aData[12] . '!important;' : '' ) . '
			    ' . ( ! empty( $aData[13] ) ? $prefix . 'right:' . $aData[13] . '!important;' : '' ) . '
			    ' . ( ! empty( $aData[14] ) ? $prefix . 'bottom:' . $aData[14] . '!important;' : '' ) . '
			    ' . ( ! empty( $aData[15] ) ? $prefix . 'left:' . $aData[15] . '!important;' : '' ) . '
			  }
			}
			';
		}

		if ( ! empty( $output ) ) {
			Levelup_Styles::addCSS( $output, $style_id );
		}

		return $output;
	}

}
